CREATE DATABASE  IF NOT EXISTS `rufus` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `rufus`;
-- MySQL dump 10.13  Distrib 5.7.17, for macos10.12 (x86_64)
--
-- Host: localhost    Database: rufus
-- ------------------------------------------------------
-- Server version	5.7.19

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Actes`
--

DROP TABLE IF EXISTS `Actes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Actes` (
  `idActe` int(11) NOT NULL AUTO_INCREMENT,
  `idPat` int(11) DEFAULT NULL,
  `idUser` int(11) DEFAULT NULL COMMENT 'id du Soignant qui supervise cet acte',
  `ActeDate` date DEFAULT NULL,
  `ActeMotif` longtext,
  `ActeTexte` longtext,
  `ActeConclusion` longtext,
  `ActeCourrierafaire` varchar(1) DEFAULT NULL,
  `ActeCotation` varchar(20) DEFAULT NULL,
  `ActeMontant` decimal(8,2) DEFAULT NULL,
  `ActeMonnaie` varchar(1) DEFAULT NULL,
  `ActeHeure` time DEFAULT NULL,
  `CreePar` int(11) DEFAULT NULL COMMENT 'id du Soignant qui a cree cet acte',
  `UserComptable` int(11) DEFAULT NULL COMMENT 'id du user qui comptabilise cet acte\n-1 = acte sans compta',
  `UserParent` int(11) DEFAULT NULL COMMENT 'Id du user pour qui l acte est effectué\n(User remplacé si le superviseur est remplacant - user superviseur sinon)',
  `SuperViseurRemplacant` int(11) DEFAULT NULL COMMENT '1= acte effectue par un remplacant',
  `NumCentre` int(11) DEFAULT NULL,
  `idLieu` int(11) DEFAULT NULL,
  `PointImportant` int(1) DEFAULT NULL,
  `CommentPointImportant` blob,
  `SansCotation` tinyint(1) DEFAULT NULL COMMENT '1 = Sans cotation',
  PRIMARY KEY (`idActe`),
  KEY `idPatidx` (`idPat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Actes`
--

LOCK TABLES `Actes` WRITE;
/*!40000 ALTER TABLE `Actes` DISABLE KEYS */;
/*!40000 ALTER TABLE `Actes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `AppareilsRefraction`
--

DROP TABLE IF EXISTS `AppareilsRefraction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `AppareilsRefraction` (
  `idAppareil` int(11) NOT NULL AUTO_INCREMENT,
  `Marque` varchar(45) NOT NULL,
  `Modele` varchar(45) NOT NULL,
  `Type` varchar(45) NOT NULL,
  `SimilaireA` int(11) DEFAULT NULL,
  `Serie` int(1) DEFAULT NULL,
  `LAN` int(1) DEFAULT NULL,
  `Implemente` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idAppareil`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `AppareilsRefraction`
--

LOCK TABLES `AppareilsRefraction` WRITE;
/*!40000 ALTER TABLE `AppareilsRefraction` DISABLE KEYS */;
INSERT INTO `AppareilsRefraction` VALUES (1,'TOPCON','CV-5000','Refracteur',NULL,NULL,NULL,NULL),(2,'TOPCON','CV-3000','Refracteur',NULL,NULL,NULL,NULL),(3,'TOPCON','CV-2500','Refracteur',NULL,NULL,NULL,NULL),(4,'NIKON','Remote Vision','Refracteur',NULL,NULL,NULL,NULL),(5,'TOMEY','TAP-2000','Refracteur',NULL,NULL,NULL,NULL),(6,'POTEC','PDR-7000','Refracteur',5,NULL,NULL,NULL),(7,'VISIONIX','VX-60','Refracteur',NULL,NULL,NULL,NULL),(8,'TOMEY','TL-2000C','Fronto',NULL,NULL,NULL,'1'),(9,'TOMEY','AL-200','Fronto',NULL,NULL,NULL,NULL),(10,'TOMEY','AL-300','Fronto',9,NULL,NULL,NULL),(11,'TOMEY','TL-3000C','Fronto',8,1,NULL,'1'),(12,'TOMEY','RC-5000','Autoref',NULL,NULL,NULL,NULL),(13,'TOMEY','RT-7000','Autoref',NULL,NULL,NULL,NULL),(14,'TOMEY','PRK-7000','Autoref',NULL,NULL,NULL,NULL),(15,'TOMEY','RC-800','Autoref',NULL,NULL,NULL,NULL),(16,'ADAPTICA','2WIN','Autoref',NULL,NULL,NULL,NULL),(17,'TOPCON','CL-300','Fronto',NULL,NULL,NULL,NULL),(18,'TOPCON','KR-800S','Autoref',NULL,NULL,NULL,NULL),(19,'VISIONIX','RK F-1','Autoref',NULL,NULL,NULL,NULL),(20,'NIKON','Retinomax 3','Autoref',NULL,NULL,NULL,NULL),(21,'NIKON','Retinomax K+3','Autoref',NULL,NULL,NULL,NULL),(22,'VISIONIX','VX35','Fronto',NULL,NULL,NULL,NULL),(23,'VISIONIX','VX40','Fronto',NULL,NULL,NULL,NULL),(24,'NIKON','Speedy-K','Autoref',NULL,NULL,NULL,NULL),(25,'KEELER','Pulsair','Tonometre',NULL,NULL,NULL,NULL),(26,'KEELER','Intellipuff','Tonometre',NULL,NULL,NULL,NULL),(27,'CANON','TX-20','Tonometre',NULL,NULL,NULL,NULL),(28,'TOMEY','FT-1000','Tonometre',NULL,NULL,NULL,NULL),(29,'TOPCON','CT-800','Tonometre',NULL,NULL,NULL,NULL),(30,'REICHERT','PT-100','Tonometre',NULL,NULL,NULL,NULL),(31,'VISIONIX','VL1000','Fronto',NULL,1,NULL,'1'),(32,'HUVITZ','CLM7000','Fronto',31,1,NULL,'1'),(33,'NIDEK','RT-5100','Refracteur',NULL,1,NULL,'1'),(34,'NIDEK','ARK-1A','Autoref',NULL,1,1,'1'),(35,'NIDEK','ARK-1','Autoref',34,1,1,'1'),(36,'NIDEK','ARK-1S','Autoref',34,1,1,'1'),(37,'NIDEK','AR-1','Autoref',34,1,1,'1'),(38,'NIDEK','AR-1A','Autoref',34,1,1,'1'),(39,'NIDEK','AR-1S','Autoref',34,1,1,'1'),(40,'NIDEK','ARK-530A','Autoref',NULL,1,1,'1'),(41,'NIDEK','ARK-510A','Autoref',40,1,1,'1'),(42,'NIDEK','LM-1800P','Fronto',NULL,1,NULL,'1'),(43,'NIDEK','LM-1800PD','Fronto',42,1,NULL,'1'),(44,'NIDEK','HandyRef-K','Autoref',40,1,1,'1'),(45,'NIDEK','RT-2100','Refracteur',33,1,NULL,'1'),(46,'NIDEK','TONOREF III','Autoref',NULL,1,1,'1'),(47,'NIDEK','ARK-30','Autoref',NULL,1,NULL,'1'),(48,'NIDEK','AR-20','Autoref',NULL,1,NULL,'1'),(49,'NIDEK','LM-500','Fronto',NULL,1,1,'1'),(50,'NIDEK','Glasspop','Refracteur',NULL,NULL,1,'1'),(51,'NIDEK','RT-6100','Refracteur',NULL,NULL,1,'1'),(52,'NIDEK', 'LM-7', 'Fronto',NULL, '1', '1', '1');
/*!40000 ALTER TABLE `AppareilsRefraction` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Impressions`
--

DROP TABLE IF EXISTS `Impressions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Impressions` (
  `idImpression` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) DEFAULT NULL,
  `idPat` int(11) DEFAULT NULL,
  `TypeDoc` varchar(45) DEFAULT NULL,
  `SousTypeDoc` varchar(45) DEFAULT NULL,
  `Titre` blob,
  `TextEntete` blob,
  `TextCorps` mediumblob,
  `TextOrigine` blob,
  `TextPied` blob,
  `DateImpression` datetime DEFAULT NULL,
  `pdf` longblob,
  `Compression` int(1) DEFAULT NULL,
  `jpg` longblob,
  `autre` longblob,
  `formatautre` varchar(5) DEFAULT NULL,
  `lienversfichier` varchar(250) DEFAULT NULL COMMENT 'Pointe un lien vers fichier image ou video externe',
  `LienFichierDistant` varchar(250) DEFAULT NULL COMMENT 'Pointe un lien distant vers fichier image ou video externe',
  `idRefraction` int(11) DEFAULT NULL,
  `ALD` int(1) DEFAULT NULL,
  `UserEmetteur` int(11) DEFAULT NULL,
  `Conclusion` varchar(45) DEFAULT NULL,
  `EmisRecu` int(1) DEFAULT NULL,
  `FormatDoc` varchar(12) DEFAULT NULL COMMENT 'Prescription de lunettes = PrescrLun\nPrescription medicale = Prescription\nCourrier emis = Courrier\nDocument scan = DocRecu\nDocument imagerie = Imagerie\nBilan orthoptique = BO\nDocument administratif = DocAdmin',
  `idLieu` int(11) DEFAULT NULL COMMENT 'Lieu de réalisation de l examen',
  `Importance` int(11) DEFAULT '1' COMMENT 'O MASQUE PAR DEFAUT\n1 AFFICHE PAR DEFAUT\n3 TOUJOURS AFFICHE',
  PRIMARY KEY (`idImpression`),
  KEY `idPatidx` (`idPat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Impressions`
--

LOCK TABLES `Impressions` WRITE;
/*!40000 ALTER TABLE `Impressions` DISABLE KEYS */;
/*!40000 ALTER TABLE `Impressions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `LieuxExercice`
--

DROP TABLE IF EXISTS `LieuxExercice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `LieuxExercice` (
  `idLieu` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `NomLieu` varchar(80) DEFAULT NULL,
  `LieuAdresse1` varchar(45) DEFAULT NULL,
  `LieuAdresse2` varchar(45) DEFAULT NULL,
  `LieuAdresse3` varchar(45) DEFAULT NULL,
  `LieuCodePostal` mediumint(9) DEFAULT NULL,
  `LieuVille` varchar(45) DEFAULT NULL,
  `LieuTelephone` varchar(17) DEFAULT NULL,
  `LieuFax` varchar(17) DEFAULT NULL,
  `LieuCouleur` varchar(6) DEFAULT NULL,
  PRIMARY KEY (`idLieu`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `LieuxExercice`
--

LOCK TABLES `LieuxExercice` WRITE;
/*!40000 ALTER TABLE `LieuxExercice` DISABLE KEYS */;
/*!40000 ALTER TABLE `LieuxExercice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Manufacturers`
--

DROP TABLE IF EXISTS `Manufacturers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `Manufacturers` (
  `idManufacturer` int(11) NOT NULL AUTO_INCREMENT,
  `ManName` varchar(45) NOT NULL,
  `ManAdresse1` varchar(80) DEFAULT NULL,
  `ManAdresse2` varchar(80) DEFAULT NULL,
  `ManAdresse3` varchar(80) DEFAULT NULL,
  `ManCodepostal` varchar(5) DEFAULT NULL,
  `ManVille` varchar(40) DEFAULT NULL,
  `ManTelephone` varchar(17) DEFAULT NULL,
  `ManFax` varchar(17) DEFAULT NULL,
  `ManPortable` varchar(17) DEFAULT NULL,
  `ManWebsite` varchar(120) DEFAULT NULL,
  `ManMail` varchar(45) DEFAULT NULL,
  `ManInactif` int(1) DEFAULT NULL,
  `DistribuePar` int(11) DEFAULT NULL,
  `idRufus` int(11) DEFAULT NULL,
  PRIMARY KEY (`idManufacturer`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Manufacturers`
--

LOCK TABLES `Manufacturers` WRITE;
/*!40000 ALTER TABLE `Manufacturers` DISABLE KEYS */;
INSERT INTO `Manufacturers` VALUES (1,'MEDICONTUR','Zac Du Martelet','75, Rue Henri Depagneux',NULL,'69400','Limas','06 69 37 20 04',NULL,NULL,'www.medicontur.fr',NULL,NULL,NULL,1),(2,'HOYA','','','','13700','Marignane','','','','','',NULL,NULL,2),(3,'BAUSCH + LOMB','416, Rue Samuel Morse','Cs99535',NULL,'34961','Montpellier Cedex',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3),(4,'CUTTING EDGE','770, Rue Alfred Nobel','','','34000','Montpellier','05 62 24 65 03','05 62 24 65 05','','www.cutting-edge.eu','info@cutting-edge.eu',NULL,NULL,4),(5,'OPHTA FRANCE','16a, Rue De Jouannet','','','35700','Rennes','02 99 36 32 33','02 99 36 82 95','','http://www.ophta-france.com','contact@ophta-france.com',NULL,NULL,5),(6,'1STQ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,6),(7,'AJL OPHTHALMIC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,7),(8,'AAREN SCIENTIFIC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,8),(9,'AFIDERA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,9),(10,'ALCON','4, Rue Henri Sainte Claire Deville',NULL,NULL,'92500','Rueil Malmaison','01 47 10 47 10',NULL,NULL,'www.alcon.com',NULL,NULL,NULL,10),(11,'BIOTECH EUROPE MEDITECH',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,11),(12,'BIOTECH VISION CARE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,12),(13,'HANITA LENSES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,13),(14,'HUMANOPTICS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,14),(15,'JOHNSON & JOHNSON VISION',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,15),(16,'KOWA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16),(17,'LENSTEC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,17),(18,'MILLENNIUM BIOMEDICAL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,18),(19,'OCULENTIS','Kollergang 9','6961 Lz Eerbeek','Netherlands',NULL,NULL,NULL,NULL,NULL,'www.oculentis.com','contact@oculentis.nl',NULL,30,19),(20,'OPHTEC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,20),(21,'OPHTHALMO PRO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,21),(22,'PHYSIOL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,22),(23,'POLYTECH DOMILENS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,23),(24,'RAYNER',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,24),(25,'SIFI',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,25),(26,'TELEON',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26),(27,'VSY BIOTECHNOLOGY',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,27),(28,'W2O MEDIZINTECHNIK',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,28),(29,'ZEISS','1000, Route De Versailles',NULL,NULL,'78160','Marly Le Roi',NULL,NULL,NULL,'www.zeiss.fr/meditec/wbc',NULL,NULL,NULL,29),(30,'TOPCON FRANCE','3, Route De La Révolte',NULL,NULL,'93200','Saint Denis','01 49 21 23 23','01 49 21 23 24',NULL,'www.topcon-medical.fr','topconfance@topcon.com',NULL,NULL,30),(31,'QUANTEL MEDICAL','11, Rue Du Bois Joli','','Cs 40015','63800','Cournon D\'Auvergne','04 73 74 57 45','','','www.quantel-medical.fr','',NULL,NULL,31),(32,'EDC LAMY','131, Rue Florent Evrard','','','62220','Carvin','09 75 36 44 48','','','www.edc-lamy.fr','',NULL,NULL,32),(33,'SANOTEK','118, Rue De Chevilly','','','94240','L\'Haÿ Les Roses','09 54 18 03 05','','','www.sanotek.com','',NULL,NULL,33);
/*!40000 ALTER TABLE `Manufacturers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Commercials`
--

DROP TABLE IF EXISTS `Commercials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rufus`.`Commercials` (
  `idCommercial` INT NOT NULL AUTO_INCREMENT,
  `Nom` VARCHAR(45) NULL,
  `Prenom` VARCHAR(45) NULL,
  `Statut` VARCHAR(45) NULL,
  `Mail` VARCHAR(45) NULL,
  `Telephone` VARCHAR(17) NULL,
  `idManufacturer` INT NULL,
  PRIMARY KEY (`idCommercial`));
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Messagerie`
--

DROP TABLE IF EXISTS `Messagerie`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Messagerie` (
  `idMessage` int(11) NOT NULL AUTO_INCREMENT,
  `idEmetteur` int(11) NOT NULL,
  `TexteMessage` text NOT NULL,
  `idPatient` int(11) DEFAULT NULL,
  `Tache` tinyint(1) DEFAULT NULL,
  `DateLimite` date DEFAULT NULL,
  `CreeLe` datetime DEFAULT NULL,
  `Urge` int(1) DEFAULT NULL,
  `ReponseA` int(11) DEFAULT NULL,
  `ASupprimer` int(11) DEFAULT NULL,
  PRIMARY KEY (`idMessage`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Messagerie`
--

LOCK TABLES `Messagerie` WRITE;
/*!40000 ALTER TABLE `Messagerie` DISABLE KEYS */;
/*!40000 ALTER TABLE `Messagerie` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MessagerieJointures`
--

DROP TABLE IF EXISTS `MessagerieJointures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MessagerieJointures` (
  `idJointure` int(11) NOT NULL AUTO_INCREMENT,
  `idMessage` int(11) NOT NULL,
  `idDestinataire` int(11) NOT NULL,
  `Lu` tinyint(1) DEFAULT NULL,
  `Fait` int(1) DEFAULT NULL,
  PRIMARY KEY (`idJointure`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MessagerieJointures`
--

LOCK TABLES `MessagerieJointures` WRITE;
/*!40000 ALTER TABLE `MessagerieJointures` DISABLE KEYS */;
/*!40000 ALTER TABLE `MessagerieJointures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Metadocuments`
--

DROP TABLE IF EXISTS `Metadocuments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Metadocuments` (
  `idMetaDocument` int(11) NOT NULL AUTO_INCREMENT,
  `TextMetaDocument` blob,
  `ResumeMetaDocument` varchar(100) NOT NULL,
  `idUser` int(11) DEFAULT NULL,
  `Public` int(1) DEFAULT NULL,
  PRIMARY KEY (`idMetaDocument`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Metadocuments`
--

LOCK TABLES `Metadocuments` WRITE;
/*!40000 ALTER TABLE `Metadocuments` DISABLE KEYS */;
INSERT INTO `Metadocuments` VALUES (1,'Consentement éclairé cataracte\nCourrier préopératoire cataracte','Dossier préopératoire cataracte',1,1),(2,'Ordonnance\nPrécaution hygiène lentilles','Lentilles',1,NULL),(5,'Consentement éclairé\nInformation sur les honoraires\nOrdonnnance préopératoire','Dossier préopératoire glaucome',1,NULL),(6,'Infos post opératoire cataracte\nPOST-OPÉRATOIRE','Dossier post-opératoire cataracte',1,NULL),(9,NULL,'Dossier préopératoire réfractive',1,1);
/*!40000 ALTER TABLE `Metadocuments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MotifsRDV`
--

DROP TABLE IF EXISTS `MotifsRDV`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MotifsRDV` (
  `idMotifsRDV` int(11) NOT NULL AUTO_INCREMENT,
  `Motif` varchar(45) NOT NULL,
  `Raccourci` varchar(10) NOT NULL,
  `Couleur` varchar(6) DEFAULT NULL,
  `Duree` int(2) DEFAULT NULL,
  `ParDefaut` int(1) DEFAULT NULL,
  `Utiliser` int(1) DEFAULT NULL,
  `NoOrdre` int(3) DEFAULT NULL,
  PRIMARY KEY (`idMotifsRDV`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MotifsRDV`
--

LOCK TABLES `MotifsRDV` WRITE;
/*!40000 ALTER TABLE `MotifsRDV` DISABLE KEYS */;
INSERT INTO `MotifsRDV` VALUES (1,'Consultation','CS','FFFFEE',1,1,1,1),(2,'Champ visuel','CV','FFEEFF',NULL,NULL,1,2),(3,'OCT','OCT','DFF2FF',NULL,NULL,1,3),(4,'Biométrie','BM','EEFFFF',NULL,NULL,1,4),(5,'Bilan orthoptique','BO','DDEEDD',NULL,NULL,1,5),(6,'Angiographie','ANG','FFEEEE',NULL,NULL,1,6),(7,'Autre motif','AUT','EFEFEF',NULL,NULL,1,7);
/*!40000 ALTER TABLE `MotifsRDV` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MotsCles`
--

DROP TABLE IF EXISTS `MotsCles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MotsCles` (
  `idMotCle` int(11) NOT NULL AUTO_INCREMENT,
  `MotCle` varchar(80) NOT NULL,
  PRIMARY KEY (`idMotCle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MotsCles`
--

LOCK TABLES `MotsCles` WRITE;
/*!40000 ALTER TABLE `MotsCles` DISABLE KEYS */;
/*!40000 ALTER TABLE `MotsCles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MotsClesJointures`
--

DROP TABLE IF EXISTS `MotsClesJointures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MotsClesJointures` (
  `idJointure` int(11) NOT NULL AUTO_INCREMENT,
  `idPat` int(11) NOT NULL,
  `idMotCle` int(11) NOT NULL,
  PRIMARY KEY (`idJointure`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MotsClesJointures`
--

LOCK TABLES `MotsClesJointures` WRITE;
/*!40000 ALTER TABLE `MotsClesJointures` DISABLE KEYS */;
/*!40000 ALTER TABLE `MotsClesJointures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ParametresSysteme`
--

DROP TABLE IF EXISTS `ParametresSysteme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ParametresSysteme` (
  `MDPAdmin` varchar(45) DEFAULT NULL,
  `NumCentre` int(11) DEFAULT NULL,
  `idLieuParDefaut` int(11) DEFAULT NULL,
  `DocsComprimes` int(1) DEFAULT NULL,
  `VersionBase` int(3) DEFAULT NULL,
  `SansCompta` int(1) DEFAULT NULL COMMENT '0 = AvecCompta\n1 = SansCompta et sans cotation\n2 = Sans compta mais avec cotation\n3 = Avec compta mais sans cotation',
  `AdresseServeurLocal` varchar(45) DEFAULT NULL,
  `AdresseServeurDistant` varchar(45) DEFAULT NULL,
  `DirImagerie` varchar(250) DEFAULT NULL,
  `LundiBkup` int(1) DEFAULT NULL,
  `MardiBkup` int(1) DEFAULT NULL,
  `MercrediBkup` int(1) DEFAULT NULL,
  `JeudiBkup` int(1) DEFAULT NULL,
  `VendrediBkup` int(1) DEFAULT NULL,
  `SamediBkup` int(1) DEFAULT NULL,
  `DimancheBkup` int(1) DEFAULT NULL,
  `HeureBkup` time DEFAULT NULL,
  `DirBkup` varchar(250) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ParametresSysteme`
--

LOCK TABLES `ParametresSysteme` WRITE;
/*!40000 ALTER TABLE `ParametresSysteme` DISABLE KEYS */;
INSERT INTO `ParametresSysteme` VALUES ('bob',1,1,1,69,NULL,NULL,NULL,'/Users/serge/Documents/Rufus/Imagerie',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ParametresSysteme` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Patients`
--

DROP TABLE IF EXISTS `Patients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Patients` (
  `idPat` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `PatNom` varchar(45) DEFAULT NULL,
  `PatPrenom` varchar(45) DEFAULT NULL,
  `PatDDN` date DEFAULT NULL,
  `Sexe` varchar(1) DEFAULT NULL,
  `PatCreeLe` date DEFAULT NULL,
  `PatCreePar` int(11) DEFAULT NULL,
  `NumCentre` int(11) DEFAULT NULL,
  `Commentaire` blob,
  PRIMARY KEY (`idPat`),
  FULLTEXT KEY `idx_nom` (`PatNom`),
  FULLTEXT KEY `idx_prenom` (`PatPrenom`),
  FULLTEXT KEY `idx_nomprenom` (`PatNom`,`PatPrenom`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Patients`
--

LOCK TABLES `Patients` WRITE;
/*!40000 ALTER TABLE `Patients` DISABLE KEYS */;
/*!40000 ALTER TABLE `Patients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Sessions`
--

DROP TABLE IF EXISTS `Sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Sessions` (
  `idSession` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) DEFAULT NULL,
  `idSuperviseur` int(11) DEFAULT NULL COMMENT '-1 NON_RENSEIGNE\n-2 VIDE\n-3 INDETERMINE\n',
  `idParent` int(11) DEFAULT NULL COMMENT '-1 NON_RENSEIGNE\n-2 VIDE\n-3 INDETERMINE',
  `idComptable` int(11) DEFAULT NULL COMMENT '-1 NON_RENSEIGNE\n-2 VIDE\n-3 INDETERMINE',
  `idLieu` int(11) DEFAULT NULL,
  `DebutSession` datetime DEFAULT NULL,
  `FinSession` datetime DEFAULT NULL,
  PRIMARY KEY (`idSession`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Sessions`
--

LOCK TABLES `Sessions` WRITE;
/*!40000 ALTER TABLE `Sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `Sessions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `UtilisateursConnectes`
--

DROP TABLE IF EXISTS `UtilisateursConnectes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UtilisateursConnectes` (
  `idUser` int(11) NOT NULL DEFAULT '0',
  `NomPosteConnecte` varchar(70) CHARACTER SET latin1 DEFAULT NULL,
  `MACAdressePosteConnecte` varchar(45) DEFAULT NULL,
  `IPAdress` varchar(15) DEFAULT NULL,
  `AccesDistant` int(1) DEFAULT NULL COMMENT '1 = acces distant',
  `UserSuperviseur` int(11) DEFAULT NULL,
  `UserComptable` int(11) DEFAULT NULL,
  `UserParent` int(11) DEFAULT NULL COMMENT 'Correspond au user remplace par le usersuperviseur quand le usersuperviseur est remplacant',
  `idLieu` int(11) DEFAULT NULL,
  `HeureDerniereConnexion` datetime DEFAULT NULL,
  `idPat` int(11) DEFAULT NULL,
  UNIQUE KEY `MACAdressePosteConnecte_UNIQUE` (`MACAdressePosteConnecte`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `UtilisateursConnectes`
--

LOCK TABLES `UtilisateursConnectes` WRITE;
/*!40000 ALTER TABLE `UtilisateursConnectes` DISABLE KEYS */;
/*!40000 ALTER TABLE `UtilisateursConnectes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Villes`
--

DROP TABLE IF EXISTS `Villes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Villes` (
  `ville_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `codePostal` varchar(255) DEFAULT NULL,
  `ville` varchar(45) DEFAULT NULL,
  `pk` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`pk`)
) ENGINE=InnoDB AUTO_INCREMENT=36829 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Villes`
--

LOCK TABLES `Villes` WRITE;
/*!40000 ALTER TABLE `Villes` DISABLE KEYS */;
INSERT INTO `Villes` VALUES (1,'01190','Ozan',1),(2,'01290','Cormoranche Sur Saône',2),(3,'01130','Plagne',3),(4,'01250','Tossiat',4),(5,'01250','Pouillat',5),(6,'01230','Torcieu',6),(7,'01620','Replonges',7),(8,'01110','Corcelles',8),(9,'01630','Péron',9),(10,'01990','Relevant',10),(11,'01660','Chaveyriat',11),(12,'01150','Vaux En Bugey',12),(13,'01430','Maillat',13),(14,'01800','Faramans',14),(15,'01350','Béon',15),(16,'01600','Saint Bernard',16),(17,'01510','Rossillon',17),(18,'01160','Pont D\'Ain',18),(19,'01460','Nantua',19),(20,'01190','Chavannes Sur Reyssouze',20),(21,'01400','Neuville Les Dames',21),(22,'01350','Flaxieu',22),(23,'01260','Hotonnes',23),(24,'01150','Saint Sorlin En Bugey',24),(25,'01260','Songieu',25),(26,'01260','Virieu Le Petit',26),(27,'01500','Saint Denis En Bugey',27),(28,'01800','Charnoz Sur Ain',28),(29,'01150','Chazey Sur Ain',29),(30,'01680','Marchamp',30),(31,'01350','Culoz',31),(32,'01560','Mantenay Montlin',32),(33,'01851','Marboz',33),(34,'01340','Foissiat',34),(35,'01370','Treffort Cuisiat',35),(36,'01300','Izieu',36),(37,'01370','Saint Étienne Du Bois',37),(38,'01110','Hauteville Lompnes',38),(39,'01990','Saint Trivier Sur Moignans',39),(40,'01430','Peyriat',40),(41,'01230','Évosges',41),(42,'01450','Poncin',42),(43,'01320','Crans',43),(44,'01460','Montréal La Cluse',44),(45,'01230','Œting',45),(46,'01260','Lompnieu',46),(47,'01250','Villereversure',47),(48,'01160','Saint Martin Du Mont',48),(49,'01630','Saint Genis Pouilly',49),(50,'01450','Bolozon',50),(51,'01310','Confrançon',51),(52,'01260','Lochieu',52),(53,'01400','Chanoz Châtenay',53),(54,'01150','Villebois',54),(55,'01430','Ceignes',55),(56,'01140','Saint Didier Sur Chalaronne',56),(57,'01250','Revonnas',57),(58,'01800','Bourg Saint Christophe',58),(59,'01400','Condeissiat',59),(60,'01270','Pirajoux',60),(61,'01320','Chalamont',61),(62,'01330','Le Plantay',62),(63,'01330','Versailleux',63),(64,'01250','Montagnat',64),(65,'01260','Vieu',65),(66,'01390','Saint André De Corcy',66),(67,'01360','Bressolles',67),(68,'01960','Péronnas',68),(69,'01300','Colomieu',69),(70,'01390','Monthieux',70),(71,'01560','Saint Jean Sur Reyssouze',71),(72,'01140','Garnerans',72),(73,'01340','Montrevel En Bresse',73),(74,'01230','Conand',74),(75,'01450','Challes La Montagne',75),(76,'01140','Mogneneins',76),(77,'01140','Thoissey',77),(78,'01480','Chaleins',78),(79,'01160','Neuville Sur Ain',79),(80,'01120','Thil',80),(81,'01640','Jujurieux',81),(82,'01230','Oncieu',82),(83,'01090','Lurcy',83),(84,'01360','Balan',84),(85,'01500','Ambutrix',85),(86,'01120','Sainte Croix',86),(87,'01150','Blyes',87),(88,'01300','Conzieu',88),(89,'01120','Niévroz',89),(90,'01460','Nurieux Volognat',90),(91,'01300','Ambléon',91),(92,'01800','Saint Maurice De Gourdans',92),(93,'01200','Chézery Forens',93),(94,'01150','Sault Brénaz',94),(95,'01300','Murs Et Gélignieux',95),(96,'01260','Le Petit Abergement',96),(97,'01560','Cormoz',97),(98,'01510','Saint Martin De Bavel',98),(99,'01560','Saint Trivier De Courtes',99),(100,'01640','Boyeux Saint Jérôme',100),(101,'01500','Château Gaillard',101),(102,'01300','Prémeyzel',102),(103,'01230','Arandas',103),(104,'01320','Châtenay',104),(105,'01680','Bœurs En Othe',105),(106,'01190','Boz',106),(107,'01470','Briord',107),(108,'01600','Reyrieux',108),(109,'01580','Matafelon Granges',109),(110,'01250','Drom',110),(111,'01200','Châtillon En Michaille',111),(112,'01310','Polliat',112),(113,'01170','Vesancy',113),(114,'01600','Massieux',114),(115,'01380','Saint Cyr Sur Menthon',115),(116,'01450','Serrières Sur Ain',116),(117,'01230','Nivollet Montgriffon',117),(118,'01580','Izernore',118),(119,'01320','Saint Nizier Le Désert',119),(120,'01090','Guéreins',120),(121,'01140','Illiat',121),(122,'01160','La Tranclière',122),(123,'01600','Saint Didier De Formans',123),(124,'01450','Mérignat',124),(125,'01800','Saint Éloi',125),(126,'01240','La Chapelle Du Châtelard',126),(127,'01800','Saint Jean De Niost',127),(128,'01480','Savigneux',128),(129,'01300','Nattages',129),(130,'01300','Saint Benoît',130),(131,'01500','Douvres',131),(132,'01090','Francheleins',132),(133,'01590','Dortan',133),(134,'01300','Saint Germain Les Paroisses',134),(135,'01700','Miribel',135),(136,'01200','Lancrans',136),(137,'01170','Échenevex',137),(138,'01290','Saint Jean Sur Veyle',138),(139,'01200','Billiat',139),(140,'01640','L\'Abergement De Varey',140),(141,'01480','Villeneuve',141),(142,'01330','Villars Les Dombes',142),(143,'01110','Thézillieu',143),(144,'01190','Saint Étienne Sur Reyssouze',144),(145,'01150','Souclin',145),(146,'01250','Saint Just',146),(147,'01390','Civrieux',147),(148,'01230','Argis',148),(149,'01510','Talissieu',149),(150,'01330','Birieux',150),(151,'01540','Saint Julien Sur Veyle',151),(152,'01710','Thoiry',152),(153,'01290','Laiz',153),(154,'01350','Cressin Rochefort',154),(155,'01300','Saint Champ',155),(156,'01400','Saint Georges Sur Renon',156),(157,'01430','Lantenay',157),(158,'01560','Vernoux',158),(159,'01110','Cormaranche En Bugey',159),(160,'01600','Sainte Euphémie',160),(161,'01270','Beaupont',161),(162,'01300','Brens',162),(163,'01250','Ramasse',163),(164,'01220','Divonne Les Bains',164),(165,'01200','Léaz',165),(166,'01200','Villes',166),(167,'01560','Saint Julien Sur Reyssouze',167),(168,'01680','Groslée',168),(169,'01660','Vandeins',169),(170,'01270','Verjon',170),(171,'01240','Saint André Sur Vieux Jonc',171),(172,'01290','Saint André D\'Huiriat',172),(173,'01220','Grilly',173),(174,'01170','Cessy',174),(175,'01510','Ordonnaz',175),(176,'01560','Vescours',176),(177,'01370','Meillonnas',177),(178,'01100','Géovreisset',178),(179,'01350','Ceyzérieu',179),(180,'01460','Béard Géovreissiat',180),(181,'01510','La Burbanche',181),(182,'01540','Perrex',182),(183,'01270','Villemotier',183),(184,'01250','Jasseron',184),(185,'01250','Corveissiat',185),(186,'01250','Journans',186),(187,'01190','Sermoyer',187),(188,'01130','Charix',188),(189,'01300','Arbignieu',189),(190,'01450','Leyssard',190),(191,'01390','Saint Jean De Thurigneux',191),(192,'01480','Frans',192),(193,'01230','Tenay',193),(194,'01380','Bâgé La Ville',194),(195,'01090','Montmerle Sur Saône',195),(196,'01370','Courmangoux',196),(197,'01990','Baneins',197),(198,'01150','Lagnieu',198),(199,'01340','Attignat',199),(200,'01380','Saint André De Bâgé',200),(201,'01190','Pont De Vaux',201),(202,'01500','Ambérieu En Bugey',202),(203,'01140','Peyzieux Sur Saône',203),(204,'01170','Crozet',204),(205,'01420','Seyssel',205),(206,'01700','Beynost',206),(207,'01210','Versonnex',207),(208,'01620','Saint Laurent Sur Saône',208),(209,'01510','Artemare',209),(210,'01310','Montracol',210),(211,'01300','Parves',211),(212,'01510','Pugieu',212),(213,'01510','Virieu Le Grand',213),(214,'01310','Saint Rémy',214),(215,'01390','Rancé',215),(216,'01290','Grièges',216),(217,'01250','Grand Corent',217),(218,'01430','Outriaz',218),(219,'01470','Montagnieu',219),(220,'01260','Champagne En Valromey',220),(221,'01330','Ambérieux En Dombes',221),(222,'01120','La Boisse',222),(223,'01600','Parcieux',223),(224,'01340','Saint Didier D\'Aussiat',224),(225,'01560','Saint Nizier Le Bouchoux',225),(226,'01480','Ars Sur Formans',226),(227,'01350','Anglefort',227),(228,'01110','Corlier',228),(229,'01210','Ferney Voltaire',229),(230,'01500','Saint Maurice De Rémens',230),(231,'01320','Châtillon La Palud',231),(232,'01340','Saint Sulpice',232),(233,'01300','Saint Bois',233),(234,'01300','Virignin',234),(235,'01110','Prémillieu',235),(236,'01090','Genouilleux',236),(237,'01190','Reyssouze',237),(238,'01550','Collonges',238),(239,'01130','Saint Germain De Joux',239),(240,'01300','Brégnier Cordon',240),(241,'01310','Saint Martin Le Châtel',241),(242,'01300','Marignieu',242),(243,'01130','Neyrolles',243),(244,'01400','Sulignat',244),(245,'01370','Bény',245),(246,'01200','Injoux Génissiat',246),(247,'01420','Chanay',247),(248,'01400','Châtillon Sur Chalaronne',248),(249,'01550','Farges',249),(250,'01450','Saint Alban',250),(251,'01310','Curtafond',251),(252,'01440','Viriat',252),(253,'01130','Belleydoux',253),(254,'01380','Bâgé Le Châtel',254),(255,'01330','Sainte Olive',255),(256,'01380','Saint Genis Sur Menthon',256),(257,'01270','Domsure',257),(258,'01250','Chavannes Sur Suran',258),(259,'01160','Priay',259),(260,'01300','Peyrieu',260),(261,'01130','Lalleyriat',261),(262,'01630','Sergy',262),(263,'01430','Saint Martin Du Frêne',263),(264,'01700','Saint Maurice De Beynost',264),(265,'01240','Servas',265),(266,'01300','Cuzieu',266),(267,'01340','Jayat',267),(268,'01350','Lavours',268),(269,'01190','Chevroux',269),(270,'01350','Pollieu',270),(271,'01360','Béligneux',271),(272,'01260','Brénaz',272),(273,'01470','Bénonces',273),(274,'01640','Saint Jean Le Vieux',274),(275,'01480','Beauregard',275),(276,'01100','Oyonnax',276),(277,'01390','Mionnay',277),(278,'01250','Germagnat',278),(279,'01270','Coligny',279),(280,'01250','Simandre Sur Suran',280),(281,'01400','L\'Abergement Clémenciat',281),(282,'01560','Lescheroux',282),(283,'01210','Ornex',283),(284,'01380','Dommartin',284),(285,'01680','Lompnas',285),(286,'01500','Bettant',286),(287,'01510','Armix',287),(288,'01570','Feillens',288),(289,'01510','Chavornay',289),(290,'01630','Challex',290),(291,'01350','Vongnes',291),(292,'01300','Magnieu',292),(293,'01810','Groissiat',293),(294,'01400','Dompierre Sur Chalaronne',294),(295,'01120','Montluel',295),(296,'01130','Le Poizat',296),(297,'01110','Hostiaz',297),(298,'01200','Montanges',298),(299,'01150','Sainte Julie',299),(300,'01290','Bey',300),(301,'01580','Sonthonnax La Montagne',301),(302,'01660','Mézériat',302),(303,'01810','Bellignat',303),(304,'01390','Saint Marcel',304),(305,'01300','Belley',305),(306,'01420','Corbonod',306),(307,'01700','Neyron',307),(308,'01240','Saint Paul De Varax',308),(309,'01370','Pressiat',309),(310,'01300','Chazey Bons',310),(311,'01560','Servignat',311),(312,'01240','Marlieux',312),(313,'01300','Andert Et Condon',313),(314,'01250','Hautecourt Romanèche',314),(315,'01620','Crottet',315),(316,'01160','Druillat',316),(317,'01240','Dompierre Sur Veyle',317),(318,'01800','Pérouges',318),(319,'01800','Rignieux Le Franc',319),(320,'01130','Giron',320),(321,'01450','Cerdon',321),(322,'01290','Cruzilles Lès Mépillat',322),(323,'01410','Lélex',323),(324,'01420','Lhôpital',324),(325,'01170','Ségny',325),(326,'01510','Cheignieu La Balme',326),(327,'01150','Saint Vulbas',327),(328,'01130','Échallon',328),(329,'01800','Le Montellier',329),(330,'01810','Martignat',330),(331,'01250','Ceyzériat',331),(332,'01310','Montcet',332),(333,'01540','Vonnas',333),(334,'01310','Buellas',334),(335,'01190','Saint Bénigne',335),(336,'01430','Chevillard',336),(337,'01330','Bouligneux',337),(338,'01300','Contrevoz',338),(339,'01110','Champdor',339),(340,'01460','Port',340),(341,'01420','Surjoux',341),(342,'01410','Champfromier',342),(343,'01570','Vésines',343),(344,'01470','Seillonnaz',344),(345,'01160','Varambon',345),(346,'01260','Le Grand Abergement',346),(347,'01480','Jassans Riottier',347),(348,'01570','Asnières Sur Saône',348),(349,'01430','Condamine',349),(350,'01680','Lhuis',350),(351,'01400','Romans',351),(352,'01120','Pizay',352),(353,'01240','Certines',353),(354,'01260','Ruffieu',354),(355,'01800','Meximieux',355),(356,'01230','Saint Rambert En Bugey',356),(357,'01500','Ambronay',357),(358,'01250','Cize',358),(359,'01240','Saint Germain Sur Renon',359),(360,'01320','Villette Sur Ain',360),(361,'01120','Dagneux',361),(362,'01190','Boissey',362),(363,'01270','Salavre',363),(364,'01460','Brion',364),(365,'01450','Labalme',365),(366,'01220','Sauverny',366),(367,'01090','Montceaux',367),(368,'01110','Brénod',368),(369,'01600','Misérieux',369),(370,'01280','Prévessin Moëns',370),(371,'01240','Lent',371),(372,'01340','Marsonnas',372),(373,'01570','Manziat',373),(374,'01600','Trévoux',374),(375,'01200','Bellegarde Sur Valserine',375),(376,'01000','Bourg En Bresse',376),(377,'01200','Confort',377),(378,'01000','Saint Denis Lès Bourg',378),(379,'01300','Massignieu De Rives',379),(380,'01140','Saint Étienne Sur Chalaronne',380),(381,'01250','Bohas Meyriat Rignat',381),(382,'01170','Chevry',382),(383,'01480','Fareins',383),(384,'01190','Gorrevod',384),(385,'01140','Valeins',385),(386,'01430','Vieu D\'Izenave',386),(387,'01600','Toussieux',387),(388,'01190','Arbigny',388),(389,'01340','Malafretaz',389),(390,'01580','Samognat',390),(391,'01340','Cras Sur Reyssouze',391),(392,'01480','Messimy Sur Saône',392),(393,'01550','Pougny',393),(394,'01400','Sandrans',394),(395,'01290','Pont De Veyle',395),(396,'01170','Mijoux',396),(397,'01630','Saint Jean De Gonville',397),(398,'01240','Saint André Le Bouchoux',398),(399,'01990','Chaneins',399),(400,'01800','Joyeux',400),(401,'01390','Tramoyes',401),(402,'01290','Biziat',402),(403,'01430','Izenave',403),(404,'01260','Belmont Luthézieu',404),(405,'01100','Arbent',405),(406,'01260','Sutrieu',406),(407,'01470','Serrières De Briord',407),(408,'01110','Aranc',408),(409,'01230','Chaley',409),(410,'01560','Curciat Dongalon',410),(411,'01360','Loyettes',411),(412,'01170','Gex',412),(413,'01560','Courtes',413),(414,'01340','Béréziat',414),(415,'01330','Lapeyrouse',415),(416,'01100','Apremont',416),(417,'01800','Villieu Loyes Mollon',417),(418,'01150','Leyment',418),(419,'01340','Étrez',419),(420,'02140','Gercy',420),(421,'02210','Villemontoire',421),(422,'02110','Brancourt Le Grand',422),(423,'02810','Licy Clignon',423),(424,'02120','Proisy',424),(425,'02000','Chambry',425),(426,'02360','Mont Saint Jean',426),(427,'02360','Morgny En Thiérache',427),(428,'02720','Mesnil Saint Laurent',428),(429,'02480','Annois',429),(430,'02360','Brunehamel',430),(431,'02300','Audignicourt',431),(432,'02270','Montigny Sur Crécy',432),(433,'02190','Lor',433),(434,'02350','Chivres En Laonnois',434),(435,'02410','Saint Gobain',435),(436,'02300','Ugny Le Gay',436),(437,'02480','Happencourt',437),(438,'02190','Prouvais',438),(439,'02400','Azy Sur Marne',439),(440,'02880','Terny Sorny',440),(441,'02210','Droizy',441),(442,'02190','Pignicourt',442),(443,'02160','Moussy Verneuil',443),(444,'02190','Aguilcourt',444),(445,'02820','Montaigu',445),(446,'02160','Moulins',446),(447,'02310','Saulchery',447),(448,'02880','Nanteuil La Fosse',448),(449,'02190','Guignicourt',449),(450,'02880','Bucy Le Long',450),(451,'02600','Longpont',451),(452,'02600','Montgobert',452),(453,'02340','Noircourt',453),(454,'02210','Rozet Saint Albin',454),(455,'02000','Chivy Lès Étouvelles',455),(456,'02370','Chavonne',456),(457,'02330','Artonges',457),(458,'02450','Oisy',458),(459,'02880','Juvigny',459),(460,'02540','Marchais En Brie',460),(461,'02860','Bouconville Vauclair',461),(462,'02140','La Bouteille',462),(463,'02440','Ly Fontaine',463),(464,'02500','Logny Lès Aubenton',464),(465,'02350','Cuirieux',465),(466,'02510','Iron',466),(467,'02420','Joncourt',467),(468,'02500','Effry',468),(469,'02160','Jumigny',469),(470,'02340','Chaourse',470),(471,'02210','Saint Rémy Blanzy',471),(472,'02300','Beaumont En Beine',472),(473,'02210','Le Plessier Huleu',473),(474,'02420','Estrées',474),(475,'02330','Baulne En Brie',475),(476,'02300','Guivry',476),(477,'02190','Variscourt',477),(478,'02240','Châtillon Sur Oise',478),(479,'02200','Soissons',479),(480,'02480','Bray Saint Christophe',480),(481,'02120','Le Hérie La Viéville',481),(482,'02500','Aubenton',482),(483,'02880','Braye',483),(484,'02240','Brissay Choigny',484),(485,'02100','Remaucourt',485),(486,'02790','Seraucourt Le Grand',486),(487,'02190','Berry Au Bac',487),(488,'02870','Vivaise',488),(489,'02190','Proviseux Et Plesnoy',489),(490,'02300','Caumont',490),(491,'02240','Villers Le Sec',491),(492,'02210','Vichel Nanteuil',492),(493,'02120','Romery',493),(494,'02680','Fontaine Lès Clercs',494),(495,'02000','Chéry Lès Pouilly',495),(496,'02480','Pithon',496),(497,'02160','Beaurieux',497),(498,'02300','Sinceny',498),(499,'02160','Bouffignereux',499),(500,'02810','Saint Gengoulph',500),(501,'02270','Pargny Les Bois',501),(502,'02810','Montigny L\'Allier',502),(503,'02130','Beuvardes',503),(504,'02160','Cuissy Et Geny',504),(505,'02850','Reuilly Sauvigny',505),(506,'02370','Vailly Sur Aisne',506),(507,'02860','Bièvres',507),(508,'02290','Berny Rivière',508),(509,'02160','Perles',509),(510,'02540','Fontenelle En Brie',510),(511,'02300','Neuflieux',511),(512,'02820','Sainte Croix',512),(513,'02330','Pargny La Dhuys',513),(514,'02220','Brenelle',514),(515,'02690','Urvillers',515),(516,'02600','Laversine',516),(517,'02390','Origny Sainte Benoite',517),(518,'02220','Cuiry Housse',518),(519,'02450','La Neuville Lès Dorengt',519),(520,'02160','Blanzy Lès Fismes',520),(521,'02420','Hargicourt',521),(522,'02130','Villers Sur Fère',522),(523,'02500','La Hérie',523),(524,'02400','Bonnesvalyn',524),(525,'02140','Haution',525),(526,'02200','Berzy Le Sec',526),(527,'02140','La Vallée Au Blé',527),(528,'02420','Le Catelet',528),(529,'02350','Gizy',529),(530,'02260','Saint Algis',530),(531,'02300','Saint Aubin',531),(532,'02140','Bancigny',532),(533,'02130','Villeneuve Sur Fère',533),(534,'02600','Fleury',534),(535,'02220','Quincy Sous Le Mont',535),(536,'02870','Besny Et Loizy',536),(537,'02360','Chéry Lès Rozoy',537),(538,'02300','Chauny',538),(539,'02480','Sommette Eaucourt',539),(540,'02860','Lierval',540),(541,'02570','Chézy Sur Marne',541),(542,'02160','Oulches La Vallée Foulon',542),(543,'02320','Anizy Le Château',543),(544,'02160','Maizy',544),(545,'02870','Fourdrain',545),(546,'02200','Nampteuil Sous Muret',546),(547,'02000','Urcel',547),(548,'02600','Louâtre',548),(549,'02170','Barzy En Thiérache',549),(550,'02330','Condé En Brie',550),(551,'02600','Dampleux',551),(552,'02470','Sommelans',552),(553,'02490','Pontruet',553),(554,'02600','Oigny En Valois',554),(555,'02130','Loupeigne',555),(556,'02220','Lhuys',556),(557,'02500','Éparcy',557),(558,'02330','La Chapelle Monthodon',558),(559,'02290','Morsain',559),(560,'02850','Jaulgonne',560),(561,'02860','Chermizy Ailles',561),(562,'02110','Becquigny',562),(563,'02840','Festieux',563),(564,'02120','Villers Lès Guise',564),(565,'02140','Nampcelles La Cour',565),(566,'02110','Montigny En Arrouaise',566),(567,'02820','Berrieux',567),(568,'02120','Chigny',568),(569,'02210','Muret Et Crouttes',569),(570,'02120','Flavigny Le Grand Et Beaurain',570),(571,'02000','Laon',571),(572,'02360','Saint Clément',572),(573,'02270','Dercy',573),(574,'02800','Anguilcourt Le Sart',574),(575,'02160','Villers En Prayères',575),(576,'02270','Chalandry',576),(577,'02860','Laval En Laonnois',577),(578,'02800','Fressancourt',578),(579,'02140','Le Sourd',579),(580,'02110','Fontaine Notre Dame',580),(581,'02220','Chéry Chartreuve',581),(582,'02600','Mortefontaine',582),(583,'02110','Serain',583),(584,'02220','Maast Et Violaine',584),(585,'02860','Neuville Sur Ailette',585),(586,'02760','Francilly Selency',586),(587,'02310','Bézu Le Guéry',587),(588,'02250','Marle',588),(589,'02140','Lemé',589),(590,'02130','Cierges',590),(591,'02160','Craonne',591),(592,'02850','Courtemont Varennes',592),(593,'02200','Pommiers',593),(594,'02400','Gland',594),(595,'02140','Landouzy La Cour',595),(596,'02330','Montigny Lès Condé',596),(597,'02380','Leuilly Sous Coucy',597),(598,'02200','Ploisy',598),(599,'02160','Serval',599),(600,'02210','Billy Sur Ourcq',600),(601,'02200','Ambrief',601),(602,'02140','Prisces',602),(603,'02590','Roupy',603),(604,'02130','Ronchères',604),(605,'02140','Lugny',605),(606,'02810','Chézy En Orxois',606),(607,'02220','Dhuizel',607),(608,'02400','Étampes Sur Marne',608),(609,'02590','Vaux En Vermandois',609),(610,'02450','Boué',610),(611,'02800','La Fère',611),(612,'02830','Saint Michel',612),(613,'02680','Castres',613),(614,'02270','Mesbrecourt Richecourt',614),(615,'02210','Beugneux',615),(616,'02340','Clermont Les Fermes',616),(617,'02700','Condren',617),(618,'02140','Franqueville',618),(619,'02130','Arcy Sainte Restitue',619),(620,'02140','Burelles',620),(621,'02210','Rocourt Saint Martin',621),(622,'02300','Commenchon',622),(623,'02140','Voulpaix',623),(624,'02870','Bucy Lès Cerny',624),(625,'02240','Renansart',625),(626,'02370','Presles Et Boves',626),(627,'02450','Lavaqueresse',627),(628,'02880','Cuffies',628),(629,'02300','Villequier Aumont',629),(630,'02490','Vendelles',630),(631,'02490','Attilly',631),(632,'02250','Berlancourt',632),(633,'02210','Grisolles',633),(634,'02220','Courcelles Sur Vesle',634),(635,'02270','Sons Et Ronchères',635),(636,'02130','Seringes Et Nesles',636),(637,'02350','Grandlup Et Fay',637),(638,'02210','Coincy',638),(639,'02120','Marly Gomont',639),(640,'02470','Macogny',640),(641,'02290','Tartiers',641),(642,'02440','Gibercourt',642),(643,'02490','Pontru',643),(644,'02850','Trélou Sur Marne',644),(645,'02340','La Ville Aux Bois Lès Dizy',645),(646,'02700','Amigny Rouy',646),(647,'02800','Charmes',647),(648,'02540','Viffort',648),(649,'02350','Mâchecourt',649),(650,'02310','Nogent L\'Artaud',650),(651,'02220','Tannières',651),(652,'02820','Saint Erme Outre Et Ramecourt',652),(653,'02220','Jouaignes',653),(654,'02000','Vaucelles Et Beffecourt',654),(655,'02120','Lesquielles Saint Germain',655),(656,'02370','Aizy Jouy',656),(657,'02320','Faucoucourt',657),(658,'02880','Chavigny',658),(659,'02810','Veuilly La Poterie',659),(660,'02650','Mézy Moulins',660),(661,'02160','Gernicourt',661),(662,'02380','Quincy Basse',662),(663,'02130','Sergy',663),(664,'02250','Toulis Et Attencourt',664),(665,'02600','Puiseux En Retz',665),(666,'02500','Leuze',666),(667,'02650','Crézancy',667),(668,'02120','Noyales',668),(669,'02810','Marigny En Orxois',669),(670,'02590','Foreste',670),(671,'02320','Wissignicourt',671),(672,'02250','Tavaux Et Pontséricourt',672),(673,'02130','Saponay',673),(674,'02350','Ébouleau',674),(675,'02190','Orainville',675),(676,'02350','Missy Lès Pierrepont',676),(677,'02470','Neuilly Saint Front',677),(678,'02700','Tergnier',678),(679,'02460','La Ferté Milon',679),(680,'02380','Bassoles Aulers',680),(681,'02490','Le Verguier',681),(682,'02370','Ostel',682),(683,'02240','Sissy',683),(684,'02880','Leury',684),(685,'02210','La Croix Sur Ourcq',685),(686,'02200','Pernant',686),(687,'02510','Étreux',687),(688,'02220','Bruys',688),(689,'02170','Fontenelle',689),(690,'02220','Cerseuil',690),(691,'02140','Voharies',691),(692,'02600','Saint Pierre Aigle',692),(693,'02110','Saint Martin Rivière',693),(694,'02210','Nanteuil Notre Dame',694),(695,'02300','Selens',695),(696,'02860','Monthenault',696),(697,'02330','Saint Eugène',697),(698,'02000','Étouvelles',698),(699,'02600','Faverolles',699),(700,'02340','Lislet',700),(701,'02800','Vendeuil',701),(702,'02670','Folembray',702),(703,'02800','Courbes',703),(704,'02200','Chacrise',704),(705,'02220','Serches',705),(706,'02200','Acy',706),(707,'02380','Verneuil Sous Coucy',707),(708,'02220','Bazoches Sur Vesles',708),(709,'02820','Mauregny En Haye',709),(710,'02210','Hartennes Et Taux',710),(711,'02220','Vasseny',711),(712,'02160','Merval',712),(713,'02600','Corcy',713),(714,'02420','Bony',714),(715,'02210','Breny',715),(716,'02210','Brécy',716),(717,'02130','Bruyères Sur Fère',717),(718,'02520','Flavy Le Martel',718),(719,'02860','Pancy Courtecon',719),(720,'02250','Bosmont Sur Serre',720),(721,'02200','Missy Aux Bois',721),(722,'02240','Surfontaine',722),(723,'02140','Dagny Lambercy',723),(724,'02590','Lanchy',724),(725,'02320','Vaudesson',725),(726,'02600','Cœuvres Et Valsery',726),(727,'02400','Épieds',727),(728,'02200','Villeneuve Saint Germain',728),(729,'02240','Alaincourt',729),(730,'02600','Soucy',730),(731,'02360','Archon',731),(732,'02000','Pargny Filain',732),(733,'02590','Germaine',733),(734,'02250','La Neuville Housset',734),(735,'02400','Belleau',735),(736,'02220','Paars',736),(737,'02000','Laniscourt',737),(738,'02220','Sermoise',738),(739,'02000','Barenton Bugny',739),(740,'02300','Quierzy',740),(741,'02240','Cerizy',741),(742,'02270','La Ferté Chevresis',742),(743,'02110','Ramicourt',743),(744,'02810','Bussiares',744),(745,'02120','Bernot',745),(746,'02260','Lerzy',746),(747,'02840','Samoussy',747),(748,'02110','Grougis',748),(749,'02120','Macquigny',749),(750,'02260','La Flamengrie',750),(751,'02700','Servais',751),(752,'02190','Bertricourt',752),(753,'02290','Osly Courtil',753),(754,'02000','Verneuil Sur Serre',754),(755,'02800','Mayot',755),(756,'02630','Wassigny',756),(757,'02000','Barenton Cel',757),(758,'02260','Englancourt',758),(759,'02840','Athies Sous Laon',759),(760,'02260','Froidestrées',760),(761,'02190','La Malmaison',761),(762,'02300','Manicamp',762),(763,'02270','Barenton Sur Serre',763),(764,'02120','Audigny',764),(765,'02500','Ohis',765),(766,'02500','Martigny',766),(767,'02700','Barisis',767),(768,'02400','Épaux Bézu',768),(769,'02300','Abbécourt',769),(770,'02120','Hauteville',770),(771,'02440','Benay',771),(772,'02300','La Neuville En Beine',772),(773,'02120','Tupigny',773),(774,'02140','Vervins',774),(775,'02450','Dorengt',775),(776,'02140','Saint Gobert',776),(777,'02210','Parcy Et Tigny',777),(778,'02140','Saint Pierre Lès Franqueville',778),(779,'02220','Mont Notre Dame',779),(780,'02220','Mont Saint Martin',780),(781,'02400','Chierry',781),(782,'02600','Cutry',782),(783,'02250','Chevennes',783),(784,'02250','Montigny Le Franc',784),(785,'02160','Bourg Et Comin',785),(786,'02330','Saint Agnan',786),(787,'02130','Coulonges Cohan',787),(788,'02320','Prémontré',788),(789,'02820','Courtrizy Et Fussigny',789),(790,'02380','Jumencourt',790),(791,'02260','Clairfontaine',791),(792,'02420','Sequehart',792),(793,'02340','Agnicourt Et Séchelles',793),(794,'02160','Roucy',794),(795,'02110','Prémont',795),(796,'02440','Clastres',796),(797,'02850','Le Charmel',797),(798,'02320','Allemant',798),(799,'02400','Mont Saint Père',799),(800,'02360','Parfondeval',800),(801,'02880','Chivres Val',801),(802,'02420','Aubencheul Aux Bois',802),(803,'02540','Montfaucon',803),(804,'02360','Autels',804),(805,'02290','Fontenoy',805),(806,'02380','Crécy Au Mont',806),(807,'02100','Morcourt',807),(808,'02880','Neuville Sur Margival',808),(809,'02220','Cys La Commune',809),(810,'02470','Marizy Saint Mard',810),(811,'02420','Villeret',811),(812,'02190','Amifontaine',812),(813,'02110','Fontaine Uterte',813),(814,'02360','Dolignon',814),(815,'02110','Étaves Et Bocquiaux',815),(816,'02260','Rocquigny',816),(817,'02270','Mortiers',817),(818,'02360','Rozoy Sur Serre',818),(819,'02120','Malzy',819),(820,'02420','Bellenglise',820),(821,'02860','Cerny En Laonnois',821),(822,'02340','Montloué',822),(823,'02340','Sainte Geneviève',823),(824,'02500','Neuve Maison',824),(825,'02400','Bézu Saint Germain',825),(826,'02580','Étréaupont',826),(827,'02240','Berthenicourt',827),(828,'02250','Thiernu',828),(829,'02140','Laigny',829),(830,'02110','Aisonville Et Bernoville',830),(831,'02880','Crouy',831),(832,'02500','Hirson',832),(833,'02290','Bagneux',833),(834,'02250','Autremencourt',834),(835,'02540','La Celle Sous Montmirail',835),(836,'02370','Condé Sur Aisne',836),(837,'02300','Blérancourt',837),(838,'02330','Monthurel',838),(839,'02630','Petit Verly',839),(840,'02340','Soize',840),(841,'02200','Saconin Et Breuil',841),(842,'02600','Largny Sur Automne',842),(843,'02260','Sommeron',843),(844,'02840','Veslud',844),(845,'02350','Liesse Notre Dame',845),(846,'02200','Chaudun',846),(847,'02880','Vuillery',847),(848,'02100','Omissy',848),(849,'02310','Pavant',849),(850,'02880','Missy Sur Aisne',850),(851,'02480','Cugny',851),(852,'02840','Parfondru',852),(853,'02360','Coingt',853),(854,'02110','Fonsomme',854),(855,'02480','Dury',855),(856,'02000','Royaucourt Et Chailvet',856),(857,'02380','Landricourt',857),(858,'02150','Sissonne',858),(859,'02340','Berlise',859),(860,'02240','Ribemont',860),(861,'02120','Sains Richaumont',861),(862,'02000','Filain',862),(863,'02000','Chevregny',863),(864,'02860','Montchâlons',864),(865,'02810','Brumetz',865),(866,'02600','Taillefontaine',866),(867,'02300','Guny',867),(868,'02230','Fresnoy Le Grand',868),(869,'02290','Nouvron Vingré',869),(870,'02420','Magny La Fosse',870),(871,'02200','Cuisy En Almont',871),(872,'02000','Montbavin',872),(873,'02860','Vorges',873),(874,'02440','Montescourt Lizerolles',874),(875,'02160','Pont Arcy',875),(876,'02680','Grugies',876),(877,'02290','Bieuxy',877),(878,'02720','Marcy',878),(879,'02220','Braine',879),(880,'02860','Orgeval',880),(881,'02300','Marest Dampcourt',881),(882,'02250','Cilly',882),(883,'02100','Harly',883),(884,'02100','Rouvroy',884),(885,'02310','Romeny Sur Marne',885),(886,'02590','Douchy',886),(887,'02220','Vauxtin',887),(888,'02800','Rogécourt',888),(889,'02290','Montigny Lengrain',889),(890,'02140','Houry',890),(891,'02350','Pierrepont',891),(892,'02360','Dohis',892),(893,'02400','Brasles',893),(894,'02820','Aubigny En Laonnois',894),(895,'02160','Paissy',895),(896,'02800','Nouvion Le Comte',896),(897,'02270','Monceau Le Neuf Et Faucouzy',897),(898,'02360','Raillimont',898),(899,'02470','Dammard',899),(900,'02850','Passy Sur Marne',900),(901,'02420','Lempire',901),(902,'02160','Cuiry Lès Chaudardes',902),(903,'02250','Housset',903),(904,'02200','Billy Sur Aisne',904),(905,'02200','Belleu',905),(906,'02160','Pontavert',906),(907,'02340','Dizy Le Gros',907),(908,'02310','Crouttes Sur Marne',908),(909,'02200','Courmelles',909),(910,'02300','Bichancourt',910),(911,'02590','Beauvois En Vermandois',911),(912,'02470','Priez',912),(913,'02370','Chassemy',913),(914,'02400','Étrépilly',914),(915,'02480','Artemps',915),(916,'02700','Frières Faillouël',916),(917,'02120','Wiège Faty',917),(918,'02410','Saint Nicolas Aux Bois',918),(919,'02100','Gricourt',919),(920,'02400','Blesmes',920),(921,'02220','Ville Savoye',921),(922,'02200','Mercin Et Vaux',922),(923,'02270','Chevresis Monceau',923),(924,'02110','Beaurevoir',924),(925,'02290','Saint Bandry',925),(926,'02880','Vregny',926),(927,'02120','Vadencourt',927),(928,'02210','Vierzy',928),(929,'02300','Caillouël Crépigny',929),(930,'02150','Nizy Le Comte',930),(931,'02540','Vendières',931),(932,'02200','Buzancy',932),(933,'02140','Jeantes',933),(934,'02330','Connigis',934),(935,'02810','Torcy En Valois',935),(936,'02380','Coucy La Ville',936),(937,'02350','Goudelancourt Lès Pierrepont',937),(938,'02470','Passy En Valois',938),(939,'02210','Montgru Saint Hilaire',939),(940,'02390','Mont D\'Origny',940),(941,'02160','Vassogne',941),(942,'02490','Maissemy',942),(943,'02140','Rogny',943),(944,'02510','Vénérolles',944),(945,'02880','Clamecy',945),(946,'02160','Viel Arcy',946),(947,'02160','Guyencourt',947),(948,'02630','Mennevret',948),(949,'02490','Caulaincourt',949),(950,'02210','Oulchy Le Château',950),(951,'02120','Guise',951),(952,'02670','Champs',952),(953,'02350','Sainte Preuve',953),(954,'02120','Proix',954),(955,'02290','Ambleny',955),(956,'02110','Ribeauville',956),(957,'02640','Tugny Et Pont',957),(958,'02380','Fresnes',958),(959,'02000','Bourguignon Sous Montbavin',959),(960,'02390','Neuvillette',960),(961,'02820','Saint Thomas',961),(962,'02140','Marfontaine',962),(963,'02500','Besmont',963),(964,'02420','Lehaucourt',964),(965,'02240','Brissy Hamégicourt',965),(966,'02140','Plomion',966),(967,'02590','Savy',967),(968,'02120','Puisieux Et Clanlieu',968),(969,'02220','Ciry Salsogne',969),(970,'02120','Crupilly',970),(971,'02600','Dommiers',971),(972,'02590','Étreillers',972),(973,'02210','Chouy',973),(974,'02120','Landifay Et Bertaignemont',974),(975,'02460','Silly La Poterie',975),(976,'02420','Nauroy',976),(977,'02220','Limé',977),(978,'02590','Aubigny Aux Kaisnes',978),(979,'02840','Monceau Le Waast',979),(980,'02360','Cuiry Lès Iviers',980),(981,'02240','Regny',981),(982,'02590','Villers Saint Christophe',982),(983,'02000','Chaillevois',983),(984,'02130','Vézilly',984),(985,'02150','Lappion',985),(986,'02130','Fresnes En Tardenois',986),(987,'02210','Grand Rozoy',987),(988,'02190','Condé Sur Suippe',988),(989,'02330','Celles Lès Condé',989),(990,'02320','Cessières',990),(991,'02330','Courboin',991),(992,'02400','Verdilly',992),(993,'02580','Sorbais',993),(994,'02140','Thenailles',994),(995,'02190','Menneville',995),(996,'02400','Bonneil',996),(997,'02270','Couvron Et Aumencourt',997),(998,'02000','Chavignon',998),(999,'02810','Gandelu',999),(1000,'02340','Le Thuel',1000),(1001,'02410','Septvaux',1001),(1002,'02190','Neufchâtel Sur Aisne',1002),(1003,'02350','Boncourt',1003),(1004,'02000','Monampteuil',1004),(1005,'02310','Villiers Saint Denis',1005),(1006,'02160','Glennes',1006),(1007,'02480','Jussy',1007),(1008,'02110','Croix Fonsomme',1008),(1009,'02800','Bertaucourt Epourdon',1009),(1010,'02500','Bucilly',1010),(1011,'02220','Saint Thibaut',1011),(1012,'02140','Landouzy La Ville',1012),(1013,'02820','Goudelancourt Lès Berrieux',1013),(1014,'02860','Colligis Crandelain',1014),(1015,'02400','Nesles La Montagne',1015),(1016,'02260','La Capelle',1016),(1017,'02820','Aizelles',1017),(1018,'02490','Vermand',1018),(1019,'02400','Monthiers',1019),(1020,'02250','Saint Pierremont',1020),(1021,'02370','Celles Sur Aisne',1021),(1022,'02190','Évergnicourt',1022),(1023,'02650','Fossoy',1023),(1024,'02160','Muscourt',1024),(1025,'02160','Chaudardes',1025),(1026,'02440','Remigny',1026),(1027,'02000','Mons En Laonnois',1027),(1028,'02310','Charly Sur Marne',1028),(1029,'02400','Château Thierry',1029),(1030,'02840','Eppes',1030),(1031,'02200','Vauxrezis',1031),(1032,'02270','Châtillon Lès Sons',1032),(1033,'02600','Vivières',1033),(1034,'02600','Coyolles',1034),(1035,'02200','Rozières Sur Crise',1035),(1036,'02390','Thenelles',1036),(1037,'02400','Nogentel',1037),(1038,'02570','La Chapelle Sur Chézy',1038),(1039,'02160','Concevreux',1039),(1040,'02360','Grandrieux',1040),(1041,'02550','Origny En Thiérache',1041),(1042,'02800','Achery',1042),(1043,'02100','Lesdins',1043),(1044,'02700','Liez',1044),(1045,'02600','Haramont',1045),(1046,'02700','Mennessis',1046),(1047,'02420','Levergies',1047),(1048,'02480','Ollezy',1048),(1049,'02120','Colonfay',1049),(1050,'02200','Vauxbuin',1050),(1051,'02110','La Vallée Mulâtre',1051),(1052,'02160','Révillon',1052),(1053,'02830','Watigny',1053),(1054,'02120','Grand Verly',1054),(1055,'02460','Troësnes',1055),(1056,'02270','Nouvion Et Catillon',1056),(1057,'02600','Villers Hélon',1057),(1058,'02620','Buironfosse',1058),(1059,'02810','Courchamps',1059),(1060,'02200','Noyant Et Aconin',1060),(1061,'02640','Saint Simon',1061),(1062,'02800','Beautor',1062),(1063,'02860','Presles Et Thierny',1063),(1064,'02270','Monceau Lès Leups',1064),(1065,'02340','Montcornet',1065),(1066,'02540','Viels Maisons',1066),(1067,'02470','Marizy Sainte Geneviève',1067),(1068,'02580','Autreppes',1068),(1069,'02610','Moÿ De L\'Aisne',1069),(1070,'02500','Any Martin Rieux',1070),(1071,'02170','Esquéhéries',1071),(1072,'02300','Trosly Loire',1072),(1073,'02100','Fayet',1073),(1074,'02140','Harcigny',1074),(1075,'02240','Itancourt',1075),(1076,'02870','Brie',1076),(1077,'02440','Hinacourt',1077),(1078,'02210','Latilly',1078),(1079,'02760','Holnon',1079),(1080,'02350','Marchais',1080),(1081,'02240','Parpeville',1081),(1082,'02290','Vic Sur Aisne',1082),(1083,'02340','Vigneux Hocquet',1083),(1084,'02290','Vézaponin',1084),(1085,'02140','Braye En Thiérache',1085),(1086,'02600','Retheuil',1086),(1087,'02450','Fesmy Le Sart',1087),(1088,'02820','Corbeny',1088),(1089,'02590','Fluquières',1089),(1090,'02380','Pont Saint Mard',1090),(1091,'02330','Montlevon',1091),(1092,'02290','Épagny',1092),(1093,'02340','Vincy Reuil Et Magny',1093),(1094,'02250','Montigny Sous Marle',1094),(1095,'02270','Bois Lès Pargny',1095),(1096,'02340','Renneval',1096),(1097,'02800','Travecy',1097),(1098,'02220','Lesges',1098),(1099,'02270','Crécy Sur Serre',1099),(1100,'02150','La Selve',1100),(1101,'02100','Neuville Saint Amand',1101),(1102,'02400','Bouresches',1102),(1103,'02500','Beaume',1103),(1104,'02170','Le Nouvion En Thiérache',1104),(1105,'02250','Erlon',1105),(1106,'02300','Viry Noureuil',1106),(1107,'02320','Lizy',1107),(1108,'02130','Dravegny',1108),(1109,'02320','Suzy',1109),(1110,'02700','Deuillet',1110),(1111,'02000','Molinchart',1111),(1112,'02160','La Ville Aux Bois Lès Pontavert',1112),(1113,'02860','Arrancy',1113),(1114,'02290','Saint Christophe À Berry',1114),(1115,'02140','Gronard',1115),(1116,'02870','Crépy',1116),(1117,'02860','Bruyères Et Montbérault',1117),(1118,'02300','Béthancourt En Vaux',1118),(1119,'02320','Vauxaillon',1119),(1120,'02400','Chartèves',1120),(1121,'02250','Marcy Sous Marle',1121),(1122,'02000','Clacy Et Thierret',1122),(1123,'02130','Goussancourt',1123),(1124,'02880','Margival',1124),(1125,'02850','Barzy Sur Marne',1125),(1126,'02320','Pinon',1126),(1127,'02320','Brancourt En Laonnois',1127),(1128,'02290','Vassens',1128),(1129,'02690','Essigny Le Grand',1129),(1130,'02860','Chérêt',1130),(1131,'02100','Essigny Le Petit',1131),(1132,'02130','Mareuil En Dôle',1132),(1133,'02100','Saint Quentin',1133),(1134,'02420','Vendhuile',1134),(1135,'02680','Contescourt',1135),(1136,'02470','Monnes',1136),(1137,'02310','Domptin',1137),(1138,'02300','Besmé',1138),(1139,'02160','Vauxcéré',1139),(1140,'02110','Molain',1140),(1141,'02860','Ployart Et Vaurseine',1141),(1142,'02810','Hautevesnes',1142),(1143,'02220','Couvrelles',1143),(1144,'02500','Buire',1144),(1145,'02000','Aulnois Sous Laon',1145),(1146,'02130','Courmont',1146),(1147,'02160','Pargnan',1147),(1148,'02860','Martigny Courpierre',1148),(1149,'02220','Saint Mard',1149),(1150,'02380','Coucy Le Château Auffrique',1150),(1151,'02680','Dallon',1151),(1152,'02210','Armentières Sur Ourcq',1152),(1153,'02240','Mézières Sur Oise',1153),(1154,'02450','Bergues Sur Sambre',1154),(1155,'02250','La Neuville Bosmont',1155),(1156,'02310','Montreuil Aux Lions',1156),(1157,'02160','Meurival',1157),(1158,'02200','Septmonts',1158),(1159,'02240','Pleine Selve',1159),(1160,'02420','Bellicourt',1160),(1161,'02600','Ancienville',1161),(1162,'02170','Leschelle',1162),(1163,'02110','Fieulaine',1163),(1164,'02130','Villers Agron Aiguizy',1164),(1165,'02130','Fère En Tardenois',1165),(1166,'02130','Cramaille',1166),(1167,'02720','Homblières',1167),(1168,'02300','Ognes',1168),(1169,'02420','Gouy',1169),(1170,'02290','Ressons Le Long',1170),(1171,'02350','Bucy Lès Pierrepont',1171),(1172,'02860','Nouvion Le Vineux',1172),(1173,'02540','Rozoy Bellevalle',1173),(1174,'02360','Rouvroy Sur Serre',1174),(1175,'02800','Versigny',1175),(1176,'02270','Assis Sur Serre',1176),(1177,'02110','Vaux Andigny',1177),(1178,'02140','Fontaine Lès Vervins',1178),(1179,'02500','Luzoir',1179),(1180,'02110','Montbrehain',1180),(1181,'02260','Erloy',1181),(1182,'02260','Papleux',1182),(1183,'02110','Seboncourt',1183),(1184,'02510','Hannapes',1184),(1185,'02120','Monceau Sur Oise',1185),(1186,'02270','Froidmont Cohartille',1186),(1187,'02360','Résigny',1187),(1188,'02240','Séry Lès Mézières',1188),(1189,'02000','Merlieux Et Fouquerolles',1189),(1190,'02540','L\'Épine Aux Bois',1190),(1191,'02800','Andelain',1191),(1192,'02490','Jeancourt',1192),(1193,'02570','Essises',1193),(1194,'02600','Villers Cotterêts',1194),(1195,'02160','Soupir',1195),(1196,'02300','Camelin',1196),(1197,'02160','Longueval Barbonval',1197),(1198,'02260','Gergny',1198),(1199,'02110','Bohain En Vermandois',1199),(1200,'02500','Wimy',1200),(1201,'02500','Mondrepuis',1201),(1202,'02860','Chamouille',1202),(1203,'02140','Rougeries',1203),(1204,'02140','Hary',1204),(1205,'02360','Iviers',1205),(1206,'02600','Noroy Sur Ourcq',1206),(1207,'02800','Danizy',1207),(1208,'02430','Gauchy',1208),(1209,'02880','Laffaux',1209),(1210,'02270','Pouilly Sur Serre',1210),(1211,'02860','Trucy',1211),(1212,'02350','Vesles Et Caumont',1212),(1213,'02210','Oulchy La Ville',1213),(1214,'02300','Bourguignon Sous Coucy',1214),(1215,'02840','Coucy Lès Eppes',1215),(1216,'02190','Juvincourt Et Damary',1216),(1217,'02490','Trefcon',1217),(1218,'02250','Voyenne',1218),(1219,'02210','Launoy',1219),(1220,'02160','Craonnelle',1220),(1221,'02160','Vendresse Beaulne',1221),(1222,'02000','Braye En Laonnois',1222),(1223,'02880','Sancy Les Cheminots',1223),(1224,'02270','Remies',1224),(1225,'02300','Pierremande',1225),(1226,'02870','Cerny Lès Bucy',1226),(1227,'02200','Pasly',1227),(1228,'02300','Autreville',1228),(1229,'02160','Œuilly',1229),(1230,'02300','Saint Paul Aux Bois',1230),(1231,'02400','Lucy Le Bocage',1231),(1232,'02310','Coupru',1232),(1233,'02220','Augy',1233),(1234,'02400','Essômes Sur Marne',1234),(1235,'02200','Venizel',1235),(1236,'03320','Neure',1236),(1237,'03120','Andelaroche',1237),(1238,'03320','Limoise',1238),(1239,'03110','Vendat',1239),(1240,'03500','Louchy Montfand',1240),(1241,'03630','Désertines',1241),(1242,'03130','Montaiguët En Forez',1242),(1243,'03270','Saint Yorre',1243),(1244,'03230','Garnat Sur Engièvre',1244),(1245,'03250','Arronnes',1245),(1246,'03140','Chezelle',1246),(1247,'03120','Châtelus',1247),(1248,'03230','La Chapelle Aux Chasses',1248),(1249,'03370','Saint Palais',1249),(1250,'03140','Fleuriel',1250),(1251,'03310','Lavault Sainte Anne',1251),(1252,'03500','Bayet',1252),(1253,'03120','Servilly',1253),(1254,'03210','Châtillon',1254),(1255,'03380','Huriel',1255),(1256,'03240','Deux Chaises',1256),(1257,'03390','Saint Priest En Murat',1257),(1258,'03310','Villebret',1258),(1259,'03130','Neuilly En Donjon',1259),(1260,'03420','Saint Fargeol',1260),(1261,'03360','Isle Et Bardais',1261),(1262,'03410','Domérat',1262),(1263,'03140','Taxat Senat',1263),(1264,'03210','Saint Menoux',1264),(1265,'03380','Archignat',1265),(1266,'03470','Saligny Sur Roudon',1266),(1267,'03500','Montord',1267),(1268,'03210','Souvigny',1268),(1269,'03190','Louroux Hodement',1269),(1270,'03600','Hyds',1270),(1271,'03440','Buxières Les Mines',1271),(1272,'03230','Beaulon',1272),(1273,'03330','Valignat',1273),(1274,'03170','Doyet',1274),(1275,'03190','Vallon En Sully',1275),(1276,'03360','Meaulne',1276),(1277,'03160','Bourbon L\'Archambault',1277),(1278,'03310','Néris Les Bains',1278),(1279,'03250','Lavoine',1279),(1280,'03130','Liernolles',1280),(1281,'03210','Meillers',1281),(1282,'03120','Arfeuilles',1282),(1283,'03150','Boucé',1283),(1284,'03410','Teillet Argenty',1284),(1285,'03400','Yzeure',1285),(1286,'03800','Gannat',1286),(1287,'03130','Loddes',1287),(1288,'03450','Chouvigny',1288),(1289,'03340','La Ferté Hauterive',1289),(1290,'03110','Espinasse Vozelle',1290),(1291,'03000','Neuvy',1291),(1292,'03390','Chappes',1292),(1293,'03350','Theneuille',1293),(1294,'03400','Saint Ennemond',1294),(1295,'03100','Montluçon',1295),(1296,'03360','Vitray',1296),(1297,'03240','Cressanges',1297),(1298,'03210','Autry Issards',1298),(1299,'03370','Viplaix',1299),(1300,'03370','Chazemais',1300),(1301,'03130','Saint Léger Sur Vouzance',1301),(1302,'03210','Besson',1302),(1303,'03370','Mesples',1303),(1304,'03250','Ferrières Sur Sichon',1304),(1305,'03240','Le Montet',1305),(1306,'03220','Treteau',1306),(1307,'03360','Saint Bonnet Tronçais',1307),(1308,'03360','Ainay Le Château',1308),(1309,'03360','Braize',1309),(1310,'03220','Vaumas',1310),(1311,'03360','Valigny',1311),(1312,'03110','Saint Rémy En Rollat',1312),(1313,'03000','Montilly',1313),(1314,'03420','Arpheuilles Saint Priest',1314),(1315,'03390','Saint Bonnet De Four',1315),(1316,'03170','Chamblet',1316),(1317,'03600','Colombier',1317),(1318,'03230','Paray Le Frésil',1318),(1319,'03140','Saint Germain De Salles',1319),(1320,'03350','Le Brethon',1320),(1321,'03250','Le Mayet De Montagne',1321),(1322,'03390','Beaune D\'Allier',1322),(1323,'03220','Thionne',1323),(1324,'03340','Gouise',1324),(1325,'03000','Bressolles',1325),(1326,'03150','Montoldre',1326),(1327,'03150','Saint Loup',1327),(1328,'03140','Fourilles',1328),(1329,'03130','Le Bouchaud',1329),(1330,'03210','Gipcy',1330),(1331,'03410','Saint Victor',1331),(1332,'03340','Neuilly Le Réal',1332),(1333,'03120','Saint Christophe',1333),(1334,'03340','Mercy',1334),(1335,'03800','Le Mayet D\'École',1335),(1336,'03370','Chambérat',1336),(1337,'03500','Monétay Sur Allier',1337),(1338,'03600','Malicorne',1338),(1339,'03500','Verneuil En Bourbonnais',1339),(1340,'03220','Cindré',1340),(1341,'03700','Bellerive Sur Allier',1341),(1342,'03120','Périgny',1342),(1343,'03120','Barrais Bussolles',1343),(1344,'03120','Saint Prix',1344),(1345,'03390','Blomard',1345),(1346,'03130','Luneau',1346),(1347,'03230','Saint Martin Des Lais',1347),(1348,'03370','Courçais',1348),(1349,'03800','Saulzet',1349),(1350,'03140','Ussel D\'Allier',1350),(1351,'42620','Saint Pierre Laval',1351),(1352,'03420','Marcillat En Combraille',1352),(1353,'03110','Saint Didier La Forêt',1353),(1354,'03800','Mazerier',1354),(1355,'03310','Durdat Larequille',1355),(1356,'03800','Monteignet Sur L\'Andelot',1356),(1357,'03800','Saint Priest D\'Andelot',1357),(1358,'03400','Gennetines',1358),(1359,'03270','Busset',1359),(1360,'03190','Givarlais',1360),(1361,'03330','Échassières',1361),(1362,'03220','Châtelperron',1362),(1363,'03800','Charmes',1363),(1364,'03430','Villefranche D\'Allier',1364),(1365,'03700','Brugheas',1365),(1366,'03380','Saint Martinien',1366),(1367,'03120','Le Breuil',1367),(1368,'03500','Saint Pourçain Sur Sioule',1368),(1369,'03390','Sazeret',1369),(1370,'03200','Vichy',1370),(1371,'03390','Vernusse',1371),(1372,'03220','Jaligny Sur Besbre',1372),(1373,'03120','Droiturier',1373),(1374,'03200','Le Vernet',1374),(1375,'03190','Hérisson',1375),(1376,'03140','Deneuille Lès Chantelle',1376),(1377,'03000','Coulandon',1377),(1378,'03300','Molles',1378),(1379,'03340','Saint Gérand De Vaux',1379),(1380,'03130','Avrilly',1380),(1381,'03220','Varennes Sur Tèche',1381),(1382,'03320','Le Veurdre',1382),(1383,'03190','Nassigny',1383),(1384,'03360','Urçay',1384),(1385,'03170','Deneuille Les Mines',1385),(1386,'03330','Bellenaves',1386),(1387,'03270','Hauterive',1387),(1388,'03380','Treignat',1388),(1389,'03210','Noyant D\'Allier',1389),(1390,'03460','Bagneux',1390),(1391,'03220','Saint Voir',1391),(1392,'03500','Bransat',1392),(1393,'03240','Le Theil',1393),(1394,'03130','Le Donjon',1394),(1395,'03340','Montbeugny',1395),(1396,'03600','Louroux De Beaune',1396),(1397,'03150','Sanssat',1397),(1398,'03600','Commentry',1398),(1399,'03110','Cognat Lyonne',1399),(1400,'03260','Seuillet',1400),(1401,'03800','Poëzat',1401),(1402,'03190','Estivareilles',1402),(1403,'03300','La Chapelle',1403),(1404,'03120','Isserpent',1404),(1405,'03370','Saint Désiré',1405),(1406,'03130','Montcombroux Les Mines',1406),(1407,'03430','Vieure',1407),(1408,'03160','Saint Aubin Le Monial',1408),(1409,'03470','Monétay Sur Loire',1409),(1410,'03130','Bert',1410),(1411,'03260','Saint Félix',1411),(1412,'03170','Saint Angel',1412),(1413,'03110','Serbannes',1413),(1414,'03140','Barberier',1414),(1415,'03240','Treban',1415),(1416,'03500','Laféline',1416),(1417,'03800','Biozat',1417),(1418,'03380','Quinssaines',1418),(1419,'03160','Ygrande',1419),(1420,'03110','Escurolles',1420),(1421,'03190','Venas',1421),(1422,'03190','Vaux',1422),(1423,'03150','Rongères',1423),(1424,'03390','Montmarault',1424),(1425,'03410','Prémilhat',1425),(1426,'03340','Chapeau',1426),(1427,'03380','Lamaids',1427),(1428,'03250','Laprugne',1428),(1429,'03800','Saint Bonnet De Rochefort',1429),(1430,'03360','Lételon',1430),(1431,'03250','Nizerolles',1431),(1432,'03460','Villeneuve Sur Allier',1432),(1433,'03190','Verneix',1433),(1434,'03370','Saint Éloy D\'Allier',1434),(1435,'03230','Gannay Sur Loire',1435),(1436,'03190','Audes',1436),(1437,'03450','Nades',1437),(1438,'03510','Molinet',1438),(1439,'03130','Saint Didier En Donjon',1439),(1440,'03500','Châtel De Neuvre',1440),(1441,'03220','Saint Léon',1441),(1442,'03320','Lurcy Lévis',1442),(1443,'03500','Meillard',1443),(1444,'03220','Chavroches',1444),(1445,'03390','Murat',1445),(1446,'03320','Château Sur Allier',1446),(1447,'03170','Bézenet',1447),(1448,'03420','Ronnet',1448),(1449,'03140','Target',1449),(1450,'03140','Chareil Cintrat',1450),(1451,'03420','Mazirat',1451),(1452,'03320','Pouzy Mésangy',1452),(1453,'03160','Saint Léopardin D\'Augy',1453),(1454,'03440','Saint Hilaire',1454),(1455,'03190','Maillet',1455),(1456,'03130','Lenax',1456),(1457,'03420','La Petite Marche',1457),(1458,'03420','Sainte Thérence',1458),(1459,'03330','Coutansouze',1459),(1460,'03210','Agonges',1460),(1461,'03450','Vicq',1461),(1462,'03300','Bost',1462),(1463,'03200','Abrest',1463),(1464,'03260','Billy',1464),(1465,'03250','Saint Clément',1465),(1466,'03300','Saint Étienne De Vicq',1466),(1467,'03160','Saint Plaisir',1467),(1468,'03210','Chemilly',1468),(1469,'03190','Reugny',1469),(1470,'03260','Magnet',1470),(1471,'03120','Lapalisse',1471),(1472,'03370','Saint Sauvier',1472),(1473,'03120','Billezois',1473),(1474,'03430','Cosne D\'Allier',1474),(1475,'03330','Chirat L\'Église',1475),(1476,'03000','Avermes',1476),(1477,'03140','Voussac',1477),(1478,'03290','Saint Pourçain Sur Besbre',1478),(1479,'03290','Diou',1479),(1480,'03110','Broût Vernet',1480),(1481,'03380','La Chapelaude',1481),(1482,'03150','Langy',1482),(1483,'03260','Saint Germain Des Fossés',1483),(1484,'03140','Charroux',1484),(1485,'03450','Sussat',1485),(1486,'03450','Veauce',1486),(1487,'03330','Naves',1487),(1488,'03460','Aubigny',1488),(1489,'03450','Lalizolle',1489),(1490,'03500','Saulcet',1490),(1491,'03250','Châtel Montagne',1491),(1492,'03170','Bizeneuille',1492),(1493,'03420','Terjat',1493),(1494,'03460','Aurouër',1494),(1495,'03160','Couzon',1495),(1496,'03300','Cusset',1496),(1497,'03140','Monestier',1497),(1498,'03150','Saint Gérand Le Puy',1498),(1499,'03420','Saint Marcel En Marcillat',1499),(1500,'03460','Trévol',1500),(1501,'03350','Le Vilhain',1501),(1502,'03230','Lusigny',1502),(1503,'03390','Saint Marcel En Murat',1503),(1504,'03150','Créchy',1504),(1505,'03440','Chavenon',1505),(1506,'03210','Marigny',1506),(1507,'03220','Trézelles',1507),(1508,'03600','La Celle',1508),(1509,'03110','Saint Pont',1509),(1510,'03470','Coulanges',1510),(1511,'03240','Saint Sornin',1511),(1512,'03300','Creuzier Le Vieux',1512),(1513,'03150','Montaigu Le Blin',1513),(1514,'03320','Couleuvre',1514),(1515,'03000','Moulins',1515),(1516,'03450','Ébreuil',1516),(1517,'03130','Le Pin',1517),(1518,'03800','Bègues',1518),(1519,'03250','La Chabanne',1519),(1520,'03250','Saint Nicolas Des Biefs',1520),(1521,'03140','Chantelle',1521),(1522,'03510','Chassenard',1522),(1523,'03340','Bessay Sur Allier',1523),(1524,'03350','Louroux Bourbonnais',1524),(1525,'03500','Loriges',1525),(1526,'03400','Toulon Sur Allier',1526),(1527,'03270','Mariol',1527),(1528,'03230','Chézy',1528),(1529,'03230','Thiel Sur Acolin',1529),(1530,'03240','Tronget',1530),(1531,'03800','Jenzat',1531),(1532,'03240','Rocles',1532),(1533,'03210','Bresnay',1533),(1534,'03250','La Guillermie',1534),(1535,'03430','Sauvagny',1535),(1536,'03350','Cérilly',1536),(1537,'03220','Sorbier',1537),(1538,'03500','Contigny',1538),(1539,'03500','Cesset',1539),(1540,'03500','Paray Sous Briailles',1540),(1541,'03170','Montvicq',1541),(1542,'03190','Saint Caprais',1542),(1543,'03150','Varennes Sur Allier',1543),(1544,'03300','Creuzier Le Neuf',1544),(1545,'03160','Franchesse',1545),(1546,'03290','Dompierre Sur Besbre',1546),(1547,'03140','Étroussat',1547),(1548,'03110','Charmeil',1548),(1549,'03230','Chevagnes',1549),(1550,'03470','Pierrefitte Sur Loire',1550),(1551,'03310','Saint Genest',1551),(1552,'03430','Tortezais',1552),(1553,'03330','Louroux De Bouble',1553),(1554,'03410','Lignerolles',1554),(1555,'03260','Marcenat',1555),(1556,'04000','La Robine Sur Galabre',1556),(1557,'04250','Turriers',1557),(1558,'04200','Thèze',1558),(1559,'04120','Rougon',1559),(1560,'04330','Blieux',1560),(1561,'04200','Valbelle',1561),(1562,'04270','Saint Jeannet',1562),(1563,'04500','Quinson',1563),(1564,'04190','Mées',1564),(1565,'04170','La Mure Argens',1565),(1566,'04200','Curel',1566),(1567,'04180','Villeneuve',1567),(1568,'04600','Montfort',1568),(1569,'06260','La Rochette',1569),(1570,'04200','Vaumeilh',1570),(1571,'04000','Entrages',1571),(1572,'04140','Seyne',1572),(1573,'04420','Marcoux',1573),(1574,'04370','Colmars',1574),(1575,'04200','Châteauneuf Miravail',1575),(1576,'04300','Forcalquier',1576),(1577,'04110','Vachères',1577),(1578,'04270','Saint Julien D\'Asse',1578),(1579,'04510','Mirabeau',1579),(1580,'04320','Entrevaux',1580),(1581,'04300','Dauphin',1581),(1582,'06260','Saint Pierre',1582),(1583,'04700','Puimichel',1583),(1584,'04320','Sausses',1584),(1585,'04240','Braux',1585),(1586,'04250','Faucon Du Caire',1586),(1587,'04300','Saint Maime',1587),(1588,'04200','Saint Geniez',1588),(1589,'04700','Le Castellet',1589),(1590,'04400','Enchastrayes',1590),(1591,'04510','Aiglun',1591),(1592,'05110','Claret',1592),(1593,'04870','Saint Martin Les Eaux',1593),(1594,'04510','Le Chaffaut Saint Jurson',1594),(1595,'04150','Revest Du Bion',1595),(1596,'04150','La Rochegiron',1596),(1597,'04330','Clumanc',1597),(1598,'04120','Demandolx',1598),(1599,'04400','Thuiles',1599),(1600,'04230','Saint Étienne Les Orgues',1600),(1601,'04230','Ongles',1601),(1602,'04500','Montagnac Montpezat',1602),(1603,'04120','La Palud Sur Verdon',1603),(1604,'04340','Saint Vincent Les Forts',1604),(1605,'04700','La Brillanne',1605),(1606,'04300','Pierrerue',1606),(1607,'04330','Tartonne',1607),(1608,'04320','Val De Chalvagne',1608),(1609,'04200','Entrepierres',1609),(1610,'04110','Aubenas Les Alpes',1610),(1611,'04540','Meyronnes',1611),(1612,'04170','Thorame Basse',1612),(1613,'04150','Montsalier',1613),(1614,'04500','Saint Laurent Du Verdon',1614),(1615,'04550','Allemagne En Provence',1615),(1616,'04110','Montfuron',1616),(1617,'04870','Saint Michel L\'Observatoire',1617),(1618,'04120','Soleilhas',1618),(1619,'04540','Larche',1619),(1620,'04860','Pierrevert',1620),(1621,'04500','Sainte Croix Du Verdon',1621),(1622,'04130','Volx',1622),(1623,'04530','Saint Paul Sur Ubaye',1623),(1624,'04200','Sigoyer',1624),(1625,'04380','Le Castellard Mélan',1625),(1626,'04200','Bevons',1626),(1627,'04200','Aubignosc',1627),(1628,'04250','Clamensane',1628),(1629,'04160','L\'Escale',1629),(1630,'04160','Château Arnoux Saint Auban',1630),(1631,'04420','Archail',1631),(1632,'04330','Saint Jacques',1632),(1633,'04250','Châteaufort',1633),(1634,'04150','L\'Hospitalet',1634),(1635,'04110','Villemus',1635),(1636,'04300','Niozelles',1636),(1637,'04140','Le Vernet',1637),(1638,'04510','Mallemoisson',1638),(1639,'04110','Oppedette',1639),(1640,'04340','Le Lauzet Ubaye',1640),(1641,'04330','Barrême',1641),(1642,'04250','Valavoire',1642),(1643,'04230','Cruis',1643),(1644,'04850','Jausiers',1644),(1645,'04300','Mane',1645),(1646,'04550','Esparron De Verdon',1646),(1647,'04150','Simiane La Rotonde',1647),(1648,'04140','Montclar',1648),(1649,'04270','Estoublon',1649),(1650,'04120','La Garde',1650),(1651,'04410','Puimoisson',1651),(1652,'04250','Bellaffaire',1652),(1653,'04250','La Motte Du Caire',1653),(1654,'04110','Montjustin',1654),(1655,'04500','Riez',1655),(1656,'04270','Bras D\'Asse',1656),(1657,'04220','Sainte Tulle',1657),(1658,'04150','Redortiers',1658),(1659,'04260','Allos',1659),(1660,'04170','Moriez',1660),(1661,'04360','Moustiers Sainte Marie',1661),(1662,'04150','Saumane',1662),(1663,'04200','Mison',1663),(1664,'04310','Peyruis',1664),(1665,'04140','Verdaches',1665),(1666,'04240','Ubraye',1666),(1667,'04340','La Bréole',1667),(1668,'04380','Thoard',1668),(1669,'04240','Saint Benoît',1669),(1670,'04270','Beynes',1670),(1671,'04200','Valernes',1671),(1672,'04350','Malijai',1672),(1673,'04700','Lurs',1673),(1674,'04140','Auzet',1674),(1675,'04200','Châteauneuf Val Saint Donat',1675),(1676,'04230','Mallefougasse Augès',1676),(1677,'04330','Saint Lions',1677),(1678,'04170','Angles',1678),(1679,'04250','Nibles',1679),(1680,'04230','Revest Saint Martin',1680),(1681,'04110','Reillanne',1681),(1682,'04170','Allons',1682),(1683,'04120','Castellane',1683),(1684,'04310','Ganagobie',1684),(1685,'04290','Volonne',1685),(1686,'04230','Montlaux',1686),(1687,'04700','Oraison',1687),(1688,'04170','Saint André Les Alpes',1688),(1689,'04170','Vergons',1689),(1690,'04300','Sigonce',1690),(1691,'04330','Chaudon Norante',1691),(1692,'04140','Barles',1692),(1693,'04250','Gigors',1693),(1694,'05160','Pontis',1694),(1695,'04300','Limans',1695),(1696,'04340','Méolans Revel',1696),(1697,'04230','Lardiers',1697),(1698,'04200','Authon',1698),(1699,'04420','Prads Haute Bléone',1699),(1700,'04270','Mézel',1700),(1701,'04400','Uvernet Fours',1701),(1702,'04400','Barcelonnette',1702),(1703,'04400','Faucon De Barcelonnette',1703),(1704,'04210','Valensole',1704),(1705,'04290','Salignac',1705),(1706,'04220','Corbières',1706),(1707,'04420','Le Brusquet',1707),(1708,'04250','Le Caire',1708),(1709,'04200','Sisteron',1709),(1710,'04420','La Javie',1710),(1711,'04200','Noyers Sur Jabron',1711),(1712,'04170','Lambruisse',1712),(1713,'04530','La Condamine Châtelard',1713),(1714,'04410','Saint Jurs',1714),(1715,'04150','Banon',1715),(1716,'05130','Venterol',1716),(1717,'04320','Castellet Lès Sausses',1717),(1718,'04100','Manosque',1718),(1719,'04420','Beaujeu',1719),(1720,'04370','Beauvezer',1720),(1721,'04240','Le Fugeret',1721),(1722,'04460','Selonnet',1722),(1723,'04330','Senez',1723),(1724,'04270','Châteauredon',1724),(1725,'04800','Saint Martin De Brômes',1725),(1726,'04500','Roumoules',1726),(1727,'05130','Piégut',1727),(1728,'04210','Brunet',1728),(1729,'04250','Melve',1729),(1730,'04170','Saint Julien Du Verdon',1730),(1731,'04420','Draix',1731),(1732,'04230','Fontienne',1732),(1733,'04380','Hautes Duyes',1733),(1734,'04200','Saint Vincent Sur Jabron',1734),(1735,'04660','Champtercier',1735),(1736,'04280','Céreste',1736),(1737,'04240','Méailles',1737),(1738,'04700','Entrevennes',1738),(1739,'04000','Digne Les Bains',1739),(1740,'04200','Peipin',1740),(1741,'04170','Thorame Haute',1741),(1742,'04120','Peyroules',1742),(1743,'04150','Revest Des Brousses',1743),(1744,'04800','Gréoux Les Bains',1744),(1745,'04140','Saint Martin Lès Seyne',1745),(1746,'04250','Bayons',1746),(1747,'04110','Sainte Croix À Lauze',1747),(1748,'04380','Barras',1748),(1749,'04400','Saint Pons',1749),(1750,'05110','Curbans',1750),(1751,'04640','Villars Colmars',1751),(1752,'04200','Omergues',1752),(1753,'04240','Annot',1753),(1754,'04270','Majastres',1754),(1755,'04290','Sourribes',1755),(1756,'05300','Salérans',1756),(1757,'05600','Risoul',1757),(1758,'05400','Veynes',1758),(1759,'05110','Monêtier Allemont',1759),(1760,'05190','Remollon',1760),(1761,'05160','Saint Apollinaire',1761),(1762,'05400','Montmaur',1762),(1763,'05400','Rabou',1763),(1764,'05400','La Roche Des Arnauds',1764),(1765,'05110','Barcillonnette',1765),(1766,'05230','La Bâtie Neuve',1766),(1767,'05100','Montgenèvre',1767),(1768,'05400','Manteyer',1768),(1769,'05100','Cervières',1769),(1770,'05110','La Saulce',1770),(1771,'05290','Vallouise',1771),(1772,'05100','Puy Saint André',1772),(1773,'05250','Saint Étienne En Dévoluy',1773),(1774,'05000','La Rochette',1774),(1775,'05230','Montgardin',1775),(1776,'05330','Saint Chaffrey',1776),(1777,'05140','Saint Julien En Beauchêne',1777),(1778,'05800','Saint Firmin',1778),(1779,'05400','Chabestan',1779),(1780,'05100','Val Des Prés',1780),(1781,'05150','Sorbiers',1781),(1782,'05260','Champoléon',1782),(1783,'05190','Espinasses',1783),(1784,'05600','Saint Crépin',1784),(1785,'05500','Saint Laurent Du Cros',1785),(1786,'05500','Poligny',1786),(1787,'05700','Méreuil',1787),(1788,'05260','Chabottes',1788),(1789,'05150','Montmorin',1789),(1790,'05700','Étoile Saint Cyrice',1790),(1791,'05460','Ristolas',1791),(1792,'05350','Arvieux',1792),(1793,'05230','Prunières',1793),(1794,'05800','La Chapelle En Valgaudémar',1794),(1795,'05000','Neffes',1795),(1796,'05170','Orcières',1796),(1797,'05340','Pelvoux',1797),(1798,'05500','Bénévent Et Charbillac',1798),(1799,'05350','Saint Véran',1799),(1800,'05300','Lagrand',1800),(1801,'05500','Saint Bonnet En Champsaur',1801),(1802,'05200','Embrun',1802),(1803,'05600','Eygliers',1803),(1804,'05310','Champcella',1804),(1805,'05200','Puy Saint Eusèbe',1805),(1806,'05380','Châteauroux Les Alpes',1806),(1807,'05200','Crots',1807),(1808,'05260','Forest Saint Julien',1808),(1809,'05700','Savournon',1809),(1810,'05120','Vigneaux',1810),(1811,'05500','Infournas',1811),(1812,'05400','Oze',1812),(1813,'05130','Jarjayes',1813),(1814,'05600','Réotier',1814),(1815,'05700','Montrond',1815),(1816,'05140','La Haute Beaume',1816),(1817,'05500','Saint Eusèbe En Champsaur',1817),(1818,'05230','Avançon',1818),(1819,'05000','Gap',1819),(1820,'05160','Savines Le Lac',1820),(1821,'05130','Lettret',1821),(1822,'05140','Aspres Sur Buëch',1822),(1823,'05600','Ceillac',1823),(1824,'05800','Villar Loubière',1824),(1825,'05600','Guillestre',1825),(1826,'05220','Le Monêtier Les Bains',1826),(1827,'05500','Costes',1827),(1828,'05150','Ribeyret',1828),(1829,'05800','Saint Jacques En Valgodemard',1829),(1830,'05700','Sigottier',1830),(1831,'05150','Bruis',1831),(1832,'05150','Saint André De Rosans',1832),(1833,'05260','Saint Léger Les Mélèzes',1833),(1834,'05000','Rambaud',1834),(1835,'05290','Puy Saint Vincent',1835),(1836,'05300','Saint Pierre Avez',1836),(1837,'05200','Saint Sauveur',1837),(1838,'05310','La Roche De Rame',1838),(1839,'05250','Agnières En Dévoluy',1839),(1840,'05320','La Grave',1840),(1841,'05470','Château Ville Vieille',1841),(1842,'05300','Upaix',1842),(1843,'05800','Aspres Lès Corps',1843),(1844,'05100','Névache',1844),(1845,'05300','Eyguians',1845),(1846,'05240','La Salle Les Alpes',1846),(1847,'05300','Antonaves',1847),(1848,'05350','Molines En Queyras',1848),(1849,'05140','Montbrand',1849),(1850,'05120','L\'Argentière La Bessée',1850),(1851,'05140','La Beaume',1851),(1852,'05400','Le Saix',1852),(1853,'05800','Le Glaizil',1853),(1854,'05500','La Motte En Champsaur',1854),(1855,'05300','Châteauneuf De Chabre',1855),(1856,'05190','Théus',1856),(1857,'05120','Saint Martin De Queyrières',1857),(1858,'05250','La Cluse',1858),(1859,'05190','Bréziers',1859),(1860,'05600','Saint Clément Sur Durance',1860),(1861,'05300','Barret Sur Méouge',1861),(1862,'05000','La Freissinouse',1862),(1863,'05300','Le Poët',1863),(1864,'05150','Sainte Marie',1864),(1865,'05110','Vitrolles',1865),(1866,'05700','Sainte Colombe',1866),(1867,'05700','Trescléoux',1867),(1868,'05500','Saint Julien En Champsaur',1868),(1869,'05300','Lazer',1869),(1870,'05200','Baratier',1870),(1871,'05300','Laragne Montéglin',1871),(1872,'05500','La Fare En Champsaur',1872),(1873,'05130','Sigoyer',1873),(1874,'05400','Châteauneuf D\'Oze',1874),(1875,'05700','Serres',1875),(1876,'05100','Puy Saint Pierre',1876),(1877,'05150','Moydans',1877),(1878,'05130','Fouillouse',1878),(1879,'05150','Montjay',1879),(1880,'05400','Furmeyer',1880),(1881,'05700','Le Bersac',1881),(1882,'05700','Montclus',1882),(1883,'05200','Orres',1883),(1884,'05800','Chauffayer',1884),(1885,'05400','Saint Auban D\'Oze',1885),(1886,'05130','Saint Étienne Le Laus',1886),(1887,'05700','Orpierre',1887),(1888,'05140','Aspremont',1888),(1889,'05260','Saint Jean Saint Nicolas',1889),(1890,'05310','Freissinières',1890),(1891,'05000','Châteauvieux',1891),(1892,'05300','Saint Genis',1892),(1893,'05700','La Piarre',1893),(1894,'05110','Esparron',1894),(1895,'05700','L\'Épine',1895),(1896,'05800','Saint Maurice En Valgodemard',1896),(1897,'05110','Lardier Et Valença',1897),(1898,'05470','Aiguilles',1898),(1899,'05200','Saint André D\'Embrun',1899),(1900,'05300','Saléon',1900),(1901,'05000','Pelleautier',1901),(1902,'05260','Saint Michel De Chaillol',1902),(1903,'05140','Saint Pierre D\'Argençon',1903),(1904,'05230','Chorges',1904),(1905,'05460','Abriès',1905),(1906,'05700','Nossage Et Bénévent',1906),(1907,'05160','Le Sauze Du Lac',1907),(1908,'05300','Ventavon',1908),(1909,'05190','Rousset',1909),(1910,'26560','Éourres',1910),(1911,'05100','Villar Saint Pancrace',1911),(1912,'05140','La Faurie',1912),(1913,'05700','La Bâtie Montsaléon',1913),(1914,'05000','La Bâtie Vieille',1914),(1915,'05500','Le Noyer',1915),(1916,'05150','Rosans',1916),(1917,'05130','Valserres',1917),(1918,'05190','Rochebrune',1918),(1919,'05130','Tallard',1919),(1920,'05250','Saint Disdier',1920),(1921,'05300','Ribiers',1921),(1922,'05700','Chanousse',1922),(1923,'05500','Buissard',1923),(1924,'05480','Villar D\'Arêne',1924),(1925,'05260','Ancelle',1925),(1926,'05100','Briançon',1926),(1927,'05500','Laye',1927),(1928,'05600','Mont Dauphin',1928),(1929,'05200','Puy Sanières',1929),(1930,'05160','Réallon',1930),(1931,'05200','Crévoux',1931),(1932,'05560','Vars',1932),(1933,'06670','La Roquette Sur Var',1933),(1934,'06420','Bairols',1934),(1935,'06790','Aspremont',1935),(1936,'06670','Colomars',1936),(1937,'06670','Castagniers',1937),(1938,'06610','La Gaude',1938),(1939,'06140','Vence',1939),(1940,'06510','Gattières',1940),(1942,'06530','Spéracèdes',1941),(1943,'06620','Courmes',1942),(1944,'06910','Mujouls',1943),(1945,'06670','Levens',1944),(1946,'06710','Touët Sur Var',1945),(1947,'06260','Saint Léger',1946),(1948,'06510','Ferres',1947),(1949,'06830','Tourette Du Château',1948),(1950,'06140','Tourrettes Sur Loup',1949),(1951,'06390','Coaraze',1950),(1952,'06670','Saint Martin Du Var',1951),(1953,'06530','Peymeinade',1952),(1954,'06240','Beausoleil',1953),(1955,'06670','Duranus',1954),(1956,'06260','Auvare',1955),(1957,'06910','Amirat',1956),(1958,'06470','Péone',1957),(1959,'06330','Roquefort Les Pins',1958),(1960,'06660','Saint Dalmas Le Selvage',1959),(1961,'06450','Utelle',1960),(1962,'06440','Blausasc',1961),(1963,'06410','Biot',1962),(1964,'06230','Villefranche Sur Mer',1963),(1965,'06710','La Tour',1964),(1966,'06690','Tourrette Levens',1965),(1967,'06450','La Bollène Vésubie',1966),(1968,'06560','Valbonne',1967),(1969,'06260','Puget Théniers',1968),(1970,'06470','Saint Martin D\'Entraunes',1969),(1971,'06470','Sauze',1970),(1972,'06220','Vallauris',1971),(1973,'06260','Puget Rostang',1972),(1974,'06470','Entraunes',1973),(1975,'06420','Saint Sauveur Sur Tinée',1974),(1976,'06570','Saint Paul De Vence',1975),(1977,'06540','Fontan',1976),(1978,'06380','Sospel',1977),(1979,'06430','La Brigue',1978),(1980,'06340','Drap',1979),(1981,'06380','Moulinet',1980),(1982,'06910','Roquestéron Grasse',1981),(1983,'06260','Saint Antonin',1982),(1984,'06810','Auribeau Sur Siagne',1983),(1985,'06830','Revest Les Roches',1984),(1986,'06320','La Turbie',1985),(1987,'06850','Briançonnet',1986),(1988,'06390','Contes',1987),(1989,'06500','Castillon',1988),(1990,'06440','Touët De L\'Escarène',1989),(1991,'06750','Valderoure',1990),(1992,'06460','Escragnolles',1991),(1993,'06910','Pierrefeu',1992),(1994,'06370','Mouans Sartoux',1993),(1995,'06750','Andon',1994),(1996,'06450','Belvédère',1995),(1997,'06730','Saint André De La Roche',1996),(1998,'06710','Malaussène',1997),(1999,'06470','Beuil',1998),(2001,'06360','Èze',1999),(2002,'06260','Rigaud',2000),(2004,'06270','Villeneuve Loubet',2001),(2005,'06640','Saint Jeannet',2002),(2006,'06620','Le Bar Sur Loup',2003),(2007,'06650','Opio',2004),(2008,'06580','Pégomas',2005),(2009,'06420','Isola',2006),(2010,'06260','La Penne',2007),(2011,'06470','Châteauneuf D\'Entraunes',2008),(2012,'06460','Saint Vallier De Thiey',2009),(2013,'06710','Tournefort',2010),(2014,'06250','Mougins',2011),(2015,'06540','Saorge',2012),(2016,'06390','Châteauneuf Villevieille',2013),(2017,'06420','Rimplas',2014),(2018,'06110','Le Cannet',2015),(2019,'06910','Sallagriffon',2016),(2020,'06260','Lieuche',2017),(2021,'06140','Coursegoules',2018),(2022,'06910','Collongues',2019),(2023,'06440','Peille',2020),(2024,'06510','Carros',2021),(2025,'06830','Gilette',2022),(2026,'06710','Thiéry',2023),(2027,'06340','La Trinité',2024),(2028,'06650','Le Rouret',2025),(2029,'06420','Clans',2026),(2030,'06530','Cabris',2027),(2031,'06800','Cagnes Sur Mer',2028),(2032,'06620','Gréolières',2029),(2033,'06260','La Croix Sur Roudoule',2030),(2034,'06530','Le Tignet',2031),(2035,'06830','Bonson',2032),(2036,'06420','Roubion',2033),(2037,'06390','Bendejun',2034),(2038,'06450','Roquebillière',2035),(2039,'06510','Bézaudun Les Alpes',2036),(2040,'06850','Gars',2037),(2041,'06590','Théoule Sur Mer',2038),(2042,'06500','Menton',2039),(2043,'06850','Saint Auban',2040),(2044,'06700','Saint Laurent Du Var',2041),(2045,'06440','Peillon',2042),(2046,'06500','Gorbio',2043),(2047,'06550','La Roquette Sur Siagne',2044),(2048,'06340','Cantaron',2045),(2049,'06910','Le Mas',2046),(2051,'06750','Caille',2047),(2052,'06740','Châteauneuf Grasse',2048),(2053,'06750','Séranon',2049),(2054,'06450','Saint Martin Vésubie',2050),(2055,'06420','Ilonse',2051),(2056,'06500','Castellar',2052),(2057,'06440','Lucéram',2053),(2058,'06450','Lantosque',2054),(2059,'06910','Aiglun',2055),(2060,'06470','Daluis',2056),(2061,'06230','Saint Jean Cap Ferrat',2057),(2062,'06460','Caussols',2058),(2063,'06430','Tende',2059),(2064,'06510','Conségudes',2060),(2065,'06910','Sigale',2061),(2066,'06510','Le Broc',2062),(2067,'06260','Ascros',2063),(2068,'06470','Guillaumes',2064),(2069,'06450','Venanson',2065),(2070,'06510','Bouyon',2066),(2071,'06420','Roure',2067),(2072,'06950','Falicon',2068),(2073,'06830','Toudon',2069),(2074,'06470','Villeneuve D\'Entraunes',2070),(2075,'06910','Roquesteron',2071),(2076,'06540','Breil Sur Roya',2072),(2077,'06190','Roquebrune Cap Martin',2073),(2078,'06310','Beaulieu Sur Mer',2074),(2079,'06710','Villars Sur Var',2075),(2080,'06260','Pierlas',2076),(2081,'06320','Cap D\'Ail',2077),(2082,'06910','Cuébris',2078),(2083,'06670','Saint Blaise',2079),(2084,'06440','L\'Escarène',2080),(2085,'06780','Saint Cézaire Sur Siagne',2081),(2086,'06620','Cipières',2082),(2087,'06480','La Colle Sur Loup',2083),(2088,'06500','Sainte Agnès',2084),(2089,'06660','Saint Étienne De Tinée',2085),(2090,'06420','Valdeblore',2086),(2091,'06210','Mandelieu La Napoule',2087),(2092,'06390','Berre Les Alpes',2088),(2093,'06420','Marie',2089),(2094,'06620','Gourdon',2090),(2095,'06710','Massoins',2091),(2096,'07320','Saint Jeure D\'Andaure',2092),(2097,'07340','Andance',2093),(2098,'07340','Charnas',2094),(2099,'07200','Ucel',2095),(2100,'07380','Prades',2096),(2101,'07470','Coucouron',2097),(2102,'07330','Thueyts',2098),(2103,'07110','Beaumont',2099),(2104,'07270','Gilhoc Sur Ormèze',2100),(2105,'07200','Saint Sernin',2101),(2106,'07460','Saint André De Cruzières',2102),(2107,'07220','Larnas',2103),(2108,'07800','Saint Laurent Du Pape',2104),(2109,'07130','Saint Péray',2105),(2110,'07140','Sainte Marguerite Lafigère',2106),(2111,'07240','Silhac',2107),(2112,'07440','Boffres',2108),(2113,'07260','Dompnac',2109),(2114,'07000','Veyras',2110),(2115,'07140','Saint Pierre Saint Jean',2111),(2116,'07440','Alboussière',2112),(2117,'07000','Flaviac',2113),(2118,'07360','Saint Vincent De Durfort',2114),(2119,'07130','Châteaubourg',2115),(2120,'07450','Saint Pierre De Colombier',2116),(2121,'07590','Saint Alban En Montagne',2117),(2122,'07290','Saint Symphorien De Mahun',2118),(2123,'07170','Villeneuve De Berg',2119),(2124,'07340','Talencieux',2120),(2125,'07300','Plats',2121),(2126,'07410','Colombier Le Vieux',2122),(2127,'07160','Accons',2123),(2128,'07290','Ardoix',2124),(2129,'07240','Saint Julien Le Roux',2125),(2130,'07270','Boucieu Le Roi',2126),(2131,'07230','Saint André Lachamp',2127),(2132,'07580','Saint Jean Le Centenier',2128),(2133,'07000','Creysseilles',2129),(2134,'07800','Saint Georges Les Bains',2130),(2135,'07460','Banne',2131),(2136,'07270','Le Crestet',2132),(2137,'07160','Saint Genest Lachamp',2133),(2138,'07170','Darbres',2134),(2139,'07530','Laviolle',2135),(2140,'07140','Salelles',2136),(2141,'07510','Sainte Eulalie',2137),(2142,'07240','Saint Apollinaire De Rias',2138),(2143,'07450','Péreyres',2139),(2144,'07240','Châteauneuf De Vernoux',2140),(2145,'07400','Valvignères',2141),(2146,'07310','Borée',2142),(2147,'07200','Saint Étienne De Boulogne',2143),(2148,'07110','Montréal',2144),(2149,'07120','Grospierres',2145),(2150,'07460','Saint Sauveur De Cruzières',2146),(2151,'07160','Saint Andéol De Fourchades',2147),(2152,'07110','Joannas',2148),(2153,'07210','Saint Symphorien Sous Chomérac',2149),(2154,'07530','Genestelle',2150),(2155,'07800','Beauchastel',2151),(2156,'07170','Saint Andéol De Berg',2152),(2157,'07310','Saint Martin De Valamas',2153),(2158,'07000','Saint Priest',2154),(2159,'07790','Saint Alban D\'Ay',2155),(2160,'07690','Vanosc',2156),(2161,'07190','Saint Sauveur De Montagut',2157),(2162,'07380','Meyras',2158),(2163,'07430','Colombier Le Cardinal',2159),(2164,'07290','Satillieu',2160),(2165,'07580','Saint Gineis En Coiron',2161),(2166,'07400','Le Teil',2162),(2167,'07510','Usclades Et Rieutord',2163),(2168,'07340','Bogy',2164),(2169,'07380','Saint Cirgues De Prades',2165),(2170,'07560','Le Roux',2166),(2171,'07700','Bidon',2167),(2172,'07230','Planzolles',2168),(2173,'07200','Saint Étienne De Fontbellon',2169),(2174,'07310','Saint Julien Boutières',2170),(2175,'07360','Saint Fortunat Sur Eyrieux',2171),(2176,'07300','Mauves',2172),(2177,'07370','Ozon',2173),(2178,'07110','Valgorge',2174),(2179,'07160','Saint Barthélemy Le Meil',2175),(2180,'07150','Vallon Pont D\'Arc',2176),(2181,'07000','Lyas',2177),(2182,'07310','Chanéac',2178),(2183,'07460','Saint Paul Le Jeune',2179),(2184,'07150','Lagorce',2180),(2185,'07320','Intres',2181),(2186,'07340','Saint Jacques D\'Atticieux',2182),(2187,'07330','Mayres',2183),(2188,'07700','Saint Marcel D\'Ardèche',2184),(2189,'07340','Limony',2185),(2190,'07460','Berrias Et Casteljau',2186),(2191,'07430','Davézieux',2187),(2192,'07210','Rochessauve',2188),(2193,'07410','Vaudevant',2189),(2194,'07520','Lalouvesc',2190),(2195,'07270','Lamastre',2191),(2196,'07190','Beauvène',2192),(2197,'07360','Dunière Sur Eyrieux',2193),(2198,'07310','Arcens',2194),(2199,'07440','Champis',2195),(2200,'07270','Saint Prix',2196),(2201,'07270','Saint Basile',2197),(2202,'07510','Mazan L\'Abbaye',2198),(2203,'07230','Faugères',2199),(2204,'07240','Vernoux En Vivarais',2200),(2205,'07590','Laval D\'Aurelle',2201),(2206,'07110','Tauriers',2202),(2207,'07340','Peyraud',2203),(2208,'07400','Saint Pierre La Roche',2204),(2209,'07290','Saint Romain D\'Ay',2205),(2210,'07260','Vernon',2206),(2211,'07190','Saint Maurice En Chalencon',2207),(2212,'07260','Ribes',2208),(2213,'07210','Saint Bauzile',2209),(2214,'07110','Uzer',2210),(2215,'07600','Vals Les Bains',2211),(2216,'07590','Borne',2212),(2217,'07170','Saint Germain',2213),(2218,'07140','Malarce Sur La Thines',2214),(2219,'07630','Cros De Géorand',2215),(2220,'07220','Viviers',2216),(2221,'07200','Fons',2217),(2222,'07580','Berzème',2218),(2223,'07200','Vogüé',2219),(2224,'07700','Saint Remèze',2220),(2225,'07220','Saint Montan',2221),(2226,'07340','Brossainc',2222),(2227,'07290','Préaux',2223),(2228,'07470','Issarlès',2224),(2229,'07520','Lafarre',2225),(2230,'07590','Le Plagnal',2226),(2231,'07520','Saint Pierre Sur Doux',2227),(2232,'07150','Salavas',2228),(2233,'07150','Orgnac L\'Aven',2229),(2234,'07190','Issamoulenc',2230),(2235,'07160','Dornas',2231),(2236,'07100','Boulieu Lès Annonay',2232),(2237,'07200','Ailhon',2233),(2238,'07340','Saint Étienne De Valoux',2234),(2239,'07120','Chauzon',2235),(2240,'07200','Saint Maurice D\'Ardèche',2236),(2241,'07110','Sanilhac',2237),(2242,'07290','Quintenas',2238),(2243,'07160','Le Chambon',2239),(2244,'07690','Monestier',2240),(2245,'07630','Le Béage',2241),(2246,'07210','Saint Vincent De Barrès',2242),(2247,'07800','Saint Cierge La Serre',2243),(2248,'07260','Sablières',2244),(2249,'07430','Saint Clair',2245),(2250,'07200','Lanas',2246),(2251,'07570','Labatie D\'Andaure',2247),(2252,'07500','Guilherand Granges',2248),(2253,'07160','Jaunac',2249),(2254,'07310','Saint Clément',2250),(2255,'07000','Privas',2251),(2256,'07260','Rosières',2252),(2257,'07450','Burzet',2253),(2258,'07380','La Souche',2254),(2259,'07330','Barnas',2255),(2260,'07110','Largentière',2256),(2261,'07700','Gras',2257),(2262,'07140','Malbosc',2258),(2263,'07300','Lemps',2259),(2264,'07160','Nonières',2260),(2265,'07240','Chalencon',2261),(2266,'07120','Sampzon',2262),(2267,'07470','Le Lac D\'Issarlès',2263),(2268,'07340','Félines',2264),(2269,'07310','Saint Martial',2265),(2270,'07170','Saint Maurice D\'Ibie',2266),(2271,'07210','Chomérac',2267),(2272,'07300','Tournon Sur Rhône',2268),(2273,'07600','Saint Andéol De Vals',2269),(2274,'07300','Saint Jean De Muzols',2270),(2275,'07260','Joyeuse',2271),(2276,'07250','Le Pouzin',2272),(2277,'07340','Champagne',2273),(2278,'07380','Jaujac',2274),(2279,'07100','Roiffieux',2275),(2280,'07600','Labastide Sur Bésorgues',2276),(2281,'07410','Saint Félicien',2277),(2282,'07160','Saint Jean Roure',2278),(2283,'07120','Ruoms',2279),(2284,'07190','Saint Pierreville',2280),(2285,'07330','Astet',2281),(2286,'07120','Balazuc',2282),(2287,'07170','Mirabel',2283),(2288,'07170','Saint Laurent Sous Coiron',2284),(2289,'07590','Saint Étienne De Lugdarès',2285),(2290,'07320','Devesset',2286),(2291,'48250','Laveyrune',2287),(2292,'07410','Arlebosc',2288),(2293,'07260','Saint Mélany',2289),(2294,'07570','Désaignes',2290),(2295,'07110','Prunet',2291),(2296,'07320','Saint Agrève',2292),(2297,'07690','Villevocance',2293),(2298,'07310','La Rochette',2294),(2299,'07240','Saint Jean Chambre',2295),(2300,'07160','Mariac',2296),(2301,'07600','Juvinas',2297),(2302,'07230','Payzac',2298),(2303,'07200','Lachapelle Sous Aubenas',2299),(2304,'07230','Lablachère',2300),(2305,'07250','Rompon',2301),(2306,'07400','Rochemaure',2302),(2307,'07110','Laboule',2303),(2308,'07140','Chambonas',2304),(2309,'07200','Vesseaux',2305),(2310,'07350','Cruas',2306),(2311,'07110','Rocles',2307),(2312,'07210','Saint Lager Bressac',2308),(2313,'07220','Saint Thomé',2309),(2314,'07380','Pont De Labeaume',2310),(2315,'07000','Saint Julien En Saint Alban',2311),(2316,'07140','Vans',2312),(2317,'07410','Pailharès',2313),(2318,'07000','Coux',2314),(2319,'07400','Meysse',2315),(2320,'07200','Saint Didier Sous Aubenas',2316),(2321,'07380','Chirols',2317),(2322,'07370','Sarras',2318),(2323,'07530','Saint Joseph Des Bancs',2319),(2324,'07360','Saint Michel De Chabrillanoux',2320),(2325,'07660','Lavillatte',2321),(2326,'07450','Sagnes Et Goudoulet',2322),(2327,'07510','Issanlas',2323),(2328,'07200','Saint Privat',2324),(2329,'07100','Annonay',2325),(2330,'07000','Pourchères',2326),(2331,'07700','Saint Martin D\'Ardèche',2327),(2332,'07580','Saint Pons',2328),(2333,'07610','Vion',2329),(2334,'07360','Ollières Sur Eyrieux',2330),(2335,'07270','Saint Barthélemy Grozon',2331),(2336,'07200','Rochecolombe',2332),(2337,'07140','Montselgues',2333),(2338,'07150','Labastide De Virac',2334),(2339,'07430','Savas',2335),(2340,'07120','Beaume',2336),(2341,'07200','Mercuer',2337),(2342,'07000','Pranles',2338),(2343,'07140','Gravières',2339),(2344,'07100','Saint Marcel Lès Annonay',2340),(2345,'07700','Bourg Saint Andéol',2341),(2346,'07110','Chazeaux',2342),(2347,'07370','Arras Sur Rhône',2343),(2348,'07110','Vinezac',2344),(2349,'07130','Saint Romain De Lerps',2345),(2350,'07800','Gilhac Et Bruzac',2346),(2351,'07560','Montpezat Sous Bauzon',2347),(2352,'07300','Étables',2348),(2353,'07270','Empurany',2349),(2354,'07200','Saint Julien Du Serre',2350),(2355,'07530','Lachamp Raphaël',2351),(2356,'07190','Saint Julien Du Gua',2352),(2357,'07530','Antraigues Sur Volane',2353),(2358,'07400','Saint Martin Sur Lavezon',2354),(2359,'07690','Saint André En Vivarais',2355),(2360,'07190','Saint Étienne De Serre',2356),(2361,'07320','Rochepaule',2357),(2362,'07120','Saint Alban Auriolles',2358),(2363,'07000','Gourdon',2359),(2364,'07300','Cheminas',2360),(2365,'07300','Glun',2361),(2366,'07430','Saint Cyr',2362),(2367,'07510','Saint Cirgues En Montagne',2363),(2368,'07300','Saint Barthélemy Le Plain',2364),(2369,'07400','Alba La Romaine',2365),(2370,'07400','Sceautres',2366),(2371,'07160','Saint Cierge Sous Le Cheylard',2367),(2372,'07380','Lalevade D\'Ardèche',2368),(2373,'07690','Saint Julien Vocance',2369),(2374,'07340','Peaugres',2370),(2375,'07160','Le Cheylard',2371),(2376,'07160','Saint Julien Labrousse',2372),(2377,'07110','Laurac En Vivarais',2373),(2378,'07270','Colombier Le Jeune',2374),(2379,'07160','Saint Michel D\'Aurance',2375),(2380,'07690','Vocance',2376),(2381,'07190','Gluiras',2377),(2382,'07130','Toulaud',2378),(2383,'07150','Bessas',2379),(2384,'07370','Eclassan',2380),(2385,'07110','Rocher',2381),(2386,'07530','Mézilhac',2382),(2387,'07210','Alissas',2383),(2388,'07340','Serrières',2384),(2389,'07140','Assions',2385),(2390,'07290','Saint Jeure D\'Ay',2386),(2391,'07150','Vagnas',2387),(2392,'07340','Saint Désirat',2388),(2393,'07200','Saint Michel De Boulogne',2389),(2394,'07380','Fabras',2390),(2395,'07310','Lachapelle Sous Chanéac',2391),(2396,'07600','Asperjoc',2392),(2397,'07190','Albon D\'Ardèche',2393),(2398,'07160','Saint Christol',2394),(2399,'07800','La Voulte Sur Rhône',2395),(2400,'07210','Baix',2396),(2401,'07200','Lentillères',2397),(2402,'07660','Lespéron',2398),(2403,'07170','Lavilledieu',2399),(2404,'07530','Aizac',2400),(2405,'07340','Thorrenc',2401),(2406,'07340','Vinzieux',2402),(2407,'07170','Lussas',2403),(2408,'07000','Ajoux',2404),(2409,'07410','Bozas',2405),(2410,'07190','Marcols Les Eaux',2406),(2411,'07130','Soyons',2407),(2412,'07470','Lachapelle Graillouse',2408),(2413,'07440','Saint Sylvestre',2409),(2414,'07610','Sécheras',2410),(2415,'07660','Lanarce',2411),(2416,'07320','Mars',2412),(2417,'07000','Freyssenet',2413),(2418,'07110','Loubaresse',2414),(2419,'07800','Charmes Sur Rhône',2415),(2420,'07110','Chassiers',2416),(2421,'07200','Labégude',2417),(2422,'07430','Vernosc Lès Annonay',2418),(2423,'07120','Pradons',2419),(2424,'07200','Aubenas',2420),(2425,'07400','Aubignas',2421),(2426,'07590','Saint Laurent Les Bains',2422),(2427,'07230','Chandolas',2423),(2428,'07460','Beaulieu',2424),(2429,'07700','Saint Just D\'Ardèche',2425),(2430,'07270','Nozières',2426),(2431,'07410','Saint Victor',2427),(2432,'07230','Saint Genest De Beauzon',2428),(2433,'07590','Cellier Du Luc',2429),(2434,'07130','Cornas',2430),(2435,'08000','Ayvelles',2431),(2436,'08240','Nouart',2432),(2437,'08240','Bayonville',2433),(2438,'08150','Tremblois Lès Rocroi',2434),(2439,'08160','Hannogne Saint Martin',2435),(2440,'08130','Lametz',2436),(2441,'08300','Sault Lès Rethel',2437),(2442,'08450','Remilly Aillicourt',2438),(2443,'08260','Champlin',2439),(2444,'08380','Brognon',2440),(2445,'08090','This',2441),(2446,'08500','Anchamps',2442),(2447,'08260','Cernion',2443),(2448,'08390','Tannay',2444),(2449,'08600','Rancennes',2445),(2450,'08300','Thugny Trugny',2446),(2451,'08250','Lançon',2447),(2452,'08600','Ham Sur Meuse',2448),(2453,'08300','Coucy',2449),(2454,'08090','Haudrecy',2450),(2455,'08240','Fossé',2451),(2456,'08250','Fléville',2452),(2457,'08390','Montgon',2453),(2458,'08150','Logny Bogny',2454),(2459,'08370','Margny',2455),(2460,'08350','Donchery',2456),(2461,'08390','Marquigny',2457),(2462,'08250','Chatel Chéhéry',2458),(2463,'08150','Rouvroy Sur Audry',2459),(2464,'08430','Touligny',2460),(2465,'08260','Auvillers Les Forges',2461),(2466,'08400','Tourcelles Chaumont',2462),(2467,'08400','Terron Sur Aisne',2463),(2468,'08390','Artaise Le Vivier',2464),(2469,'08700','Joigny Sur Meuse',2465),(2470,'08350','Chéhéry',2466),(2471,'08250','Exermont',2467),(2472,'08220','Doumely Bégny',2468),(2473,'08300','Bergnicourt',2469),(2474,'08210','Vaux Lès Mouzon',2470),(2475,'08240','Verpel',2471),(2476,'08450','Angecourt',2472),(2477,'08440','Ville Sur Lumes',2473),(2478,'08310','Ménil Lépinois',2474),(2479,'08310','Leffincourt',2475),(2480,'08260','Antheny',2476),(2481,'08170','Fépin',2477),(2482,'08230','Sévigny La Forêt',2478),(2483,'08800','Thilay',2479),(2484,'08400','Marvaux Vieux',2480),(2485,'08320','Aubrives',2481),(2486,'08450','La Besace',2482),(2487,'08240','Belleville Et Châtillon Sur Bar',2483),(2488,'08220','Remaucourt',2484),(2489,'08110','Mogues',2485),(2490,'08400','Falaise',2486),(2491,'08140','Pouru Saint Remy',2487),(2492,'08400','Contreuve',2488),(2493,'08430','Villers Le Tourneur',2489),(2494,'08300','Novy Chevrières',2490),(2495,'08270','Wagnon',2491),(2496,'08090','Montcy Notre Dame',2492),(2497,'08400','Voncq',2493),(2498,'08250','Séchault',2494),(2499,'08130','Écordal',2495),(2500,'08200','La Chapelle',2496),(2501,'08130','Givry',2497),(2502,'08210','Villers Devant Mouzon',2498),(2503,'08150','Lépron Les Vallées',2499),(2504,'08240','Authe',2500),(2505,'08400','Aure',2501),(2506,'08140','Bazeilles',2502),(2507,'08220','Chaumont Porcien',2503),(2508,'08430','Barbaise',2504),(2509,'08240','Boult Aux Bois',2505),(2510,'08090','Houldizy',2506),(2511,'08160','Dom Le Mesnil',2507),(2512,'08150','Murtin Et Bogny',2508),(2513,'08270','Corny Machéroménil',2509),(2514,'08150','Remilly Les Pothées',2510),(2515,'08240','Vaux En Dieulet',2511),(2516,'08090','Belval',2512),(2517,'08130','Neuville Day',2513),(2518,'08270','Sorcy Bauthémont',2514),(2519,'08250','Montcheutin',2515),(2520,'08430','Mazerny',2516),(2521,'08250','Grandham',2517),(2522,'08110','Linay',2518),(2523,'08270','Wignicourt',2519),(2524,'08230','Regniowez',2520),(2525,'08270','Chesnois Auboncourt',2521),(2526,'08130','La Sabotterie',2522),(2527,'08130','Guincourt',2523),(2528,'08350','Cheveuges',2524),(2529,'08220','Banogne Recouvrance',2525),(2530,'08360','Herpy L\'Arlésienne',2526),(2531,'08300','Amagne',2527),(2532,'08380','Auge',2528),(2533,'08240','Brieulles Sur Bar',2529),(2534,'08450','Maisoncelle Et Villers',2530),(2535,'08400','Chardeny',2531),(2536,'08400','Challerange',2532),(2537,'08190','Houdilcourt',2533),(2538,'08290','La Férée',2534),(2539,'08130','Saulces Champenoises',2535),(2540,'08450','Bulson',2536),(2541,'08310','Alincourt',2537),(2542,'08430','Villers Sur Le Mont',2538),(2543,'08250','Champigneulle',2539),(2544,'08560','Neufmaison',2540),(2545,'08400','Sainte Marie',2541),(2546,'08270','Viel Saint Remy',2542),(2547,'08320','Vireux Molhain',2543),(2548,'08160','Sapogne Et Feuchères',2544),(2549,'08190','Blanzy La Salonnaise',2545),(2550,'08300','Avançon',2546),(2551,'08130','Mont Laurent',2547),(2552,'08140','Brévilly',2548),(2553,'08200','Wadelincourt',2549),(2554,'08400','Manre',2550),(2555,'08090','Tournes',2551),(2556,'08220','Fraillicourt',2552),(2557,'08430','Poix Terron',2553),(2558,'08220','Seraincourt',2554),(2559,'08370','Puilly Et Charbeaux',2555),(2560,'08270','Sery',2556),(2561,'08250','Autry',2557),(2562,'08390','Petites Armoises',2558),(2563,'08310','Machault',2559),(2564,'08390','Le Chesne',2560),(2565,'08170','Haybes',2561),(2566,'08130','Alland\'Huy Et Sausseuil',2562),(2567,'08460','Signy L\'Abbaye',2563),(2568,'08310','Saint Étienne À Arnes',2564),(2569,'08390','Grandes Armoises',2565),(2570,'08310','Ville Sur Retourne',2566),(2571,'08160','Nouvion Sur Meuse',2567),(2572,'08370','Malandry',2568),(2573,'08190','Gomont',2569),(2574,'08250','Cornay',2570),(2575,'08300','Doux',2571),(2576,'08450','Omicourt',2572),(2577,'08130','Tourteron',2573),(2578,'08310','Saint Pierre À Arnes',2574),(2579,'08600','Givet',2575),(2580,'08430','Baâlons',2576),(2581,'08560','Clavy Warby',2577),(2582,'08460','Thin Le Moutier',2578),(2583,'08130','Ambly Fleury',2579),(2584,'08260','Chilly',2580),(2585,'08300','Arnicourt',2581),(2586,'08200','Saint Menges',2582),(2587,'08440','Issancourt Et Rumel',2583),(2588,'08190','Aire',2584),(2589,'08310','Bignicourt',2585),(2590,'08140','Rubécourt Et Lamécourt',2586),(2591,'08250','Marcq',2587),(2592,'08360','Château Porcien',2588),(2593,'08140','Douzy',2589),(2594,'08240','Buzancy',2590),(2595,'08260','Flaignes Havys',2591),(2596,'08090','Saint Laurent',2592),(2597,'08300','Bertoncourt',2593),(2598,'08200','Givonne',2594),(2599,'08190','Villers Devant Le Thour',2595),(2600,'08600','Foisches',2596),(2601,'08090','Ham Les Moines',2597),(2602,'08460','Lalobbe',2598),(2603,'08240','Oches',2599),(2604,'08400','Mont Saint Martin',2600),(2605,'08110','Osnes',2601),(2606,'08400','Quatre Champs',2602),(2607,'08150','L\'Échelle',2603),(2608,'08290','Prez',2604),(2609,'08290','Marlemont',2605),(2610,'08190','Brienne Sur Aisne',2606),(2611,'08430','Champigneul Sur Vence',2607),(2612,'08260','Marby',2608),(2613,'08350','Thelonne',2609),(2614,'08310','Juniville',2610),(2615,'08350','Villers Sur Bar',2611),(2616,'08200','Glaire',2612),(2617,'08090','Neuville Lès This',2613),(2618,'08270','Wasigny',2614),(2619,'08150','Renwez',2615),(2620,'08290','Aouste',2616),(2621,'08090','Damouzy',2617),(2622,'08320','Hierges',2618),(2623,'08190','Poilcourt Sydney',2619),(2624,'08220','Givron',2620),(2625,'08400','Longwé',2621),(2626,'08400','Quilly',2622),(2627,'08370','Sapogne Sur Marche',2623),(2628,'08090','Évigny',2624),(2629,'08220','Vaux Lès Rubigny',2625),(2630,'08160','Chalandry Elaire',2626),(2631,'08250','Sommerance',2627),(2632,'08270','Mesmont',2628),(2633,'08430','Guignicourt Sur Vence',2629),(2634,'08800','Monthermé',2630),(2635,'08370','Villy',2631),(2636,'08250','Chevières',2632),(2637,'08270','Puiseux',2633),(2638,'08700','Nouzonville',2634),(2639,'08160','Saint Marceau',2635),(2640,'08110','Blagny',2636),(2641,'08220','Rocquigny',2637),(2642,'08350','Saint Aignan',2638),(2643,'08430','Montigny Sur Vence',2639),(2644,'08450','Chémery Sur Bar',2640),(2645,'08360','Taizy',2641),(2646,'08430','Omont',2642),(2647,'08430','Chagny',2643),(2648,'08260','Éteignières',2644),(2649,'08350','Bosseval Et Briancourt',2645),(2650,'08450','La Neuville À Maire',2646),(2651,'08450','Haraucourt',2647),(2652,'08170','Hargnies',2648),(2653,'08360','Saint Fergeux',2649),(2654,'08000','La Francheville',2650),(2655,'08240','Harricourt',2651),(2656,'08460','Maranwez',2652),(2657,'08300','Barby',2653),(2658,'08210','Yoncq',2654),(2659,'08230','Bourg Fidèle',2655),(2660,'08130','Coulommes Et Marqueny',2656),(2661,'08300','Son',2657),(2662,'08400','Ardeuil Et Montfauxelles',2658),(2663,'08400','Grivy Loisy',2659),(2664,'08090','Montcornet',2660),(2665,'08250','Beffu Et Le Morthomme',2661),(2666,'08430','Mondigny',2662),(2667,'08430','Saint Pierre Sur Vence',2663),(2668,'08700','Gespunsart',2664),(2669,'08800','Tournavaux',2665),(2670,'08300','Neuflize',2666),(2671,'08800','Hautes Rivières',2667),(2672,'08210','Beaumont En Argonne',2668),(2673,'08210','Amblimont',2669),(2674,'08190','Saint Germainmont',2670),(2675,'08400','La Croix Aux Bois',2671),(2676,'08310','Dricourt',2672),(2677,'08400','Brécy Brières',2673),(2678,'08300','Acy Romance',2674),(2679,'08200','Floing',2675),(2680,'08700','Neufmanil',2676),(2681,'08090','Charleville Mézières',2677),(2682,'08380','La Neuville Aux Joûtes',2678),(2683,'08090','Cliron',2679),(2684,'08240','Belval Bois Des Dames',2680),(2685,'08220','Sévigny Waleppe',2681),(2686,'08110','Tremblois Lès Carignan',2682),(2687,'08130','Semuy',2683),(2688,'08290','Rumigny',2684),(2689,'08400','Sugny',2685),(2690,'08130','Jonval',2686),(2691,'08150','Rimogne',2687),(2692,'08220','Saint Jean Aux Bois',2688),(2693,'08310','Saint Clément À Arnes',2689),(2694,'08110','Pure',2690),(2695,'08300','Lucquy',2691),(2696,'08260','Maubert Fontaine',2692),(2697,'08110','Deux Villes',2693),(2698,'08240','Germont',2694),(2699,'08240','Imécourt',2695),(2700,'08400','Savigny Sur Aisne',2696),(2701,'08300','Biermes',2697),(2702,'08130','Charbogne',2698),(2703,'08170','Fumay',2699),(2704,'08310','Aussonce',2700),(2705,'08600','Landrichamps',2701),(2706,'08110','Matton Et Clémency',2702),(2707,'08260','Étalle',2703),(2708,'08240','Briquenay',2704),(2709,'08230','Rocroi',2705),(2710,'08270','Faissault',2706),(2711,'08220','La Romagne',2707),(2712,'08250','Termes',2708),(2713,'08500','Revin',2709),(2714,'08240','Saint Pierremont',2710),(2715,'08000','Prix Lès Mézières',2711),(2716,'08220','Saint Quentin Le Petit',2712),(2717,'08460','Dommery',2713),(2718,'08300','Rethel',2714),(2719,'08270','Vaux Montreuil',2715),(2720,'08330','Vrigne Aux Bois',2716),(2721,'08140','Francheval',2717),(2722,'08200','Illy',2718),(2723,'08170','Montigny Sur Meuse',2719),(2724,'08600','Fromelennes',2720),(2725,'08110','Escombres Et Le Chesnois',2721),(2726,'08220','Renneville',2722),(2727,'08160','Flize',2723),(2728,'08560','Saint Marcel',2724),(2729,'08430','Gruyères',2725),(2730,'08160','Élan',2726),(2731,'08800','Laifour',2727),(2732,'08600','Charnois',2728),(2733,'08800','Deville',2729),(2734,'08300','Saint Remy Le Petit',2730),(2735,'08210','Euilly Et Lombut',2731),(2736,'08110','Carignan',2732),(2737,'08370','Bièvres',2733),(2738,'08210','Autrecourt Et Pourron',2734),(2739,'08370','Fromy',2735),(2740,'08430','Singly',2736),(2741,'08090','Arreux',2737),(2742,'08290','Le Fréty',2738),(2743,'08190','Vieux Lès Asfeld',2739),(2744,'08190','Le Thour',2740),(2745,'08150','Le Châtelet Sur Sormonne',2741),(2746,'08110','Sachy',2742),(2747,'08400','Bourcq',2743),(2748,'08440','Lumes',2744),(2749,'08190','Balham',2745),(2750,'08120','Bogny Sur Meuse',2746),(2751,'08500','Mazures',2747),(2752,'08220','Rubigny',2748),(2753,'08250','Bouconville',2749),(2754,'08160','Étrépigny',2750),(2755,'08270','Saulces Monclin',2751),(2756,'08450','Raucourt Et Flaba',2752),(2757,'08300','Le Châtelet Sur Retourne',2753),(2758,'08320','Vireux Wallerand',2754),(2759,'08440','Gernelle',2755),(2760,'08250','Condé Lès Autry',2756),(2761,'08130','Rilly Sur Aisne',2757),(2762,'08220','Hannogne Saint Rémy',2758),(2763,'08310','La Neuville En Tourne À Fuy',2759),(2764,'08130','Chuffilly Roche',2760),(2765,'08400','Alleux',2761),(2766,'08000','Warcq',2762),(2767,'08400','Vouziers',2763),(2768,'08160','Balaives Et Butz',2764),(2769,'08160','Boutancourt',2765),(2770,'08250','Olizy Primat',2766),(2771,'08220','Draize',2767),(2772,'08430','Villers Le Tilleul',2768),(2773,'08140','Daigny',2769),(2774,'08290','Hannappes',2770),(2775,'08260','Estrebay',2771),(2776,'08310','Pauvres',2772),(2777,'08430','Bouvellemont',2773),(2778,'08300','L\'Écaille',2774),(2779,'08210','Mouzon',2775),(2780,'08150','Sécheval',2776),(2781,'08300','Écly',2777),(2782,'08200','Balan',2778),(2783,'08110','Williers',2779),(2784,'08370','Auflance',2780),(2785,'08130','Saint Lambert Et Mont De Jeux',2781),(2786,'08430','Jandun',2782),(2787,'08130','Suzanne',2783),(2788,'08130','Attigny',2784),(2789,'08300','Nanteuil Sur Aisne',2785),(2790,'08310','Mont Saint Remy',2786),(2791,'08240','Sommauthe',2787),(2792,'08230','Taillette',2788),(2793,'08210','Létanne',2789),(2794,'08430','Hagnicourt',2790),(2795,'08150','Harcy',2791),(2796,'08240','Tailly',2792),(2797,'08090','Aiglemont',2793),(2798,'08190','Avaux',2794),(2799,'08150','Aubigny Les Pothées',2795),(2800,'08240','Landres Et Saint Georges',2796),(2801,'08430','Neuvizy',2797),(2802,'08250','Saint Juvin',2798),(2803,'08270','Novion Porcien',2799),(2804,'08250','Mouron',2800),(2805,'08240','Bar Lès Buzancy',2801),(2806,'08110','Tétaigne',2802),(2807,'08370','Moiry',2803),(2808,'08430','Launois Sur Vence',2804),(2809,'08270','Faux',2805),(2810,'08200','Fleigneux',2806),(2811,'08250','Vaux Lès Mouron',2807),(2812,'08260','Blombay',2808),(2813,'08250','Senuc',2809),(2814,'08290','Liart',2810),(2815,'08260','Girondelle',2811),(2816,'08110','Messincourt',2812),(2817,'08300','Tagnon',2813),(2818,'08270','Grandchamp',2814),(2819,'08350','Noyers Pont Maugis',2815),(2820,'08140','Mairy',2816),(2821,'08140','Villers Cernay',2817),(2822,'08130','Saint Loup Terrier',2818),(2823,'08400','Saint Morel',2819),(2824,'08220','Chappes',2820),(2825,'08400','Liry',2821),(2826,'08310','Hauviné',2822),(2827,'08270','Justine Herbigny',2823),(2828,'08150','Sormonne',2824),(2829,'08400','Mars Sous Bourcq',2825),(2830,'08300','Saint Loup En Champagne',2826),(2831,'08150','Laval Morency',2827),(2832,'08380','Fligny',2828),(2833,'08200','Sedan',2829),(2834,'08380','Neuville Lez Beaulieu',2830),(2835,'08090','Warnécourt',2831),(2836,'08150','Lonny',2832),(2837,'08160','Vendresse',2833),(2838,'08000','Villers Semeuse',2834),(2839,'08350','Vrigne Meuse',2835),(2840,'08220','Montmeillant',2836),(2841,'08410','Boulzicourt',2837),(2842,'08430','La Horgne',2838),(2843,'08400','Noirval',2839),(2844,'08400','Ballay',2840),(2845,'08400','Vandy',2841),(2846,'08300','Perthes',2842),(2847,'08300','Sorbon',2843),(2848,'08250','Grandpré',2844),(2849,'08370','Margut',2845),(2850,'08600','Chooz',2846),(2851,'08240','Thénorgues',2847),(2852,'08380','Signy Le Petit',2848),(2853,'08370','La Ferté Sur Chiers',2849),(2854,'08090','Sury',2850),(2855,'08400','Vrizy',2851),(2856,'08150','Vaux Villaine',2852),(2857,'08310','Ménil Annelles',2853),(2858,'08430','Yvernaumont',2854),(2859,'08390','Louvergny',2855),(2860,'08390','Stonne',2856),(2861,'08300','Hauteville',2857),(2862,'08250','Apremont',2858),(2863,'08310','Cauroy',2859),(2864,'08290','Bossus Lès Rumigny',2860),(2865,'08400','Semide',2861),(2866,'08140','La Moncelle',2862),(2867,'08370','Herbeuval',2863),(2868,'08370','Signy Montlibert',2864),(2869,'08190','Roizy',2865),(2870,'08190','Sault Saint Remy',2866),(2871,'08130','Sainte Vaubourg',2867),(2872,'08270','La Neuville Lès Wasigny',2868),(2873,'08230','Gué D\'Hossus',2869),(2874,'08300','Inaumont',2870),(2875,'08240','La Berlière',2871),(2876,'08380','Tarzy',2872),(2877,'08440','Vivier Au Court',2873),(2878,'08290','Blanchefosse Et Bay',2874),(2879,'08140','Pouru Aux Bois',2875),(2880,'08110','Sailly',2876),(2881,'08430','Raillicourt',2877),(2882,'08390','Verrières',2878),(2883,'08360','Condé Lès Herpy',2879),(2884,'08390','Sy',2880),(2885,'08400','Monthois',2881),(2886,'08270','Auboncourt Vauzelles',2882),(2887,'08130','Vaux Champagne',2883),(2888,'08800','Haulmé',2884),(2889,'08700','La Grandville',2885),(2890,'08090','Fagnon',2886),(2891,'08390','Le Mont Dieu',2887),(2892,'08390','Sauville',2888),(2893,'08300','Seuil',2889),(2894,'08240','Autruche',2890),(2895,'08310','Annelles',2891),(2896,'08400','Toges',2892),(2897,'08190','Asfeld',2893),(2898,'09400','Bédeilhac Et Aynat',2894),(2899,'09230','Contrazy',2895),(2900,'09220','Suc Et Sentenac',2896),(2901,'09120','Ventenac',2897),(2902,'09350','Thouars Sur Arize',2898),(2903,'09120','Artix',2899),(2904,'09230','Tourtouse',2900),(2905,'09120','Rieux De Pelleport',2901),(2906,'09500','Besset',2902),(2907,'09300','Lieurac',2903),(2908,'09000','Vernajoul',2904),(2909,'09310','Urs',2905),(2910,'09130','Le Fossat',2906),(2911,'09130','Lanoux',2907),(2912,'09000','Le Bosc',2908),(2913,'09130','Castéras',2909),(2914,'09300','Montségur',2910),(2915,'09600','Belloc',2911),(2916,'09420','Esplas De Sérou',2912),(2917,'09310','Lassur',2913),(2918,'09200','Eycheil',2914),(2919,'09120','Ségura',2915),(2920,'09600','Dun',2916),(2921,'09100','Benagues',2917),(2922,'09310','Vèbre',2918),(2923,'09120','Loubens',2919),(2924,'09160','La Bastide Du Salat',2920),(2925,'09300','Raissac',2921),(2926,'09100','La Tour Du Crieu',2922),(2927,'09240','Larbont',2923),(2928,'09800','Saint Jean Du Castillonnais',2924),(2929,'09300','Carla De Roquefort',2925),(2930,'09800','Engomer',2926),(2931,'09240','Aigues Juntes',2927),(2932,'09100','Bézac',2928),(2933,'09230','Montardit',2929),(2934,'09400','Ussat',2930),(2935,'09300','Sautel',2931),(2936,'09250','Lordat',2932),(2937,'09330','Montgaillard',2933),(2938,'09190','Gajan',2934),(2939,'09320','Soulan',2935),(2940,'09230','Fabas',2936),(2941,'09800','Balaguères',2937),(2942,'09700','Labatut',2938),(2943,'09110','Ignaux',2939),(2944,'09350','Sabarat',2940),(2945,'09500','Sainte Foi',2941),(2946,'09210','Lézat Sur Lèze',2942),(2947,'09240','Suzan',2943),(2948,'09200','Montégut En Couserans',2944),(2949,'09160','Bagert',2945),(2950,'09460','Rouze',2946),(2951,'09100','Pujols',2947),(2952,'09290','Gabre',2948),(2953,'09100','Saint Victor Rouzaud',2949),(2954,'09000','Montoulieu',2950),(2955,'09120','Cazaux',2951),(2956,'09700','Justiniac',2952),(2957,'09000','Pradières',2953),(2958,'09350','Campagne Sur Arize',2954),(2959,'09300','L\'Aiguillon',2955),(2960,'09200','Montjoie En Couserans',2956),(2961,'09000','Celles',2957),(2962,'09800','Galey',2958),(2963,'09110','Ax Les Thermes',2959),(2964,'09350','Castex',2960),(2965,'09110','Mérens Les Vals',2961),(2966,'09310','Bouan',2962),(2967,'09120','Malléon',2963),(2968,'09250','Bestiac',2964),(2969,'09230','Bédeille',2965),(2970,'09800','Balacet',2966),(2971,'09500','Garde',2967),(2972,'09500','Malegoude',2968),(2973,'09240','Alzen',2969),(2974,'09130','Sainte Suzanne',2970),(2975,'09160','Cazavet',2971),(2976,'09600','Tabre',2972),(2977,'09200','Encourtiech',2973),(2978,'09320','Massat',2974),(2979,'09130','Monesple',2975),(2980,'09270','Mazères',2976),(2981,'09250','Appy',2977),(2982,'09300','Roquefixade',2978),(2983,'09200','Rivèrenert',2979),(2984,'09800','Audressein',2980),(2985,'09800','Saint Lary',2981),(2986,'09310','Larnat',2982),(2987,'09500','Tourtrol',2983),(2988,'09350','Méras',2984),(2989,'09120','Crampagna',2985),(2990,'09140','Oust',2986),(2991,'09300','Dreuilhe',2987),(2992,'09800','Bethmale',2988),(2993,'09000','Prayols',2989),(2994,'09120','Montégut Plantaurel',2990),(2995,'09200','Erp',2991),(2996,'09120','Gudas',2992),(2997,'09800','Arrien En Bethmale',2993),(2998,'09240','Montseron',2994),(2999,'09400','Alliat',2995),(3000,'09700','Le Vernet',2996),(3001,'09310','Pech',2997),(3002,'09700','Esplas',2998),(3003,'09110','Savignac Les Ormeaux',2999),(3004,'09100','Lescousse',3000),(3005,'09400','Rabat Les Trois Seigneurs',3001),(3006,'09500','Mirepoix',3002),(3007,'09220','Auzat',3003),(3008,'09320','Boussenac',3004),(3009,'09400','Lapège',3005),(3010,'09110','Orlu',3006),(3011,'09100','Bonnac',3007),(3012,'09350','Loubaut',3008),(3013,'09500','Saint Julien De Gras Capou',3009),(3014,'09500','Camon',3010),(3015,'09300','Montferrier',3011),(3016,'09240','La Bastide De Sérou',3012),(3017,'09240','Allières',3013),(3018,'09190','Barjac',3014),(3019,'09390','L\'Hospitalet Près L\'Andorre',3015),(3020,'09350','Bordes Sur Arize',3016),(3021,'09400','Mercus Garrabet',3017),(3022,'09130','Pailhès',3018),(3023,'09800','Bonac Irazein',3019),(3024,'09130','Villeneuve Du Latou',3020),(3025,'09220','Lercoul',3021),(3026,'09420','Lescure',3022),(3027,'09120','Calzan',3023),(3028,'09300','Fougax Et Barrineuf',3024),(3029,'09250','Senconac',3025),(3030,'09300','Nalzen',3026),(3031,'09230','Cérizols',3027),(3032,'09310','Aulos',3028),(3033,'09000','Brassac',3029),(3034,'09000','Arabaux',3030),(3035,'09700','Saverdun',3031),(3036,'09140','Sentenac D\'Oust',3032),(3037,'09000','Saint Paul De Jarrat',3033),(3038,'09000','Burret',3034),(3039,'09130','Durfort',3035),(3040,'09300','Bénaix',3036),(3041,'09350','Montfa',3037),(3042,'09500','Cazals Des Baylès',3038),(3043,'09300','Roquefort Les Cascades',3039),(3044,'09700','Gaudiès',3040),(3045,'09600','Esclagne',3041),(3046,'09500','Rieucros',3042),(3047,'09500','La Bastide De Bousignac',3043),(3048,'09110','Prades',3044),(3049,'09240','Cadarcet',3045),(3050,'09140','Couflens',3046),(3051,'09500','Saint Quentin La Tour',3047),(3052,'09400','Génat',3048),(3053,'09250','Vernaux',3049),(3054,'09190','Taurignan Vieux',3050),(3055,'09110','Ascou',3051),(3056,'09500','Roumengoux',3052),(3057,'09700','Canté',3053),(3058,'09100','Issards',3054),(3059,'09120','Varilhes',3055),(3060,'09000','Loubières',3056),(3061,'09310','Larcat',3057),(3062,'09500','Vals',3058),(3063,'09000','Ferrières Sur Ariège',3059),(3064,'09000','Baulou',3060),(3065,'09110','Sorgeat',3061),(3066,'09140','Aulus Les Bains',3062),(3067,'09300','Bélesta',3063),(3068,'09300','Leychert',3064),(3069,'09400','Niaux',3065),(3070,'09200','Saint Girons',3066),(3071,'09000','Foix',3067),(3072,'09190','Saint Lizier',3068),(3073,'09240','Nescus',3069),(3074,'09300','Lavelanet',3070),(3075,'09100','Saint Amans',3071),(3076,'09160','Montgauch',3072),(3077,'09320','Biert',3073),(3078,'09000','Saint Jean De Verges',3074),(3079,'09350','Daumazan Sur Arize',3075),(3080,'09800','Sentein',3076),(3081,'09290','Camarade',3077),(3082,'09460','Artigues',3078),(3083,'09500','Manses',3079),(3084,'09130','Sieuras',3080),(3085,'09160','Lacave',3081),(3086,'09700','La Bastide De Lordat',3082),(3087,'09500','Troye D\'Ariège',3083),(3088,'09100','Saint Michel',3084),(3089,'09800','Villeneuve',3085),(3090,'09500','Viviès',3086),(3091,'09250','Caychax',3087),(3092,'09340','Verniolle',3088),(3093,'09460','Le Puch',3089),(3094,'09000','Serres Sur Arget',3090),(3095,'09130','Artigat',3091),(3096,'09300','Lesparrou',3092),(3097,'09120','Saint Félix De Rieutord',3093),(3098,'09100','Unzent',3094),(3099,'09400','Bompas',3095),(3100,'09140','Seix',3096),(3101,'09600','Aigues Vives',3097),(3102,'09220','Illier Et Laramade',3098),(3103,'09100','Pamiers',3099),(3104,'09310','Cabannes',3100),(3105,'09500','Saint Félix De Tournegat',3101),(3106,'09310','Verdun',3102),(3107,'09250','Axiat',3103),(3108,'09250','Garanou',3104),(3109,'09800','Arrout',3105),(3110,'09350','La Bastide De Besplas',3106),(3111,'09600','Laroque D\'Olmes',3107),(3112,'09160','Betchat',3108),(3113,'09240','Sentenac De Sérou',3109),(3114,'09110','Perles Et Castelet',3110),(3115,'09000','Saint Pierre De Rivière',3111),(3116,'09230','Mérigon',3112),(3117,'09110','Vaychis',3113),(3118,'09460','Mijanès',3114),(3119,'09800','Cescau',3115),(3120,'09100','Saint Jean Du Falga',3116),(3121,'09100','Escosse',3117),(3122,'09100','Ludiès',3118),(3123,'09400','Arnave',3119),(3124,'09400','Capoulet Et Junac',3120),(3125,'09320','Le Port',3121),(3126,'09220','Sem',3122),(3127,'09400','Cazenave Serres Et Allens',3123),(3128,'09000','L\'Herm',3124),(3129,'09420','Castelnau Durban',3125),(3130,'09600','Pradettes',3126),(3131,'09400','Saurat',3127),(3132,'09500','Coutens',3128),(3133,'09100','Le Carlaret',3129),(3134,'09600','Léran',3130),(3135,'09120','Dalou',3131),(3136,'09130','Carla Bayle',3132),(3137,'09800','Illartein',3133),(3138,'09230','Sainte Croix Volvestre',3134),(3139,'09000','Bénac',3135),(3140,'09100','Madière',3136),(3141,'09800','Sor',3137),(3142,'09800','Buzan',3138),(3143,'09400','Ornolac Ussat Les Bains',3139),(3144,'09140','Ustou',3140),(3145,'09230','Mauvezin De Sainte Croix',3141),(3146,'09600','Limbrassac',3142),(3147,'09600','Régat',3143),(3148,'09160','Taurignan Castet',3144),(3149,'09460','Carcanières',3145),(3150,'09200','Lacourt',3146),(3151,'09310','Sinsat',3147),(3152,'09300','Villeneuve D\'Olmes',3148),(3153,'09600','Montbel',3149),(3154,'09250','Unac',3150),(3155,'09190','Lorp Sentaraille',3151),(3156,'09320','Aleu',3152),(3157,'09240','Durban Sur Arize',3153),(3158,'09100','Saint Martin D\'Oydes',3154),(3159,'09240','Montels',3155),(3160,'09500','Penne',3156),(3161,'09700','Montaut',3157),(3162,'09100','Arvigna',3158),(3163,'09120','Saint Bauzeil',3159),(3164,'09290','Le Mas D\'Azil',3160),(3165,'09220','Goulier',3161),(3166,'09500','Teilhet',3162),(3167,'09160','Mercenac',3163),(3168,'09220','Gestiès',3164),(3169,'09000','Cos',3165),(3170,'09300','Péreille',3166),(3171,'09800','Uchentein',3167),(3172,'09140','Soueix Rogalle',3168),(3173,'09200','Montesquieu Avantès',3169),(3174,'09110','Montaillou',3170),(3175,'09800','Castillon En Couserans',3171),(3176,'09600','La Bastide Sur L\'Hers',3172),(3177,'09500','Moulin Neuf',3173),(3178,'09700','Trémoulet',3174),(3179,'09000','Ganac',3175),(3180,'09460','Quérigut',3176),(3181,'09250','Luzenac',3177),(3182,'09310','Albiès',3178),(3183,'09300','Saint Jean D\'Aigues Vives',3179),(3184,'09400','Miglos',3180),(3185,'09700','Lissac',3181),(3186,'09800','Orgibet',3182),(3187,'09800','Bordes Sur Lez',3183),(3188,'09160','Prat Bonrepaux',3184),(3189,'09200','Moulis',3185),(3190,'09120','Vira',3186),(3191,'09310','Aston',3187),(3192,'09800','Salsein',3188),(3193,'09230','Lasserre',3189),(3194,'09700','Brie',3190),(3195,'09300','Freychenet',3191),(3196,'09400','Surba',3192),(3197,'09310','Château Verdun',3193),(3198,'09300','Ilhat',3194),(3199,'09100','Saint Amadou',3195),(3200,'09800','Aucazein',3196),(3201,'09460','Le Pla',3197),(3202,'09220','Vicdessos',3198),(3203,'09400','Tarascon Sur Ariège',3199),(3204,'09800','Antras',3200),(3205,'09400','Arignac',3201),(3206,'09600','Le Peyrat',3202),(3207,'09240','Montagagne',3203),(3208,'09210','Saint Ybars',3204),(3209,'09200','Alos',3205),(3210,'09160','Mauvezin De Prat',3206),(3211,'09120','Coussa',3207),(3212,'09420','Clermont',3208),(3213,'09420','Rimont',3209),(3214,'09800','Augirein',3210),(3215,'09140','Ercé',3211),(3216,'09220','Orus',3212),(3217,'09000','Soula',3213),(3218,'09160','Caumont',3214),(3219,'09100','Villeneuve Du Paréage',3215),(3220,'09000','Saint Martin De Caralp',3216),(3221,'09800','Argein',3217),(3222,'09400','Gourbit',3218),(3223,'09400','Quié',3219),(3224,'09110','Tignac',3220),(3225,'09250','Caussou',3221),(3226,'09220','Siguer',3222),(3227,'09110','Orgeix',3223),(3228,'09700','Saint Quirc',3224),(3229,'09350','Fornex',3225),(3230,'10330','Montmorency Beaufort',3226),(3231,'10130','Lignières',3227),(3232,'10210','Prusy',3228),(3233,'10410','Villechétif',3229),(3234,'10190','Chennegy',3230),(3235,'10210','Étourvy',3231),(3236,'10500','Morvilliers',3232),(3237,'10200','Fontaine',3233),(3238,'10120','Saint Pouange',3234),(3239,'10110','Magnant',3235),(3240,'10190','Palis',3236),(3241,'10700','Herbisse',3237),(3242,'10210','Granges',3238),(3243,'10320','Crésantignes',3239),(3244,'10340','Bagneux La Fosse',3240),(3245,'10800','Saint Julien Les Villas',3241),(3246,'10500','Précy Saint Martin',3242),(3247,'10190','Estissac',3243),(3248,'10280','Fontaine Les Grès',3244),(3249,'10320','Saint Jean De Bonneval',3245),(3250,'10110','Vitry Le Croisé',3246),(3251,'10150','Aubeterre',3247),(3252,'10130','Bernon',3248),(3253,'10240','Dampierre',3249),(3254,'10110','Poligny',3250),(3255,'10200','Lévigny',3251),(3256,'10150','Vailly',3252),(3257,'10600','Saint Lyé',3253),(3258,'10170','Bessy',3254),(3259,'10500','Pel Et Der',3255),(3260,'10800','Saint Léger Près Troyes',3256),(3261,'10200','Lignol Le Château',3257),(3262,'10140','Puits Et Nuisement',3258),(3263,'10110','Bourguignons',3259),(3264,'10320','Maupas',3260),(3265,'10510','Châtres',3261),(3266,'10380','Charny Le Bachot',3262),(3267,'10210','Villiers Sous Praslin',3263),(3268,'10700','Torcy Le Grand',3264),(3269,'10170','Chauchigny',3265),(3270,'10170','Rhèges',3266),(3271,'10500','Précy Notre Dame',3267),(3272,'10500','Brienne La Vieille',3268),(3273,'10160','Vulaines',3269),(3274,'10200','Couvignon',3270),(3275,'10360','Saint Usage',3271),(3276,'10700','Lhuître',3272),(3277,'10210','Lagesse',3273),(3278,'10150','Montsuzain',3274),(3279,'10210','Vougrey',3275),(3280,'10110','Fralignes',3276),(3281,'10100','Crancey',3277),(3282,'10500','Saint Léger Sous Brienne',3278),(3283,'10600','La Chapelle Saint Luc',3279),(3284,'10500','Crespy Le Neuf',3280),(3285,'10130','Coursan En Othe',3281),(3286,'10350','Échemines',3282),(3287,'10200','Bligny',3283),(3288,'10310','Bayel',3284),(3289,'10300','Sainte Savine',3285),(3290,'10270','Fresnoy Le Château',3286),(3291,'10700','Le Chêne',3287),(3292,'10260','Courtenot',3288),(3293,'10160','Paisy Cosdon',3289),(3294,'10200','Ville Sur Terre',3290),(3295,'10250','Neuville Sur Seine',3291),(3296,'10240','Brillecourt',3292),(3297,'10700','Champigny Sur Aube',3293),(3298,'10100','La Fosse Corduan',3294),(3299,'10380','Viâpres Le Petit',3295),(3300,'10320','Villery',3296),(3301,'10400','Barbuise',3297),(3302,'10350','Saint Lupien',3298),(3303,'10260','Montceaux Lès Vaudes',3299),(3304,'10220','Rouilly Sacey',3300),(3305,'10400','Nogent Sur Seine',3301),(3306,'10220','Val D\'Auzon',3302),(3307,'10800','La Vendue Mignot',3303),(3308,'10140','Thieffrain',3304),(3309,'10700','Mesnil La Comtesse',3305),(3310,'10290','Fay Lès Marcilly',3306),(3311,'10320','Assenay',3307),(3312,'10190','Mesnil Saint Loup',3308),(3313,'10800','Bordes Aumont',3309),(3314,'10210','Coussegrey',3310),(3315,'10310','Juvancourt',3311),(3316,'10100','Saint Martin De Bossenay',3312),(3317,'10110','Viviers Sur Artaut',3313),(3318,'10400','Bouy Sur Orvin',3314),(3319,'10500','Maizières Lès Brienne',3315),(3320,'10400','Fontaine Mâcon',3316),(3321,'10150','Creney Près Troyes',3317),(3322,'10200','Montier En L\'Isle',3318),(3323,'10300','Montgueux',3319),(3324,'10800','Bréviandes',3320),(3325,'10190','Dierrey Saint Julien',3321),(3326,'10260','Virey Sous Bar',3322),(3327,'10110','Buxeuil',3323),(3328,'10250','Mussy Sur Seine',3324),(3329,'10700','Saint Nabord Sur Aube',3325),(3330,'10130','Montfey',3326),(3331,'10500','Blignicourt',3327),(3332,'10160','Nogent En Othe',3328),(3333,'10250','Gyé Sur Seine',3329),(3334,'10130','Auxon',3330),(3335,'10130','Croûtes',3331),(3336,'10400','Saint Aubin',3332),(3337,'10170','Méry Sur Seine',3333),(3338,'10130','Racines',3334),(3339,'10130','Vosnon',3335),(3340,'10110','Loches Sur Ource',3336),(3341,'10240','Nogent Sur Aube',3337),(3342,'10350','Saint Flavy',3338),(3343,'10240','Magnicourt',3339),(3344,'10110','Polisot',3340),(3345,'10240','Dommartin Le Coq',3341),(3346,'10400','Saint Nicolas La Chapelle',3342),(3347,'10240','Vaucogne',3343),(3348,'10190','Neuville Sur Vanne',3344),(3349,'10320','Jeugny',3345),(3350,'10220','Brévonnes',3346),(3351,'10600','Payns',3347),(3352,'10400','Marnay Sur Seine',3348),(3353,'10600','Mergey',3349),(3354,'10240','Mesnil Lettre',3350),(3355,'10500','Juzanvigny',3351),(3356,'10360','Verpillières Sur Ource',3352),(3357,'10150','Sainte Maure',3353),(3358,'10400','Ferreux Quincey',3354),(3359,'10500','Brienne Le Château',3355),(3360,'10170','Prémierfait',3356),(3361,'10200','Soulaines Dhuys',3357),(3362,'10700','Saint Étienne Sous Barbuise',3358),(3363,'10190','Messon',3359),(3364,'10260','Rumilly Lès Vaudes',3360),(3365,'10200','Ailleville',3361),(3366,'10160','Planty',3362),(3367,'10400','Pont Sur Seine',3363),(3368,'10700','Torcy Le Petit',3364),(3369,'10200','Jaucourt',3365),(3370,'10310','Longchamp Sur Aujon',3366),(3371,'10120','Saint Germain',3367),(3372,'10360','Fontette',3368),(3373,'10200','Fuligny',3369),(3374,'10400','Plessis Barbuise',3370),(3375,'10270','Laubressel',3371),(3376,'10170','Mesgrigny',3372),(3377,'10110','Marolles Lès Bailly',3373),(3378,'10370','Villenauxe La Grande',3374),(3379,'10160','Villemoiron En Othe',3375),(3380,'10150','Pont Sainte Marie',3376),(3381,'10700','Vaupoisson',3377),(3382,'10110','Balnot Sur Laignes',3378),(3383,'10140','La Loge Aux Chèvres',3379),(3384,'10220','Mesnil Sellières',3380),(3385,'10130','Chamoy',3381),(3386,'10500','Molins Sur Aube',3382),(3387,'10190','Bercenay En Othe',3383),(3388,'10500','Courcelles Sur Voire',3384),(3389,'10110','Éguilly Sous Bois',3385),(3390,'10600','Barberey Saint Sulpice',3386),(3391,'10210','Vanlay',3387),(3392,'10110','Buxières Sur Arce',3388),(3393,'10270','Montaulin',3389),(3394,'10510','Maizières La Grande Paroisse',3390),(3395,'10200','Baroville',3391),(3396,'10150','Charmont Sous Barbuise',3392),(3397,'10500','Perthes Lès Brienne',3393),(3398,'10700','Trouans',3394),(3399,'10140','Jessains',3395),(3400,'10410','Thennelières',3396),(3401,'10320','Sommeval',3397),(3402,'10110','Villemorien',3398),(3403,'10350','Marigny Le Châtel',3399),(3404,'10240','Verricourt',3400),(3405,'10500','Braux',3401),(3406,'10500','Chalette Sur Voire',3402),(3407,'10150','Feuges',3403),(3408,'10240','Coclois',3404),(3409,'10400','Avant Lès Marcilly',3405),(3410,'10400','Fontenay De Bossery',3406),(3411,'10140','Vendeuvre Sur Barse',3407),(3412,'10140','Juvanzé',3408),(3413,'10400','Montpothier',3409),(3414,'10140','La Villeneuve Au Chêne',3410),(3415,'10110','Landreville',3411),(3416,'10130','Montigny Les Monts',3412),(3417,'10240','Avant Lès Ramerupt',3413),(3418,'10220','Piney',3414),(3419,'10290','Charmoy',3415),(3420,'10100','Romilly Sur Seine',3416),(3421,'10110','Merrey Sur Arce',3417),(3422,'10230','Mailly Le Camp',3418),(3423,'10210','Balnot La Grange',3419),(3424,'10400','Courceroy',3420),(3425,'10120','Saint André Les Vergers',3421),(3426,'10250','Courteron',3422),(3427,'10200','Proverville',3423),(3428,'10110','Polisy',3424),(3429,'10140','Amance',3425),(3430,'10200','Thil',3426),(3431,'10700','Semoine',3427),(3432,'10220','Bouy Luxembourg',3428),(3433,'10330','Saint Léger Sous Margerie',3429),(3434,'10700','Grandville',3430),(3435,'10210','Chaserey',3431),(3436,'10200','Fravaux',3432),(3437,'10700','Pouan Les Vallées',3433),(3438,'10140','Villy En Trodes',3434),(3439,'10800','Rouilly Saint Loup',3435),(3440,'10240','Pougy',3436),(3441,'10420','Noës Près Troyes',3437),(3442,'10160','Saint Mards En Othe',3438),(3443,'10800','Buchères',3439),(3444,'10700','Poivres',3440),(3445,'10290','Faux Villecerf',3441),(3446,'10200','Thors',3442),(3447,'10330','Balignicourt',3443),(3448,'10210','Metz Robert',3444),(3449,'10200','Urville',3445),(3450,'10130','Ervy Le Châtel',3446),(3451,'10100','Gélannes',3447),(3452,'10200','Rouvres Les Vignes',3448),(3453,'10500','Bétignicourt',3449),(3454,'10170','Droupt Saint Basle',3450),(3455,'10500','Hampigny',3451),(3456,'10500','Blaincourt Sur Aube',3452),(3457,'10170','Saint Oulph',3453),(3458,'10240','Chaudrey',3454),(3459,'10700','Ortillon',3455),(3460,'10260','Fouchères',3456),(3461,'10130','Eaux Puiseaux',3457),(3462,'10330','Chavanges',3458),(3463,'10340','Arrelles',3459),(3464,'10500','Mathaux',3460),(3465,'10400','Gumery',3461),(3466,'10430','Rosières Près Troyes',3462),(3467,'10500','Épagne',3463),(3468,'10320','Longeville Sur Mogne',3464),(3469,'10140','Vauchonvilliers',3465),(3470,'10100','Saint Loup De Buffigny',3466),(3471,'10210','Praslin',3467),(3472,'10500','Vallentigny',3468),(3473,'10400','Périgny La Rose',3469),(3474,'10320','Machy',3470),(3475,'10200','Colombé La Fosse',3471),(3476,'10210','Villiers Le Bois',3472),(3477,'10320','Souligny',3473),(3478,'10200','Arconville',3474),(3479,'10250','Plaines Saint Lange',3475),(3480,'10170','Droupt Sainte Marie',3476),(3481,'10500','Rances',3477),(3482,'10110','Ville Sur Arce',3478),(3483,'10200','Voigny',3479),(3484,'10330','Villeret',3480),(3485,'10140','Briel Sur Barse',3481),(3486,'10500','Saint Christophe Dodinicourt',3482),(3487,'10160','Saint Benoist Sur Vanne',3483),(3488,'10260','Vaudes',3484),(3489,'10200','Bergères',3485),(3490,'10330','Donnement',3486),(3491,'10210','Pargues',3487),(3492,'10410','Saint Parres Aux Tertres',3488),(3493,'10210','Turgy',3489),(3494,'10130','Marolles Sous Lignières',3490),(3495,'10500','Chaumesnil',3491),(3496,'10210','Chaource',3492),(3497,'10500','Dienville',3493),(3498,'10190','Prugny',3494),(3499,'10220','Assencières',3495),(3500,'10140','Longpré Le Sec',3496),(3501,'10200','Saulcy',3497),(3502,'10130','Davrey',3498),(3503,'10200','Arsonval',3499),(3504,'10210','Chesley',3500),(3505,'10200','Bar Sur Aube',3501),(3506,'10270','Bouranton',3502),(3507,'10140','Mesnil Saint Père',3503),(3508,'10500','Épothémont',3504),(3509,'10290','Avon La Pèze',3505),(3510,'10510','Origny Le Sec',3506),(3511,'10800','Villemereuil',3507),(3512,'10140','Champ Sur Barse',3508),(3513,'10320','Lirey',3509),(3514,'10700','Villiers Herbisse',3510),(3515,'10160','Maraye En Othe',3511),(3516,'10350','Prunay Belleville',3512),(3517,'10360','Noé Les Mallets',3513),(3518,'10140','Magny Fouchard',3514),(3519,'10110','Chervey',3515),(3520,'10700','Allibaudières',3516),(3521,'10210','Loges Margueron',3517),(3522,'10600','Villacerf',3518),(3523,'10210','Maisons Lès Chaource',3519),(3524,'10500','La Rothière',3520),(3525,'10200','Fresnay',3521),(3526,'10160','Aix En Othe',3522),(3527,'10290','Marcilly Le Hayer',3523),(3528,'10270','Montreuil Sur Barse',3524),(3529,'10260','Villemoyenne',3525),(3530,'10200','Meurville',3526),(3531,'10700','Dosnon',3527),(3532,'10800','Villy Le Bois',3528),(3533,'10700','Salon',3529),(3534,'10700','Arcis Sur Aube',3530),(3535,'10100','Pars Lès Romilly',3531),(3536,'10330','Pars Lès Chavanges',3532),(3537,'10150','Luyères',3533),(3538,'10130','Courtaoult',3534),(3539,'10240','Ramerupt',3535),(3540,'10800','Cormost',3536),(3541,'10410','Ruvigny',3537),(3542,'10700','Champfleury',3538),(3543,'10800','Moussey',3539),(3544,'10140','Bossancourt',3540),(3545,'10120','Laines Aux Bois',3541),(3546,'10330','Joncreuil',3542),(3547,'10500','Lassicourt',3543),(3548,'10130','Villeneuve Au Chemin',3544),(3549,'10280','Rilly Sainte Syre',3545),(3550,'10240','Longsols',3546),(3551,'10350','Le Pavillon Sainte Julie',3547),(3552,'10280','Saint Mesmin',3548),(3553,'10330','Arrembécourt',3549),(3554,'10440','La Rivière De Corps',3550),(3555,'10700','Villette Sur Aube',3551),(3556,'10170','Orvilliers Saint Julien',3552),(3557,'10400','La Villeneuve Au Châtelot',3553),(3558,'10150','Voué',3554),(3559,'10400','La Louptière Thénard',3555),(3560,'10140','Unienville',3556),(3561,'10200','Engente',3557),(3562,'10290','Bourdenay',3558),(3563,'10440','Torvilliers',3559),(3564,'10600','Savières',3560),(3565,'10290','Pouy Sur Vannes',3561),(3566,'10190','Bucey En Othe',3562),(3567,'10260','Saint Parres Lès Vaudes',3563),(3568,'10700','Vinets',3564),(3569,'10320','Bouilly',3565),(3570,'10100','Saint Hilaire Sous Romilly',3566),(3571,'10190','Vauchassis',3567),(3572,'10300','Macey',3568),(3573,'10210','Lantages',3569),(3574,'10170','Vallant Saint Georges',3570),(3575,'10400','La Saulsotte',3571),(3576,'10340','Riceys',3572),(3577,'10210','La Loge Pomblin',3573),(3578,'10160','Bérulle',3574),(3579,'10170','Grandes Chapelles',3575),(3580,'10290','Bercenay Le Hayer',3576),(3581,'10500','Rosnay L\'Hôpital',3577),(3582,'10190','Villemaur Sur Vanne',3578),(3583,'10220','Onjon',3579),(3584,'10190','Fontvannes',3580),(3585,'10290','Trancault',3581),(3586,'10390','Clérey',3582),(3587,'10400','Traînel',3583),(3588,'10340','Channes',3584),(3589,'10500','Petit Mesnil',3585),(3590,'10220','Dosches',3586),(3591,'10190','Dierrey Saint Pierre',3587),(3592,'10330','Lentilles',3588),(3593,'10140','Argançon',3589),(3594,'10200','Champignol Lez Mondeville',3590),(3595,'10800','Isle Aumont',3591),(3596,'10170','Longueville Sur Aube',3592),(3597,'10390','Verrières',3593),(3598,'10000','Troyes',3594),(3599,'10140','Montmartin Le Haut',3595),(3600,'10360','Essoyes',3596),(3601,'10200','Colombé Le Sec',3597),(3602,'10500','La Chaise',3598),(3603,'10270','Lusigny Sur Barse',3599),(3604,'10200','Dolancourt',3600),(3605,'10310','Ville Sous La Ferté',3601),(3606,'10270','Courteranges',3602),(3607,'10110','Celles Sur Ource',3603),(3608,'10350','Villeloup',3604),(3609,'10360','Cunfin',3605),(3610,'10200','Éclance',3606),(3611,'10200','Maisons Lès Soulaines',3607),(3612,'10110','Chacenay',3608),(3613,'10210','Vallières',3609),(3614,'10700','Chapelle Vallon',3610),(3615,'10800','Saint Thibault',3611),(3616,'10380','Boulages',3612),(3617,'10140','Maison Des Champs',3613),(3618,'10400','Le Mériot',3614),(3619,'10240','Morembert',3615),(3620,'10700','Nozay',3616),(3621,'10290','Rigny La Nonneuse',3617),(3622,'10290','Villadin',3618),(3623,'10200','Vernonvilliers',3619),(3624,'10320','Javernant',3620),(3625,'10500','Radonvilliers',3621),(3626,'10100','Ossey Les Trois Maisons',3622),(3627,'10400','Soligny Les Étangs',3623),(3628,'10110','Bar Sur Seine',3624),(3629,'10500','Lesmont',3625),(3630,'10130','Avreuil',3626),(3631,'10140','Trannes',3627),(3632,'10140','Beurey',3628),(3633,'10700','Ormes',3629),(3634,'10260','Chappes',3630),(3635,'10320','Fays La Chapelle',3631),(3636,'10500','La Ville Aux Bois',3632),(3637,'10110','Bertignolles',3633),(3638,'10330','Bailly Le Franc',3634),(3639,'10330','Jasseines',3635),(3640,'10600','Saint Benoît Sur Seine',3636),(3641,'10200','Arrentières',3637),(3642,'10340','Bragelogne Beauvoir',3638),(3643,'10130','Chessy Les Prés',3639),(3644,'10210','Cussangy',3640),(3645,'10340','Avirey Lingey',3641),(3646,'10800','Villy Le Maréchal',3642),(3647,'10150','Lavau',3643),(3648,'10320','Roncenay',3644),(3649,'10220','Géraudot',3645),(3650,'10380','Plancy L\'Abbaye',3646),(3651,'10240','Isle Aubigny',3647),(3652,'10200','Spoy',3648),(3653,'10240','Aulnay',3649),(3654,'10500','Yèvres Le Petit',3650),(3655,'10160','Rigny Le Ferron',3651),(3656,'10400','La Motte Tilly',3652),(3657,'10260','Jully Sur Sarce',3653),(3658,'10110','Chauffour Lès Bailly',3654),(3659,'10130','Saint Phal',3655),(3660,'10700','Saint Remy Sous Barbuise',3656),(3661,'10270','Montiéramey',3657),(3662,'10170','Étrelles Sur Aube',3658),(3663,'11400','Souilhe',3659),(3664,'11220','Labastide En Val',3660),(3665,'11600','Salsigne',3661),(3666,'11190','Cassaignes',3662),(3667,'11400','Souilhanels',3663),(3668,'11320','Cassés',3664),(3669,'11800','Floure',3665),(3670,'11250','Villebazy',3666),(3671,'11220','Talairan',3667),(3672,'11160','Trausse',3668),(3673,'11140','Counozouls',3669),(3674,'11160','Cabrespine',3670),(3675,'11400','Saint Martin Lalande',3671),(3676,'11250','Villar Saint Anselme',3672),(3677,'11240','Monthaut',3673),(3678,'11300','Cournanel',3674),(3679,'11230','Corbières',3675),(3680,'11250','Clermont Sur Lauquet',3676),(3681,'11360','Embres Et Castelmaure',3677),(3682,'11500','Granès',3678),(3683,'11140','Mérial',3679),(3684,'11320','Saint Paulet',3680),(3685,'11290','Villeneuve Lès Montréal',3681),(3686,'11400','Verdun En Lauragais',3682),(3687,'11270','Lasserre De Prouille',3683),(3688,'11190','Fourtou',3684),(3689,'11170','Carlipa',3685),(3690,'11220','Villetritouls',3686),(3691,'11420','Belpech',3687),(3692,'11200','Bizanet',3688),(3693,'11200','Escales',3689),(3694,'11400','Lasbordes',3690),(3695,'11270','Fanjeaux',3691),(3696,'11220','Saint Laurent De La Cabrerisse',3692),(3697,'11570','Cavanac',3693),(3698,'11120','Sainte Valière',3694),(3699,'11190','Rennes Le Château',3695),(3700,'11300','La Digne D\'Amont',3696),(3701,'11140','Aunat',3697),(3702,'11380','Mas Cabardès',3698),(3703,'11580','Alet Les Bains',3699),(3704,'11000','Carcassonne',3700),(3705,'11350','Tuchan',3701),(3706,'11120','Saint Marcel Sur Aude',3702),(3707,'11500','Quillan',3703),(3708,'11590','Cuxac D\'Aude',3704),(3709,'11220','Taurize',3705),(3710,'11240','Routier',3706),(3711,'11600','Villardonnel',3707),(3712,'11220','Arquettes En Val',3708),(3713,'11120','Pouzols Minervois',3709),(3714,'11430','Gruissan',3710),(3715,'11700','Pépieux',3711),(3716,'11240','Cailhavel',3712),(3717,'11110','Vinassan',3713),(3718,'11330','Davejean',3714),(3719,'11330','Maisons',3715),(3720,'11330','Mouthoumet',3716),(3721,'11500','Saint Julia De Bec',3717),(3722,'11320','Soupex',3718),(3723,'11250','Verzeille',3719),(3724,'11250','Ladern Sur Lauquet',3720),(3725,'11170','Raissac Sur Lampy',3721),(3726,'11150','Villasavary',3722),(3727,'11290','Arzens',3723),(3728,'11400','Brunels',3724),(3729,'11400','Ricaud',3725),(3730,'11400','Mas Saintes Puelles',3726),(3731,'11590','Sallèles D\'Aude',3727),(3732,'11410','Molleville',3728),(3733,'11200','Tourouzelle',3729),(3734,'11220','Fajac En Val',3730),(3735,'11270','Generville',3731),(3736,'11500','Saint Martin Lys',3732),(3737,'11170','Pezens',3733),(3738,'11420','Villautou',3734),(3739,'11270','Plavilla',3735),(3740,'11400','Fonters Du Razès',3736),(3741,'11230','Montjardin',3737),(3742,'11140','Mazuby',3738),(3743,'11330','Palairac',3739),(3744,'11300','Brugairolles',3740),(3745,'11330','Vignevieille',3741),(3746,'11300','Loupia',3742),(3747,'11330','Dernacueillette',3743),(3748,'11160','Peyriac Minervois',3744),(3749,'11500','Brenac',3745),(3750,'11340','Belvis',3746),(3751,'11140','Cailla',3747),(3752,'11510','Treilles',3748),(3753,'11140','Niort De Sault',3749),(3754,'11200','Thézan Des Corbières',3750),(3755,'11140','Montfort Sur Boulzane',3751),(3756,'11700','Montbrun Des Corbières',3752),(3757,'11230','Rivel',3753),(3758,'11500','Saint Ferriol',3754),(3759,'11320','Airoux',3755),(3760,'11140','Sainte Colombe Sur Guette',3756),(3761,'11400','Castelnaudary',3757),(3762,'11160','Trassanel',3758),(3763,'11410','Montauriol',3759),(3764,'11200','Raissac D\'Aude',3760),(3765,'11400','Tréville',3761),(3766,'11350','Soulatgé',3762),(3767,'11410','Sainte Camelle',3763),(3768,'11200','Luc Sur Orbieu',3764),(3769,'11600','Villalier',3765),(3770,'11410','Cumiès',3766),(3771,'11420','Lafage',3767),(3772,'11600','Villanière',3768),(3773,'11320','Labastide D\'Anjou',3769),(3774,'11120','Mirepeisset',3770),(3775,'11220','Caunettes En Val',3771),(3776,'11140','Joucou',3772),(3777,'11220','Tournissan',3773),(3778,'11700','Castelnau D\'Aude',3774),(3779,'11230','Gueytes Et Labastide',3775),(3780,'11420','Molandier',3776),(3781,'11230','Sainte Colombe Sur L\'Hers',3777),(3782,'11160','Villeneuve Minervois',3778),(3783,'11360','Villeneuve Les Corbières',3779),(3784,'11500','Ginoles',3780),(3785,'11230','Puivert',3781),(3786,'11800','Monze',3782),(3787,'11140','La Fajolle',3783),(3788,'11410','Fajac La Relenque',3784),(3789,'11240','La Courtète',3785),(3790,'11170','Caux Et Sauzens',3786),(3791,'11300','Limoux',3787),(3792,'11580','Villardebelle',3788),(3793,'11540','Roquefort Des Corbières',3789),(3794,'11420','Mayreville',3790),(3795,'11510','Feuilla',3791),(3796,'11700','Comigne',3792),(3797,'11300','Saint Martin De Villereglan',3793),(3798,'11300','Magrie',3794),(3799,'11580','Terroles',3795),(3800,'11300','Pauligne',3796),(3801,'11300','Malras',3797),(3802,'11330','Termes',3798),(3803,'11330','Salza',3799),(3804,'11140','Gincla',3800),(3805,'11500','Belvianes Et Cavirac',3801),(3806,'11300','Roquetaillade',3802),(3807,'11330','Massac',3803),(3808,'11340','Espezel',3804),(3809,'11140','Galinagues',3805),(3810,'11330','Villerouge Termenès',3806),(3811,'11250','Preixan',3807),(3812,'11200','Argens Minervois',3808),(3813,'11600','Fournes Cabardès',3809),(3814,'11410','Gourvieille',3810),(3815,'11400','Saint Papoul',3811),(3816,'11240','Hounoux',3812),(3817,'11240','Belvèze Du Razès',3813),(3818,'11800','Saint Frichoux',3814),(3819,'11240','Escueillens Et Saint Just De Bélengard',3815),(3820,'11190','Antugnac',3816),(3821,'11150','Villesiscle',3817),(3822,'11190','Serres',3818),(3823,'11240','Lignairolles',3819),(3824,'11120','Ventenac En Minervois',3820),(3825,'11190','Rennes Les Bains',3821),(3826,'11600','Villegly',3822),(3827,'11700','Azille',3823),(3828,'11330','Montgaillard',3824),(3829,'11510','Caves',3825),(3830,'11700','Saint Couat D\'Aude',3826),(3831,'11190','Coustaussa',3827),(3832,'11290','Roullens',3828),(3833,'11270','Orsans',3829),(3834,'11800','Barbaira',3830),(3835,'11230','Tréziers',3831),(3836,'11410','Mézerville',3832),(3837,'11230','Courtauly',3833),(3838,'11220','Pradelles En Val',3834),(3839,'11250','Gardie',3835),(3840,'11410','La Louvière Lauragais',3836),(3841,'11500','Saint Just Et Le Bézu',3837),(3842,'11400','Mireval Lauragais',3838),(3843,'11390','Cuxac Cabardès',3839),(3844,'11400','La Pomarède',3840),(3845,'11290','Alairac',3841),(3846,'11570','Cazilhac',3842),(3847,'11700','Puichéric',3843),(3848,'11410','Marquein',3844),(3849,'11100','Narbonne',3845),(3850,'11260','Rouvenac',3846),(3851,'11270','Saint Amans',3847),(3852,'11230','Peyrefitte Du Razès',3848),(3853,'11170','Cenne Monestiés',3849),(3854,'11310','Lacombe',3850),(3855,'11200','Ornaisons',3851),(3856,'11380','Labastide Esparbairenque',3852),(3857,'11290','Montréal',3853),(3858,'11800','Laure Minervois',3854),(3859,'11200','Conilhac Corbières',3855),(3860,'11500','Coudons',3856),(3861,'11300','Gaja Et Villedieu',3857),(3862,'11130','Sigean',3858),(3863,'11190','Couiza',3859),(3864,'11360','Albas',3860),(3865,'11580','Belcastel Et Buc',3861),(3866,'11320','Montferrand',3862),(3867,'11160','Rieux Minervois',3863),(3868,'11800','Montirat',3864),(3869,'11220','Villar En Val',3865),(3870,'11200','Homps',3866),(3871,'11270','Saint Julien De Briola',3867),(3872,'11610','Pennautier',3868),(3873,'11600','Malves En Minervois',3869),(3874,'11250','Couffoulens',3870),(3875,'11200','Névian',3871),(3876,'11350','Rouffiac Des Corbières',3872),(3877,'11270','Ribouisse',3873),(3878,'11410','Salles Sur L\'Hers',3874),(3879,'11230','Caudeval',3875),(3880,'11160','Lespinassière',3876),(3881,'11420','Plaigne',3877),(3882,'11420','Saint Sernin',3878),(3883,'11300','Malviès',3879),(3884,'11320','Montmaur',3880),(3885,'11570','Villefloure',3881),(3886,'11220','Saint Pierre Des Champs',3882),(3887,'11100','Bages',3883),(3888,'11300','Pieusse',3884),(3889,'11200','Boutenac',3885),(3890,'11380','Miraval Cabardes',3886),(3891,'11390','Brousses Et Villaret',3887),(3892,'11190','Conilhac De La Montagne',3888),(3893,'11410','Payra Sur L\'Hers',3889),(3894,'11240','Bellegarde Du Razès',3890),(3895,'11110','Salles D\'Aude',3891),(3896,'11120','Argeliers',3892),(3897,'11310','Saint Denis',3893),(3898,'11300','Bourigeole',3894),(3899,'11800','Rustiques',3895),(3900,'11290','Lavalette',3896),(3901,'11300','Pomy',3897),(3902,'11230','Villefort',3898),(3903,'11600','Limousis',3899),(3904,'11170','Moussoulens',3900),(3905,'11300','Bouriège',3901),(3906,'11410','Belflou',3902),(3907,'11400','Laurabuc',3903),(3908,'11360','Saint Jean De Barrou',3904),(3909,'11140','Campagna De Sault',3905),(3910,'11560','Fleury',3906),(3911,'11140','Roquefort De Sault',3907),(3912,'11420','Pécharic Et Le Py',3908),(3913,'11350','Duilhac Sous Peyrepertuse',3909),(3914,'11240','Seignalens',3910),(3915,'11140','Belfort Sur Rebenty',3911),(3916,'11250','Montclar',3912),(3917,'11190','Camps Sur L\'Agly',3913),(3918,'11400','Peyrens',3914),(3919,'11240','Montgradail',3915),(3920,'11270','La Cassaigne',3916),(3921,'11140','Puilaurens',3917),(3922,'11260','Campagne Sur Aude',3918),(3923,'11360','Villesèque Des Corbières',3919),(3924,'11230','Saint Benoît',3920),(3925,'11340','Comus',3921),(3926,'11510','Fitou',3922),(3927,'11140','Le Clat',3923),(3928,'11160','Citou',3924),(3929,'11140','Marsa',3925),(3930,'11140','Artigues',3926),(3931,'11330','Auriac',3927),(3932,'11600','Fraisse Cabardès',3928),(3933,'11420','Cahuzac',3929),(3934,'11120','Mailhac',3930),(3935,'11700','Capendu',3931),(3936,'11200','Villedaigne',3932),(3937,'11150','Pexiora',3933),(3938,'11120','Ginestas',3934),(3939,'11300','Ajac',3935),(3940,'11350','Cucugnan',3936),(3941,'11200','Cruscades',3937),(3942,'11700','La Redorte',3938),(3943,'11300','Saint Polycarpe',3939),(3944,'11120','Marcorignan',3940),(3945,'11300','La Digne D\'Aval',3941),(3946,'11600','Bagnoles',3942),(3947,'11190','Bouisse',3943),(3948,'11150','Bram',3944),(3949,'11210','Port La Nouvelle',3945),(3950,'11190','Montazels',3946),(3951,'11260','Saint Jean De Paracol',3947),(3952,'11700','Fontcouverte',3948),(3953,'11170','Montolieu',3949),(3954,'11100','Montredon Des Corbières',3950),(3955,'11610','Ventenac Cabardès',3951),(3956,'11400','Villeneuve La Comptal',3952),(3957,'11160','Caunes Minervois',3953),(3958,'11600','Villarzel Cabardès',3954),(3959,'11800','Aigues Vives',3955),(3960,'11420','Pech Luna',3956),(3961,'11160','Castans',3957),(3962,'11330','Félines Termenès',3958),(3963,'11270','Laurac',3959),(3964,'11300','La Bezole',3960),(3965,'11170','Alzonne',3961),(3966,'11190','La Serpent',3962),(3967,'11170','Sainte Eulalie',3963),(3968,'11300','Castelreng',3964),(3969,'11120','Moussan',3965),(3970,'11250','Rouffiac D\'Aude',3966),(3971,'11400','Fendeille',3967),(3972,'11310','Saissac',3968),(3973,'11220','Serviès En Val',3969),(3974,'11300','Festes Et Saint André',3970),(3975,'11220','Lagrasse',3971),(3976,'11700','Blomac',3972),(3977,'11240','Alaigne',3973),(3978,'11170','Villespy',3974),(3979,'11250','Saint Hilaire',3975),(3980,'11500','Quirbajou',3976),(3981,'11620','Villemoustaussou',3977),(3982,'11240','Donazac',3978),(3983,'11250','Pomas',3979),(3984,'11400','Issel',3980),(3985,'11220','Rieux En Val',3981),(3986,'11360','Fontjoncouse',3982),(3987,'11220','Jonquières',3983),(3988,'11200','Paraza',3984),(3989,'11800','Bouilhonnac',3985),(3990,'11260','Fa',3986),(3991,'11090','Berriac',3987),(3992,'11370','Leucate',3988),(3993,'11200','Roubia',3989),(3994,'11580','Valmigère',3990),(3995,'11140','Axat',3991),(3996,'11800','Fontiès D\'Aude',3992),(3997,'11580','Missègre',3993),(3998,'11380','Pradelles Cabardès',3994),(3999,'11240','Fenouillet Du Razès',3995),(4000,'11390','Martys',3996),(4001,'11330','Lanet',3997),(4002,'11270','Brézilhac',3998),(4003,'11390','Caudebronde',3999),(4004,'11340','Roquefeuil',4000),(4005,'11400','Puginier',4001),(4006,'11330','Laroque De Fa',4002),(4007,'11220','Montlaur',4003),(4008,'11200','Lézignan Corbières',4004),(4009,'11600','Aragon',4005),(4010,'11500','Nébias',4006),(4011,'11240','Mazerolles Du Razès',4007),(4012,'11500','Saint Louis Et Parahou',4008),(4013,'11580','Véraza',4009),(4014,'11570','Mas Des Cours',4010),(4015,'11250','Caunette Sur Lauquet',4011),(4016,'11150','Villepinte',4012),(4017,'11300','Lauraguel',4013),(4018,'11570','Palaja',4014),(4019,'11800','Villedubert',4015),(4020,'11310','Fontiers Cabardès',4016),(4021,'11600','Villegailhenc',4017),(4022,'11190','Luc Sur Aude',4018),(4023,'11170','Saint Martin Le Vieil',4019),(4024,'11410','Baraigne',4020),(4025,'11240','Cailhau',4021),(4026,'11410','Saint Michel De Lanès',4022),(4027,'11250','Leuc',4023),(4028,'11350','Paziols',4024),(4029,'11390','Laprade',4025),(4030,'11700','Douzens',4026),(4031,'11590','Ouveillan',4027),(4032,'11200','Camplong D\'Aude',4028),(4033,'11120','Bize Minervois',4029),(4034,'11200','Montséret',4030),(4035,'11220','Mayronnes',4031),(4036,'11250','Greffeil',4032),(4037,'11360','Fraissé Des Corbières',4033),(4038,'11240','Cambieure',4034),(4039,'11490','Portel Des Corbières',4035),(4040,'11600','Conques Sur Orbiel',4036),(4041,'11190','Peyrolles',4037),(4042,'11240','Ferran',4038),(4043,'11800','Badens',4039),(4044,'11110','Armissan',4040),(4045,'11120','Saint Nazaire D\'Aude',4041),(4046,'11270','La Force',4042),(4047,'11190','Cubières Sur Cinoble',4043),(4048,'11190','Sougraigne',4044),(4049,'11800','Trèbes',4045),(4050,'11140','Salvezines',4046),(4051,'11300','Villelongue D\'Aude',4047),(4052,'11220','Ribaute',4048),(4053,'11480','La Palme',4049),(4054,'11220','Coustouge',4050),(4055,'11170','Villesèquelande',4051),(4056,'11330','Lairière',4052),(4057,'11300','Saint Couat Du Razès',4053),(4058,'11230','Chalabre',4054),(4059,'11330','Montjoi',4055),(4060,'11310','Villemagne',4056),(4061,'11360','Cascastel Des Corbières',4057),(4062,'11200','Fabrezan',4058),(4063,'11440','Peyriac De Mer',4059),(4064,'11110','Coursan',4060),(4065,'11200','Canet',4061),(4066,'11800','Marseillette',4062),(4067,'11380','La Tourette Cabardès',4063),(4068,'11360','Durban Corbières',4064),(4069,'11380','Roquefère',4065),(4070,'11340','Camurac',4066),(4071,'11350','Padern',4067),(4072,'11140','Escouloubre',4068),(4073,'11200','Saint André De Roquelongue',4069),(4074,'11200','Ferrals Les Corbières',4070),(4075,'11400','Labécède Lauragais',4071),(4076,'11300','Tourreilles',4072),(4077,'11340','Belcaire',4073),(4078,'11600','Lastours',4074),(4079,'11260','Espéraza',4075),(4080,'11700','Roquecourbe Minervois',4076),(4081,'11270','Cazalrenoux',4077),(4082,'11330','Albières',4078),(4083,'11140','Le Bousquet',4079),(4084,'11140','Rodome',4080),(4085,'11140','Fontanès De Sault',4081),(4086,'11140','Bessède De Sault',4082),(4087,'11360','Quintillan',4083),(4088,'11270','Gaja La Selve',4084),(4089,'11190','Arques',4085),(4090,'11700','Moux',4086),(4091,'11410','Peyrefitte Sur L\'Hers',4087),(4092,'11220','Saint Martin Des Puits',4088),(4093,'11270','Saint Gaudéric',4089),(4094,'11300','Villarzel Du Razès',4090),(4095,'11300','Cépie',4091),(4096,'11230','Sonnac Sur L\'Hers',4092),(4097,'11240','Gramazie',4093),(4098,'11600','Sallèles Cabardès',4094),(4099,'11190','Bugarach',4095),(4100,'11380','Ilhes',4096),(4101,'12370','Murasson',4097),(4102,'12210','Alpuech',4098),(4103,'12220','Roussennac',4099),(4104,'12580','Villecomtal',4100),(4105,'12560','Saint Saturnin De Lenne',4101),(4106,'12220','Peyrusse Le Roc',4102),(4107,'12260','Montsalès',4103),(4108,'12440','La Salvetat Peyralès',4104),(4109,'12780','Vézins De Lévézou',4105),(4110,'12390','Belcastel',4106),(4111,'12550','Montclar',4107),(4112,'12260','La Capelle Balaguier',4108),(4113,'12440','Tayrac',4109),(4114,'12800','Quins',4110),(4115,'12600','Mur De Barrez',4111),(4116,'12630','Agen D\'Aveyron',4112),(4117,'12540','Cornus',4113),(4118,'12150','Lapanouse',4114),(4119,'12500','Bessuéjouls',4115),(4120,'12430','Ayssènes',4116),(4121,'12270','Najac',4117),(4122,'12290','Le Vibal',4118),(4123,'12190','Le Nayrac',4119),(4124,'12410','Curan',4120),(4125,'12450','Luc La Primaube',4121),(4126,'12620','Saint Laurent De Lévézou',4122),(4127,'12120','Comps La Grand Ville',4123),(4128,'12170','Réquista',4124),(4129,'12220','Lugan',4125),(4130,'12360','Brusque',4126),(4131,'12620','Castelnau Pégayrols',4127),(4132,'12120','Meljac',4128),(4133,'12260','Foissac',4129),(4134,'12300','Boisse Penchot',4130),(4135,'12510','Balsac',4131),(4136,'12260','Ambeyrac',4132),(4137,'12310','Vimenet',4133),(4138,'12490','Saint Rome De Cernon',4134),(4139,'12520','Verrières',4135),(4140,'12400','Calmels Et Le Viala',4136),(4141,'12310','Laissac',4137),(4142,'12270','La Fouillade',4138),(4143,'12380','Pousthomy',4139),(4144,'12800','Sauveterre De Rouergue',4140),(4145,'12120','Auriac Lagast',4141),(4146,'12720','Peyreleau',4142),(4147,'12140','Saint Hippolyte',4143),(4148,'12330','Salles La Source',4144),(4149,'12200','Saint Rémy',4145),(4150,'12490','Saint Rome De Tarn',4146),(4151,'12140','Espeyrac',4147),(4152,'12330','Clairvaux D\'Aveyron',4148),(4153,'12740','Sébazac Concourès',4149),(4154,'12210','Montpeyroux',4150),(4155,'12380','Balaguier Sur Rance',4151),(4156,'12220','Albres',4152),(4157,'12360','Tauriac De Camarès',4153),(4158,'12480','Saint Izaire',4154),(4159,'12400','Versols Et Lapeyre',4155),(4160,'12410','Salles Curan',4156),(4161,'12150','Sévérac Le Château',4157),(4162,'12200','La Rouquette',4158),(4163,'12520','Compeyre',4159),(4164,'12430','Villefranche De Panat',4160),(4165,'12720','Veyreau',4161),(4166,'12200','Savignac',4162),(4167,'12300','Flagnac',4163),(4168,'12120','Sainte Juliette Sur Viaur',4164),(4169,'12310','Bertholène',4165),(4170,'12390','Bournazel',4166),(4171,'12320','Grand Vabre',4167),(4172,'12390','Auzits',4168),(4173,'12320','Saint Félix De Lunel',4169),(4174,'12310','Sévérac L\'Église',4170),(4175,'12470','Saint Chély D\'Aubrac',4171),(4176,'12400','Rebourguil',4172),(4177,'12260','Salles Courbatiès',4173),(4178,'12550','Martrin',4174),(4179,'12600','Thérondels',4175),(4180,'12200','Vailhourles',4176),(4181,'12200','Sanvensa',4177),(4182,'12300','Bouillac',4178),(4183,'12700','Causse Et Diège',4179),(4184,'12140','Entraygues Sur Truyère',4180),(4185,'12450','Calmont',4181),(4186,'12550','Brasc',4182),(4187,'12300','Saint Parthem',4183),(4188,'12550','La Bastide Solages',4184),(4189,'12340','Rodelle',4185),(4190,'12110','Cransac',4186),(4191,'12130','Pomayrols',4187),(4192,'12310','Coussergues',4188),(4193,'12630','Montrozier',4189),(4194,'12360','Gissac',4190),(4195,'12600','Lacroix Barrez',4191),(4196,'12200','Saint Salvadou',4192),(4197,'12000','Le Monastère',4193),(4198,'12800','Camjac',4194),(4199,'12300','Saint Santin',4195),(4200,'12140','Florentin La Capelle',4196),(4201,'12700','Naussac',4197),(4202,'12460','Saint Amans Des Cots',4198),(4203,'12260','Saint Igest',4199),(4204,'12210','Laguiole',4200),(4205,'12160','Gramond',4201),(4206,'12740','La Loubière',4202),(4207,'12290','Trémouilles',4203),(4208,'12130','Saint Geniez D\'Olt',4204),(4209,'12120','Rullac Saint Cirq',4205),(4210,'12290','Canet De Salars',4206),(4211,'12250','Saint Jean Et Saint Paul',4207),(4212,'12400','Saint Félix De Sorgues',4208),(4213,'12200','Monteils',4209),(4214,'12360','Camarès',4210),(4215,'12460','Huparlac',4211),(4216,'12540','Le Clapier',4212),(4217,'12580','Campuac',4213),(4218,'12300','Livinhac Le Haut',4214),(4219,'12700','Asprières',4215),(4220,'12560','Saint Laurent D\'Olt',4216),(4221,'12220','Vaureilles',4217),(4222,'12350','Compolibat',4218),(4223,'12850','Onet Le Château',4219),(4224,'12560','Campagnac',4220),(4225,'12330','Nauviale',4221),(4226,'12150','Lavernhe',4222),(4227,'12390','Anglars Saint Félix',4223),(4228,'12360','Sylvanès',4224),(4229,'12000','Rodez',4225),(4230,'12210','Soulages Bonneval',4226),(4231,'12130','La Capelle Bonance',4227),(4232,'12170','Lédergues',4228),(4233,'12290','Prades Salars',4229),(4234,'12260','Sainte Croix',4230),(4235,'12550','Plaisance',4231),(4236,'12170','La Selve',4232),(4237,'12120','Arvieu',4233),(4238,'12390','Escandolières',4234),(4239,'12800','Crespin',4235),(4240,'12160','Boussac',4236),(4241,'12230','Saint Jean Du Bruel',4237),(4242,'12640','La Cresse',4238),(4243,'12340','Gabriac',4239),(4244,'12230','L\'Hospitalet Du Larzac',4240),(4245,'12450','Flavin',4241),(4246,'12300','Firmi',4242),(4247,'12720','Saint André De Vézines',4243),(4248,'12360','Peux Et Couffouleux',4244),(4249,'12400','Saint Affrique',4245),(4250,'12170','Saint Jean Delnous',4246),(4251,'12470','Prades D\'Aubrac',4247),(4252,'12190','Coubisou',4248),(4253,'12190','Estaing',4249),(4254,'12210','Cassuéjouls',4250),(4255,'12260','Balaguier D\'Olt',4251),(4256,'12600','Taussac',4252),(4257,'12160','Moyrazès',4253),(4258,'12110','Viviez',4254),(4259,'12240','Rieupeyroux',4255),(4260,'12100','Comprégnac',4256),(4261,'12130','Saint Martin De Lenne',4257),(4262,'12350','Brandonnet',4258),(4263,'12140','Campouriez',4259),(4264,'12500','Espalion',4260),(4265,'12800','Naucelle',4261),(4266,'12340','Cruéjouls',4262),(4267,'12640','Rivière Sur Tarn',4263),(4268,'12200','La Bastide L\'Évêque',4264),(4269,'12380','Laval Roquecezière',4265),(4270,'12310','Gaillac D\'Aveyron',4266),(4271,'12430','Le Truel',4267),(4272,'12170','Durenque',4268),(4273,'12360','Mélagues',4269),(4274,'12350','Lanuéjouls',4270),(4275,'12230','La Couvertoirade',4271),(4276,'12230','Sainte Eulalie De Cernon',4272),(4277,'12270','Bor Et Bar',4273),(4278,'12490','Montjaux',4274),(4279,'12220','Montbazens',4275),(4280,'12240','La Capelle Bleys',4276),(4281,'12190','Sébrazac',4277),(4282,'12140','Le Fel',4278),(4283,'12600','Murols',4279),(4284,'12390','Mayran',4280),(4285,'12440','Lescure Jaoul',4281),(4286,'12200','Toulonjac',4282),(4287,'12100','Millau',4283),(4288,'12240','Castanet',4284),(4289,'12220','Galgan',4285),(4290,'12170','Connac',4286),(4291,'12200','Villefranche De Rouergue',4287),(4292,'12420','Sainte Geneviève Sur Argence',4288),(4293,'12700','Capdenac Gare',4289),(4294,'12330','Mouret',4290),(4295,'12430','Lestrade Et Thouels',4291),(4296,'12330','Valady',4292),(4297,'12600','Brommat',4293),(4298,'12800','Cabanès',4294),(4299,'12540','Marnhagues Et Latour',4295),(4300,'12120','Cassagnes Bégonhès',4296),(4301,'12370','Saint Sever Du Moustier',4297),(4302,'12100','Creissels',4298),(4303,'12390','Goutrens',4299),(4304,'12160','Manhac',4300),(4305,'12540','Saint Beaulize',4301),(4306,'12100','Saint Georges De Luzençon',4302),(4307,'12290','Ségur',4303),(4308,'12370','Mounes Prohencoux',4304),(4309,'12380','Saint Sernin Sur Rance',4305),(4310,'12320','Pruines',4306),(4311,'12250','Roquefort Sur Soulzon',4307),(4312,'12130','Aurelle Verlac',4308),(4313,'12400','Montlaur',4309),(4314,'12540','Fondamente',4310),(4315,'12460','Saint Symphorien De Thénières',4311),(4316,'12290','Pont De Salars',4312),(4317,'12210','La Terrisse',4313),(4318,'12100','La Roque Sainte Marguerite',4314),(4319,'12370','Combret',4315),(4320,'12210','Curières',4316),(4321,'12520','Aguessac',4317),(4322,'12250','Saint Jean D\'Alcapiès',4318),(4323,'12380','Montfranc',4319),(4324,'12300','Decazeville',4320),(4325,'12140','Golinhac',4321),(4326,'12330','Saint Christophe Vallon',4322),(4327,'12700','Sonnac',4323),(4328,'12150','Buzeins',4324),(4329,'12110','Aubin',4325),(4330,'12270','Lunac',4326),(4331,'12260','Ols Et Rinhodes',4327),(4332,'12120','Centrès',4328),(4333,'12490','La Bastide Pradines',4329),(4334,'12380','La Serre',4330),(4335,'12420','Vitrac En Viadène',4331),(4336,'12320','Noailhac',4332),(4337,'12850','Sainte Radegonde',4333),(4338,'12250','Viala Du Pas De Jaux',4334),(4339,'12260','Saujac',4335),(4340,'12320','Sénergues',4336),(4341,'12350','Privezac',4337),(4342,'12330','Muret Le Château',4338),(4343,'12520','Paulhe',4339),(4344,'12310','Palmas',4340),(4345,'12200','Morlhon Le Haut',4341),(4346,'12160','Camboulazet',4342),(4347,'12390','Rignac',4343),(4348,'12420','Graissac',4344),(4349,'12510','Druelle',4345),(4350,'12460','Montézic',4346),(4351,'12240','Colombiès',4347),(4352,'12320','Conques',4348),(4353,'12500','Le Cayrol',4349),(4354,'12260','Salvagnac Cajarc',4350),(4355,'12800','Tauriac De Naucelle',4351),(4356,'12260','Villeneuve',4352),(4357,'12240','Pradinas',4353),(4358,'12350','Prévinquières',4354),(4359,'12300','Almont Les Junies',4355),(4360,'12160','Baraqueville',4356),(4361,'12480','Broquiès',4357),(4362,'12240','Vabre Tizac',4358),(4363,'12200','Martiel',4359),(4364,'12720','Mostuéjouls',4360),(4365,'12490','Viala Du Tarn',4361),(4366,'12250','Tournemire',4362),(4367,'12230','Sauclières',4363),(4368,'12400','Vabres L\'Abbaye',4364),(4369,'12230','Nant',4365),(4370,'12430','Alrance',4366),(4371,'12370','Belmont Sur Rance',4367),(4372,'12800','Saint Just Sur Viaur',4368),(4373,'12330','Marcillac Vallon',4369),(4374,'12620','Saint Beauzély',4370),(4375,'12550','Saint Juéry',4371),(4376,'12230','La Cavalerie',4372),(4377,'12500','Castelnau De Mandailles',4373),(4378,'12350','Maleville',4374),(4379,'12220','Valzergues',4375),(4380,'12360','Fayet',4376),(4381,'12480','Brousse Le Château',4377),(4382,'12400','Saint Victor Et Melvieu',4378),(4383,'12470','Condom D\'Aubrac',4379),(4384,'12360','Montagnol',4380),(4385,'12800','Castelmary',4381),(4386,'12550','Coupiac',4382),(4387,'12120','Salmiech',4383),(4388,'12150','Recoules Prévinquières',4384),(4389,'12350','Drulhe',4385),(4390,'12270','Saint André De Najac',4386),(4391,'12290','Arques',4387),(4392,'12210','Lacalm',4388),(4393,'12130','Pierrefiche',4389),(4394,'12500','Saint Côme D\'Olt',4390),(4395,'12320','Saint Cyprien Sur Dourdou',4391),(4396,'12340','Bozouls',4392),(4397,'12510','Olemps',4393),(4398,'12500','Lassouts',4394),(4399,'12230','Lapanouse De Cernon',4395),(4400,'12420','Cantoin',4396),(4401,'12360','Arnac Sur Dourdou',4397),(4402,'12130','Sainte Eulalie D\'Olt',4398),(4403,'12780','Saint Léons',4399),(4404,'12400','Costes Gozon',4400),(4405,'13640','La Roque D\'Anthéron',4401),(4406,'13260','Cassis',4402),(4407,'13790','Peynier',4403),(4408,'13930','Aureille',4404),(4409,'13440','Cabannes',4405),(4410,'13560','Sénas',4406),(4411,'13350','Charleval',4407),(4412,'13570','Barbentane',4408),(4413,'13660','Orgon',4409),(4414,'13950','Cadolive',4410),(4415,'13210','Saint Rémy De Provence',4411),(4416,'13940','Mollégès',4412),(4417,'13510','Éguilles',4413),(4419,'13550','Noves',4414),(4420,'13870','Rognonas',4415),(4422,'13790','Rousset',4416),(4423,'13190','Allauch',4417),(4424,'13580','La Fare Les Oliviers',4418),(4425,'13760','Saint Cannat',4419),(4426,'13150','Boulbon',4420),(4427,'13320','Bouc Bel Air',4421),(4428,'13124','Peypin',4422),(4429,'13105','Mimet',4423),(4430,'13720','La Bouilladisse',4424),(4431,'13790','Châteauneuf Le Rouge',4425),(4432,'13720','Belcodène',4426),(4433,'13100','Saint Marc Jaumegarde',4427),(4434,'13830','Roquefort La Bédoule',4428),(4435,'13730','Saint Victoret',4429),(4436,'13100','Saint Antonin Sur Bayon',4430),(4437,'13300','Salon De Provence',4431),(4438,'13113','Lamanon',4432),(4439,'13600','Ceyreste',4433),(4441,'13840','Rognes',4434),(4442,'13630','Eyragues',4435),(4443,'13230','Port Saint Louis Du Rhône',4436),(4444,'13910','Maillane',4437),(4445,'13610','Le Puy Sainte Réparade',4438),(4446,'13160','Châteaurenard',4439),(4447,'13370','Mallemort',4440),(4448,'13330','La Barben',4441),(4449,'13480','Cabriès',4442),(4450,'13250','Saint Chamas',4443),(4451,'13670','Verquières',4444),(4452,'13520','Maussane Les Alpilles',4445),(4453,'13920','Saint Mitre Les Remparts',4446),(4454,'13340','Rognac',4447),(4455,'13520','Baux De Provence',4448),(4456,'13380','Plan De Cuques',4449),(4457,'13750','Plan D\'Orgon',4450),(4458,'13114','Puyloubier',4451),(4460,'13770','Venelles',4452),(4461,'13980','Alleins',4453),(4462,'13400','Aubagne',4454),(4464,'13110','Port De Bouc',4455),(4465,'13116','Vernègues',4456),(4466,'13690','Graveson',4457),(4467,'13180','Gignac La Nerthe',4458),(4468,'13127','Vitrolles',4459),(4469,'13150','Tarascon',4460),(4470,'13850','Gréasque',4461),(4471,'13860','Peyrolles En Provence',4462),(4472,'13240','Septèmes Les Vallons',4463),(4473,'13650','Meyrargues',4464),(4474,'13121','Aurons',4465),(4475,'13960','Sausset Les Pins',4466),(4476,'13140','Miramas',4467),(4477,'13100','Beaurecueil',4468),(4478,'13710','Fuveau',4469),(4479,'13103','Saint Étienne Du Grès',4470),(4480,'13360','Roquevaire',4471),(4481,'13100','Le Tholonet',4472),(4482,'13115','Saint Paul Lès Durance',4473),(4483,'13270','Fos Sur Mer',4474),(4484,'13150','Saint Pierre De Mézoargues',4475),(4485,'13590','Meyreuil',4476),(4486,'13126','Vauvenargues',4477),(4487,'13170','Les Pennes Mirabeau',4478),(4488,'13330','Pélissanne',4479),(4489,'13600','La Ciotat',4480),(4490,'13821','La Penne Sur Huveaune',4481),(4491,'13810','Eygalières',4482),(4492,'13119','Saint Savournin',4483),(4493,'13103','Mas Blanc Des Alpilles',4484),(4494,'13520','Paradou',4485),(4495,'13670','Saint Andiol',4486),(4496,'13530','Trets',4487),(4497,'13420','Gémenos',4488),(4498,'13890','Mouriès',4489),(4499,'13990','Fontvieille',4490),(4500,'13460','Saintes Maries De La Mer',4491),(4501,'13620','Carry Le Rouet',4492),(4502,'13310','Saint Martin De Crau',4493),(4503,'13820','Ensuès La Redonne',4494),(4504,'13700','Marignane',4495),(4505,'13109','Simiane Collongue',4496),(4506,'13450','Grans',4497),(4507,'13680','Lançon Provence',4498),(4508,'13250','Cornillon Confoux',4499),(4509,'13410','Lambesc',4500),(4510,'13490','Jouques',4501),(4511,'13470','Carnoux En Provence',4502),(4512,'13610','Saint Estève Janson',4503),(4513,'13430','Eyguières',4504),(4514,'13780','Cuges Les Pins',4505),(4515,'13112','La Destrousse',4506),(4516,'13122','Ventabren',4507),(4517,'13880','Velaux',4508),(4518,'13120','Gardanne',4509),(4519,'13130','Berre L\'Étang',4510),(4520,'13390','Auriol',4511),(4521,'13111','Coudoux',4512),(4522,'13740','Le Rove',4513),(4523,'13220','Châteauneuf Les Martigues',4514),(4524,'14700','Saint Pierre Canivet',4515),(4525,'14160','Grangues',4516),(4526,'14130','Vieux Bourg',4517),(4527,'14710','Englesqueville La Percée',4518),(4528,'14400','Ranchy',4519),(4529,'14140','Castillon En Auge',4520),(4530,'14540','Grentheville',4521),(4531,'14130','Authieux Sur Calonne',4522),(4532,'14270','Vieux Fumé',4523),(4533,'14140','Cheffreville Tonnencourt',4524),(4534,'14220','Grimbosq',4525),(4535,'14400','Tour En Bessin',4526),(4536,'14140','Saint Georges En Auge',4527),(4537,'14690','Le Bô',4528),(4538,'14540','Conteville',4529),(4539,'14770','Saint Vigor Des Mézerets',4530),(4540,'14350','Montchamp',4531),(4541,'14290','La Folletière Abenon',4532),(4542,'14410','Pierres',4533),(4543,'14960','Saint Côme De Fresné',4534),(4544,'14500','Maisoncelles La Jourdan',4535),(4545,'14880','Hermanville Sur Mer',4536),(4546,'14400','Mosles',4537),(4547,'14800','Bonneville Sur Touques',4538),(4548,'14130','Drubec',4539),(4549,'14600','Équemauville',4540),(4550,'14640','Auberville',4541),(4551,'14800','Vauville',4542),(4552,'14210','Baron Sur Odon',4543),(4553,'14330','Castilly',4544),(4554,'14490','La Bazoque',4545),(4555,'14170','Perrières',4546),(4556,'14540','Rocquancourt',4547),(4557,'14230','Vouilly',4548),(4558,'14310','Landes Sur Ajon',4549),(4559,'14270','Ernes',4550),(4560,'14140','Saint Julien Le Faucon',4551),(4561,'14400','Vaucelles',4552),(4562,'14260','Courvaudon',4553),(4563,'14170','Courcy',4554),(4564,'14350','Saint Ouen Des Besaces',4555),(4565,'14140','Fervaques',4556),(4566,'14190','Rouvres',4557),(4567,'14400','Subles',4558),(4568,'14770','Saint Pierre La Vieille',4559),(4569,'14310','Longvillers',4560),(4570,'14230','Isigny Sur Mer',4561),(4571,'14140','Livarot',4562),(4572,'14130','Saint Gatien Des Bois',4563),(4573,'14190','Estrées La Campagne',4564),(4574,'14860','Amfreville',4565),(4575,'14480','Creully',4566),(4576,'14710','Écrammeville',4567),(4577,'14230','Osmanville',4568),(4578,'14500','Roullours',4569),(4579,'14230','Monfréville',4570),(4580,'14710','Vierville Sur Mer',4571),(4581,'14710','Bernesq',4572),(4582,'14600','Ablon',4573),(4583,'14330','Le Breuil En Bessin',4574),(4584,'14950','Saint Pierre Azif',4575),(4585,'14250','Bucéels',4576),(4586,'14400','Ryes',4577),(4587,'14123','Cormelles Le Royal',4578),(4588,'14430','Heuland',4579),(4589,'14220','Boulon',4580),(4590,'14400','Monceaux En Bessin',4581),(4591,'14940','Sannerville',4582),(4592,'14510','Houlgate',4583),(4593,'14670','Troarn',4584),(4594,'14860','Bavent',4585),(4595,'14740','Bretteville L\'Orgueilleuse',4586),(4596,'14280','Saint Germain La Blanche Herbe',4587),(4597,'14170','Mittois',4588),(4598,'14100','Ouilly Le Vicomte',4589),(4599,'14700','Soulangy',4590),(4600,'14430','Beuvron En Auge',4591),(4601,'14420','Bons Tassilly',4592),(4602,'14240','Torteval Quesnay',4593),(4603,'14430','Angerville',4594),(4604,'14170','Boissey',4595),(4605,'14270','Percy En Auge',4596),(4606,'14430','Saint Jouin',4597),(4607,'14740','Le Mesnil Patry',4598),(4608,'14140','Tortisambert',4599),(4609,'14610','Villons Les Buissons',4600),(4610,'14690','Pierrefitte En Cinglais',4601),(4611,'14740','Lasson',4602),(4612,'14500','Vaudry',4603),(4613,'14110','Saint Denis De Méré',4604),(4614,'14670','Saint Samson',4605),(4615,'14340','Le Pré D\'Auge',4606),(4616,'14210','Évrecy',4607),(4617,'14680','Cintheaux',4608),(4618,'14800','Englesqueville En Auge',4609),(4619,'14190','Bretteville Le Rabet',4610),(4620,'14290','Familly',4611),(4621,'14250','Longraye',4612),(4622,'14140','Notre Dame De Courson',4613),(4623,'14690','Cossesseville',4614),(4624,'14350','Saint Martin Don',4615),(4625,'14210','Montigny',4616),(4626,'14230','Saint Germain Du Pert',4617),(4627,'14140','Le Mesnil Germain',4618),(4628,'14230','Oubeaux',4619),(4629,'14320','Clinchamps Sur Orne',4620),(4630,'14400','Blay',4621),(4631,'14740','Rosel',4622),(4632,'14800','Canapville',4623),(4633,'14140','Le Mesnil Bacley',4624),(4634,'14610','Thaon',4625),(4635,'14240','Sainte Honorine De Ducy',4626),(4636,'14130','Saint André D\'Hébertot',4627),(4637,'14100','Firfol',4628),(4638,'14610','Fontaine Henry',4629),(4639,'14620','Norrey En Auge',4630),(4640,'14480','Villiers Le Sec',4631),(4641,'14350','Le Désert',4632),(4642,'14400','Saint Loup Hors',4633),(4643,'14210','Grainville Sur Odon',4634),(4644,'14340','Léaupartie',4635),(4645,'14700','Leffard',4636),(4646,'14290','Courtonne Les Deux Églises',4637),(4647,'14540','Garcelles Secqueville',4638),(4648,'14190','Grainville Langannerie',4639),(4649,'14320','Fontenay Le Marmion',4640),(4650,'14170','L\'Oudon',4641),(4651,'14190','Maizières',4642),(4652,'14350','Mont Bertrand',4643),(4653,'14230','Cardonville',4644),(4654,'14700','Bonnœil',4645),(4655,'14320','Saint André Sur Orne',4646),(4656,'14770','Lénault',4647),(4657,'14390','Varaville',4648),(4658,'14410','Rully',4649),(4659,'14710','Asnières En Bessin',4650),(4660,'14600','Genneville',4651),(4661,'14240','Foulognes',4652),(4662,'14400','Guéron',4653),(4663,'14370','Argences',4654),(4664,'14670','Basseneville',4655),(4665,'14280','Saint Contest',4656),(4666,'14490','Cahagnolles',4657),(4667,'14310','Monts En Bessin',4658),(4668,'14310','Villers Bocage',4659),(4669,'14140','Lessard Et Le Chêne',4660),(4670,'14350','Saint Jean Des Essartiers',4661),(4671,'14540','Saint Aignan De Cramesnil',4662),(4672,'14220','Combray',4663),(4673,'14110','Pontécoulant',4664),(4674,'14220','Culey Le Patry',4665),(4675,'14140','Le Mesnil Simon',4666),(4676,'14350','Montchauvet',4667),(4677,'14620','Crocy',4668),(4678,'14380','Sainte Marie Outre L\'Eau',4669),(4679,'14550','Blainville Sur Orne',4670),(4680,'14620','Le Marais La Chapelle',4671),(4681,'14150','Ouistreham',4672),(4682,'14700','Cordey',4673),(4683,'14220','Esson',4674),(4684,'14500','Coulonces',4675),(4685,'14370','Moult',4676),(4686,'14650','Carpiquet',4677),(4687,'14270','Ouézy',4678),(4688,'14250','Lingèvres',4679),(4689,'14220','Fresney Le Vieux',4680),(4690,'14340','Saint Loup De Fribois',4681),(4691,'14290','Préaux Saint Sébastien',4682),(4692,'14240','La Vacquerie',4683),(4693,'14220','Donnay',4684),(4694,'14710','Louvières',4685),(4695,'14740','Martragny',4686),(4696,'14530','Luc Sur Mer',4687),(4697,'14920','Mathieu',4688),(4698,'14610','Anguerny',4689),(4699,'14260','Bauquay',4690),(4700,'14480','Rucqueville',4691),(4701,'14330','Tournières',4692),(4702,'14250','Ellon',4693),(4703,'14240','Anctoville',4694),(4704,'14140','Moutiers Hubert',4695),(4705,'14160','Brucourt',4696),(4706,'14110','Proussy',4697),(4707,'14100','Saint Désir',4698),(4708,'14500','Vire',4699),(4709,'14480','Colombiers Sur Seulles',4700),(4710,'14380','Saint Sever Calvados',4701),(4711,'14123','Fleury Sur Orne',4702),(4712,'14380','Saint Aubin Des Bois',4703),(4713,'14220','Barbery',4704),(4714,'14400','Vienne En Bessin',4705),(4715,'14370','Bellengreville',4706),(4716,'14490','Campigny',4707),(4717,'14880','Colleville Montgomery',4708),(4718,'14430','Goustranville',4709),(4719,'14400','Sommervieu',4710),(4720,'14850','Hérouvillette',4711),(4721,'14330','Le Molay Littry',4712),(4722,'14490','Vaubadon',4713),(4723,'14400','Saint Vigor Le Grand',4714),(4724,'14670','Saint Ouen Du Mesnil Oger',4715),(4725,'14170','Ouville La Bien Tournée',4716),(4726,'14270','Biéville Quétiéville',4717),(4727,'14310','Tournay Sur Odon',4718),(4728,'14350','Étouvy',4719),(4729,'14310','Tracy Bocage',4720),(4730,'14700','Martigny Sur L\'Ante',4721),(4731,'14140','Auquainville',4722),(4732,'14220','Caumont Sur Orne',4723),(4733,'14490','Litteau',4724),(4734,'14130','Le Theil En Auge',4725),(4735,'14410','Le Theil Bocage',4726),(4736,'14750','Saint Aubin Sur Mer',4727),(4737,'14370','Bissières',4728),(4738,'14480','Crépon',4729),(4739,'14490','Planquery',4730),(4740,'14130','Reux',4731),(4741,'14380','Sept Frères',4732),(4742,'14400','Barbeville',4733),(4743,'14270','Mézidon Canon',4734),(4744,'14340','Valsemé',4735),(4745,'14480','Cully',4736),(4746,'14250','Audrieu',4737),(4747,'14410','Burcy',4738),(4748,'14630','Frénouville',4739),(4749,'14410','La Rocque',4740),(4750,'14370','Airan',4741),(4751,'14250','Juaye Mondaye',4742),(4752,'14190','Soignolles',4743),(4753,'14240','La Lande Sur Drôme',4744),(4754,'14190','Ouilly Le Tesson',4745),(4755,'14680','Fresney Le Puceux',4746),(4756,'14190','Cauvicourt',4747),(4757,'14210','Trois Monts',4748),(4758,'14210','Mondrainville',4749),(4759,'14220','Cesny Bois Halbout',4750),(4760,'14710','La Folie',4751),(4761,'14910','Benerville Sur Mer',4752),(4762,'14240','Loges',4753),(4763,'14140','Saint Michel De Livet',4754),(4764,'14210','Préaux Bocage',4755),(4765,'14310','Maisoncelles Pelvey',4756),(4766,'14480','Amblie',4757),(4767,'14340','Beaufour Druval',4758),(4768,'14170','Thiéville',4759),(4769,'14140','Coupesarte',4760),(4770,'14140','Saint Germain De Montgommery',4761),(4771,'14290','La Chapelle Yvon',4762),(4772,'14410','Estry',4763),(4773,'14480','Bazenville',4764),(4774,'14830','Langrune Sur Mer',4765),(4775,'14140','Sainte Foy De Montgommery',4766),(4776,'14790','Fontaine Étoupefour',4767),(4777,'14380','Pont Farcy',4768),(4778,'14140','Bellou',4769),(4779,'14380','Mesnil Clinchamps',4770),(4780,'14690','Rapilly',4771),(4781,'14620','Barou En Auge',4772),(4782,'14130','Bonneville La Louvet',4773),(4783,'14140','Sainte Marguerite Des Loges',4774),(4784,'14123','Ifs',4775),(4785,'14380','Fontenermont',4776),(4786,'14570','La Villette',4777),(4787,'14130','Saint Hymer',4778),(4788,'14340','La Boissière',4779),(4789,'14130','Le Breuil En Auge',4780),(4790,'14240','Cormolain',4781),(4791,'14450','Cricqueville En Bessin',4782),(4792,'14490','Noron La Poterie',4783),(4793,'14540','Hubert Folie',4784),(4794,'14210','Cheux',4785),(4795,'14380','Pont Bellanger',4786),(4796,'14130','Pont L\'Évêque',4787),(4797,'14570','Saint Lambert',4788),(4798,'14260','Le Mesnil Auzouf',4789),(4799,'14600','Pennedepie',4790),(4800,'14400','Esquay Sur Seulles',4791),(4801,'14700','Fourneaux Le Val',4792),(4802,'14220','Saint Laurent De Condel',4793),(4803,'14110','Condé Sur Noireau',4794),(4804,'14420','Soumont Saint Quentin',4795),(4805,'14420','Ussy',4796),(4806,'14250','Saint Vaast Sur Seulles',4797),(4807,'14700','Saint Pierre Du Bû',4798),(4808,'14390','Petiville',4799),(4809,'14260','Banneville Sur Ajon',4800),(4810,'14220','Moulines',4801),(4811,'14500','Truttemer Le Grand',4802),(4812,'14113','Villerville',4803),(4813,'14110','Saint Germain Du Crioult',4804),(4814,'14340','La Roque Baignard',4805),(4815,'14270','Le Mesnil Mauger',4806),(4816,'14270','Monteille',4807),(4817,'14380','Le Gast',4808),(4818,'14320','Laize La Ville',4809),(4819,'14490','Castillon',4810),(4820,'14140','Grandchamp Le Château',4811),(4821,'14340','Le Fournet',4812),(4822,'14930','Maltot',4813),(4823,'14690','Le Détroit',4814),(4824,'14460','Colombelles',4815),(4825,'14710','Bricqueville',4816),(4826,'14220','Martainville',4817),(4827,'14230','Neuilly La Forêt',4818),(4828,'14100','Cordebugle',4819),(4829,'14380','Le Mesnil Robert',4820),(4830,'14130','Clarbec',4821),(4831,'14170','Bretteville Sur Dives',4822),(4832,'14350','La Ferrière Harang',4823),(4833,'14310','Coulvain',4824),(4834,'14350','Le Bény Bocage',4825),(4835,'14220','Placy',4826),(4836,'14690','Pierrepont',4827),(4837,'14400','Condé Sur Seulles',4828),(4838,'14600','Gonneville Sur Honfleur',4829),(4839,'14130','Tourville En Auge',4830),(4840,'14800','Deauville',4831),(4841,'14250','Vendes',4832),(4842,'14130','Surville',4833),(4843,'14490','Trungy',4834),(4844,'14130','Coudray Rabut',4835),(4845,'14160','Périers En Auge',4836),(4846,'14520','Commes',4837),(4847,'14860','Bréville Les Monts',4838),(4848,'14350','Campeaux',4839),(4849,'14400','Nonant',4840),(4850,'14140','Lisores',4841),(4851,'14170','Sassy',4842),(4852,'14990','Bernières Sur Mer',4843),(4853,'14950','Saint Étienne La Thillaye',4844),(4854,'14220','Moutiers En Cinglais',4845),(4855,'14340','Auvillars',4846),(4856,'14140','Saint Martin Du Mesnil Oury',4847),(4857,'14112','Biéville Beuville',4848),(4858,'14340','Saint Laurent Du Mont',4849),(4859,'14610','Cairon',4850),(4860,'14690','La Pommeraye',4851),(4861,'14740','Putot En Bessin',4852),(4862,'14220','Angoville',4853),(4863,'14100','Lisieux',4854),(4864,'14270','Magny Le Freule',4855),(4865,'14250','Juvigny Sur Seulles',4856),(4866,'14350','La Graverie',4857),(4867,'14290','Friardel',4858),(4868,'14340','Notre Dame De Livaye',4859),(4869,'14710','Mandeville En Bessin',4860),(4870,'14440','Bény Sur Mer',4861),(4871,'14100','Rocques',4862),(4872,'14810','Gonneville En Auge',4863),(4873,'14320','May Sur Orne',4864),(4874,'14210','Sainte Honorine Du Fay',4865),(4875,'14100','Saint Pierre Des Ifs',4866),(4876,'14340','Cambremer',4867),(4877,'14380','Saint Manvieu Bocage',4868),(4878,'14170','Louvagny',4869),(4879,'14430','Bourgeauville',4870),(4880,'14220','Tournebu',4871),(4881,'14330','Saint Marcouf',4872),(4882,'14190','Saint Sylvain',4873),(4883,'14130','Saint Benoît D\'Hébertot',4874),(4884,'14350','Sainte Marie Laumont',4875),(4885,'14640','Saint Vaast En Auge',4876),(4886,'14350','Le Tourneur',4877),(4887,'14730','Giberville',4878),(4888,'14290','Cerqueux',4879),(4889,'14450','Saint Pierre Du Mont',4880),(4890,'14770','Cauville',4881),(4891,'14240','Caumont L\'Éventé',4882),(4892,'14400','Maisons',4883),(4893,'14210','Maizet',4884),(4894,'14250','Chouain',4885),(4895,'14130','Le Mesnil Sur Blangy',4886),(4896,'14210','Gavrus',4887),(4897,'14400','Sully',4888),(4898,'14290','Orbec',4889),(4899,'14500','Saint Germain De Tallevende La Lande Vaumont',4890),(4900,'14250','Tessel',4891),(4901,'14270','Magny La Campagne',4892),(4902,'14113','Cricquebœuf',4893),(4903,'14570','Saint Rémy',4894),(4904,'14100','Monceaux',4895),(4905,'14620','Morteaux Coulibœuf',4896),(4906,'14260','Campandré Valcongrain',4897),(4907,'14620','Moutiers En Auge',4898),(4908,'14800','Saint Arnoult',4899),(4909,'14480','Sainte Croix Sur Mer',4900),(4910,'14380','Le Mesnil Caussois',4901),(4911,'14210','Bougy',4902),(4912,'14210','Noyers Bocage',4903),(4913,'14490','Saint Paul Du Vernay',4904),(4914,'14710','Saint Laurent Sur Mer',4905),(4915,'14690','Le Mesnil Villement',4906),(4916,'14710','Colleville Sur Mer',4907),(4917,'14710','Surrain',4908),(4918,'14240','Livry',4909),(4919,'14320','Saint Martin De Fontenay',4910),(4920,'14350','Le Reculey',4911),(4921,'14260','Brémoy',4912),(4922,'14910','Blonville Sur Mer',4913),(4923,'14220','Ouffières',4914),(4924,'14190','Saint Germain Le Vasson',4915),(4925,'14130','Le Faulq',4916),(4926,'14340','Crèvecœur En Auge',4917),(4927,'14400','Vaux Sur Seulles',4918),(4928,'14140','Autels Saint Bazile',4919),(4929,'14510','Gonneville Sur Mer',4920),(4930,'14700','Versainville',4921),(4931,'14320','Feuguerolles Bully',4922),(4932,'14130','Quetteville',4923),(4933,'14570','Le Vey',4924),(4934,'14100','Saint Martin De La Lieue',4925),(4935,'14170','Épaney',4926),(4936,'14140','La Brévière',4927),(4937,'14330','Saon',4928),(4938,'14170','Olendon',4929),(4939,'14790','Verson',4930),(4940,'14710','Rubercy',4931),(4941,'14340','Montreuil En Auge',4932),(4942,'14130','Pierrefitte En Auge',4933),(4943,'14350','Saint Pierre Tarentaine',4934),(4944,'14330','Sainte Marguerite D\'Elle',4935),(4945,'14290','Meulles',4936),(4946,'14480','Le Fresne Camilly',4937),(4947,'14410','Chênedollé',4938),(4948,'14700','Loges Saulces',4939),(4949,'14430','Cricqueville En Auge',4940),(4950,'14114','Ver Sur Mer',4941),(4951,'14390','Cabourg',4942),(4952,'14610','Basly',4943),(4953,'14260','Montamy',4944),(4954,'14250','Brouay',4945),(4955,'14710','Saint Martin De Blagny',4946),(4956,'14950','Beaumont En Auge',4947),(4957,'14700','Falaise',4948),(4958,'14840','Cuverville',4949),(4959,'14860','Ranville',4950),(4960,'14330','Lison',4951),(4961,'14170','Hiéville',4952),(4962,'14400','Bayeux',4953),(4963,'14520','Sainte Honorine Des Pertes',4954),(4964,'14430','Victot Pontfol',4955),(4965,'14330','Saonnet',4956),(4966,'14480','Tierceville',4957),(4967,'14112','Périers Sur Le Dan',4958),(4968,'14250','Fontenay Le Pesnel',4959),(4969,'14760','Bretteville Sur Odon',4960),(4970,'14340','Repentigny',4961),(4971,'14130','Fierville Les Parcs',4962),(4972,'14400','Arganchy',4963),(4973,'14240','Sallen',4964),(4974,'14140','La Croupte',4965),(4975,'14440','Douvres La Délivrande',4966),(4976,'14120','Mondeville',4967),(4977,'14400','Agy',4968),(4978,'14290','Saint Pierre De Mailloc',4969),(4979,'14200','Hérouville Saint Clair',4970),(4980,'14210','Missy',4971),(4981,'14340','Formentin',4972),(4982,'14100','Saint Denis De Mailloc',4973),(4983,'14430','Douville En Auge',4974),(4984,'14770','Périgny',4975),(4985,'14610','Colomby Sur Thaon',4976),(4986,'14340','Corbon',4977),(4987,'14610','Anisy',4978),(4988,'14340','Rumesnil',4979),(4989,'14210','Goupillières',4980),(4990,'14740','Carcagny',4981),(4991,'14210','Esquay Notre Dame',4982),(4992,'14740','Saint Manvieu Norrey',4983),(4993,'14480','Banville',4984),(4994,'14970','Bénouville',4985),(4995,'14430','Annebault',4986),(4996,'14540','Soliers',4987),(4997,'14100','Saint Martin De Mailloc',4988),(4998,'14210','Avenay',4989),(4999,'14260','Roucamps',4990),(5000,'14740','Sainte Croix Grand Tonne',4991),(5001,'14210','Vacognes Neuilly',4992),(5002,'14930','Vieux',4993),(5003,'14100','Hermival Les Vaux',4994),(5004,'14260','La Bigne',4995),(5005,'14290','Cernay',4996),(5006,'14100','Glos',4997),(5007,'14940','Banneville La Campagne',4998),(5008,'14310','Parfouru Sur Odon',4999),(5009,'14210','Tourville Sur Odon',5000),(5010,'14130','Coquainvilliers',5001),(5011,'14230','Deux Jumeaux',5002),(5012,'14700','La Hoguette',5003),(5013,'14490','Balleroy',5004),(5014,'14420','Potigny',5005),(5015,'14440','Plumetot',5006),(5016,'14410','Presles',5007),(5017,'14170','Vaudeloges',5008),(5018,'14620','Beaumais',5009),(5019,'14130','Saint Julien Sur Calonne',5010),(5020,'14270','Condé Sur Ifs',5011),(5021,'14350','Carville',5012),(5022,'14000','Caen',5013),(5023,'14800','Tourgéville',5014),(5024,'14190','Le Bû Sur Rouvres',5015),(5025,'14960','Meuvaines',5016),(5026,'14290','Saint Cyr Du Ronceray',5017),(5027,'14770','Saint Jean Le Blanc',5018),(5028,'14220','Hamars',5019),(5029,'14700','Aubigny',5020),(5030,'14280','Authie',5021),(5031,'14230','Canchy',5022),(5032,'14690','Pont D\'Ouilly',5023),(5033,'14610','Épron',5024),(5034,'14260','Ondefontaine',5025),(5035,'14710','Aignerville',5026),(5036,'14230','Géfosse Fontenay',5027),(5037,'14630','Cagny',5028),(5038,'14190','Fierville Bray',5029),(5039,'14950','Glanville',5030),(5040,'14260','Aunay Sur Odon',5031),(5041,'14470','Graye Sur Mer',5032),(5042,'14690','Isles Bardel',5033),(5043,'14700','Pertheville Ners',5034),(5044,'14160','Dives Sur Mer',5035),(5045,'14220','Curcy Sur Orne',5036),(5046,'14710','Colombières',5037),(5047,'14400','Étréham',5038),(5048,'14220','Espins',5039),(5049,'14290','Saint Martin De Bienfaite La Cressonnière',5040),(5050,'14400','Magny En Bessin',5041),(5051,'14400','Vaux Sur Aure',5042),(5052,'14130','Saint Philbert Des Champs',5043),(5053,'14117','Tracy Sur Mer',5044),(5054,'14121','Sallenelles',5045),(5055,'14980','Rots',5046),(5056,'14480','Lantheuil',5047),(5057,'14140','Prêtreville',5048),(5058,'14260','Le Mesnil Au Grain',5049),(5059,'14270','Cesny Aux Vignes',5050),(5060,'14340','Manerbe',5051),(5061,'14340','La Houblonnière',5052),(5062,'14520','Port En Bessin Huppain',5053),(5063,'14540','Tilly La Campagne',5054),(5064,'14590','Fumichon',5055),(5065,'14210','Amayé Sur Orne',5056),(5066,'14610','Cambes En Plaine',5057),(5067,'14170','Jort',5058),(5068,'14290','La Vespière',5059),(5069,'14240','Saint Germain D\'Ectot',5060),(5070,'14111','Louvigny',5061),(5071,'14340','Notre Dame D\'Estrées',5062),(5072,'14210','Maisoncelles Sur Ajon',5063),(5073,'14100','L\'Hôtellerie',5064),(5074,'14350','Dampierre',5065),(5075,'14640','Villers Sur Mer',5066),(5076,'14770','La Chapelle Engerbold',5067),(5077,'14690','Tréprel',5068),(5078,'14350','Malloué',5069),(5079,'14370','Croissanville',5070),(5080,'14140','Le Mesnil Durand',5071),(5081,'14960','Asnelles',5072),(5082,'14700','Saint Martin De Mieux',5073),(5083,'14220','Mutrécy',5074),(5084,'14340','Bonnebosq',5075),(5085,'14970','Saint Aubin D\'Arquenay',5076),(5086,'14330','Cartigny L\'Épinay',5077),(5087,'14100','Norolles',5078),(5088,'14100','Marolles',5079),(5089,'14400','Crouay',5080),(5090,'14700','Fresné La Mère',5081),(5091,'14430','Danestal',5082),(5092,'14620','Fourches',5083),(5093,'14370','Cléville',5084),(5094,'14230','Longueville',5085),(5095,'14220','Saint Omer',5086),(5096,'14440','Cresserons',5087),(5097,'14340','Saint Ouen Le Pin',5088),(5098,'14810','Merville Franceville Plage',5089),(5099,'14140','Montviette',5090),(5100,'14310','Amayé Sur Seulles',5091),(5101,'14140','Heurtevent',5092),(5102,'14100','Fauguernon',5093),(5103,'14370','Canteloup',5094),(5104,'14680','Bretteville Sur Laize',5095),(5105,'14100','Saint Germain De Livet',5096),(5106,'14130','Le Torquesne',5097),(5107,'14490','Montfiquet',5098),(5108,'14700','Noron L\'Abbaye',5099),(5109,'14770','Danvou La Ferrière',5100),(5110,'14310','Saint Louet Sur Seulles',5101),(5111,'14220','Saint Martin De Sallen',5102),(5112,'14170','Vendeuvre',5103),(5113,'14260','Bonnemaison',5104),(5114,'14770','Le Plessis Grimoult',5105),(5115,'14140','Vieux Pont En Auge',5106),(5116,'14170','Vicques',5107),(5117,'14600','Honfleur',5108),(5118,'14740','Secqueville En Bessin',5109),(5119,'14140','La Chapelle Haute Grue',5110),(5120,'14430','Dozulé',5111),(5121,'14430','Branville',5112),(5122,'14670','Saint Pair',5113),(5123,'14130','Le Brévedent',5114),(5124,'14590','Ouilly Du Houley',5115),(5125,'14700','Saint Germain Langot',5116),(5126,'14420','Villers Canivet',5117),(5127,'14710','Trévières',5118),(5128,'14370','Billy',5119),(5129,'14600','Fourneville',5120),(5130,'14100','Le Mesnil Eudes',5121),(5131,'14260','Saint Georges D\'Aunay',5122),(5132,'14260','Jurques',5123),(5133,'14130','Saint Martin Aux Chartrains',5124),(5134,'14380','Le Mesnil Benoist',5125),(5135,'14380','Beaumesnil',5126),(5136,'14370','Chicheboville',5127),(5137,'14350','Beaulieu',5128),(5138,'14100','Beuvillers',5129),(5139,'14700','Eraines',5130),(5140,'14940','Touffréville',5131),(5141,'14240','Sept Vents',5132),(5142,'14540','Bourguébus',5133),(5143,'14290','Saint Julien De Mailloc',5134),(5144,'14470','Courseulles Sur Mer',5135),(5145,'14590','Le Pin',5136),(5146,'14310','Villy Bocage',5137),(5147,'14400','Saint Martin Des Entrées',5138),(5148,'14380','Champ Du Boult',5139),(5149,'14260','Saint Agnan Le Malherbe',5140),(5150,'14170','Saint Pierre Sur Dives',5141),(5151,'14480','Coulombs',5142),(5152,'14250','Loucelles',5143),(5153,'14430','Putot En Auge',5144),(5154,'14350','Saint Denis Maisoncelles',5145),(5155,'14430','Gerrots',5146),(5156,'14100','Le Mesnil Guillaume',5147),(5157,'14700','Vignats',5148),(5158,'14800','Touques',5149),(5159,'14380','Courson',5150),(5160,'14210','Le Locheur',5151),(5161,'14240','Cahagnes',5152),(5162,'14117','Manvieux',5153),(5163,'14140','Authieux Papion',5154),(5164,'14100','Saint Jean De Livet',5155),(5165,'14310','Épinay Sur Odon',5156),(5166,'14130','Blangy Le Château',5157),(5167,'14250','Tilly Sur Seulles',5158),(5168,'14680','Gouvix',5159),(5169,'14500','Campagnolles',5160),(5170,'14850','Escoville',5161),(5171,'14250','Cristot',5162),(5172,'14117','Arromanches Les Bains',5163),(5173,'14220','Acqueville',5164),(5174,'14430','Saint Léger Dubosq',5165),(5175,'14350','Saint Charles De Percy',5166),(5176,'14400','Cottun',5167),(5177,'14370','Méry Corbon',5168),(5178,'14500','Truttemer Le Petit',5169),(5179,'14250','Ducy Sainte Marguerite',5170),(5180,'14570','Clécy',5171),(5181,'14350','Saint Martin Des Besaces',5172),(5182,'14400','Le Manoir',5173),(5183,'14290','Tordouet',5174),(5184,'14260','Saint Pierre Du Fresne',5175),(5185,'14630','Émiéville',5176),(5186,'14620','Damblainville',5177),(5187,'14220','Croisilles',5178),(5188,'14600','La Rivière Saint Sauveur',5179),(5189,'14670','Janville',5180),(5190,'14430','Hotot En Auge',5181),(5191,'14790','Mouen',5182),(5192,'14230','La Cambe',5183),(5193,'14380','Landelles Et Coupigny',5184),(5194,'14700','Villy Lez Falaise',5185),(5195,'14140','Sainte Marguerite De Viette',5186),(5196,'14190','Fontaine Le Pin',5187),(5197,'14840','Démouville',5188),(5198,'14770','Lassy',5189),(5199,'14220','Thury Harcourt',5190),(5200,'14430','Cresseveuille',5191),(5201,'14450','Grandcamp Maisy',5192),(5202,'14410','Viessoix',5193),(5203,'14170','Bernières D\'Ailly',5194),(5204,'14540','Poussy La Campagne',5195),(5205,'14600','Barneville La Bertran',5196),(5206,'14140','Lécaude',5197),(5207,'14100','Courtonne La Meurdrac',5198),(5208,'14710','Russy',5199),(5209,'14250','Hottot Les Bagues',5200),(5210,'14670','Saint Pierre Du Jonquet',5201),(5211,'14140','Saint Ouen Le Houx',5202),(5212,'14130','Manneville La Pipard',5203),(5213,'14470','Reviers',5204),(5214,'14930','Éterville',5205),(5215,'14410','Bernières Le Patry',5206),(5216,'14410','Vassy',5207),(5217,'14370','Vimont',5208),(5218,'14360','Trouville Sur Mer',5209),(5219,'14400','Cussy',5210),(5220,'14220','Meslay',5211),(5221,'14710','Formigny',5212),(5222,'14190','Urville',5213),(5223,'14780','Lion Sur Mer',5214),(5224,'14400','Longues Sur Mer',5215),(5225,'14590','Moyaux',5216),(5226,'14210','La Caine',5217),(5227,'14480','Saint Gabriel Brécy',5218),(5228,'14350','Bures Les Monts',5219),(5229,'14490','Le Tronquay',5220),(5230,'15110','Chaudes Aigues',5221),(5231,'15000','Naucelles',5222),(5232,'15230','Cézens',5223),(5233,'15110','Lieutadès',5224),(5234,'15350','Champagnac',5225),(5235,'15150','Lacapelle Viescamp',5226),(5236,'15120','Vieillevie',5227),(5237,'15170','Celles',5228),(5238,'15230','Paulhenc',5229),(5239,'15140','Fontanges',5230),(5240,'15400','Collandres',5231),(5241,'15240','La Monselie',5232),(5242,'15190','Saint Bonnet De Condat',5233),(5243,'15140','Saint Paul De Salers',5234),(5244,'15170','Talizat',5235),(5245,'15380','Anglards De Salers',5236),(5246,'15270','Champs Sur Tarentaine Marchal',5237),(5247,'15170','Sainte Anastasie',5238),(5248,'15310','Freix Anglards',5239),(5249,'15170','Valjouze',5240),(5250,'15230','Pierrefort',5241),(5251,'15400','Apchon',5242),(5252,'15000','Aurillac',5243),(5253,'15140','Saint Bonnet De Salers',5244),(5254,'15140','Saint Projet De Salers',5245),(5255,'15210','Madic',5246),(5256,'15100','Montchamp',5247),(5257,'15500','Charmensac',5248),(5258,'15230','Saint Martin Sous Vigouroux',5249),(5259,'15500','Saint Poncy',5250),(5260,'15220','Vitrac',5251),(5261,'15300','La Chapelle D\'Alagnon',5252),(5262,'15190','Condat',5253),(5263,'15600','Le Trioulou',5254),(5264,'15160','Pradiers',5255),(5265,'15140','Saint Cirgues De Malbert',5256),(5266,'15250','Saint Paul Des Landes',5257),(5267,'15290','Le Rouget',5258),(5268,'15150','Siran',5259),(5269,'15140','Saint Martin Valmeroux',5260),(5270,'15170','Peyrusse',5261),(5271,'15200','Jaleyrac',5262),(5272,'15240','Antignac',5263),(5273,'15150','Saint Victor',5264),(5274,'15140','Saint Chamant',5265),(5275,'15430','Cussac',5266),(5276,'15170','Joursac',5267),(5277,'15110','Deux Verges',5268),(5278,'15700','Escorailles',5269),(5279,'15150','Rouffiac',5270),(5280,'15140','Besse',5271),(5281,'15140','Sainte Eulalie',5272),(5282,'15500','La Chapelle Laurent',5273),(5283,'15320','Clavières',5274),(5284,'15400','Cheylade',5275),(5285,'15110','Saint Martial',5276),(5286,'15150','Saint Étienne Cantalès',5277),(5287,'15590','Mandailles Saint Julien',5278),(5288,'15380','Saint Vincent De Salers',5279),(5289,'15230','Narnhac',5280),(5290,'15130','Saint Étienne De Carlat',5281),(5291,'15350','Veyrières',5282),(5292,'15600','Fournoulès',5283),(5293,'15310','Saint Illide',5284),(5294,'15150','Arnac',5285),(5295,'15310','Tournemire',5286),(5296,'15150','Glénat',5287),(5297,'15160','Landeyrat',5288),(5298,'15300','Chastel Sur Murat',5289),(5299,'15310','Saint Cernin',5290),(5300,'15390','Faverolles',5291),(5301,'15160','Vèze',5292),(5302,'15130','Vézac',5293),(5303,'15300','Dienne',5294),(5304,'15120','Leucamp',5295),(5305,'15160','Vernols',5296),(5306,'15100','Saint Flour',5297),(5307,'15200','Salins',5298),(5308,'15150','Cros De Montvert',5299),(5309,'15700','Chaussenac',5300),(5310,'15200','Sourniac',5301),(5311,'15220','Roannes Saint Mary',5302),(5312,'15160','Allanche',5303),(5313,'15590','Lascelle',5304),(5314,'15250','Ayrens',5305),(5315,'15270','Trémouille',5306),(5316,'15430','Paulhac',5307),(5317,'15170','Neussargues Moissac',5308),(5318,'15170','Ferrières Saint Mary',5309),(5319,'15320','Ruynes En Margeride',5310),(5320,'15100','Védrines Saint Loup',5311),(5321,'15130','Giou De Mamou',5312),(5322,'15120','Lacapelle Del Fraisse',5313),(5323,'15100','Ternes',5314),(5324,'15230','Lacapelle Barrès',5315),(5325,'15130','Arpajon Sur Cère',5316),(5326,'15500','Rageade',5317),(5327,'15230','Gourdièges',5318),(5328,'15100','Alleuze',5319),(5329,'15130','Lafeuillade En Vézie',5320),(5330,'15230','Brezons',5321),(5331,'15130','Cros De Ronesque',5322),(5332,'15800','Pailherols',5323),(5333,'15290','Parlan',5324),(5334,'15100','Tanavelle',5325),(5335,'15300','Murat',5326),(5336,'15150','Nieudan',5327),(5337,'15400','Marchastel',5328),(5338,'15100','Anglards De Saint Flour',5329),(5339,'15240','Saignes',5330),(5340,'15290','Cayrols',5331),(5341,'15110','La Trinitat',5332),(5342,'15250','Jussac',5333),(5343,'15500','Molèdes',5334),(5344,'15300','Albepierre Bredons',5335),(5345,'15250','Reilhac',5336),(5346,'15100','Coren',5337),(5347,'15700','Brageac',5338),(5348,'15110','Maurines',5339),(5349,'15200','Mauriac',5340),(5350,'15500','Molompize',5341),(5351,'15100','Andelat',5342),(5352,'15120','Sansac Veinazès',5343),(5353,'15290','Roumégoux',5344),(5354,'15600','Quézac',5345),(5355,'15240','Le Monteil',5346),(5356,'15340','Cassaniouze',5347),(5357,'15250','Laroquevieille',5348),(5358,'15220','Marcolès',5349),(5359,'15190','Chanterelle',5350),(5360,'15340','Mourjou',5351),(5361,'15400','Valette',5352),(5362,'15270','Lanobre',5353),(5363,'15200','Méallet',5354),(5364,'15100','Sériers',5355),(5365,'15300','Ségur Les Villas',5356),(5366,'15800','Polminhac',5357),(5367,'15200','Le Vigean',5358),(5368,'15150','Saint Gérons',5359),(5369,'15250','Marmanhac',5360),(5370,'15590','Saint Cirgues De Jordanne',5361),(5371,'15130','Labrousse',5362),(5372,'15600','Saint Julien De Toursac',5363),(5373,'15190','Lugarde',5364),(5374,'15350','Saint Pierre',5365),(5375,'15800','Jou Sous Monjou',5366),(5376,'15500','Saint Mary Le Plain',5367),(5377,'15400','Saint Étienne De Chomeil',5368),(5378,'15700','Barriac Les Bosquets',5369),(5379,'15170','Chalinargues',5370),(5380,'15110','Espinasse',5371),(5381,'15130','Carlat',5372),(5382,'15110','Anterrieux',5373),(5383,'15190','Montgreleix',5374),(5384,'15600','Saint Santin De Maurs',5375),(5385,'15290','Saint Saury',5376),(5386,'15270','Beaulieu',5377),(5387,'15400','Saint Hippolyte',5378),(5388,'15170','Rézentières',5379),(5389,'15800','Saint Clément',5380),(5390,'15800','Vic Sur Cère',5381),(5391,'15230','Sainte Marie',5382),(5392,'15190','Marcenat',5383),(5393,'15220','Saint Antoine',5384),(5394,'15500','Bonnac',5385),(5395,'15110','Jabrun',5386),(5396,'15500','Vieillespesse',5387),(5397,'15450','Thiézac',5388),(5398,'15120','Ladinhac',5389),(5399,'15800','Badailhac',5390),(5400,'15110','Saint Urcize',5391),(5401,'15600','Boisset',5392),(5402,'15240','Sauvat',5393),(5403,'15170','Coltines',5394),(5404,'15140','Saint Martin Cantalès',5395),(5405,'15120','Lapeyrugue',5396),(5406,'15100','Roffiac',5397),(5407,'15500','Lastic',5398),(5408,'15320','Chaliers',5399),(5409,'15700','Pleaux',5400),(5410,'15130','Saint Simon',5401),(5411,'15100','Saint Georges',5402),(5412,'15130','Prunet',5403),(5413,'15310','Girgols',5404),(5414,'15120','Montsalvy',5405),(5415,'15340','Sénezergues',5406),(5416,'15300','Chavagnac',5407),(5417,'15800','Raulhac',5408),(5418,'15230','Malbo',5409),(5419,'15600','Montmurat',5410),(5420,'15240','Bassignac',5411),(5421,'15290','La Ségalassière',5412),(5422,'15100','Soulages',5413),(5423,'15700','Ally',5414),(5424,'15150','Saint Santin Cantalès',5415),(5425,'15320','Lorcières',5416),(5426,'15400','Riom Ès Montagnes',5417),(5427,'15110','Fridefont',5418),(5428,'15200','Chalvignac',5419),(5429,'15500','Laurie',5420),(5430,'15380','Le Vaulmier',5421),(5431,'15400','Trizac',5422),(5432,'15300','Virargues',5423),(5433,'15300','Laveissière',5424),(5434,'15260','Neuvéglise',5425),(5435,'15300','Ussel',5426),(5436,'15110','Saint Rémy De Chaudes Aigues',5427),(5437,'15390','Loubaresse',5428),(5438,'15210','Ydes',5429),(5439,'15130','Yolet',5430),(5440,'15400','Menet',5431),(5441,'15400','Le Claux',5432),(5442,'15190','Saint Saturnin',5433),(5443,'15600','Saint Constant',5434),(5444,'15240','Auzers',5435),(5445,'15260','Oradour',5436),(5446,'15150','Laroquebrou',5437),(5447,'15190','Saint Amandin',5438),(5448,'15290','Pers',5439),(5449,'15500','Celoux',5440),(5450,'15300','Laveissenet',5441),(5451,'15600','Rouziers',5442),(5452,'15590','Velzic',5443),(5453,'15140','Drugeac',5444),(5454,'15500','Chazelles',5445),(5455,'15100','Villedieu',5446),(5456,'15220','Saint Mamet La Salvetat',5447),(5457,'15380','Moussages',5448),(5458,'15390','Saint Marc',5449),(5459,'15600','Leynhac',5450),(5460,'15100','Mentières',5451),(5461,'15380','Le Falgoux',5452),(5462,'15260','Lavastrie',5453),(5463,'15100','Tiviers',5454),(5464,'15340','Calvinet',5455),(5465,'15150','Montvert',5456),(5466,'15120','Labesserette',5457),(5467,'43450','Leyvaux',5458),(5468,'15190','Montboudif',5459),(5469,'15320','Saint Just',5460),(5470,'15140','Salers',5461),(5471,'15500','Massiac',5462),(5472,'15200','Arches',5463),(5473,'15500','Auriac L\'Église',5464),(5474,'15300','Valuéjols',5465),(5475,'15120','Junhac',5466),(5476,'15250','Crandelles',5467),(5477,'15100','Vabres',5468),(5478,'15600','Saint Étienne De Maurs',5469),(5479,'15000','Ytrac',5470),(5480,'15250','Teissières De Cornet',5471),(5481,'15580','Saint Jacques Des Blats',5472),(5482,'15140','Le Fau',5473),(5483,'15300','Lavigerie',5474),(5484,'15240','Vebret',5475),(5485,'15600','Maurs',5476),(5486,'15290','Omps',5477),(5487,'15130','Sansac De Marmiesse',5478),(5488,'15130','Vezels Roussy',5479),(5489,'15130','Teissières Lès Bouliès',5480),(5490,'16460','Saint Front',5481),(5491,'16220','Eymouthiers',5482),(5492,'16230','Saint Ciers Sur Bonnieure',5483),(5493,'16200','Bourg Charente',5484),(5494,'16140','La Chapelle',5485),(5495,'16250','Pérignac',5486),(5496,'16140','Ambérac',5487),(5497,'16170','Saint Amant De Nouère',5488),(5498,'16730','Linars',5489),(5499,'16150','Exideuil',5490),(5500,'16100','Javrezac',5491),(5501,'16700','Salles De Villefagnan',5492),(5502,'16190','Deviat',5493),(5503,'16510','Verteuil Sur Charente',5494),(5504,'16140','Barbezières',5495),(5505,'16720','Saint Même Les Carrières',5496),(5506,'16310','Vitrac Saint Vincent',5497),(5507,'16230','Mansle',5498),(5508,'16800','Soyaux',5499),(5509,'16230','Luxé',5500),(5510,'16400','Vœuil Et Giget',5501),(5511,'16100','Saint Laurent De Cognac',5502),(5512,'16300','Vignolles',5503),(5513,'16270','Roumazières Loubert',5504),(5514,'16390','Nabinaud',5505),(5515,'16140','Marcillac Lanville',5506),(5516,'16230','Fontclaireau',5507),(5517,'16210','Essards',5508),(5518,'16230','Puyréaux',5509),(5519,'16190','Saint Amant',5510),(5520,'16560','Coulgens',5511),(5521,'16120','Touzac',5512),(5522,'16570','Marsac',5513),(5523,'16400','Puymoyen',5514),(5524,'16100','Boutiers Saint Trojan',5515),(5525,'16310','Massignac',5516),(5526,'16120','Châteauneuf Sur Charente',5517),(5527,'16420','Brigueuil',5518),(5528,'16410','Torsac',5519),(5529,'16310','Montembœuf',5520),(5530,'16700','Ruffec',5521),(5531,'16300','Criteuil La Magdeleine',5522),(5532,'16500','Oradour Fanais',5523),(5533,'16300','Angeduc',5524),(5534,'16110','Rancogne',5525),(5535,'16320','Magnac Lavalette Villars',5526),(5536,'16100','Châteaubernard',5527),(5537,'16330','Vars',5528),(5538,'16730','Trois Palis',5529),(5539,'16380','Mainzac',5530),(5540,'16130','Ars',5531),(5541,'16270','Genouillac',5532),(5542,'16480','Saint Laurent Des Combes',5533),(5543,'16190','Juignac',5534),(5544,'16230','Saint Groux',5535),(5545,'16200','Nercillac',5536),(5546,'16140','Tusson',5537),(5547,'16480','Boisbreteau',5538),(5548,'16170','Anville',5539),(5549,'16330','Saint Amant De Boixe',5540),(5550,'16410','Bouëx',5541),(5551,'16170','Saint Cybardeaux',5542),(5552,'16320','Combiers',5543),(5553,'16200','Réparsac',5544),(5554,'16190','Saint Eutrope',5545),(5555,'16500','Saint Maurice Des Lions',5546),(5556,'16500','Brillac',5547),(5557,'16330','Coulonges',5548),(5558,'16240','Raix',5549),(5559,'16500','Ansac Sur Vienne',5550),(5560,'16140','Aigre',5551),(5561,'16250','Blanzac Porcheresse',5552),(5562,'16170','Montigné',5553),(5563,'16210','Médillac',5554),(5564,'16110','Yvrac Et Malleyrand',5555),(5565,'16230','Cellettes',5556),(5566,'16380','Feuillade',5557),(5567,'16390','Bonnes',5558),(5568,'16400','La Couronne',5559),(5569,'16140','Villejésus',5560),(5570,'16120','Graves Saint Amant',5561),(5571,'16390','Montignac Le Coq',5562),(5572,'16190','Saint Martial',5563),(5573,'16260','Pins',5564),(5574,'16210','Courlac',5565),(5575,'16300','Saint Bonnet',5566),(5576,'16200','Métairies',5567),(5577,'16100','Louzac Saint André',5568),(5578,'16350','Benest',5569),(5579,'16700','Poursac',5570),(5580,'16420','Lesterps',5571),(5581,'16240','La Forêt De Tessé',5572),(5582,'16260','Cellefrouin',5573),(5583,'16380','Charras',5574),(5584,'16320','Juillaguet',5575),(5585,'16360','Condéon',5576),(5586,'16360','Touvérac',5577),(5587,'16130','Segonzac',5578),(5588,'16210','Chalais',5579),(5589,'16480','Saint Félix',5580),(5590,'16210','Curac',5581),(5591,'16410','Garat',5582),(5592,'16480','Chillac',5583),(5593,'16390','Palluaud',5584),(5594,'16700','Adjots',5585),(5595,'16250','Cressac Saint Genis',5586),(5596,'16350','Le Bouchage',5587),(5597,'16250','Bessac',5588),(5598,'16140','Charmé',5589),(5599,'16210','Bardenac',5590),(5600,'16460','Saint Sulpice De Ruffec',5591),(5601,'16480','Saint Vallier',5592),(5602,'16270','Nieuil',5593),(5603,'16140','Besse',5594),(5604,'16410','Vouzan',5595),(5605,'16350','Champagne Mouton',5596),(5606,'16440','Sireuil',5597),(5607,'16450','Saint Claud',5598),(5608,'16440','Claix',5599),(5609,'16310','Cherves Châtelars',5600),(5610,'16460','Ventouse',5601),(5611,'16120','Bonneuil',5602),(5612,'16250','Voulgézac',5603),(5613,'16470','Saint Michel',5604),(5614,'16230','Fontenille',5605),(5615,'16500','Saint Germain De Confolens',5606),(5616,'16320','Vaux Lavalette',5607),(5617,'16230','Saint Amant De Bonnieure',5608),(5618,'16170','Sonneville',5609),(5619,'16290','Moulidars',5610),(5620,'16120','Mosnac',5611),(5621,'16170','Auge Saint Médard',5612),(5622,'16250','Chadurie',5613),(5623,'16620','Montboyer',5614),(5624,'16360','Reignac',5615),(5625,'16200','Mérignac',5616),(5626,'16110','Taponnat Fleurignac',5617),(5627,'16140','Saint Fraigne',5618),(5628,'16250','Mainfonds',5619),(5629,'16290','Douzat',5620),(5630,'16110','La Rochefoucauld',5621),(5631,'16500','Manot',5622),(5632,'16120','Ladiville',5623),(5633,'16700','Nanteuil En Vallée',5624),(5634,'16700','Barro',5625),(5635,'16170','Genac',5626),(5636,'16250','Champagne Vigny',5627),(5637,'16300','Saint Palais Du Né',5628),(5638,'16120','Vibrac',5629),(5639,'16240','La Magdeleine',5630),(5640,'16320','Rougnac',5631),(5641,'16560','Jauldes',5632),(5642,'16230','Maine De Boixe',5633),(5643,'16310','Le Lindois',5634),(5644,'16480','Châtignac',5635),(5645,'16250','Étriac',5636),(5646,'16700','Tuzie',5637),(5647,'16700','Saint Georges',5638),(5648,'16390','Laprade',5639),(5649,'16190','Saint Laurent De Belzagot',5640),(5650,'16420','Saint Christophe',5641),(5651,'16560','Villejoubert',5642),(5652,'16310','Roussines',5643),(5653,'16700','Taizé Aizie',5644),(5654,'16370','Cherves Richemont',5645),(5655,'16110','Agris',5646),(5656,'16240','Empuré',5647),(5657,'16320','Blanzaguet Saint Cybard',5648),(5658,'16230','Juillé',5649),(5659,'16230','Villognon',5650),(5660,'16120','Birac',5651),(5661,'16140','Verdille',5652),(5662,'16300','Ambleville',5653),(5663,'16230','Saint Angeau',5654),(5664,'16110','Pranzac',5655),(5665,'16200','Mainxe',5656),(5666,'16300','Barret',5657),(5667,'16350','Le Vieux Cérier',5658),(5668,'16480','Guizengeard',5659),(5669,'16330','Xambes',5660),(5670,'16460','Moutonneau',5661),(5671,'16250','Aubeville',5662),(5672,'16600','Magnac Sur Touvre',5663),(5673,'16260','La Tâche',5664),(5674,'16480','Oriolles',5665),(5675,'16210','Orival',5666),(5676,'16150','Chassenon',5667),(5677,'16570','Saint Genis D\'Hiersac',5668),(5678,'16350','Vieux Ruffec',5669),(5679,'16450','Lussac',5670),(5680,'16200','Foussignac',5671),(5681,'16300','Challignac',5672),(5682,'16200','Sigogne',5673),(5683,'16460','Mouton',5674),(5684,'16410','Dirac',5675),(5685,'16590','Brie',5676),(5686,'16310','Verneuil',5677),(5687,'16220','Orgedeuil',5678),(5688,'16710','Saint Yrieix Sur Charente',5679),(5689,'16120','Saint Simon',5680),(5690,'16460','Chenon',5681),(5691,'16200','Jarnac',5682),(5692,'16480','Sainte Souline',5683),(5693,'16370','Mesnac',5684),(5694,'16270','La Péruse',5685),(5695,'16130','Verrières',5686),(5696,'16210','Brie Sous Chalais',5687),(5697,'16250','Saint Léger',5688),(5698,'16240','Souvigné',5689),(5699,'16120','Bassac',5690),(5700,'16320','Charmant',5691),(5701,'16170','Rouillac',5692),(5702,'16460','Valence',5693),(5703,'16380','Grassac',5694),(5704,'16130','Juillac Le Coq',5695),(5705,'16200','Sainte Sévère',5696),(5706,'16300','Brie Sous Barbezieux',5697),(5707,'16170','Plaizac',5698),(5708,'16260','Chasseneuil Sur Bonnieure',5699),(5709,'16560','Anais',5700),(5710,'16730','Fléac',5701),(5711,'16450','Le Grand Madieu',5702),(5712,'16330','Montignac Charente',5703),(5713,'16320','Chavenat',5704),(5714,'16450','Parzac',5705),(5715,'16320','Gurat',5706),(5716,'16560','Tourriers',5707),(5717,'16300','Guimps',5708),(5718,'16370','Saint Sulpice De Cognac',5709),(5719,'16150','Chabrac',5710),(5720,'16110','Rivières',5711),(5721,'16450','Saint Laurent De Céris',5712),(5722,'16150','Pressignac',5713),(5723,'16120','Malaville',5714),(5724,'16210','Yviers',5715),(5725,'16130','Salles D\'Angles',5716),(5726,'16200','Courbillac',5717),(5727,'16110','Marillac Le Franc',5718),(5728,'16480','Sauvignac',5719),(5729,'16300','Lamérac',5720),(5730,'16310','Mouzon',5721),(5731,'16220','Vouthon',5722),(5732,'16100','Merpins',5723),(5733,'16500','Abzac',5724),(5734,'16310','Saint Adjutory',5725),(5735,'16210','Saint Avit',5726),(5736,'16160','Gond Pontouvre',5727),(5737,'16200','Houlette',5728),(5738,'16310','Sauvagnac',5729),(5739,'16290','Champmillon',5730),(5740,'16240','Villiers Le Roux',5731),(5741,'16500','Esse',5732),(5742,'16700','Bernac',5733),(5743,'16290','Hiersac',5734),(5744,'16140','Oradour',5735),(5745,'16260','Suaux',5736),(5746,'16200','Fleurac',5737),(5747,'16200','Julienne',5738),(5748,'16190','Montmoreau Saint Cybard',5739),(5749,'16240','Villefagnan',5740),(5750,'16390','Saint Séverin',5741),(5751,'16390','Aubeterre Sur Dronne',5742),(5752,'16170','Vaux Rouillac',5743),(5753,'16420','Saulgond',5744),(5754,'16210','Saint Romain',5745),(5755,'16490','Hiesse',5746),(5756,'16370','Bréville',5747),(5757,'16220','Saint Sornin',5748),(5758,'16700','Bioussac',5749),(5759,'16460','Bayers',5750),(5760,'16460','Couture',5751),(5761,'16110','La Rochette',5752),(5762,'16240','Longré',5753),(5763,'16490','Ambernac',5754),(5764,'16250','Péreuil',5755),(5765,'16440','Mouthiers Sur Boëme',5756),(5766,'16350','Saint Coutant',5757),(5767,'16130','Saint Fort Sur Le Né',5758),(5768,'16300','Lagarde Sur Le Né',5759),(5769,'16190','Courgeac',5760),(5770,'16600','Ruelle Sur Touvre',5761),(5771,'16130','Angeac Champagne',5762),(5772,'16220','Écuras',5763),(5773,'16300','Saint Médard',5764),(5774,'16380','Marthon',5765),(5775,'16320','Édon',5766),(5776,'16490','Alloue',5767),(5777,'16120','Angeac Charente',5768),(5778,'16130','Lignières Sonneville',5769),(5779,'16410','Sers',5770),(5780,'16460','Chenommet',5771),(5781,'16290','Saint Saturnin',5772),(5782,'16120','Saint Simeux',5773),(5783,'16170','Échallat',5774),(5784,'16480','Brossac',5775),(5785,'16130','Saint Preuil',5776),(5786,'16320','Ronsenac',5777),(5787,'16110','Saint Projet Saint Constant',5778),(5788,'16190','Poullignac',5779),(5789,'16200','Gondeville',5780),(5790,'16230','Lonnes',5781),(5791,'16700','Saint Martin Du Clocher',5782),(5792,'16600','Touvre',5783),(5793,'16300','Barbezieux Saint Hilaire',5784),(5794,'16220','Vilhonneur',5785),(5795,'16380','Souffrignac',5786),(5796,'16240','Theil Rabier',5787),(5797,'16140','Gours',5788),(5798,'16170','Bignac',5789),(5799,'16460','Lichères',5790),(5800,'16560','Aussac Vadalle',5791),(5801,'16260','Saint Mary',5792),(5802,'16130','Gimeux',5793),(5803,'16700','La Faye',5794),(5804,'16240','Courcôme',5795),(5805,'16210','Saint Quentin De Chalais',5796),(5806,'16300','Chaise',5797),(5807,'16210','Bellon',5798),(5808,'16100','Cognac',5799),(5809,'16140','Lupsault',5800),(5810,'16320','Villebois Lavalette',5801),(5811,'16390','Pillac',5802),(5812,'16360','Bors (canton De Baignes Sainte Radegonde)',5803),(5813,'16240','Paizay Naudouin Embourie',5804),(5814,'16350','Chassiecq',5805),(5815,'16700','Villegats',5806),(5816,'16380','Chazelles',5807),(5817,'16150','Étagnac',5808),(5818,'16250','Plassac Rouffiac',5809),(5819,'16240','Montjean',5810),(5820,'16480','Passirac',5811),(5821,'16430','Balzac',5812),(5822,'16170','Gourville',5813),(5823,'16700','Londigny',5814),(5824,'16100','Saint Brice',5815),(5825,'16250','Bécheresse',5816),(5826,'16220','Rouzède',5817),(5827,'16130','Genté',5818),(5828,'16230','Nanclars',5819),(5829,'16190','Salles Lavalette',5820),(5830,'16300','Salles De Barbezieux',5821),(5831,'16140','Ébréon',5822),(5832,'16170','Mareuil',5823),(5833,'16300','Montchaude',5824),(5834,'16440','Roullet Saint Estèphe',5825),(5835,'16150','Chirac',5826),(5836,'16120','Bouteville',5827),(5837,'16490','Épenède',5828),(5838,'16200','Triac Lautrait',5829),(5839,'16290','Asnières Sur Nouère',5830),(5840,'16480','Berneuil',5831),(5841,'16240','La Chèvrerie',5832),(5842,'16210','Rouffiac',5833),(5843,'16430','Vindelle',5834),(5844,'16420','Montrollet',5835),(5845,'16140','Mons',5836),(5846,'16110','Bunzac',5837),(5847,'16330','Vouharte',5838),(5848,'16500','Lessac',5839),(5849,'16000','Angoulême',5840),(5850,'16360','Baignes Sainte Radegonde',5841),(5851,'16120','Viville',5842),(5852,'16360','Le Tâtre',5843),(5853,'16220','Montbron',5844),(5854,'16130','Gensac La Pallue',5845),(5855,'16200','Chassors',5846),(5856,'16210','Rioux Martin',5847),(5857,'16330','Vervant',5848),(5858,'16320','Gardes Le Pontaroux',5849),(5859,'16500','Confolens',5850),(5860,'16190','Aignes Et Puypéroux',5851),(5861,'16450','Beaulieu Sur Sonnette',5852),(5862,'16140','Ranville Breuillaud',5853),(5863,'16310','Lésignac Durand',5854),(5864,'16700','Saint Gourson',5855),(5865,'16120','Éraville',5856),(5866,'16430','Champniers',5857),(5867,'16490','Pleuville',5858),(5868,'16340','L\'Isle D\'Espagnac',5859),(5869,'16210','Bazac',5860),(5870,'16170','Bonneville',5861),(5871,'16310','Mazerolles',5862),(5872,'16600','Mornac',5863),(5873,'16270','Mazières',5864),(5874,'16240','Brettes',5865),(5875,'16150','Saint Quentin Sur Charente',5866),(5876,'16140','Fouqueure',5867),(5877,'16270','Suris',5868),(5878,'16150','Chabanais',5869),(5879,'16360','Chantillac',5870),(5880,'16350','Turgon',5871),(5881,'16190','Bors (canton De Montmoreau Saint Cybard)',5872),(5882,'16140','Ligné',5873),(5883,'16410','Dignac',5874),(5884,'16380','Saint Germain De Montbron',5875),(5885,'16120','Nonaville',5876),(5886,'16230','Sainte Colombe',5877),(5887,'16440','Nersac',5878),(5888,'16460','Aunac',5879),(5889,'16410','Fouquebrune',5880),(5890,'16250','Jurignac',5881),(5891,'16190','Nonac',5882),(5892,'16700','Condac',5883),(5893,'16300','Saint Aulais La Chapelle',5884),(5894,'17310','Saint Pierre D\'Oléron',5885),(5895,'17800','Saint Sever De Saintonge',5886),(5896,'17510','Romazières',5887),(5897,'17600','Nancras',5888),(5898,'17250','Trizay',5889),(5899,'17490','Saint Ouen',5890),(5900,'17920','Breuillet',5891),(5901,'17490','Gourvillette',5892),(5902,'17500','Saint Germain De Vibrac',5893),(5903,'17330','La Jarrie Audouin',5894),(5904,'17460','Chermignac',5895),(5905,'17460','Préguillac',5896),(5906,'17100','Courcoury',5897),(5907,'17170','La Ronde',5898),(5908,'17770','Saint Bris Des Bois',5899),(5909,'17610','Saint Sauvant',5900),(5910,'17470','Saint Mandé Sur Brédoire',5901),(5911,'17500','Clam',5902),(5912,'17780','Soubise',5903),(5913,'17220','Clavette',5904),(5914,'17270','Cercoux',5905),(5915,'17700','Surgères',5906),(5916,'17130','Tugéras Saint Maurice',5907),(5917,'17180','Périgny',5908),(5918,'17600','Médis',5909),(5919,'17500','Guitinières',5910),(5920,'17540','Bouhet',5911),(5921,'17500','Saint Médard',5912),(5922,'17290','Ciré D\'Aunis',5913),(5923,'17380','Puyrolland',5914),(5924,'17290','Ardillières',5915),(5925,'17510','Néré',5916),(5926,'17510','Éduts',5917),(5927,'17590','Ars En Ré',5918),(5928,'17520','Arthenac',5919),(5929,'17330','Saint Martial',5920),(5930,'17750','Étaules',5921),(5931,'17770','Authon Ébéon',5922),(5932,'17210','Chatenet',5923),(5933,'17290','Forges',5924),(5934,'17100','Saintes',5925),(5935,'17240','Clion',5926),(5936,'17400','Varaize',5927),(5937,'17160','Ballans',5928),(5938,'17138','Saint Xandre',5929),(5939,'17540','Vérines',5930),(5940,'17600','Sablonceaux',5931),(5941,'17880','Portes En Ré',5932),(5942,'17800','Pons',5933),(5943,'17360','Saint Aigulin',5934),(5944,'17220','Saint Vivien',5935),(5945,'17250','Sainte Radegonde',5936),(5946,'17600','Luchat',5937),(5947,'17120','Barzan',5938),(5948,'17780','Saint Froult',5939),(5949,'17460','Rioux',5940),(5950,'17400','Saint Julien De L\'Escap',5941),(5951,'17230','Marans',5942),(5952,'17250','Essards',5943),(5953,'17120','Floirac',5944),(5954,'17137','L\'Houmeau',5945),(5955,'17170','Cramchaban',5946),(5956,'17250','Geay',5947),(5957,'17700','Saint Mard',5948),(5958,'17400','Bignay',5949),(5959,'17330','Saint Pierre De L\'Isle',5950),(5960,'17510','Fontaine Chalendray',5951),(5961,'17100','Gonds',5952),(5962,'17150','Soubran',5953),(5963,'17200','Saint Sulpice De Royan',5954),(5964,'17150','Allas Bocage',5955),(5965,'17690','Angoulins',5956),(5966,'17460','Varzay',5957),(5967,'17640','Vaux Sur Mer',5958),(5968,'17800','Bougneau',5959),(5969,'17120','Chenac Saint Seurin D\'Uzet',5960),(5970,'17160','Blanzac Lès Matha',5961),(5971,'17700','Péré',5962),(5972,'17870','Loire Les Marais',5963),(5973,'17240','Saint Romain Sur Gironde',5964),(5974,'17460','Thénac',5965),(5975,'17360','La Barde',5966),(5976,'17490','Massac',5967),(5977,'17770','Sainte Même',5968),(5978,'17770','Aujac',5969),(5979,'17540','Anais',5970),(5980,'17160','Courcerac',5971),(5981,'17890','Chaillevette',5972),(5982,'17150','Saint Sorlin De Conac',5973),(5983,'17160','Sonnac',5974),(5984,'17210','Saint Palais De Négrignac',5975),(5985,'17520','Saint Ciers Champagne',5976),(5986,'17650','Saint Denis D\'Oléron',5977),(5987,'17130','Coux',5978),(5988,'17160','Louzignac',5979),(5989,'17137','Nieul Sur Mer',5980),(5990,'17600','Le Chay',5981),(5991,'17150','Consac',5982),(5992,'17270','Le Fouilloux',5983),(5993,'17470','Dampierre Sur Boutonne',5984),(5994,'17250','Plassay',5985),(5995,'17170','Ferrières',5986),(5996,'17210','Chevanceaux',5987),(5997,'17330','Migré',5988),(5998,'17210','Bran',5989),(5999,'17220','Bourgneuf',5990),(6000,'17530','Arvert',5991),(6001,'17520','Lonzac',5992),(6002,'17170','Saint Cyr Du Doret',5993),(6003,'17150','Saint Martial De Mirambeau',5994),(6004,'17500','Lussac',5995),(6005,'17800','Saint Léger',5996),(6006,'17330','Bernay Saint Martin',5997),(6007,'17460','Berneuil',5998),(6008,'17570','Mathes',5999),(6009,'17510','Vinax',6000),(6010,'17500','Vanzac',6001),(6011,'17410','Saint Martin De Ré',6002),(6012,'17580','Le Bois Plage En Ré',6003),(6013,'17130','Jussas',6004),(6014,'17800','Mazerolles',6005),(6015,'17460','La Jard',6006),(6016,'17800','Saint Seurin De Palenne',6007),(6017,'17610','Chaniers',6008),(6018,'17250','Pont L\'Abbé D\'Arnoult',6009),(6019,'17430','Moragne',6010),(6020,'17600','Saujon',6011),(6021,'17810','Pessines',6012),(6022,'17800','Fléac Sur Seugne',6013),(6023,'17210','Chepniers',6014),(6024,'17500','Ozillac',6015),(6025,'17230','Andilly',6016),(6026,'17290','Chambon',6017),(6027,'17350','Taillebourg',6018),(6028,'17870','Breuil Magné',6019),(6029,'17360','La Clotte',6020),(6030,'17330','Saint Séverin Sur Boutonne',6021),(6031,'17800','Pérignac',6022),(6032,'17150','Saint Dizant Du Bois',6023),(6033,'17220','Saint Christophe',6024),(6034,'17400','Saint Pardoult',6025),(6035,'17160','Thors',6026),(6036,'17460','Colombiers',6027),(6037,'17150','Semillac',6028),(6038,'17000','La Rochelle',6029),(6039,'17500','Saint Germain De Lusignan',6030),(6040,'17450','Saint Laurent De La Prée',6031),(6041,'17260','Villars En Pons',6032),(6042,'17350','Le Mung',6033),(6043,'17250','Sainte Gemme',6034),(6044,'17120','Semussac',6035),(6045,'17380','Saint Laurent De La Barrière',6036),(6046,'17170','Benon',6037),(6047,'17520','Archiac',6038),(6048,'17220','La Jarrie',6039),(6049,'17770','Saint Césaire',6040),(6050,'17240','Saint Ciers Du Taillon',6041),(6051,'17630','La Flotte',6042),(6052,'17190','Saint Georges D\'Oléron',6043),(6053,'17290','Le Thou',6044),(6054,'17470','Saint Georges De Longuepierre',6045),(6055,'17600','L\'Éguille',6046),(6056,'17610','Dompierre Sur Charente',6047),(6057,'17520','Neuillac',6048),(6058,'17330','Dœuil Sur Le Mignon',6049),(6059,'17440','Aytré',6050),(6060,'17520','Saint Martial Sur Né',6051),(6061,'17540','Angliers',6052),(6062,'17430','Bords',6053),(6063,'17210','Bussac Forêt',6054),(6064,'17380','Landes',6055),(6065,'17100','La Chapelle Des Pots',6056),(6066,'17500','Agudelle',6057),(6067,'17290','Virson',6058),(6068,'17700','Saint Germain De Marencennes',6059),(6069,'17120','Arces',6060),(6070,'17210','Sainte Colombe',6061),(6071,'17240','Saint Grégoire D\'Ardennes',6062),(6072,'17460','Tesson',6063),(6073,'17130','Chaunac',6064),(6074,'17470','Contré',6065),(6075,'17700','Breuil La Réorte',6066),(6076,'17770','Villars Les Bois',6067),(6077,'17200','Royan',6068),(6078,'17800','Échebrune',6069),(6079,'17260','Cravans',6070),(6080,'17770','Le Seure',6071),(6081,'17260','Saint Simon De Pellouaille',6072),(6082,'17800','Marignac',6073),(6083,'17520','Sainte Lheurine',6074),(6084,'17610','Chérac',6075),(6085,'17670','La Couarde Sur Mer',6076),(6086,'17550','Dolus D\'Oléron',6077),(6087,'17100','Bussac Sur Charente',6078),(6088,'17250','Saint Sulpice D\'Arnoult',6079),(6089,'17400','Saint Pierre De Juillers',6080),(6090,'17570','Saint Augustin',6081),(6091,'17510','Saleignes',6082),(6092,'17520','Germignac',6083),(6093,'17150','Nieul Le Virouil',6084),(6094,'17330','La Croix Comtesse',6085),(6095,'17380','Tonnay Boutonne',6086),(6096,'17230','Longèves',6087),(6097,'17770','Saint Hilaire De Villefranche',6088),(6098,'17160','Bagnizeau',6089),(6099,'17130','Salignac De Mirambeau',6090),(6100,'17620','Beaugeay',6091),(6101,'17400','Saint Martin De Juillers',6092),(6102,'17700','Marsais',6093),(6103,'17160','Cressé',6094),(6104,'17800','Avy',6095),(6105,'17770','Burie',6096),(6106,'17160','Le Gicq',6097),(6107,'17360','Boscamnant',6098),(6108,'17700','Vouhé',6099),(6109,'17240','Saint Genis De Saintonge',6100),(6110,'17120','Cozes',6101),(6111,'17130','Vibrac',6102),(6112,'17210','Polignac',6103),(6113,'17170','Taugon',6104),(6114,'17350','Annepont',6105),(6115,'17240','Champagnolles',6106),(6116,'17500','Meux',6107),(6117,'17220','Croix Chapeau',6108),(6118,'17150','Mirambeau',6109),(6119,'17840','La Brée Les Bains',6110),(6120,'17210','Bedenac',6111),(6121,'17130','Expiremont',6112),(6122,'17500','Champagnac',6113),(6123,'17600','Thézac',6114),(6124,'17380','Chantemerle Sur La Soie',6115),(6125,'17400','Ternant',6116),(6126,'17260','Virollet',6117),(6127,'17380','Nouillers',6118),(6128,'17139','Dompierre Sur Mer',6119),(6129,'17540','Saint Sauveur D\'Aunis',6120),(6130,'17510','Villiers Couture',6121),(6131,'17470','Cherbonnières',6122),(6132,'17400','Saint Jean D\'Angély',6123),(6133,'17490','Beauvais Sur Matha',6124),(6134,'17600','Balanzac',6125),(6135,'17560','Bourcefranc Le Chapus',6126),(6136,'17170','Saint Jean De Liversay',6127),(6137,'17500','Villexavier',6128),(6138,'17500','Saint Hilaire Du Bois',6129),(6139,'17770','Aumagne',6130),(6140,'17700','Saint Georges Du Bois',6131),(6141,'17620','La Gripperie Saint Symphorien',6132),(6142,'17240','Bois',6133),(6143,'17270','Boresse Et Martron',6134),(6144,'17800','Belluire',6135),(6145,'17120','Thaims',6136),(6146,'17130','Montendre',6137),(6147,'17330','Villeneuve La Comtesse',6138),(6148,'17600','Le Gua',6139),(6149,'17350','Port D\'Envaux',6140),(6150,'17113','Mornac Sur Seudre',6141),(6151,'17160','Gibourne',6142),(6152,'17800','Salignac Sur Charente',6143),(6153,'17500','Saint Martial De Vitaterne',6144),(6154,'17810','Écurat',6145),(6155,'17320','Marennes',6146),(6156,'17600','Saint Romain De Benet',6147),(6157,'17170','Courçon',6148),(6158,'17400','Saint Denis Du Pin',6149),(6159,'17430','Genouillé',6150),(6160,'17800','Chadenac',6151),(6161,'17160','Matha',6152),(6162,'17520','Cierzac',6153),(6163,'17100','Fontcouverte',6154),(6164,'17230','Charron',6155),(6165,'17260','Givrezac',6156),(6166,'17600','La Clisse',6157),(6167,'17240','Mosnac',6158),(6168,'17350','Crazannes',6159),(6169,'17240','Saint Germain Du Seudre',6160),(6170,'17220','Saint Rogatien',6161),(6171,'17130','Messac',6162),(6172,'17810','Nieul Lès Saintes',6163),(6173,'17510','Chives',6164),(6174,'17380','Annezay',6165),(6175,'17350','Saint Savinien',6166),(6176,'17350','Taillant',6167),(6177,'17620','Saint Jean D\'Angle',6168),(6178,'17500','Mortiers',6169),(6179,'17460','Rétaud',6170),(6180,'17380','Saint Loup',6171),(6181,'17260','Tanzac',6172),(6182,'17360','La Genétouze',6173),(6183,'17240','Saint Dizant Du Gua',6174),(6184,'17490','Bresdon',6175),(6185,'17730','Port Des Barques',6176),(6186,'17400','Vervant',6177),(6187,'17400','Asnières La Giraud',6178),(6188,'17150','Semoussac',6179),(6189,'17240','Plassac',6180),(6190,'17430','Champdolent',6181),(6191,'17130','Chamouillac',6182),(6192,'17430','Tonnay Charente',6183),(6193,'17290','Aigrefeuille D\'Aunis',6184),(6194,'17150','Saint Georges Des Agoûts',6185),(6195,'17470','Blanzay Sur Boutonne',6186),(6196,'17520','Jarnac Champagne',6187),(6197,'17470','Villemorin',6188),(6198,'17240','Saint Sigismond De Clermont',6189),(6199,'17770','Écoyeux',6190),(6200,'17370','Le Grand Village Plage',6191),(6201,'17100','Le Douhet',6192),(6202,'17132','Meschers Sur Gironde',6193),(6203,'17120','Brie Sous Mortagne',6194),(6204,'17780','Saint Nazaire Sur Charente',6195),(6205,'17800','Saint Palais De Phiolin',6196),(6206,'17620','Échillais',6197),(6207,'17700','Puyravault',6198),(6208,'17800','Biron',6199),(6209,'17380','Nachamps',6200),(6210,'17170','La Grève Sur Mignon',6201),(6211,'17380','Saint Crépin',6202),(6212,'17940','Rivedoux Plage',6203),(6213,'17620','Saint Agnant',6204),(6214,'17130','Souméras',6205),(6215,'17770','Migron',6206),(6216,'17100','Saint Vaize',6207),(6217,'17700','Vandré',6208),(6218,'17420','Saint Palais Sur Mer',6209),(6219,'17380','Torxé',6210),(6220,'17150','Boisredon',6211),(6221,'17400','Fontenet',6212),(6222,'17137','Esnandes',6213),(6223,'17250','Romegoux',6214),(6224,'17740','Sainte Marie De Ré',6215),(6225,'17330','Vergne',6216),(6226,'17300','Rochefort',6217),(6227,'17770','Juicq',6218),(6228,'17120','Mortagne Sur Gironde',6219),(6229,'17290','Ballon',6220),(6230,'17220','Montroy',6221),(6231,'17330','Loulay',6222),(6232,'17400','La Benâte',6223),(6233,'17123','Île D\'Aix',6224),(6234,'17520','Saint Eugène',6225),(6235,'17400','Courcelles',6226),(6236,'17140','Lagord',6227),(6237,'17430','Saint Hippolyte',6228),(6238,'17130','Sousmoulins',6229),(6239,'17320','Saint Just Luzac',6230),(6240,'17500','Allas Champagne',6231),(6241,'17120','Meursac',6232),(6242,'17330','Courant',6233),(6243,'17800','Coulonges',6234),(6244,'17240','Sainte Ramée',6235),(6245,'17800','Rouffiac',6236),(6246,'17260','Saint André De Lidon',6237),(6247,'17120','Boutenac Touvent',6238),(6248,'17400','Poursay Garnaud',6239),(6249,'17500','Fontaines D\'Ozillac',6240),(6250,'17400','Églises D\'Argenteuil',6241),(6251,'17130','Courpignac',6242),(6252,'17800','Brives Sur Charente',6243),(6253,'17800','Saint Quantin De Rançanne',6244),(6254,'17500','Neulles',6245),(6255,'17130','Chartuzac',6246),(6256,'17220','Salles Sur Mer',6247),(6257,'17210','Montlieu La Garde',6248),(6258,'17370','Saint Trojan Les Bains',6249),(6259,'17540','Nuaillé D\'Aunis',6250),(6260,'17600','Nieulle Sur Seudre',6251),(6261,'17700','Saint Saturnin Du Bois',6252),(6262,'17470','Aulnay',6253),(6263,'17110','Saint Georges De Didonne',6254),(6264,'17500','Moings',6255),(6265,'17260','Gémozac',6256),(6266,'17490','Macqueville',6257),(6267,'17500','Léoville',6258),(6268,'17480','Le Château D\'Oléron',6259),(6269,'17250','Saint Porchaire',6260),(6270,'17120','Grézac',6261),(6271,'17270','Neuvicq',6262),(6272,'17340','Yves',6263),(6273,'17160','Brie Sous Matha',6264),(6274,'17510','Seigné',6265),(6275,'17250','Soulignonne',6266),(6276,'17470','La Villedieu',6267),(6277,'17150','Saint Thomas De Conac',6268),(6278,'17220','Sainte Soulle',6269),(6279,'17120','Épargnes',6270),(6280,'17540','Le Gué D\'Alleré',6271),(6281,'17810','Saint Georges Des Coteaux',6272),(6282,'17500','Saint Maurice De Tavernole',6273),(6283,'17470','Loiré Sur Nie',6274),(6284,'17220','La Jarne',6275),(6285,'17330','Coivert',6276),(6286,'17770','Brizambourg',6277),(6287,'17160','Haimps',6278),(6288,'17430','Muron',6279),(6289,'17240','Lorignac',6280),(6290,'17470','Nuaillé Sur Boutonne',6281),(6291,'17210','Le Pin',6282),(6292,'17260','Jazennes',6283),(6293,'17260','Montpellier De Médillan',6284),(6294,'17400','Voissay',6285),(6295,'17490','Siecq',6286),(6296,'17450','Fouras',6287),(6297,'17600','Corme Écluse',6288),(6298,'17290','Thairé',6289),(6299,'17390','La Tremblade',6290),(6300,'17500','Jonzac',6291),(6301,'17340','Châtelaillon Plage',6292),(6302,'17130','Pommiers Moulons',6293),(6303,'17620','Champagne',6294),(6304,'17400','Antezant La Chapelle',6295),(6305,'17170','La Laigne',6296),(6306,'17380','Archingeay',6297),(6307,'17150','Saint Bonnet Sur Gironde',6298),(6308,'17138','Puilboreau',6299),(6309,'17600','Pisany',6300),(6310,'17500','Saint Simon De Bordes',6301),(6311,'17780','Moëze',6302),(6312,'17160','Touches De Périgny',6303),(6313,'17120','Talmont Sur Gironde',6304),(6314,'17350','Fenioux',6305),(6315,'17160','La Brousse',6306),(6316,'17400','Mazeray',6307),(6317,'17380','Chervettes',6308),(6318,'17210','Mérignac',6309),(6319,'17500','Réaux',6310),(6320,'17520','Brie Sous Archiac',6311),(6321,'17330','Lozay',6312),(6322,'17770','La Frédière',6313),(6323,'17270','Saint Pierre Du Palais',6314),(6324,'17111','Loix',6315),(6325,'17230','Villedoux',6316),(6326,'17160','Prignac',6317),(6327,'17130','Rouffignac',6318),(6328,'17600','Corme Royal',6319),(6329,'17490','Neuvicq Le Château',6320),(6330,'17300','Vergeroux',6321),(6331,'17350','Grandjean',6322),(6332,'17250','Beurlay',6323),(6333,'17220','Saint Médard D\'Aunis',6324),(6334,'17320','Hiers Brouage',6325),(6335,'17130','Corignac',6326),(6336,'17430','Saint Coutant Le Grand',6327),(6337,'17800','Montils',6328),(6338,'17470','Paillé',6329),(6339,'17240','Saint Fort Sur Gironde',6330),(6340,'17210','Pouillac',6331),(6341,'17490','Bazauges',6332),(6342,'17270','Saint Martin D\'Ary',6333),(6343,'17430','Lussant',6334),(6344,'17270','Montguyon',6335),(6345,'17520','Saint Maigrin',6336),(6346,'17270','Clérac',6337),(6347,'17240','Saint Georges Antignac',6338),(6348,'17160','Mons',6339),(6349,'17330','Saint Félix',6340),(6350,'17100','Vénérand',6341),(6351,'17700','Saint Pierre D\'Amilly',6342),(6352,'17600','Saint Sornin',6343),(6353,'17230','Saint Ouen D\'Aunis',6344),(6354,'17360','Saint Martin De Coux',6345),(6355,'17380','Puy Du Lac',6346),(6356,'17137','Marsilly',6347),(6357,'17210','Orignolles',6348),(6358,'17770','Bercloux',6349),(6359,'17520','Celles',6350),(6360,'17590','Saint Clément Des Baleines',6351),(6361,'17770','Nantillé',6352),(6362,'17400','La Vergne',6353),(6363,'17290','Landrais',6354),(6364,'17250','La Vallée',6355),(6365,'17430','Cabariot',6356),(6366,'18130','Parnay',6357),(6367,'18170','Saint Pierre Les Bois',6358),(6368,'18260','Concressault',6359),(6369,'18220','Morogues',6360),(6370,'18170','Ardenais',6361),(6371,'18230','Saint Doulchard',6362),(6372,'18350','Lugny Bourbonnais',6363),(6373,'18250','La Chapelotte',6364),(6374,'18200','Saint Amand Montrond',6365),(6375,'18190','Uzay Le Venon',6366),(6376,'18160','Lignières',6367),(6377,'18190','Chambon',6368),(6378,'18360','Faverdines',6369),(6379,'18220','Rians',6370),(6380,'18100','Vierzon',6371),(6381,'18270','Culan',6372),(6382,'18300','Bué',6373),(6383,'18250','Neuvy Deux Clochers',6374),(6384,'18380','Méry Ès Bois',6375),(6385,'18120','Preuilly',6376),(6386,'18190','Corquoy',6377),(6387,'18390','Moulins Sur Yèvre',6378),(6388,'18110','Saint Martin D\'Auxigny',6379),(6389,'18270','Saint Maur',6380),(6390,'18200','La Groutte',6381),(6391,'18140','Précy',6382),(6392,'18800','Étréchy',6383),(6393,'18300','Bannay',6384),(6394,'18140','La Chapelle Montlinard',6385),(6395,'18340','Vorly',6386),(6396,'18510','Menetou Salon',6387),(6397,'18200','Drevant',6388),(6398,'18220','Soulangis',6389),(6399,'18190','Saint Loup Des Chaumes',6390),(6400,'18140','Charentonnay',6391),(6401,'18300','Jalognes',6392),(6402,'18320','Menetou Couture',6393),(6403,'18240','Sury Près Léré',6394),(6404,'18150','Le Chautay',6395),(6405,'18350','Chaumont',6396),(6406,'18210','Le Pondy',6397),(6407,'18340','Lissay Lochy',6398),(6408,'18210','Bessais Le Fromental',6399),(6409,'18140','Argenvières',6400),(6410,'18110','Saint Éloy De Gy',6401),(6411,'18350','Croisy',6402),(6412,'18200','Arcomps',6403),(6413,'18800','Gron',6404),(6414,'18600','Givardon',6405),(6415,'18340','Saint Germain Des Bois',6406),(6416,'18210','Coust',6407),(6417,'18340','Levet',6408),(6418,'18500','Berry Bouy',6409),(6419,'18340','Plaimpied Givaudins',6410),(6420,'18270','Reigny',6411),(6421,'18570','La Chapelle Saint Ursin',6412),(6422,'18190','Chavannes',6413),(6423,'18120','Méreau',6414),(6424,'18330','Vouzeron',6415),(6425,'18120','Quincy',6416),(6426,'18300','Verdigny',6417),(6427,'18100','Saint Hilaire De Court',6418),(6428,'18800','Villequiers',6419),(6429,'18170','Morlac',6420),(6430,'18800','Chassy',6421),(6431,'18220','Saint Céols',6422),(6432,'18140','Chaumoux Marcilly',6423),(6433,'18120','Chéry',6424),(6434,'18130','Cogny',6425),(6435,'18310','Graçay',6426),(6436,'18370','Saint Jeanvrin',6427),(6437,'18260','Villegenon',6428),(6438,'18260','Barlieu',6429),(6439,'18380','Ivoy Le Pré',6430),(6440,'18140','Couy',6431),(6441,'18300','Veaugues',6432),(6442,'18240','Sainte Gemme En Sancerrois',6433),(6443,'18520','Bengy Sur Craon',6434),(6444,'18110','Allogny',6435),(6445,'18270','Sidiailles',6436),(6446,'18310','Dampierre En Graçay',6437),(6447,'18190','Serruelles',6438),(6448,'18160','Chezal Benoît',6439),(6449,'18390','Saint Michel De Volangis',6440),(6450,'18360','La Celette',6441),(6451,'18100','Saint Georges Sur La Prée',6442),(6452,'18800','Farges En Septaine',6443),(6453,'18500','Sainte Thorette',6444),(6454,'18300','Gardefort',6445),(6455,'18140','Saint Martin Des Champs',6446),(6456,'18300','Sury En Vaux',6447),(6457,'18310','Genouilly',6448),(6458,'18260','Vailly Sur Sauldre',6449),(6459,'18800','Baugy',6450),(6460,'18300','Saint Bouize',6451),(6461,'18350','Flavigny',6452),(6462,'18360','Saulzais Le Potier',6453),(6463,'18500','Mehun Sur Yèvre',6454),(6464,'18200','Ainay Le Vieil',6455),(6465,'18150','La Guerche Sur L\'Aubois',6456),(6466,'18500','Foëcy',6457),(6467,'18200','Farges Allichamps',6458),(6468,'18290','Poisieux',6459),(6469,'18570','Trouy',6460),(6470,'18300','Sens Beaujeu',6461),(6471,'18410','Blancafort',6462),(6472,'18340','Senneçay',6463),(6473,'18200','Nozières',6464),(6474,'18600','Sagonne',6465),(6475,'18130','Vornay',6466),(6476,'18600','Sancoins',6467),(6477,'18600','Augy Sur Aubois',6468),(6478,'18210','Saint Pierre Les Étieux',6469),(6479,'18400','Lunery',6470),(6480,'18380','Ennordres',6471),(6481,'18340','Arçay',6472),(6482,'18250','Neuilly En Sancerre',6473),(6483,'18600','Neuilly En Dun',6474),(6484,'18600','Grossouvre',6475),(6485,'18240','Belleville Sur Loire',6476),(6486,'18120','Limeux',6477),(6487,'18350','Blet',6478),(6488,'18200','Orval',6479),(6489,'18260','Assigny',6480),(6490,'18250','Montigny',6481),(6491,'18150','Germigny L\'Exempt',6482),(6492,'18200','Colombiers',6483),(6493,'18110','Vignoux Sous Les Aix',6484),(6494,'18350','Charly',6485),(6495,'18700','Sainte Montaine',6486),(6496,'18320','Marseilles Lès Aubigny',6487),(6497,'18160','Ineuil',6488),(6498,'18400','Saint Caprais',6489),(6499,'18110','Saint Palais',6490),(6500,'18250','Humbligny',6491),(6501,'18320','Saint Hilaire De Gondilly',6492),(6502,'18170','Rezay',6493),(6503,'18240','Savigny En Sancerre',6494),(6504,'18160','Saint Hilaire En Lignières',6495),(6505,'18290','Mareuil Sur Arnon',6496),(6506,'18130','Osmery',6497),(6507,'18150','Cuffy',6498),(6508,'18500','Vignoux Sur Barangeon',6499),(6509,'18370','Saint Priest La Marche',6500),(6510,'18350','Ignol',6501),(6511,'18120','Lury Sur Arnon',6502),(6512,'18220','Azy',6503),(6513,'18220','Aix D\'Angillon',6504),(6514,'18390','Savigny En Septaine',6505),(6515,'18130','Raymond',6506),(6516,'18140','Garigny',6507),(6517,'18160','La Celle Condé',6508),(6518,'18150','Apremont Sur Allier',6509),(6519,'18370','Saint Saturnin',6510),(6520,'18380','La Chapelle D\'Angillon',6511),(6521,'18800','Saligny Le Vif',6512),(6522,'18160','Montlouis',6513),(6523,'18210','Verneuil',6514),(6524,'18320','Torteron',6515),(6525,'18340','Soye En Septaine',6516),(6526,'18330','Nançay',6517),(6527,'18130','Saint Denis De Palin',6518),(6528,'18130','Contres',6519),(6529,'18320','Cours Les Barres',6520),(6530,'18170','Ids Saint Roch',6521),(6531,'18300','Thauvenay',6522),(6532,'18250','Henrichemont',6523),(6533,'18370','Châteaumeillant',6524),(6534,'18170','Marçais',6525),(6535,'18700','Oizon',6526),(6536,'18100','Thénioux',6527),(6537,'18380','Presly',6528),(6538,'18390','Nohant En Goût',6529),(6539,'18260','Le Noyer',6530),(6540,'18290','Chârost',6531),(6541,'18300','Feux',6532),(6542,'18220','Aubinges',6533),(6543,'18340','Crosses',6534),(6544,'18570','Le Subdray',6535),(6545,'18290','Saint Ambroix',6536),(6546,'18120','Cerbois',6537),(6547,'18360','Épineuil Le Fleuriel',6538),(6548,'18390','Osmoy',6539),(6549,'18140','Jussy Le Chaudrier',6540),(6550,'18110','Fussy',6541),(6551,'18390','Saint Germain Du Puy',6542),(6552,'18500','Allouis',6543),(6553,'18300','Menetou Râtel',6544),(6554,'18310','Saint Outrille',6545),(6555,'18320','Jouet Sur L\'Aubois',6546),(6556,'18100','Méry Sur Cher',6547),(6557,'18340','Lapan',6548),(6558,'18110','Pigny',6549),(6559,'18190','Venesmes',6550),(6560,'18500','Marmagne',6551),(6561,'18120','Brinay',6552),(6562,'18340','Annoix',6553),(6563,'18410','Brinon Sur Sauldre',6554),(6564,'18190','Châteauneuf Sur Cher',6555),(6565,'18240','Léré',6556),(6566,'18170','Maisonnais',6557),(6567,'18570','Morthomiers',6558),(6568,'18150','La Chapelle Hugon',6559),(6569,'18140','Saint Léger Le Petit',6560),(6570,'18240','Santranges',6561),(6571,'18350','Nérondes',6562),(6572,'18260','Thou',6563),(6573,'18350','Tendron',6564),(6574,'18300','Saint Satur',6565),(6575,'18170','Loye Sur Arnon',6566),(6576,'18170','Le Châtelet',6567),(6577,'18410','Clémont',6568),(6578,'18130','Jussy Champagne',6569),(6579,'18240','Boulleret',6570),(6580,'18270','Saint Christophe Le Chaudry',6571),(6581,'18600','Mornay Sur Allier',6572),(6582,'18520','Avord',6573),(6583,'18140','Sévry',6574),(6584,'18110','Saint Georges Sur Moulon',6575),(6585,'18220','Brécy',6576),(6586,'18370','Préveranges',6577),(6587,'18310','Nohant En Graçay',6578),(6588,'18160','Saint Baudel',6579),(6589,'18400','Saint Florent Sur Cher',6580),(6590,'18200','Arpheuilles',6581),(6591,'18290','Plou',6582),(6592,'18350','Ourouer Les Bourdelins',6583),(6593,'18130','Dun Sur Auron',6584),(6594,'18200','Saint Georges De Poisieux',6585),(6595,'18210','Bannegon',6586),(6596,'18360','Vesdun',6587),(6597,'18600','Saint Aignan Des Noyers',6588),(6598,'18130','Lantan',6589),(6599,'18210','Thaumiers',6590),(6600,'18190','Vallenay',6591),(6601,'18700','Ménétréol Sur Sauldre',6592),(6602,'18360','Saint Vitte',6593),(6603,'18300','Couargues',6594),(6604,'18140','Herry',6595),(6605,'18330','Neuvy Sur Barangeon',6596),(6606,'18120','Massay',6597),(6607,'18800','Laverdines',6598),(6608,'18220','Parassy',6599),(6609,'18600','Vereaux',6600),(6610,'18300','Sancerre',6601),(6611,'18260','Subligny',6602),(6612,'18140','Lugny Champagne',6603),(6613,'18300','Ménétréol Sous Sancerre',6604),(6614,'18130','Bussy',6605),(6615,'18300','Vinon',6606),(6616,'18370','Beddes',6607),(6617,'18110','Vasselay',6608),(6618,'18290','Saugy',6609),(6619,'18340','Sainte Lunaise',6610),(6620,'18200','Orcenais',6611),(6621,'18130','Chalivoy Milon',6612),(6622,'18000','Bourges',6613),(6623,'18700','Aubigny Sur Nère',6614),(6624,'18110','Quantilly',6615),(6625,'18260','Jars',6616),(6626,'18400','Villeneuve Sur Cher',6617),(6627,'18300','Crézancy En Sancerre',6618),(6628,'18800','Villabon',6619),(6629,'18250','Achères',6620),(6630,'18210','Vernais',6621),(6631,'18120','Lazenay',6622),(6632,'18600','Neuvy Le Barrois',6623),(6633,'18340','Saint Just',6624),(6634,'18350','Mornay Berry',6625),(6635,'18200','La Perche',6626),(6636,'18400','Primelles',6627),(6637,'18220','Sainte Solange',6628),(6638,'18290','Civray',6629),(6639,'18200','Meillant',6630),(6640,'18350','Cornusse',6631),(6641,'18200','La Celle',6632),(6642,'18160','Villecelin',6633),(6643,'18160','Touchay',6634),(6644,'18200','Bouzais',6635),(6645,'18260','Dampierre En Crot',6636),(6646,'18190','Saint Symphorien',6637),(6647,'18330','Saint Laurent',6638),(6648,'18200','Bruère Allichamps',6639),(6649,'18140','Sancergues',6640),(6650,'18260','Sury Ès Bois',6641),(6651,'18140','Groises',6642),(6652,'18410','Argent Sur Sauldre',6643),(6653,'18320','Beffes',6644),(6654,'18190','Crézançay Sur Cher',6645),(6655,'18210','Charenton Du Cher',6646),(6656,'19500','Turenne',6647),(6657,'19110','Bort Les Orgues',6648),(6658,'19230','Beyssac',6649),(6659,'19160','Saint Pantaléon De Lapleau',6650),(6660,'19600','Chasteaux',6651),(6661,'19330','Chanteix',6652),(6662,'19160','Neuvic',6653),(6663,'19380','Saint Bonnet Elvert',6654),(6664,'19130','Vignols',6655),(6665,'19510','Lamongerie',6656),(6666,'19350','Chabrignac',6657),(6667,'19300','Moustier Ventadour',6658),(6668,'19320','Gros Chastang',6659),(6669,'19600','Saint Cernin De Larche',6660),(6670,'19250','Davignac',6661),(6671,'19500','Saillac',6662),(6672,'19260','Affieux',6663),(6673,'19250','Saint Sulpice Les Bois',6664),(6674,'19150','Saint Bonnet Avalouze',6665),(6675,'19200','Veyrières',6666),(6676,'19160','Roche Le Peyroux',6667),(6677,'19700','Lagraulière',6668),(6678,'19300','Chapelle Spinasse',6669),(6679,'19310','Perpezac Le Blanc',6670),(6680,'19270','Sainte Féréole',6671),(6681,'19130','Saint Cyprien',6672),(6682,'19330','Favars',6673),(6683,'19190','Palazinges',6674),(6684,'19160','Sérandon',6675),(6685,'19300','Darnets',6676),(6686,'19270','Saint Pardoux L\'Ortigier',6677),(6687,'19500','Lagleygeolle',6678),(6688,'19130','Saint Aulaire',6679),(6689,'19430','Saint Julien Le Pèlerin',6680),(6690,'19500','Collonges La Rouge',6681),(6691,'19460','Naves',6682),(6692,'19150','Espagnac',6683),(6693,'19400','Monceaux Sur Dordogne',6684),(6694,'19240','Varetz',6685),(6695,'19200','Saint Bonnet Près Bort',6686),(6696,'19120','Queyssac Les Vignes',6687),(6697,'19170','Toy Viam',6688),(6698,'19190','Le Chastang',6689),(6699,'19200','Mestes',6690),(6700,'19360','Dampniat',6691),(6701,'19200','Valiergues',6692),(6702,'19160','Saint Hilaire Luc',6693),(6703,'19310','Yssandon',6694),(6704,'19150','Saint Paul',6695),(6705,'19220','Saint Privat',6696),(6706,'19800','Vitrac Sur Montane',6697),(6707,'19500','Noailhac',6698),(6708,'19430','Camps Saint Mathurin Léobazel',6699),(6709,'19200','Saint Pardoux Le Neuf',6700),(6710,'19000','Tulle',6701),(6711,'19550','Soursac',6702),(6712,'19470','Le Lonzac',6703),(6713,'19320','Clergoux',6704),(6714,'19600','Chartrier Ferrière',6705),(6715,'19300','Péret Bel Air',6706),(6716,'19120','Sioniac',6707),(6717,'19320','Lafage Sur Sombre',6708),(6718,'19330','Saint Mexant',6709),(6719,'19130','Objat',6710),(6720,'19290','Millevaches',6711),(6721,'19220','Darazac',6712),(6722,'19230','Arnac Pompadour',6713),(6723,'19200','Alleyrat',6714),(6724,'19130','Lascaux',6715),(6725,'19230','Saint Sornin Lavolps',6716),(6726,'19200','Thalamy',6717),(6727,'19000','Angles Sur Corrèze',6718),(6728,'19200','Saint Angel',6719),(6729,'19490','Sainte Fortunade',6720),(6730,'19500','Lostanges',6721),(6731,'19320','La Roche Canillac',6722),(6732,'19330','Saint Germain Les Vergnes',6723),(6733,'19400','Hautefage',6724),(6734,'19140','Uzerche',6725),(6735,'19430','Reygade',6726),(6736,'19400','Argentat',6727),(6737,'19170','Lestards',6728),(6738,'19430','La Chapelle Saint Géraud',6729),(6739,'19300','Soudeilles',6730),(6740,'19600','Nespouls',6731),(6741,'19500','Curemonte',6732),(6742,'19500','Saint Julien Maumont',6733),(6743,'19190','Ménoire',6734),(6744,'19500','Jugeals Nazareth',6735),(6745,'19230','Troche',6736),(6746,'19200','Chaveroche',6737),(6747,'19190','Le Pescher',6738),(6748,'19700','Saint Salvadour',6739),(6749,'19120','Astaillac',6740),(6750,'19140','Eyburie',6741),(6751,'19300','Égletons',6742),(6752,'19200','Confolent Port Dieu',6743),(6753,'19510','Masseret',6744),(6754,'19410','Orgnac Sur Vézère',6745),(6755,'19370','Soudaine Lavinadière',6746),(6756,'19120','La Chapelle Aux Saints',6747),(6757,'19260','Peyrissac',6748),(6758,'19700','Saint Clément',6749),(6759,'19190','Sérilhac',6750),(6760,'19270','Sadroc',6751),(6761,'19120','Puy D\'Arnac',6752),(6762,'19200','Aix',6753),(6763,'19800','Corrèze',6754),(6764,'19310','Segonzac',6755),(6765,'19450','Chamboulive',6756),(6766,'19310','Ayen',6757),(6767,'19320','Saint Pardoux La Croisille',6758),(6768,'19270','Ussac',6759),(6769,'19350','Concèze',6760),(6770,'19340','Monestier Merlines',6761),(6771,'19800','Gimel Les Cascades',6762),(6772,'19290','Saint Germain Lavolps',6763),(6773,'19560','Saint Hilaire Peyroux',6764),(6774,'19800','Sarran',6765),(6775,'19220','Rilhac Xaintrie',6766),(6776,'19310','Louignac',6767),(6777,'19150','Cornil',6768),(6778,'19320','Saint Martin La Méanne',6769),(6779,'19360','Venarsal',6770),(6780,'19140','Saint Ybard',6771),(6781,'19150','Lagarde Enval',6772),(6782,'19140','Condat Sur Ganaveix',6773),(6783,'19290','Bellechassagne',6774),(6784,'19260','Veix',6775),(6785,'19430','Sexcles',6776),(6786,'19510','Meilhards',6777),(6787,'19500','Chauffour Sur Vell',6778),(6788,'19150','Chanac Les Mines',6779),(6789,'19340','Courteix',6780),(6790,'19350','Juillac',6781),(6791,'19170','Pérols Sur Vézère',6782),(6792,'19200','Saint Fréjoux',6783),(6793,'19340','Merlines',6784),(6794,'19210','Saint Éloy Les Tuileries',6785),(6795,'19380','Saint Chamant',6786),(6796,'19160','Liginiac',6787),(6797,'19170','Cellé',6788),(6798,'19390','Beaumont',6789),(6799,'19220','Auriac',6790),(6800,'19220','Saint Cirgues La Loutre',6791),(6801,'19290','Saint Rémy',6792),(6802,'19230','Beyssenac',6793),(6803,'19170','Gourdon Murat',6794),(6804,'19230','Ségur Le Château',6795),(6805,'19430','Saint Bonnet Les Tours De Merle',6796),(6806,'19700','Seilhac',6797),(6807,'19120','Brivezac',6798),(6808,'19340','Feyt',6799),(6809,'19800','Bar',6800),(6810,'19310','Brignac La Plaine',6801),(6811,'19300','Le Jardin',6802),(6812,'19170','L\'Église Aux Bois',6803),(6813,'19370','Chamberet',6804),(6814,'19320','Champagnac La Noaille',6805),(6815,'19190','Lanteuil',6806),(6816,'19170','Pradines',6807),(6817,'19350','Rosiers De Juillac',6808),(6818,'19210','Montgibaud',6809),(6819,'19130','Voutezac',6810),(6820,'19410','Perpezac Le Noir',6811),(6821,'19500','Marcillac La Croze',6812),(6822,'19290','Peyrelevade',6813),(6823,'19190','Aubazines',6814),(6824,'19140','Espartignac',6815),(6825,'19380','Saint Sylvain',6816),(6826,'19170','Saint Merd Les Oussines',6817),(6827,'19250','Maussac',6818),(6828,'19150','Pandrignes',6819),(6829,'19250','Meymac',6820),(6830,'19190','Albignac',6821),(6831,'19510','Salon La Tour',6822),(6832,'19210','Saint Martin Sepert',6823),(6833,'19600','Estivals',6824),(6834,'19110','Sarroux',6825),(6835,'19340','Eygurande',6826),(6836,'19160','Latronche',6827),(6837,'19110','Saint Julien Près Bort',6828),(6838,'19800','Eyrein',6829),(6839,'19110','Monestier Port Dieu',6830),(6840,'19600','Larche',6831),(6841,'19320','Saint Bazile De La Roche',6832),(6842,'19400','Saint Hilaire Taurieux',6833),(6843,'19120','Beaulieu Sur Dordogne',6834),(6844,'19130','Saint Bonnet La Rivière',6835),(6845,'19380','Forges',6836),(6846,'19130','Saint Cyr La Roche',6837),(6847,'19200','Lignareix',6838),(6848,'19600','Saint Pantaléon De Larche',6839),(6849,'19290','Saint Setiers',6840),(6850,'19120','Tudeils',6841),(6851,'19380','Albussac',6842),(6852,'19240','Allassac',6843),(6853,'19170','Tarnac',6844),(6854,'19390','Saint Augustin',6845),(6855,'19800','Meyrignac L\'Église',6846),(6856,'19190','Beynat',6847),(6857,'19200','Saint Exupéry Les Roches',6848),(6858,'19290','Sornac',6849),(6859,'19210','Saint Pardoux Corbier',6850),(6860,'19500','Branceilles',6851),(6861,'19200','Ussel',6852),(6862,'19300','Saint Yrieix Le Déjalat',6853),(6863,'19410','Vigeois',6854),(6864,'19220','Saint Geniez Ô Merle',6855),(6865,'19160','Lamazière Basse',6856),(6866,'19160','Saint Étienne La Geneste',6857),(6867,'19210','Saint Julien Le Vendômois',6858),(6868,'19120','Liourdres',6859),(6869,'19510','Benayes',6860),(6870,'19250','Combressol',6861),(6871,'19700','Saint Jal',6862),(6872,'19390','Orliac De Bar',6863),(6873,'19340','Couffy Sur Sarsonne',6864),(6874,'19800','Saint Priest De Gimel',6865),(6875,'19150','Ladignac Sur Rondelles',6866),(6876,'19300','Montaignac Saint Hippolyte',6867),(6877,'19340','Lamazière Haute',6868),(6878,'19470','Madranges',6869),(6879,'19320','Saint Merd De Lapleau',6870),(6880,'19120','Altillac',6871),(6881,'19410','Estivaux',6872),(6882,'19520','Mansac',6873),(6883,'19300','Rosiers D\'Égletons',6874),(6884,'19260','Treignac',6875),(6885,'19120','Nonards',6876),(6886,'19160','Chirac Bellevue',6877),(6887,'19550','Saint Hilaire Foissac',6878),(6888,'19410','Saint Bonnet L\'Enfantier',6879),(6889,'19550','Laval Sur Luzège',6880),(6890,'19160','Palisse',6881),(6891,'19360','La Chapelle Aux Brocs',6882),(6892,'19150','Laguenne',6883),(6893,'19150','Saint Martial De Gimel',6884),(6894,'19340','Laroche Près Feyt',6885),(6895,'19250','Ambrugeat',6886),(6896,'19320','Marcillac La Croisille',6887),(6897,'19240','Saint Viance',6888),(6898,'19320','Gumond',6889),(6899,'19160','Sainte Marie Lapanouze',6890),(6900,'19550','Lapleau',6891),(6901,'19210','Lubersac',6892),(6902,'19500','Saint Bazile De Meyssac',6893),(6903,'19320','Champagnac La Prune',6894),(6904,'19270','Donzenac',6895),(6905,'19310','Saint Robert',6896),(6906,'19290','Chavanac',6897),(6907,'19390','Chaumeil',6898),(6908,'19360','Malemort Sur Corrèze',6899),(6909,'19360','Cosnac',6900),(6910,'19200','Saint Étienne Aux Clos',6901),(6911,'19100','Brive La Gaillarde',6902),(6912,'19600','Noailles',6903),(6913,'19260','Rilhac Treignac',6904),(6914,'19430','Mercœur',6905),(6915,'19200','Saint Victour',6906),(6916,'19200','Saint Pardoux Le Vieux',6907),(6917,'19220','Saint Julien Aux Bois',6908),(6918,'19220','Servières Le Château',6909),(6919,'19450','Pierrefitte',6910),(6920,'19500','Meyssac',6911),(6921,'19330','Chameyrat',6912),(6922,'19170','Bugeat',6913),(6923,'19170','Saint Hilaire Les Courbes',6914),(6924,'19170','Viam',6915),(6925,'19130','Vars Sur Roseix',6916),(6926,'19400','Saint Martial Entraygues',6917),(6927,'19120','Végennes',6918),(6928,'19500','Ligneyrac',6919),(6929,'19430','Goulles',6920),(6930,'19300','Grandsaigne',6921),(6931,'19380','Neuville',6922),(6932,'19130','Saint Solve',6923),(6933,'19120','Bilhac',6924),(6934,'19220','Bassignac Le Haut',6925),(6935,'19600','Lissac Sur Couze',6926),(6936,'19200','Margerides',6927),(6937,'19430','Bassignac Le Bas',6928),(6938,'19170','Bonnefond',6929),(6939,'19520','Cublac',6930),(6940,'19120','Chenailler Mascheix',6931),(6941,'19150','Marc La Tour',6932),(6942,'21570','Autricourt',6933),(6943,'21610','Saint Seine Sur Vingeanne',6934),(6944,'21440','Léry',6935),(6945,'21350','Marcellois',6936),(6946,'21700','Meuilley',6937),(6947,'21250','Trugny',6938),(6948,'21380','Saussy',6939),(6949,'21330','Nesle Et Massoult',6940),(6950,'21370','Lantenay',6941),(6951,'21290','Montmoyen',6942),(6952,'21540','Blaisy Bas',6943),(6953,'21150','Venarey Les Laumes',6944),(6954,'21170','Trouhans',6945),(6955,'21121','Darois',6946),(6956,'21150','Lucenay Le Duc',6947),(6957,'21110','Varanges',6948),(6958,'21220','Semezanges',6949),(6959,'21500','Viserny',6950),(6960,'21120','Spoy',6951),(6961,'21390','Montigny Saint Barthélemy',6952),(6962,'21500','Planay',6953),(6963,'21410','Fleurey Sur Ouche',6954),(6964,'21510','Busseaut',6955),(6965,'21350','Avosnes',6956),(6966,'21360','Colombier',6957),(6967,'21310','Charmes',6958),(6968,'21330','Channay',6959),(6969,'21140','Genay',6960),(6970,'21320','Chazilly',6961),(6971,'21150','Jailly Les Moulins',6962),(6972,'21640','Gilly Lès Cîteaux',6963),(6973,'21350','Villeberny',6964),(6974,'21360','Chaudenay Le Château',6965),(6975,'21310','Bézouotte',6966),(6976,'21190','Meloisey',6967),(6977,'21610','Pouilly Sur Vingeanne',6968),(6978,'21910','Saulon La Chapelle',6969),(6979,'21360','Lusigny Sur Ouche',6970),(6980,'21510','Bellenod Sur Seine',6971),(6981,'21610','Chaume Et Courchamp',6972),(6982,'21290','Saint Broing Les Moines',6973),(6983,'21500','Villaines Les Prévôtes',6974),(6984,'21360','Thorey Sur Ouche',6975),(6985,'21490','Norges La Ville',6976),(6986,'21190','Puligny Montrachet',6977),(6987,'21540','Savigny Sous Mâlain',6978),(6988,'21120','Saulx Le Duc',6979),(6989,'21400','Charrey Sur Seine',6980),(6990,'21220','Chambolle Musigny',6981),(6991,'21220','Clémencey',6982),(6992,'21700','Quincey',6983),(6993,'21400','Chemin D\'Aisey',6984),(6994,'21700','Corgoloin',6985),(6995,'21430','Ménessaire',6986),(6996,'21120','Villecomte',6987),(6997,'21190','Ébaty',6988),(6998,'21170','Samerey',6989),(6999,'21290','Voulaines Les Templiers',6990),(7000,'21800','Quetigny',6991),(7001,'21400','Vix',6992),(7002,'21140','Saint Euphrône',6993),(7003,'21570','Riel Les Eaux',6994),(7004,'21270','Drambon',6995),(7005,'21530','La Roche En Brenil',6996),(7006,'21500','Marmagne',6997),(7007,'21110','Bretenière',6998),(7008,'21440','Poncey Sur L\'Ignon',6999),(7009,'21130','Magny Montarlot',7000),(7010,'21200','Montagny Lès Beaune',7001),(7011,'21540','Mesmont',7002),(7012,'21120','Moloy',7003),(7013,'21310','Beire Le Châtel',7004),(7014,'21380','Curtil Saint Seine',7005),(7015,'21690','Saint Hélier',7006),(7016,'21160','Couchey',7007),(7017,'21210','La Motte Ternant',7008),(7018,'21200','Sainte Marie La Blanche',7009),(7019,'21400','Puits',7010),(7020,'21500','Quincerot',7011),(7021,'21220','Chambœuf',7012),(7022,'21200','Chevigny En Valière',7013),(7023,'21500','Montbard',7014),(7024,'21580','Salives',7015),(7025,'21250','Corgengoux',7016),(7026,'21320','Maconge',7017),(7027,'21220','Broindon',7018),(7028,'21400','Montliot Et Courcelles',7019),(7029,'21360','Chaudenay La Ville',7020),(7030,'21700','Nuits Saint Georges',7021),(7031,'21110','Izier',7022),(7032,'21380','Savigny Le Sec',7023),(7033,'21410','Ancey',7024),(7034,'21230','Culètre',7025),(7035,'21400','Villiers Le Duc',7026),(7036,'21340','Jours En Vaux',7027),(7037,'21350','Massingy Lès Vitteaux',7028),(7038,'21150','Marigny Le Cahouët',7029),(7039,'21330','Verdonnet',7030),(7040,'21130','Billey',7031),(7041,'21130','Athée',7032),(7042,'21530','Saint Germain De Modéon',7033),(7043,'21640','Vougeot',7034),(7044,'21250','Tichey',7035),(7045,'21190','Tailly',7036),(7046,'21460','Thoste',7037),(7047,'21400','Coulmier Le Sec',7038),(7048,'21350','Marcilly Et Dracy',7039),(7049,'21580','Barjon',7040),(7050,'21540','Vieilmoulin',7041),(7051,'21270','Cirey Lès Pontailler',7042),(7052,'21350','Thorey Sous Charny',7043),(7053,'21310','Beaumont Sur Vingeanne',7044),(7054,'21320','Commarin',7045),(7055,'21760','Lamarche Sur Saône',7046),(7056,'21290','Menesble',7047),(7057,'21270','Soissons Sur Nacey',7048),(7058,'21350','Villy En Auxois',7049),(7059,'21270','Binges',7050),(7060,'21400','Maisey Le Duc',7051),(7061,'21220','Fixin',7052),(7062,'21330','Molesme',7053),(7063,'21410','Agey',7054),(7064,'21390','Vic Sous Thil',7055),(7065,'21540','Drée',7056),(7066,'21110','Pluvet',7057),(7067,'21370','Velars Sur Ouche',7058),(7068,'21350','Gissey Le Vieil',7059),(7069,'21270','Heuilley Sur Saône',7060),(7070,'21230','Cussy Le Châtel',7061),(7071,'21270','Marandeuil',7062),(7072,'21170','Charrey Sur Saône',7063),(7073,'21540','Échannay',7064),(7074,'21520','Montigny Sur Aube',7065),(7075,'21300','Chenôve',7066),(7076,'21420','Pernand Vergelesses',7067),(7077,'21360','Vic Des Prés',7068),(7078,'21360','Bessey En Chaume',7069),(7079,'21230','Foissy',7070),(7080,'21700','Villars Fontaine',7071),(7081,'21430','Villiers En Morvan',7072),(7082,'21420','Savigny Lès Beaune',7073),(7083,'21200','Bouze Lès Beaune',7074),(7084,'21270','Tellecey',7075),(7085,'21250','Montagny Lès Seurre',7076),(7086,'21400','Pothières',7077),(7087,'21400','Villotte Sur Ource',7078),(7088,'21320','Martrois',7079),(7089,'21700','Gerland',7080),(7090,'21190','Chassagne Montrachet',7081),(7091,'21170','Magny Lès Aubigny',7082),(7092,'21200','Combertault',7083),(7093,'21410','Saint Jean De Bœuf',7084),(7094,'21520','Gevrolles',7085),(7095,'21220','Reulle Vergy',7086),(7096,'21430','Vianges',7087),(7097,'21250','Glanon',7088),(7098,'21290','Faverolles Lès Lucey',7089),(7099,'21360','Bouhey',7090),(7100,'21190','Corpeau',7091),(7101,'21140','Souhey',7092),(7102,'21580','Avot',7093),(7103,'21350','Boussey',7094),(7104,'21360','Montceau Et Écharnant',7095),(7105,'21490','Bellefond',7096),(7106,'21500','Fain Lès Moutiers',7097),(7107,'21220','Gevrey Chambertin',7098),(7108,'21250','Bousselange',7099),(7109,'21430','Brazey En Morvan',7100),(7110,'21120','Crécey Sur Tille',7101),(7111,'21110','Longchamp',7102),(7112,'21510','Aignay Le Duc',7103),(7113,'21230','Clomot',7104),(7114,'21610','Bourberain',7105),(7115,'21340','Vauchignon',7106),(7116,'21200','Levernois',7107),(7117,'21500','Crépand',7108),(7118,'21400','Vanvey',7109),(7119,'21150','Thenissey',7110),(7120,'21390','Roilly',7111),(7121,'21330','Villedieu',7112),(7122,'21140','Magny La Ville',7113),(7123,'21250','Pagny Le Château',7114),(7124,'21450','Chaume Lès Baigneux',7115),(7125,'21220','Quemigny Poisot',7116),(7126,'21440','Champagny',7117),(7127,'21460','Forléans',7118),(7128,'21400','Brémur Et Vaurois',7119),(7129,'21390','Précy Sous Thil',7120),(7130,'21390','Brianny',7121),(7131,'21310','Savolles',7122),(7132,'21500','Rougemont',7123),(7133,'21270','Pontailler Sur Saône',7124),(7134,'21121','Val Suzon',7125),(7135,'21430','Marcheseuil',7126),(7136,'21190','Nantoux',7127),(7137,'21490','Orgeux',7128),(7138,'21150','Grignon',7129),(7139,'21310','Jancigny',7130),(7140,'21500','Montigny Montfort',7131),(7141,'21410','Mâlain',7132),(7142,'21700','Arcenant',7133),(7143,'21140','Villeneuve Sous Charigny',7134),(7144,'21800','Crimolois',7135),(7145,'21110','Bessey Lès Cîteaux',7136),(7146,'21120','Pichanges',7137),(7147,'21270','Vonges',7138),(7148,'21460','Corsaint',7139),(7149,'21330','Bouix',7140),(7150,'21220','Épernay Sous Gevrey',7141),(7151,'21220','Brochon',7142),(7152,'21210','Lacour D\'Arcenay',7143),(7153,'21170','Laperrière Sur Saône',7144),(7154,'21320','Sainte Sabine',7145),(7155,'21250','Villy Le Moutier',7146),(7156,'21910','Noiron Sous Gevrey',7147),(7157,'21540','Remilly En Montagne',7148),(7158,'21170','Losne',7149),(7159,'21910','Savouges',7150),(7160,'21110','Tart Le Bas',7151),(7161,'21350','Soussey Sur Brionne',7152),(7162,'21110','Longecourt En Plaine',7153),(7163,'21110','Izeure',7154),(7164,'21450','Jours Lès Baigneux',7155),(7165,'21110','Beire Le Fort',7156),(7166,'21540','Verrey Sous Drée',7157),(7167,'21450','Fontaines En Duesmois',7158),(7168,'21120','Courtivron',7159),(7169,'21610','Orain',7160),(7170,'21530','Saint Andeux',7161),(7171,'21250','Seurre',7162),(7172,'21140','Flée',7163),(7173,'21700','Chaux',7164),(7174,'21390','Marcigny Sous Thil',7165),(7175,'21430','Manlay',7166),(7176,'21510','Beaulieu',7167),(7177,'21490','Saint Julien',7168),(7178,'21690','Boux Sous Salmaise',7169),(7179,'21130','Villers Rotin',7170),(7180,'21350','Brain',7171),(7181,'21130','Flagey Lès Auxonne',7172),(7182,'21190','Volnay',7173),(7183,'21420','Aloxe Corton',7174),(7184,'21540','Blaisy Haut',7175),(7185,'21130','Poncey Lès Athée',7176),(7186,'21220','Détain Et Bruant',7177),(7187,'21121','Étaules',7178),(7188,'21310','Cheuge',7179),(7189,'21200','Beaune',7180),(7190,'21360','Crugey',7181),(7191,'21121','Hauteville Lès Dijon',7182),(7192,'21120','Til Châtel',7183),(7193,'21130','Flammerans',7184),(7194,'21540','Aubigny Lès Sombernon',7185),(7195,'21450','Saint Marc Sur Seine',7186),(7196,'21910','Corcelles Lès Cîteaux',7187),(7197,'21310','Renève',7188),(7198,'21110','Chambeire',7189),(7199,'21690','Villotte Saint Seine',7190),(7200,'21330','Fontaines Les Sèches',7191),(7201,'21540','Bussy La Pesle',7192),(7202,'21260','Vernois Lès Vesvres',7193),(7203,'21520','Bissey La Côte',7194),(7204,'21220','Segrois',7195),(7205,'21270','Perrigny Sur L\'Ognon',7196),(7206,'21390','Clamerey',7197),(7207,'21520','Louesme',7198),(7208,'21490','Brognon',7199),(7209,'21310','Oisilly',7200),(7210,'21270','Montmançon',7201),(7211,'21410','Baulme La Roche',7202),(7212,'21580','Cussey Les Forges',7203),(7213,'21410','Sainte Marie Sur Ouche',7204),(7214,'21130','Tréclun',7205),(7215,'21260','Véronnes',7206),(7216,'21450','Oigny',7207),(7217,'21110','Tart Le Haut',7208),(7218,'21250','Labruyère',7209),(7219,'21230','Mimeure',7210),(7220,'21130','Tillenay',7211),(7221,'21700','Vosne Romanée',7212),(7222,'21700','Comblanchien',7213),(7223,'21290','Lucey',7214),(7224,'21190','Merceuil',7215),(7225,'21500','Courcelles Lès Montbard',7216),(7226,'21360','Painblanc',7217),(7227,'21310','Noiron Sur Bèze',7218),(7228,'21520','Lignerolles',7219),(7229,'21420','Bouilland',7220),(7230,'21490','Flacey',7221),(7231,'21350','Sainte Colombe',7222),(7232,'21690','Verrey Sous Salmaise',7223),(7234,'21170','Échenon',7224),(7235,'21230','Maligny',7225),(7236,'21460','Époisses',7226),(7237,'21230','Antigny La Ville',7227),(7238,'21190','Auxey Duresses',7228),(7239,'21420','Échevronne',7229),(7240,'21200','Meursanges',7230),(7241,'21390','Normier',7231),(7242,'21690','Salmaise',7232),(7243,'21330','Balot',7233),(7244,'21540','Grenant Lès Sombernon',7234),(7245,'21400','Châtillon Sur Seine',7235),(7246,'21430','Blanot',7236),(7247,'21540','Saint Mesmin',7237),(7248,'21700','Saint Bernard',7238),(7249,'21230','Jouey',7239),(7250,'21230','Longecourt Lès Culêtre',7240),(7251,'21700','Premeaux Prissey',7241),(7252,'21190','Meursault',7242),(7253,'21260','Foncegrive',7243),(7254,'21500','Étais',7244),(7255,'21700','Agencourt',7245),(7256,'21500','Quincy Le Vicomte',7246),(7257,'21140','Charigny',7247),(7258,'21210','Missery',7248),(7259,'21360','Aubaine',7249),(7260,'21350','Saint Thibault',7250),(7261,'21510','Échalot',7251),(7262,'21410','Gergueil',7252),(7263,'21520','Veuxhaulles Sur Aube',7253),(7264,'21130','Villers Les Pots',7254),(7265,'21340','Ivry En Montagne',7255),(7266,'21150','Darcey',7256),(7267,'21400','Massingy',7257),(7268,'21340','Nolay',7258),(7269,'21360','Bessey La Cour',7259),(7270,'21210','Saint Martin De La Mer',7260),(7271,'21700','Fussey',7261),(7272,'21140','Millery',7262),(7273,'21330','Nicey',7263),(7274,'21580','Le Meix',7264),(7275,'21230','Voudenay',7265),(7276,'21160','Perrigny Lès Dijon',7266),(7277,'21510','Origny',7267),(7278,'21800','Sennecey Lès Dijon',7268),(7279,'21230','Saint Prix Lès Arnay',7269),(7280,'21230','Allerey',7270),(7281,'21260','Boussenois',7271),(7282,'21140','Vic De Chassenay',7272),(7283,'21510','Duesme',7273),(7284,'21110','Magny Sur Tille',7274),(7285,'21360','Cussy La Colonne',7275),(7286,'21400','Étrochey',7276),(7287,'21110','Thorey En Plaine',7277),(7288,'21210','Villargoix',7278),(7289,'21320','Mont Saint Jean',7279),(7290,'21150','Bussy Le Grand',7280),(7291,'21570','Thoires',7281),(7292,'21470','Brazey En Plaine',7282),(7293,'21440','Bligny Le Sec',7283),(7294,'21360','La Bussière Sur Ouche',7284),(7295,'21510','Rochefort Sur Brévon',7285),(7296,'21160','Flavignerot',7286),(7297,'21230','Viévy',7287),(7298,'21590','Santenay',7288),(7299,'21340','Santosse',7289),(7300,'21121','Fontaine Lès Dijon',7290),(7301,'21500','Benoisey',7291),(7302,'21110','Rouvres En Plaine',7292),(7303,'21200','Bligny Lès Beaune',7293),(7304,'21230','Le Fête',7294),(7305,'21390','Bierre Lès Semur',7295),(7306,'21530','Sincey Lès Rouvray',7296),(7307,'21550','Ladoix Serrigny',7297),(7308,'21520','La Chaume',7298),(7309,'21510','Meulson',7299),(7310,'21310','Belleneuve',7300),(7311,'21190','Saint Aubin',7301),(7312,'21120','Marcilly Sur Tille',7302),(7313,'21460','Corrombles',7303),(7314,'21290','Gurgy La Ville',7304),(7315,'21450','Baigneux Les Juifs',7305),(7316,'21510','Beaunotte',7306),(7317,'21390','Noidan',7307),(7318,'21260','Sacquenay',7308),(7319,'21560','Arc Sur Tille',7309),(7320,'21120','Chaignay',7310),(7321,'21570','Brion Sur Ource',7311),(7322,'21540','Grosbois En Montagne',7312),(7323,'21510','Moitron',7313),(7324,'21110','Fauverney',7314),(7325,'21120','Échevannes',7315),(7326,'21820','Labergement Lès Seurre',7316),(7327,'21120','Diénay',7317),(7328,'21340','La Rochepot',7318),(7329,'21580','Busserotte Et Montenaille',7319),(7330,'21610','Saint Maurice Sur Vingeanne',7320),(7331,'21220','Morey Saint Denis',7321),(7332,'21390','Braux',7322),(7333,'21110','Aiserey',7323),(7334,'21390','Nan Sous Thil',7324),(7335,'21390','Aisy Sous Thil',7325),(7336,'21290','Terrefondrée',7326),(7337,'21500','Éringes',7327),(7338,'21260','Chazeuil',7328),(7339,'21610','Fontenelle',7329),(7340,'21410','Prâlon',7330),(7341,'21130','Saint Seine En Bâche',7331),(7342,'21150','Mussy La Fosse',7332),(7343,'21500','Athie',7333),(7344,'21140','Juilly',7334),(7345,'21120','Tarsul',7335),(7346,'21460','Courcelles Frémoy',7336),(7347,'21290','Bure Les Templiers',7337),(7348,'21600','Fénay',7338),(7349,'21340','Thury',7339),(7350,'21220','L\'Étang Vergy',7340),(7351,'21450','Semond',7341),(7352,'21700','Villers La Faye',7342),(7353,'21440','Saint Martin Du Mont',7343),(7354,'21220','Ternant',7344),(7355,'21330','Griselles',7345),(7356,'21320','Châteauneuf',7346),(7357,'21340','Aubigny La Ronce',7347),(7358,'21220','Messanges',7348),(7359,'21150','Pouillenay',7349),(7360,'21360','Veuvey Sur Ouche',7350),(7361,'21310','Mirebeau Sur Bèze',7351),(7362,'21570','Grancey Sur Ource',7352),(7363,'21310','Arceau',7353),(7364,'21400','Prusly Sur Ource',7354),(7365,'21150','Chassey',7355),(7366,'21460','Torcy Et Pouligny',7356),(7367,'21240','Talant',7357),(7368,'21310','Magny Saint Médard',7358),(7369,'21370','Pasques',7359),(7370,'21560','Remilly Sur Tille',7360),(7371,'21500','Saint Rémy',7361),(7372,'21121','Daix',7362),(7373,'21540','Saint Anthot',7363),(7374,'21800','Neuilly Lès Dijon',7364),(7375,'21140','Villars Et Villenotte',7365),(7376,'21110','Cessey Sur Tille',7366),(7377,'21690','Champrenault',7367),(7378,'21110','Collonges Lès Premières',7368),(7379,'21380','Asnières Lès Dijon',7369),(7380,'21700','Villebichot',7370),(7381,'21500','Fain Lès Montbard',7371),(7382,'21700','Boncourt Le Bois',7372),(7383,'21460','Jeux Lès Bard',7373),(7384,'21330','Poinçon Lès Larrey',7374),(7385,'21380','Marsannay Le Bois',7375),(7386,'21400','Chaumont Le Bois',7376),(7387,'21320','Meilly Sur Rouvres',7377),(7388,'21400','Sainte Colombe Sur Seine',7378),(7389,'21150','Frôlois',7379),(7390,'21120','Poiseul Lès Saulx',7380),(7391,'21310','Cuiserey',7381),(7392,'21380','Épagny',7382),(7393,'21400','Nod Sur Seine',7383),(7394,'21540','Chevannay',7384),(7395,'21390','Dompierre En Morvan',7385),(7396,'21160','Marsannay La Côte',7386),(7397,'21230','Saint Pierre En Vaux',7387),(7398,'21430','Sussey',7388),(7399,'21220','Urcy',7389),(7400,'21700','Marey Lès Fussey',7390),(7401,'21330','Larrey',7391),(7402,'21410','Saint Victor Sur Ouche',7392),(7403,'21460','Montberthault',7393),(7404,'21510','Quemigny Sur Seine',7394),(7405,'21640','Flagey Echézeaux',7395),(7406,'21230','Arnay Le Duc',7396),(7407,'21190','Saint Romain',7397),(7408,'21450','Orret',7398),(7409,'21570','Belan Sur Ource',7399),(7410,'21370','Plombières Lès Dijon',7400),(7411,'21320','Pouilly En Auxois',7401),(7412,'21410','Barbirey Sur Ouche',7402),(7413,'21490','Ruffey Lès Echirey',7403),(7414,'21910','Saulon La Rue',7404),(7415,'21450','Poiseul La Ville Et Laperrière',7405),(7416,'21220','Curtil Vergy',7406),(7417,'21150','Hauteroche',7407),(7418,'21230','Lacanche',7408),(7419,'21320','Chailly Sur Armançon',7409),(7420,'21400','Vannaire',7410),(7421,'21310','Dampierre Et Flée',7411),(7422,'21120','Marey Sur Tille',7412),(7423,'21210','Molphey',7413),(7424,'21500','Touillon',7414),(7425,'21600','Ouges',7415),(7426,'21610','Licey Sur Vingeanne',7416),(7427,'21310','Champagne Sur Vingeanne',7417),(7428,'21150','Flavigny Sur Ozerain',7418),(7429,'21310','Viévigne',7419),(7430,'21140','Massingy Lès Semur',7420),(7431,'21610','Montigny Mornay Villeneuve Sur Vingeanne',7421),(7432,'21560','Couternon',7422),(7433,'21150','Corpoyer La Chapelle',7423),(7434,'21320','Civry En Montagne',7424),(7435,'21450','Ampilly Les Bordes',7425),(7436,'21110','Genlis',7426),(7437,'21320','Châtellenot',7427),(7438,'21360','Antheuil',7428),(7439,'21110','Soirans',7429),(7440,'21330','Cérilly',7430),(7441,'21320','Vandenesse En Auxois',7431),(7442,'21250','Broin',7432),(7443,'21520','Courban',7433),(7444,'21360','Thomirey',7434),(7445,'21150','La Roche Vanneau',7435),(7446,'21340','Baubigny',7436),(7447,'21140','Lantilly',7437),(7448,'21250','Jallanges',7438),(7449,'21130','Labergement Lès Auxonne',7439),(7450,'21290','Buxerolles',7440),(7451,'21320','Éguilly',7441),(7452,'21120','Lux',7442),(7453,'21230','Musigny',7443),(7454,'21440','Chanceaux',7444),(7455,'21210','Thoisy La Berchère',7445),(7456,'21530','Rouvray',7446),(7457,'21360','Saussey',7447),(7458,'21460','Vieux Château',7448),(7459,'21260','Orville',7449),(7460,'21370','Prenois',7450),(7461,'21120','Frénois',7451),(7462,'21130','Auxonne',7452),(7463,'21360','Écutigny',7453),(7464,'21430','Diancey',7454),(7465,'21170','Aubigny En Plaine',7455),(7466,'21430','Savilly',7456),(7467,'21170','Saint Jean De Losne',7457),(7468,'21200','Chorey Les Beaune',7458),(7469,'21340','Cormot Le Grand',7459),(7470,'21190','Monthelie',7460),(7471,'21250','Grosbois Lès Tichey',7461),(7472,'21290','Beneuvre',7462),(7473,'21320','Créancey',7463),(7474,'21510','Minot',7464),(7475,'21220','Bévy',7465),(7476,'21520','Boudreville',7466),(7477,'21320','Semarey',7467),(7478,'21330','Laignes',7468),(7479,'21910','Barges',7469),(7480,'21290','Chambain',7470),(7481,'21110','Tart L\'Abbaye',7471),(7482,'21580','Courlon',7472),(7483,'21400','Gomméville',7473),(7484,'21580','Fraignot Et Vesvrotte',7474),(7485,'21110','Premières',7475),(7486,'21120','Avelanges',7476),(7487,'21320','Thoisy Le Désert',7477),(7488,'21500','Saint Germain Lès Senailly',7478),(7489,'21330','Vertault',7479),(7490,'21310','Blagny Sur Vingeanne',7480),(7491,'21400','Villers Patras',7481),(7492,'21140','Montigny Sur Armançon',7482),(7493,'21540','Panges',7483),(7494,'21140','Courcelles Lès Semur',7484),(7495,'21170','Montot',7485),(7496,'21500','Moutiers Saint Jean',7486),(7497,'21500','Nogent Lès Montbard',7487),(7498,'21270','Talmay',7488),(7499,'21250','Corberon',7489),(7500,'21350','Posanges',7490),(7501,'21270','Cléry',7491),(7502,'21110','Pluvault',7492),(7503,'21120','Vernot',7493),(7504,'21430','Liernais',7494),(7505,'21230','Magnien',7495),(7506,'21700','Magny Lès Villers',7496),(7507,'21170','Saint Usage',7497),(7508,'21360','Veilly',7498),(7509,'21450','Villaines En Duesmois',7499),(7510,'21610','Fontaine Française',7500),(7511,'21350','Velogny',7501),(7512,'21440','Saint Seine L\'Abbaye',7502),(7513,'21400','Chamesson',7503),(7514,'21490','Clénay',7504),(7515,'21120','Is Sur Tille',7505),(7516,'21440','Trouhaut',7506),(7517,'21850','Saint Apollinaire',7507),(7518,'21210','Juillenay',7508),(7519,'21290','Recey Sur Ource',7509),(7520,'21210','Montlay En Auxois',7510),(7521,'21510','Étalante',7511),(7522,'21110','Labergement Foigney',7512),(7523,'21560','Bressey Sur Tille',7513),(7524,'21160','Corcelles Les Monts',7514),(7525,'21150','Seigny',7515),(7526,'21320','Blancey',7516),(7527,'21350','Arnay Sous Vitteaux',7517),(7528,'21110','Échigey',7518),(7529,'21320','Essey',7519),(7530,'21320','Marcilly Ogny',7520),(7531,'21190','Mavilly Mandelot',7521),(7532,'21170','Saint Symphorien Sur Saône',7522),(7533,'21400','Noiron Sur Seine',7523),(7534,'21170','Franxault',7524),(7535,'21121','Ahuy',7525),(7536,'21250','Lanthes',7526),(7537,'21690','Source Seine',7527),(7538,'21290','Chaugey',7528),(7539,'21200','Marigny Lès Reullée',7529),(7540,'21820','Chivres',7530),(7541,'21220','Chevannes',7531),(7542,'21290','Leuglay',7532),(7543,'21350','Saffres',7533),(7544,'21380','Messigny Et Vantoux',7534),(7545,'21250','Pagny La Ville',7535),(7546,'21350','Charny',7536),(7547,'21390','Fontangy',7537),(7548,'21450','Magny Lambert',7538),(7549,'21440','Vaux Saules',7539),(7550,'21250','Auvillars Sur Saône',7540),(7551,'21210','Saint Didier',7541),(7552,'21310','Tanay',7542),(7553,'21540','Sombernon',7543),(7554,'21290','Gurgy Le Château',7544),(7555,'21350','Vesvres',7545),(7556,'21700','Saint Nicolas Lès Cîteaux',7546),(7557,'21500','Savoisy',7547),(7558,'21340','Molinot',7548),(7559,'21700','Bagnot',7549),(7560,'21350','Dampierre En Montagne',7550),(7561,'21310','Bèze',7551),(7562,'21270','Vielverge',7552),(7563,'21250','Pouilly Sur Saône',7553),(7564,'21430','Censerey',7554),(7565,'21450','La Villeneuve Les Convers',7555),(7566,'21540','Montoillot',7556),(7567,'21440','Francheville',7557),(7568,'21220','Curley',7558),(7569,'21150','Alise Sainte Reine',7559),(7570,'21130','Champdôtre',7560),(7571,'21460','Toutry',7561),(7572,'21700','Argilly',7562),(7573,'21320','Arconcey',7563),(7574,'21580','Grancey Le Château Neuvelle',7564),(7575,'21350','Uncey Le Franc',7565),(7576,'21250','Bonnencontre',7566),(7577,'21400','Buncey',7567),(7578,'21320','Bellenot Sous Pouilly',7568),(7579,'21800','Chevigny Saint Sauveur',7569),(7580,'21190','Corcelles Les Arts',7570),(7581,'21270','Étevaux',7571),(7582,'21270','Saint Léger Triey',7572),(7583,'21140','Pont Et Massène',7573),(7584,'21500','Fresnes',7574),(7585,'21120','Villey Sur Tille',7575),(7586,'21350','Beurizot',7576),(7587,'21130','Maillys',7577),(7588,'21500','Buffon',7578),(7589,'21150','Grésigny Sainte Reine',7579),(7590,'21200','Vignoles',7580),(7591,'21450','Billy Lès Chanceaux',7581),(7592,'21150','Ménétreux Le Pitois',7582),(7593,'21150','Gissey Sous Flavigny',7583),(7594,'21140','Semur En Auxois',7584),(7595,'21440','Lamargelle',7585),(7596,'21310','Trochères',7586),(7597,'21130','Pont',7587),(7598,'21460','Bard Lès Époisses',7588),(7599,'21320','Beurey Bauguay',7589),(7600,'21400','Obtrée',7590),(7601,'21690','Charencey',7591),(7602,'21330','Marcenay',7592),(7603,'21500','Senailly',7593),(7604,'21170','Esbarres',7594),(7605,'21410','Gissey Sur Ouche',7595),(7606,'21540','Turcey',7596),(7607,'21410','Arcey',7597),(7608,'21400','Aisey Sur Seine',7598),(7609,'21200','Ruffey Lès Beaune',7599),(7610,'21270','Saint Sauveur',7600),(7611,'21210','Champeau En Morvan',7601),(7612,'21110','Marliens',7602),(7613,'21350','Vitteaux',7603),(7614,'21330','Bissey La Pierre',7604),(7615,'21360','Auxant',7605),(7616,'21270','Maxilly Sur Saône',7606),(7617,'21210','Saulieu',7607),(7618,'21500','Arrans',7608),(7619,'21490','Bretigny',7609),(7620,'21600','Longvic',7610),(7621,'21400','Mosson',7611),(7622,'21290','Essarois',7612),(7623,'21250','Chamblanc',7613),(7624,'21220','Saint Philibert',7614),(7625,'21490','Varois Et Chaignot',7615),(7626,'21430','Bard Le Régulier',7616),(7627,'21320','Rouvres Sous Meilly',7617),(7628,'21350','Villeferry',7618),(7629,'21110','Longeault',7619),(7630,'21250','Montmain',7620),(7631,'21260','Selongey',7621),(7632,'21500','Champ D\'Oiseau',7622),(7633,'21500','Asnières En Montagne',7623),(7634,'21630','Pommard',7624),(7635,'21220','Collonges Lès Bévy',7625),(7636,'21510','Saint Germain Le Rocheux',7626),(7637,'21250','Châtelet',7627),(7638,'21520','Goulles',7628),(7639,'21360','Bligny Sur Ouche',7629),(7640,'21450','Étormay',7630),(7641,'21510','Mauvilly',7631),(7642,'21440','Poiseul La Grange',7632),(7643,'21580','Bussières',7633),(7644,'21400','Ampilly Le Sec',7634),(7645,'21120','Gemeaux',7635),(7646,'21440','Pellerey',7636),(7647,'21230','Champignolles',7637),(7648,'22450','Hengoat',7638),(7649,'22720','Saint Fiacre',7639),(7650,'22570','Gouarec',7640),(7651,'22260','Plouëc Du Trieux',7641),(7652,'22450','Kermaria Sulard',7642),(7653,'22350','Caulnes',7643),(7654,'22980','Trébédan',7644),(7655,'22290','Gommenec\'H',7645),(7656,'22440','Ploufragan',7646),(7657,'22570','Laniscat',7647),(7658,'22450','Trézény',7648),(7659,'22580','Lanloup',7649),(7660,'22220','Trédarzec',7650),(7661,'22570','Perret',7651),(7662,'22450','Quemperven',7652),(7663,'22240','Fréhel',7653),(7664,'22100','Quévert',7654),(7665,'22400','Noyal',7655),(7666,'22220','Plouguiel',7656),(7667,'22230','Merdrignac',7657),(7668,'22260','Quemper Guézennec',7658),(7669,'22270','Mégrit',7659),(7670,'22550','Pléboulle',7660),(7671,'22700','Perros Guirec',7661),(7672,'22490','Langrolay Sur Rance',7662),(7673,'22340','Le Moustoir',7663),(7674,'22810','Loc Envel',7664),(7675,'22110','Mellionnec',7665),(7676,'22130','Plorec Sur Arguenon',7666),(7677,'22810','Belle Isle En Terre',7667),(7678,'22440','La Méaugon',7668),(7679,'22170','Lanrodec',7669),(7680,'22160','Callac',7670),(7681,'22210','Coëtlogon',7671),(7682,'22110','Glomel',7672),(7683,'22170','Plerneuf',7673),(7684,'22210','Plémet',7674),(7685,'22780','Plougras',7675),(7686,'22140','Kermoroc\'H',7676),(7687,'22130','Pléven',7677),(7688,'22300','Saint Michel En Grève',7678),(7689,'22450','La Roche Derrien',7679),(7690,'22730','Trégastel',7680),(7691,'22290','Lanvollon',7681),(7692,'22680','Étables Sur Mer',7682),(7693,'22130','Languenan',7683),(7694,'22400','Saint Alban',7684),(7695,'22200','Moustéru',7685),(7696,'22400','Landéhen',7686),(7697,'22130','Landébia',7687),(7698,'22520','Binic',7688),(7699,'22170','Bringolo',7689),(7700,'22130','Bourseul',7690),(7701,'22400','Quintenic',7691),(7702,'22800','Saint Gildas',7692),(7703,'22550','Ruca',7693),(7704,'22100','Le Hinglé',7694),(7705,'22690','Pleudihen Sur Rance',7695),(7706,'22110','Plounévez Quintin',7696),(7707,'22500','Paimpol',7697),(7708,'22130','Pluduno',7698),(7709,'22410','Lantic',7699),(7710,'22260','Runan',7700),(7711,'22210','Le Cambout',7701),(7712,'22400','Meslin',7702),(7713,'22400','Andel',7703),(7714,'22480','Kerien',7704),(7715,'22480','Saint Connan',7705),(7716,'22340','Maël Carhaix',7706),(7717,'22350','Saint Jouan De L\'Isle',7707),(7718,'22600','Loudéac',7708),(7719,'22160','Carnoët',7709),(7720,'22290','Lanleff',7710),(7721,'22000','Saint Brieuc',7711),(7722,'22420','Plouzélambre',7712),(7723,'22350','Yvignac La Tour',7713),(7724,'22970','Ploumagoar',7714),(7725,'22230','Gomené',7715),(7726,'22490','Pleslin Trigavou',7716),(7727,'22210','Saint Étienne Du Gué De L\'Isle',7717),(7728,'22330','Plessala',7718),(7729,'22200','Guingamp',7719),(7730,'22230','Trémorel',7720),(7731,'22770','Lancieux',7721),(7732,'22240','Plurien',7722),(7733,'22590','Pordic',7723),(7734,'22170','Plouagat',7724),(7735,'22290','Goudelin',7725),(7736,'22270','Saint Rieul',7726),(7737,'22290','Tréguidel',7727),(7738,'22250','Trédias',7728),(7739,'22740','Pleumeur Gautier',7729),(7740,'22230','Laurenan',7730),(7741,'22650','Trégon',7731),(7742,'22970','Coadout',7732),(7743,'22320','Plussulien',7733),(7744,'22150','Plœuc Sur Lié',7734),(7745,'22830','Plouasne',7735),(7746,'22340','Plévin',7736),(7747,'22100','Saint Carné',7737),(7748,'22430','Erquy',7738),(7749,'22480','Saint Gilles Pligeaux',7739),(7750,'22940','Saint Julien',7740),(7751,'22260','Ploëzal',7741),(7752,'22980','Saint Maudez',7742),(7753,'22450','Camlez',7743),(7754,'22740','Pleudaniel',7744),(7755,'22410','Saint Quay Portrieux',7745),(7756,'22420','Plouaret',7746),(7757,'22600','Saint Barnabé',7747),(7758,'22230','Illifaut',7748),(7759,'22510','Bréhand',7749),(7760,'22480','Lanrivain',7750),(7761,'22800','Quintin',7751),(7762,'22300','Lannion',7752),(7763,'22160','Plusquellec',7753),(7764,'22140','Pluzunet',7754),(7765,'22980','Vildé Guingalan',7755),(7766,'22300','Lanmérin',7756),(7767,'22460','Le Quillio',7757),(7768,'22480','Peumerit Quintin',7758),(7769,'22200','Plouisy',7759),(7770,'22720','Bourbriac',7760),(7771,'22140','Brélidy',7761),(7772,'22290','Trévérec',7762),(7773,'22530','Saint Connec',7763),(7774,'22310','Tréduder',7764),(7775,'22480','Magoar',7765),(7776,'22260','Pontrieux',7766),(7777,'22290','Pléguien',7767),(7778,'22120','Yffiniac',7768),(7779,'22510','Moncontour',7769),(7780,'22530','Mûr De Bretagne',7770),(7781,'22560','Trébeurden',7771),(7782,'22140','Prat',7772),(7783,'22390','Gurunhuel',7773),(7784,'22870','Île De Bréhat',7774),(7785,'22800','Saint Brandan',7775),(7786,'22100','Calorguen',7776),(7787,'22240','La Bouillie',7777),(7788,'22100','Trévron',7778),(7789,'22420','Trégrom',7779),(7790,'22100','Trélivan',7780),(7791,'22410','Tréveneuc',7781),(7792,'22320','Corlay',7782),(7793,'22540','Pédernec',7783),(7794,'22460','Saint Hervé',7784),(7795,'22200','Trégonneau',7785),(7796,'22640','Tramain',7786),(7797,'22130','Plancoët',7787),(7798,'22750','Saint Jacut De La Mer',7788),(7799,'22720','Plésidy',7789),(7800,'22160','Duault',7790),(7801,'22460','Allineuc',7791),(7802,'22250','Sévignac',7792),(7803,'22560','Pleumeur Bodou',7793),(7804,'22340','Tréogan',7794),(7805,'22400','Hénansal',7795),(7806,'22980','Plélan Le Petit',7796),(7807,'22630','Tréfumel',7797),(7808,'22570','Plélauff',7798),(7809,'22100','Brusvily',7799),(7810,'22570','Lescouët Gouarec',7800),(7811,'22100','Bobital',7801),(7812,'22290','Pludual',7802),(7813,'22160','Maël Pestivien',7803),(7814,'22420','Lanvellec',7804),(7815,'22200','Le Merzer',7805),(7816,'22480','Kerpert',7806),(7817,'22460','Merléac',7807),(7818,'22640','Plénée Jugon',7808),(7819,'22630','Saint Judoce',7809),(7820,'22800','Lanfains',7810),(7821,'22610','Kerbors',7811),(7822,'22170','Châtelaudren',7812),(7823,'22530','Saint Gilles Vieux Marché',7813),(7824,'22320','Saint Martin Des Prés',7814),(7825,'22330','Collinée',7815),(7826,'22100','Lanvallay',7816),(7827,'22550','Matignon',7817),(7828,'22350','Plumaudan',7818),(7829,'22600','Trévé',7819),(7830,'22230','Saint Vran',7820),(7831,'22270','Jugon Les Lacs',7821),(7832,'22130','Saint Lormel',7822),(7833,'22530','Saint Guen',7823),(7834,'22150','Gausson',7824),(7835,'22980','La Landec',7825),(7836,'22400','Planguenoual',7826),(7837,'22480','Canihuel',7827),(7838,'22310','Plestin Les Grèves',7828),(7839,'22170','Saint Jean Kerdaniel',7829),(7840,'22480','Saint Nicolas Du Pélem',7830),(7841,'22110','Plouguernével',7831),(7842,'22250','Éréac',7832),(7843,'22250','Plumaugat',7833),(7844,'22310','Trémel',7834),(7845,'22300','Caouënnec Lanvézéac',7835),(7846,'22270','Dolo',7836),(7847,'22490','Plouër Sur Rance',7837),(7848,'22300','Trédrez Locquémeau',7838),(7849,'22210','La Ferrière',7839),(7850,'22210','La Prénessaye',7840),(7851,'22640','Plestan',7841),(7852,'22250','Broons',7842),(7853,'22150','Langast',7843),(7854,'22700','Saint Quay Perros',7844),(7855,'22640','La Malhoure',7845),(7856,'22360','Langueux',7846),(7857,'22240','Plévenon',7847),(7858,'22140','Landebaëron',7848),(7859,'22630','Le Quiou',7849),(7860,'22300','Rospez',7850),(7861,'22340','Treffrin',7851),(7862,'22800','Saint Donan',7852),(7863,'22330','Le Gouray',7853),(7864,'22660','Trélévern',7854),(7865,'22610','Pleubian',7855),(7866,'22220','Minihy Tréguier',7856),(7867,'22200','Squiffiec',7857),(7868,'22980','Languédias',7858),(7869,'22450','Langoat',7859),(7870,'22230','Loscouët Sur Meu',7860),(7871,'22150','Hénon',7861),(7872,'22260','Saint Clet',7862),(7873,'22860','Plourivo',7863),(7874,'22380','Saint Cast Le Guildo',7864),(7875,'22330','Saint Jacut Du Mené',7865),(7876,'22250','Trémeur',7866),(7877,'22320','Le Haut Corlay',7867),(7878,'22600','Hémonstoir',7868),(7879,'22210','La Chèze',7869),(7880,'22510','Trédaniel',7870),(7881,'22400','Morieux',7871),(7882,'22340','Trébrivan',7872),(7883,'22500','Kerfot',7873),(7884,'22340','Locarn',7874),(7885,'22140','Berhet',7875),(7886,'22170','Plouvara',7876),(7887,'22780','Plounérin',7877),(7888,'22570','Saint Gelven',7878),(7889,'22450','Pouldouran',7879),(7890,'22740','Lézardrieux',7880),(7891,'22530','Caurel',7881),(7892,'22630','Saint Juvat',7882),(7893,'22350','La Chapelle Blanche',7883),(7894,'22120','Quessoy',7884),(7895,'22800','Plaine Haute',7885),(7896,'22470','Plouézec',7886),(7897,'22150','Plouguenast',7887),(7898,'22450','Pommerit Jaudy',7888),(7899,'22290','Tressignaux',7889),(7900,'22140','Coatascorn',7890),(7901,'22700','Louannec',7891),(7902,'22800','Le Fœil',7892),(7903,'22580','Plouha',7893),(7904,'22950','Trégueux',7894),(7905,'22480','Sainte Tréphine',7895),(7906,'22200','Grâces',7896),(7907,'22100','Dinan',7897),(7908,'22320','La Harmoye',7898),(7909,'22630','Saint André Des Eaux',7899),(7910,'22450','Troguéry',7900),(7911,'22160','Plourac\'H',7901),(7912,'22410','Plourhan',7902),(7913,'22770','Ploubalay',7903),(7914,'22170','Boqueho',7904),(7915,'22450','Coatréven',7905),(7916,'22140','Cavan',7906),(7917,'22330','Langourla',7907),(7918,'22100','Saint Samson Sur Rance',7908),(7919,'22160','Bulat Pestivien',7909),(7920,'22110','Rostrenen',7910),(7921,'22800','Le Vieux Bourg',7911),(7922,'22300','Ploubezre',7912),(7923,'22100','Taden',7913),(7924,'22250','Rouillac',7914),(7925,'22100','Aucaleuc',7915),(7926,'22590','Tréméloir',7916),(7927,'22720','Saint Péver',7917),(7928,'22320','Saint Mayeux',7918),(7929,'22330','Saint Gouéno',7919),(7930,'22150','L\'Hermitage Lorge',7920),(7931,'22350','Saint Maden',7921),(7932,'22690','La Vicomté Sur Rance',7922),(7933,'22340','Paule',7923),(7934,'22550','Hénanbihen',7924),(7935,'22350','Guitté',7925),(7936,'22290','Pléhédel',7926),(7937,'22600','Saint Caradec',7927),(7938,'22510','Saint Glen',7928),(7939,'22130','Créhen',7929),(7940,'22440','Trémuson',7930),(7941,'22590','Trégomeur',7931),(7942,'22400','Saint Denoual',7932),(7943,'22160','Saint Nicodème',7933),(7944,'22540','Tréglamus',7934),(7945,'22160','Calanhel',7935),(7946,'22710','Penvénan',7936),(7947,'22660','Trévou Tréguignec',7937),(7948,'22200','Pommerit Le Vicomte',7938),(7949,'22800','Saint Bihy',7939),(7950,'22400','Lamballe',7940),(7951,'22820','Plougrescant',7941),(7952,'22460','Saint Thélo',7942),(7953,'22230','Mérillac',7943),(7954,'22270','Plédéliac',7944),(7955,'22630','Évran',7945),(7956,'22140','Tonquédec',7946),(7957,'22220','Tréguier',7947),(7958,'22460','Grâce Uzel',7948),(7959,'22810','Plougonver',7949),(7960,'22300','Ploulec\'H',7950),(7961,'22940','Plaintel',7951),(7962,'22980','Saint Méloir Des Bois',7952),(7963,'22460','Uzel',7953),(7964,'22570','Saint Igeaux',7954),(7965,'22960','Plédran',7955),(7966,'22980','Saint Michel De Plélan',7956),(7967,'22290','Le Faouët',7957),(7968,'22800','Le Leslay',7958),(7969,'22290','Saint Gilles Les Bois',7959),(7970,'22200','Saint Agathon',7960),(7971,'22600','La Motte',7961),(7972,'22510','Penguily',7962),(7973,'22150','Saint Carreuc',7963),(7974,'22120','Hillion',7964),(7975,'22610','Lanmodez',7965),(7976,'22350','Guenroc',7966),(7977,'22250','Lanrelas',7967),(7978,'22320','Le Bodéo',7968),(7979,'22120','Pommeret',7969),(7980,'22800','Cohiniac',7970),(7981,'22650','Plessix Balisson',7971),(7982,'22490','Tréméreuc',7972),(7983,'22300','Ploumilliau',7973),(7984,'22190','Plérin',7974),(7985,'22330','Saint Gilles Du Mené',7975),(7986,'22370','Pléneuf Val André',7976),(7987,'22510','Saint Trimoël',7977),(7988,'22160','Saint Servais',7978),(7989,'22230','Saint Launeuc',7979),(7990,'22510','Trébry',7980),(7991,'22100','Léhon',7981),(7992,'22170','Plélo',7982),(7993,'22550','Saint Pôtan',7983),(7994,'22140','Saint Laurent',7984),(7995,'22290','Lannebert',7985),(7996,'22930','Yvias',7986),(7997,'22600','Saint Maudan',7987),(7998,'22390','Saint Adrien',7988),(7999,'22620','Ploubazlanec',7989),(8000,'22210','Plumieux',7990),(8001,'22110','Trémargat',7991),(8002,'22400','Coëtmieux',7992),(8003,'22310','Plufur',7993),(8004,'22110','Kergrist Moëlou',7994),(8005,'22130','Corseul',7995),(8006,'22140','Bégard',7996),(8007,'22200','Pabu',7997),(8008,'22290','Tréméven',7998),(8009,'22450','Mantallot',7999),(8010,'22150','Plémy',8000),(8011,'22390','Pont Melvez',8001),(8012,'22810','Plounévez Moëdec',8002),(8013,'22720','Senven Léhart',8003),(8014,'22160','La Chapelle Neuve',8004),(8015,'22100','Saint Hélen',8005),(8016,'22780','Loguivy Plougras',8006),(8017,'22420','Le Vieux Marché',8007),(8018,'22540','Louargat',8008),(8019,'22630','Champs Géraux',8009),(8020,'22160','Lohuec',8010),(8021,'23170','Viersat',8011),(8022,'23200','Moutier Rozeille',8012),(8023,'23170','Lussat',8013),(8024,'23210','Augères',8014),(8025,'23700','Sermur',8015),(8026,'23600','Soumans',8016),(8027,'23420','Mérinchal',8017),(8028,'23450','Fresselines',8018),(8029,'23250','Janaillat',8019),(8030,'23200','Saint Avit De Tardes',8020),(8031,'23700','Arfeuille Châtain',8021),(8032,'23230','Trois Fonds',8022),(8033,'23110','Saint Julien La Genête',8023),(8034,'23430','Saint Pierre Chérignat',8024),(8035,'23800','Colondannes',8025),(8036,'23220','Malval',8026),(8037,'23700','Dontreix',8027),(8038,'23300','Noth',8028),(8039,'23200','Saint Alpinien',8029),(8040,'23000','La Chapelle Taillefert',8030),(8041,'23260','Pontcharraud',8031),(8042,'23000','La Brionne',8032),(8043,'23120','Vallière',8033),(8044,'23700','Brousse',8034),(8045,'23170','Tardes',8035),(8046,'23270','Châtelus Malvaleix',8036),(8047,'23200','Bosroger',8037),(8048,'23190','Lupersat',8038),(8049,'23250','La Chapelle Saint Martial',8039),(8050,'23300','Vareilles',8040),(8051,'23700','Chard',8041),(8052,'23400','Saint Junien La Bregère',8042),(8053,'23350','Genouillac',8043),(8054,'23600','Boussac Bourg',8044),(8055,'23320','Saint Vaury',8045),(8056,'23500','Saint Frion',8046),(8057,'23400','Mansat La Courrière',8047),(8058,'23140','Domeyrot',8048),(8059,'23290','Saint Pierre De Fursac',8049),(8060,'23350','Nouziers',8050),(8061,'23460','Saint Marc À Loubaud',8051),(8062,'23340','Gentioux Pigerolles',8052),(8063,'23800','Maison Feyne',8053),(8064,'23140','Cressat',8054),(8065,'23400','Faux Mazuras',8055),(8066,'23160','Bazelat',8056),(8067,'23100','Saint Merd La Breuille',8057),(8068,'23220','Chéniers',8058),(8069,'23270','Saint Dizier Les Domaines',8059),(8070,'23170','Auge',8060),(8071,'23350','La Cellette',8061),(8072,'23000','Saint Victor En Marche',8062),(8073,'23460','Royère De Vassivière',8063),(8074,'23210','Aulon',8064),(8075,'23190','Saint Domet',8065),(8076,'23320','Saint Silvain Montaigut',8066),(8077,'23110','Saint Priest',8067),(8078,'23700','Rougnat',8068),(8079,'23260','Saint Pardoux D\'Arnet',8069),(8080,'23100','Saint Martial Le Vieux',8070),(8081,'23700','Auzances',8071),(8082,'23190','Mautes',8072),(8083,'23480','Chamberaud',8073),(8084,'23360','La Forêt Du Temple',8074),(8085,'23170','Budelière',8075),(8086,'23300','Saint Agnant De Versillat',8076),(8087,'23800','Villard',8077),(8088,'23480','Le Donzeil',8078),(8089,'23250','Vidaillat',8079),(8090,'23140','Pionnat',8080),(8091,'23120','Banize',8081),(8092,'23350','Tercillat',8082),(8093,'23400','Saint Amand Jartoudeix',8083),(8094,'23700','Bussière Nouvelle',8084),(8095,'23260','La Mazière Aux Bons Hommes',8085),(8096,'23150','Saint Hilaire La Plaine',8086),(8097,'23220','Bonnat',8087),(8098,'23600','Toulx Sainte Croix',8088),(8099,'23600','Leyrat',8089),(8100,'23500','Sainte Feyre La Montagne',8090),(8101,'23170','Lépaud',8091),(8102,'23500','Croze',8092),(8103,'23160','Saint Sébastien',8093),(8104,'23250','Pontarion',8094),(8105,'23600','Saint Pierre Le Bost',8095),(8106,'23290','Saint Étienne De Fursac',8096),(8107,'23260','Saint Oradoux Près Crocq',8097),(8108,'23190','Bellegarde En Marche',8098),(8109,'23200','Néoux',8099),(8110,'23260','La Villetelle',8100),(8111,'23110','Évaux Les Bains',8101),(8112,'23190','La Serre Bussière Vieille',8102),(8113,'23300','Saint Maurice La Souterraine',8103),(8114,'23800','La Celle Dunoise',8104),(8115,'23400','Saint Pardoux Morterolles',8105),(8116,'23000','Saint Sulpice Le Guérétois',8106),(8117,'23220','Mortroux',8107),(8118,'23210','Marsac',8108),(8119,'23130','Puy Malsignat',8109),(8120,'23500','Clairavaux',8110),(8121,'23190','Champagnat',8111),(8122,'23150','Lavaveix Les Mines',8112),(8123,'23160','Saint Germain Beaupré',8113),(8124,'23400','Masbaraud Mérignat',8114),(8125,'23400','Saint Priest Palus',8115),(8126,'23500','Gioux',8116),(8127,'23700','Mars',8117),(8128,'23200','Saint Maixant',8118),(8129,'23600','Malleret Boussac',8119),(8130,'23130','Issoudun Létrieix',8120),(8131,'23250','Thauron',8121),(8132,'23130','Chénérailles',8122),(8133,'23130','Saint Dizier La Tour',8123),(8134,'23400','Saint Dizier Leyrenne',8124),(8135,'23200','Alleyrat',8125),(8136,'23140','Blaudeix',8126),(8137,'23360','Méasnes',8127),(8138,'23000','Saint Éloi',8128),(8139,'23150','Moutier D\'Ahun',8129),(8140,'23200','Saint Amand',8130),(8141,'23110','Chambonchard',8131),(8142,'23220','Linard',8132),(8143,'23210','Azat Châtenet',8133),(8144,'23000','Anzême',8134),(8145,'23130','Peyrat La Nonière',8135),(8146,'23260','Magnat L\'Étrange',8136),(8147,'23270','Clugnat',8137),(8148,'23700','Châtelard',8138),(8149,'23300','Saint Priest La Feuille',8139),(8150,'23130','Pierrefitte',8140),(8151,'23430','Saint Goussaud',8141),(8152,'23250','Soubrebost',8142),(8153,'23700','Lioux Les Monges',8143),(8154,'23100','Saint Oradoux De Chirouze',8144),(8155,'23700','Le Compas',8145),(8156,'23200','La Chaussade',8146),(8157,'23250','La Pouge',8147),(8158,'23260','Flayat',8148),(8159,'23500','Poussanges',8149),(8160,'23340','La Villedieu',8150),(8161,'23150','Mazeirat',8151),(8162,'23000','Saint Léger Le Guérétois',8152),(8163,'23800','Sagnat',8153),(8164,'23240','Lizières',8154),(8165,'23270','Ladapeyre',8155),(8166,'23210','Arrènes',8156),(8167,'23320','Fleurat',8157),(8168,'23260','Beissat',8158),(8169,'23000','Peyrabout',8159),(8170,'23000','Guéret',8160),(8171,'23400','Bosmoreau Les Mines',8161),(8172,'23480','Saint Avit Le Pauvre',8162),(8173,'23260','Crocq',8163),(8174,'23360','Lourdoueix Saint Pierre',8164),(8175,'23100','Le Mas D\'Artige',8165),(8176,'23460','Saint Yrieix La Montagne',8166),(8177,'23200','Saint Médard La Rochette',8167),(8178,'23460','Saint Martin Château',8168),(8179,'23150','Saint Martial Le Mont',8169),(8180,'23600','Lavaufranche',8170),(8181,'23260','Saint Maurice Près Crocq',8171),(8182,'23230','La Celle Sous Gouzon',8172),(8183,'23140','Rimondeix',8173),(8184,'23220','Chambon Sainte Croix',8174),(8185,'23200','Saint Marc À Frongier',8175),(8186,'23600','Saint Marien',8176),(8187,'23270','Roches',8177),(8188,'23700','Charron',8178),(8189,'23170','Verneiges',8179),(8190,'23110','Reterre',8180),(8191,'23220','Le Bourg D\'Hem',8181),(8192,'23360','Nouzerolles',8182),(8193,'23300','La Souterraine',8183),(8194,'23140','Saint Silvain Sous Toulx',8184),(8195,'23240','Chamborand',8185),(8196,'23000','Savennes',8186),(8197,'23000','La Saunière',8187),(8198,'23220','Champsanglard',8188),(8199,'23150','Saint Yrieix Les Bois',8189),(8200,'23130','Saint Chabrais',8190),(8201,'23600','Saint Silvain Bas Le Roc',8191),(8202,'23140','Vigeville',8192),(8203,'23270','Jalesches',8193),(8204,'23230','Bord Saint Georges',8194),(8205,'23140','Jarnages',8195),(8206,'23800','Naillat',8196),(8207,'23210','Bénévent L\'Abbaye',8197),(8208,'23220','Moutier Malcard',8198),(8209,'23250','Sardent',8199),(8210,'23130','Saint Julien Le Châtel',8200),(8211,'23480','Fransèches',8201),(8212,'23000','Saint Laurent',8202),(8213,'23160','La Chapelle Baloue',8203),(8214,'23150','Ahun',8204),(8215,'23600','Nouzerines',8205),(8216,'23110','Fontanières',8206),(8217,'23110','Sannat',8207),(8218,'23160','Crozant',8208),(8219,'23130','Saint Loup',8209),(8220,'23210','Mourioux Vieilleville',8210),(8221,'23250','Saint Hilaire Le Château',8211),(8222,'23200','Saint Pardoux Le Neuf',8212),(8223,'23460','Saint Pierre Bellevue',8213),(8224,'23230','Gouzon',8214),(8225,'23190','Saint Silvain Bellegarde',8215),(8226,'23170','Chambon Sur Voueize',8216),(8227,'23800','Saint Sulpice Le Dunois',8217),(8228,'23600','Boussac',8218),(8229,'23140','Parsac',8219),(8230,'23150','Sous Parsat',8220),(8231,'23150','Maisonnisses',8221),(8232,'23500','Saint Quentin La Chabanne',8222),(8233,'23220','Jouillat',8223),(8234,'23270','Bétête',8224),(8235,'23260','Saint Bard',8225),(8236,'23380','Glénic',8226),(8237,'23200','Aubusson',8227),(8238,'23000','Saint Christophe',8228),(8239,'23240','Saint Priest La Plaine',8229),(8240,'23130','Le Chauchet',8230),(8241,'23000','Saint Fiel',8231),(8242,'23700','Mainsat',8232),(8243,'23200','Blessac',8233),(8244,'23210','Ceyroux',8234),(8245,'23100','Féniers',8235),(8246,'23170','Nouhant',8236),(8247,'23400','Montboucher',8237),(8248,'23150','Lépinas',8238),(8249,'23500','Saint Georges Nigremont',8239),(8250,'23260','Malleret',8240),(8251,'23100','La Courtine',8241),(8252,'23460','Le Monteil Au Vicomte',8242),(8253,'23320','Montaigut Le Blanc',8243),(8254,'23430','Saint Martin Sainte Catherine',8244),(8255,'23260','Basville',8245),(8256,'23260','Saint Agnant Près Crocq',8246),(8257,'23600','Bussière Saint Georges',8247),(8258,'23240','Le Grand Bourg',8248),(8259,'23400','Saint Moreil',8249),(8260,'23300','Saint Léger Bridereix',8250),(8261,'23250','Chavanat',8251),(8262,'23480','Saint Sulpice Les Champs',8252),(8263,'23430','Châtelus Le Marcheix',8253),(8264,'23340','Faux La Montagne',8254),(8265,'23800','Dun Le Palestel',8255),(8266,'23480','Ars',8256),(8267,'23800','Lafat',8257),(8268,'23320','Bussière Dunoise',8258),(8269,'23500','La Nouaille',8259),(8270,'23400','Auriat',8260),(8271,'23250','Saint Georges La Pouge',8261),(8272,'23260','La Villeneuve',8262),(8273,'23480','Saint Michel De Veisse',8263),(8274,'23160','Azerables',8264),(8275,'23150','Saint Pardoux Les Cards',8265),(8276,'23000','Sainte Feyre',8266),(8277,'23320','Gartempe',8267),(8278,'23400','Bourganeuf',8268),(8279,'23500','Felletin',8269),(8280,'23380','Ajain',8270),(8281,'24700','Saint Barthélemy De Bellegarde',8271),(8282,'24150','Saint Capraise De Lalinde',8272),(8283,'24150','Bayac',8273),(8284,'24320','La Tour Blanche',8274),(8285,'24130','Monfaucon',8275),(8286,'24200','Vitrac',8276),(8287,'24220','Beynac Et Cazenac',8277),(8288,'24310','Sencenac Puy De Fourches',8278),(8289,'24160','Saint Jory Las Bloux',8279),(8290,'24210','Azerat',8280),(8291,'24520','Saint Nexans',8281),(8292,'24240','Pomport',8282),(8293,'24640','Le Change',8283),(8294,'24370','Prats De Carlux',8284),(8295,'24360','Saint Barthélemy De Bussière',8285),(8296,'24500','Saint Julien D\'Eymet',8286),(8297,'24380','Saint Amand De Vergt',8287),(8298,'24540','Lolme',8288),(8299,'24190','Saint André De Double',8289),(8300,'24260','Savignac De Miremont',8290),(8301,'24330','Eyliac',8291),(8302,'24160','Sainte Trie',8292),(8303,'24560','Bouniagues',8293),(8304,'24400','Saint Médard De Mussidan',8294),(8305,'24320','Chapdeuil',8295),(8306,'24160','Saint Pantaly D\'Excideuil',8296),(8307,'24110','Bourrou',8297),(8308,'24310','Paussac Et Saint Vivien',8298),(8309,'24450','Saint Priest Les Fougères',8299),(8310,'24160','Saint Germain Des Prés',8300),(8311,'24350','Grand Brassac',8301),(8312,'24130','Laveyssière',8302),(8313,'24250','Daglan',8303),(8314,'24390','Tourtoirac',8304),(8315,'24250','Veyrines De Domme',8305),(8316,'24430','Razac Sur L\'Isle',8306),(8317,'24350','Saint Victor',8307),(8318,'24210','Peyrignac',8308),(8319,'24150','Badefols Sur Dordogne',8309),(8320,'24520','Mouleydier',8310),(8321,'24460','Ligueux',8311),(8322,'24540','Saint Romain De Monpazier',8312),(8323,'24550','Saint Cernin De L\'Herm',8313),(8324,'24800','Chalais',8314),(8325,'24600','Saint Sulpice De Roumagnac',8315),(8326,'24240','Gageac Et Rouillac',8316),(8327,'24590','Salignac Eyvigues',8317),(8328,'24390','Teillots',8318),(8329,'24290','Fanlac',8319),(8330,'24430','Coursac',8320),(8331,'24640','Cubjac',8321),(8332,'24410','Saint Vincent Jalmoutiers',8322),(8333,'24220','Berbiguières',8323),(8334,'24330','Sainte Marie De Chignac',8324),(8335,'24320','Saint Just',8325),(8336,'24750','Champcevinel',8326),(8337,'24220','Coux Et Bigaroque',8327),(8338,'24290','Auriac Du Périgord',8328),(8339,'24220','Saint Vincent De Cosse',8329),(8340,'24200','Sainte Nathalène',8330),(8341,'24750','Boulazac',8331),(8342,'24580','Plazac',8332),(8343,'24230','Saint Michel De Montaigne',8333),(8344,'24540','Soulaures',8334),(8345,'24600','Ribérac',8335),(8346,'24750','Atur',8336),(8347,'24270','Sarlande',8337),(8348,'24210','Bars',8338),(8349,'24300','Augignac',8339),(8350,'24800','Eyzerac',8340),(8351,'24600','Vanxains',8341),(8352,'24300','Sceau Saint Angel',8342),(8353,'24400','Saint Michel De Double',8343),(8354,'24260','Saint Avit De Vialard',8344),(8355,'24400','Saint Louis En L\'Isle',8345),(8356,'24510','Limeuil',8346),(8357,'24330','Saint Pierre De Chignac',8347),(8358,'24140','Saint Georges De Montclard',8348),(8359,'24600','Celles',8349),(8360,'24800','Sarrazac',8350),(8361,'24530','Cantillac',8351),(8362,'24370','Simeyrols',8352),(8363,'24140','Saint Hilaire D\'Estissac',8353),(8364,'24320','Gout Rossignol',8354),(8365,'24380','Église Neuve De Vergt',8355),(8366,'24370','Cazoulès',8356),(8367,'24380','Creyssensac Et Pissot',8357),(8368,'24340','Puyrenier',8358),(8369,'24260','Saint Cirq',8359),(8370,'24190','Douzillac',8360),(8371,'24100','Lembras',8361),(8372,'24600','Comberanche Et Épeluche',8362),(8373,'24250','Saint Cybranet',8363),(8374,'24540','Monpazier',8364),(8375,'24110','Manzac Sur Vern',8365),(8376,'24540','Capdrot',8366),(8377,'24160','Saint Martial D\'Albarède',8367),(8378,'24230','Saint Seurin De Prats',8368),(8379,'24560','Saint Léon D\'Issigeac',8369),(8380,'24330','Saint Laurent Sur Manoire',8370),(8381,'24220','Meyrals',8371),(8382,'24530','Condat Sur Trincou',8372),(8383,'24420','Savignac Les Églises',8373),(8384,'24530','Quinsac',8374),(8385,'24500','Razac D\'Eymet',8375),(8386,'24640','Sainte Eulalie D\'Ans',8376),(8387,'24370','Carlux',8377),(8388,'24400','Saint Martin L\'Astier',8378),(8389,'24170','Siorac En Périgord',8379),(8390,'24800','Saint Martin De Fressengeas',8380),(8391,'24480','Urval',8381),(8392,'24420','Antonne Et Trigonant',8382),(8393,'24350','Lisle',8383),(8394,'24560','Boisse',8384),(8395,'24410','Saint Aulaye',8385),(8396,'24310','Brantôme',8386),(8397,'24560','Saint Perdoux',8387),(8398,'24350','Mensignac',8388),(8399,'24270','Nouaille',8389),(8400,'24380','Grun Bordas',8390),(8401,'24650','Chancelade',8391),(8402,'24120','Coly',8392),(8403,'24500','Singleyrac',8393),(8404,'24550','Prats Du Périgord',8394),(8405,'24590','Archignac',8395),(8406,'24570','Le Lardin Saint Lazare',8396),(8407,'24360','Étouars',8397),(8408,'24110','Saint Léon Sur L\'Isle',8398),(8409,'24170','Larzac',8399),(8410,'24510','Saint Félix De Villadeix',8400),(8411,'24170','Saint Pardoux Et Vielvic',8401),(8412,'24240','Sigoulès',8402),(8413,'24440','Beaumont Du Périgord',8403),(8414,'24130','Ginestet',8404),(8415,'24220','Mouzens',8405),(8416,'24330','Bassillac',8406),(8417,'24340','Rudeau Ladosse',8407),(8418,'24510','Sainte Alvère',8408),(8419,'24400','Beauronne',8409),(8420,'24230','Bonneville Et Saint Avit De Fumadières',8410),(8421,'24600','Saint Pardoux De Drône',8411),(8422,'24610','Montpeyroux',8412),(8423,'24390','La Chapelle Saint Jean',8413),(8424,'24290','Farges',8414),(8425,'24660','Coulounieix Chamiers',8415),(8426,'24600','Allemans',8416),(8427,'24420','Escoire',8417),(8428,'24380','Saint Paul De Serre',8418),(8429,'24320','Saint Paul Lizonne',8419),(8430,'24380','Cendrieux',8420),(8431,'24560','Faurilles',8421),(8432,'24220','Vézac',8422),(8433,'24160','Saint Médard D\'Excideuil',8423),(8434,'24210','Sainte Orse',8424),(8435,'24120','Villac',8425),(8436,'24300','Saint Martin Le Pin',8426),(8437,'24560','Bardou',8427),(8438,'24200','Saint André D\'Allas',8428),(8439,'24380','Veyrines De Vergt',8429),(8440,'24500','Fonroque',8430),(8441,'24510','Paunat',8431),(8442,'24380','Saint Michel De Villadeix',8432),(8443,'24250','Castelnaud La Chapelle',8433),(8444,'24580','Fleurac',8434),(8445,'24190','Saint Jean D\'Ataux',8435),(8446,'24480','Le Buisson De Cadouin',8436),(8447,'24610','Minzac',8437),(8448,'24150','Bourniquel',8438),(8449,'24510','Saint Laurent Des Bâtons',8439),(8450,'24800','Saint Jory De Chalais',8440),(8451,'24400','Saint Géry',8441),(8452,'24340','Saint Sulpice De Mareuil',8442),(8453,'24560','Faux',8443),(8454,'24470','Milhac De Nontron',8444),(8455,'24700','Le Pizou',8445),(8456,'24510','Saint Marcel Du Périgord',8446),(8457,'24150','Lalinde',8447),(8458,'24140','Beleymas',8448),(8459,'24590','Saint Crépin Et Carlucet',8449),(8460,'24800','Nantheuil',8450),(8461,'24340','Beaussac',8451),(8462,'24620','Marquay',8452),(8463,'24520','Saint Sauveur',8453),(8464,'24530','Saint Pancrace',8454),(8465,'24170','Saint Pompont',8455),(8466,'24230','Vélines',8456),(8467,'24240','Cunèges',8457),(8468,'24470','Saint Pardoux La Rivière',8458),(8469,'24170','Saint Amand De Belvès',8459),(8470,'24400','Église Neuve D\'Issac',8460),(8471,'24140','Campsegret',8461),(8472,'24600','Bourg Du Bost',8462),(8473,'33220','Port Sainte Foy Et Ponchapt',8463),(8474,'24260','Audrix',8464),(8475,'24250','Groléjac',8465),(8476,'24530','La Chapelle Faucher',8466),(8477,'24130','Saint Georges Blancaneix',8467),(8478,'24370','Saint Julien De Lampon',8468),(8479,'24370','Veyrignac',8469),(8480,'24230','Montcaret',8470),(8481,'24290','Saint Amand De Coly',8471),(8482,'24110','Saint Aquilin',8472),(8483,'24600','Segonzac',8473),(8484,'24160','Anlhiac',8474),(8485,'24440','Saint Avit Sénieur',8475),(8486,'24230','Lamothe Montravel',8476),(8487,'24250','Saint Aubin De Nabirat',8477),(8488,'24160','Saint Raphaël',8478),(8489,'24320','Bourg Des Maisons',8479),(8490,'24640','Chourgnac',8480),(8491,'24320','Coutures',8481),(8492,'24240','Flaugeac',8482),(8493,'24150','Varennes',8483),(8494,'24550','Mazeyrolles',8484),(8495,'24200','Saint Vincent Le Paluel',8485),(8496,'24500','Saint Aubin De Cadelech',8486),(8497,'24240','Ribagnac',8487),(8498,'24260','Journiac',8488),(8499,'24800','Saint Romain Et Saint Clément',8489),(8500,'24540','Gaugeac',8490),(8501,'24220','Bézenac',8491),(8502,'24400','Lèches',8492),(8503,'24500','Sainte Eulalie D\'Eymet',8493),(8504,'24150','Mauzac Et Grand Castang',8494),(8505,'24560','Saint Aubin De Lanquais',8495),(8506,'24390','Temple Laguyon',8496),(8507,'24250','La Roque Gageac',8497),(8508,'24340','Léguillac De Cercles',8498),(8509,'24540','Saint Cassien',8499),(8510,'24170','Belvès',8500),(8511,'24340','Vieux Mareuil',8501),(8512,'24600','Petit Bersac',8502),(8513,'24320','Nanteuil Auriac De Bourzac',8503),(8514,'24370','Orliaguet',8504),(8515,'24320','Bertric Burée',8505),(8516,'24150','Calès',8506),(8517,'24410','Puymangou',8507),(8518,'24390','Granges D\'Ans',8508),(8519,'24160','Clermont D\'Excideuil',8509),(8520,'24150','Lanquais',8510),(8521,'24520','Liorac Sur Louyre',8511),(8522,'24000','Périgueux',8512),(8523,'24440','Sainte Sabine Born',8513),(8524,'24210','Limeyrat',8514),(8525,'24600','Siorac De Ribérac',8515),(8526,'24140','Saint Jean D\'Eyraud',8516),(8527,'24250','Saint Martial De Nabirat',8517),(8528,'24260','Le Bugue',8518),(8529,'24320','Cherval',8519),(8530,'24470','Champs Romain',8520),(8531,'24610','Saint Méard De Gurçon',8521),(8532,'24700','Ménesplet',8522),(8533,'24230','Montazeau',8523),(8534,'24620','Peyzac Le Moustier',8524),(8535,'24120','Pazayac',8525),(8536,'24370','Sainte Mondane',8526),(8537,'24200','Proissans',8527),(8538,'24700','Saint Rémy',8528),(8539,'24200','Sarlat La Canéda',8529),(8540,'24600','Saint Martin De Ribérac',8530),(8541,'24170','Salles De Belvès',8531),(8542,'24330','Saint Geyrac',8532),(8543,'24310','Saint Julien De Bourdeilles',8533),(8544,'24150','Couze Et Saint Front',8534),(8545,'24170','Grives',8535),(8546,'24750','Cornille',8536),(8547,'24340','La Rochebeaucourt Et Argentine',8537),(8548,'24700','Saint Géraud De Corps',8538),(8549,'24610','Carsac De Gurson',8539),(8550,'24400','Issac',8540),(8551,'24540','Saint Avit Rivière',8541),(8552,'24310','La Gonterie Boulouneix',8542),(8553,'24340','Graulges',8543),(8554,'24300','Connezac',8544),(8555,'24560','Monmarvès',8545),(8556,'24380','Salon',8546),(8557,'24270','Angoisse',8547),(8558,'24160','Génis',8548),(8559,'24800','Corgnac Sur L\'Isle',8549),(8560,'24220','Saint Cyprien',8550),(8561,'24800','Lempzours',8551),(8562,'24400','Saint Front De Pradoux',8552),(8563,'24250','Nabirat',8553),(8564,'24210','Thenon',8554),(8565,'24530','Villars',8555),(8566,'24590','Nadaillac',8556),(8567,'24390','Nailhac',8557),(8568,'24170','Carves',8558),(8569,'24560','Sainte Radegonde',8559),(8570,'24500','Sainte Innocence',8560),(8571,'24500','Saint Capraise D\'Eymet',8561),(8572,'24590','Borrèze',8562),(8573,'24350','Douchapt',8563),(8574,'24460','Château L\'Évêque',8564),(8575,'24800','Vaunac',8565),(8576,'24100','Bergerac',8566),(8577,'24700','Moulin Neuf',8567),(8578,'24630','Jumilhac Le Grand',8568),(8579,'24590','Saint Geniès',8569),(8580,'24750','Trélissac',8570),(8581,'24320','Verteillac',8571),(8582,'24550','Villefranche Du Périgord',8572),(8583,'24140','Villamblard',8573),(8584,'24550','Campagnac Lès Quercy',8574),(8585,'24600','Saint Méard De Drône',8575),(8586,'24150','Cause De Clérans',8576),(8587,'24750','Marsaneix',8577),(8588,'24560','Conne De Labarde',8578),(8589,'24310','Biras',8579),(8590,'24520','Verdon',8580),(8591,'24510','Pezuls',8581),(8592,'24320','Cercles',8582),(8593,'24550','Besse',8583),(8594,'24620','Tamniès',8584),(8595,'24200','Marcillac Saint Quentin',8585),(8596,'24310','Valeuil',8586),(8597,'24380','Fouleix',8587),(8598,'24230','Nastringues',8588),(8599,'24300','Teyjat',8589),(8600,'24520','Cours De Pile',8590),(8601,'24480','Alles Sur Dordogne',8591),(8602,'24130','Prigonrieux',8592),(8603,'24210','La Bachellerie',8593),(8604,'24800','Nanthiat',8594),(8605,'24470','Saint Saud Lacoussière',8595),(8606,'24600','Chassaignes',8596),(8607,'24230','Saint Antoine De Breuilh',8597),(8608,'24340','Champeaux Et La Chapelle Pommier',8598),(8609,'24190','Saint Vincent De Connezac',8599),(8610,'24520','Saint Agne',8600),(8611,'24560','Monmadalès',8601),(8612,'24340','Sainte Croix De Mareuil',8602),(8613,'24800','Saint Jean De Côle',8603),(8614,'24450','Firbeix',8604),(8615,'24270','Saint Cyr Les Champagnes',8605),(8616,'24240','Monestier',8606),(8617,'24270','Dussac',8607),(8618,'24110','Montrem',8608),(8619,'24340','Saint Félix De Bourdeilles',8609),(8620,'24380','Lacropte',8610),(8621,'24300','La Chapelle Montmoreau',8611),(8622,'24400','Saint Laurent Des Hommes',8612),(8623,'24380','Saint Maime De Péreyrol',8613),(8624,'24120','Grèzes',8614),(8625,'24160','Excideuil',8615),(8626,'24410','Échourgnac',8616),(8627,'24210','Gabillou',8617),(8628,'24410','La Jemaye',8618),(8629,'24680','Lamonzie Saint Martin',8619),(8630,'24400','Beaupouyet',8620),(8631,'24550','Lavaur',8621),(8632,'24120','La Cassagne',8622),(8633,'24450','La Coquille',8623),(8634,'24320','Champagne Et Fontaine',8624),(8635,'24520','Saint Germain Et Mons',8625),(8636,'24580','Rouffignac Saint Cernin De Reilhac',8626),(8637,'24410','Saint Antoine Cumond',8627),(8638,'24420','Saint Vincent Sur L\'Isle',8628),(8639,'24500','Sadillac',8629),(8640,'24220','Allas Les Mines',8630),(8641,'24360','Busserolles',8631),(8642,'24240','Mescoules',8632),(8643,'24410','Chenaud',8633),(8644,'24290','Valojoulx',8634),(8645,'24410','Ponteyraud',8635),(8646,'24410','Servanches',8636),(8647,'24270','Savignac Lédrier',8637),(8648,'24550','Loubejac',8638),(8649,'24250','Domme',8639),(8650,'24140','Queyssac',8640),(8651,'24210','Fossemagne',8641),(8652,'24440','Naussannes',8642),(8653,'24210','Brouchaud',8643),(8654,'24170','Sainte Foy De Belvès',8644),(8655,'24390','Cherveix Cubas',8645),(8656,'24240','Saussignac',8646),(8657,'24600','Villetoureix',8647),(8658,'24400','Mussidan',8648),(8659,'24330','Saint Crépin D\'Auberoche',8649),(8660,'24360','Champniers Et Reilhac',8650),(8661,'24440','Labouquerie',8651),(8662,'24590','Paulin',8652),(8663,'24290','Montignac',8653),(8664,'24300','Abjat Sur Bandiat',8654),(8665,'24140','Jaure',8655),(8666,'24450','Mialet',8656),(8667,'24170','Saint Laurent La Vallée',8657),(8668,'24420','Mayac',8658),(8669,'24210','Ajat',8659),(8670,'24560','Montaut',8660),(8671,'24410','Festalemps',8661),(8672,'24260','Mauzens Et Miremont',8662),(8673,'24260','Campagne',8663),(8674,'24120','La Dornac',8664),(8675,'24510','Sainte Foy De Longas',8665),(8676,'24260','Saint Félix De Reillac Et Mortemart',8666),(8677,'24540','Biron',8667),(8678,'24400','Bourgnac',8668),(8679,'24440','Monsac',8669),(8680,'24300','Hautefaye',8670),(8681,'24140','Saint Jean D\'Estissac',8671),(8682,'24240','Rouffignac De Sigoulès',8672),(8683,'24220','Castels',8673),(8684,'24210','Montagnac D\'Auberoche',8674),(8685,'24170','Sagelat',8675),(8686,'24340','Monsec',8676),(8687,'24150','Pontours',8677),(8688,'24330','La Douze',8678),(8689,'24560','Monsaguel',8679),(8690,'24700','Montpon Ménestérol',8680),(8691,'24560','Saint Cernin De Labarde',8681),(8692,'24240','Razac De Saussignac',8682),(8693,'24160','Salagnac',8683),(8694,'24200','Carsac Aillac',8684),(8695,'24560','Plaisance',8685),(8696,'24160','Preyssac D\'Excideuil',8686),(8697,'24380','Chalagnac',8687),(8698,'24210','Saint Rabier',8688),(8699,'24190','Neuvic',8689),(8700,'24360','Piégut Pluviers',8690),(8701,'24620','Manaurie',8691),(8702,'24350','La Chapelle Gonaguet',8692),(8703,'24130','Fraisse',8693),(8704,'24250','Cénac Et Saint Julien',8694),(8705,'24480','Bouillac',8695),(8706,'24360','Saint Estèphe',8696),(8707,'24170','Orliac',8697),(8708,'24800','Thiviers',8698),(8709,'24300','Lussas Et Nontronneau',8699),(8710,'24300','Nontron',8700),(8711,'24140','Clermont De Beauregard',8701),(8712,'24140','Maurens',8702),(8713,'24420','Coulaures',8703),(8714,'24290','Thonac',8704),(8715,'24300','Saint Martial De Valette',8705),(8716,'24310','Bourdeilles',8706),(8717,'24340','Mareuil',8707),(8718,'24410','Parcoul',8708),(8719,'24350','Bussac',8709),(8720,'24140','Saint Julien De Crempse',8710),(8721,'24590','Jayac',8711),(8722,'24320','La Chapelle Grésignac',8712),(8723,'24620','Tursac',8713),(8724,'24530','Champagnac De Belair',8714),(8725,'24510','Trémolat',8715),(8726,'24300','Saint Front La Rivière',8716),(8727,'24480','Molières',8717),(8728,'24290','La Chapelle Aubareil',8718),(8729,'24450','Saint Pierre De Frugie',8719),(8730,'24410','Saint Privat Des Prés',8720),(8731,'24300','Le Bourdeix',8721),(8732,'24330','Blis Et Born',8722),(8733,'24120','Châtres',8723),(8734,'24350','Montagrier',8724),(8735,'24190','Chantérac',8725),(8736,'24460','Agonac',8726),(8737,'19600','La Feuillade',8727),(8738,'24460','Saint Front D\'Alemps',8728),(8739,'24520','Lamonzie Montastruc',8729),(8740,'24350','Tocane Saint Apre',8730),(8741,'24130','La Force',8731),(8742,'24110','Saint Astier',8732),(8743,'24540','Marsalès',8733),(8744,'24620','Eyzies De Tayac Sireuil',8734),(8745,'24800','Saint Sulpice D\'Excideuil',8735),(8746,'24330','Saint Antoine D\'Auberoche',8736),(8747,'24390','Badefols D\'Ans',8737),(8748,'24460','Eyvirat',8738),(8749,'24640','La Boissière D\'Ans',8739),(8750,'24380','Vergt',8740),(8751,'24120','Beauregard De Terrasson',8741),(8752,'24500','Serres Et Montguyard',8742),(8753,'24190','Vallereuil',8743),(8754,'24190','Saint Séverin D\'Estissac',8744),(8755,'24330','Milhac D\'Auberoche',8745),(8756,'24140','Beauregard Et Bassac',8746),(8757,'24130','Lunas',8747),(8758,'24460','Négrondes',8748),(8759,'24800','Saint Paul La Roche',8749),(8760,'24360','Soudat',8750),(8761,'24310','Saint Crépin De Richemont',8751),(8762,'24360','Varaignes',8752),(8763,'24270','Saint Mesmin',8753),(8764,'24700','Eygurande Et Gardedeuil',8754),(8765,'24120','Chavagnac',8755),(8766,'24220','Marnac',8756),(8767,'24700','Saint Sauveur Lalande',8757),(8768,'24540','Saint Marcory',8758),(8769,'24290','Sergeac',8759),(8770,'24390','Boisseuilh',8760),(8771,'24370','Calviac En Périgord',8761),(8772,'24560','Issigeac',8762),(8773,'24680','Gardonne',8763),(8774,'24130','Le Fleix',8764),(8775,'24440','Nojals Et Clotte',8765),(8776,'24490','La Roche Chalais',8766),(8777,'24500','Eymet',8767),(8778,'24320','Lusignac',8768),(8779,'24430','Marsac Sur L\'Isle',8769),(8780,'24150','Baneuil',8770),(8781,'24430','Annesse Et Beaulieu',8771),(8782,'24250','Bouzic',8772),(8783,'24190','Saint Germain Du Salembre',8773),(8784,'33220','Fougueyrolles',8774),(8785,'24570','Condat Sur Vézère',8775),(8786,'24140','Douville',8776),(8787,'24290','Saint Léon Sur Vézère',8777),(8788,'24130','Saint Pierre D\'Eyraud',8778),(8789,'24370','Peyrillac Et Millac',8779),(8790,'24150','Pressignac Vicq',8780),(8791,'24300','Saint Front Sur Nizonne',8781),(8792,'24130','Bosset',8782),(8793,'24170','Doissat',8783),(8794,'24170','Cladech',8784),(8795,'24300','Savignac De Nontron',8785),(8796,'24100','Saint Laurent Des Vignes',8786),(8797,'24390','Hautefort',8787),(8798,'24170','Monplaisant',8788),(8799,'24390','Coubjours',8789),(8800,'24560','Colombier',8790),(8801,'24420','Sarliac Sur L\'Isle',8791),(8802,'24800','Saint Pierre De Côle',8792),(8803,'24110','Léguillac De L\'Auche',8793),(8804,'24260','Saint Chamassy',8794),(8805,'24400','Sourzac',8795),(8806,'24100','Creysse',8796),(8807,'24290','Aubas',8797),(8808,'24320','Saint Martial Viveyrol',8798),(8809,'24380','Breuilh',8799),(8810,'24440','Rampieux',8800),(8811,'24230','Saint Vivien',8801),(8812,'24140','Saint Martin Des Combes',8802),(8813,'24440','Montferrand Du Périgord',8803),(8814,'24540','Lavalade',8804),(8815,'24360','Bussière Badil',8805),(8816,'24240','Thénac',8806),(8817,'24320','Vendoire',8807),(8818,'24250','Florimont Gaumier',8808),(8819,'24320','Bouteilles Saint Sébastien',8809),(8820,'24320','La Chapelle Montabourlet',8810),(8821,'24640','Saint Pantaly D\'Ans',8811),(8822,'24240','Monbazillac',8812),(8823,'24540','Vergt De Biron',8813),(8824,'24170','Saint Germain De Belvès',8814),(8825,'24300','Javerlhac Et La Chapelle Saint Robert',8815),(8826,'24440','Sainte Croix',8816),(8827,'24270','Payzac',8817),(8828,'24350','Creyssac',8818),(8829,'24420','Sorges',8819),(8830,'24120','Terrasson Lavilledieu',8820),(8831,'24110','Grignols',8821),(8832,'24660','Notre Dame De Sanilhac',8822),(8833,'24400','Saint Étienne De Puycorbier',8823),(8834,'24700','Saint Martial D\'Artenset',8824),(8835,'24140','Montagnac La Crempse',8825),(8836,'24610','Saint Martin De Gurson',8826),(8837,'24610','Villefranche De Lonchat',8827),(8838,'25660','Montfaucon',8828),(8839,'25400','Exincourt',8829),(8840,'25360','Lanans',8830),(8841,'25330','Amondans',8831),(8842,'25380','Chamesey',8832),(8843,'25440','Échay',8833),(8844,'25210','Le Barboux',8834),(8845,'25440','Liesle',8835),(8846,'25110','Séchin',8836),(8847,'25270','Chapelle D\'Huin',8837),(8848,'25160','Labergement Sainte Marie',8838),(8849,'25240','Gellin',8839),(8850,'25470','Indevillers',8840),(8851,'25240','Rondefontaine',8841),(8852,'25380','Longevelle Lès Russey',8842),(8853,'25320','Abbans Dessous',8843),(8854,'25110','Fourbanne',8844),(8855,'25330','Longeville',8845),(8856,'25320','Chemaudin',8846),(8857,'25520','Arc Sous Cicon',8847),(8858,'25190','Montancy',8848),(8859,'25500','Fins',8849),(8860,'25240','Brey Et Maison Du Bois',8850),(8861,'25640','Ougney Douvot',8851),(8862,'25210','Plaimbois Du Miroir',8852),(8863,'25430','Orve',8853),(8864,'25360','Passavant',8854),(8865,'25150','Rémondans Vaivre',8855),(8866,'25160','Montperreux',8856),(8867,'25110','Autechaux',8857),(8868,'25320','Thoraise',8858),(8869,'25340','L\'Hôpital Saint Lieffroy',8859),(8870,'25550','Présentevillers',8860),(8871,'25680','Mésandans',8861),(8872,'25470','Urtière',8862),(8873,'25340','Crosey Le Petit',8863),(8874,'25390','Plaimbois Vennes',8864),(8875,'25600','Dambenois',8865),(8876,'25440','Paroy',8866),(8877,'25340','Saint Georges Armont',8867),(8878,'25210','Le Luhier',8868),(8879,'25680','Avilley',8869),(8880,'25250','La Prétière',8870),(8881,'25530','Ouvans',8871),(8882,'25750','Le Vernoy',8872),(8883,'25580','Vernierfontaine',8873),(8884,'25500','Morteau',8874),(8885,'25330','Déservillers',8875),(8886,'25620','Villers Sous Montrond',8876),(8887,'25360','Naisey Les Granges',8877),(8888,'25690','Longechaux',8878),(8889,'25510','Pierrefontaine Les Varans',8879),(8890,'25460','Étupes',8880),(8891,'25210','Grand\'Combe Des Bois',8881),(8892,'25270','Arc Sous Montenot',8882),(8893,'25550','Saint Julien Lès Montbéliard',8883),(8894,'25410','Ferrières Les Bois',8884),(8895,'25340','Fontenelle Montby',8885),(8896,'25500','Montlebon',8886),(8897,'25640','Rigney',8887),(8898,'25370','Fourcatier Et Maison Neuve',8888),(8899,'25640','Champoux',8889),(8900,'25300','Dommartin',8890),(8901,'25870','Thurey Le Mont',8891),(8902,'25530','Adam Lès Vercel',8892),(8903,'25870','Chevroz',8893),(8904,'25440','Rennes Sur Loue',8894),(8905,'25360','Osse',8895),(8906,'25650','Montflovin',8896),(8907,'25660','La Vèze',8897),(8908,'25150','Écot',8898),(8909,'25650','Montbenoît',8899),(8910,'25440','Goux Sous Landet',8900),(8911,'25330','Nans Sous Sainte Anne',8901),(8912,'25190','Péseux',8902),(8913,'25270','Labergement Du Navois',8903),(8914,'25680','Mondon',8904),(8915,'25150','Autechaux Roide',8905),(8916,'25200','Bethoncourt',8906),(8917,'25640','Le Puy',8907),(8918,'25250','Étrappe',8908),(8919,'25870','Venise',8909),(8920,'25680','Puessans',8910),(8921,'25870','Tallenay',8911),(8922,'25110','Montivernage',8912),(8923,'25560','Bulle',8913),(8924,'25310','Dannemarie',8914),(8925,'25600','Nommay',8915),(8926,'25150','Goux Lès Dambelin',8916),(8927,'25600','Brognard',8917),(8928,'25370','Saint Antoine',8918),(8929,'25550','Raynans',8919),(8930,'25270','Gevresin',8920),(8931,'25440','Rouhe',8921),(8932,'25150','Dambelin',8922),(8933,'25190','Liebvillers',8923),(8934,'25560','Frasne',8924),(8935,'25170','Chaucenne',8925),(8936,'25680','Rognon',8926),(8937,'25170','Champagney',8927),(8938,'25370','Hôpitaux Vieux',8928),(8939,'25220','Chalèze',8929),(8940,'25750','Aibre',8930),(8941,'25500','Noël Cerneux',8931),(8942,'25820','Laissey',8932),(8943,'25690','Passonfontaine',8933),(8944,'25170','Étrabonne',8934),(8945,'25440','Montfort',8935),(8946,'25300','Alliés',8936),(8947,'25160','Remoray Boujeons',8937),(8948,'25800','Valdahon',8938),(8949,'25210','Narbief',8939),(8950,'25320','Rancenay',8940),(8951,'25550','Laire',8941),(8952,'25530','Chaux Lès Passavant',8942),(8953,'25340','Uzelle',8943),(8954,'25170','Noironte',8944),(8955,'25340','Anteuil',8945),(8956,'25210','Saint Julien Lès Russey',8946),(8957,'25530','Épenouse',8947),(8958,'25410','Velesmes Essarts',8948),(8959,'25330','Reugney',8949),(8960,'25580','Lavans Vuillafans',8950),(8961,'25560','Bonnevaux',8951),(8962,'25800','Épenoy',8952),(8963,'25260','Montenois',8953),(8964,'25110','Lomont Sur Crête',8954),(8965,'25310','Pierrefontaine Lès Blamont',8955),(8966,'25620','Mamirolle',8956),(8967,'25430','Vyt Lès Belvoir',8957),(8968,'25440','Ronchaux',8958),(8969,'25870','Vieilley',8959),(8970,'25470','Courtefontaine',8960),(8971,'25470','Thiébouhans',8961),(8972,'25110','Guillon Les Bains',8962),(8973,'25410','Corcondray',8963),(8974,'25520','Sombacour',8964),(8975,'25620','Charbonnières Les Sapins',8965),(8976,'25250','Geney',8966),(8977,'25580','Vanclans',8967),(8978,'25510','Domprel',8968),(8979,'25440','Pessans',8969),(8980,'25330','Saraz',8970),(8981,'25650','Hauterive La Fresse',8971),(8982,'25480','Miserey Salines',8972),(8983,'25430','Sancey Le Grand',8973),(8984,'25640','Braillans',8974),(8985,'25370','Jougne',8975),(8986,'25360','Nancray',8976),(8987,'25750','Arcey',8977),(8988,'25440','Bartherans',8978),(8989,'25200','Grand Charmont',8979),(8990,'25440','By',8980),(8991,'25420','Voujeaucourt',8981),(8992,'25470','Ferrières Le Lac',8982),(8993,'25190','Villars Sous Dampjoux',8983),(8994,'25115','Pouilley Les Vignes',8984),(8995,'25360','Aïssey',8985),(8996,'25360','Glamondans',8986),(8997,'25770','Serre Les Sapins',8987),(8998,'25330','Chantrans',8988),(8999,'25170','Lavernay',8989),(9000,'25360','Bouclans',8990),(9001,'25620','Le Gratteris',8991),(9002,'25510','La Sommette',8992),(9003,'25580','Durnes',8993),(9004,'25190','Terres De Chaux',8994),(9005,'25640','Battenans Les Mines',8995),(9006,'25220','Chalezeule',8996),(9007,'25490','Allenjoie',8997),(9008,'25190','Bief',8998),(9009,'25680','Rougemont',8999),(9010,'25190','Rosières Sur Barbèche',9000),(9011,'25640','Châtillon Guyotte',9001),(9012,'25250','Hyémondans',9002),(9013,'25640','Roulans',9003),(9014,'25190','Soulce Cernay',9004),(9015,'25700','Valentigney',9005),(9016,'25720','Arguel',9006),(9017,'25220','Amagney',9007),(9018,'25620','Trépot',9008),(9019,'25530','Vellerot Lès Vercel',9009),(9020,'25870','Geneuille',9010),(9021,'25530','Eysson',9011),(9022,'25220','Roche Lez Beaupré',9012),(9023,'25170','Recologne',9013),(9024,'25210','La Bosse',9014),(9025,'25170','Franey',9015),(9026,'25240','Reculfoz',9016),(9027,'25390','Guyans Vennes',9017),(9028,'25190','Glère',9018),(9029,'25190','Noirefontaine',9019),(9030,'25440','Mesmay',9020),(9031,'25300','Vuillecin',9021),(9032,'25320','Busy',9022),(9033,'25210','Le Russey',9023),(9034,'25220','Vaire Le Petit',9024),(9035,'25510','Germéfontaine',9025),(9036,'25380','Rosureux',9026),(9037,'25120','Orgeans Blanchefontaine',9027),(9038,'25250','Bretigney',9028),(9039,'25680','Gouhelans',9029),(9040,'25650','Gilley',9030),(9041,'25250','L\'Isle Sur Le Doubs',9031),(9042,'25440','Fourg',9032),(9043,'25440','Chenecey Buillon',9033),(9044,'25380','Cour Saint Maurice',9034),(9045,'25310','Abbévillers',9035),(9046,'25120','Mont De Vougney',9036),(9047,'25150','Écurcey',9037),(9048,'25310','Hérimoncourt',9038),(9049,'25620','Malbrans',9039),(9050,'25520','Renédale',9040),(9051,'25560','Bouverans',9041),(9052,'25250','Médière',9042),(9053,'25680','Huanne Montmartin',9043),(9054,'25570','Grand\'Combe Châteleu',9044),(9055,'25530','Courtetain Et Salans',9045),(9056,'25270','Montmahoux',9046),(9057,'25560','Courvières',9047),(9058,'25150','Bourguignon',9048),(9059,'25370','Hôpitaux Neufs',9049),(9060,'25170','Émagny',9050),(9061,'25630','Sainte Suzanne',9051),(9062,'25210','Mont De Laval',9052),(9063,'25110','Grosbois',9053),(9064,'25340','Abbenans',9054),(9065,'25410','Saint Vit',9055),(9066,'25310','Thulay',9056),(9067,'25240','Châtelblanc',9057),(9068,'25330','Malans',9058),(9069,'25870','Châtillon Le Duc',9059),(9070,'25360','Champlive',9060),(9071,'25410','Routelle',9061),(9072,'25550','Dung',9062),(9073,'25390','Vennes',9063),(9074,'25720','Beure',9064),(9075,'25340','Fontaine Lès Clerval',9065),(9076,'25390','Consolation Maisonnettes',9066),(9077,'25250','Blussans',9067),(9078,'25640','La Tour De Sçay',9068),(9079,'25170','Jallerange',9069),(9080,'25300','Verrières De Joux',9070),(9081,'25190','Dampjoux',9071),(9082,'25930','Lods',9072),(9083,'25420','Bart',9073),(9084,'25300','Arçon',9074),(9085,'25640','Flagey Rigney',9075),(9086,'25300','Pontarlier',9076),(9087,'25260','Étouvans',9077),(9088,'25230','Seloncourt',9078),(9089,'25340','Branne',9079),(9090,'25300','Houtaud',9080),(9091,'25750','Semondans',9081),(9092,'25560','Boujailles',9082),(9093,'25350','Mandeure',9083),(9094,'25340','Gondenans Montby',9084),(9095,'25370','Touillon Et Loutelet',9085),(9096,'25270','Villeneuve D\'Amont',9086),(9097,'25690','Flangebouche',9087),(9098,'25360','Magny Châtelard',9088),(9099,'25140','Fournet Blancheroche',9089),(9100,'25680','Nans',9090),(9101,'25560','Dompierre Les Tilleuls',9091),(9102,'25560','La Rivière Drugeon',9092),(9103,'25440','Abbans Dessus',9093),(9104,'25420','Dampierre Sur Le Doubs',9094),(9105,'25640','Chaudefontaine',9095),(9106,'25310','Roches Lès Blamont',9096),(9107,'25110','Voillans',9097),(9108,'25250','Rang',9098),(9109,'25240','Chapelle Des Bois',9099),(9110,'25110','Cusance',9100),(9111,'25300','Chaffois',9101),(9112,'25690','Avoudrey',9102),(9113,'25310','Meslières',9103),(9114,'25680','Montussaint',9104),(9115,'25250','Mancenans',9105),(9116,'25360','Côtebrune',9106),(9117,'25250','Soye',9107),(9118,'25870','Palise',9108),(9119,'25110','Verne',9109),(9120,'25190','Solemont',9110),(9121,'25110','Baume Les Dames',9111),(9122,'25520','Bians Les Usiers',9112),(9123,'25640','Pouligney Lusans',9113),(9124,'25330','Amathay Vésigneux',9114),(9125,'25110','Esnans',9115),(9126,'25720','Avanne Aveney',9116),(9127,'25580','Étalans',9117),(9128,'25300','Sainte Colombe',9118),(9129,'25640','Vennans',9119),(9130,'25620','Bonnevaux Le Prieuré',9120),(9131,'25330','Cléron',9121),(9132,'25770','Vaux Les Prés',9122),(9133,'25440','Palantine',9123),(9134,'25400','Arbouans',9124),(9135,'25440','Lombard',9125),(9136,'25150','Neuchâtel Urtière',9126),(9137,'25290','Ornans',9127),(9138,'25260','Colombier Fontaine',9128),(9139,'25660','Mérey Sous Montrond',9129),(9140,'25110','Rillans',9130),(9141,'25870','Cussey Sur L\'Ognon',9131),(9142,'25430','Belvoir',9132),(9143,'25190','Saint Hippolyte',9133),(9144,'25200','Montbéliard',9134),(9145,'25111','Montgesoye',9135),(9146,'25300','La Cluse Et Mijoux',9136),(9147,'25650','La Longeville',9137),(9148,'25840','Châteauvieux Les Fossés',9138),(9149,'25870','Auxon Dessus',9139),(9150,'25360','Vaudrivillers',9140),(9151,'25680','Cuse Et Adrisans',9141),(9152,'25230','Vandoncourt',9142),(9153,'25330','Silley Amancey',9143),(9154,'25440','Lavans Quingey',9144),(9155,'25380','Vauclusotte',9145),(9156,'25110','Bretigney Notre Dame',9146),(9157,'25480','École Valentin',9147),(9158,'25170','Champvans Les Moulins',9148),(9159,'25240','Petite Chaux',9149),(9160,'25490','Badevel',9150),(9161,'25470','Fessevillers',9151),(9162,'25330','Flagey',9152),(9163,'25120','Maîche',9153),(9164,'25240','Le Crouzet',9154),(9165,'25400','Audincourt',9155),(9166,'25170','Chevigney Sur L\'Ognon',9156),(9167,'25750','Désandans',9157),(9168,'25680','Cubrial',9158),(9169,'25620','La Chevillotte',9159),(9170,'25700','Mathay',9160),(9171,'25870','Devecey',9161),(9172,'25210','Bonnétage',9162),(9173,'25210','Fontenelles',9163),(9174,'25510','Laviron',9164),(9175,'25240','Sarrageois',9165),(9176,'25270','Crouzet Migette',9166),(9177,'25260','Saint Maurice Colombier',9167),(9178,'25170','Placey',9168),(9179,'25110','Luxiol',9169),(9180,'25290','Cademène',9170),(9181,'25640','La Bretenière',9171),(9182,'25250','Marvelise',9172),(9183,'25360','Adam Lès Passavant',9173),(9184,'25360','Vauchamps',9174),(9185,'25470','Charmauvillers',9175),(9186,'25430','Vellerot Lès Belvoir',9176),(9187,'25160','Malpas',9177),(9188,'25250','Faimbe',9178),(9189,'25110','Villers Saint Martin',9179),(9190,'25310','Glay',9180),(9191,'25640','Val De Roulans',9181),(9192,'25640','Saint Hilaire',9182),(9193,'25470','Goumois',9183),(9194,'25250','Lanthenans',9184),(9195,'25870','Auxon Dessous',9185),(9196,'25150','Villars Sous Écot',9186),(9197,'25530','Orsans',9187),(9198,'25340','Clerval',9188),(9199,'25360','Gonsans',9189),(9200,'25400','Taillecourt',9190),(9201,'25340','Crosey Le Grand',9191),(9202,'25690','Longemaison',9192),(9203,'25170','Lantenne Vertière',9193),(9204,'25580','Chasnans',9194),(9205,'25250','Beutal',9195),(9206,'25430','Rahon',9196),(9207,'25160','Saint Point Lac',9197),(9208,'25113','Sainte Marie',9198),(9209,'25340','Pompierre Sur Doubs',9199),(9210,'25190','Valonne',9200),(9211,'25680','Montagney Servigney',9201),(9212,'25430','Vernois Lès Belvoir',9202),(9213,'25160','Vaux Et Chantegrue',9203),(9214,'25660','Montrond Le Château',9204),(9215,'25550','Échenans',9205),(9216,'25110','Hyèvre Magny',9206),(9217,'25680','Bonnal',9207),(9218,'25370','Métabief',9208),(9219,'25580','Guyans Durnes',9209),(9220,'25270','Levier',9210),(9221,'25530','Chevigney Lès Vercel',9211),(9222,'25210','Le Mémont',9212),(9223,'25640','Blarians',9213),(9224,'25370','Rochejean',9214),(9225,'25680','Tallans',9215),(9226,'25140','Frambouhans',9216),(9227,'25320','Osselle',9217),(9228,'25420','Berche',9218),(9229,'25770','Franois',9219),(9230,'25600','Vieux Charmont',9220),(9231,'25530','Villers Chief',9221),(9232,'25220','Vaire Arcier',9222),(9233,'25530','Belmont',9223),(9234,'25290','Rurey',9224),(9235,'25380','Surmont',9225),(9236,'25500','La Chenalotte',9226),(9237,'25110','Pont Les Moulins',9227),(9238,'25170','Villers Buzon',9228),(9239,'25110','Hyèvre Paroisse',9229),(9240,'25290','Scey Maisières',9230),(9241,'25190','Vaufrey',9231),(9242,'25170','Burgille',9232),(9243,'25250','Accolans',9233),(9244,'25160','Malbuisson',9234),(9245,'25140','Charquemont',9235),(9246,'25190','Montjoie Le Château',9236),(9247,'25580','Athose',9237),(9248,'25410','Mercey Le Grand',9238),(9249,'25470','Trévillers',9239),(9250,'25210','Laval Le Prieuré',9240),(9251,'25390','Orchamps Vennes',9241),(9252,'25580','Verrières Du Grosbois',9242),(9253,'25300','Doubs',9243),(9254,'25420','Courcelles Lès Montbéliard',9244),(9255,'25580','Voires',9245),(9256,'25410','Pouilley Français',9246),(9257,'25170','Le Moutherot',9247),(9258,'25870','Valleroy',9248),(9259,'25580','Fallerans',9249),(9260,'25250','Gémonval',9250),(9261,'25500','Le Bélieu',9251),(9262,'25640','Cendrey',9252),(9263,'25270','Septfontaines',9253),(9264,'25660','Fontain',9254),(9265,'25130','Villers Le Lac',9255),(9266,'25210','Le Bizot',9256),(9267,'25190','Valoreille',9257),(9268,'25640','L\'Écouvotte',9258),(9269,'25250','Onans',9259),(9270,'25380','Battenans Varin',9260),(9271,'25270','Sainte Anne',9261),(9272,'25410','Villars Saint Georges',9262),(9273,'25530','Landresse',9263),(9274,'25120','Bréseux',9264),(9275,'25800','Étray',9265),(9276,'25250','Bournois',9266),(9277,'25550','Allondans',9267),(9278,'25290','Épeugney',9268),(9279,'25340','Roche Lès Clerval',9269),(9280,'25120','Cernay L\'Église',9270),(9281,'25550','Issans',9271),(9282,'25720','Larnod',9272),(9283,'25320','Torpes',9273),(9284,'25660','Saône',9274),(9285,'25390','Fournets Luisans',9275),(9286,'25520','Aubonne',9276),(9287,'25520','Bugny',9277),(9288,'25260','Longevelle Sur Doubs',9278),(9289,'25380','Belleherbe',9279),(9290,'25190','Feule',9280),(9291,'25380','Vaucluse',9281),(9292,'25560','Bannans',9282),(9293,'25430','Sancey Le Long',9283),(9294,'25520','Ouhans',9284),(9295,'25870','Mérey Vieilley',9285),(9296,'25110','Vergranne',9286),(9297,'25340','Santoche',9287),(9298,'25440','Pointvillers',9288),(9299,'25110','Silley Bléfond',9289),(9300,'25440','Buffard',9290),(9301,'25240','Pontets',9291),(9302,'25510','Villers La Combe',9292),(9303,'25380','Provenchère',9293),(9304,'25450','Damprichard',9294),(9305,'25600','Sochaux',9295),(9306,'25660','Morre',9296),(9307,'25390','Loray',9297),(9308,'25530','Vercel Villedieu Le Camp',9298),(9309,'25640','Villers Grélot',9299),(9310,'25190','Fleurey',9300),(9311,'25410','Berthelange',9301),(9312,'25470','Plains Et Grands Essarts',9302),(9313,'25170','Mazerolles Le Salin',9303),(9314,'25470','Belfays',9304),(9315,'25410','Dannemarie Sur Crète',9305),(9316,'25430','Randevillers',9306),(9317,'25440','Myon',9307),(9318,'25490','Dampierre Les Bois',9308),(9319,'25440','Samson',9309),(9320,'25870','Moncey',9310),(9321,'25680','Trouvans',9311),(9322,'25620','Tarcenay',9312),(9323,'25390','Fuans',9313),(9324,'25660','Gennes',9314),(9325,'25430','Vellevans',9315),(9326,'25220','Thise',9316),(9327,'25580','Nods',9317),(9328,'25140','Écorces',9318),(9329,'25170','Pelousey',9319),(9330,'25260','Lougres',9320),(9331,'25410','Corcelles Ferrières',9321),(9332,'25440','Courcelles',9322),(9333,'25190','Chamesol',9323),(9334,'25210','Montbéliardot',9324),(9335,'25550','Bavans',9325),(9336,'25680','Cubry',9326),(9337,'25230','Bondeval',9327),(9338,'25440','Brères',9328),(9339,'25440','Cessey',9329),(9340,'25440','Cussey Sur Lison',9330),(9341,'25250','Blussangeaux',9331),(9342,'25340','Viéthorey',9332),(9343,'25640','Breconchaux',9333),(9344,'25920','Mouthier Haute Pierre',9334),(9345,'25580','Échevannes',9335),(9346,'25170','Ruffey Le Château',9336),(9347,'25310','Blamont',9337),(9348,'25440','Chouzelot',9338),(9349,'25320','Montferrand Le Château',9339),(9350,'25640','Germondans',9340),(9351,'25610','Arc Et Senans',9341),(9352,'25330','Éternoz',9342),(9353,'25640','Corcelle Mieslot',9343),(9354,'25380','Charmoille',9344),(9355,'25490','Fesches Le Châtel',9345),(9356,'25320','Byans Sur Doubs',9346),(9357,'25250','Sourans',9347),(9358,'25440','Quingey',9348),(9359,'25190','Montécheroux',9349),(9360,'25170','Audeux',9350),(9361,'25300','Granges Narboz',9351),(9362,'25190','Froidevaux',9352),(9363,'25290','Chassagne Saint Denis',9353),(9364,'25440','Charnay',9354),(9365,'25190','Montandon',9355),(9366,'25330','Amancey',9356),(9367,'25680','Romain',9357),(9368,'25840','Vuillafans',9358),(9369,'25640','Marchaux',9359),(9370,'25000','Besançon',9360),(9371,'25110','Fontenotte',9361),(9372,'25380','Bretonvillers',9362),(9373,'25310','Villars Lès Blamont',9363),(9374,'25270','Villers Sous Chalamont',9364),(9375,'25160','La Planée',9365),(9376,'25330','Fertans',9366),(9377,'25520','Saint Gorgon Main',9367),(9378,'25160','Oye Et Pallet',9368),(9379,'25110','Dammartin Les Templiers',9369),(9380,'25380','La Grange',9370),(9381,'25870','Bonnay',9371),(9382,'25580','Hautepierre Le Châtelet',9372),(9383,'25320','Vorges Les Pins',9373),(9384,'25680','Gondenans Les Moulins',9374),(9385,'25620','Foucherans',9375),(9386,'25220','Novillars',9376),(9387,'25320','Grandfontaine',9377),(9388,'25640','Rougemontot',9378),(9389,'25680','Tressandans',9379),(9390,'25250','Appenans',9380),(9391,'25300','Fourgs',9381),(9392,'25410','Roset Fluans',9382),(9393,'25640','Rignosot',9383),(9394,'25150','Pont De Roide',9384),(9395,'25960','Deluz',9385),(9396,'25430','Servin',9386),(9397,'25160','Grangettes',9387),(9398,'25640','Ollans',9388),(9399,'25520','Goux Les Usiers',9389),(9400,'25120','Mancenans Lizerne',9390),(9401,'25510','Grandfontaine Sur Creuse',9391),(9402,'25650','La Chaux',9392),(9403,'25470','Burnevillers',9393),(9404,'25330','Bolandoz',9394),(9405,'25170','Courchapon',9395),(9406,'25240','Villedieu',9396),(9407,'25650','Maisons Du Bois Lièvremont',9397),(9408,'25320','Boussières',9398),(9409,'25370','Longevilles Mont D\'Or',9399),(9410,'25170','Sauvagney',9400),(9411,'25480','Pirey',9401),(9412,'25580','Rantechaux',9402),(9413,'25530','Bremondans',9403),(9414,'25430','Chazot',9404),(9415,'25440','Châtillon Sur Lison',9405),(9416,'25680','Tournans',9406),(9417,'25170','Moncley',9407),(9418,'25620','L\'Hôpital Du Grosbois',9408),(9419,'25720','Pugey',9409),(9420,'25650','Ville Du Pont',9410),(9421,'25230','Dasle',9411),(9422,'25330','Lizine',9412),(9423,'25440','Chay',9413),(9424,'25580','Saules',9414),(9425,'25790','Gras',9415),(9426,'25360','Saint Juan',9416),(9427,'25340','Chaux Lès Clerval',9417),(9428,'25500','Combes',9418),(9429,'25240','Chaux Neuve',9419),(9430,'25240','Mouthe',9420),(9431,'25520','Évillers',9421),(9432,'26170','Mérindol Les Oliviers',9422),(9433,'26350','Saint Bonnet De Valclérieux',9423),(9434,'26340','Saint Nazaire Le Désert',9424),(9435,'26290','Granges Gontardes',9425),(9436,'26530','Le Grand Serre',9426),(9437,'26230','Montjoyer',9427),(9438,'26340','La Chaudière',9428),(9439,'26770','Montbrison Sur Lez',9429),(9440,'26220','Orcinas',9430),(9441,'26310','Poyols',9431),(9442,'26570','Barret De Lioure',9432),(9443,'26340','Rochefourchat',9433),(9444,'26470','La Motte Chalancon',9434),(9445,'26160','Saint Gervais Sur Roubion',9435),(9446,'26460','Bouvières',9436),(9447,'26120','Peyrus',9437),(9448,'26510','Montferrand La Fare',9438),(9449,'26130','Montségur Sur Lauzon',9439),(9450,'26510','Roussieux',9440),(9451,'26110','Bellecombe Tarendol',9441),(9452,'26750','Saint Paul Lès Romans',9442),(9453,'26170','Propiac',9443),(9454,'26510','Cornillac',9444),(9455,'26410','Glandage',9445),(9456,'26790','La Baume De Transit',9446),(9457,'26240','Laveyron',9447),(9458,'26170','Buis Les Baronnies',9448),(9459,'26240','Fay Le Clos',9449),(9460,'26110','Montaulieu',9450),(9461,'26340','Pennes Le Sec',9451),(9462,'26170','Montauban Sur L\'Ouvèze',9452),(9463,'26300','Saint Vincent La Commanderie',9453),(9464,'26560','Montfroc',9454),(9465,'26300','Chatuzange Le Goubet',9455),(9466,'26260','Saint Bardoux',9456),(9467,'26600','Veaunes',9457),(9468,'26600','Chantemerle Les Blés',9458),(9469,'26260','Bren',9459),(9470,'26450','Roynac',9460),(9471,'26110','Nyons',9461),(9472,'26100','Romans Sur Isère',9462),(9473,'26190','La Motte Fanjas',9463),(9474,'26400','Chabrillan',9464),(9475,'26340','Aurel',9465),(9476,'26240','Ponsas',9466),(9477,'26190','Sainte Eulalie En Royans',9467),(9478,'26350','Montrigaud',9468),(9479,'26760','Montéléger',9469),(9480,'26190','Le Chaffal',9470),(9481,'26600','La Roche De Glun',9471),(9482,'26240','Saint Vallier',9472),(9483,'26160','La Bégude De Mazenc',9473),(9484,'26510','Montréal Les Sources',9474),(9485,'26220','Montjoux',9475),(9486,'26770','Salles Sous Bois',9476),(9487,'26230','Valaurie',9477),(9488,'26740','La Coucourde',9478),(9489,'26260','Chavannes',9479),(9490,'26270','Saulce Sur Rhône',9480),(9491,'26770','Le Pègue',9481),(9492,'26000','Valence',9482),(9493,'26400','Crest',9483),(9494,'26170','Eygaliers',9484),(9495,'26340','Aubenasson',9485),(9496,'26110','Saint Maurice Sur Eygues',9486),(9497,'26400','Eygluy Escoulin',9487),(9498,'26570','Ferrassières',9488),(9499,'26300','Châteauneuf Sur Isère',9489),(9500,'26150','Saint Julien En Quint',9490),(9501,'26510','Cornillon Sur L\'Oule',9491),(9502,'26800','Ambonil',9492),(9503,'26510','Pelonne',9493),(9504,'26420','Saint Agnan En Vercors',9494),(9505,'26410','Châtillon En Diois',9495),(9506,'26780','Espeluche',9496),(9507,'26150','Die',9497),(9508,'26470','Establet',9498),(9509,'26250','Livron Sur Drôme',9499),(9510,'26400','Grane',9500),(9511,'05700','Villebois Les Pins',9501),(9512,'26110','Eyroles',9502),(9513,'26400','Saou',9503),(9514,'26140','Anneyron',9504),(9515,'26110','Sainte Jalle',9505),(9516,'26110','Mirabel Aux Baronnies',9506),(9517,'26230','Roussas',9507),(9518,'26170','Bénivay Ollon',9508),(9519,'26740','Montboucher Sur Jabron',9509),(9520,'26400','La Répara Auriples',9510),(9521,'26310','La Bâtie Des Fonds',9511),(9522,'26310','Prés',9512),(9523,'26200','Montélimar',9513),(9524,'26510','Chauvac Laux Montaux',9514),(9525,'26470','Volvent',9515),(9526,'26220','Dieulefit',9516),(9527,'26210','Épinouze',9517),(9528,'26770','Taulignan',9518),(9529,'26110','Valouse',9519),(9530,'26470','Pommerol',9520),(9531,'26730','Eymeux',9521),(9532,'26240','La Motte De Galaure',9522),(9533,'26470','La Charce',9523),(9534,'26310','Beaurières',9524),(9535,'26400','Francillon Sur Roubion',9525),(9536,'26470','Chalancon',9526),(9537,'26210','Lens Lestang',9527),(9538,'26600','Tain L\'Hermitage',9528),(9539,'26300','Charpey',9529),(9540,'26740','Saint Marcel Lès Sauzet',9530),(9541,'26150','Sainte Croix',9531),(9542,'26160','Félines Sur Rimandoule',9532),(9543,'26310','Barnave',9533),(9544,'26110','Aubres',9534),(9545,'26790','Bouchet',9535),(9546,'26260','Margès',9536),(9547,'26340','Saint Sauveur En Diois',9537),(9548,'26130','Saint Restitut',9538),(9549,'26560','Eygalayes',9539),(9550,'26300','Bésayes',9540),(9551,'26160','Le Poët Laval',9541),(9552,'26150','Chamaloc',9542),(9553,'26120','Montvendre',9543),(9554,'26110','Vinsobres',9544),(9555,'26350','Miribel',9545),(9556,'26140','Saint Rambert D\'Albon',9546),(9557,'26220','Teyssières',9547),(9558,'26150','Laval D\'Aix',9548),(9559,'26790','Tulette',9549),(9560,'26560','Mévouillon',9550),(9561,'26170','Saint Auban Sur L\'Ouvèze',9551),(9562,'26400','Cobonne',9552),(9563,'26560','Villefranche Le Château',9553),(9564,'26170','Montguers',9554),(9565,'26310','Luc En Diois',9555),(9566,'26410','Menglon',9556),(9567,'26460','Crupies',9557),(9568,'26110','Bésignan',9558),(9569,'26310','Val Maravel',9559),(9570,'26340','Aucelon',9560),(9571,'26160','Portes En Valdaine',9561),(9572,'26740','La Laupie',9562),(9573,'26460','Mornans',9563),(9574,'26110','Venterol',9564),(9575,'26770','Aleyrac',9565),(9576,'26120','Combovin',9566),(9577,'26220','Vesc',9567),(9578,'26470','Gumiane',9568),(9579,'26600','Larnage',9569),(9580,'26450','Charols',9570),(9581,'26510','Villeperdrix',9571),(9582,'26740','Sauzet',9572),(9583,'26160','Salettes',9573),(9584,'26320','Saint Marcel Lès Valence',9574),(9585,'26420','Saint Martin En Vercors',9575),(9586,'26460','Bourdeaux',9576),(9587,'26170','La Roche Sur Le Buis',9577),(9588,'26300','Beauregard Baret',9578),(9589,'26570','Reilhanette',9579),(9590,'26120','Montmeyran',9580),(9591,'26340','Brette',9581),(9592,'26400','Soyans',9582),(9593,'26800','Beauvallon',9583),(9594,'26560','Vers Sur Méouge',9584),(9595,'26310','Miscon',9585),(9596,'26150','Barsac',9586),(9597,'26110','Pilles',9587),(9598,'26120','Ourches',9588),(9599,'26740','Condillac',9589),(9600,'26150','Romeyer',9590),(9601,'26230','Réauville',9591),(9602,'26340','Rimon Et Savel',9592),(9603,'26510','Saint May',9593),(9604,'26600','Serves Sur Rhône',9594),(9605,'26420','Saint Julien En Vercors',9595),(9606,'26140','Albon',9596),(9607,'26340','Pradelle',9597),(9608,'26150','Vachères En Quint',9598),(9609,'26110','Curnier',9599),(9610,'26270','Cliousclat',9600),(9611,'26150','Molières Glandaz',9601),(9612,'26620','Lus La Croix Haute',9602),(9613,'26400','Plan De Baix',9603),(9614,'26160','Rochefort En Valdaine',9604),(9615,'26130','Clansayes',9605),(9616,'26200','Ancône',9606),(9617,'26120','Upie',9607),(9618,'26230','Chamaret',9608),(9619,'26750','Châtillon Saint Jean',9609),(9620,'26310','Saint Dizier En Diois',9610),(9621,'26240','Claveyson',9611),(9622,'26800','Étoile Sur Rhône',9612),(9623,'26750','Parnans',9613),(9624,'26350','Saint Christophe Et Le Laris',9614),(9625,'26150','Ponet Et Saint Auban',9615),(9626,'26400','Omblèze',9616),(9627,'26460','Tonils',9617),(9628,'26240','Saint Barthélemy De Vals',9618),(9629,'26160','Bonlieu Sur Roubion',9619),(9630,'26740','Savasse',9620),(9631,'26470','Bellegarde En Diois',9621),(9632,'26260','Saint Donat Sur L\'Herbasse',9622),(9633,'26160','Rochebaudin',9623),(9634,'26740','Tourrettes',9624),(9635,'26460','Bézaudun Sur Bîne',9625),(9636,'26150','Montmaur En Diois',9626),(9637,'26230','Colonzelle',9627),(9638,'26340','Vercheny',9628),(9639,'26240','Mureils',9629),(9640,'26160','Puygiron',9630),(9641,'26600','Gervans',9631),(9642,'26340','Chastel Arnaud',9632),(9643,'26390','Tersanne',9633),(9644,'26190','Saint Laurent En Royans',9634),(9645,'26390','Hauterives',9635),(9646,'26410','Treschenu Creyers',9636),(9647,'26600','Pont De L\'Isère',9637),(9648,'26170','Rioms',9638),(9649,'26500','Bourg Lès Valence',9639),(9650,'26400','Beaufort Sur Gervanne',9640),(9651,'26400','Allex',9641),(9652,'26230','Chantemerle Lès Grignan',9642),(9653,'26120','Barcelonne',9643),(9654,'26400','Montclar Sur Gervanne',9644),(9655,'26510','Lemps',9645),(9656,'26600','Chanos Curson',9646),(9657,'26340','Saint Benoit En Diois',9647),(9658,'26380','Peyrins',9648),(9659,'26110','Rochebrune',9649),(9660,'26210','Moras En Valloire',9650),(9661,'26400','Autichamp',9651),(9662,'26750','Triors',9652),(9663,'26170','Le Poët En Percip',9653),(9664,'26120','Châteaudouble',9654),(9665,'26120','Montélier',9655),(9666,'26270','Loriol Sur Drôme',9656),(9667,'26130','Saint Paul Trois Châteaux',9657),(9668,'26310','Charens',9658),(9669,'26510','Sahune',9659),(9670,'26800','Portes Lès Valence',9660),(9671,'26510','Verclause',9661),(9672,'26160','Manas',9662),(9673,'26700','La Garde Adhémar',9663),(9674,'26750','Geyssans',9664),(9675,'26790','Suze La Rousse',9665),(9676,'26470','Arnayon',9666),(9677,'26190','Léoncel',9667),(9678,'26260','Marsaz',9668),(9679,'26460','Le Poët Célard',9669),(9680,'26300','Alixan',9670),(9681,'26230','Grignan',9671),(9682,'26600','Beaumont Monteux',9672),(9683,'26170','Vercoiran',9673),(9684,'26350','Saint Laurent D\'Onay',9674),(9685,'26730','Hostun',9675),(9686,'26800','Montoison',9676),(9687,'26760','Beaumont Lès Valence',9677),(9688,'26770','Roche Saint Secret Béconne',9678),(9689,'26150','Aix En Diois',9679),(9690,'26190','Oriol En Royans',9680),(9691,'26400','Piégros La Clastre',9681),(9692,'26190','Rochechinard',9682),(9693,'26240','Saint Uze',9683),(9694,'26110','Saint Ferréol Trente Pas',9684),(9695,'26270','Mirmande',9685),(9696,'26150','Marignac En Diois',9686),(9697,'26110','Chaudebonne',9687),(9698,'26330','Ratières',9688),(9699,'26510','Rémuzat',9689),(9700,'26330','Saint Martin D\'Août',9690),(9701,'26210','Lapeyrouse Mornay',9691),(9702,'26400','Divajeu',9692),(9703,'26190','Saint Jean En Royans',9693),(9704,'26190','Bouvante',9694),(9705,'26300','Jaillans',9695),(9706,'26330','Châteauneuf De Galaure',9696),(9707,'26400','Gigors Et Lozeron',9697),(9708,'26120','Malissard',9698),(9709,'26400','Aouste Sur Sye',9699),(9710,'26600','Crozes Hermitage',9700),(9711,'26170','Sainte Euphémie Sur Ouvèze',9701),(9712,'26350','Crépol',9702),(9713,'26130','Solérieux',9703),(9714,'26750','Génissieux',9704),(9715,'26260','Clérieux',9705),(9716,'26290','Donzère',9706),(9717,'26410','Boulc',9707),(9718,'26560','Séderon',9708),(9719,'26310','Beaumont En Diois',9709),(9720,'26110','Condorcet',9710),(9721,'26780','Châteauneuf Du Rhône',9711),(9722,'26410','Saint Roman',9712),(9723,'26330','Saint Avit',9713),(9724,'26240','Beausemblant',9714),(9725,'26110','Arpavon',9715),(9726,'26310','Lesches En Diois',9716),(9727,'26260','Arthémonay',9717),(9728,'26310','Recoubeau Jansac',9718),(9729,'26300','Marches',9719),(9730,'26420','Vassieux En Vercors',9720),(9731,'26560','Izon La Bruisse',9721),(9732,'26730','La Baume D\'Hostun',9722),(9733,'26120','La Baume Cornillane',9723),(9734,'26450','Puy Saint Martin',9724),(9735,'26400','Eurre',9725),(9736,'26310','Jonchères',9726),(9737,'26790','Rochegude',9727),(9738,'26700','Pierrelatte',9728),(9739,'26160','Pont De Barret',9729),(9740,'26110','Le Poët Sigillat',9730),(9741,'26160','La Bâtie Rolland',9731),(9742,'26300','Bourg De Péage',9732),(9743,'26310','Valdrôme',9733),(9744,'26110','Châteauneuf De Bordette',9734),(9745,'26770','Rousset Les Vignes',9735),(9746,'26150','Pontaix',9736),(9747,'26170','Beauvoisin',9737),(9748,'26210','Manthes',9738),(9749,'26600','Granges Les Beaumont',9739),(9750,'26470','Rottier',9740),(9751,'26190','Échevis',9741),(9752,'26560','Laborel',9742),(9753,'26350','Le Chalon',9743),(9754,'26150','Saint Andéol',9744),(9755,'26260','Charmes Sur L\'Herbasse',9745),(9756,'26190','Saint Nazaire En Royans',9746),(9757,'26400','Suze',9747),(9758,'26220','Comps',9748),(9759,'26770','Saint Pantaléon Les Vignes',9749),(9760,'26600','Mercurol',9750),(9761,'26190','Saint Martin Le Colonel',9751),(9762,'26400','Mirabel Et Blacons',9752),(9763,'26160','La Touche',9753),(9764,'26160','Eyzahut',9754),(9765,'26170','Mollans Sur Ouvèze',9755),(9766,'26340','Véronne',9756),(9767,'26780','Allan',9757),(9768,'26340','Espenel',9758),(9769,'26450','Cléon D\'Andran',9759),(9770,'26300','Barbières',9760),(9771,'26560','Lachau',9761),(9772,'26400','La Roche Sur Grane',9762),(9773,'26350','Montchenu',9763),(9774,'26310','Montlaur En Diois',9764),(9775,'26170','Plaisians',9765),(9776,'26560','Ballons',9766),(9777,'26750','Saint Michel Sur Savasse',9767),(9778,'26260','Bathernay',9768),(9779,'26740','Marsanne',9769),(9780,'26110','Piégon',9770),(9781,'26210','Saint Sorlin En Valloire',9771),(9782,'26110','Saint Sauveur Gouvernet',9772),(9783,'26120','Chabeuil',9773),(9784,'26170','La Penne Sur L\'Ouvèze',9774),(9785,'26460','Truinas',9775),(9786,'26160','Souspierre',9776),(9787,'26400','Vaunaveys La Rochette',9777),(9788,'26780','Malataverne',9778),(9789,'26750','Montmiral',9779),(9790,'26340','Saillans',9780),(9791,'26300','Rochefort Samson',9781),(9792,'26600','Érôme',9782),(9793,'26570','Aulan',9783),(9794,'26170','La Rochette Du Buis',9784),(9795,'26140','Andancette',9785),(9796,'26540','Mours Saint Eusèbe',9786),(9797,'26190','Saint Thomas En Royans',9787),(9798,'26420','La Chapelle En Vercors',9788),(9799,'26170','Pierrelongue',9789),(9800,'26570','Montbrun Les Bains',9790),(9801,'27910','Vascœuil',9791),(9802,'27920','Saint Étienne Sous Bailleul',9792),(9803,'27180','Tournedos Bois Hubert',9793),(9804,'27170','Combon',9794),(9805,'27680','Trouville La Haule',9795),(9806,'27120','Boisset Les Prévanches',9796),(9807,'27350','Brestot',9797),(9808,'27190','Le Fidelaire',9798),(9809,'27800','Harcourt',9799),(9810,'27390','Saint Pierre De Cernières',9800),(9811,'27720','Dangu',9801),(9812,'27800','Saint Pierre De Salerne',9802),(9813,'27110','Écauville',9803),(9814,'27650','Louye',9804),(9815,'27560','La Poterie Mathieu',9805),(9816,'27420','Suzay',9806),(9817,'27180','Le Plessis Grohan',9807),(9818,'27830','Neaufles Saint Martin',9808),(9819,'27430','Saint Étienne Du Vauvray',9809),(9820,'27240','Le Roncenay Authenay',9810),(9821,'27180','Claville',9811),(9822,'27140','Amécourt',9812),(9823,'27120','Caillouet Orgeville',9813),(9824,'27330','La Neuve Lyre',9814),(9825,'27920','Saint Pierre De Bailleul',9815),(9826,'27870','Vesly',9816),(9827,'27380','Bourg Beaudouin',9817),(9828,'27140','Gisors',9818),(9829,'27130','Barils',9819),(9830,'27220','Grossœuvre',9820),(9831,'27130','Mandres',9821),(9832,'27170','Romilly La Puthenaye',9822),(9833,'27670','Bosnormand',9823),(9834,'27400','Surtauville',9824),(9835,'27170','Grosley Sur Risle',9825),(9836,'27240','Sylvains Les Moulins',9826),(9837,'27370','Mandeville',9827),(9838,'27240','Thomer La Sôgne',9828),(9839,'27800','Saint Cyr De Salerne',9829),(9840,'27220','Lignerolles',9830),(9841,'27440','Écouis',9831),(9842,'27820','Saint Christophe Sur Avre',9832),(9843,'27170','Barquet',9833),(9844,'27600','Vieux Villez',9834),(9845,'27860','Heudicourt',9835),(9846,'27170','Perriers La Campagne',9836),(9847,'27430','Porte Joie',9837),(9848,'27400','Louviers',9838),(9849,'27230','Saint Aubin De Scellon',9839),(9850,'27420','Cahaignes',9840),(9851,'27250','Bois Arnault',9841),(9852,'27420','Thilliers En Vexin',9842),(9853,'27380','Vandrimare',9843),(9854,'27250','Neaufles Auvergny',9844),(9855,'27450','Saint Christophe Sur Condé',9845),(9856,'27660','Bézu Saint Éloi',9846),(9857,'27580','Bourth',9847),(9858,'27110','Marbeuf',9848),(9859,'27430','Herqueville',9849),(9860,'27120','Aigleville',9850),(9861,'27210','La Lande Saint Léger',9851),(9862,'27930','Brosville',9852),(9863,'27940','Venables',9853),(9864,'27170','Goupillières',9854),(9865,'27500','Aizier',9855),(9866,'27110','Sainte Colombe La Commanderie',9856),(9867,'27910','Letteguives',9857),(9868,'27950','La Chapelle Réanville',9858),(9869,'27110','Bérengeville La Campagne',9859),(9870,'27930','Aviron',9860),(9871,'27400','Houetteville',9861),(9872,'27950','Saint Marcel',9862),(9873,'27130','Bâlines',9863),(9874,'27120','Jouy Sur Eure',9864),(9875,'27590','Amfreville Sous Les Monts',9865),(9876,'27120','Pacy Sur Eure',9866),(9877,'27400','Quatremare',9867),(9878,'27500','Manneville Sur Risle',9868),(9879,'27680','Quillebeuf Sur Seine',9869),(9880,'27210','Martainville',9870),(9881,'27300','Bernay',9871),(9882,'27480','Bézu La Forêt',9872),(9883,'27150','Bouchevilliers',9873),(9884,'27520','Theillement',9874),(9885,'27590','Pîtres',9875),(9886,'27520','Bosguérard De Marcouville',9876),(9887,'27190','Le Fresne',9877),(9888,'27150','Le Thil',9878),(9889,'27270','Saint Jean Du Thenney',9879),(9890,'27500','Colletot',9880),(9891,'27180','Arnières Sur Iton',9881),(9892,'27500','Bourneville',9882),(9893,'27510','Forêt La Folie',9883),(9894,'27220','Quessigny',9884),(9895,'27370','Saint Didier Des Bois',9885),(9896,'27110','Iville',9886),(9897,'27220','La Boissière',9887),(9898,'27250','Saint Antonin De Sommaire',9888),(9899,'27240','Essarts',9889),(9900,'27240','Grandvilliers',9890),(9901,'27160','Cintray',9891),(9902,'27940','Port Mort',9892),(9903,'27800','Aclou',9893),(9904,'27270','La Chapelle Gauthier',9894),(9905,'27470','Launay',9895),(9906,'27310','Bosgouet',9896),(9907,'27480','Bosquentin',9897),(9908,'27520','Saint Léger Du Gennetey',9898),(9909,'27700','Tosny',9899),(9910,'27140','Bazincourt Sur Epte',9900),(9911,'27680','Saint Aubin Sur Quillebeuf',9901),(9912,'27330','La Barre En Ouche',9902),(9913,'27260','Le Bois Hellain',9903),(9914,'27820','Armentières Sur Avre',9904),(9915,'27500','Campigny',9905),(9916,'27100','Tournedos Sur Seine',9906),(9917,'28520','Croth',9907),(9918,'27330','Bosc Renoult En Ouche',9908),(9919,'27120','Chambray',9909),(9920,'27620','Bois Jérôme Saint Ouen',9910),(9921,'27300','Plasnes',9911),(9922,'27300','Saint Clair D\'Arcey',9912),(9923,'27420','Château Sur Epte',9913),(9924,'27190','Ormes',9914),(9925,'27600','Saint Aubin Sur Gaillon',9915),(9926,'27500','Pont Audemer',9916),(9927,'27300','Plainville',9917),(9928,'27930','Normanville',9918),(9929,'27230','Saint Vincent Du Boulay',9919),(9930,'27950','Mercey',9920),(9931,'27300','Saint Martin Du Tilleul',9921),(9932,'27200','Vernon',9922),(9933,'27190','Orvaux',9923),(9934,'27640','Villiers En Désœuvre',9924),(9935,'27160','Saint Nicolas D\'Attez',9925),(9936,'27930','Guichainville',9926),(9937,'27190','Nogent Le Sec',9927),(9938,'27440','Bacqueville',9928),(9939,'27310','Saint Ouen De Thouberville',9929),(9940,'27350','Routot',9930),(9941,'27120','Ménilles',9931),(9942,'27400','La Haye Malherbe',9932),(9943,'27270','Saint Aubin Du Thenney',9933),(9944,'27800','Neuville Sur Authou',9934),(9945,'27700','Le Thuit',9935),(9946,'27910','Perriers Sur Andelle',9936),(9947,'27160','Bémécourt',9937),(9948,'27350','La Haye Aubrée',9938),(9949,'27340','Martot',9939),(9950,'27680','Saint Thurien',9940),(9951,'27460','Igoville',9941),(9952,'27680','Saint Samson De La Roque',9942),(9953,'27440','Houville En Vexin',9943),(9954,'27210','Saint Sulpice De Grimbouville',9944),(9955,'27150','Boisemont',9945),(9956,'27210','Berville Sur Mer',9946),(9957,'27370','Saint Nicolas Du Bosc',9947),(9958,'27400','Montaure',9948),(9959,'27210','Manneville La Raoult',9949),(9960,'27650','Muzy',9950),(9961,'27400','La Haye Le Comte',9951),(9962,'27700','Andelys',9952),(9963,'27940','Villers Sur Le Roule',9953),(9964,'27340','Tostes',9954),(9965,'27320','Saint Germain Sur Avre',9955),(9966,'27400','La Vacherie',9956),(9967,'27220','Authieux',9957),(9968,'27310','Caumont',9958),(9969,'27300','Caorches Saint Nicolas',9959),(9970,'27290','Glos Sur Risle',9960),(9971,'27260','Saint Pierre De Cormeilles',9961),(9972,'27420','Richeville',9962),(9973,'27500','Saint Symphorien',9963),(9974,'27230','Le Theil Nolent',9964),(9975,'27150','Coudray',9965),(9976,'27800','Malleville Sur Le Bec',9966),(9977,'27390','Saint Denis D\'Augerons',9967),(9978,'27560','Épreville En Lieuvin',9968),(9979,'27260','La Chapelle Bayvel',9969),(9980,'27220','Champigny La Futelaye',9970),(9981,'27220','Foucrainville',9971),(9982,'27930','Dardez',9972),(9983,'27490','La Croix Saint Leufroy',9973),(9984,'27550','Nassandres',9974),(9985,'27190','Louversey',9975),(9986,'27400','Canappeville',9976),(9987,'27290','Appeville Annebault',9977),(9988,'27700','Fresne L\'Archevêque',9978),(9989,'27330','Champignolles',9979),(9990,'27520','Voiscreville',9980),(9991,'27120','Croisy Sur Eure',9981),(9992,'27310','Bosc Bénard Crescy',9982),(9993,'27800','Thibouville',9983),(9994,'27150','Hacqueville',9984),(9995,'27160','Saint Denis Du Béhélan',9985),(9996,'27340','Pont De L\'Arche',9986),(9997,'27120','Villegats',9987),(9998,'27380','Flipou',9988),(9999,'27220','L\'Habit',9989),(10000,'27160','La Guéroulde',9990),(10001,'27930','Saint Vigor',9991),(10002,'27160','Dame Marie',9992),(10003,'27550','Fontaine La Soret',9993),(10004,'27110','Vitot',9994),(10005,'27300','Corneville La Fouquetière',9995),(10006,'27180','Parville',9996),(10007,'27930','Le Boulay Morin',9997),(10008,'27110','Villez Sur Le Neubourg',9998),(10009,'27220','Jumelles',9999),(10010,'27700','Bernières Sur Seine',10000),(10011,'27370','Le Gros Theil',10001),(10012,'27400','Incarville',10002),(10013,'27110','Rouge Perriers',10003),(10014,'27370','Saint Germain De Pasquier',10004),(10015,'27370','Vraiville',10005),(10016,'27260','Bailleul La Vallée',10006),(10017,'27220','Saint Laurent Des Bois',10007),(10018,'27800','Hecmanville',10008),(10019,'27560','Saint Siméon',10009),(10020,'27110','Hectomare',10010),(10021,'27630','Heubécourt Haricourt',10011),(10022,'27890','La Neuville Du Bosc',10012),(10023,'27260','Cormeilles',10013),(10024,'27170','Bray',10014),(10025,'27270','La Roussière',10015),(10026,'27930','Le Mesnil Fuguet',10016),(10027,'27210','Fort Moville',10017),(10028,'27300','Courbépine',10018),(10029,'27310','Barneville Sur Seine',10019),(10030,'27170','Barc',10020),(10031,'27120','Chaignes',10021),(10032,'27230','Drucourt',10022),(10033,'27470','Serquigny',10023),(10034,'27240','Chanteloup',10024),(10035,'27110','Épégard',10025),(10036,'27930','Gauciel',10026),(10037,'27150','Longchamps',10027),(10038,'27110','Saint Aubin D\'Écrosville',10028),(10039,'27570','L\'Hosmes',10029),(10040,'27260','Fresne Cauverville',10030),(10041,'27440','Touffréville',10031),(10042,'27370','Le Bec Thomas',10032),(10043,'27150','Sainte Marie De Vatimesnil',10033),(10044,'27930','Gravigny',10034),(10045,'27190','Glisolles',10035),(10046,'27400','Crasville',10036),(10047,'27380','Charleval',10037),(10048,'27600','Saint Pierre La Garenne',10038),(10049,'27330','La Vieille Lyre',10039),(10050,'27300','Valailles',10040),(10051,'27530','Ézy Sur Eure',10041),(10052,'27350','Le Landin',10042),(10053,'27310','Honguemare Guenouville',10043),(10054,'27430','Daubeuf Près Vatteville',10044),(10055,'27320','La Madeleine De Nonancourt',10045),(10056,'27120','Fains',10046),(10057,'27260','Saint Sylvestre De Cormeilles',10047),(10058,'27700','Harquency',10048),(10059,'27930','Saint Luc',10049),(10060,'27800','Le Bec Hellouin',10050),(10061,'27700','Vézillon',10051),(10062,'27270','Chamblac',10052),(10063,'27420','Cantiers',10053),(10064,'27270','Ferrières Saint Hilaire',10054),(10065,'27120','Hécourt',10055),(10066,'27120','Le Plessis Hébert',10056),(10067,'27210','Fatouville Grestain',10057),(10068,'27370','Houlbec Près Le Gros Theil',10058),(10069,'27210','Saint Pierre Du Val',10059),(10070,'27680','Vieux Port',10060),(10071,'27210','Conteville',10061),(10072,'27230','Bazoques',10062),(10073,'27380','Radepont',10063),(10074,'27800','Brionne',10064),(10075,'27700','Guiseniers',10065),(10076,'27930','Angerville La Campagne',10066),(10077,'27380','Grainville',10067),(10078,'27480','Beauficel En Lyons',10068),(10079,'27510','Tilly',10069),(10080,'27220','Fresney',10070),(10081,'27310','Flancourt Catelon',10071),(10082,'27190','Collandres Quincarnon',10072),(10083,'27150','Nojeon En Vexin',10073),(10084,'27150','Étrépagny',10074),(10085,'27800','Livet Sur Authou',10075),(10086,'27220','Bois Le Roi',10076),(10087,'27450','Saint Grégoire Du Vièvre',10077),(10088,'27190','Burey',10078),(10089,'27190','Nagel Séez Mesnil',10079),(10090,'27350','Étréville',10080),(10091,'27620','Gasny',10081),(10092,'27240','Damville',10082),(10093,'27270','Grand Camp',10083),(10094,'27330','Bois Anzeray',10084),(10095,'27170','Beaumont Le Roger',10085),(10096,'27400','Acquigny',10086),(10097,'27300','Malouy',10087),(10098,'27400','Heudebouville',10088),(10099,'27520','Boissey Le Châtel',10089),(10100,'27120','Le Val David',10090),(10101,'27100','Val De Reuil',10091),(10102,'27630','Berthenonville',10092),(10103,'27230','Fontaine La Louvet',10093),(10104,'27330','La Haye Saint Sylvestre',10094),(10105,'27520','Thuit Hébert',10095),(10106,'27190','Saint Élier',10096),(10107,'27130','Piseux',10097),(10108,'27110','Crestot',10098),(10109,'27210','Le Torpt',10099),(10110,'27230','Duranville',10100),(10111,'27570','Acon',10101),(10112,'27220','Prey',10102),(10113,'27180','Aulnay Sur Iton',10103),(10114,'27600','Champenard',10104),(10115,'27220','Chavigny Bailleul',10105),(10116,'27610','Romilly Sur Andelle',10106),(10117,'27190','Gaudreville La Rivière',10107),(10118,'27400','Pinterville',10108),(10119,'27220','La Forêt Du Parc',10109),(10120,'27520','Bosc Renoult En Roumois',10110),(10121,'27220','Mouettes',10111),(10122,'27110','Feuguerolles',10112),(10123,'27300','Carsix',10113),(10124,'27930','Émalleville',10114),(10125,'27180','Caugé',10115),(10126,'27810','Marcilly Sur Eure',10116),(10127,'27180','Saint Sébastien De Morsent',10117),(10128,'27790','Rosay Sur Lieure',10118),(10129,'27240','Manthelon',10119),(10130,'27330','Bois Normand Près Lyre',10120),(10131,'27930','Saint Martin La Campagne',10121),(10132,'27110','Épreville Près Le Neubourg',10122),(10133,'27930','Sassey',10123),(10134,'27410','Landepéreuse',10124),(10135,'27150','Gamaches En Vexin',10125),(10136,'27570','Breux Sur Avre',10126),(10137,'27930','Saint Germain Des Angles',10127),(10138,'27600','Saint Julien De La Liègue',10128),(10139,'27210','Saint Maclou',10129),(10140,'27370','Fouqueville',10130),(10141,'27500','Toutainville',10131),(10142,'27410','La Houssaye',10132),(10143,'27150','Hébécourt',10133),(10144,'27780','Garennes Sur Eure',10134),(10145,'27370','Saint Amand Des Hautes Terres',10135),(10146,'27930','Fauville',10136),(10147,'27620','Sainte Geneviève Lès Gasny',10137),(10148,'27160','Le Chesne',10138),(10149,'27330','Thevray',10139),(10150,'27390','Mesnil Rousset',10140),(10151,'27290','Illeville Sur Montfort',10141),(10152,'27730','Bueil',10142),(10153,'27220','Saint André De L\'Eure',10143),(10154,'27150','Mainneville',10144),(10155,'27290','Écaquelon',10145),(10156,'27370','Tourville La Campagne',10146),(10157,'27820','Chennebrun',10147),(10158,'27300','Boissy Lamberville',10148),(10159,'27120','Vaux Sur Eure',10149),(10160,'27240','Avrilly',10150),(10161,'27510','Panilleuse',10151),(10162,'27370','Amfreville La Campagne',10152),(10163,'27430','Vatteville',10153),(10164,'27930','La Chapelle Du Bois Des Faulx',10154),(10165,'27480','Lorleau',10155),(10166,'27930','Sacquenville',10156),(10167,'27480','Fleury La Forêt',10157),(10168,'27620','Giverny',10158),(10169,'27450','Saint Étienne L\'Allier',10159),(10170,'27850','Ménesqueville',10160),(10171,'27320','Moisville',10161),(10172,'27370','La Saussaye',10162),(10173,'27800','Saint Victor D\'Épine',10163),(10174,'27190','La Croisille',10164),(10175,'27510','Guitry',10165),(10176,'27450','Saint Benoît Des Ombres',10166),(10177,'27260','Morainville Jouveaux',10167),(10178,'27930','Tourneville',10168),(10179,'27630','Dampsmesnil',10169),(10180,'27950','Saint Pierre D\'Autils',10170),(10181,'27750','La Couture Boussey',10171),(10182,'27120','Saint Aquilin De Pacy',10172),(10183,'27930','Miserey',10173),(10184,'27270','La Trinité De Réville',10174),(10185,'27250','Juignettes',10175),(10186,'27170','Berville La Campagne',10176),(10187,'27330','Saint Pierre Du Mesnil',10177),(10188,'27370','Saint Cyr La Campagne',10178),(10189,'27640','Breuilpont',10179),(10190,'27680','Sainte Opportune La Mare',10180),(10191,'27410','Beaumesnil',10181),(10192,'27290','Touville',10182),(10193,'27680','Marais Vernier',10183),(10194,'27240','Le Sacq',10184),(10195,'27800','Calleville',10185),(10196,'27500','Saint Mards De Blacarville',10186),(10197,'27410','Le Noyer En Ouche',10187),(10198,'27420','Mouflaines',10188),(10199,'27410','Gouttières',10189),(10200,'27800','Saint Éloi De Fourques',10190),(10201,'27410','Jonquerets De Livet',10191),(10202,'27670','Saint Ouen Du Tilleul',10192),(10203,'27330','Épinay',10193),(10204,'27450','Saint Pierre Des Ifs',10194),(10205,'27500','Tocqueville',10195),(10206,'27220','Bretagnolles',10196),(10207,'27680','Saint Ouen Des Champs',10197),(10208,'27440','Gaillardbois Cressenville',10198),(10209,'27480','Lilly',10199),(10210,'27340','Damps',10200),(10211,'27800','Notre Dame D\'Épine',10201),(10212,'27600','Gaillon',10202),(10213,'27220','Mousseaux Neuville',10203),(10214,'27950','Saint Just',10204),(10215,'27700','Corny',10205),(10216,'27430','Connelles',10206),(10217,'27250','Chambord',10207),(10218,'27500','Préaux',10208),(10219,'27310','Bouquetot',10209),(10220,'27290','Authou',10210),(10221,'27290','Condé Sur Risle',10211),(10222,'27270','Capelle Les Grands',10212),(10223,'27560','Saint Jean De La Léqueraye',10213),(10224,'27950','Saint Vincent Des Bois',10214),(10225,'27370','La Pyle',10215),(10226,'27480','Le Tronquay',10216),(10227,'27230','Folleville',10217),(10228,'27640','Merey',10218),(10229,'27110','Graveron Sémerville',10219),(10230,'27520','Berville En Roumois',10220),(10231,'27250','Bottereaux',10221),(10232,'27110','Ecquetot',10222),(10233,'27240','Roman',10223),(10234,'27160','Francheville',10224),(10235,'27500','Saint Germain Village',10225),(10236,'27180','Baux Sainte Croix',10226),(10237,'27520','Bourgtheroulde Infreville',10227),(10238,'27730','Neuilly',10228),(10239,'27420','Villers En Vexin',10229),(10240,'27450','Saint Georges Du Vièvre',10230),(10241,'27930','Cierrey',10231),(10242,'27600','Fontaine Bellenger',10232),(10243,'27410','Sainte Marguerite En Ouche',10233),(10244,'27470','Fontaine L\'Abbé',10234),(10245,'27190','La Bonneville Sur Iton',10235),(10246,'27510','Fontenay',10236),(10247,'27390','Verneusses',10237),(10248,'27940','Aubevoye',10238),(10249,'27320','Marcilly La Campagne',10239),(10250,'27800','Morsan',10240),(10251,'27320','Nonancourt',10241),(10252,'27110','Sainte Opportune Du Bosc',10242),(10253,'27910','Hogues',10243),(10254,'27310','La Trinité De Thouberville',10244),(10255,'27150','Puchay',10245),(10256,'27500','Triqueville',10246),(10257,'27350','Rougemontiers',10247),(10258,'27800','La Haye De Calleville',10248),(10259,'27910','Perruel',10249),(10260,'27400','Hondouville',10250),(10261,'27350','Cauverville En Roumois',10251),(10262,'27230','Le Favril',10252),(10263,'27520','Bosc Bénard Commin',10253),(10264,'27230','Bournainville Faverolles',10254),(10265,'27520','Saint Philbert Sur Boissey',10255),(10266,'27710','Saint Georges Motel',10256),(10267,'27630','Civières',10257),(10268,'27370','La Harengère',10258),(10269,'27230','Barville',10259),(10270,'27490','Écardenville Sur Eure',10260),(10271,'27350','La Haye De Routot',10261),(10272,'27170','Écardenville La Campagne',10262),(10273,'27630','Bus Saint Rémy',10263),(10274,'27120','Douains',10264),(10275,'27950','La Heunière',10265),(10276,'27760','La Ferrière Sur Risle',10266),(10277,'27190','Sainte Marthe',10267),(10278,'27400','Amfreville Sur Iton',10268),(10279,'27210','Fiquefleur Équainville',10269),(10280,'27700','Hennezis',10270),(10281,'27120','Gadencourt',10271),(10282,'27930','Bacquepuis',10272),(10283,'27120','Le Cormier',10273),(10284,'27930','Reuilly',10274),(10285,'27150','Chauvincourt Provemont',10275),(10286,'27500','Bouquelon',10276),(10287,'27290','Montfort Sur Risle',10277),(10288,'27390','Saint Agnan De Cernières',10278),(10289,'27150','Mesnil Sous Vienne',10279),(10290,'27490','Autheuil Authouillet',10280),(10291,'27310','Bourg Achard',10281),(10292,'27930','Irreville',10282),(10293,'27150','Morgny',10283),(10294,'27540','Ivry La Bataille',10284),(10295,'27460','Alizay',10285),(10296,'27190','Faverolles La Campagne',10286),(10297,'27700','La Roquette',10287),(10298,'27110','Le Tilleul Lambert',10288),(10299,'27110','Le Neubourg',10289),(10300,'27260','Épaignes',10290),(10301,'27560','Lieurey',10291),(10302,'27170','Tilleul Dame Agnès',10292),(10303,'27120','Rouvray',10293),(10304,'27310','Épreville En Roumois',10294),(10305,'27580','Gournay Le Guérin',10295),(10306,'27230','Saint Germain La Campagne',10296),(10307,'27400','Surville',10297),(10308,'27490','Cailly Sur Eure',10298),(10309,'27130','Pullay',10299),(10310,'27800','Berthouville',10300),(10311,'27110','Cesseville',10301),(10312,'27510','Pressagny L\'Orgueilleux',10302),(10313,'27170','Le Tilleul Othon',10303),(10314,'27270','Saint Quentin Des Isles',10304),(10315,'27350','Valletot',10305),(10316,'27330','Gisay La Coudre',10306),(10317,'27180','Ventes',10307),(10318,'27560','Giverville',10308),(10319,'27500','Sainte Croix Sur Aizier',10309),(10320,'27230','Piencourt',10310),(10321,'27160','Guernanville',10311),(10322,'27490','Fontaine Heudebourg',10312),(10323,'27390','Notre Dame Du Hamel',10313),(10324,'27300','Saint Victor De Chrétienville',10314),(10325,'27150','La Neuve Grange',10315),(10326,'27390','La Goulafrière',10316),(10327,'27360','Pont Saint Pierre',10317),(10328,'27170','Beaumontel',10318),(10329,'27160','Condé Sur Iton',10319),(10330,'27500','Corneville Sur Risle',10320),(10331,'27210','Beuzeville',10321),(10332,'27210','Foulbec',10322),(10333,'27440','Mesnil Verclives',10323),(10334,'27160','Saint Ouen D\'Attez',10324),(10335,'27520','Saint Denis Des Monts',10325),(10336,'27250','Rugles',10326),(10337,'27110','Criquebeuf La Campagne',10327),(10338,'27560','La Noë Poulain',10328),(10339,'27120','Boncourt',10329),(10340,'27690','Léry',10330),(10341,'27000','Évreux',10331),(10342,'27290','Saint Philbert Sur Risle',10332),(10343,'27930','Le Vieil Évreux',10333),(10344,'27400','Vironvay',10334),(10345,'27140','Saint Denis Le Ferment',10335),(10346,'27800','Boisney',10336),(10347,'27350','Hauville',10337),(10348,'27370','Saint Ouen De Pontcheuil',10338),(10349,'27150','Sancourt',10339),(10350,'27290','Freneuse Sur Risle',10340),(10351,'27350','Éturqueraye',10341),(10352,'27400','Le Mesnil Jourdain',10342),(10353,'27380','Amfreville Les Champs',10343),(10354,'27500','Fourmetot',10344),(10355,'27110','Quittebeuf',10345),(10356,'27220','Serez',10346),(10357,'27180','Bernienville',10347),(10358,'27410','Saint Aubin Le Guichard',10348),(10359,'27720','Noyers',10349),(10360,'27650','Mesnil Sur L\'Estrée',10350),(10361,'27160','Sainte Marguerite De L\'Autel',10351),(10362,'27120','Fontaine Sous Jouy',10352),(10363,'27160','Baux De Breteuil',10353),(10364,'27150','Martagny',10354),(10365,'27320','Courdemanche',10355),(10366,'27130','Saint Victor Sur Avre',10356),(10367,'27160','Breteuil',10357),(10368,'27120','Houlbec Cocherel',10358),(10369,'27130','Courteilles',10359),(10370,'27410','Ajou',10360),(10371,'27100','Le Vaudreuil',10361),(10372,'27150','Doudeauville En Vexin',10362),(10373,'27510','Tourny',10363),(10374,'27250','Chéronvilliers',10364),(10375,'27230','Le Planquay',10365),(10376,'27240','Corneuil',10366),(10377,'27370','Le Thuit Simer',10367),(10378,'27300','Saint Léger De Rôtes',10368),(10379,'27290','Pont Authou',10369),(10380,'27390','Montreuil L\'Argillé',10370),(10381,'27630','Fours En Vexin',10371),(10382,'27390','Mélicourt',10372),(10383,'27950','Sainte Colombe Près Vernon',10373),(10384,'27240','Villalet',10374),(10385,'27400','Heudreville Sur Eure',10375),(10386,'27930','La Trinité',10376),(10387,'27230','Saint Mards De Fresne',10377),(10388,'27270','Broglie',10378),(10389,'27220','Saint Germain De Fresney',10379),(10390,'27190','Ferrières Haut Clocher',10380),(10391,'27910','Renneville',10381),(10392,'27290','Bonneville Aptot',10382),(10393,'27440','Lisors',10383),(10394,'27240','Buis Sur Damville',10384),(10395,'27460','Le Manoir',10385),(10396,'27450','Saint Martin Saint Firmin',10386),(10397,'27110','Venon',10387),(10398,'27290','Thierville',10388),(10399,'27930','Huest',10389),(10400,'27340','Criquebeuf Sur Seine',10390),(10401,'27120','Hardencourt Cocherel',10391),(10402,'27700','Cuverville',10392),(10403,'27170','Le Plessis Sainte Opportune',10393),(10404,'27150','Farceaux',10394),(10405,'27190','Émanville',10395),(10406,'27230','Heudreville En Lieuvin',10396),(10407,'27240','Gouville',10397),(10408,'27720','Guerny',10398),(10409,'27670','Le Bosc Roger En Roumois',10399),(10410,'27370','Le Thuit Anger',10400),(10411,'27660','Bernouville',10401),(10412,'27220','Coudres',10402),(10413,'27700','Heuqueville',10403),(10414,'27370','La Haye Du Theil',10404),(10415,'27210','Vannecrocq',10405),(10416,'27560','Saint Georges Du Mesnil',10406),(10417,'27430','Muids',10407),(10418,'27480','Lyons La Forêt',10408),(10419,'27800','Bretigny',10409),(10420,'27110','Le Troncq',10410),(10421,'27560','Noards',10411),(10422,'27370','Saint Pierre Du Bosguérard',10412),(10423,'27190','Portes',10413),(10424,'27370','Saint Pierre Des Fleurs',10414),(10425,'27410','Saint Aubin Des Hayes',10415),(10426,'27190','Beaubray',10416),(10427,'27940','Notre Dame De L\'Isle',10417),(10428,'27210','Boulleville',10418),(10429,'27220','Garencières',10419),(10430,'27380','Fleury Sur Andelle',10420),(10431,'27190','Le Mesnil Hardray',10421),(10432,'27800','Saint Paul De Fourques',10422),(10433,'27190','Conches En Ouche',10423),(10434,'27930','Gauville La Campagne',10424),(10435,'27390','Saint Laurent Du Tencement',10425),(10436,'27380','Douville Sur Andelle',10426),(10437,'27150','Saussay La Campagne',10427),(10438,'27230','Thiberville',10428),(10439,'27570','Tillières Sur Avre',10429),(10440,'27770','Illiers L\'Évêque',10430),(10441,'27320','Droisy',10431),(10442,'27190','Sébécourt',10432),(10443,'27250','Ambenay',10433),(10444,'27800','Bosrobert',10434),(10445,'27130','Verneuil Sur Avre',10435),(10446,'27110','Villettes',10436),(10447,'27230','La Chapelle Hareng',10437),(10448,'27110','Crosville La Vieille',10438),(10449,'27410','Granchain',10439),(10450,'27500','Selles',10440),(10451,'27190','Champ Dolent',10441),(10452,'27740','Poses',10442),(10453,'27950','Villez Sous Bailleul',10443),(10454,'27580','Chaise Dieu Du Theil',10444),(10455,'27300','Saint Aubin Le Vertueux',10445),(10456,'27420','Authevernes',10446),(10457,'27430','Saint Pierre Du Vauvray',10447),(10458,'27370','Saint Meslin Du Bosc',10448),(10459,'27630','Fourges',10449),(10460,'27600','Sainte Barbe Sur Gaillon',10450),(10461,'27940','Courcelles Sur Seine',10451),(10462,'27510','Mézières En Vexin',10452),(10463,'27260','Asnières',10453),(10464,'27800','Franqueville',10454),(10465,'27230','Places',10455),(10466,'27370','Le Thuit Signol',10456),(10467,'27300','Menneval',10457),(10468,'27730','Épieds',10458),(10469,'27430','Andé',10459),(10470,'27500','Tourville Sur Pont Audemer',10460),(10471,'27700','Bouafles',10461),(10472,'27600','Ailly',10462),(10473,'27630','Écos',10463),(10474,'27110','Daubeuf La Campagne',10464),(10475,'27110','Le Tremblay Omonville',10465),(10476,'28210','Saint Lucien',10466),(10477,'28700','Mondonville Saint Jean',10467),(10478,'28120','Épeautrolles',10468),(10479,'28360','Fresnay Le Comte',10469),(10480,'28560','Berchères Sur Vesgre',10470),(10481,'28630','Morancez',10471),(10482,'28150','Prasville',10472),(10483,'28340','Ressuintes',10473),(10484,'28310','Neuvy En Beauce',10474),(10485,'28700','Moinville La Jeulin',10475),(10486,'28800','Moriers',10476),(10487,'28120','Ermenonville La Grande',10477),(10488,'28310','Barmainville',10478),(10489,'28630','Le Coudray',10479),(10490,'28130','Mévoisins',10480),(10491,'28210','Chaudon',10481),(10492,'28310','Mérouville',10482),(10493,'28190','Saint Germain Le Gaillard',10483),(10494,'28170','Serazereux',10484),(10495,'28140','Guillonville',10485),(10496,'28140','Péronville',10486),(10497,'28150','Voves',10487),(10498,'28700','Le Gué De Longroi',10488),(10499,'28400','Souancé Au Perche',10489),(10500,'28310','Janville',10490),(10501,'28160','Bullou',10491),(10502,'28240','Vaupillon',10492),(10503,'28190','Billancelles',10493),(10504,'28300','Amilly',10494),(10505,'28320','Ymeray',10495),(10506,'28240','Montireau',10496),(10507,'28160','Mottereau',10497),(10508,'28190','Orrouer',10498),(10509,'28140','Loigny La Bataille',10499),(10510,'28160','Brou',10500),(10511,'28300','Challet',10501),(10512,'28330','Saint Bomer',10502),(10513,'28160','Mézières Au Perche',10503),(10514,'28210','Faverolles',10504),(10515,'28800','Saumeray',10505),(10516,'28140','Fontenay Sur Conie',10506),(10517,'28200','Civry',10507),(10518,'28150','Boncé',10508),(10519,'28190','Saint Georges Sur Eure',10509),(10520,'28240','Le Thieulin',10510),(10521,'28270','Fessanvilliers Mattanvilliers',10511),(10522,'28150','Pézy',10512),(10523,'28310','Baudreville',10513),(10524,'28330','Autels Villevillon',10514),(10525,'28270','Montigny Sur Avre',10515),(10526,'28160','Moulhard',10516),(10527,'28170','Puiseux',10517),(10528,'28130','Bouglainval',10518),(10529,'28320','Gas',10519),(10530,'28160','Yèvres',10520),(10531,'28570','Abondant',10521),(10532,'28310','Poinville',10522),(10533,'28240','Meaucé',10523),(10534,'28200','Moléans',10524),(10535,'28700','Saint Symphorien Le Château',10525),(10536,'28310','Allaines Mervilliers',10526),(10537,'28190','Dangers',10527),(10538,'28200','Saint Christophe',10528),(10539,'28290','Chapelle Royale',10529),(10540,'28150','Ouarville',10530),(10541,'28150','Rouvray Saint Florentin',10531),(10542,'28500','Garancières En Drouais',10532),(10543,'28240','Fontaine Simon',10533),(10544,'28700','Voise',10534),(10545,'28340','Boissy Lès Perche',10535),(10546,'28700','Orlu',10536),(10547,'28500','Saulnières',10537),(10548,'28360','Prunay Le Gillon',10538),(10549,'28220','Montigny Le Gannelon',10539),(10550,'28480','Happonvilliers',10540),(10551,'28240','Montlandon',10541),(10552,'28170','Fontaine Les Ribouts',10542),(10553,'28150','Villeneuve Saint Nicolas',10543),(10554,'28330','Authon Du Perche',10544),(10555,'28400','Margon',10545),(10556,'28120','Nogent Sur Eure',10546),(10557,'28270','Châtelets',10547),(10558,'28350','Dampierre Sur Avre',10548),(10559,'28170','Saint Maixme Hauterive',10549),(10560,'28150','Beauvilliers',10550),(10561,'28700','Oinville Sous Auneau',10551),(10562,'28130','Chartainvilliers',10552),(10563,'28250','Louvilliers Lès Perche',10553),(10564,'28500','Montreuil',10554),(10565,'28410','Boutigny Prouais',10555),(10566,'28700','La Chapelle D\'Aunainville',10556),(10567,'28140','Tillay Le Péneux',10557),(10568,'28210','Néron',10558),(10569,'28330','Charbonnières',10559),(10570,'28150','Louville La Chenard',10560),(10571,'28240','Manou',10561),(10572,'28480','La Croix Du Perche',10562),(10573,'28200','Villampuy',10563),(10574,'28250','Senonches',10564),(10575,'28190','Landelles',10565),(10576,'28130','Maintenon',10566),(10577,'28260','Rouvres',10567),(10578,'28210','Bréchamps',10568),(10579,'28330','Chapelle Guillaume',10569),(10580,'28330','Étilleux',10570),(10581,'28800','Villiers Saint Orien',10571),(10582,'28160','Gohory',10572),(10583,'28140','Courbehaye',10573),(10584,'28500','Crécy Couvé',10574),(10585,'28170','Ardelles',10575),(10586,'28310','Trancrainville',10576),(10587,'28380','Saint Rémy Sur Avre',10577),(10588,'28230','Épernon',10578),(10589,'28480','Chassant',10579),(10590,'28120','Saint Éman',10580),(10591,'28630','Sours',10581),(10592,'28410','Havelu',10582),(10593,'28700','Béville Le Comte',10583),(10594,'28400','Champrond En Perchet',10584),(10595,'28700','Levainville',10585),(10596,'28140','Lumeau',10586),(10597,'28360','Luplanté',10587),(10598,'28140','Baigneaux',10588),(10599,'28220','Saint Hilaire Sur Yerre',10589),(10600,'28800','Dancy',10590),(10601,'28210','Villemeux Sur Eure',10591),(10602,'28200','Marboué',10592),(10603,'28700','Roinville',10593),(10604,'28290','Châtillon En Dunois',10594),(10605,'28200','Thiville',10595),(10606,'28330','Soize',10596),(10607,'28240','Corvées Les Yys',10597),(10608,'28500','Germainville',10598),(10609,'28700','Oysonville',10599),(10610,'28200','Saint Denis Les Ponts',10600),(10611,'28150','Allonnes',10601),(10612,'28300','Lèves',10602),(10613,'28800','Bullainville',10603),(10614,'28190','Pontgouin',10604),(10615,'28210','Ormoy',10605),(10616,'28300','Saint Prest',10606),(10617,'28800','Pré Saint Évroult',10607),(10618,'28420','Beaumont Les Autels',10608),(10619,'28330','Béthonvilliers',10609),(10620,'28110','Lucé',10610),(10621,'28240','Saint Victor De Buthon',10611),(10622,'28000','Chartres',10612),(10623,'28700','Francourville',10613),(10624,'28700','Umpeau',10614),(10625,'28800','Montboissier',10615),(10626,'28310','Oinville Saint Liphard',10616),(10627,'28130','Pierres',10617),(10628,'28700','Maisons',10618),(10629,'28240','Champrond En Gâtine',10619),(10630,'28190','Saint Luperce',10620),(10631,'28290','Saint Pellerin',10621),(10632,'28170','Le Boullay Les Deux Églises',10622),(10633,'28340','La Ferté Vidame',10623),(10634,'28210','Coulombs',10624),(10635,'28700','Saint Léger Des Aubées',10625),(10636,'28170','Maillebois',10626),(10637,'28200','Conie Molitard',10627),(10638,'28500','Luray',10628),(10639,'28300','Jouy',10629),(10640,'28130','Yermenonville',10630),(10641,'28700','Santeuil',10631),(10642,'28140','Cormainville',10632),(10643,'28220','Douy',10633),(10644,'28300','Briconville',10634),(10645,'28310','Gommerville',10635),(10646,'28150','Villars',10636),(10647,'28140','Varize',10637),(10648,'28140','Bazoches En Dunois',10638),(10649,'28310','Santilly',10639),(10650,'28360','Vitray En Beauce',10640),(10651,'28240','Saint Éliph',10641),(10652,'28250','La Saucelle',10642),(10653,'28480','Combres',10643),(10654,'28160','Unverre',10644),(10655,'28190','Mittainvilliers',10645),(10656,'28500','Aunay Sous Crécy',10646),(10657,'28240','Belhomert Guéhouville',10647),(10658,'28330','La Bazoche Gouet',10648),(10659,'28210','Le Boullay Mivoye',10649),(10660,'28500','Cherisy',10650),(10661,'28410','Champagne',10651),(10662,'28630','Thivars',10652),(10663,'28120','Méréglise',10653),(10664,'28410','Bû',10654),(10665,'28630','Gellainville',10655),(10666,'28350','Saint Lubin Des Joncherets',10656),(10667,'28300','Fresnay Le Gilmert',10657),(10668,'28200','Lutz En Dunois',10658),(10669,'28340','Lamblore',10659),(10670,'28120','Saint Avit Les Guespières',10660),(10671,'28220','Cloyes Sur Le Loir',10661),(10672,'28200','La Chapelle Du Noyer',10662),(10673,'28270','Escorpain',10663),(10674,'28400','Coudreceau',10664),(10675,'28270','La Mancelière',10665),(10676,'28700','Garancières En Beauce',10666),(10677,'28500','Vert En Drouais',10667),(10678,'28320','Bailleau Armenonville',10668),(10679,'28120','Charonville',10669),(10680,'28500','Garnay',10670),(10681,'28150','Villeau',10671),(10682,'28170','Favières',10672),(10683,'28300','Clévilliers',10673),(10684,'28140','Terminiers',10674),(10685,'28480','Frétigny',10675),(10686,'28310','Gouillons',10676),(10687,'28800','Neuvy En Dunois',10677),(10688,'28140','Nottonville',10678),(10689,'28420','Vichères',10679),(10690,'28800','Flacey',10680),(10691,'28140','Poupry',10681),(10692,'28260','La Chaussée D\'Ivry',10682),(10693,'28120','Magny',10683),(10694,'28340','Morvilliers',10684),(10695,'28170','Thimert Gâtelles',10685),(10696,'28210','Pinthières',10686),(10697,'28240','La Loupe',10687),(10698,'28500','Charpont',10688),(10699,'28130','Houx',10689),(10700,'28260','Anet',10690),(10701,'28200','Saint Cloud En Dunois',10691),(10702,'28210','Croisilles',10692),(10703,'28220','Autheuil',10693),(10704,'28100','Dreux',10694),(10705,'28150','Boisville La Saint Père',10695),(10706,'28340','La Chapelle Fortin',10696),(10707,'28320','Gallardon',10697),(10708,'28120','Ollé',10698),(10709,'28200','Logron',10699),(10710,'28120','Vieuvicq',10700),(10711,'28150','Viabon',10701),(10712,'28270','Brezolles',10702),(10713,'28800','Montharville',10703),(10714,'28560','Saint Ouen Marchefroy',10704),(10715,'28400','Marolles Les Buis',10705),(10716,'28290','Courtalain',10706),(10717,'28410','Saint Lubin De La Haye',10707),(10718,'28700','Houville La Branche',10708),(10719,'28270','Beauche',10709),(10720,'28120','Bailleau Le Pin',10710),(10721,'28150','Baignolet',10711),(10722,'28310','Rouvray Saint Denis',10712),(10723,'28130','Villiers Le Morhier',10713),(10724,'28150','Ymonville',10714),(10725,'28500','Allainville',10715),(10726,'28500','Marville Moutiers Brûlé',10716),(10727,'28190','Villebon',10717),(10728,'28210','Nogent Le Roi',10718),(10729,'28150','Moutiers',10719),(10730,'28260','Le Mesnil Simon',10720),(10731,'28190','Le Favril',10721),(10732,'28260','Saussay',10722),(10733,'28120','Blandainville',10723),(10734,'28500','Vernouillet',10724),(10735,'28270','Revercourt',10725),(10736,'28270','Laons',10726),(10737,'28120','Meslay Le Grenet',10727),(10738,'28120','Châtelliers Notre Dame',10728),(10739,'28150','Réclainville',10729),(10740,'28420','Argenvilliers',10730),(10741,'28190','Saint Arnoult Des Bois',10731),(10742,'28200','Lanneray',10732),(10743,'28800','Alluyes',10733),(10744,'28300','Saint Aubin Des Bois',10734),(10745,'28140','Orgères En Beauce',10735),(10746,'28270','Bérou La Mulotière',10736),(10747,'28500','Louvilliers En Drouais',10737),(10748,'28500','Mézières En Drouais',10738),(10749,'28170','Châteauneuf En Thymerais',10739),(10750,'28270','Crucey Villages',10740),(10751,'28630','Ver Lès Chartres',10741),(10752,'28130','Hanches',10742),(10753,'28190','Fruncé',10743),(10754,'28120','Sandarville',10744),(10755,'28700','Léthuin',10745),(10756,'28700','Vierville',10746),(10757,'28800','Trizay Lès Bonneval',10747),(10758,'28310','Fresnay L\'Évêque',10748),(10759,'28200','Donnemain Saint Mamès',10749),(10760,'28270','Rueil La Gadelière',10750),(10761,'28800','Pré Saint Martin',10751),(10762,'28360','Meslay Le Vidame',10752),(10763,'28310','Guilleville',10753),(10764,'28800','Bouville',10754),(10765,'28800','Sancheville',10755),(10766,'28500','Tréon',10756),(10767,'28190','Chuisnes',10757),(10768,'28700','Bleury',10758),(10769,'28290','Arrou',10759),(10770,'28220','Romilly Sur Aigre',10760),(10771,'28200','Châteaudun',10761),(10772,'28300','Gasville Oisème',10762),(10773,'28140','Germignonville',10763),(10774,'28230','Droue Sur Drouette',10764),(10775,'28310','Le Puiset',10765),(10776,'28250','Le Mesnil Thomas',10766),(10777,'28360','La Bourdinière Saint Loup',10767),(10778,'28310','Toury',10768),(10779,'28270','Châtaincourt',10769),(10780,'28120','Montigny Le Chartif',10770),(10781,'28420','Luigny',10771),(10782,'28260','Guainville',10772),(10783,'28420','Miermaigne',10773),(10784,'28140','Dambron',10774),(10785,'28200','Jallans',10775),(10786,'28150','Fains La Folie',10776),(10787,'28630','Nogent Le Phaye',10777),(10788,'28410','Marchezais',10778),(10789,'28260','Boncourt',10779),(10790,'28700','Champseru',10780),(10791,'28410','Goussainville',10781),(10792,'28360','Theuville',10782),(10793,'28300','Cintray',10783),(10794,'28130','Soulaires',10784),(10795,'28800','Bonneval',10785),(10796,'28250','Digny',10786),(10797,'28410','Broué',10787),(10798,'28400','La Gaudaine',10788),(10799,'28220','Boisgasson',10789),(10800,'28800','Saint Maur Sur Le Loir',10790),(10801,'28140','Bazoches Les Hautes',10791),(10802,'28220','Charray',10792),(10803,'28240','Saint Denis Des Puits',10793),(10804,'28300','Mainvilliers',10794),(10805,'28250','Jaudrais',10795),(10806,'28170','Tremblay Les Villages',10796),(10807,'28120','Cernay',10797),(10808,'28320','Écrosnes',10798),(10809,'28500','Ouerre',10799),(10810,'28800','Le Gault Saint Denis',10800),(10811,'28210','Lormaye',10801),(10812,'28300','Poisvilliers',10802),(10813,'28220','Langey',10803),(10814,'28260','Gilles',10804),(10815,'28130','Saint Piat',10805),(10816,'28190','Courville Sur Eure',10806),(10817,'28300','Champhol',10807),(10818,'28700','Auneau',10808),(10819,'28630','Berchères Les Pierres',10809),(10820,'28120','Nonvilliers Grandhoux',10810),(10821,'28270','Prudemanche',10811),(10822,'28400','Nogent Le Rotrou',10812),(10823,'28160','Frazé',10813),(10824,'28330','Coudray Au Perche',10814),(10825,'28700','Morainville',10815),(10826,'28600','Luisant',10816),(10827,'28700','Châtenay',10817),(10828,'28500','La Chapelle Forainvilliers',10818),(10829,'28190','Fontaine La Guyon',10819),(10830,'28630','Fontenay Sur Eure',10820),(10831,'28210','Senantes',10821),(10832,'28500','Sainte Gemme Moronval',10822),(10833,'28340','Rohaire',10823),(10834,'28500','Boissy En Drouais',10824),(10835,'28270','Saint Lubin De Cravant',10825),(10836,'28220','Le Mée',10826),(10837,'28480','Saint Denis D\'Authou',10827),(10838,'28300','Coltainville',10828),(10839,'28160','Dangeau',10829),(10840,'28240','Friaize',10830),(10841,'28520','Sorel Moussel',10831),(10842,'28240','Saint Maurice Saint Germain',10832),(10843,'28300','Berchères Saint Germain',10833),(10844,'28630','Corancez',10834),(10845,'28170','Saint Ange Et Torçay',10835),(10846,'28700','Denonville',10836),(10847,'28700','Ardelu',10837),(10848,'28360','Dammarie',10838),(10849,'28250','La Framboisière',10839),(10850,'28210','Le Boullay Thierry',10840),(10851,'28630','Barjouville',10841),(10852,'28210','Saint Laurent La Gâtine',10842),(10853,'28700','Aunay Sous Auneau',10843),(10854,'28120','Marchéville',10844),(10855,'28260','Oulins',10845),(10856,'28310','Intréville',10846),(10857,'28630','Mignières',10847),(10858,'28170','Saint Sauveur Marville',10848),(10859,'28130','Saint Martin De Nigelles',10849),(10860,'28200','Ozoir Le Breuil',10850),(10861,'28400','Brunelles',10851),(10862,'28400','Saint Jean Pierre Fixte',10852),(10863,'28120','Illiers Combray',10853),(10864,'28150','Montainville',10854),(10865,'28120','Chauffours',10855),(10866,'28170','Saint Jean De Rebervilliers',10856),(10867,'28250','La Puisaye',10857),(10868,'28190','Vérigny',10858),(10869,'28310','Levesville La Chenard',10859),(10870,'28300','Bailleau L\'Évêque',10860),(10871,'28400','Trizay Coutretot Saint Serge',10861),(10872,'28120','Ermenonville La Petite',10862),(10873,'28410','Serville',10863),(10874,'28700','Sainville',10864),(10875,'28480','Thiron Gardais',10865),(10876,'28500','Écluzelles',10866),(10877,'28220','La Ferté Villeneuil',10867),(10878,'28160','Dampierre Sous Brou',10868),(10879,'29470','Loperhet',10869),(10880,'29790','Confort Meilars',10870),(10881,'29460','Daoulas',10871),(10882,'29290','Lanrivoaré',10872),(10883,'29270','Plounévézel',10873),(10884,'29630','Plougasnou',10874),(10885,'29430','Plounévez Lochrist',10875),(10886,'29890','Kerlouan',10876),(10887,'29710','Guiler Sur Goyen',10877),(10888,'29190','Lothey',10878),(10889,'29710','Peumérit',10879),(10890,'29430','Plouescat',10880),(10891,'29290','Guipronvel',10881),(10892,'29150','Dinéault',10882),(10893,'29690','La Feuillée',10883),(10894,'29770','Primelin',10884),(10895,'29450','Le Tréhou',10885),(10896,'29480','Le Relecq Kerhuon',10886),(10897,'29410','Guiclan',10887),(10898,'29720','Tréogat',10888),(10899,'29300','Tréméven',10889),(10900,'29140','Saint Yvi',10890),(10901,'29720','Plovan',10891),(10902,'29100','Kerlaz',10892),(10903,'29820','Guilers',10893),(10904,'29460','Hanvec',10894),(10905,'29860','Le Drennec',10895),(10906,'29440','Saint Vougay',10896),(10907,'29690','Locmaria Berrien',10897),(10908,'29670','Locquénolé',10898),(10909,'29870','Lannilis',10899),(10910,'29390','Leuhan',10900),(10911,'29270','Saint Hernin',10901),(10912,'29600','Sainte Sève',10902),(10913,'29290','Milizac',10903),(10914,'29790','Beuzec Cap Sizun',10904),(10915,'29800','Plouédern',10905),(10916,'29270','Motreff',10906),(10917,'29270','Kergloff',10907),(10918,'29550','Plonévez Porzay',10908),(10919,'29410','Loc Eguiner Saint Thégonnec',10909),(10920,'29260','Saint Frégant',10910),(10921,'29800','Saint Thonan',10911),(10922,'29800','La Roche Maurice',10912),(10923,'29650','Guerlesquin',10913),(10924,'29510','Briec',10914),(10925,'29590','Saint Ségal',10915),(10926,'29440','Tréflaouénan',10916),(10927,'29830','Plourin',10917),(10928,'29650','Botsorhel',10918),(10929,'29120','Plomeur',10919),(10930,'29300','Guilligomarc\'H',10920),(10931,'29800','Tréflévénez',10921),(10932,'29340','Riec Sur Belon',10922),(10933,'29670','Taulé',10923),(10934,'29690','Plouyé',10924),(10935,'29400','Bodilis',10925),(10936,'29460','Irvillac',10926),(10937,'29300','Quimperlé',10927),(10938,'29870','Tréglonou',10928),(10939,'29190','Lennon',10929),(10940,'29120','Saint Jean Trolimon',10930),(10941,'29100','Le Juch',10931),(10942,'29170','Saint Évarzec',10932),(10943,'29460','Saint Eloy',10933),(10944,'29770','Goulien',10934),(10945,'29450','Sizun',10935),(10946,'29217','Trébabu',10936),(10947,'29710','Landudec',10937),(10948,'29640','Scrignac',10938),(10949,'29430','Lanhouarneau',10939),(10950,'29150','Port Launay',10940),(10951,'29470','Plougastel Daoulas',10941),(10952,'29560','Trégarvan',10942),(10953,'29250','Saint Pol De Léon',10943),(10954,'29300','Rédené',10944),(10955,'29250','Plougoulm',10945),(10956,'29190','Saint Rivoal',10946),(10957,'29180','Guengat',10947),(10958,'29260','Kernouës',10948),(10959,'29880','Plouguerneau',10949),(10960,'29690','Berrien',10950),(10961,'29170','Fouesnant',10951),(10962,'29930','Pont Aven',10952),(10963,'29420','Plouénan',10953),(10964,'29730','Treffiagat',10954),(10965,'29710','Plonéis',10955),(10966,'29390','Scaër',10956),(10967,'29360','Clohars Carnoët',10957),(10968,'29590','Rosnoën',10958),(10969,'29241','Locquirec',10959),(10970,'29190','Le Cloître Pleyben',10960),(10971,'29940','La Forêt Fouesnant',10961),(10972,'29640','Plougonven',10962),(10973,'29670','Henvic',10963),(10974,'29253','Île De Batz',10964),(10975,'29600','Saint Martin Des Champs',10965),(10976,'29150','Châteaulin',10966),(10977,'29590','Le Faou',10967),(10978,'29530','Landeleau',10968),(10979,'29640','Bolazec',10969),(10980,'29100','Poullan Sur Mer',10970),(10981,'29420','Plouvorn',10971),(10982,'29510','Landrévarzec',10972),(10983,'29620','Guimaëc',10973),(10984,'29400','Saint Servais',10974),(10985,'29120','Pont L\'Abbé',10975),(10986,'29590','Lopérec',10976),(10987,'29890','Brignogan Plage',10977),(10988,'29710','Pouldreuzic',10978),(10989,'29660','Carantec',10979),(10990,'29300','Arzano',10980),(10991,'29510','Edern',10981),(10992,'29620','Lanmeur',10982),(10993,'29490','Guipavas',10983),(10994,'29290','Saint Renan',10984),(10995,'29400','Loc Eguiner',10985),(10996,'29900','Concarneau',10986),(10997,'29260','Kernilis',10987),(10998,'29680','Roscoff',10988),(10999,'29820','Bohars',10989),(11000,'29250','Santec',10990),(11001,'29120','Tréméoc',10991),(11002,'29800','La Forest Landerneau',10992),(11003,'29180','Plogonnec',10993),(11004,'29850','Gouesnou',10994),(11005,'29290','Tréouergat',10995),(11006,'29100','Pouldergat',10996),(11007,'29140','Tourch',10997),(11008,'29410','Pleyber Christ',10998),(11009,'29440','Saint Derrien',10999),(11010,'29140','Melgven',11000),(11011,'29260','Lesneven',11001),(11012,'29400','Landivisiau',11002),(11013,'29890','Goulven',11003),(11014,'29870','Landéda',11004),(11015,'29600','Plourin Lès Morlaix',11005),(11016,'29400','Plounéventer',11006),(11017,'29800','Ploudiry',11007),(11018,'29300','Baye',11008),(11019,'29750','Loctudy',11009),(11020,'29530','Collorec',11010),(11021,'29980','Île Tudy',11011),(11022,'29910','Trégunc',11012),(11023,'29610','Garlan',11013),(11024,'29160','Crozon',11014),(11025,'29430','Tréflez',11015),(11026,'29810','Lampaul Plouarzel',11016),(11027,'29840','Lanildut',11017),(11028,'29730','Guilvinec',11018),(11029,'29440','Trézilidé',11019),(11030,'29860','Plabennec',11020),(11031,'29242','Ouessant',11021),(11032,'29600','Morlaix',11022),(11033,'29860','Bourg Blanc',11023),(11034,'29380','Le Trévoux',11024),(11035,'29560','Telgruc Sur Mer',11025),(11036,'29800','Pencran',11026),(11037,'29800','Saint Urbain',11027),(11038,'29280','Plouzané',11028),(11039,'29550','Saint Nic',11029),(11040,'29790','Mahalon',11030),(11041,'29180','Locronan',11031),(11042,'29450','Commana',11032),(11043,'29510','Landudal',11033),(11044,'29970','Trégourez',11034),(11045,'29830','Plouguin',11035),(11046,'29710','Plozévet',11036),(11047,'29840','Porspoder',11037),(11048,'29190','Gouézec',11038),(11049,'29830','Saint Pabu',11039),(11050,'29690','Huelgoat',11040),(11051,'29233','Cléder',11041),(11052,'29260','Plouider',11042),(11053,'29530','Loqueffret',11043),(11054,'29810','Brélès',11044),(11055,'29570','Camaret Sur Mer',11045),(11056,'29620','Plouégat Guérand',11046),(11057,'29550','Plomodiern',11047),(11058,'29610','Plouigneau',11048),(11059,'29280','Locmaria Plouzané',11049),(11060,'29550','Ploéven',11050),(11061,'29140','Rosporden',11051),(11062,'29410','Saint Thégonnec',11052),(11063,'29380','Bannalec',11053),(11064,'29420','Mespaul',11054),(11065,'29400','Lampaul Guimiliau',11055),(11066,'29120','Combrit',11056),(11067,'29460','Dirinon',11057),(11068,'29860','Plouvien',11058),(11069,'29259','Île Molène',11059),(11070,'29810','Ploumoguer',11060),(11071,'29520','Saint Thois',11061),(11072,'29570','Roscanvel',11062),(11073,'29710','Plogastel Saint Germain',11063),(11074,'29650','Le Ponthou',11064),(11075,'29310','Locunolé',11065),(11076,'29800','Trémaouézan',11066),(11077,'29690','Botmeur',11067),(11078,'29640','Lannéanou',11068),(11079,'29880','Guissény',11069),(11080,'29160','Lanvéoc',11070),(11081,'29260','Ploudaniel',11071),(11082,'29830','Lampaul Ploudalmézeau',11072),(11083,'29370','Coray',11073),(11084,'29540','Spézet',11074),(11085,'29510','Langolen',11075),(11086,'29540','Châteauneuf Du Faou',11076),(11087,'29890','Plounéour Trez',11077),(11088,'29770','Audierne',11078),(11089,'29500','Ergué Gabéric',11079),(11090,'29150','Saint Coulitz',11080),(11091,'29650','Plouégat Moysan',11081),(11092,'29460','Hôpital Camfrout',11082),(11093,'29440','Plougar',11083),(11094,'29250','Sibiril',11084),(11095,'29690','Brennilis',11085),(11096,'29560','Landévennec',11086),(11097,'29400','Locmélar',11087),(11098,'29260','Loc Brévalaire',11088),(11099,'29520','Laz',11089),(11100,'29310','Querrien',11090),(11101,'29000','Quimper',11091),(11102,'29790','Pont Croix',11092),(11103,'29170','Pleuven',11093),(11104,'29190','Pleyben',11094),(11105,'29760','Penmarch',11095),(11106,'29710','Gourlizon',11096),(11107,'29380','Saint Thurien',11097),(11108,'29440','Plouzévédé',11098),(11109,'29950','Bénodet',11099),(11110,'29260','Lanarvily',11100),(11111,'29720','Tréguennec',11101),(11112,'29770','Esquibien',11102),(11113,'29770','Plogoff',11103),(11114,'29100','Douarnenez',11104),(11115,'29770','Cléden Cap Sizun',11105),(11116,'29400','Guimiliau',11106),(11117,'29260','Saint Méen',11107),(11118,'29800','Landerneau',11108),(11119,'29260','Trégarantec',11109),(11120,'29370','Elliant',11110),(11121,'29810','Plouarzel',11111),(11122,'29400','Lanneuffret',11112),(11123,'29920','Névez',11113),(11124,'29800','Saint Divy',11114),(11125,'29950','Clohars Fouesnant',11115),(11126,'29350','Moëlan Sur Mer',11116),(11127,'29700','Pluguffan',11117),(11128,'29410','Le Cloître Saint Thégonnec',11118),(11129,'29720','Plonéour Lanvern',11119),(11130,'29560','Argol',11120),(11131,'29840','Landunvez',11121),(11132,'29300','Mellac',11122),(11133,'29270','Cléden Poher',11123),(11134,'29410','Plounéour Ménez',11124),(11135,'29190','Brasparts',11125),(11136,'29217','Le Conquet',11126),(11137,'29990','Île De Sein',11127),(11138,'29950','Gouesnach',11128),(11139,'29400','Plougourvest',11129),(11140,'29217','Plougonvelin',11130),(11141,'29530','Plonévez Du Faou',11131),(11142,'29740','Plobannalec Lesconil',11132),(11143,'29860','Kersaint Plabennec',11133),(11144,'29180','Quéménéven',11134),(11145,'29520','Saint Goazec',11135),(11146,'29780','Plouhinec',11136),(11147,'29400','Saint Sauveur',11137),(11148,'29630','Saint Jean Du Doigt',11138),(11149,'29590','Pont De Buis Lès Quimerch',11139),(11150,'29870','Coat Méal',11140),(11151,'29270','Carhaix Plouguer',11141),(11152,'29200','Brest',11142),(11153,'29190','Lannédern',11143),(11154,'29252','Plouezoc\'H',11144),(11155,'29260','Le Folgoët',11145),(11156,'29700','Plomelin',11146),(11157,'29460','Logonna Daoulas',11147),(11158,'29800','La Martyre',11148),(11159,'29246','Poullaouen',11149),(11160,'29830','Ploudalmézeau',11150),(11161,'29150','Cast',11151),(11162,'30240','Le Grau Du Roi',11152),(11163,'30390','Domazan',11153),(11164,'30960','Mages',11154),(11165,'30300','Jonquières Saint Vincent',11155),(11166,'30190','La Calmette',11156),(11167,'30120','Bez Et Esparon',11157),(11168,'30250','Villevieille',11158),(11169,'30770','Arrigas',11159),(11170,'30700','Arpaillargues Et Aureillac',11160),(11171,'30190','Moussac',11161),(11172,'30450','Sénéchas',11162),(11173,'30440','Saint Laurent Le Minier',11163),(11174,'30700','Saint Victor Des Oules',11164),(11175,'30260','Sardan',11165),(11176,'30150','Roquemaure',11166),(11177,'30580','Lussan',11167),(11178,'30390','Aramon',11168),(11179,'30760','Laval Saint Roman',11169),(11180,'30980','Saint Dionisy',11170),(11181,'30330','Connaux',11171),(11182,'30260','Corconne',11172),(11183,'30920','Codognan',11173),(11184,'30460','Lasalle',11174),(11185,'30700','Baron',11175),(11186,'30170','La Cadière Et Cambo',11176),(11187,'30260','Cannes Et Clairan',11177),(11188,'30610','Sauve',11178),(11189,'30450','Concoules',11179),(11190,'30320','Poulx',11180),(11191,'30260','Quissac',11181),(11192,'30250','Aubais',11182),(11193,'30430','Rivières',11183),(11194,'30200','Vénéjan',11184),(11195,'30129','Redessan',11185),(11196,'30300','Beaucaire',11186),(11197,'30220','Aigues Mortes',11187),(11198,'30450','Ponteils Et Brésis',11188),(11199,'30170','Saint Hippolyte Du Fort',11189),(11200,'30114','Nages Et Solorgues',11190),(11201,'30430','Méjannes Le Clap',11191),(11202,'30870','Clarensac',11192),(11203,'30140','Mialet',11193),(11204,'30450','Bonnevaux',11194),(11205,'30120','Mandagout',11195),(11206,'30700','Montaren Et Saint Médiers',11196),(11207,'30170','Cros',11197),(11208,'30740','Le Cailar',11198),(11209,'30360','Saint Étienne De L\'Olm',11199),(11210,'30110','Lamelouze',11200),(11211,'30126','Tavel',11201),(11212,'30114','Boissières',11202),(11213,'30520','Saint Martin De Valgalgues',11203),(11214,'30260','Liouc',11204),(11215,'30350','Saint Bénézet',11205),(11216,'30350','Moulézan',11206),(11217,'30700','Saint Hippolyte De Montaigu',11207),(11218,'30490','Montfrin',11208),(11219,'30760','Saint Christol De Rodières',11209),(11220,'30750','Trèves',11210),(11221,'30440','Saint Martial',11211),(11222,'30140','Saint Félix De Pallières',11212),(11223,'30130','Saint Paulet De Caisson',11213),(11224,'30960','Saint Jean De Valériscle',11214),(11225,'30200','Saint Nazaire',11215),(11226,'30500','Saint Denis',11216),(11227,'30129','Manduel',11217),(11228,'30110','Salles Du Gardon',11218),(11229,'30250','Combas',11219),(11230,'30440','Saint Bresson',11220),(11231,'30350','Cardet',11221),(11232,'30133','Angles',11222),(11233,'30570','Notre Dame De La Rouvière',11223),(11234,'30580','Navacelles',11224),(11235,'30122','Plantiers',11225),(11236,'30270','Saint Jean Du Gard',11226),(11237,'30360','Cruviers Lascours',11227),(11238,'30750','Causse Bégon',11228),(11239,'30190','Saint Geniès De Malgoirès',11229),(11240,'30580','Seynes',11230),(11241,'30210','Cabrières',11231),(11242,'30510','Générac',11232),(11243,'30500','Potelières',11233),(11244,'30260','Gailhan',11234),(11245,'30300','Vallabrègues',11235),(11246,'30210','Sernhac',11236),(11247,'30260','Bragassargues',11237),(11248,'30130','Pont Saint Esprit',11238),(11249,'30630','Saint André De Roquepertuis',11239),(11250,'30750','Lanuéjols',11240),(11251,'30700','Aigaliers',11241),(11252,'30200','Saint Michel D\'Euzet',11242),(11253,'30260','Carnas',11243),(11254,'30130','Saint Alexandre',11244),(11255,'30210','Castillon Du Gard',11245),(11256,'30160','Gagnières',11246),(11257,'30190','Aubussargues',11247),(11258,'30140','Anduze',11248),(11259,'30210','Vers Pont Du Gard',11249),(11260,'30770','Alzon',11250),(11261,'30630','Cornillon',11251),(11262,'30410','Molières Sur Cèze',11252),(11263,'30620','Bernis',11253),(11264,'30160','Robiac Rochessadoule',11254),(11265,'30700','Sanilhac Sagriès',11255),(11266,'30140','Massillargues Attuech',11256),(11267,'30870','Saint Côme Et Maruéjols',11257),(11268,'30160','Peyremale',11258),(11269,'30250','Salinelles',11259),(11270,'30580','Belvézet',11260),(11271,'30750','Dourbies',11261),(11272,'30340','Saint Privat Des Vieux',11262),(11273,'30220','Saint Laurent D\'Aigouze',11263),(11274,'30760','Salazac',11264),(11275,'30110','Sainte Cécile D\'Andorge',11265),(11276,'30190','Sauzet',11266),(11277,'30410','Meyrannes',11267),(11278,'30190','Saint Chaptes',11268),(11279,'30330','Saint Marcel De Careiret',11269),(11280,'30440','Sumène',11270),(11281,'30340','Rousson',11271),(11282,'30170','Fressac',11272),(11283,'30350','Domessargues',11273),(11284,'30450','Aujac',11274),(11285,'30350','Saint Jean De Serres',11275),(11286,'30530','Chamborigaud',11276),(11287,'30350','Lédignan',11277),(11288,'30210','Fournès',11278),(11289,'30300','Fourques',11279),(11290,'30210','Remoulins',11280),(11291,'30110','Laval Pradel',11281),(11292,'30720','Ribaute Les Tavernes',11282),(11293,'30650','Rochefort Du Gard',11283),(11294,'30140','Corbès',11284),(11295,'30111','Congénies',11285),(11296,'30350','Montagnac',11286),(11297,'30640','Beauvoisin',11287),(11298,'30770','Campestre Et Luc',11288),(11299,'30820','Caveirac',11289),(11300,'30170','Conqueyrac',11290),(11301,'30131','Pujaut',11291),(11302,'30260','Crespian',11292),(11303,'30340','Méjannes Lès Alès',11293),(11304,'30260','Montmirat',11294),(11305,'30620','Aubord',11295),(11306,'30750','Saint Sauveur Camprieu',11296),(11307,'30360','Saint Hippolyte De Caton',11297),(11308,'30190','Bourdic',11298),(11309,'30580','La Bruguière',11299),(11310,'30120','Avèze',11300),(11311,'30150','Saint Geniès De Comolas',11301),(11312,'30190','Boucoiran Et Nozières',11302),(11313,'30700','La Capelle Et Masmolène',11303),(11314,'30730','Montpezat',11304),(11315,'30460','Saint Bonnet De Salendrinque',11305),(11316,'30120','Le Vigan',11306),(11317,'30110','La Grand Combe',11307),(11318,'30730','Parignargues',11308),(11319,'30760','Saint Julien De Peyrolas',11309),(11320,'30580','Fons Sur Lussan',11310),(11321,'30440','Saint Roman De Codières',11311),(11322,'30620','Uchaud',11312),(11323,'30430','Tharaux',11313),(11324,'30330','La Bastide D\'Engras',11314),(11325,'30350','Aigremont',11315),(11326,'30800','Saint Gilles',11316),(11327,'30210','Argilliers',11317),(11328,'30330','Le Pin',11318),(11329,'30150','Sauveterre',11319),(11330,'30470','Aimargues',11320),(11331,'30360','Monteils',11321),(11332,'30530','La Vernarède',11322),(11333,'30430','Barjac',11323),(11334,'30840','Meynes',11324),(11335,'30200','Sabran',11325),(11337,'30730','Gajan',11326),(11338,'30480','Saint Paul La Coste',11327),(11339,'30200','Orsan',11328),(11340,'30700','Saint Maximin',11329),(11341,'30310','Vergèze',11330),(11342,'30390','Estézargues',11331),(11343,'30440','Roquedur',11332),(11344,'30140','Bagard',11333),(11345,'30450','Malons Et Elze',11334),(11346,'30730','Saint Bauzély',11335),(11347,'30300','Comps',11336),(11348,'30200','Codolet',11337),(11349,'30210','Pouzilhac',11338),(11350,'30580','Vallérargues',11339),(11351,'30150','Montfaucon',11340),(11352,'30250','Aspères',11341),(11353,'30960','Saint Florent Sur Auzonnet',11342),(11354,'30250','Souvignargues',11343),(11355,'30340','Servas',11344),(11356,'30124','L\'Estréchure',11345),(11357,'30360','Saint Césaire De Gauzignan',11346),(11358,'30190','Garrigues Sainte Eulalie',11347),(11359,'30210','Collias',11348),(11360,'30330','Saint Laurent La Vernède',11349),(11361,'30132','Caissargues',11350),(11362,'30450','Chambon',11351),(11363,'30260','Vic Le Fesq',11352),(11364,'30450','Génolhac',11353),(11365,'30200','Bagnols Sur Cèze',11354),(11366,'30330','Saint Paul Les Fonts',11355),(11367,'30580','Bouquet',11356),(11368,'30170','Monoblet',11357),(11369,'30430','Rochegude',11358),(11370,'30330','Saint André D\'Olérargues',11359),(11371,'30210','Valliguières',11360),(11372,'30460','Vabres',11361),(11373,'30540','Milhaud',11362),(11374,'30700','Saint Siffret',11363),(11375,'30120','Bréau Et Salagosse',11364),(11376,'30190','Collorgues',11365),(11377,'30360','Martignargues',11366),(11378,'30610','Logrian Florian',11367),(11379,'30580','Fontarèches',11368),(11380,'30570','Valleraugue',11369),(11381,'30500','Allègre Les Fumades',11370),(11382,'30140','Boisset Et Gaujac',11371),(11383,'30125','Saumane',11372),(11384,'30120','Molières Cavaillac',11373),(11385,'30940','Saint André De Valborgne',11374),(11386,'30120','Aulas',11375),(11387,'30330','Gaujac',11376),(11388,'30730','Fons',11377),(11389,'30160','Bordezac',11378),(11390,'30760','Le Garn',11379),(11391,'30160','Bessèges',11380),(11392,'30330','Saint Pons La Calm',11381),(11393,'30500','Saint Victor De Malcap',11382),(11394,'30700','Saint Quentin La Poterie',11383),(11395,'30330','Tresques',11384),(11396,'30350','Massanes',11385),(11397,'30700','Flaux',11386),(11398,'30390','Théziers',11387),(11399,'30560','Saint Hilaire De Brethmas',11388),(11400,'30500','Saint Brès',11389),(11401,'30610','Saint Jean De Crieulon',11390),(11402,'30760','Issirac',11391),(11403,'30460','Colognac',11392),(11404,'30360','Euzet',11393),(11405,'30140','Tornac',11394),(11406,'30630','Goudargues',11395),(11407,'30350','Savignargues',11396),(11408,'30360','Ners',11397),(11409,'30290','Saint Victor La Coste',11398),(11410,'30200','Chusclan',11399),(11411,'30700','Blauzac',11400),(11412,'30750','Revens',11401),(11413,'30190','Sainte Anastasie',11402),(11414,'30700','Foissac',11403),(11415,'30260','Orthoux Sérignac Quilhan',11404),(11416,'30350','Lézan',11405),(11417,'30250','Lecques',11406),(11418,'30250','Junas',11407),(11419,'30120','Arphy',11408),(11420,'30190','Montignargues',11409),(11421,'30120','Montdardier',11410),(11422,'30121','Mus',11411),(11423,'30190','Saint Dézéry',11412),(11424,'30320','Saint Gervasy',11413),(11425,'30250','Fontanès',11414),(11426,'30440','Saint Julien De La Nef',11415),(11427,'30120','Arre',11416),(11428,'30700','Vallabrix',11417),(11429,'30770','Vissec',11418),(11430,'30200','La Roque Sur Cèze',11419),(11431,'30350','Mauressargues',11420),(11432,'30110','Branoux Les Taillades',11421),(11433,'30630','Montclus',11422),(11434,'30580','Brouzet Lès Alès',11423),(11435,'30330','Pougnadoresse',11424),(11436,'30570','Saint André De Majencoules',11425),(11437,'30210','Saint Hilaire D\'Ozilhan',11426),(11438,'30190','Dions',11427),(11439,'30200','Saint Étienne Des Sorts',11428),(11440,'30260','Brouzet Lès Quissac',11429),(11441,'30130','Carsan',11430),(11442,'30600','Vestric Et Candiac',11431),(11443,'30124','Peyrolles',11432),(11444,'30500','Saint Ambroix',11433),(11445,'30700','Uzès',11434),(11446,'30340','Salindres',11435),(11447,'30320','Marguerittes',11436),(11448,'30110','Soustelle',11437),(11449,'30250','Sommières',11438),(11450,'30420','Calvisson',11439),(11451,'30100','Alès',11440),(11452,'30600','Vauvert',11441),(11453,'30140','Générargues',11442),(11454,'30340','Saint Julien Les Rosiers',11443),(11455,'30400','Villeneuve Lès Avignon',11444),(11456,'30360','Saint Jean De Ceyrargues',11445),(11457,'30460','Soudorgues',11446),(11458,'30190','Brignon',11447),(11459,'30210','Lédenon',11448),(11460,'30260','Saint Théodorit',11449),(11461,'30210','Saint Bonnet Du Gard',11450),(11462,'30770','Blandas',11451),(11463,'30380','Saint Christol Lès Alès',11452),(11464,'30530','Portes',11453),(11465,'30320','Bezouce',11454),(11466,'30700','Serviers Et Labaume',11455),(11467,'30330','Cavillargues',11456),(11468,'30126','Lirac',11457),(11469,'30430','Saint Jean De Maruéjols Et Avéjan',11458),(11470,'30430','Saint Privat De Champclos',11459),(11471,'30730','Saint Mamert Du Gard',11460),(11472,'30960','Le Martinet',11461),(11473,'30128','Garons',11462),(11474,'30340','Mons',11463),(11475,'30140','Saint Jean Du Pin',11464),(11476,'30350','Maruéjols Lès Gardon',11465),(11477,'30120','Rogues',11466),(11478,'30170','Durfort Et Saint Martin De Sossenac',11467),(11479,'30770','Aumessas',11468),(11480,'30260','Saint Clément',11469),(11481,'30670','Aigues Vives',11470),(11482,'30660','Gallargues Le Montueux',11471),(11483,'30610','Saint Nazaire Des Gardies',11472),(11484,'30360','Saint Maurice De Cazevieille',11473),(11485,'30360','Vézénobres',11474),(11486,'30250','Aujargues',11475),(11487,'30340','Plans',11476),(11488,'30200','Saint Laurent De Carnols',11477),(11489,'30127','Bellegarde',11478),(11490,'30500','Courry',11479),(11491,'30200','Saint Gervais',11480),(11492,'30230','Rodilhan',11481),(11493,'30630','Verfeuil',11482),(11494,'30120','Mars',11483),(11495,'30350','Canaules Et Argentières',11484),(11496,'30190','Castelnau Valence',11485),(11497,'30170','Pompignan',11486),(11498,'30580','Saint Just Et Vacquières',11487),(11499,'30120','Pommiers',11488),(11500,'30140','Saint Sébastien D\'Aigrefeuille',11489),(11501,'30650','Saze',11490),(11502,'30190','La Rouvière',11491),(11503,'30760','Aiguèze',11492),(11504,'30460','Sainte Croix De Caderle',11493),(11505,'30360','Deaux',11494),(11506,'30980','Langlade',11495),(11507,'30230','Bouillargues',11496),(11508,'30290','Laudun L\'Ardoise',11497),(11509,'30480','Cendras',11498),(11510,'30140','Thoiras',11499),(11511,'30500','Saint Julien De Cassagnas',11500),(11512,'30126','Saint Laurent Des Arbres',11501),(11513,'30610','Puechredon',11502),(11514,'30350','Cassagnoles',11503),(11515,'31350','Lunax',11504),(11516,'31470','Fontenilles',11505),(11517,'31160','Arbon',11506),(11518,'31580','Loudet',11507),(11519,'31110','Castillon De Larboust',11508),(11520,'31110','Saint Aventin',11509),(11521,'31310','Gensac Sur Garonne',11510),(11522,'31130','Pin Balma',11511),(11523,'31260','Ausseing',11512),(11524,'31460','Ségreville',11513),(11525,'31570','Tarabel',11514),(11526,'31840','Seilh',11515),(11527,'31120','Roques',11516),(11528,'31470','Bragayrac',11517),(11529,'31580','Boudrac',11518),(11530,'31440','Esténos',11519),(11531,'31340','Mirepoix Sur Tarn',11520),(11532,'31540','Juzes',11521),(11533,'31260','Salies Du Salat',11522),(11534,'31160','Soueich',11523),(11535,'31700','Beauzelle',11524),(11536,'31510','Sauveterre De Comminges',11525),(11537,'31110','Portet De Luchon',11526),(11538,'31380','Gragnague',11527),(11539,'31390','Lacaugne',11528),(11540,'31360','Lestelle De Saint Martory',11529),(11541,'31800','Saint Gaudens',11530),(11542,'31120','Lacroix Falgarde',11531),(11543,'31440','Lez',11532),(11544,'31320','Vigoulet Auzil',11533),(11545,'31220','Cazères',11534),(11546,'31470','Empeaux',11535),(11547,'31210','Le Cuing',11536),(11548,'31410','Le Fauga',11537),(11549,'31540','Saint Julia',11538),(11550,'31120','Roquettes',11539),(11551,'31190','Lagrâce Dieu',11540),(11552,'31590','Saint Marcel Paulel',11541),(11553,'31230','Lilhac',11542),(11554,'31490','Léguevin',11543),(11555,'31160','Sengouagnet',11544),(11556,'31770','Colomiers',11545),(11557,'31260','Castagnède',11546),(11558,'31320','Péchabou',11547),(11559,'31440','Fos',11548),(11560,'31230','Fabas',11549),(11561,'31430','Pouy De Touges',11550),(11562,'31440','Chaum',11551),(11563,'31260','Francazal',11552),(11564,'31350','Cardeilhac',11553),(11565,'31220','Mondavezan',11554),(11566,'31560','Monestrol',11555),(11567,'31510','Barbazan',11556),(11568,'31380','Montjoire',11557),(11569,'31260','Figarol',11558),(11570,'31110','Montauban De Luchon',11559),(11571,'31450','Montgiscard',11560),(11572,'31600','Muret',11561),(11573,'31420','Terrebasse',11562),(11574,'31450','Montesquieu Lauragais',11563),(11575,'31700','Daux',11564),(11576,'31340','La Magdelaine Sur Tarn',11565),(11577,'31160','Cabanac Cazaux',11566),(11578,'31470','Saint Lys',11567),(11579,'31570','Aurin',11568),(11580,'31320','Vieille Toulouse',11569),(11581,'31520','Ramonville Saint Agne',11570),(11582,'31230','Mauvezin',11571),(11583,'31370','Le Pin Murelet',11572),(11584,'31510','Ore',11573),(11585,'31350','Saint Lary Boujean',11574),(11586,'31230','Anan',11575),(11587,'31190','Miremont',11576),(11588,'31110','Caubous',11577),(11589,'31420','Francon',11578),(11590,'31210','Ausson',11579),(11591,'31360','Boussens',11580),(11592,'31350','Sarrecave',11581),(11593,'31550','Gaillac Toulza',11582),(11594,'31260','His',11583),(11595,'31340','Le Born',11584),(11596,'31380','Villariès',11585),(11597,'31530','Menville',11586),(11598,'31360','Saint Martory',11587),(11599,'31530','Mérenvielle',11588),(11600,'31440','Binos',11589),(11601,'31510','Antichan De Frontignes',11590),(11602,'31150','Gratentour',11591),(11603,'31110','Garin',11592),(11604,'31220','Couladère',11593),(11605,'31460','Le Faget',11594),(11606,'31700','Cornebarrieu',11595),(11607,'31210','Tourreilles',11596),(11608,'31320','Mervilla',11597),(11609,'31800','Savarthès',11598),(11610,'31290','Trébons Sur La Grasse',11599),(11611,'31540','Roumens',11600),(11612,'31590','Gauré',11601),(11613,'31290','Cessales',11602),(11614,'31480','Le Grès',11603),(11615,'31460','Francarville',11604),(11616,'31530','Pradère Les Bourguets',11605),(11617,'31810','Vernet',11606),(11618,'31150','Fenouillet',11607),(11619,'31470','Saiguède',11608),(11620,'31190','Mauvaisin',11609),(11621,'31450','Ayguesvives',11610),(11622,'31320','Castanet Tolosan',11611),(11623,'31190','Mauressac',11612),(11624,'31350','Nénigan',11613),(11625,'31370','Montastruc Savès',11614),(11626,'31170','Tournefeuille',11615),(11627,'31350','Saint Ferréol De Comminges',11616),(11628,'31390','Salles Sur Garonne',11617),(11629,'31430','Saint Élix Le Château',11618),(11630,'31190','Labruyère Dorsa',11619),(11631,'31550','Cintegabelle',11620),(11632,'31370','Rieumes',11621),(11633,'31230','Salerm',11622),(11634,'31460','Caraman',11623),(11635,'31620','Labastide Saint Sernin',11624),(11636,'31290','Garde',11625),(11637,'31310','Tour',11626),(11638,'31510','Lourde',11627),(11639,'31220','Saint Julien Sur Garonne',11628),(11640,'31800','Aspret Sarrat',11629),(11641,'31420','Aulon',11630),(11642,'31220','Montclar De Comminges',11631),(11643,'31180','Saint Geniès Bellevue',11632),(11644,'31260','Montgaillard De Salies',11633),(11645,'31510','Bagiry',11634),(11646,'31460','Loubens Lauragais',11635),(11647,'31590','Saint Pierre',11636),(11648,'31290','Folcarde',11637),(11649,'31120','Portet Sur Garonne',11638),(11650,'31600','Lherm',11639),(11651,'31450','Montlaur',11640),(11652,'31230','Riolas',11641),(11653,'31450','Pouze',11642),(11654,'31390','Carbonne',11643),(11655,'31230','Frontignan Savès',11644),(11656,'31110','Bourg D\'Oueil',11645),(11657,'31310','Saint Christaud',11646),(11658,'31780','Castelginest',11647),(11659,'31160','Estadens',11648),(11660,'31450','Espanès',11649),(11661,'31310','Rieux Volvestre',11650),(11662,'31110','Moustajon',11651),(11663,'31160','Ganties',11652),(11664,'31120','Goyrans',11653),(11665,'31160','Encausse Les Thermes',11654),(11666,'31220','Lavelanet De Comminges',11655),(11667,'31510','Labroquère',11656),(11668,'31410','Longages',11657),(11669,'31510','Saint Pé D\'Ardet',11658),(11670,'31410','Saint Sulpice Sur Lèze',11659),(11671,'31530','Bretx',11660),(11672,'31160','Montastruc De Salies',11661),(11673,'31880','La Salvetat Saint Gilles',11662),(11674,'31430','Saint Araille',11663),(11675,'31460','Albiac',11664),(11676,'31350','Sarremezan',11665),(11677,'31450','Baziège',11666),(11678,'31360','Laffite Toupière',11667),(11679,'31290','Villefranche De Lauragais',11668),(11680,'31700','Mondonville',11669),(11681,'31230','Mirambeau',11670),(11682,'31380','Azas',11671),(11683,'31230','Ambax',11672),(11684,'31530','Bellegarde Sainte Marie',11673),(11685,'31390','Lafitte Vigordane',11674),(11686,'31450','Labastide Beauvoir',11675),(11687,'31800','Labarthe Inard',11676),(11688,'31220','Lescuns',11677),(11689,'31800','Villeneuve De Rivière',11678),(11690,'31210','Cuguron',11679),(11691,'31210','Montréjeau',11680),(11692,'31450','Noueilles',11681),(11693,'31160','Chein Dessus',11682),(11694,'31310','Mailholas',11683),(11695,'31160','Izaut De L\'Hôtel',11684),(11696,'31280','Mons',11685),(11697,'31340','Villemur Sur Tarn',11686),(11698,'31360','Roquefort Sur Garonne',11687),(11699,'31480','Cox',11688),(11700,'31800','Larcan',11689),(11701,'31620','Bouloc',11690),(11702,'31440','Marignac',11691),(11703,'31530','Saint Paul Sur Save',11692),(11704,'31820','Pibrac',11693),(11705,'31450','Belberaud',11694),(11706,'31700','Blagnac',11695),(11707,'31540','Bélesta En Lauragais',11696),(11708,'31480','Cadours',11697),(11709,'31450','Belbèze De Lauragais',11698),(11710,'31440','Fronsac',11699),(11711,'31660','Bessières',11700),(11712,'31360','Castillon De Saint Martory',11701),(11713,'31860','Pins Justaret',11702),(11714,'31220','Saint Michel',11703),(11715,'31480','Laréole',11704),(11716,'31540','Saint Félix Lauragais',11705),(11717,'31350','Mondilhan',11706),(11718,'31410','Lavernose Lacasse',11707),(11720,'31290','Rieumajou',11708),(11721,'31270','Frouzins',11709),(11722,'31560','Montgeard',11710),(11723,'31420','Bouzin',11711),(11724,'31290','Montgaillard Lauragais',11712),(11725,'31800','Lieoux',11713),(11726,'31230','Cazac',11714),(11727,'31110','Salles Et Pratviel',11715),(11728,'31230','L\'Isle En Dodon',11716),(11729,'31620','Villaudric',11717),(11730,'31370','Sabonnères',11718),(11731,'31570','Bourg Saint Bernard',11719),(11732,'31290','Vallègue',11720),(11733,'31450','Deyme',11721),(11734,'31370','Plagnole',11722),(11735,'31340','Villematier',11723),(11736,'31370','Savères',11724),(11737,'31620','Villeneuve Lès Bouloc',11725),(11738,'31850','Beaupuy',11726),(11739,'31460','Caragoudes',11727),(11740,'31620','Cépet',11728),(11741,'31230','Montesquieu Guittaut',11729),(11742,'31320','Auzeville Tolosane',11730),(11743,'31290','Beauteville',11731),(11744,'31410','Montaut',11732),(11745,'31800','Saint Marcet',11733),(11746,'31190','Auterive',11734),(11747,'31550','Marliac',11735),(11748,'31350','Blajan',11736),(11749,'31220','Palaminy',11737),(11750,'31420','Alan',11738),(11751,'31580','Saint Plancard',11739),(11752,'31310','Canens',11740),(11753,'31260','Cassagne',11741),(11754,'31160','Arguenos',11742),(11755,'31440','Saint Béat',11743),(11756,'31530','Lasserre',11744),(11757,'31440','Burgalays',11745),(11758,'31570','Lanta',11746),(11759,'31590','Verfeil',11747),(11760,'31580','Cazaril Tambourès',11748),(11761,'31570','Vallesvilles',11749),(11762,'31160','Razecueillé',11750),(11763,'31330','Merville',11751),(11764,'31260','Urau',11752),(11765,'31530','Montaigut Sur Save',11753),(11766,'31230','Castelgaillard',11754),(11767,'31570','Saint Pierre De Lages',11755),(11768,'31110','Saint Mamet',11756),(11769,'31450','Corronsac',11757),(11770,'31850','Mondouzil',11758),(11771,'31370','Beaufort',11759),(11772,'31750','Escalquens',11760),(11773,'31800','Valentine',11761),(11774,'31580','Lécussan',11762),(11775,'31440','Baren',11763),(11776,'31160','Herran',11764),(11777,'31230','Goudex',11765),(11778,'31440','Bezins Garraux',11766),(11779,'31420','Boussan',11767),(11780,'31530','Le Castéra',11768),(11781,'31460','Auriac Sur Vendinelle',11769),(11782,'31110','Juzet De Luchon',11770),(11783,'31600','Seysses',11771),(11784,'31350','Montgaillard Sur Save',11772),(11785,'31650','Lauzerville',11773),(11786,'31560','Gibel',11774),(11787,'31420','Samouillan',11775),(11788,'31320','Rebigue',11776),(11789,'31800','Lodes',11777),(11790,'31870','Lagardelle Sur Lèze',11778),(11791,'31350','Ciadoux',11779),(11792,'31290','Villenouvelle',11780),(11793,'31350','Castéra Vignoles',11781),(11794,'31420','Saint Élix Séglan',11782),(11795,'31620','Saint Rustice',11783),(11796,'31480','Vignaux',11784),(11797,'31190','Caujac',11785),(11798,'31190','Puydaniel',11786),(11799,'31460','Prunet',11787),(11800,'31110','Saint Paul D\'Oueil',11788),(11801,'31840','Aussonne',11789),(11802,'31290','Saint Germier',11790),(11803,'31210','Huos',11791),(11804,'31800','Miramont De Comminges',11792),(11805,'31310','Goutevernisse',11793),(11806,'31410','Saint Hilaire',11794),(11807,'31270','Villeneuve Tolosane',11795),(11808,'31480','Puysségur',11796),(11809,'31480','Brignemont',11797),(11810,'31810','Venerque',11798),(11811,'31590','Bonrepos Riquet',11799),(11812,'31210','Ponlat Taillebourg',11800),(11813,'31240','Saint Jean',11801),(11814,'31350','Saint Pé Delbosc',11802),(11815,'31360','Proupiary',11803),(11816,'31510','Luscan',11804),(11817,'31140','Saint Loup Cammas',11805),(11818,'31210','Pointis De Rivière',11806),(11819,'31280','Drémil Lafage',11807),(11820,'31160','Couret',11808),(11821,'31140','Aucamville',11809),(11822,'31580','Sédeilhac',11810),(11823,'31560','Calmont',11811),(11824,'31210','Gourdan Polignan',11812),(11825,'31440','Signac',11813),(11826,'31350','Péguilhan',11814),(11827,'31380','Gémil',11815),(11828,'31290','Avignonet Lauragais',11816),(11829,'31480','Cabanac Séguenville',11817),(11830,'31390','Peyssies',11818),(11831,'31140','Montberon',11819),(11832,'31600','Labastidette',11820),(11833,'31290','Montclar Lauragais',11821),(11834,'31790','Saint Sauveur',11822),(11835,'31240','L\'Union',11823),(11836,'31450','Odars',11824),(11837,'31850','Montrabé',11825),(11838,'31160','Portet D\'Aspet',11826),(11839,'31460','Toutens',11827),(11840,'31480','Drudas',11828),(11841,'31790','Saint Jory',11829),(11842,'31620','Castelnau D\'Estrétefonds',11830),(11843,'31290','Lux',11831),(11844,'31110','Sode',11832),(11845,'31650','Saint Orens De Gameville',11833),(11846,'31110','Antignac',11834),(11847,'31110','Trébons De Luchon',11835),(11848,'31450','Varennes',11836),(11849,'31470','Fonsorbes',11837),(11850,'31220','Mauran',11838),(11851,'31670','Labège',11839),(11852,'31310','Lahitère',11840),(11853,'31470','Saint Thomas',11841),(11854,'31580','Larroque',11842),(11855,'31380','Roquesérière',11843),(11856,'31150','Gagnac Sur Garonne',11844),(11857,'31560','Caignac',11845),(11858,'31450','Pompertuzat',11846),(11859,'31230','Martisserre',11847),(11860,'31450','Donneville',11848),(11861,'31420','Peyrissas',11849),(11862,'31530','Thil',11850),(11863,'31260','Mane',11851),(11864,'31450','Fourquevaux',11852),(11865,'31350','Lespugue',11853),(11866,'31370','Bérat',11854),(11867,'31370','Poucharramet',11855),(11868,'31460','Maureville',11856),(11869,'31310','Bax',11857),(11870,'31360','Arnaud Guilhem',11858),(11871,'31350','Charlas',11859),(11872,'31270','Cugnaux',11860),(11873,'31160','Castelbiague',11861),(11874,'31540','Maurens',11862),(11875,'31800','Lalouret Laffiteau',11863),(11876,'31460','Mascarville',11864),(11877,'31800','Rieucazé',11865),(11878,'31350','Boulogne Sur Gesse',11866),(11879,'31800','Latoue',11867),(11880,'31290','Gardouch',11868),(11881,'31810','Clermont Le Fort',11869),(11882,'31230','Agassac',11870),(11883,'31570','Préserville',11871),(11884,'31370','Montgras',11872),(11885,'31510','Frontignan De Comminges',11873),(11886,'31370','Forgues',11874),(11887,'31420','Eoux',11875),(11888,'31330','Ondes',11876),(11889,'31260','Marsoulas',11877),(11890,'31540','Nogaret',11878),(11891,'31360','Saint Médard',11879),(11892,'31460','Le Cabanial',11880),(11893,'31230','Labastide Paumès',11881),(11894,'31190','Auragne',11882),(11895,'31360','Mancioux',11883),(11896,'31230','Coueilles',11884),(11897,'31340','Layrac Sur Tarn',11885),(11898,'31230','Saint Frajou',11886),(11899,'31470','Cambernard',11887),(11900,'31560','Nailloux',11888),(11901,'31440','Boutx',11889),(11902,'31510','Valcabrère',11890),(11903,'31360','Sepx',11891),(11904,'31430','Polastron',11892),(11905,'31110','Mayrègne',11893),(11906,'31310','Latrape',11894),(11907,'31420','Esparron',11895),(11908,'31230','Puymaurin',11896),(11909,'31490','Brax',11897),(11910,'31800','Estancarbon',11898),(11911,'31260','Montespan',11899),(11912,'31460','Beauville',11900),(11913,'31360','Beauchalot',11901),(11914,'31430','Fustignac',11902),(11915,'31580','Balesta',11903),(11916,'31420','Montoulieu Saint Bernard',11904),(11917,'31330','Saint Cézert',11905),(11918,'31420','Bachas',11906),(11919,'31370','Monès',11907),(11920,'31510','Seilhan',11908),(11921,'31190','Esperce',11909),(11922,'31460','La Salvetat Lauragais',11910),(11923,'31430','Lussan Adeilhac',11911),(11924,'31560','Seyre',11912),(11925,'31290','Saint Rome',11913),(11926,'31320','Pechbusque',11914),(11927,'31380','Saint Jean Lherm',11915),(11928,'31310','Lapeyrère',11916),(11929,'31110','Cazeaux De Larboust',11917),(11930,'31130','Balma',11918),(11931,'31210','Ardiège',11919),(11932,'31570','Sainte Foy D\'Aigrefeuille',11920),(11933,'31410','Capens',11921),(11934,'31370','Lautignac',11922),(11935,'31590','Lavalette',11923),(11936,'31110','Saccourvielle',11924),(11937,'31160','Aspet',11925),(11938,'31420','Cassagnabère Tournas',11926),(11939,'31390','Bois De La Pierre',11927),(11940,'31540','Montégut Lauragais',11928),(11941,'31230','Boissède',11929),(11942,'31510','Malvezie',11930),(11943,'31370','Lahage',11931),(11944,'31420','Saint André',11932),(11945,'31310','Gouzens',11933),(11946,'31430','Gratens',11934),(11947,'31360','Le Fréchet',11935),(11948,'31230','Montbernard',11936),(11949,'31220','Plagne',11937),(11950,'31440','Melles',11938),(11951,'31220','Montberaud',11939),(11952,'31110','Oô',11940),(11953,'31410','Montgazin',11941),(11954,'31260','Mazères Sur Salat',11942),(11955,'31140','Saint Alban',11943),(11956,'31210','Bordes De Rivière',11944),(11957,'31140','Launaguet',11945),(11958,'31160','Rouède',11946),(11959,'31830','Plaisance Du Touch',11947),(11960,'31800','Saux Et Pomarède',11948),(11961,'31330','Launac',11949),(11962,'31360','Auzas',11950),(11963,'31210','Franquevielle',11951),(11964,'31420','Peyrouzet',11952),(11965,'31380','Bazus',11953),(11966,'31460','Mourvilles Basses',11954),(11967,'31110','Cier De Luchon',11955),(11968,'31600','Lamasquère',11956),(11969,'31180','Rouffiac Tolosan',11957),(11970,'31160','Juzet D\'Izaut',11958),(11971,'31440','Cazaux Layrisse',11959),(11972,'31860','Villate',11960),(11973,'31110','Cathervielle',11961),(11974,'31260','Escoulis',11962),(11975,'31420','Benque',11963),(11976,'31310','Massabrac',11964),(11977,'31410','Noé',11965),(11978,'31280','Aigrefeuille',11966),(11979,'31380','Garidech',11967),(11980,'31110','Cirès',11968),(11981,'31140','Pechbonnieu',11969),(11982,'31250','Vaudreuille',11970),(11983,'31180','Lapeyrouse Fossat',11971),(11984,'31130','Quint Fonsegrives',11972),(11985,'31160','Cazaunous',11973),(11986,'31190','Auribail',11974),(11987,'31350','Escanecrabe',11975),(11988,'31190','Grépiac',11976),(11989,'31420','Cazeneuve Montaut',11977),(11990,'31290','Vieillevigne',11978),(11991,'31350','Montmaurin',11979),(11992,'31250','Revel',11980),(11993,'31430','Castelnau Picampeau',11981),(11994,'31460','Saussens',11982),(11995,'31650','Auzielle',11983),(11996,'31150','Bruguières',11984),(11997,'31510','Galié',11985),(11998,'31800','Labarthe Rivière',11986),(11999,'31310','Castagnac',11987),(12000,'31330','Larra',11988),(12001,'31860','Labarthe Sur Lèze',11989),(12002,'31660','Buzet Sur Tarn',11990),(12003,'31220','Martres Tolosane',11991),(12004,'31160','Fougaron',11992),(12005,'31440','Bachos',11993),(12006,'31260','Touille',11994),(12007,'31460','Cambiac',11995),(12008,'31380','Paulhac',11996),(12009,'31260','Saleich',11997),(12010,'31260','Belbèze En Comminges',11998),(12011,'31150','Lespinasse',11999),(12012,'31530','Lévignac',12000),(12013,'31160','Moncaup',12001),(12014,'31220','Marignac Laspeyres',12002),(12015,'31350','Saman',12003),(12016,'31210','Martres De Rivière',12004),(12017,'31260','Montsaunès',12005),(12018,'31110','Bagnères De Luchon',12006),(12019,'31450','Montbrun Lauragais',12007),(12020,'31110','Cazaril Laspènes',12008),(12021,'31110','Poubeau',12009),(12022,'31510','Cier De Rivière',12010),(12023,'31440','Argut Dessous',12011),(12024,'31160','Lespiteau',12012),(12025,'31110','Jurvielle',12013),(12026,'31160','Milhas',12014),(12027,'31440','Arlos',12015),(12028,'31110','Benque Dessous Et Dessus',12016),(12029,'31370','Sajas',12017),(12030,'31110','Artigue',12018),(12031,'31110','Gouaux De Luchon',12019),(12032,'31110','Gouaux De Larboust',12020),(12033,'31440','Guran',12021),(12034,'31110','Billière',12022),(12035,'31220','Le Plan',12023),(12036,'31430','Montégut Bourjac',12024),(12037,'31210','Clarac',12025),(12038,'31470','Sainte Foy De Peyrolières',12026),(12039,'31310','Montbrun Bocage',12027),(12040,'31480','Bellesserre',12028),(12041,'31600','Saint Clar De Rivière',12029),(12042,'31350','Nizan Gesse',12030),(12043,'31540','Mourvilles Hautes',12031),(12044,'31870','Beaumont Sur Lèze',12032),(12045,'31440','Eup',12033),(12046,'31230','Saint Laurent',12034),(12047,'31620','Gargas',12035),(12048,'31430','Sénarens',12036),(12049,'31410','Mauzac',12037),(12050,'31370','Labastide Clermont',12038),(12051,'31510','Saint Bertrand De Comminges',12039),(12052,'31510','Payssous',12040),(12053,'31430','Le Fousseret',12041),(12054,'31430','Montoussin',12042),(12055,'31310','Montesquieu Volvestre',12043),(12056,'31330','Le Burgaud',12044),(12057,'31350','Saint Loup En Comminges',12045),(12058,'31420','Aurignac',12046),(12059,'31160','Arbas',12047),(12060,'31510','Mont De Galié',12048),(12061,'31800','Régades',12049),(12062,'31540','Falga',12050),(12063,'31340','Vacquiers',12051),(12064,'31480','Pelleport',12052),(12065,'31330','Grenade',12053),(12066,'31340','Bondigoux',12054),(12067,'31620','Fronton',12055),(12068,'31480','Caubiac',12056),(12069,'31530','Sainte Livrade',12057),(12070,'31380','Montastruc La Conseillère',12058),(12071,'31480','Lagraulet Saint Nicolas',12059),(12072,'31540','Vaux',12060),(12073,'31290','Renneville',12061),(12074,'31120','Pinsaguel',12062),(12075,'31350','Gensac De Boulogne',12063),(12076,'31440','Cierp Gaud',12064),(12077,'31430','Marignac Lasclares',12065),(12078,'31440','Lège',12066),(12079,'31460','Vendine',12067),(12080,'31600','Saubens',12068),(12081,'31800','Saint Ignan',12069),(12082,'31800','Landorthe',12070),(12083,'31510','Génos',12071),(12084,'31580','Villeneuve Lécussan',12072),(12085,'31290','Saint Vincent',12073),(12086,'31140','Fonbeauzard',12074),(12087,'31600','Eaunes',12075),(12088,'31380','Montpitol',12076),(12089,'31320','Aureville',12077),(12090,'31800','Pointis Inard',12078),(12091,'31290','Mauremont',12079),(12092,'31390','Marquefave',12080),(12093,'31230','Molas',12081),(12094,'31480','Garac',12082),(12095,'31130','Flourens',12083),(12096,'31180','Castelmaurou',12084),(12097,'31470','Bonrepos Sur Aussonnelle',12085),(12098,'31430','Casties Labrande',12086),(12099,'31550','Aignes',12087),(12100,'31190','Grazac',12088),(12101,'31220','Sana',12089),(12102,'31560','Saint Léon',12090),(12103,'31450','Issus',12091),(12104,'32140','Mont D\'Astarac',12092),(12105,'32290','Sabazan',12093),(12106,'32700','Terraube',12094),(12107,'32480','La Romieu',12095),(12108,'32400','Aurensan',12096),(12109,'32240','Monguilhem',12097),(12110,'32450','Tirent Pontéjac',12098),(12111,'32330','Gondrin',12099),(12112,'32140','Samaran',12100),(12113,'32420','Betcave Aguin',12101),(12114,'32330','Mouchan',12102),(12115,'32320','Riguepeu',12103),(12116,'32310','Bezolles',12104),(12117,'32330','Lagraulet Du Gers',12105),(12118,'32190','Dému',12106),(12119,'32800','Eauze',12107),(12120,'32320','Bazian',12108),(12121,'32100','Cassaigne',12109),(12122,'32260','Durban',12110),(12123,'32300','Moncassin',12111),(12124,'32300','Clermont Pouyguillès',12112),(12125,'32400','Termes D\'Armagnac',12113),(12126,'32420','Meilhan',12114),(12127,'32290','Loussous Débat',12115),(12128,'32270','Crastes',12116),(12129,'32410','Bonas',12117),(12130,'32200','Saint Germier',12118),(12131,'32370','Bourrouillan',12119),(12132,'32340','Plieux',12120),(12133,'32190','Callian',12121),(12134,'32330','Lauraët',12122),(12135,'32120','Sainte Gemme',12123),(12136,'32300','Miramont D\'Astarac',12124),(12137,'32450','Saramon',12125),(12138,'32430','Saint Georges',12126),(12139,'32380','Avezan',12127),(12140,'32350','Le Brouilh Monbert',12128),(12141,'32300','Belloc Saint Clamens',12129),(12142,'32160','Couloumé Mondebat',12130),(12143,'32120','Sérempuy',12131),(12144,'32400','Viella',12132),(12145,'32260','Lamaguère',12133),(12146,'32230','Mascaras',12134),(12147,'32600','Ségoufielle',12135),(12148,'32140','Cabas Loumassès',12136),(12149,'32730','Haget',12137),(12150,'32240','Castex D\'Armagnac',12138),(12151,'32220','Lombez',12139),(12152,'32190','Mourède',12140),(12153,'32220','Saint Soulan',12141),(12154,'32110','Loubédat',12142),(12155,'32430','Ardizas',12143),(12156,'32230','Armous Et Cau',12144),(12157,'32300','Lagarde Hachan',12145),(12158,'32300','Labéjan',12146),(12159,'32260','Pouy Loubrin',12147),(12160,'32230','Laveraët',12148),(12161,'32200','Sainte Marie',12149),(12162,'32300','Saint Arroman',12150),(12163,'32160','Galiax',12151),(12164,'32100','Larroque Sur L\'Osse',12152),(12165,'32720','Arblade Le Bas',12153),(12166,'32380','Mauroux',12154),(12167,'32120','Sarrant',12155),(12168,'32500','Brugnens',12156),(12169,'32450','Saint Martin Gimois',12157),(12170,'32340','Flamarens',12158),(12171,'32120','Homps',12159),(12172,'32720','Gée Rivière',12160),(12173,'32170','Sadeillan',12161),(12174,'32550','Pessan',12162),(12175,'32730','Malabat',12163),(12176,'32500','Lamothe Goas',12164),(12177,'32230','Pallanne',12165),(12178,'32290','Aignan',12166),(12179,'32300','Ponsan Soubiran',12167),(12180,'32270','Nougaroulet',12168),(12181,'32220','Montadet',12169),(12182,'32320','Peyrusse Grande',12170),(12183,'32230','Marciac',12171),(12184,'32130','Samatan',12172),(12185,'32140','Panassac',12173),(12186,'32140','Lourties Monbrun',12174),(12187,'32300','Saint Élix Theux',12175),(12188,'32500','Pauilhac',12176),(12189,'32350','Ordan Larroque',12177),(12190,'32480','Pouy Roquelaure',12178),(12191,'32120','Maravat',12179),(12192,'32220','Puylausic',12180),(12193,'32380','Magnas',12181),(12194,'32380','Castéron',12182),(12195,'32380','L\'Isle Bouzon',12183),(12196,'32500','Urdens',12184),(12197,'32360','Mérens',12185),(12198,'32240','Mormès',12186),(12199,'32130','Savignac Mona',12187),(12200,'32110','Sion',12188),(12201,'32440','Castelnau D\'Auzan',12189),(12202,'32400','Maulichères',12190),(12203,'32160','Tasque',12191),(12204,'32320','Castelnau D\'Anglès',12192),(12205,'32320','Bassoues',12193),(12206,'32350','Biran',12194),(12207,'32190','Marambat',12195),(12208,'32200','Maurens',12196),(12209,'32130','Monblanc',12197),(12210,'32130','Polastron',12198),(12211,'32400','Saint Mont',12199),(12212,'32360','Peyrusse Massas',12200),(12213,'32320','Saint Christaud',12201),(12214,'32290','Bouzon Gellenave',12202),(12215,'32500','Lalanne',12203),(12216,'32600','L\'Isle Jourdain',12204),(12217,'32420','Tournan',12205),(12218,'32600','Clermont Savès',12206),(12219,'32500','La Sauvetat',12207),(12220,'32810','Lahitte',12208),(12221,'32300','Sainte Aurence Cazaux',12209),(12222,'32550','Haulies',12210),(12223,'32400','Corneillan',12211),(12224,'32730','Beccas',12212),(12225,'32190','Séailles',12213),(12226,'32220','Montpezat',12214),(12227,'32190','Vic Fezensac',12215),(12228,'32170','Manas Bastanous',12216),(12229,'32730','Betplan',12217),(12230,'32170','Castex',12218),(12231,'32360','Saint Lary',12219),(12232,'32720','Barcelonne Du Gers',12220),(12233,'32270','Saint Sauvy',12221),(12234,'32380','Pessoulens',12222),(12235,'32230','Juillac',12223),(12236,'32300','Lamazère',12224),(12237,'32320','Pouylebon',12225),(12238,'32450','Bédéchan',12226),(12239,'32350','Barran',12227),(12240,'32260','Ornézan',12228),(12241,'32450','Aurimont',12229),(12242,'32500','Castelnau D\'Arbieu',12230),(12243,'32300','Loubersan',12231),(12244,'32420','Monbardon',12232),(12245,'32310','Saint Puy',12233),(12246,'32340','Gimbrède',12234),(12247,'32290','Pouydraguin',12235),(12248,'32300','Viozan',12236),(12249,'32410','Cézan',12237),(12250,'32220','Cadeillan',12238),(12251,'32100','Caussens',12239),(12252,'32390','Sainte Christie',12240),(12253,'32400','Lelin Lapujolle',12241),(12254,'32230','Ladevèze Ville',12242),(12255,'32450','Traversères',12243),(12256,'32250','Labarrère',12244),(12257,'32260','Seissan',12245),(12258,'32190','Caillavet',12246),(12259,'32150','Cazaubon',12247),(12260,'32450','Sémézies Cachan',12248),(12261,'32130','Pompiac',12249),(12262,'32120','Taybosc',12250),(12263,'32190','Belmont',12251),(12264,'32310','Roques',12252),(12265,'32390','Puységur',12253),(12266,'32800','Ayzieu',12254),(12267,'32110','Luppé Violles',12255),(12268,'32100','Saint Orens Pouy Petit',12256),(12269,'32400','Saint Germé',12257),(12270,'32240','Lannemaignan',12258),(12271,'32300','Cuélas',12259),(12272,'32600','Auradé',12260),(12273,'32400','Lannux',12261),(12274,'32800','Noulens',12262),(12275,'32390','Préchac',12263),(12276,'32390','Mirepoix',12264),(12277,'32230','Gazax Et Baccarisse',12265),(12278,'32190','Rozès',12266),(12279,'32190','Tudelle',12267),(12280,'32250','Montréal',12268),(12281,'32230','Blousson Sérian',12269),(12282,'32170','Tillac',12270),(12283,'32110','Panjas',12271),(12284,'32550','Montégut',12272),(12285,'32300','Sauviac',12273),(12286,'32600','Monbrun',12274),(12287,'32350','Saint Arailles',12275),(12288,'32810','Auch',12276),(12289,'32100','Condom',12277),(12290,'32110','Cravencères',12278),(12291,'32260','Orbessan',12279),(12292,'32110','Bétous',12280),(12293,'32140','Esclassan Labastide',12281),(12294,'32380','Gaudonville',12282),(12295,'32240','Estang',12283),(12296,'32420','Sabaillan',12284),(12297,'32310','Mansencôme',12285),(12298,'32200','Giscaro',12286),(12299,'32300','Berdoues',12287),(12300,'32130','Cazaux Savès',12288),(12301,'32140','Bellegarde',12289),(12302,'32120','Monfort',12290),(12303,'32220','Mongausy',12291),(12304,'32230','Saint Justin',12292),(12305,'32170','Laguian Mazous',12293),(12306,'32300','Mirande',12294),(12307,'32400','Maumusson Laguian',12295),(12308,'32230','Peyrusse Vieille',12296),(12309,'32480','Ligardes',12297),(12310,'32410','Ayguetinte',12298),(12311,'32400','Izotges',12299),(12312,'32370','Manciet',12300),(12313,'32270','Ansan',12301),(12314,'32260','Moncorneil Grazan',12302),(12315,'32700','Pergain Taillac',12303),(12316,'32200','Catonvielle',12304),(12317,'32700','Garde',12305),(12318,'32400','Cannet',12306),(12319,'32480','Larroque Engalin',12307),(12320,'32200','Saint André',12308),(12321,'32810','Preignan',12309),(12322,'32170','Marseillan',12310),(12323,'32140','Saint Blancard',12311),(12324,'32490','Castillon Savès',12312),(12325,'32100','Castelnau Sur L\'Auvignon',12313),(12326,'32160','Beaumarchés',12314),(12327,'32810','Roquelaure',12315),(12328,'32230','Courties',12316),(12329,'32230','Troncens',12317),(12330,'32260','Tachoires',12318),(12331,'32430','Touget',12319),(12332,'32480','Berrac',12320),(12333,'32600','Beaupuy',12321),(12334,'32250','Fourcès',12322),(12335,'32160','Plaisance',12323),(12336,'32170','Bazugues',12324),(12337,'32270','Lussan',12325),(12338,'32700','Marsolan',12326),(12339,'32300','Montaut',12327),(12340,'32110','Arblade Le Haut',12328),(12341,'32400','Riscle',12329),(12342,'32220','Laymont',12330),(12343,'32120','Mansempuy',12331),(12344,'32500','Sainte Radegonde',12332),(12345,'32290','Avéron Bergelle',12333),(12346,'32120','Bajonnette',12334),(12347,'32270','Aubiet',12335),(12348,'32220','Saint Lizier Du Planté',12336),(12349,'32140','Aussos',12337),(12350,'32700','Lectoure',12338),(12351,'32130','Seysses Savès',12339),(12352,'32130','Labastide Savès',12340),(12353,'32160','Saint Aunix Lengros',12341),(12354,'32300','Saint Maur',12342),(12355,'32450','Lartigue',12343),(12356,'32270','L\'Isle Arné',12344),(12357,'32300','Idrac Respaillès',12345),(12358,'32300','Saint Médard',12346),(12359,'32290','Castelnavet',12347),(12360,'32340','Peyrecave',12348),(12361,'32220','Sauvimont',12349),(12362,'32190','Saint Paul De Baïse',12350),(12363,'32130','Pébées',12351),(12364,'32230','Cazaux Villecomtal',12352),(12365,'32140','Masseube',12353),(12366,'32170','Estampes',12354),(12367,'32170','Laas',12355),(12368,'32430','Saint Cricq',12356),(12369,'32430','Cologne',12357),(12370,'32290','Margouët Meymes',12358),(12371,'32220','Montégut Savès',12359),(12372,'32170','Aux Aussat',12360),(12373,'32550','Lasséran',12361),(12374,'32810','Leboulin',12362),(12375,'32170','Miélan',12363),(12376,'32300','Bars',12364),(12377,'32300','Mouchès',12365),(12378,'32360','Antras',12366),(12379,'32700','Castéra Lectourois',12367),(12380,'32120','Saint Antonin',12368),(12381,'32400','Fustérouau',12369),(12382,'32230','Louslitges',12370),(12383,'32600','Endoufielle',12371),(12384,'32300','Saint Ost',12372),(12385,'32500','Fleurance',12373),(12386,'32430','Thoux',12374),(12387,'32400','Labarthète',12375),(12388,'32230','Tourdun',12376),(12389,'32110','Caupenne D\'Armagnac',12377),(12390,'32300','Aujan Mournède',12378),(12391,'32490','Monferran Savès',12379),(12392,'32100','Beaumont',12380),(12393,'32310','Lagardère',12381),(12394,'32240','Mauléon D\'Armagnac',12382),(12395,'32170','Sarraguzan',12383),(12396,'32100','Roquepine',12384),(12397,'32700','Saint Mézard',12385),(12398,'32100','Blaziert',12386),(12399,'32550','Auterive',12387),(12400,'32400','Sarragachies',12388),(12401,'32500','Pis',12389),(12402,'32120','Puycasquier',12390),(12403,'32360','Jegun',12391),(12404,'32120','Labrihe',12392),(12405,'32450','Saint Élix',12393),(12406,'32500','Goutz',12394),(12407,'32380','Cadeilhan',12395),(12408,'32140','Lalanne Arqué',12396),(12409,'32310','Valence Sur Baïse',12397),(12410,'32550','Lasseube Propre',12398),(12411,'32260','Labarthe',12399),(12412,'32150','Marguestau',12400),(12413,'32700','Sainte Mère',12401),(12414,'32170','Mont De Marrast',12402),(12415,'32110','Nogaro',12403),(12416,'32400','Cahuzac Sur Adour',12404),(12417,'32220','Gaujac',12405),(12418,'32360','Lavardens',12406),(12419,'32400','Goux',12407),(12420,'32120','Saint Orens',12408),(12421,'32800','Ramouzens',12409),(12422,'32480','Saint Martin De Goyne',12410),(12423,'32260','Monferran Plavès',12411),(12424,'32810','Montaut Les Créneaux',12412),(12425,'32420','Simorre',12413),(12426,'32190','Cazaux D\'Anglès',12414),(12427,'32270','Blanquefort',12415),(12428,'32290','Lupiac',12416),(12429,'32430','Sainte Anne',12417),(12430,'32200','Gimont',12418),(12431,'32170','Duffort',12419),(12432,'32550','Boucagnères',12420),(12433,'32390','Roquefort',12421),(12434,'32550','Saint Jean Le Comtal',12422),(12435,'32400','Caumont',12423),(12436,'32230','Scieurac Et Flourès',12424),(12437,'32190','Bascous',12425),(12438,'32400','Tarsac',12426),(12439,'32260','Sansan',12427),(12440,'32600','Razengues',12428),(12441,'32150','Monclar',12429),(12442,'32480','Gazaupouy',12430),(12443,'32240','Toujouse',12431),(12444,'32300','Saint Martin',12432),(12445,'32380','Saint Clar',12433),(12446,'32130','Noilhan',12434),(12447,'32450','Boulaur',12435),(12448,'32200','Escornebœuf',12436),(12449,'32600','Pujaudran',12437),(12450,'32160','Tieste Uragnoux',12438),(12451,'32220','Garravet',12439),(12452,'32450','Faget Abbatial',12440),(12453,'32430','Sirac',12441),(12454,'32500','Céran',12442),(12455,'32420','Monties',12443),(12456,'32410','Castéra Verduzan',12444),(12457,'32700','Saint Avit Frandat',12445),(12458,'32140','Chélan',12446),(12459,'32730','Montégut Arros',12447),(12460,'32420','Gaujan',12448),(12461,'32190','Castillon Debats',12449),(12462,'32380','Saint Léonard',12450),(12463,'32730','Villecomtal Sur Arros',12451),(12464,'32380','Tournecoupe',12452),(12465,'32810','Duran',12453),(12466,'32340','Castet Arrouy',12454),(12467,'32160','Préchac Sur Adour',12455),(12468,'32100','Béraut',12456),(12469,'32190','Justian',12457),(12470,'32460','Perchède',12458),(12471,'32340','Saint Antoine',12459),(12472,'32810','Castin',12460),(12473,'32450','Castelnau Barbarens',12461),(12474,'32190','Roquebrune',12462),(12475,'32400','Bernède',12463),(12476,'32110','Laujuzan',12464),(12477,'32390','Miramont Latour',12465),(12478,'32430','Roquelaure Saint Aubin',12466),(12479,'32380','Bivès',12467),(12480,'32120','Solomiac',12468),(12481,'32190','Préneron',12469),(12482,'32410','Larroque Saint Sernin',12470),(12483,'32140','Monlaur Bernet',12471),(12484,'32720','Vergoignan',12472),(12485,'32800','Bretagne D\'Armagnac',12473),(12486,'32110','Sorbets',12474),(12487,'32380','Saint Créac',12475),(12488,'32170','Sainte Dode',12476),(12489,'32130','Lahas',12477),(12490,'32400','Ségos',12478),(12491,'32160','Lasserade',12479),(12492,'32420','Villefranche',12480),(12493,'32320','Montesquiou',12481),(12494,'32220','Espaon',12482),(12495,'32230','Armentieux',12483),(12496,'32230','Monlezun',12484),(12497,'32300','Monclar Sur Losse',12485),(12498,'32390','Tourrenquets',12486),(12499,'32230','Sembouès',12487),(12500,'32270','Marsan',12488),(12501,'32300','Saint Michel',12489),(12502,'32240','Lias D\'Armagnac',12490),(12503,'32170','Monpardiac',12491),(12504,'32290','Saint Pierre D\'Aubézies',12492),(12505,'32130','Bézéril',12493),(12506,'32700','Mas D\'Auvignon',12494),(12507,'32190','Lannepax',12495),(12508,'32120','Mauvezin',12496),(12509,'32120','Augnax',12497),(12510,'32360','Castillon Massas',12498),(12511,'32110','Saint Griède',12499),(12512,'32490','Marestaing',12500),(12513,'32230','Ladevèze Rivière',12501),(12514,'32400','Verlus',12502),(12515,'32200','Juilles',12503),(12516,'32390','Réjaumont',12504),(12517,'32110','Lanne Soubiran',12505),(12518,'32150','Larée',12506),(12519,'32390','Montestruc Sur Gers',12507),(12520,'32160','Jû Belloc',12508),(12521,'32100','Larressingle',12509),(12522,'32410','Beaucaire',12510),(12523,'32190','Saint Jean Poutge',12511),(12524,'32240','Maupas',12512),(12525,'32460','Le Houga',12513),(12526,'32490','Frégouville',12514),(12527,'32330','Courrensan',12515),(12528,'32300','Estipouy',12516),(12529,'32370','Espas',12517),(12530,'32220','Saint Loube',12518),(12531,'32140','Bézues Bajon',12519),(12532,'32110','Saint Martin D\'Armagnac',12520),(12533,'32430','Encausse',12521),(12534,'32220','Montamat',12522),(12535,'32170','Barcugnan',12523),(12536,'32140','Manent Montané',12524),(12537,'32550','Pavie',12525),(12538,'32420','Sarcos',12526),(12539,'32390','Gavarret Sur Aulouste',12527),(12540,'32370','Salles D\'Armagnac',12528),(12541,'32400','Projan',12529),(12542,'32800','Campagne D\'Armagnac',12530),(12543,'32800','Réans',12531),(12544,'32300','Ponsampère',12532),(12545,'32230','Ricourt',12533),(12546,'32200','Saint Caprais',12534),(12547,'32350','Mirannes',12535),(12548,'32380','Estramiac',12536),(12549,'32420','Pellefigue',12537),(12550,'32370','Sainte Christie D\'Armagnac',12538),(12551,'32120','Avensac',12539),(12552,'32300','L\'Isle De Noé',12540),(12553,'32600','Lias',12541),(12554,'32200','Montiron',12542),(12555,'32310','Maignaut Tauzia',12543),(12556,'32240','Monlezun D\'Armagnac',12544),(12557,'32140','Sère',12545),(12558,'32140','Arrouède',12546),(12559,'32120','Saint Brès',12547),(12560,'32110','Urgosse',12548),(12561,'32220','Sauveterre',12549),(12562,'32130','Nizas',12550),(12563,'32700','Sempesserre',12551),(12564,'32110','Magnan',12552),(12565,'32340','Miradoux',12553),(12566,'32800','Cazeneuve',12554),(12567,'33127','Saint Jean D\'Illac',12555),(12568,'33230','Guîtres',12556),(12569,'33610','Canéjan',12557),(12570,'33110','Le Bouscat',12558),(12571,'33190','Casseuil',12559),(12572,'33420','Génissac',12560),(12573,'33500','Libourne',12561),(12574,'33114','Le Barp',12562),(12575,'33240','Virsac',12563),(12576,'33690','Lavazan',12564),(12577,'33350','Flaujagues',12565),(12578,'33160','Salaunes',12566),(12579,'33113','Origne',12567),(12580,'33330','Saint Christophe Des Bardes',12568),(12581,'33910','Bonzac',12569),(12582,'33570','Petit Palais Et Cornemps',12570),(12583,'33790','Soussac',12571),(12584,'33720','Cérons',12572),(12585,'33640','Beautiran',12573),(12586,'33240','Salignac',12574),(12587,'33240','Périssac',12575),(12588,'33350','Mérignas',12576),(12589,'33420','Daignac',12577),(12590,'33190','Saint Hilaire De La Noaille',12578),(12591,'33270','Floirac',12579),(12592,'33710','Prignac Et Marcamps',12580),(12593,'33750','Baron',12581),(12594,'33210','Mazères',12582),(12595,'33210','Langon',12583),(12596,'33390','Saint Seurin De Cursac',12584),(12597,'33112','Saint Laurent Médoc',12585),(12598,'33810','Ambès',12586),(12599,'33670','La Sauve',12587),(12600,'33330','Saint Hippolyte',12588),(12601,'33540','Saint Martin De Lerm',12589),(12602,'33390','Plassac',12590),(12603,'33550','Villenave De Rions',12591),(12604,'33660','Puynormand',12592),(12605,'33450','Montussan',12593),(12606,'33500','Billaux',12594),(12607,'33580','Coutures',12595),(12608,'33240','Saint Germain De La Rivière',12596),(12609,'33330','Saint Émilion',12597),(12610,'33420','Espiet',12598),(12611,'33540','Blasimon',12599),(12612,'33390','Eyrans',12600),(12613,'33670','Saint Genès De Lombaud',12601),(12614,'33126','Fronsac',12602),(12615,'33650','Martillac',12603),(12616,'33430','Cazats',12604),(12617,'33760','Escoussans',12605),(12618,'33660','Camps Sur L\'Isle',12606),(12619,'33230','Maransin',12607),(12620,'33620','Marcenais',12608),(12621,'33170','Gradignan',12609),(12622,'33570','Lussac',12610),(12623,'33180','Vertheuil',12611),(12624,'33460','Barde',12612),(12625,'33420','Tizac De Curton',12613),(12626,'33190','Lamothe Landerron',12614),(12627,'33210','Saint Pierre De Mons',12615),(12628,'33370','Pompignac',12616),(12629,'33390','Fours',12617),(12630,'33350','Sainte Colombe',12618),(12631,'33540','Sauveterre De Guyenne',12619),(12632,'33490','Sainte Foy La Longue',12620),(12633,'33210','Bieujac',12621),(12634,'33190','Bagas',12622),(12635,'33190','Blaignac',12623),(12636,'33790','Saint Antoine Du Queyret',12624),(12637,'33210','Fargues',12625),(12638,'33760','Lugasson',12626),(12639,'33210','Bommes',12627),(12640,'33760','Saint Pierre De Bat',12628),(12641,'33180','Saint Estèphe',12629),(12642,'33760','Ladaux',12630),(12643,'33690','Grignols',12631),(12644,'33920','Saint Vivien De Blaye',12632),(12645,'33113','Saint Symphorien',12633),(12646,'33190','Bourdelles',12634),(12647,'33190','La Réole',12635),(12648,'33540','Caumont',12636),(12649,'33190','Mongauzy',12637),(12650,'33420','Branne',12638),(12651,'33670','Saint Léon',12639),(12652,'33190','Puybarban',12640),(12653,'33660','Saint Seurin Sur L\'Isle',12641),(12654,'33230','Coutras',12642),(12655,'33420','Lugaignac',12643),(12656,'33410','Monprimblanc',12644),(12657,'33210','Coimères',12645),(12658,'33570','Francs',12646),(12659,'33350','Saint Genès De Castillon',12647),(12660,'33830','Belin Béliet',12648),(12661,'33660','Porchères',12649),(12662,'33330','Saint Étienne De Lisse',12650),(12663,'33580','Neuffons',12651),(12664,'33190','Loupiac De La Réole',12652),(12665,'33710','Saint Trojan',12653),(12666,'33710','Comps',12654),(12667,'33360','Cénac',12655),(12668,'33210','Léogeats',12656),(12669,'33730','Noaillan',12657),(12670,'33330','Saint Pey D\'Armens',12658),(12671,'33380','Biganos',12659),(12672,'33490','Saint Macaire',12660),(12673,'33620','Cézac',12661),(12674,'33720','Virelade',12662),(12675,'33870','Vayres',12663),(12676,'33270','Bouliac',12664),(12677,'33330','Vignonet',12665),(12678,'33340','Valeyrac',12666),(12680,'33124','Berthez',12667),(12681,'33240','Cubzac Les Ponts',12668),(12682,'33430','Saint Côme',12669),(12683,'33141','Villegouge',12670),(12684,'33220','Saint André Et Appelles',12671),(12685,'33920','Civrac De Blaye',12672),(12686,'33880','Baurech',12673),(12687,'33540','Saint Laurent Du Bois',12674),(12688,'33570','Artigues De Lussac',12675),(12689,'33500','Arveyres',12676),(12690,'33340','Queyrac',12677),(12691,'33710','Mombrier',12678),(12692,'33720','Illats',12679),(12693,'33500','Néac',12680),(12694,'33840','Escaudes',12681),(12695,'33350','Salles De Castillon',12682),(12696,'33340','Saint Christoly Médoc',12683),(12697,'33370','Bonnetan',12684),(12698,'33390','Campugnan',12685),(12699,'33590','Jau Dignac Et Loirac',12686),(12700,'33340','Prignac En Médoc',12687),(12701,'33460','Arsac',12688),(12702,'33420','Jugazan',12689),(12703,'33460','Margaux',12690),(12704,'33730','Pompéjac',12691),(12705,'33380','Marcheprime',12692),(12706,'33124','Aillas',12693),(12707,'33410','Loupiac',12694),(12708,'33130','Bègles',12695),(12709,'33430','Gajac',12696),(12710,'33750','Nérigean',12697),(12711,'33550','Langoiran',12698),(12712,'33620','Cubnezais',12699),(12713,'33750','Croignon',12700),(12714,'33710','Lansac',12701),(12715,'33220','Saint Philippe Du Seignal',12702),(12716,'33730','Préchac',12703),(12717,'33730','Villandraut',12704),(12718,'33910','Saint Martin Du Bois',12705),(12719,'33490','Verdelais',12706),(12720,'33460','Macau',12707),(12721,'33290','Parempuyre',12708),(12722,'33540','Daubèze',12709),(12723,'33410','Béguey',12710),(12724,'33690','Cauvignac',12711),(12725,'33980','Audenge',12712),(12726,'33690','Sigalens',12713),(12727,'33540','Landerrouet Sur Ségur',12714),(12728,'33430','Marimbault',12715),(12729,'33480','Castelnau De Médoc',12716),(12730,'33650','Saint Selve',12717),(12731,'33220','La Roquille',12718),(12732,'33113','Saint Léger De Balson',12719),(12733,'33660','Saint Sauveur De Puynormand',12720),(12734,'33710','Bayon Sur Gironde',12721),(12735,'33530','Bassens',12722),(12736,'33720','Budos',12723),(12737,'33190','Pondaurat',12724),(12738,'33390','Saint Genès De Blaye',12725),(12739,'33540','Gornac',12726),(12740,'33430','Sauviac',12727),(12741,'33760','Montignac',12728),(12742,'33760','Cessac',12729),(12743,'33125','Saint Magne',12730),(12744,'33160','Saint Aubin De Médoc',12731),(12745,'33121','Carcans',12732),(12746,'33185','Le Haillan',12733),(12747,'33220','Pineuilh',12734),(12748,'33840','Goualade',12735),(12749,'33430','Aubiac',12736),(12750,'33760','Cantois',12737),(12751,'33690','Masseilles',12738),(12752,'33220','Lèves Et Thoumeyragues',12739),(12753,'33550','Lestiac Sur Garonne',12740),(12754,'33340','Lesparre Médoc',12741),(12755,'33190','Saint Laurent Du Plan',12742),(12756,'33820','Saint Ciers Sur Gironde',12743),(12757,'33760','Bellefond',12744),(12758,'33360','Quinsac',12745),(12759,'33240','Aubie Et Espessas',12746),(12760,'33390','Blaye',12747),(12761,'33340','Bégadan',12748),(12762,'33790','Pellegrue',12749),(12763,'33650','Saint Médard D\'Eyrans',12750),(12764,'33190','Gironde Sur Dropt',12751),(12765,'33920','Saint Girons D\'Aiguevives',12752),(12766,'33710','Tauriac',12753),(12767,'33260','La Teste De Buch',12754),(12768,'33540','Castelviel',12755),(12769,'33540','Mauriac',12756),(12770,'33650','Cabanac Et Villagrains',12757),(12771,'33370','Yvrac',12758),(12772,'33320','Eysines',12759),(12773,'33220','Saint Avit Saint Nazaire',12760),(12774,'33430','Birac',12761),(12775,'33430','Gans',12762),(12776,'33190','Loubens',12763),(12777,'33650','Saint Morillon',12764),(12778,'33660','Gours',12765),(12779,'33390','Saint Androny',12766),(12780,'33124','Brannens',12767),(12781,'33390','Anglade',12768),(12782,'33460','Lamarque',12769),(12783,'33250','Pauillac',12770),(12784,'33430','Bazas',12771),(12785,'33860','Donnezac',12772),(12786,'33910','Saint Ciers D\'Abzac',12773),(12787,'33120','Arcachon',12774),(12788,'33820','Saint Caprais De Blaye',12775),(12789,'33500','Pomerol',12776),(12790,'33190','Camiran',12777),(12791,'33390','Mazion',12778),(12792,'33920','Saint Savin',12779),(12793,'33710','Bourg',12780),(12794,'33720','Landiras',12781),(12795,'33590','Talais',12782),(12796,'33920','Saugon',12783),(12797,'33126','Saint Michel De Fronsac',12784),(12798,'33490','Saint Martial',12785),(12799,'33370','Fargues Saint Hilaire',12786),(12800,'33410','Cadillac',12787),(12801,'33470','Gujan Mestras',12788),(12802,'33230','Abzac',12789),(12803,'33410','Cardan',12790),(12804,'33660','Saint Antoine Sur L\'Isle',12791),(12805,'33580','Sainte Gemme',12792),(12806,'33910','Sablons',12793),(12807,'33450','Saint Loubès',12794),(12808,'33590','Vensac',12795),(12809,'33450','Saint Sulpice Et Cameyrac',12796),(12810,'33510','Andernos Les Bains',12797),(12811,'33160','Saint Médard En Jalles',12798),(12812,'33840','Captieux',12799),(12813,'33220','Riocaud',12800),(12814,'33230','Saint Christophe De Double',12801),(12815,'33190','Saint Michel De Lapujade',12802),(12816,'33390','Cars',12803),(12817,'33650','Saucats',12804),(12818,'33210','Toulenne',12805),(12819,'33240','La Lande De Fronsac',12806),(12820,'33240','Saint Laurent D\'Arce',12807),(12821,'33180','Saint Seurin De Cadourne',12808),(12822,'33760','Martres',12809),(12823,'33820','Pleine Selve',12810),(12824,'33230','Chamadelle',12811),(12825,'33860','Marcillac',12812),(12826,'33540','Cleyrac',12813),(12827,'33390','Cartelègue',12814),(12828,'33470','Le Teich',12815),(12829,'33290','Blanquefort',12816),(12830,'33880','Saint Caprais De Bordeaux',12817),(12831,'33990','Naujac Sur Mer',12818),(12832,'33780','Soulac Sur Mer',12819),(12833,'33750','Camarsac',12820),(12834,'33750','Saint Germain Du Puch',12821),(12835,'33370','Artigues Près Bordeaux',12822),(12836,'33760','Bellebat',12823),(12837,'33250','Saint Sauveur',12824),(12838,'33740','Arès',12825),(12839,'33370','Tresses',12826),(12840,'33340','Ordonnac',12827),(12841,'33820','Saint Palais',12828),(12842,'33220','Margueron',12829),(12843,'33920','Saint Yzan De Soudiac',12830),(12844,'33420','Grézillac',12831),(12845,'33123','Le Verdon Sur Mer',12832),(12846,'33550','Tabanac',12833),(12847,'33420','Saint Vincent De Pertignas',12834),(12848,'33230','Lagorce',12835),(12849,'33340','Saint Germain D\'Esteuil',12836),(12850,'33840','Saint Michel De Castelnau',12837),(12851,'33550','Haux',12838),(12852,'33760','Baigneaux',12839),(12853,'33520','Bruges',12840),(12854,'33220','Saint Quentin De Caplong',12841),(12855,'33920','Générac',12842),(12856,'33340','Civrac En Médoc',12843),(12857,'33460','Cantenac',12844),(12858,'33190','Fossès Et Baleyssac',12845),(12859,'33620','Saint Mariens',12846),(12860,'33370','Sallebœuf',12847),(12861,'33910','Saint Martin De Laye',12848),(12862,'33760','Romagne',12849),(12863,'33580','Rimons',12850),(12864,'33420','Dardenac',12851),(12865,'33410','Donzac',12852),(12866,'33750','Saint Quentin De Baron',12853),(12867,'33420','Camiac Et Saint Denis',12854),(12868,'33430','Lignan De Bazas',12855),(12869,'33190','Barie',12856),(12870,'33350','Pujols',12857),(12871,'33210','Castillon De Castets',12858),(12872,'33580','Cours De Monségur',12859),(12873,'33440','Saint Louis De Montferrand',12860),(12874,'33420','Moulon',12861),(12875,'33290','Le Pian Médoc',12862),(12876,'33240','Vérac',12863),(12877,'33890','Pessac Sur Dordogne',12864),(12878,'33240','Saint Genès De Fronsac',12865),(12879,'33760','Frontenac',12866),(12880,'33190','Fontet',12867),(12881,'33540','Saint Sulpice De Pommiers',12868),(12882,'33125','Hostens',12869),(12883,'33540','Coirac',12870),(12884,'33540','Mesterrieux',12871),(12885,'33710','Teuillac',12872),(12886,'33490','Caudrot',12873),(12887,'33570','Tayac',12874),(12888,'33240','Mouillac',12875),(12889,'33360','Carignan De Bordeaux',12876),(12890,'33125','Le Tuzan',12877),(12891,'33127','Martignas Sur Jalle',12878),(12892,'33590','Grayan Et L\'Hôpital',12879),(12893,'33760','Faleyras',12880),(12894,'33690','Cours Les Bains',12881),(12895,'33410','Gabarnac',12882),(12896,'33250','Cissac Médoc',12883),(12897,'33840','Lartigue',12884),(12898,'33930','Vendays Montalivet',12885),(12899,'33720','Saint Michel De Rieufret',12886),(12900,'33340','Blaignan',12887),(12901,'33210','Saint Loubert',12888),(12902,'33240','Lugon Et L\'Île Du Carnay',12889),(12903,'33490','Saint André Du Bois',12890),(12904,'33640','Isle Saint Georges',12891),(12905,'33710','Pugnac',12892),(12906,'33240','Saint Gervais',12893),(12907,'33240','Gauriaguet',12894),(12908,'33190','Noaillac',12895),(12909,'33420','Saint Jean De Blaignac',12896),(12910,'33580','Taillecavat',12897),(12911,'33410','Omet',12898),(12912,'33990','Hourtin',12899),(12913,'33430','Le Nizan',12900),(12914,'33230','Saint Médard De Guizières',12901),(12915,'33820','Braud Et Saint Louis',12902),(12916,'33480','Avensan',12903),(12917,'33620','Tizac De Lapouyade',12904),(12918,'33240','Peujard',12905),(12919,'33460','Arcins',12906),(12920,'33220','Eynesse',12907),(12921,'33680','Lacanau',12908),(12922,'33310','Lormont',12909),(12923,'33910','Savignac De L\'Isle',12910),(12924,'33230','Bayas',12911),(12925,'33890','Juillac',12912),(12926,'33560','Carbon Blanc',12913),(12927,'33420','Rauzan',12914),(12928,'33730','Uzeste',12915),(12929,'33140','Villenave D\'Ornon',12916),(12930,'33330','Saint Laurent Des Combes',12917),(12931,'33580','Dieulivol',12918),(12932,'33350','Saint Philippe D\'Aiguille',12919),(12933,'33760','Arbis',12920),(12934,'33550','Capian',12921),(12935,'33490','Saint Maixant',12922),(12936,'33580','Roquebrune',12923),(12937,'33210','Preignac',12924),(12938,'33190','Esseintes',12925),(12939,'33690','Labescau',12926),(12940,'33650','La Brède',12927),(12941,'33430','Cudos',12928),(12942,'33380','Mios',12929),(12943,'33610','Cestas',12930),(12944,'33710','Samonac',12931),(12945,'33430','Bernos Beaulac',12932),(12946,'33190','Hure',12933),(12947,'33230','Églisottes Et Chalaures',12934),(12948,'33124','Savignac',12935),(12949,'33480','Listrac Médoc',12936),(12950,'33670','Le Pout',12937),(12951,'33240','Saint Romain La Virvée',12938),(12952,'33890','Gensac',12939),(12953,'33440','Ambarès Et Lagrave',12940),(12954,'33350','Doulezon',12941),(12955,'33360','Latresne',12942),(12956,'33640','Castres Gironde',12943),(12957,'33190','Saint Exupéry',12944),(12958,'33920','Saint Christoly De Blaye',12945),(12959,'33210','Sauternes',12946),(12960,'33210','Saint Pardon De Conques',12947),(12961,'33720','Guillos',12948),(12962,'33230','Le Fieu',12949),(12963,'33620','Marsas',12950),(12964,'33240','Tarnès',12951),(12965,'33220','Sainte Foy La Grande',12952),(12966,'33370','Loupes',12953),(12967,'33350','Ruch',12954),(12968,'33410','Laroque',12955),(12969,'33890','Coubeyrac',12956),(12970,'33790','Massugas',12957),(12971,'33540','Saint Hilaire Du Bois',12958),(12972,'33560','Sainte Eulalie',12959),(12973,'33540','Saint Félix De Foncaude',12960),(12974,'33790','Listrac De Durèze',12961),(12975,'33190','Montagoudin',12962),(12976,'33790','Landerrouat',12963),(12977,'33760','Targon',12964),(12978,'33850','Léognan',12965),(12979,'33670','Madirac',12966),(12980,'33640','Ayguemorte Les Graves',12967),(12981,'33400','Talence',12968),(12982,'33840','Lucmau',12969),(12983,'33670','Sadirac',12970),(12984,'33600','Pessac',12971),(12985,'33500','Lalande De Pomerol',12972),(12986,'33690','Marions',12973),(12987,'33860','Reignac',12974),(12988,'33540','Castelmoron D\'Albret',12975),(12989,'33390','Saint Paul',12976),(12990,'33138','Lanton',12977),(12991,'33710','Villeneuve',12978),(12992,'33840','Giscos',12979),(12993,'33710','Saint Seurin De Bourg',12980),(12994,'33125','Louchats',12981),(12995,'33240','Asques',12982),(12996,'33450','Izon',12983),(12997,'33350','Castillon La Bataille',12984),(12998,'33210','Roaillan',12985),(12999,'33350','Sainte Terre',12986),(13000,'33410','Sainte Croix Du Mont',12987),(13001,'33700','Mérignac',12988),(13002,'33210','Pujols Sur Ciron',12989),(13003,'33220','Caplong',12990),(13004,'33580','Saint Vivien De Monségur',12991),(13005,'33350','Saint Pey De Castets',12992),(13006,'33590','Saint Vivien De Médoc',12993),(13007,'33420','Naujan Et Postiac',12994),(13008,'33220','Ligueux',12995),(13009,'33790','Cazaugitat',12996),(13010,'33113','Cazalis',12997),(13011,'33490','Saint Germain De Grave',12998),(13012,'33420','Cabara',12999),(13013,'33190','Bassanne',13000),(13014,'33210','Castets En Dorthe',13001),(13015,'33690','Sendets',13002),(13016,'33113','Bourideys',13003),(13017,'33340','Gaillan En Médoc',13004),(13018,'33690','Sillas',13005),(13019,'33460','Soussans',13006),(13020,'33760','Soulignac',13007),(13021,'33126','Saint Aignan',13008),(13022,'33570','Puisseguin',13009),(13023,'33360','Camblanes Et Meynac',13010),(13024,'33340','Saint Yzans De Médoc',13011),(13025,'33410','Mourens',13012),(13026,'33830','Lugos',13013),(13027,'33760','Saint Genis Du Bois',13014),(13028,'33320','Le Taillan Médoc',13015),(13029,'33250','Saint Julien Beychevelle',13016),(13030,'33670','Cursan',13017),(13031,'33460','Cussac Fort Médoc',13018),(13032,'33490','Semens',13019),(13033,'33620','Lapouyade',13020),(13034,'33360','Lignan De Bordeaux',13021),(13035,'33710','Gauriac',13022),(13036,'33580','Monségur',13023),(13037,'33620','Cavignac',13024),(13038,'33750','Cadarsac',13025),(13039,'33480','Moulis En Médoc',13026),(13040,'33880','Cambes',13027),(13041,'33750','Beychac Et Caillau',13028),(13042,'33220','Saint Avit De Soulège',13029),(13043,'33670','Créon',13030),(13044,'33840','Lerm Et Musset',13031),(13045,'33190','Morizès',13032),(13046,'33550','Paillet',13033),(13047,'33340','Couquèques',13034),(13048,'33141','Saillans',13035),(13049,'33190','Floudès',13036),(13050,'33350','Sainte Florence',13037),(13051,'33390','Saint Martin Lacaussade',13038),(13052,'33350','Belvès De Castillon',13039),(13053,'33390','Berson',13040),(13054,'33350','Civrac Sur Dordogne',13041),(13055,'33133','Galgon',13042),(13056,'33550','Le Tourne',13043),(13057,'33480','Sainte Hélène',13044),(13058,'33150','Cenon',13045),(13059,'33126','La Rivière',13046),(13060,'33350','Mouliets Et Villemartin',13047),(13061,'33680','Le Porge',13048),(13062,'33670','Blésignac',13049),(13063,'33350','Saint Magne De Castillon',13050),(13064,'33570','Saint Cibard',13051),(13065,'33420','Saint Aubin De Branne',13052),(13066,'33760','Courpiac',13053),(13067,'33580','Le Puy',13054),(13068,'33490','Saint Martin De Sescas',13055),(13069,'33770','Salles',13056),(13070,'33124','Lados',13057),(13071,'33124','Auros',13058),(13072,'33790','Auriolles',13059),(13073,'33680','Saumos',13060),(13074,'33580','Saint Ferme',13061),(13075,'33350','Gardegan Et Tourtirac',13062),(13076,'33440','Saint Vincent De Paul',13063),(13077,'33410','Rions',13064),(13078,'33640','Arbanats',13065),(13079,'33330','Saint Sulpice De Faleyrens',13066),(13080,'33540','Saint Brice',13067),(13081,'33240','Cadillac En Fronsadais',13068),(13082,'33350','Bossugan',13069),(13083,'33580','Saint Sulpice De Guilleragues',13070),(13084,'33190','Saint Sève',13071),(13085,'33490','Le Pian Sur Garonne',13072),(13086,'33950','Lège Cap Ferret',13073),(13087,'33710','Saint Ciers De Canesse',13074),(13088,'33420','Guillac',13075),(13089,'33820','Saint Aubin De Blaye',13076),(13090,'33240','Saint André De Cubzac',13077),(13091,'33490','Saint Pierre D\'Aurillac',13078),(13092,'33540','Saint Martin Du Puy',13079),(13093,'33730','Balizac',13080),(13094,'33820','Étauliers',13081),(13095,'33640','Portets',13082),(13096,'33720','Barsac',13083),(13097,'33680','Le Temple',13084),(13098,'33720','Podensac',13085),(13099,'33620','Laruscade',13086),(13100,'33480','Brach',13087),(13101,'33290','Ludon Médoc',13088),(13102,'33910','Saint Denis De Pile',13089),(13103,'33350','Sainte Radegonde',13090),(13104,'33570','Montagne',13091),(13105,'33230','Peintures',13092),(13106,'33124','Brouqueyran',13093),(13107,'33240','Saint Antoine',13094),(13108,'33140','Cadaujac',13095),(13109,'34130','Mauguio',13096),(13110,'34150','Saint Jean De Fos',13097),(13111,'34470','Pérols',13098),(13112,'34210','Félines Minervois',13099),(13113,'34310','Montady',13100),(13114,'34390','Olargues',13101),(13115,'34650','Lunas',13102),(13116,'34210','Beaufort',13103),(13117,'34550','Bessan',13104),(13118,'34400','Villetelle',13105),(13119,'34400','Saint Sériès',13106),(13120,'34700','Soubès',13107),(13121,'34170','Castelnau Le Lez',13108),(13122,'34725','Saint Félix De Lodez',13109),(13123,'34700','Plans',13110),(13124,'34800','Valmascle',13111),(13125,'34690','Fabrègues',13112),(13126,'34670','Baillargues',13113),(13127,'34190','Ganges',13114),(13128,'34230','Tressan',13115),(13129,'34800','Ceyras',13116),(13130,'34190','Montoulieu',13117),(13131,'34290','Alignan Du Vent',13118),(13132,'34390','Vieussan',13119),(13133,'34190','Ferrières Les Verreries',13120),(13134,'34510','Florensac',13121),(13135,'34700','Usclas Du Bosc',13122),(13136,'34560','Villeveyrac',13123),(13137,'34160','Campagne',13124),(13138,'34160','Boisseron',13125),(13139,'34540','Balaruc Le Vieux',13126),(13140,'34700','Saint Étienne De Gourgas',13127),(13141,'34220','Riols',13128),(13142,'34980','Combaillaux',13129),(13143,'34590','Marsillargues',13130),(13144,'34380','Viols En Laval',13131),(13145,'34800','Péret',13132),(13146,'34730','Saint Vincent De Barbeyrargues',13133),(13147,'34260','Ceilhes Et Rocozels',13134),(13148,'34290','Valros',13135),(13149,'34260','Avène',13136),(13150,'34160','Galargues',13137),(13151,'34160','Beaulieu',13138),(13152,'34520','La Vacquerie Et Saint Martin De Castries',13139),(13153,'34290','Montblanc',13140),(13154,'34380','Viols Le Fort',13141),(13155,'34160','Saussines',13142),(13156,'34600','Bédarieux',13143),(13157,'34980','Montferrier Sur Lez',13144),(13158,'34800','Brignac',13145),(13159,'34570','Saint Paul Et Valmalle',13146),(13160,'34490','Murviel Lès Béziers',13147),(13161,'34210','La Livinière',13148),(13162,'34700','Lavalette',13149),(13163,'34160','Restinclières',13150),(13164,'34480','Autignac',13151),(13165,'34150','Puéchabon',13152),(13166,'34320','Fontès',13153),(13167,'34320','Fos',13154),(13168,'34390','Prémian',13155),(13169,'34270','Sauteyrargues',13156),(13170,'34260','Camplong',13157),(13171,'34800','Mourèze',13158),(13172,'34210','Aigues Vives',13159),(13173,'34320','Roujan',13160),(13174,'34970','Lattes',13161),(13175,'34210','Oupia',13162),(13176,'34650','Brenas',13163),(13177,'34290','Espondeilhan',13164),(13178,'34230','Vendémian',13165),(13179,'34390','Mons',13166),(13180,'34600','Faugères',13167),(13181,'34360','Saint Chinian',13168),(13182,'34600','Caussiniojouls',13169),(13183,'34290','Bassan',13170),(13184,'34130','Saint Aunès',13171),(13185,'34490','Lignan Sur Orb',13172),(13186,'34680','Saint Georges D\'Orques',13173),(13187,'34210','Minerve',13174),(13188,'34600','Hérépian',13175),(13189,'34310','Quarante',13176),(13190,'34120','Tourbes',13177),(13191,'34320','Neffiès',13178),(13192,'34230','Puilacher',13179),(13193,'34400','Lunel Viel',13180),(13194,'34480','Laurens',13181),(13195,'34310','Montouliers',13182),(13196,'34120','Lézignan La Cèbe',13183),(13197,'34310','Cruzy',13184),(13198,'34210','Cassagnoles',13185),(13199,'34330','La Salvetat Sur Agout',13186),(13200,'34520','Saint Michel',13187),(13201,'34300','Agde',13188),(13202,'34110','Vic La Gardiole',13189),(13203,'34460','Cessenon Sur Orb',13190),(13204,'34210','Ferrals Les Montagnes',13191),(13205,'34650','Roqueredonde',13192),(13206,'34500','Béziers',13193),(13207,'34520','Saint Félix De L\'Héras',13194),(13208,'34800','Salasc',13195),(13209,'34620','Puisserguier',13196),(13210,'34490','Causses Et Veyran',13197),(13211,'34480','Puimisson',13198),(13212,'34540','Balaruc Les Bains',13199),(13213,'34400','Saint Christol',13200),(13214,'34360','Ferrières Poussarou',13201),(13215,'34270','Le Triadou',13202),(13216,'34490','Corneilhan',13203),(13217,'34800','Mérifons',13204),(13218,'34490','Thézan Lès Béziers',13205),(13219,'34130','Lansargues',13206),(13220,'34650','Joncels',13207),(13221,'34800','Canet',13208),(13222,'34810','Pomérols',13209),(13223,'34120','Cazouls D\'Hérault',13210),(13224,'34220','Saint Pons De Thomières',13211),(13225,'34570','Saussan',13212),(13226,'34140','Mèze',13213),(13227,'34800','Cabrières',13214),(13228,'34210','Azillanet',13215),(13229,'34320','Gabian',13216),(13230,'34700','Olmet Et Villecun',13217),(13231,'34200','Sète',13218),(13232,'34310','Capestang',13219),(13233,'34150','Saint Guilhem Le Désert',13220),(13234,'34330','Le Soulié',13221),(13235,'34190','Agonès',13222),(13236,'34380','Pégairolles De Buèges',13223),(13237,'34360','Pardailhan',13224),(13238,'34480','Magalas',13225),(13239,'34270','Vacquières',13226),(13240,'34630','Saint Thibéry',13227),(13241,'34290','Servian',13228),(13242,'34310','Poilhes',13229),(13243,'34190','Saint André De Buèges',13230),(13244,'34610','Castanet Le Haut',13231),(13245,'34160','Saint Hilaire De Beauvoir',13232),(13246,'34600','Pézènes Les Mines',13233),(13247,'34490','Pailhès',13234),(13248,'34230','Bélarga',13235),(13249,'34390','Saint Julien',13236),(13250,'34700','Poujols',13237),(13251,'34430','Saint Jean De Védas',13238),(13252,'34800','Liausson',13239),(13253,'34490','Saint Nazaire De Ladarez',13240),(13254,'34240','Combes',13241),(13255,'34160','Saint Bauzille De Montmel',13242),(13256,'34320','Roquessels',13243),(13257,'34725','Saint Guiraud',13244),(13258,'34230','Adissan',13245),(13259,'34800','Celles',13246),(13260,'34290','Lieuran Lès Béziers',13247),(13261,'34230','Saint Pargoire',13248),(13262,'34700','Pégairolles De L\'Escalette',13249),(13263,'34570','Murviel Lès Montpellier',13250),(13264,'34700','Lodève',13251),(13265,'34190','Laroque',13252),(13266,'34380','Saint Jean De Buèges',13253),(13267,'34390','Saint Étienne D\'Albagnan',13254),(13268,'34440','Nissan Lez Enserune',13255),(13269,'34400','Vérargues',13256),(13270,'34600','Villemagne L\'Argentière',13257),(13271,'34850','Pinet',13258),(13272,'34980','Saint Clément De Rivière',13259),(13273,'34610','Rosis',13260),(13274,'34600','Aires',13261),(13275,'34320','Margon',13262),(13276,'34830','Jacou',13263),(13277,'34830','Clapiers',13264),(13278,'34360','Pierrerue',13265),(13279,'34260','Saint Étienne Estréchoux',13266),(13280,'34230','Paulhan',13267),(13281,'34350','Vendres',13268),(13282,'34260','Graissessac',13269),(13283,'34800','Nébian',13270),(13284,'34380','Notre Dame De Londres',13271),(13285,'34120','Pézenas',13272),(13286,'34210','Siran',13273),(13287,'34360','Villespassans',13274),(13288,'34230','Saint Bauzille De La Sylve',13275),(13289,'34150','Gignac',13276),(13290,'34160','Saint Drézéry',13277),(13291,'34360','Babeau Bouldoux',13278),(13292,'34700','Saint Jean De La Blaquière',13279),(13293,'34980','Saint Gély Du Fesc',13280),(13294,'34130','Valergues',13281),(13295,'34480','Puissalicon',13282),(13296,'34270','Cazevieille',13283),(13297,'34570','Montarnaud',13284),(13298,'34330','Cambon Et Salvergues',13285),(13299,'34410','Sauvian',13286),(13300,'34390','Saint Vincent D\'Olargues',13287),(13301,'34160','Sussargues',13288),(13302,'34560','Poussan',13289),(13303,'34270','Lauret',13290),(13304,'34360','Assignan',13291),(13305,'34400','Saint Nazaire De Pézan',13292),(13306,'34360','Cébazan',13293),(13307,'34270','Valflaunès',13294),(13308,'34310','Montels',13295),(13309,'34160','Saint Geniès Des Mourgues',13296),(13310,'34800','Villeneuvette',13297),(13311,'34880','Lavérune',13298),(13312,'34190','Brissac',13299),(13313,'34600','Carlencas Et Levas',13300),(13314,'34820','Guzargues',13301),(13315,'34290','Coulobres',13302),(13316,'34700','Fozières',13303),(13317,'34370','Maureilhan',13304),(13318,'34660','Cournonsec',13305),(13319,'34570','Pignan',13306),(13320,'34210','Aigne',13307),(13321,'34760','Boujan Sur Libron',13308),(13322,'34370','Cazouls Lès Béziers',13309),(13323,'34420','Portiragnes',13310),(13324,'34190','Saint Bauzille De Putois',13311),(13325,'34150','Arboras',13312),(13326,'34380','Rouet',13313),(13327,'34725','Jonquières',13314),(13328,'34700','Saint Privat',13315),(13329,'34380','Argelliers',13316),(13330,'34610','Saint Geniès De Varensal',13317),(13331,'34380','Mas De Londres',13318),(13332,'34160','Castries',13319),(13333,'34560','Montbazin',13320),(13334,'34700','Soumont',13321),(13335,'34110','Frontignan',13322),(13336,'34340','Marseillan',13323),(13337,'34520','Saint Maurice Navacelles',13324),(13338,'34920','Le Crès',13325),(13340,'34230','Aumelas',13326),(13341,'34230','Plaissan',13327),(13342,'34230','Usclas D\'Hérault',13328),(13343,'34670','Saint Brès',13329),(13344,'34420','Villeneuve Lès Béziers',13330),(13345,'34270','Matelles',13331),(13346,'34160','Garrigues',13332),(13347,'34750','Villeneuve Lès Maguelone',13333),(13348,'34360','Saint Jean De Minervois',13334),(13349,'34610','Saint Gervais Sur Mare',13335),(13350,'34410','Sérignan',13336),(13351,'34220','Verreries De Moussans',13337),(13352,'34740','Vendargues',13338),(13353,'34570','Vailhauquès',13339),(13354,'34520','Saint Pierre De La Fage',13340),(13355,'34150','Lagamas',13341),(13356,'34150','Aniane',13342),(13357,'34370','Maraussan',13343),(13358,'34260','La Tour Sur Orb',13344),(13359,'34270','Claret',13345),(13360,'34330','Fraisse Sur Agout',13346),(13361,'34800','Octon',13347),(13362,'34140','Loupian',13348),(13363,'34660','Cournonterral',13349),(13364,'34400','Lunel',13350),(13365,'34650','Dio Et Valquières',13351),(13366,'34400','Saint Just',13352),(13367,'34790','Grabels',13353),(13368,'34480','Fouzilhon',13354),(13369,'34720','Caux',13355),(13370,'34360','Berlou',13356),(13371,'34800','Aspiran',13357),(13372,'34220','Courniou',13358),(13373,'34230','Saint Pons De Mauchiens',13359),(13374,'34160','Montaud',13360),(13375,'34280','La Grande Motte',13361),(13376,'34700','Le Puech',13362),(13377,'34440','Colombiers',13363),(13378,'34230','Pouzols',13364),(13379,'34460','Cazedarnes',13365),(13380,'34270','Sainte Croix De Quintillargues',13366),(13381,'34600','Le Pradal',13367),(13382,'34820','Assas',13368),(13383,'34120','Castelnau De Guers',13369),(13384,'34210','Agel',13370),(13385,'34480','Pouzolles',13371),(13386,'34190','Moulès Et Baucels',13372),(13387,'34390','Colombières Sur Orb',13373),(13388,'34600','Taussac La Billière',13374),(13389,'34190','Gorniès',13375),(13390,'34270','Saint Mathieu De Tréviers',13376),(13391,'34420','Cers',13377),(13392,'34150','Montpeyroux',13378),(13393,'34480','Saint Geniès De Fontedit',13379),(13394,'34230','Popian',13380),(13395,'34980','Murles',13381),(13396,'34800','Lacoste',13382),(13397,'34450','Vias',13383),(13398,'34240','Lamalou Les Bains',13384),(13399,'34990','Juvignac',13385),(13400,'34190','Cazilhac',13386),(13401,'34320','Vailhan',13387),(13402,'34520','Le Caylar',13388),(13403,'34360','Prades Sur Vernazobre',13389),(13404,'34530','Montagnac',13390),(13405,'34270','Fontanès',13391),(13406,'34160','Buzignargues',13392),(13407,'34710','Lespignan',13393),(13408,'34120','Nézignan L\'Évêque',13394),(13409,'34700','Le Bosc',13395),(13410,'34520','Rives',13396),(13411,'34725','Saint Saturnin De Lucian',13397),(13412,'34260','Le Bousquet D\'Orb',13398),(13413,'34210','Olonzac',13399),(13414,'34150','La Boissière',13400),(13415,'34370','Creissan',13401),(13416,'34130','Mudaison',13402),(13417,'34460','Roquebrun',13403),(13418,'34110','Mireval',13404),(13419,'34530','Aumes',13405),(13420,'34230','Campagnan',13406),(13421,'34210','Cesseras',13407),(13422,'34480','Cabrerolles',13408),(13423,'34130','Candillargues',13409),(13424,'34725','Saint André De Sangonis',13410),(13425,'34230','Le Pouget',13411),(13426,'34800','Clermont L\'Hérault',13412),(13427,'34220','Vélieux',13413),(13428,'34800','Lieuran Cabrières',13414),(13429,'34220','Rieussec',13415),(13430,'34600','Le Poujol Sur Orb',13416),(13431,'34380','Causse De La Selle',13417),(13432,'34220','Boisset',13418),(13433,'34650','Romiguières',13419),(13434,'34520','Sorbs',13420),(13435,'34390','Saint Martin De L\'Arçon',13421),(13436,'34380','Saint Martin De Londres',13422),(13437,'34140','Bouzigues',13423),(13438,'34730','Prades Le Lez',13424),(13439,'34820','Teyran',13425),(13440,'34160','Saint Jean De Cornies',13426),(13441,'34270','Saint Jean De Cuculles',13427),(13442,'34520','Le Cros',13428),(13443,'34320','Nizas',13429),(13444,'34320','Montesquieu',13430),(13445,'34770','Gigean',13431),(13446,'34290','Abeilhan',13432),(13447,'34210','La Caunette',13433),(13448,'34350','Valras Plage',13434),(13449,'34250','Palavas Les Flots',13435),(13450,'34700','Lauroux',13436),(13451,'34400','Saturargues',13437),(13452,'35470','Bain De Bretagne',13438),(13453,'35680','Domalain',13439),(13454,'35550','Sixt Sur Aff',13440),(13455,'35380','Plélan Le Grand',13441),(13456,'35133','Fleurigné',13442),(13457,'35460','Montours',13443),(13458,'35440','Guipel',13444),(13459,'35550','Saint Just',13445),(13460,'35133','Beaucé',13446),(13461,'35560','Rimou',13447),(13462,'35320','Le Petit Fougeray',13448),(13463,'35660','Langon',13449),(13464,'35450','Landavran',13450),(13465,'35130','Moutiers',13451),(13466,'35500','La Chapelle Erbrée',13452),(13467,'35610','Roz Sur Couesnon',13453),(13469,'35590','Saint Gilles',13454),(13470,'35320','Tresbœuf',13455),(13471,'35250','Andouillé Neuville',13456),(13472,'35640','Chelun',13457),(13473,'35330','Brulais',13458),(13474,'35630','La Chapelle Chaussée',13459),(13475,'35360','Landujan',13460),(13476,'35600','Redon',13461),(13477,'35580','Baulon',13462),(13478,'35720','Plesder',13463),(13479,'35470','Pléchâtel',13464),(13480,'35400','Saint Malo',13465),(13481,'35620','Teillay',13466),(13482,'35800','Saint Lunaire',13467),(13483,'35150','Amanlis',13468),(13484,'35800','Dinard',13469),(13485,'35290','Quédillac',13470),(13486,'35260','Cancale',13471),(13487,'35120','Cherrueix',13472),(13488,'35720','Tressé',13473),(13489,'35130','Availles Sur Seiche',13474),(13490,'35680','Moulins',13475),(13491,'35550','Pipriac',13476),(13492,'35480','Guipry',13477),(13493,'35150','Corps Nuds',13478),(13494,'35330','Comblessac',13479),(13495,'35850','Gévezé',13480),(13496,'35430','Saint Suliac',13481),(13497,'35140','Saint Hilaire Des Landes',13482),(13498,'35460','Saint Étienne En Coglès',13483),(13499,'35130','Rannée',13484),(13500,'35133','Laignelet',13485),(13501,'35550','Saint Ganton',13486),(13502,'35540','Miniac Morvan',13487),(13503,'35113','Domagné',13488),(13504,'35360','Le Lou Du Lac',13489),(13505,'35760','Saint Grégoire',13490),(13506,'35360','Montauban De Bretagne',13491),(13507,'35133','Le Châtellier',13492),(13508,'35760','Montgermont',13493),(13509,'35490','Chauvigné',13494),(13510,'35770','Vern Sur Seiche',13495),(13511,'35270','Combourg',13496),(13512,'35130','Visseiche',13497),(13513,'35270','Saint Léger Des Prés',13498),(13514,'35330','Bovel',13499),(13515,'35340','Ercé Près Liffré',13500),(13516,'35134','Coësmes',13501),(13517,'35430','Saint Jouan Des Guérets',13502),(13518,'35210','Parcé',13503),(13519,'35133','Lécousse',13504),(13520,'35410','Osse',13505),(13521,'35120','Hirel',13506),(13522,'35630','Hédé Bazouges',13507),(13523,'35340','Liffré',13508),(13524,'35250','Saint Germain Sur Ille',13509),(13525,'35250','Chevaigné',13510),(13526,'35290','Le Crouais',13511),(13527,'35460','Coglès',13512),(13528,'35160','Montfort Sur Meu',13513),(13529,'35630','Iffs',13514),(13530,'35290','Muel',13515),(13531,'35290','Gaël',13516),(13532,'35500','Pocé Les Bois',13517),(13533,'35220','Saint Jean Sur Vilaine',13518),(13534,'35230','Orgères',13519),(13535,'35500','Montreuil Sous Pérouse',13520),(13536,'35610','Sougéal',13521),(13537,'35960','Le Vivier Sur Mer',13522),(13538,'35430','La Ville Ès Nonais',13523),(13539,'35150','Janzé',13524),(13540,'35190','Miniac Sous Bécherel',13525),(13541,'35350','Saint Coulomb',13526),(13542,'35160','Talensac',13527),(13543,'35370','Le Pertre',13528),(13544,'35250','Saint Sulpice La Forêt',13529),(13545,'35190','Québriac',13530),(13546,'35550','Lohéac',13531),(13547,'35560','Marcillé Raoul',13532),(13548,'35620','Ercé En Lamée',13533),(13549,'35133','Romagne',13534),(13550,'35170','Bruz',13535),(13551,'35235','Thorigné Fouillard',13536),(13552,'35890','Laillé',13537),(13553,'35850','Parthenay De Bretagne',13538),(13554,'35450','Dourdain',13539),(13555,'35460','Saint Ouen La Rouërie',13540),(13556,'35320','Saulnières',13541),(13557,'35660','Renac',13542),(13558,'35630','Saint Symphorien',13543),(13559,'35240','Retiers',13544),(13560,'35560','La Fontenelle',13545),(13561,'35450','Mecé',13546),(13562,'35270','Lourmais',13547),(13563,'35210','Combourtillé',13548),(13564,'35133','Javené',13549),(13565,'35210','Dompierre Du Chemin',13550),(13566,'35830','Betton',13551),(13567,'35133','Saint Germain En Coglès',13552),(13568,'35150','Esse',13553),(13569,'35440','Dingé',13554),(13570,'35890','Bourg Des Comptes',13555),(13571,'35360','Boisgervilly',13556),(13572,'35330','La Chapelle Bouëxic',13557),(13573,'35610','Sains',13558),(13574,'35460','Tremblay',13559),(13575,'35190','Cardroc',13560),(13576,'35350','La Gouesnière',13561),(13577,'35750','Iffendic',13562),(13578,'35270','Trémeheuc',13563),(13579,'35750','Saint Maugan',13564),(13580,'35300','Fougères',13565),(13581,'35580','Goven',13566),(13582,'35490','Vieux Vy Sur Couesnon',13567),(13583,'35390','Saint Sulpice Des Landes',13568),(13584,'35140','Mézières Sur Couesnon',13569),(13585,'35310','Cintré',13570),(13586,'35210','Montautour',13571),(13587,'35680','Vergéal',13572),(13588,'35500','Champeaux',13573),(13589,'35500','Cornille',13574),(13590,'35370','Étrelles',13575),(13591,'35310','Chavagne',13576),(13592,'35680','Louvigné De Bais',13577),(13593,'35500','Taillis',13578),(13594,'35550','Bruc Sur Aff',13579),(13595,'35370','Torcé',13580),(13596,'35380','Paimpont',13581),(13597,'35134','Thourie',13582),(13598,'35230','Noyal Châtillon Sur Seiche',13583),(13599,'35250','Saint Médard Sur Ille',13584),(13600,'35540','Le Tronchet',13585),(13601,'35610','Pleine Fougères',13586),(13602,'35120','Mont Dol',13587),(13603,'35320','Lalleu',13588),(13604,'35190','Trimer',13589),(13605,'35320','La Bosse De Bretagne',13590),(13606,'35420','Le Ferré',13591),(13607,'35640','Forges La Forêt',13592),(13608,'35133','Landéan',13593),(13609,'35420','Poilley',13594),(13610,'35750','Saint Gonlay',13595),(13611,'35750','Bléruais',13596),(13612,'35440','Montreuil Sur Ille',13597),(13613,'35120','Epiniac',13598),(13614,'35500','Erbrée',13599),(13615,'35120','La Boussac',13600),(13616,'35450','Livré Sur Changeon',13601),(13617,'35410','Saint Aubin Du Pavail',13602),(13618,'35140','Saint Georges De Chesné',13603),(13619,'35120','Saint Broladre',13604),(13620,'35140','Saint Ouen Des Alleux',13605),(13621,'35310','Bréal Sous Montfort',13606),(13622,'35150','Piré Sur Seiche',13607),(13623,'35330','Mernel',13608),(13624,'35230','Saint Erblon',13609),(13625,'35390','La Dominelais',13610),(13626,'35370','Bréal Sous Vitré',13611),(13627,'35630','Saint Gondran',13612),(13628,'35450','Val D\'Izé',13613),(13629,'35410','Domloup',13614),(13630,'35137','Bédée',13615),(13631,'35430','Saint Père',13616),(13632,'35190','La Chapelle Aux Filtzméens',13617),(13633,'35133','Billé',13618),(13634,'35560','Bazouges La Pérouse',13619),(13635,'35320','Pancé',13620),(13636,'35370','Gennes Sur Seiche',13621),(13637,'35520','La Mézière',13622),(13638,'35350','Saint Méloir Des Ondes',13623),(13639,'35500','Vitré',13624),(13640,'35150','Chanteloup',13625),(13641,'35360','La Chapelle Du Lou',13626),(13642,'35140','Vendel',13627),(13643,'35850','Romillé',13628),(13644,'35590','Clayes',13629),(13645,'35460','Saint Brice En Coglès',13630),(13646,'35730','Pleurtuit',13631),(13647,'35740','Pacé',13632),(13648,'35137','La Nouaye',13633),(13649,'35870','Le Minihic Sur Rance',13634),(13650,'35270','Bonnemain',13635),(13651,'35290','Saint Onen La Chapelle',13636),(13652,'35610','Trans La Forêt',13637),(13653,'35650','Le Rheu',13638),(13654,'35530','Servon Sur Vilaine',13639),(13655,'35420','Saint Georges De Reintembault',13640),(13656,'35111','Lillemer',13641),(13657,'35160','Monterfil',13642),(13658,'35130','Drouges',13643),(13659,'35380','Maxent',13644),(13660,'35380','Saint Péran',13645),(13661,'35370','Saint Germain Du Pinel',13646),(13662,'35560','Antrain',13647),(13663,'35131','Pont Péan',13648),(13664,'35470','La Noë Blanche',13649),(13665,'35150','Boistrudan',13650),(13666,'35480','Saint Malo De Phily',13651),(13667,'35720','Saint Pierre De Plesguen',13652),(13668,'35133','Luitré',13653),(13669,'35137','Pleumeleuc',13654),(13670,'35460','Baillé',13655),(13671,'35500','Saint Aubin Des Landes',13656),(13672,'35190','Saint Thual',13657),(13673,'35460','La Selle En Coglès',13658),(13674,'35390','Sainte Anne Sur Vilaine',13659),(13675,'35780','La Richardais',13660),(13676,'35520','Montreuil Le Gast',13661),(13677,'35133','La Selle En Luitré',13662),(13678,'35240','Marcillé Robert',13663),(13679,'35120','Roz Landrieux',13664),(13680,'35630','Vignoc',13665),(13681,'35132','Vezin Le Coquet',13666),(13682,'35120','Baguer Morvan',13667),(13683,'35130','Arbrissel',13668),(13684,'35590','L\'Hermitage',13669),(13685,'35133','Saint Sauveur Des Landes',13670),(13686,'35420','Mellé',13671),(13687,'35420','La Bazouge Du Désert',13672),(13688,'35160','Le Verger',13673),(13689,'35320','La Couyère',13674),(13690,'35250','Chasné Sur Illet',13675),(13691,'35420','Monthault',13676),(13692,'35136','Saint Jacques De La Lande',13677),(13693,'35270','Lanrigan',13678),(13694,'35420','Louvigné Du Désert',13679),(13695,'35430','Saint Guinoux',13680),(13696,'35120','Saint Marcan',13681),(13697,'35530','Brécé',13682),(13698,'35240','Le Theil De Bretagne',13683),(13699,'35330','Saint Séglin',13684),(13700,'35270','Cuguen',13685),(13701,'35530','Noyal Sur Vilaine',13686),(13702,'35750','Saint Malon Sur Mel',13687),(13703,'35850','Langan',13688),(13704,'35580','Lassy',13689),(13705,'35340','La Bouëxière',13690),(13706,'35310','Saint Thurial',13691),(13707,'35250','Mouazé',13692),(13708,'35160','Breteil',13693),(13709,'35610','Vieux Viel',13694),(13710,'35114','Saint Benoît Des Ondes',13695),(13711,'35580','Guichen',13696),(13712,'35440','Feins',13697),(13713,'35270','Meillac',13698),(13714,'35320','Crevin',13699),(13715,'35610','Saint Georges De Gréhaigne',13700),(13716,'35190','Longaulnay',13701),(13717,'35250','Aubigné',13702),(13718,'35190','Saint Pern',13703),(13719,'35320','Le Sel De Bretagne',13704),(13720,'35140','La Chapelle Saint Aubert',13705),(13721,'35330','Campel',13706),(13722,'35140','Saint Marc Sur Couesnon',13707),(13723,'35135','Chantepie',13708),(13724,'35111','La Fresnais',13709),(13725,'35330','Maure De Bretagne',13710),(13726,'35550','Lieuron',13711),(13727,'35510','Cesson Sévigné',13712),(13728,'35490','Gahard',13713),(13729,'35360','Saint Uniac',13714),(13730,'35540','Plerguer',13715),(13731,'35220','Saint Didier',13716),(13732,'35600','Bains Sur Oust',13717),(13733,'35131','Chartres De Bretagne',13718),(13734,'35480','Messac',13719),(13735,'35130','La Guerche De Bretagne',13720),(13736,'35140','Saint Christophe De Valains',13721),(13737,'35133','Le Loroux',13722),(13738,'35720','Lanhélin',13723),(13739,'35210','Princé',13724),(13740,'35410','Nouvoitou',13725),(13741,'35640','Martigné Ferchaud',13726),(13742,'35140','Saint Aubin Du Cormier',13727),(13743,'35660','La Chapelle De Brain',13728),(13744,'35630','Langouet',13729),(13745,'35360','Médréac',13730),(13746,'35210','Saint Christophe Des Bois',13731),(13747,'35140','Saint Jean Sur Couesnon',13732),(13748,'35210','Châtillon En Vendelais',13733),(13749,'35360','Saint M\'Hervon',13734),(13750,'35720','Pleugueneuc',13735),(13751,'35230','Saint Armel',13736),(13752,'35600','Sainte Marie',13737),(13753,'35250','Saint Aubin D\'Aubigné',13738),(13754,'35410','Châteaugiron',13739),(13755,'35130','Moussé',13740),(13756,'35190','Tinténiac',13741),(13757,'35190','La Baussaine',13742),(13758,'35490','Sens De Bretagne',13743),(13759,'35490','Romazy',13744),(13760,'35150','Brie',13745),(13761,'35190','Trévérien',13746),(13762,'35210','Montreuil Des Landes',13747),(13763,'35190','Bécherel',13748),(13764,'35220','Marpiré',13749),(13765,'35580','Saint Senoux',13750),(13766,'35130','La Selle Guerchaise',13751),(13767,'35133','Parigné',13752),(13768,'35500','Balazé',13753),(13769,'35590','La Chapelle Thouarault',13754),(13770,'35800','Saint Briac Sur Mer',13755),(13771,'35520','Melesse',13756),(13772,'35560','Noyal Sous Bazouges',13757),(13773,'35330','Loutehel',13758),(13774,'35140','Gosné',13759),(13775,'35580','Guignen',13760),(13776,'35390','Grand Fougeray',13761),(13777,'35430','Châteauneuf D\'Ille Et Vilaine',13762),(13778,'35370','Argentré Du Plessis',13763),(13779,'35120','Dol De Bretagne',13764),(13780,'35370','Mondevert',13765),(13781,'35120','Baguer Pican',13766),(13782,'35520','La Chapelle Des Fougeretz',13767),(13783,'35690','Acigné',13768),(13784,'35460','Le Tiercent',13769),(13785,'35133','La Chapelle Janson',13770),(13786,'35680','Bais',13771),(13787,'35420','Villamée',13772),(13788,'35560','Saint Rémy Du Plain',13773),(13789,'35680','Chancé',13774),(13790,'35370','Brielles',13775),(13791,'35134','Sainte Colombe',13776),(13792,'35230','Bourgbarré',13777),(13793,'35120','Broualan',13778),(13794,'35500','Saint M\'Hervé',13779),(13795,'35310','Mordelles',13780),(13796,'35850','Irodouër',13781),(13797,'35380','Treffendel',13782),(13798,'35290','Saint Méen Le Grand',13783),(13799,'35220','Châteaubourg',13784),(13800,'35460','Saint Marc Le Blanc',13785),(13801,'35190','Saint Domineuc',13786),(13802,'35630','Saint Brieuc Des Iffs',13787),(13803,'35320','Poligné',13788),(13804,'35640','Eancé',13789),(13805,'36700','Saint Médard',13790),(13806,'36110','Saint Pierre De Lamps',13791),(13807,'36270','Bazaiges',13792),(13808,'36110','Bretagne',13793),(13809,'36400','Saint Chartier',13794),(13810,'36110','Francillon',13795),(13811,'36800','Thenay',13796),(13812,'36600','Villentrois',13797),(13813,'36400','Vicq Exemplet',13798),(13814,'36230','Neuvy Saint Sépulchre',13799),(13815,'36190','Cuzion',13800),(13816,'36220','Martizay',13801),(13817,'36230','Buxières D\'Aillac',13802),(13818,'36600','Fontguenand',13803),(13819,'36140','Aigurande',13804),(13820,'36150','Fontenay',13805),(13821,'36170','La Châtre Langlin',13806),(13822,'36120','Jeu Les Bois',13807),(13823,'36210','Dun Le Poëlier',13808),(13824,'36600','La Vernelle',13809),(13825,'36210','Bagneux',13810),(13826,'36140','Crozon Sur Vauvre',13811),(13827,'36800','Chasseneuil',13812),(13828,'36150','Guilly',13813),(13829,'36400','La Berthenoux',13814),(13830,'36200','Bouesse',13815),(13831,'36400','Lourouer Saint Laurent',13816),(13832,'36400','Briantes',13817),(13833,'36500','Buzançais',13818),(13834,'36700','Le Tranger',13819),(13835,'36230','Fougerolles',13820),(13836,'36230','Montipouret',13821),(13837,'36220','Preuilly La Ville',13822),(13838,'36170','Vigoux',13823),(13839,'36500','Vendœuvres',13824),(13840,'36100','Thizay',13825),(13841,'36260','Diou',13826),(13842,'36210','Varennes Sur Fouzon',13827),(13843,'36600','Veuil',13828),(13844,'36160','La Motte Feuilly',13829),(13845,'36190','Pommiers',13830),(13846,'36360','Faverolles',13831),(13847,'36300','Douadic',13832),(13848,'36180','Pellevoisin',13833),(13849,'36600','Langé',13834),(13850,'36190','Orsennes',13835),(13851,'36700','Fléré La Rivière',13836),(13852,'36500','Villegouin',13837),(13853,'36110','Bouges Le Château',13838),(13854,'36700','Murs',13839),(13855,'36250','Villers Les Ormes',13840),(13856,'36130','Déols',13841),(13857,'36290','Obterre',13842),(13858,'36600','Valençay',13843),(13859,'36700','Cléré Du Bois',13844),(13860,'36120','Ardentes',13845),(13861,'36100','Brives',13846),(13862,'36220','Mérigny',13847),(13863,'36290','Saulnay',13848),(13864,'36220','Tournon Saint Martin',13849),(13865,'36500','Chezelles',13850),(13866,'36340','Cluis',13851),(13867,'36500','Sainte Gemme',13852),(13868,'36310','Bonneuil',13853),(13869,'36290','Paulnay',13854),(13870,'36200','Ceaulmont',13855),(13871,'36190','Gargilesse Dampierre',13856),(13872,'36170','Saint Benoît Du Sault',13857),(13873,'36230','Tranzault',13858),(13874,'36100','Vouillon',13859),(13875,'36150','Reboursin',13860),(13876,'36160','Vigoulant',13861),(13877,'36150','Aize',13862),(13878,'36100','Issoudun',13863),(13879,'36340','Maillet',13864),(13880,'36230','Saint Denis De Jouhet',13865),(13881,'36100','Ségry',13866),(13882,'36400','Néret',13867),(13883,'36110','Villegongis',13868),(13884,'36170','Saint Civran',13869),(13885,'36100','Saint Aubin',13870),(13886,'36170','Roussines',13871),(13887,'36290','Villiers',13872),(13888,'36130','Diors',13873),(13889,'36220','Fontgombault',13874),(13890,'36500','Sougé',13875),(13891,'36170','Sacierges Saint Martin',13876),(13892,'36300','Saint Aigny',13877),(13893,'36160','Lignerolles',13878),(13894,'36800','Rivarennes',13879),(13895,'36000','Châteauroux',13880),(13896,'36800','Nuret Le Ferron',13881),(13897,'36110','Vineuil',13882),(13898,'36120','Bommiers',13883),(13899,'36500','Neuillay Les Bois',13884),(13900,'36310','Chaillac',13885),(13901,'36160','Urciers',13886),(13902,'36170','Saint Gilles',13887),(13903,'36260','Reuilly',13888),(13904,'36220','Sauzelles',13889),(13905,'36100','Neuvy Pailloux',13890),(13906,'36160','Sazeray',13891),(13907,'36400','Chassignolles',13892),(13908,'36210','Chabris',13893),(13909,'36500','Saint Genou',13894),(13910,'36200','Le Pêchereau',13895),(13911,'36100','Condé',13896),(13912,'36400','Le Magny',13897),(13913,'36290','Mézières En Brenne',13898),(13914,'36200','Mosnay',13899),(13915,'36600','Lye',13900),(13916,'36310','Dunet',13901),(13917,'36150','Vatan',13902),(13918,'36210','Anjouin',13903),(13919,'36500','Méobecq',13904),(13920,'36260','Paudy',13905),(13921,'36220','Néons Sur Creuse',13906),(13922,'36700','Saint Cyran Du Jambot',13907),(13923,'36100','Saint Aoustrille',13908),(13924,'36150','Buxeuil',13909),(13925,'36100','Sainte Fauste',13910),(13926,'36330','Arthon',13911),(13927,'36260','Saint Pierre De Jards',13912),(13928,'36500','Argy',13913),(13929,'36340','Mouhers',13914),(13930,'36120','Saint Août',13915),(13931,'36240','Jeu Maloches',13916),(13932,'36110','Saint Martin De Lamps',13917),(13933,'36240','Gehée',13918),(13934,'36100','Meunet Planches',13919),(13935,'36200','Le Menoux',13920),(13936,'36140','La Buxerette',13921),(13937,'36210','Sembleçay',13922),(13938,'36320','Villedieu Sur Indre',13923),(13939,'36100','Bordes',13924),(13940,'36370','Bélâbre',13925),(13941,'36370','Lignac',13926),(13942,'36140','Montchevrier',13927),(13943,'36700','Châtillon Sur Indre',13928),(13944,'36230','Gournay',13929),(13945,'36350','La Pérouille',13930),(13946,'36330','Le Poinçonnet',13931),(13947,'36300','Pouligny Saint Pierre',13932),(13948,'36400','Montgivray',13933),(13949,'36370','Saint Hilaire Sur Benaize',13934),(13950,'36270','Éguzon Chantôme',13935),(13951,'36200','Saint Marcel',13936),(13952,'36100','Lizeray',13937),(13953,'36400','Montlevicq',13938),(13954,'36210','Parpeçay',13939),(13955,'36170','Mouhet',13940),(13956,'36290','Azay Le Ferron',13941),(13957,'36110','Brion',13942),(13958,'36230','Mers Sur Indre',13943),(13959,'36200','Celon',13944),(13960,'36370','Chalais',13945),(13961,'36150','Ménétréols Sous Vatan',13946),(13962,'36310','Beaulieu',13947),(13963,'36180','Frédille',13948),(13964,'36150','Liniez',13949),(13965,'36260','Sainte Lizaigne',13950),(13966,'36160','Vijon',13951),(13967,'36700','Clion',13952),(13968,'36130','Coings',13953),(13969,'36130','Montierchaume',13954),(13970,'36800','Le Pont Chrétien Chabenet',13955),(13971,'36700','Arpheuilles',13956),(13972,'36150','Giroux',13957),(13973,'36300','Rosnay',13958),(13974,'36210','Poulaines',13959),(13975,'36800','Saint Gaultier',13960),(13976,'36190','Saint Plantaire',13961),(13977,'36370','Mauvières',13962),(13978,'36110','Rouvres Les Bois',13963),(13979,'36200','Argenton Sur Creuse',13964),(13980,'36200','Tendu',13965),(13981,'36340','Malicornay',13966),(13982,'36300','Ciron',13967),(13983,'36160','Pouligny Saint Martin',13968),(13984,'36240','Écueillé',13969),(13985,'36800','Luzeret',13970),(13986,'36400','Thevet Saint Julien',13971),(13987,'36360','Luçay Le Mâle',13972),(13988,'36400','La Châtre',13973),(13989,'36330','Velles',13974),(13990,'36400','Lacs',13975),(13991,'36300','Le Blanc',13976),(13992,'36120','Sassierges Saint Germain',13977),(13993,'36170','Chazelet',13978),(13994,'36200','Chavin',13979),(13995,'36270','Baraize',13980),(13996,'36210','Menetou Sur Nahon',13981),(13997,'36260','Migny',13982),(13998,'36220','Lurais',13983),(13999,'36120','Ambrault',13984),(14000,'36150','Meunet Sur Vatan',13985),(14001,'36160','Champillet',13986),(14002,'36120','Étrechet',13987),(14003,'36800','Migné',13988),(14004,'36160','Pouligny Notre Dame',13989),(14005,'36230','Lys Saint Georges',13990),(14006,'36160','Feusines',13991),(14007,'36600','Vicq Sur Nahon',13992),(14008,'36200','Badecon Le Pin',13993),(14009,'36240','Préaux',13994),(14010,'36300','Ruffec',13995),(14011,'36220','Lureuil',13996),(14012,'36500','Palluau Sur Indre',13997),(14013,'36160','Pérassay',13998),(14014,'36160','Sainte Sévère Sur Indre',13999),(14015,'36370','Prissac',14000),(14016,'36230','Sarzay',14001),(14017,'36210','Saint Christophe En Bazelle',14002),(14018,'36150','La Chapelle Saint Laurian',14003),(14019,'36100','Saint Valentin',14004),(14020,'36400','Saint Christophe En Boucherie',14005),(14021,'36180','Heugnes',14006),(14022,'36800','Chitray',14007),(14023,'36210','Orville',14008),(14024,'36350','Luant',14009),(14025,'36110','Moulins Sur Céphons',14010),(14026,'36100','Chouday',14011),(14027,'36220','Lingé',14012),(14028,'36100','La Champenoise',14013),(14029,'36800','Oulches',14014),(14030,'36170','Parnac',14015),(14031,'36140','Lourdoueix Saint Michel',14016),(14032,'36140','Crevant',14017),(14033,'36290','Saint Michel En Brenne',14018),(14034,'36400','Verneuil Sur Igneraie',14019),(14035,'36120','Pruniers',14020),(14036,'36500','La Chapelle Orthemale',14021),(14037,'36300','Concremiers',14022),(14038,'36250','Saint Maur',14023),(14039,'36150','Luçay Le Libre',14024),(14040,'36120','Mâron',14025),(14041,'36150','Saint Florentin',14026),(14042,'36110','Levroux',14027),(14043,'36400','Nohant Vic',14028),(14044,'36110','Baudres',14029),(14045,'36100','Saint Georges Sur Arnon',14030),(14046,'36310','Tilly',14031),(14047,'36300','Ingrandes',14032),(14048,'36210','Sainte Cécile',14033),(14049,'36250','Niherne',14034),(14050,'36180','Selles Sur Nahon',14035),(14051,'36500','Saint Lactencin',14036),(14052,'37210','Chançay',14037),(14053,'37150','Bléré',14038),(14054,'37320','Truyes',14039),(14055,'37320','Saint Branchs',14040),(14056,'37510','Savonnières',14041),(14057,'37540','Saint Cyr Sur Loire',14042),(14058,'37510','Ballan Miré',14043),(14059,'37320','Esvres',14044),(14060,'37530','Amboise',14045),(14061,'37530','Pocé Sur Cisse',14046),(14062,'37500','La Roche Clermault',14047),(14063,'37150','La Croix En Touraine',14048),(14064,'37140','Restigné',14049),(14065,'37360','Beaumont La Ronce',14050),(14066,'37140','Bourgueil',14051),(14067,'37130','La Chapelle Aux Naux',14052),(14068,'37130','Lignières De Touraine',14053),(14069,'37130','Cinq Mars La Pile',14054),(14070,'37320','Louans',14055),(14071,'37220','Rilly Sur Vienne',14056),(14072,'37110','Monthodon',14057),(14073,'37270','Véretz',14058),(14074,'37460','Céré La Ronde',14059),(14075,'37190','Villaines Les Rochers',14060),(14076,'37240','La Chapelle Blanche Saint Martin',14061),(14077,'37800','Marcilly Sur Vienne',14062),(14078,'37240','Manthelan',14063),(14079,'37290','Preuilly Sur Claise',14064),(14080,'37330','Braye Sur Maulne',14065),(14081,'37210','Vernou Sur Brenne',14066),(14082,'37800','Sainte Maure De Touraine',14067),(14083,'37600','Loches',14068),(14084,'37800','Sainte Catherine De Fierbois',14069),(14085,'37140','Saint Nicolas De Bourgueil',14070),(14086,'37530','Montreuil En Touraine',14071),(14087,'37500','Thizay',14072),(14088,'37110','Villedômer',14073),(14089,'37210','Parçay Meslay',14074),(14090,'37530','Limeray',14075),(14091,'37530','Cangey',14076),(14092,'37160','Descartes',14077),(14093,'37800','Antogny Le Tillac',14078),(14094,'37530','Saint Règle',14079),(14095,'37600','Verneuil Sur Indre',14080),(14096,'37360','Rouziers De Touraine',14081),(14097,'37390','Notre Dame D\'Oé',14082),(14098,'37290','Tournon Saint Pierre',14083),(14099,'37500','Chinon',14084),(14100,'37150','Dierre',14085),(14101,'37600','Saint Senoch',14086),(14102,'37310','Tauxigny',14087),(14103,'37120','Jaulnay',14088),(14104,'37340','Ambillou',14089),(14105,'37290','Boussay',14090),(14106,'37600','Sennevières',14091),(14107,'37110','Auzouer En Touraine',14092),(14108,'37350','Ferrière Larçon',14093),(14109,'37600','Saint Hippolyte',14094),(14110,'37270','Larçay',14095),(14111,'37220','Theneuil',14096),(14112,'37290','Yzeures Sur Creuse',14097),(14113,'37120','Chaveignes',14098),(14114,'37140','Benais',14099),(14115,'37130','Saint Patrice',14100),(14116,'37460','Loché Sur Indrois',14101),(14117,'37500','Candes Saint Martin',14102),(14118,'37190','Rivarennes',14103),(14119,'37600','Betz Le Château',14104),(14120,'37400','Lussault Sur Loire',14105),(14121,'37220','Trogues',14106),(14122,'37170','Chambray Lès Tours',14107),(14123,'37190','Saché',14108),(14125,'37460','Beaumont Village',14109),(14126,'37390','Saint Roch',14110),(14127,'37350','Le Petit Pressigny',14111),(14128,'37310','Chambourg Sur Indre',14112),(14129,'37700','Saint Pierre Des Corps',14113),(14130,'37310','Cigogné',14114),(14131,'37330','Couesmes',14115),(14132,'37220','Panzoult',14116),(14133,'37190','Druye',14117),(14134,'37300','Joué Lès Tours',14118),(14135,'37500','Marçay',14119),(14136,'37190','Azay Le Rideau',14120),(14137,'37800','Ports',14121),(14138,'37130','Saint Michel Sur Loire',14122),(14139,'37390','Charentilly',14123),(14140,'37370','Saint Paterne Racan',14124),(14141,'37120','Champigny Sur Veude',14125),(14142,'37240','Bossée',14126),(14143,'37390','Mettray',14127),(14144,'37330','Villiers Au Bouin',14128),(14145,'37260','Artannes Sur Indre',14129),(14146,'37140','Ingrandes De Touraine',14130),(14147,'37500','Rivière',14131),(14148,'37260','Monts',14132),(14149,'37110','Le Boulay',14133),(14150,'37460','Genillé',14134),(14151,'37330','Marcilly Sur Maulne',14135),(14152,'37600','Chanceaux Près Loches',14136),(14153,'37210','Rochecorbon',14137),(14154,'37510','Villandry',14138),(14155,'37250','Sorigny',14139),(14156,'37110','Autrèche',14140),(14157,'37370','Marray',14141),(14158,'37460','Montrésor',14142),(14159,'37460','Le Liège',14143),(14160,'37220','Crissay Sur Manse',14144),(14161,'37260','Thilouze',14145),(14162,'37120','Assay',14146),(14163,'37370','Saint Christophe Sur Le Nais',14147),(14164,'37350','Barrou',14148),(14165,'37330','Château La Vallière',14149),(14166,'37120','Marigny Marmande',14150),(14167,'37500','Cravant Les Côteaux',14151),(14168,'37120','Verneuil Le Château',14152),(14169,'37370','Bueil En Touraine',14153),(14170,'37160','Civray Sur Esves',14154),(14171,'37380','Crotelles',14155),(14172,'37270','Azay Sur Cher',14156),(14173,'37290','Chambon',14157),(14174,'37600','Varennes',14158),(14175,'37390','Cerelles',14159),(14176,'37240','Vou',14160),(14177,'37340','Savigné Sur Lathan',14161),(14178,'37120','Courcoué',14162),(14179,'37360','Saint Antoine Du Rocher',14163),(14180,'37120','Lémeré',14164),(14181,'37600','Perrusson',14165),(14182,'37800','Nouâtre',14166),(14183,'37220','L\'Île Bouchard',14167),(14184,'37310','Reignac Sur Indre',14168),(14185,'37310','Courçay',14169),(14186,'37380','Monnaie',14170),(14187,'37370','Chemillé Sur Dême',14171),(14188,'37500','Saint Germain Sur Vienne',14172),(14189,'37140','La Chapelle Sur Loire',14173),(14190,'37120','Richelieu',14174),(14191,'37110','Château Renault',14175),(14192,'37240','Cussay',14176),(14193,'37350','Paulmy',14177),(14194,'37270','Montlouis Sur Loire',14178),(14195,'37370','Neuvy Le Roi',14179),(14196,'37120','Luzé',14180),(14197,'37210','Vouvray',14181),(14198,'37800','Maillé',14182),(14199,'37700','La Ville Aux Dames',14183),(14200,'37310','Dolus Le Sec',14184),(14201,'37550','Saint Avertin',14185),(14202,'37310','Sublaines',14186),(14203,'37150','Épeigné Les Bois',14187),(14204,'37420','Huismes',14188),(14205,'37130','Bréhémont',14189),(14206,'37220','Parçay Sur Vienne',14190),(14207,'37310','Chédigny',14191),(14208,'37380','Reugny',14192),(14209,'37500','Lerné',14193),(14210,'37370','Épeigné Sur Dême',14194),(14211,'37800','Saint Épain',14195),(14212,'37150','Francueil',14196),(14213,'37220','Chezelles',14197),(14214,'37600','Beaulieu Lès Loches',14198),(14215,'37120','Braye Sous Faye',14199),(14216,'37500','Saint Benoît La Forêt',14200),(14217,'37230','Saint Étienne De Chigny',14201),(14218,'37260','Villeperdue',14202),(14219,'37360','Neuillé Pont Pierre',14203),(14220,'37130','Mazières De Touraine',14204),(14221,'37500','Anché',14205),(14222,'37500','Couziers',14206),(14223,'37530','Mosnes',14207),(14224,'37340','Cléré Les Pins',14208),(14225,'37210','Noizay',14209),(14226,'37380','Nouzilly',14210),(14227,'37230','Fondettes',14211),(14228,'37380','Neuillé Le Lierre',14212),(14229,'37310','Saint Quentin Sur Indrois',14213),(14230,'37270','Athée Sur Cher',14214),(14231,'37240','Le Louroux',14215),(14232,'37420','Savigny En Véron',14216),(14233,'37120','Faye La Vineuse',14217),(14234,'37130','Langeais',14218),(14235,'37340','Rillé',14219),(14236,'37460','Villeloin Coulangé',14220),(14237,'37800','Pussigny',14221),(14238,'37150','Civray De Touraine',14222),(14239,'37350','La Guerche',14223),(14240,'37420','Rigny Ussé',14224),(14241,'37390','La Membrolle Sur Choisille',14225),(14242,'37330','Courcelles De Touraine',14226),(14243,'37530','Nazelles Négron',14227),(14244,'37240','Ciran',14228),(14245,'37270','Saint Martin Le Beau',14229),(14246,'37250','Veigné',14230),(14247,'37150','Luzillé',14231),(14248,'37530','Saint Ouen Les Vignes',14232),(14249,'37600','Mouzay',14233),(14250,'37220','Avon Les Roches',14234),(14251,'37330','Brèches',14235),(14252,'37360','Sonzay',14236),(14253,'37110','Hermites',14237),(14254,'37120','Braslou',14238),(14255,'37310','Azay Sur Indre',14239),(14256,'37240','Ligueil',14240),(14257,'37290','Charnizay',14241),(14258,'37190','Cheillé',14242),(14259,'37350','La Celle Guenand',14243),(14260,'37320','Cormery',14244),(14261,'37150','Chenonceaux',14245),(14262,'37160','Marcé Sur Esves',14246),(14263,'37220','Brizay',14247),(14264,'37230','Luynes',14248),(14265,'37160','Neuilly Le Brignon',14249),(14266,'37800','Draché',14250),(14267,'37160','Abilly',14251),(14268,'37330','Souvigné',14252),(14269,'37380','Saint Laurent En Gâtines',14253),(14270,'37220','Crouzilles',14254),(14271,'37110','La Ferrière',14255),(14272,'37370','Louestault',14256),(14273,'37110','Dame Marie Les Bois',14257),(14274,'37160','La Celle Saint Avant',14258),(14275,'37530','Souvigny De Touraine',14259),(14276,'37340','Gizeux',14260),(14277,'37530','Chargé',14261),(14278,'37330','Saint Laurent De Lin',14262),(14279,'37460','Villedômain',14263),(14280,'37360','Semblançay',14264),(14281,'37290','Bossay Sur Claise',14265),(14282,'37110','Saunay',14266),(14283,'37230','Pernay',14267),(14284,'37800','Sepmes',14268),(14285,'37500','Cinais',14269),(14286,'37250','Montbazon',14270),(14287,'37220','Tavant',14271),(14288,'37340','Hommes',14272),(14289,'37330','Lublé',14273),(14290,'37340','Continvoir',14274),(14291,'37240','Esves Le Moutier',14275),(14292,'37350','Chaumussay',14276),(14293,'37460','Nouans Les Fontaines',14277),(14294,'37800','Pouzay',14278),(14295,'37420','Beaumont En Véron',14279),(14296,'37110','Morand',14280),(14297,'37120','La Tour Saint Gelin',14281),(14298,'37510','Saint Genouph',14282),(14299,'37140','Chouzé Sur Loire',14283),(14300,'37120','Razines',14284),(14301,'37130','Essards',14285),(14302,'37340','Avrillé Les Ponceaux',14286),(14303,'37520','La Riche',14287),(14304,'37500','Seuilly',14288),(14305,'37190','Neuil',14289),(14306,'37510','Berthenay',14290),(14307,'37190','Vallères',14291),(14308,'37150','Chisseaux',14292),(14309,'37350','Le Grand Pressigny',14293),(14310,'37260','Pont De Ruan',14294),(14311,'37800','Noyant De Touraine',14295),(14312,'37220','Sazilly',14296),(14313,'37460','Chemillé Sur Indrois',14297),(14314,'37110','Saint Nicolas Des Motets',14298),(14315,'37330','Channay Sur Lathan',14299),(14316,'37420','Avoine',14300),(14317,'37460','Orbigny',14301),(14318,'37370','Villebourg',14302),(14319,'37600','Ferrière Sur Beaulieu',14303),(14320,'37500','Ligré',14304),(14321,'37370','Saint Aubin Le Dépeint',14305),(14322,'37600','Saint Flovier',14306),(14323,'37600','Saint Jean Saint Germain',14307),(14324,'37240','Bournan',14308),(14325,'37390','Chanceaux Sur Choisille',14309),(14326,'37600','Bridoré',14310),(14327,'37110','Neuville Sur Brenne',14311),(14328,'37310','Saint Bauld',14312),(14329,'38500','Voiron',14313),(14330,'38140','Réaumont',14314),(14331,'38660','La Terrasse',14315),(14332,'38740','Le Périer',14316),(14333,'38260','Nantoin',14317),(14334,'38660','Saint Vincent De Mercuze',14318),(14335,'38350','Saint Laurent En Beaumont',14319),(14336,'38290','Frontonas',14320),(14337,'38620','Massieu',14321),(14338,'38510','Le Bouchage',14322),(14339,'38270','Beaurepaire',14323),(14340,'38150','La Chapelle De Surieu',14324),(14341,'38142','Clavans En Haut Oisans',14325),(14342,'38210','Cras',14326),(14343,'38470','Beaulieu',14327),(14344,'38550','Le Péage De Roussillon',14328),(14345,'38490','La Bâtie Divisin',14329),(14346,'38330','Montbonnot Saint Martin',14330),(14347,'38730','Le Pin',14331),(14348,'38880','Autrans',14332),(14349,'38350','Saint Pierre De Méaroz',14333),(14350,'38690','Colombe',14334),(14351,'38650','Treffort',14335),(14352,'38460','Leyrieu',14336),(14353,'38400','Saint Martin D\'Hères',14337),(14354,'38980','Viriville',14338),(14355,'38190','Sainte Agnès',14339),(14356,'38620','Velanne',14340),(14357,'38144','Notre Dame De Vaulx',14341),(14358,'38710','Cornillon En Trièves',14342),(14359,'38970','Quet En Beaumont',14343),(14360,'38970','Ambel',14344),(14361,'38890','Vignieu',14345),(14362,'38260','Bossieu',14346),(14363,'38780','Oytier Saint Oblas',14347),(14364,'38660','Saint Hilaire',14348),(14365,'38470','Varacieux',14349),(14366,'38220','Cholonge',14350),(14367,'38570','Goncelin',14351),(14368,'38500','Coublevie',14352),(14369,'73670','Saint Pierre D\'Entremont',14353),(14370,'38590','Brézins',14354),(14371,'38660','Sainte Marie D\'Alloix',14355),(14372,'38138','Côtes D\'Arey',14356),(14373,'38470','Rovon',14357),(14374,'38122','Montseveroux',14358),(14375,'38550','Sablons',14359),(14376,'38960','Saint Aupre',14360),(14377,'38250','Villard De Lans',14361),(14378,'38350','Saint Michel En Beaumont',14362),(14379,'38680','Châtelus',14363),(14380,'38260','Mottier',14364),(14381,'38450','Notre Dame De Commiers',14365),(14382,'38270','Moissieu Sur Dolon',14366),(14383,'38660','Lumbin',14367),(14384,'38970','Corps',14368),(14385,'38390','Charette',14369),(14386,'38590','Saint Étienne De Saint Geoirs',14370),(14387,'38500','La Buisse',14371),(14388,'38260','Commelle',14372),(14389,'38710','Saint Jean D\'Hérans',14373),(14390,'38470','Notre Dame De L\'Osier',14374),(14391,'38690','Burcin',14375),(14392,'38270','Saint Barthélemy',14376),(14393,'38300','Châteauvilain',14377),(14394,'38240','Meylan',14378),(14395,'38110','Saint Jean De Soudain',14379),(14396,'38300','Éparres',14380),(14397,'38620','Voissant',14381),(14398,'38470','Chasselay',14382),(14399,'38660','Sainte Marie Du Mont',14383),(14400,'38970','Monestier D\'Ambel',14384),(14401,'38710','Tréminis',14385),(14402,'38110','Montagnieu',14386),(14403,'38150','Chanas',14387),(14404,'38360','Engins',14388),(14405,'38160','Chatte',14389),(14406,'38230','Charvieu Chavagneux',14390),(14407,'38230','Pont De Chéruy',14391),(14408,'38490','Abrets',14392),(14409,'38690','Saint Didier De Bizonnes',14393),(14410,'38110','Saint Victor De Cessieu',14394),(14411,'38119','Villard Saint Christophe',14395),(14412,'38137','Paladru',14396),(14413,'38350','Saint Arey',14397),(14414,'38190','Laval',14398),(14415,'38119','Saint Théoffrey',14399),(14416,'38290','La Verpillière',14400),(14417,'38220','Vizille',14401),(14418,'38110','Saint Clair De La Tour',14402),(14419,'38560','Jarrie',14403),(14420,'38110','Faverges De La Tour',14404),(14421,'38930','Le Monestier Du Percy',14405),(14422,'38110','La Tour Du Pin',14406),(14423,'38970','Beaufin',14407),(14424,'38270','Lentiol',14408),(14425,'38480','Saint Martin De Vaulserre',14409),(14426,'38930','Lalley',14410),(14427,'38250','Lans En Vercors',14411),(14428,'38150','Roussillon',14412),(14429,'38930','Percy',14413),(14430,'38930','Saint Maurice En Trièves',14414),(14431,'38370','Roches De Condrieu',14415),(14432,'38570','Morêtel De Mailles',14416),(14433,'38300','Badinières',14417),(14434,'38440','Meyrieu Les Étangs',14418),(14435,'38360','Noyarey',14419),(14436,'38330','Saint Ismier',14420),(14437,'38350','Oris En Rattier',14421),(14438,'38270','Jarcieu',14422),(14439,'38540','Heyrieux',14423),(14440,'38650','Château Bernard',14424),(14441,'38150','Sonnay',14425),(14442,'38600','Fontaine',14426),(14443,'38220','Saint Jean De Vaulx',14427),(14444,'38610','Venon',14428),(14445,'38122','Saint Julien De L\'Herms',14429),(14446,'38110','Dolomieu',14430),(14447,'38490','Granieu',14431),(14448,'38450','Le Gua',14432),(14449,'38490','Saint André Le Gaz',14433),(14450,'38710','Cordéac',14434),(14451,'38620','Montferrat',14435),(14452,'38970','Sainte Luce',14436),(14453,'38730','Valencogne',14437),(14454,'38530','La Flachère',14438),(14455,'38780','Eyzin Pinet',14439),(14456,'38690','Longechenal',14440),(14457,'38650','Saint Guillaume',14441),(14458,'38440','Lieudieu',14442),(14459,'38710','Lavars',14443),(14460,'38660','Le Touvet',14444),(14461,'38140','Saint Paul D\'Izeaux',14445),(14462,'38520','La Garde',14446),(14463,'38530','Barraux',14447),(14464,'38590','Brion',14448),(14465,'38420','Le Versoud',14449),(14466,'38480','Le Pont De Beauvoisin',14450),(14467,'38570','Theys',14451),(14468,'38420','Saint Jean Le Vieux',14452),(14469,'38110','La Bâtie Montgascon',14453),(14470,'38590','Saint Michel De Saint Geoirs',14454),(14471,'38460','Siccieu Saint Julien Et Carisieu',14455),(14472,'38140','Beaucroissant',14456),(14473,'38300','Domarin',14457),(14474,'38560','Champ Sur Drac',14458),(14475,'38540','Valencin',14459),(14476,'38142','Besse',14460),(14477,'38190','Saint Mury Monteymond',14461),(14478,'38130','Échirolles',14462),(14479,'38800','Champagnier',14463),(14480,'38250','Saint Nizier Du Moucherotte',14464),(14481,'38570','Tencin',14465),(14482,'38840','La Sône',14466),(14483,'38340','Pommiers La Placette',14467),(14484,'38630','Avenières',14468),(14485,'38270','Revel Tourdan',14469),(14486,'38790','Diémoz',14470),(14487,'38110','La Chapelle De La Tour',14471),(14488,'38380','Entre Deux Guiers',14472),(14489,'38140','Izeaux',14473),(14490,'38680','Rencurel',14474),(14491,'38120','Fontanil Cornillon',14475),(14492,'38460','Veyssilieu',14476),(14493,'38120','Proveysieux',14477),(14494,'38970','Côtes De Corps',14478),(14495,'38980','Châtenay',14479),(14496,'38470','Saint Gervais',14480),(14497,'38470','Malleval En Vercors',14481),(14498,'38370','Saint Clair Du Rhône',14482),(14499,'38140','Charnècles',14483),(14500,'38260','Ornacieux',14484),(14501,'38750','Huez',14485),(14502,'38118','Hières Sur Amby',14486),(14503,'38320','Bresson',14487),(14504,'38390','Montalieu Vercieu',14488),(14506,'38760','Varces Allières Et Risset',14489),(14507,'38510','Brangues',14490),(14508,'38870','Saint Siméon De Bressieux',14491),(14509,'38730','Blandin',14492),(14510,'38460','Saint Romain De Jalionas',14493),(14511,'38420','Revel',14494),(14512,'38520','Ornon',14495),(14513,'38680','Saint Just De Claix',14496),(14514,'38510','Passins',14497),(14515,'38700','Le Sappey En Chartreuse',14498),(14516,'38460','Panossas',14499),(14517,'38410','Vaulnaveys Le Bas',14500),(14518,'38113','Veurey Voroize',14501),(14519,'38650','Saint Andéol',14502),(14520,'38230','Chavanoz',14503),(14521,'38420','Domène',14504),(14522,'38280','Anthon',14505),(14523,'38300','Bourgoin Jallieu',14506),(14524,'38090','Roche',14507),(14525,'38950','Saint Martin Le Vinoux',14508),(14526,'38690','Flachères',14509),(14527,'38700','La Tronche',14510),(14528,'38480','Saint Albin De Vaulserre',14511),(14529,'38230','Tignieu Jameyzieu',14512),(14530,'38790','Charantonnay',14513),(14531,'38620','Merlas',14514),(14532,'38300','Saint Alban De Roche',14515),(14533,'38760','Saint Paul De Varces',14516),(14534,'38730','Virieu',14517),(14535,'38730','Panissage',14518),(14536,'38110','Sainte Blandine',14519),(14537,'38550','Auberives Sur Varèze',14520),(14538,'38300','Saint Savin',14521),(14539,'38580','Allevard',14522),(14540,'38480','Saint Jean D\'Avelanne',14523),(14541,'38690','Bizonnes',14524),(14542,'38520','Saint Christophe En Oisans',14525),(14543,'38380','Saint Pierre De Chartreuse',14526),(14544,'38200','Serpaize',14527),(14545,'38470','Vinay',14528),(14546,'38490','Chimilin',14529),(14547,'38930','Saint Martin De Clelles',14530),(14548,'38530','Saint Maximin',14531),(14549,'38650','Avignonet',14532),(14550,'38220','Laffrey',14533),(14551,'38470','Serre Nerpol',14534),(14552,'38200','Villette De Vienne',14535),(14553,'38590','La Forteresse',14536),(14554,'38300','Nivolas Vermelle',14537),(14555,'38590','Saint Geoirs',14538),(14556,'38460','Optevoz',14539),(14557,'38350','La Valette',14540),(14558,'38350','Sousville',14541),(14559,'38650','Saint Paul Lès Monestier',14542),(14560,'38650','Roissard',14543),(14561,'38350','Marcieu',14544),(14562,'38200','Luzinay',14545),(14563,'38580','La Ferrière',14546),(14564,'38270','Pisieu',14547),(14565,'38160','Dionay',14548),(14566,'38710','Saint Sébastien',14549),(14567,'38350','Mayres Savel',14550),(14568,'38160','Saint Vérand',14551),(14569,'38630','Corbelin',14552),(14570,'38080','Four',14553),(14571,'38430','Saint Jean De Moirans',14554),(14572,'38970','La Salette Fallavaux',14555),(14573,'38260','Saint Hilaire De La Côte',14556),(14574,'38510','Vézeronce Curtin',14557),(14575,'38390','Vertrieu',14558),(14576,'38570','Hurtières',14559),(14577,'38270','Marcollin',14560),(14578,'38940','Roybon',14561),(14579,'38410','Chamrousse',14562),(14580,'38160','Bessins',14563),(14581,'38460','Chozeau',14564),(14582,'38510','Morestel',14565),(14583,'38460','Saint Hilaire De Brens',14566),(14584,'38800','Le Pont De Claix',14567),(14585,'38350','La Morte',14568),(14586,'38790','Saint Georges D\'Espéranche',14569),(14587,'38120','Saint Égrève',14570),(14588,'38700','Corenc',14571),(14589,'38460','Vénérieu',14572),(14590,'38220','Saint Barthélemy De Séchilienne',14573),(14591,'38580','Pinsot',14574),(14592,'38650','Sinard',14575),(14593,'38460','Moras',14576),(14594,'38220','Saint Pierre De Mésage',14577),(14595,'38210','Poliénas',14578),(14596,'38650','Saint Martin De La Cluze',14579),(14597,'38380','Miribel Les Échelles',14580),(14598,'38290','Satolas Et Bonce',14581),(14599,'38890','Salagnon',14582),(14600,'38890','Montcarra',14583),(14601,'38510','Saint Sorlin De Morestel',14584),(14602,'38250','Corrençon En Vercors',14585),(14603,'38690','Bévenais',14586),(14604,'38460','Chamagnieu',14587),(14605,'38470','Têche',14588),(14606,'38410','Saint Martin D\'Uriage',14589),(14607,'38160','Saint Marcellin',14590),(14608,'38114','Allemond',14591),(14609,'38660','Saint Bernard',14592),(14610,'38350','Prunières',14593),(14611,'38300','Eclose',14594),(14612,'38220','Livet Et Gavet',14595),(14613,'38840','Saint Lattier',14596),(14614,'38540','Saint Just Chaleyssin',14597),(14615,'38150','Anjou',14598),(14616,'38300','Culin',14599),(14617,'38260','La Côte Saint André',14600),(14618,'38300','Maubec',14601),(14619,'38150','Saint Romain De Surieu',14602),(14620,'38121','Reventin Vaugris',14603),(14621,'38780','Septème',14604),(14622,'38140','Rives',14605),(14623,'38260','Pajay',14606),(14624,'38150','Assieu',14607),(14625,'38300','Succieu',14608),(14626,'38122','Châlons',14609),(14627,'38300','Meyrié',14610),(14628,'38590','Plan',14611),(14629,'38620','Saint Bueil',14612),(14630,'38500','Saint Cassien',14613),(14631,'38150','Salaise Sur Sanne',14614),(14632,'38118','Saint Baudille De La Tour',14615),(14633,'38220','Montchaboud',14616),(14634,'38160','Saint Pierre De Chérennes',14617),(14635,'38460','Dizimieu',14618),(14636,'38430','Moirans',14619),(14637,'38700','Sarcenas',14620),(14638,'38440','Beauvoir De Marc',14621),(14639,'38710','Prébois',14622),(14640,'38300','Chèzeneuve',14623),(14641,'38680','Auberives En Royans',14624),(14642,'38160','Saint Antoine L\'Abbaye',14625),(14643,'38260','Gillonnay',14626),(14644,'38300','Tramolé',14627),(14645,'38570','Le Cheylas',14628),(14646,'38550','Saint Maurice L\'Exil',14629),(14647,'38930','Clelles',14630),(14648,'38690','Belmont',14631),(14649,'38740','Valjouffrey',14632),(14650,'38730','Chassignieu',14633),(14651,'38210','Saint Quentin Sur Isère',14634),(14652,'38260','Penol',14635),(14653,'38950','Quaix En Chartreuse',14636),(14654,'38142','Le Freney D\'Oisans',14637),(14655,'38320','Herbeys',14638),(14656,'38121','Chonas L\'Amballan',14639),(14657,'38520','Le Bourg D\'Oisans',14640),(14658,'38460','Annoisin Chatelans',14641),(14659,'38160','Montagne',14642),(14660,'38090','Villefontaine',14643),(14661,'38890','Vasselin',14644),(14662,'38070','Saint Quentin Fallavier',14645),(14663,'38780','Pont Évêque',14646),(14664,'38460','Villemoirieu',14647),(14665,'38300','Ruy',14648),(14666,'38780','Estrablin',14649),(14667,'38360','Sassenage',14650),(14668,'38350','Nantes En Ratier',14651),(14669,'38490','Saint Ondras',14652),(14670,'38260','Marcilloles',14653),(14671,'38122','Cour Et Buis',14654),(14672,'38350','Saint Honoré',14655),(14673,'38440','Moidieu Détourbe',14656),(14674,'38590','Sillans',14657),(14675,'38200','Jardin',14658),(14676,'38350','Ponsonnas',14659),(14677,'38550','Cheyssieu',14660),(14678,'38690','Le Grand Lemps',14661),(14679,'38370','Saint Prim',14662),(14680,'38690','Torchefelon',14663),(14681,'38870','Saint Pierre De Bressieux',14664),(14682,'38190','Froges',14665),(14683,'38190','La Combe De Lancey',14666),(14684,'38350','Siévoz',14667),(14685,'38940','Saint Clair Sur Galaure',14668),(14686,'38140','Renage',14669),(14687,'38520','Oulles',14670),(14688,'38420','Murianette',14671),(14689,'38119','Pierre Châtel',14672),(14690,'38520','Villard Notre Dame',14673),(14691,'38200','Seyssuel',14674),(14692,'38350','La Mure',14675),(14693,'38440','Meyssiès',14676),(14694,'38320','Poisat',14677),(14695,'38930','Chichilianne',14678),(14696,'38142','Mizoën',14679),(14697,'38440','Royas',14680),(14698,'38220','Notre Dame De Mésage',14681),(14699,'38850','Bilieu',14682),(14700,'38160','Saint Sauveur',14683),(14701,'38270','Pact',14684),(14702,'38630','Veyrins Thuellin',14685),(14703,'38270','Primarette',14686),(14704,'38110','Saint Didier De La Tour',14687),(14705,'38210','Morette',14688),(14706,'38470','Quincieu',14689),(14707,'38840','Saint Bonnet De Chavagne',14690),(14708,'38080','L\'Isle D\'Abeau',14691),(14709,'38680','Saint André En Royans',14692),(14710,'38150','Vernioz',14693),(14711,'38770','Monteynard',14694),(14712,'38460','Soleymieu',14695),(14713,'38450','Miribel Lanchâtre',14696),(14714,'38440','Savas Mépin',14697),(14715,'38650','Monestier De Clermont',14698),(14716,'38650','Saint Michel Les Portes',14699),(14717,'38710','Mens',14700),(14718,'38460','Crémieu',14701),(14719,'38710','Saint Baudille Et Pipet',14702),(14720,'38730','Doissin',14703),(14721,'38300','Sérézin De La Tour',14704),(14722,'38080','Saint Marcel Bel Accueil',14705),(14723,'38890','Saint Chef',14706),(14724,'38114','Vaujany',14707),(14725,'38150','Ville Sous Anjou',14708),(14726,'38830','Saint Pierre D\'Allevard',14709),(14727,'38260','Champier',14710),(14728,'38510','Courtenay',14711),(14729,'38690','Châbons',14712),(14730,'38510','Arandon',14713),(14731,'38110','Cessieu',14714),(14732,'38122','Monsteroux Milieu',14715),(14733,'38530','Chapareillan',14716),(14734,'38350','La Salle En Beaumont',14717),(14735,'38530','La Buissière',14718),(14736,'38260','Balbins',14719),(14737,'38114','Villard Reculas',14720),(14738,'38270','Beaufort',14721),(14739,'38500','Saint Nicolas De Macherin',14722),(14740,'38680','Presles',14723),(14741,'38690','Montrevel',14724),(14742,'38540','Grenay',14725),(14743,'38140','Apprieu',14726),(14744,'38090','Bonnefamille',14727),(14745,'38730','Chélieu',14728),(14746,'38142','Auris',14729),(14747,'38610','Gières',14730),(14748,'38390','Porcieu Amblagnieu',14731),(14749,'38160','Saint Appolinard',14732),(14750,'38850','Chirens',14733),(14751,'38770','La Motte Saint Martin',14734),(14752,'38870','Bressieux',14735),(14753,'38650','Gresse En Vercors',14736),(14754,'38330','Saint Nazaire Les Eymes',14737),(14755,'38480','Romagnieu',14738),(14756,'38260','Sardieu',14739),(14757,'38580','La Chapelle Du Bard',14740),(14758,'38440','Saint Jean De Bournay',14741),(14759,'38550','Clonas Sur Varèze',14742),(14760,'38190','Villard Bonnot',14743),(14761,'38210','Tullins',14744),(14762,'38940','Montfalcon',14745),(14763,'38210','Vourey',14746),(14764,'38440','Sainte Anne Sur Gervonde',14747),(14765,'38190','Crolles',14748),(14766,'38210','La Rivière',14749),(14767,'38190','Adrets',14750),(14768,'38690','Oyeu',14751),(14769,'38690','Biol',14752),(14770,'38140','La Murette',14753),(14771,'38570','La Pierre',14754),(14772,'38260','Thodure',14755),(14773,'38150','Bougé Chambalud',14756),(14774,'38260','Pommier De Beaurepaire',14757),(14775,'38510','Saint Victor De Morestel',14758),(14776,'38470','L\'Albenc',14759),(14777,'38160','Saint Romans',14760),(14778,'38140','Saint Blaise Du Buis',14761),(14779,'38740','Valbonnais',14762),(14780,'38340','Voreppe',14763),(14781,'38970','Pellafol',14764),(14782,'38330','Biviers',14765),(14783,'38460','Vernas',14766),(14784,'38740','Entraigues',14767),(14785,'38280','Villette D\'Anthon',14768),(14786,'38390','Bouvesse Quirieu',14769),(14787,'38510','Sermérieu',14770),(14788,'38220','Séchilienne',14771),(14789,'38490','Charancieu',14772),(14790,'38160','Murinais',14773),(14791,'38200','Chuzelles',14774),(14792,'38160','Izeron',14775),(14793,'38490','Le Passage',14776),(14794,'38680','Choranche',14777),(14795,'38490','Aoste',14778),(14796,'38180','Seyssins',14779),(14797,'38960','Saint Étienne De Crossey',14780),(14798,'38112','Méaudre',14781),(14799,'38134','Saint Joseph De Rivière',14782),(14800,'38210','Montaud',14783),(14801,'38270','Bellegarde Poussieu',14784),(14802,'38320','Brié Et Angonnes',14785),(14803,'38520','Vénosc',14786),(14804,'38190','Bernin',14787),(14805,'38660','Saint Pancrasse',14788),(14806,'38470','Vatilieu',14789),(14807,'38090','Vaulx Milieu',14790),(14808,'38460','Trept',14791),(14809,'38640','Claix',14792),(14810,'38770','La Motte D\'Aveillans',14793),(14811,'38450','Vif',14794),(14812,'38840','Saint Hilaire Du Rosier',14795),(14813,'38740','Chantelouve',14796),(14814,'38860','Mont De Lans',14797),(14815,'38300','Saint Agnin Sur Bion',14798),(14816,'38450','Saint Georges De Commiers',14799),(14817,'38114','Oz',14800),(14818,'38440','Châtonnay',14801),(14819,'38620','Saint Geoire En Valdaine',14802),(14820,'38510','Creys Mépieu',14803),(14821,'38520','Villard Reymond',14804),(14822,'38300','Crachier',14805),(14823,'38620','Saint Sulpice Des Rivoires',14806),(14824,'38440','Villeneuve De Marc',14807),(14825,'38350','Lavaldens',14808),(14826,'38980','Marnans',14809),(14827,'38200','Saint Sorlin De Vienne',14810),(14828,'38380','Saint Christophe Sur Guiers',14811),(14829,'38470','Cognin Les Gorges',14812),(14830,'38190','Le Champ Près Froges',14813),(14831,'38260','Semons',14814),(14832,'38390','Parmilieu',14815),(14833,'38280','Janneyrias',14816),(14834,'38110','Rochetoirin',14817),(14835,'38490','Fitilieu',14818),(14836,'38670','Chasse Sur Rhône',14819),(14837,'38260','Arzay',14820),(14838,'38380','Saint Laurent Du Pont',14821),(14839,'38134','Saint Julien De Raz',14822),(14840,'38260','La Frette',14823),(14841,'38170','Seyssinet Pariset',14824),(14842,'38480','Pressins',14825),(14843,'38440','Artas',14826),(14844,'38160','Beauvoir En Royans',14827),(14845,'38690','Eydoche',14828),(14846,'38200','Vienne',14829),(14847,'38120','Mont Saint Martin',14830),(14848,'38850','Charavines',14831),(14849,'38580','Le Moutaret',14832),(14850,'38530','Pontcharra',14833),(14851,'38370','Saint Alban Du Rhône',14834),(14852,'38260','Faramans',14835),(14853,'38320','Eybens',14836),(14854,'38160','Chevrières',14837),(14855,'38390','La Balme Les Grottes',14838),(14856,'38410','Vaulnaveys Le Haut',14839),(14857,'38150','Agnin',14840),(14858,'38680','Pont En Royans',14841),(14859,'38350','Cognet',14842),(14860,'38470','Chantesse',14843),(14861,'38350','Susville',14844),(14862,'39230','La Charme',14845),(14863,'39240','Charnod',14846),(14864,'39700','Lavangeot',14847),(14865,'39270','Pimorin',14848),(14866,'39290','Champagney',14849),(14867,'39120','Pleure',14850),(14868,'39570','Vernantois',14851),(14869,'39230','Toulouse Le Château',14852),(14870,'39380','Santans',14853),(14871,'39250','Mièges',14854),(14872,'39110','Bracon',14855),(14873,'39250','Nozeroy',14856),(14874,'39290','Thervay',14857),(14875,'39570','Chille',14858),(14876,'39270','Écrille',14859),(14877,'39400','Bellefontaine',14860),(14878,'39370','Bouchoux',14861),(14879,'39600','Mathenay',14862),(14880,'39190','Augea',14863),(14881,'39130','Hautecour',14864),(14882,'39230','Vincent',14865),(14883,'39360','Vaux Lès Saint Claude',14866),(14884,'39260','Lect',14867),(14885,'39240','Thoirette',14868),(14886,'39250','Billecul',14869),(14887,'39290','Brans',14870),(14888,'39300','Nans',14871),(14889,'39230','Bréry',14872),(14890,'39190','Grusse',14873),(14891,'39300','Sapois',14874),(14892,'39260','Crozets',14875),(14893,'39600','Écleux',14876),(14894,'39800','Chamole',14877),(14895,'39700','Sermange',14878),(14896,'39300','Châtelneuf',14879),(14897,'39350','Pagney',14880),(14898,'39570','Courlans',14881),(14899,'39240','Genod',14882),(14900,'39150','Planches En Montagne',14883),(14901,'39360','Molinges',14884),(14902,'39150','Château Des Prés',14885),(14903,'39240','Fétigny',14886),(14904,'39800','Chaussenans',14887),(14905,'39350','Ougney',14888),(14906,'39110','Pretin',14889),(14907,'39800','Grozon',14890),(14908,'39380','Mont Sous Vaudrey',14891),(14909,'39240','Saint Hymetière',14892),(14910,'39290','Montmirey La Ville',14893),(14911,'39380','Chamblay',14894),(14912,'39700','Évans',14895),(14913,'39210','Domblans',14896),(14914,'39700','Falletans',14897),(14915,'39230','Froideville',14898),(14916,'39380','Bans',14899),(14917,'39290','Peintre',14900),(14918,'39120','Chemin',14901),(14919,'39700','Auxange',14902),(14920,'39120','Hays',14903),(14921,'39700','Ranchot',14904),(14922,'39150','La Chaux Du Dombief',14905),(14923,'39260','Charchilla',14906),(14924,'39270','Reithouse',14907),(14925,'39270','Augisey',14908),(14926,'39230','Recanoz',14909),(14927,'39700','Dampierre',14910),(14928,'39350','Rouffange',14911),(14929,'39700','Our',14912),(14930,'39300','Pillemoine',14913),(14931,'39120','Rahon',14914),(14932,'39190','Beaufort',14915),(14933,'39380','Augerans',14916),(14934,'39110','Clucy',14917),(14935,'39300','Conte',14918),(14936,'39290','Offlanges',14919),(14937,'39570','Macornay',14920),(14938,'39350','Vitreux',14921),(14939,'39570','Condamine',14922),(14940,'39260','Crenans',14923),(14941,'39150','Prénovel',14924),(14942,'39140','Villevieux',14925),(14943,'39270','Varessia',14926),(14944,'39300','Loulle',14927),(14945,'39800','Barretaine',14928),(14946,'39140','Arlay',14929),(14947,'39600','La Ferté',14930),(14948,'39570','L\'Étoile',14931),(14949,'39800','Bersaillin',14932),(14950,'39260','Villards D\'Héria',14933),(14951,'39320','Broissia',14934),(14952,'39240','La Boissière',14935),(14953,'39230','La Chassagne',14936),(14954,'39700','Fraisans',14937),(14955,'39570','Conliège',14938),(14956,'39240','Cézia',14939),(14957,'39130','Uxelles',14940),(14958,'39270','Mérona',14941),(14959,'39130','Étival',14942),(14960,'39130','Chevrotaine',14943),(14961,'39370','Choux',14944),(14962,'39230','La Chaux En Bresse',14945),(14963,'39270','Onoz',14946),(14964,'39700','Serre Les Moulières',14947),(14965,'39570','Quintigny',14948),(14966,'39600','Villers Farlay',14949),(14967,'39290','Menotey',14950),(14968,'39270','Moutonne',14951),(14969,'39320','Montfleur',14952),(14970,'39100','Villette Lès Dole',14953),(14971,'39110','Pont D\'Héry',14954),(14972,'39350','Gendrey',14955),(14973,'39800','Villerserine',14956),(14974,'39350','Saligney',14957),(14975,'39300','Crotenay',14958),(14976,'39100','Foucherans',14959),(14977,'39170','Ravilloles',14960),(14978,'39230','Saint Lothain',14961),(14979,'39240','Cernon',14962),(14980,'39700','Monteplain',14963),(14981,'39320','Gigny',14964),(14982,'39250','Censeau',14965),(14983,'39170','Ponthoux',14966),(14984,'39570','Vevy',14967),(14985,'39500','Damparis',14968),(14986,'39190','Chevreaux',14969),(14987,'39500','Tavaux',14970),(14988,'39160','Balanod',14971),(14989,'39120','Saint Loup',14972),(14990,'39190','Sainte Agnès',14973),(14991,'39300','Crans',14974),(14992,'39240','Châtonnay',14975),(14993,'39210','Le Pin',14976),(14994,'39330','Pagnoz',14977),(14995,'39160','Saint Jean D\'Étreux',14978),(14996,'39120','Longwy Sur Le Doubs',14979),(14997,'39250','Onglières',14980),(14998,'39240','Vosbles',14981),(14999,'39320','Dessia',14982),(15000,'39600','Saint Cyr Montmalin',14983),(15001,'39140','Desnes',14984),(15002,'39290','Biarne',14985),(15003,'39250','Cerniébaud',14986),(15004,'39150','Chaux Des Crotenay',14987),(15005,'39300','Saint Germain En Montagne',14988),(15006,'39400','La Mouille',14989),(15007,'39110','Geraise',14990),(15008,'39100','Gevry',14991),(15009,'39600','La Châtelaine',14992),(15010,'39380','Montbarrey',14993),(15011,'39300','Le Larderet',14994),(15012,'39210','Montain',14995),(15013,'39800','Vaux Sur Poligny',14996),(15014,'39120','Villers Robert',14997),(15015,'39300','Moutoux',14998),(15016,'39600','Grange De Vaivre',14999),(15017,'39140','Bletterans',15000),(15018,'39100','Monnières',15001),(15019,'39160','Véria',15002),(15020,'39200','Saint Claude',15003),(15021,'39350','Louvatange',15004),(15022,'39310','Moussières',15005),(15023,'01590','Lavancia Epercy',15006),(15024,'39120','Gatey',15007),(15025,'39120','Péseux',15008),(15026,'39140','Chapelle Voland',15009),(15027,'39600','Villette Lès Arbois',15010),(15028,'39120','Le Deschaux',15011),(15029,'39130','Châtillon',15012),(15030,'39290','Moissey',15013),(15031,'39130','Saint Maurice Crillat',15014),(15032,'39110','Abergement Lès Thésy',15015),(15033,'39130','La Frasnée',15016),(15034,'39270','Orgelet',15017),(15035,'39320','Montagna Le Templier',15018),(15036,'39270','Alièze',15019),(15037,'39700','La Bretenière',15020),(15038,'39570','Geruge',15021),(15039,'39380','La Loye',15022),(15040,'39800','Colonne',15023),(15041,'39230','Chemenot',15024),(15042,'39110','Saizenay',15025),(15043,'39380','Nevy Lès Dole',15026),(15044,'39150','Entre Deux Monts',15027),(15045,'39270','Nancuise',15028),(15046,'39140','Commenailles',15029),(15047,'39260','Coyron',15030),(15048,'39700','La Barre',15031),(15049,'39110','Marnoz',15032),(15050,'39570','Courlaoux',15033),(15051,'39460','Foncine Le Haut',15034),(15052,'39300','Le Latet',15035),(15053,'39700','Orchamps',15036),(15054,'39410','Aumur',15037),(15055,'39300','Cize',15038),(15056,'39700','Amange',15039),(15057,'39240','Savigna',15040),(15058,'39400','Morez',15041),(15059,'39570','Crançot',15042),(15060,'39250','Longcochon',15043),(15061,'39290','Archelange',15044),(15062,'39270','Rothonay',15045),(15063,'39270','Chavéria',15046),(15064,'39230','Foulenay',15047),(15065,'39570','Frébuans',15048),(15066,'39270','Chambéria',15049),(15067,'39240','Aromas',15050),(15068,'39260','Maisod',15051),(15069,'39190','Cousance',15052),(15070,'39240','Arinthod',15053),(15071,'39190','Gizia',15054),(15072,'39230','Mantry',15055),(15073,'39270','Beffia',15056),(15074,'39300','Le Pasquier',15057),(15075,'39150','Saint Laurent En Grandvaux',15058),(15076,'39170','Lavans Lès Saint Claude',15059),(15077,'39190','Digna',15060),(15078,'39310','Bellecombe',15061),(15079,'39380','La Vieille Loye',15062),(15080,'39600','Cramans',15063),(15081,'39150','Lac Des Rouges Truites',15064),(15082,'39250','Esserval Combe',15065),(15083,'39240','Condes',15066),(15084,'39240','Villeneuve Lès Charnod',15067),(15085,'39100','Brevans',15068),(15086,'39570','Courbouzon',15069),(15087,'39570','Moiron',15070),(15088,'39170','Cuttura',15071),(15089,'39320','Bourcia',15072),(15090,'39300','Vers En Montagne',15073),(15091,'39270','Plaisia',15074),(15092,'39800','Biefmorin',15075),(15093,'39350','Le Petit Mercey',15076),(15094,'39160','Montagna Le Reconduit',15077),(15095,'39380','Belmont',15078),(15096,'39300','Supt',15079),(15097,'39130','Bonlieu',15080),(15098,'39240','Coisia',15081),(15099,'39120','Balaiseaux',15082),(15100,'39350','Taxenne',15083),(15101,'39190','Rosay',15084),(15102,'39140','Ruffey Sur Seille',15085),(15103,'39130','Saugeot',15086),(15104,'39290','Rainans',15087),(15105,'39500','Champdivers',15088),(15106,'39190','Rotalier',15089),(15107,'39130','Patornay',15090),(15108,'39210','Lavigny',15091),(15109,'39700','Salans',15092),(15110,'39130','Boissia',15093),(15111,'39800','Miéry',15094),(15112,'39300','Syam',15095),(15113,'39500','Molay',15096),(15114,'39110','Ivrey',15097),(15115,'39570','Saint Maur',15098),(15116,'39320','Louvenne',15099),(15117,'39260','Martigna',15100),(15118,'39220','Prémanon',15101),(15119,'39320','Andelot Morval',15102),(15120,'39270','Dompierre Sur Mont',15103),(15121,'39100','Parcey',15104),(15122,'39120','Séligney',15105),(15123,'39240','Chemilla',15106),(15124,'39700','Lavans Lès Dole',15107),(15125,'39290','Pointre',15108),(15126,'39110','Dournon',15109),(15127,'39570','Montaigu',15110),(15128,'39100','Jouhe',15111),(15129,'39600','Abergement Le Grand',15112),(15130,'39210','Blois Sur Seille',15113),(15131,'39210','Le Vernois',15114),(15132,'39150','Chalesmes',15115),(15133,'39800','Neuvilley',15116),(15134,'39800','Poligny',15117),(15135,'39110','Andelot En Montagne',15118),(15136,'39570','Gevingey',15119),(15137,'39130','Pont De Poitte',15120),(15138,'39320','Graye Et Charnay',15121),(15139,'39240','Lavans Sur Valouse',15122),(15140,'39210','Saint Germain Lès Arlay',15123),(15141,'39800','Buvilly',15124),(15142,'39600','Molamboz',15125),(15143,'39230','Sergenaux',15126),(15144,'39250','La Latette',15127),(15145,'39120','Chêne Bernard',15128),(15146,'39310','Lamoura',15129),(15147,'39120','Saint Baraing',15130),(15148,'39230','Le Chateley',15131),(15149,'39600','Planches Près Arbois',15132),(15150,'39240','Vescles',15133),(15151,'39380','Germigney',15134),(15152,'39140','Fontainebrux',15135),(15153,'39800','Abergement Le Petit',15136),(15154,'39570','Montmorot',15137),(15155,'39110','Chilly Sur Salins',15138),(15156,'39210','Frontenay',15139),(15157,'39190','Bonnaud',15140),(15158,'39130','Blye',15141),(15159,'39300','Pont Du Navoy',15142),(15160,'39160','Nanc Lès Saint Amour',15143),(15161,'39300','Lent',15144),(15162,'39140','Repôts',15145),(15163,'39130','Charcier',15146),(15164,'39800','Brainans',15147),(15165,'39110','Chaux Champagny',15148),(15166,'39120','Chaînée Des Coupis',15149),(15167,'39120','Chaussin',15150),(15168,'39230','Francheville',15151),(15169,'39600','Arbois',15152),(15170,'39290','Dammartin Marpain',15153),(15171,'39140','Cosges',15154),(15172,'39130','Charézier',15155),(15173,'39300','Sirod',15156),(15174,'39130','Doucier',15157),(15175,'39600','Pupillin',15158),(15176,'39230','Le Villey',15159),(15177,'39150','La Chaumusse',15160),(15178,'39250','Bief Du Fourg',15161),(15179,'39210','Voiteur',15162),(15180,'39360','Vulvoz',15163),(15181,'39130','Songeson',15164),(15182,'39700','Courtefontaine',15165),(15183,'39130','Marigny',15166),(15184,'39270','La Tour Du Meix',15167),(15185,'39160','Senaud',15168),(15186,'39300','Bourg De Sirod',15169),(15187,'39570','Publy',15170),(15188,'39270','Cressia',15171),(15189,'39130','Menétrux En Joux',15172),(15190,'39570','Perrigny',15173),(15191,'39250','Mignovillard',15174),(15192,'39400','Longchaumois',15175),(15193,'39360','Chassal',15176),(15194,'39140','Nance',15177),(15195,'39320','Montrevel',15178),(15196,'39230','Chêne Sec',15179),(15197,'39160','Thoissia',15180),(15198,'39800','Besain',15181),(15199,'39700','Malange',15182),(15200,'39230','Champrougier',15183),(15201,'39520','Foncine Le Bas',15184),(15202,'39240','Légna',15185),(15203,'39320','Saint Julien',15186),(15204,'39300','Monnet La Ville',15187),(15205,'39260','Montcusel',15188),(15206,'39130','Saffloz',15189),(15207,'39200','Coiserette',15190),(15208,'39360','Larrivoire',15191),(15209,'39270','Sarrogna',15192),(15210,'39570','Cesancey',15193),(15211,'39200','Villard Sur Bienne',15194),(15212,'39160','Val D\'Épy',15195),(15213,'39270','Présilly',15196),(15214,'39570','Nogna',15197),(15215,'39120','Bretenières',15198),(15216,'39290','Chevigny',15199),(15217,'39110','Aiglepierre',15200),(15218,'39700','Éclans Nenon',15201),(15219,'39570','Villeneuve Sous Pymont',15202),(15220,'39570','Verges',15203),(15221,'39700','Vriange',15204),(15222,'39220','Bois D\'Amont',15205),(15223,'39310','Septmoncel',15206),(15224,'39800','Le Fied',15207),(15225,'39300','Ney',15208),(15226,'39400','Morbier',15209),(15227,'39800','Aumont',15210),(15228,'39100','Champvans',15211),(15229,'39110','Saint Thiébaud',15212),(15230,'39210','Granges Sur Baume',15213),(15231,'39380','Souvans',15214),(15232,'39170','Pratz',15215),(15233,'39100','Choisey',15216),(15234,'39380','Vaudrey',15217),(15235,'39800','Plasne',15218),(15236,'39130','Châtel De Joux',15219),(15237,'39230','Rye',15220),(15238,'39320','Monnetay',15221),(15239,'39570','Saint Didier',15222),(15240,'39200','Coyrière',15223),(15241,'39570','Bornay',15224),(15242,'39320','Villechantria',15225),(15243,'39230','Chaumergy',15226),(15244,'39600','Vadans',15227),(15245,'39110','Salins Les Bains',15228),(15246,'39600','Arsures',15229),(15247,'39300','Vannoz',15230),(15248,'39210','Ladoye Sur Seille',15231),(15249,'39800','Picarreau',15232),(15250,'39110','Aresches',15233),(15251,'39120','Asnans Beauvoisin',15234),(15252,'39800','Molain',15235),(15253,'39210','Plainoiseau',15236),(15254,'39410','Saint Aubin',15237),(15255,'39230','Deux Fays',15238),(15256,'39600','Montigny Lès Arsures',15239),(15257,'39190','Mallerey',15240),(15258,'39700','Audelange',15241),(15259,'39800','Montholier',15242),(15260,'01590','Chancia',15243),(15261,'39110','Montmarlon',15244),(15262,'39700','Rans',15245),(15263,'39110','Ivory',15246),(15264,'39120','Petit Noir',15247),(15265,'39250','Cuvier',15248),(15266,'39320','Lains',15249),(15267,'39210','Menétru Le Vignoble',15250),(15268,'39120','Sergenon',15251),(15269,'39250','Doye',15252),(15270,'39250','Esserval Tartre',15253),(15271,'39270','Arthenas',15254),(15272,'39120','Tassenières',15255),(15273,'39800','Oussières',15256),(15274,'39570','Briod',15257),(15275,'39120','Neublans Abergement',15258),(15276,'39300','Montigny Sur L\'Ain',15259),(15277,'39250','La Favière',15260),(15278,'39570','Mirebel',15261),(15279,'39400','Lézat',15262),(15280,'39600','Port Lesney',15263),(15281,'39570','Revigny',15264),(15282,'39300','Montrond',15265),(15283,'39130','Fontenu',15266),(15284,'39150','Bief Des Maisons',15267),(15285,'39250','Molpré',15268),(15286,'39800','Bonnefontaine',15269),(15287,'39270','Marnézia',15270),(15288,'39570','Pannessières',15271),(15289,'39270','Essia',15272),(15290,'39290','Gredisans',15273),(15291,'39230','Darbonnay',15274),(15292,'39200','La Rixouse',15275),(15293,'39140','Relans',15276),(15294,'39570','Chilly Le Vignoble',15277),(15295,'39570','Poids De Fiole',15278),(15296,'39130','Le Frasnois',15279),(15297,'39130','Clairvaux Les Lacs',15280),(15298,'39210','Le Louverot',15281),(15299,'39240','Valfin Sur Valouse',15282),(15300,'39300','Mont Sur Monnet',15283),(15301,'39500','Abergement La Ronce',15284),(15302,'39190','Cuisia',15285),(15303,'39250','Fraroz',15286),(15304,'39130','Largillay Marsonnay',15287),(15305,'39260','Meussia',15288),(15306,'39130','Thoiria',15289),(15307,'39250','Communailles En Montagne',15290),(15308,'39130','Denezières',15291),(15309,'39240','Cornod',15292),(15310,'39570','Baume Les Messieurs',15293),(15311,'39250','Charency',15294),(15312,'39190','Vercia',15295),(15313,'39230','Sellières',15296),(15314,'39370','La Pesse',15297),(15315,'39300','Valempoulières',15298),(15316,'39190','Orbagna',15299),(15317,'39210','Nevy Sur Seille',15300),(15318,'39150','Piards',15301),(15319,'39160','L\'Aubépin',15302),(15320,'39380','Chatelay',15303),(15321,'39350','Romain',15304),(15322,'39320','Loisia',15305),(15323,'39220','Rousses',15306),(15324,'39240','Marigna Sur Valouse',15307),(15325,'39260','Moirans En Montagne',15308),(15326,'39170','Leschères',15309),(15327,'39570','Messia Sur Sorne',15310),(15328,'39250','Plénise',15311),(15329,'39210','Château Chalon',15312),(15330,'39320','La Balme D\'Épy',15313),(15331,'39800','Villers Les Bois',15314),(15332,'39230','Saint Lamain',15315),(15333,'39290','Mutigney',15316),(15334,'39190','Vincelles',15317),(15335,'39250','Rix',15318),(15336,'39360','Jeurre',15319),(15337,'39380','Chissey Sur Loue',15320),(15338,'39320','Florentia',15321),(15339,'39110','Cernans',15322),(15340,'39150','Chaux Des Prés',15323),(15341,'39570','Saint Laurent La Roche',15324),(15342,'39130','Vertamboz',15325),(15343,'39570','Courbette',15326),(15344,'39160','Saint Amour',15327),(15345,'39250','Plénisette',15328),(15346,'39360','Rogna',15329),(15347,'39100','Sampans',15330),(15348,'39200','Avignon Lès Saint Claude',15331),(15349,'39160','Chazelles',15332),(15350,'39700','Châtenois',15333),(15351,'39130','Barésia Sur L\'Ain',15334),(15352,'39140','Larnaud',15335),(15353,'01410','Lajoux',15336),(15354,'39300','Le Vaudioux',15337),(15355,'39190','Maynal',15338),(15356,'39700','Romange',15339),(15357,'39310','Molunes',15340),(15358,'39200','Villard Saint Sauveur',15341),(15359,'39160','Nantey',15342),(15360,'39290','Frasne Les Meulières',15343),(15361,'39100','Crissey',15344),(15362,'39700','Étrepigney',15345),(15363,'39360','Viry',15346),(15364,'39800','Tourmont',15347),(15365,'39330','Mouchard',15348),(15366,'39700','Rochefort Sur Nenon',15349),(15367,'39240','Dramelay',15350),(15368,'39130','Mesnois',15351),(15369,'39100','Dole',15352),(15370,'39250','Gillois',15353),(15371,'39700','Plumont',15354),(15372,'39150','Saint Pierre',15355),(15373,'39600','Villeneuve D\'Aval',15356),(15374,'39100','Baverans',15357),(15375,'39570','Lons Le Saunier',15358),(15376,'39380','Ounans',15359),(15377,'39110','La Chapelle Sur Furieuse',15360),(15378,'39110','Thésy',15361),(15379,'39800','Fay En Montagne',15362),(15380,'39230','Monay',15363),(15381,'39250','Mournans Charbonny',15364),(15382,'39600','Champagne Sur Loue',15365),(15383,'39230','Vers Sous Sellières',15366),(15384,'39120','Annoire',15367),(15385,'39240','Chisséria',15368),(15386,'39230','Passenans',15369),(15387,'39300','Équevillon',15370),(15388,'39600','Mesnay',15371),(15389,'39230','Bois De Gand',15372),(15390,'39120','Essards Taignevaux',15373),(15391,'39130','Cogna',15374),(15392,'39290','Montmirey Le Château',15375),(15393,'39250','Arsure Arsurette',15376),(15394,'39150','Grande Rivière',15377),(15395,'39210','La Marre',15378),(15396,'39170','Saint Lupicin',15379),(15397,'39130','Soucia',15380),(15398,'39570','Trenal',15381),(15399,'39300','Ardon',15382),(15400,'39150','Fort Du Plasne',15383),(15401,'39300','Chapois',15384),(15402,'39110','Lemuy',15385),(15403,'39300','Champagnole',15386),(15404,'39230','Lombard',15387),(15405,'39100','Authume',15388),(15406,'40250','Bergouey',15389),(15407,'40320','Samadet',15390),(15408,'40090','Artassenx',15391),(15409,'40630','Trensacq',15392),(15410,'40440','Ondres',15393),(15411,'40120','Maillas',15394),(15412,'40990','Saint Vincent De Paul',15395),(15413,'40410','Belhade',15396),(15414,'40240','Betbezer D\'Armagnac',15397),(15415,'40240','Estigarde',15398),(15416,'40330','Gaujacq',15399),(15417,'40190','Saint Cricq Villeneuve',15400),(15418,'40380','Cassen',15401),(15419,'40260','Linxe',15402),(15420,'40090','Campet Et Lamolère',15403),(15421,'40090','Lucbardez Et Bargues',15404),(15422,'40700','Lacrabe',15405),(15423,'40280','Benquet',15406),(15424,'40190','Villeneuve De Marsan',15407),(15425,'40660','Messanges',15408),(15426,'40380','Poyanne',15409),(15427,'40090','Saint Perdon',15410),(15428,'40500','Saint Sever',15411),(15429,'40090','Saint Avit',15412),(15430,'40230','Josse',15413),(15431,'40170','Uza',15414),(15432,'40330','Castel Sarrazin',15415),(15433,'40380','Montfort En Chalosse',15416),(15434,'40300','Saint Lon Les Mines',15417),(15435,'40700','Argelos',15418),(15436,'40300','Cauneille',15419),(15437,'40190','Sainte Foy',15420),(15438,'40300','Port De Lanne',15421),(15439,'40150','Angresse',15422),(15440,'40290','Misson',15423),(15441,'40500','Bas Mauco',15424),(15442,'40390','Saint André De Seignanx',15425),(15443,'40180','Seyresse',15426),(15444,'40090','Bostens',15427),(15445,'40700','Aubagnan',15428),(15446,'40180','Saugnac Et Cambran',15429),(15447,'40320','Clèdes',15430),(15448,'40110','Morcenx',15431),(15449,'40465','Pontonx Sur L\'Adour',15432),(15450,'40400','Carcen Ponson',15433),(15451,'40465','Laluque',15434),(15452,'40500','Coudures',15435),(15453,'40250','Lahosse',15436),(15454,'40410','Moustey',15437),(15455,'40120','Pouydesseaux',15438),(15456,'40250','Caupenne',15439),(15457,'40400','Meilhan',15440),(15458,'40700','Peyre',15441),(15459,'40320','Pécorade',15442),(15460,'40800','Aire Sur L\'Adour',15443),(15461,'40250','Toulouzette',15444),(15462,'40110','Onesse Et Laharie',15445),(15463,'40410','Mano',15446),(15464,'40390','Saint Barthélemy',15447),(15465,'40380','Gibret',15448),(15466,'40120','Cachen',15449),(15467,'40250','Saint Aubin',15450),(15468,'40500','Montsoué',15451),(15469,'40380','Ozourt',15452),(15470,'40240','Créon D\'Armagnac',15453),(15471,'40290','Mouscardès',15454),(15472,'40330','Bonnegarde',15455),(15473,'40390','Saint Laurent De Gosse',15456),(15474,'40500','Montaut',15457),(15475,'40400','Gouts',15458),(15476,'40290','Estibeaux',15459),(15477,'40660','Moliets Et Maa',15460),(15478,'40270','Castandet',15461),(15479,'40120','Lacquy',15462),(15480,'40300','Sorde L\'Abbaye',15463),(15481,'40550','Léon',15464),(15482,'40380','Louer',15465),(15483,'40160','Gastes',15466),(15484,'40160','Parentis En Born',15467),(15485,'40370','Rion Des Landes',15468),(15486,'40200','Mimizan',15469),(15487,'40090','Gaillères',15470),(15488,'40240','Grange',15471),(15489,'40600','Biscarrosse',15472),(15490,'40300','Orthevielle',15473),(15491,'40700','Beyries',15474),(15492,'40360','Castelnau Chalosse',15475),(15493,'40320','Classun',15476),(15494,'40700','Hagetmau',15477),(15495,'40800','Duhort Bachen',15478),(15496,'40500','Fargues',15479),(15497,'40530','Labenne',15480),(15498,'40170','Mézos',15481),(15499,'40380','Baigts',15482),(15500,'40300','Cagnotte',15483),(15501,'40700','Sainte Colombe',15484),(15502,'40300','Peyrehorade',15485),(15503,'40700','Cazalis',15486),(15504,'40170','Bias',15487),(15505,'40630','Sabres',15488),(15506,'40390','Biarrotte',15489),(15507,'40180','Candresse',15490),(15508,'40420','Brocas',15491),(15509,'40330','Nassiet',15492),(15510,'40240','Saint Julien D\'Armagnac',15493),(15511,'40500','Montgaillard',15494),(15512,'40330','Arsague',15495),(15513,'40290','Ossages',15496),(15514,'40190','Le Frêche',15497),(15515,'40270','Bordères Et Lamensans',15498),(15516,'40100','Dax',15499),(15517,'40480','Vieux Boucau Les Bains',15500),(15518,'40110','Villenave',15501),(15519,'40110','Arjuzanx',15502),(15520,'40190','Arthez D\'Armagnac',15503),(15521,'40320','Castelnau Tursan',15504),(15522,'40280','Haut Mauco',15505),(15523,'40130','Capbreton',15506),(15524,'40320','Puyol Cazalet',15507),(15525,'40200','Sainte Eulalie En Born',15508),(15526,'40180','Narrosse',15509),(15527,'40170','Lévignacq',15510),(15528,'40320','Urgons',15511),(15529,'40420','Labrit',15512),(15530,'40280','Saint Pierre Du Mont',15513),(15531,'40370','Boos',15514),(15532,'40250','Laurède',15515),(15533,'40300','Saint Cricq Du Gave',15516),(15534,'40270','Lussagnet',15517),(15535,'40120','Bourriot Bergonce',15518),(15536,'40200','Pontenx Les Forges',15519),(15537,'40700','Saint Cricq Chalosse',15520),(15538,'40150','Soorts Hossegor',15521),(15539,'40320','Vielle Tursan',15522),(15540,'40380','Saint Jean De Lier',15523),(15541,'40170','Saint Julien En Born',15524),(15542,'40230','Bénesse Maremne',15525),(15543,'40210','Lüe',15526),(15544,'40300','Orist',15527),(15545,'40330','Amou',15528),(15546,'40320','Miramont Sensacq',15529),(15547,'40300','Oeyregave',15530),(15548,'40430','Argelouse',15531),(15549,'40310','Rimbez Et Baudiets',15532),(15550,'40120','Bélis',15533),(15551,'40700','Castaignos Souslens',15534),(15552,'40120','Lencouacq',15535),(15553,'40270','Renung',15536),(15554,'40500','Banos',15537),(15555,'40180','Heugas',15538),(15556,'40290','Habas',15539),(15557,'40180','Garrey',15540),(15558,'40700','Doazit',15541),(15559,'40160','Ychoux',15542),(15560,'40300','Pey',15543),(15561,'40400','Audon',15544),(15562,'40320','Lauret',15545),(15563,'40465','Gousse',15546),(15564,'40200','Aureilhan',15547),(15565,'40430','Luxey',15548),(15566,'40700','Momuy',15549),(15567,'40500','Aurice',15550),(15568,'40220','Tarnos',15551),(15569,'40210','Escource',15552),(15570,'40250','Lamothe',15553),(15571,'40120','Retjons',15554),(15572,'40110','Sindères',15555),(15573,'40120','Arue',15556),(15574,'40250','Maylis',15557),(15575,'40380','Saint Geours D\'Auribat',15558),(15576,'40210','Commensacq',15559),(15577,'40700','Poudenx',15560),(15578,'40250','Larbey',15561),(15579,'40320','Arboucave',15562),(15580,'40180','Goos',15563),(15581,'40500','Dumes',15564),(15582,'40110','Ygos Saint Saturnin',15565),(15583,'40430','Sore',15566),(15584,'40630','Luglon',15567),(15585,'40320','Geaune',15568),(15586,'40300','Hastingues',15569),(15587,'40180','Yzosse',15570),(15588,'40410','Liposthey',15571),(15589,'40330','Marpaps',15572),(15590,'40140','Azur',15573),(15591,'40350','Pouillon',15574),(15592,'40800','Latrille',15575),(15593,'40320','Bahus Soubiran',15576),(15594,'40400','Carcarès Sainte Croix',15577),(15595,'40700','Monségur',15578),(15596,'40270','Larrivière Saint Savin',15579),(15597,'40180','Sort En Chalosse',15580),(15598,'40230','Saint Geours De Maremne',15581),(15599,'40210','Solférino',15582),(15600,'40310','Gabarret',15583),(15601,'40800','Saint Agnet',15584),(15602,'40090','Uchacq Et Parentis',15585),(15603,'40180','Tercis Les Bains',15586),(15604,'40190','Pujo Le Plan',15587),(15605,'40230','Tosse',15588),(15606,'40280','Bretagne De Marsan',15589),(15607,'40500','Cauna',15590),(15608,'40380','Onard',15591),(15609,'40700','Serres Gaston',15592),(15610,'40990','Téthieu',15593),(15611,'40700','Labastide Chalosse',15594),(15612,'40380','Gamarde Les Bains',15595),(15613,'40300','Bélus',15596),(15614,'40180','Hinx',15597),(15615,'40320','Lacajunte',15598),(15616,'40230','Saubion',15599),(15617,'40120','Saint Gor',15600),(15618,'40320','Saint Loubouer',15601),(15619,'40320','Mauries',15602),(15620,'40360','Donzacq',15603),(15621,'40350','Gaas',15604),(15622,'40180','Clermont',15605),(15623,'40400','Bégaar',15606),(15624,'40230','Orx',15607),(15625,'40360','Tilh',15608),(15626,'40400','Saint Yaguen',15609),(15627,'40250','Le Leuy',15610),(15628,'40390','Biaudos',15611),(15629,'40990','Gourbera',15612),(15630,'40500','Eyres Moncube',15613),(15631,'40180','Saubusse',15614),(15632,'40700','Mant',15615),(15633,'40330','Brassempouy',15616),(15634,'40140','Magescq',15617),(15635,'40800','Sarron',15618),(15636,'40420','Le Sen',15619),(15637,'40170','Lit Et Mixe',15620),(15638,'40260','Lespéron',15621),(15639,'40310','Parleboscq',15622),(15640,'40230','Saubrigues',15623),(15641,'40310','Arx',15624),(15642,'40210','Labouheyre',15625),(15643,'40110','Garrosse',15626),(15644,'40240','Vielle Soubiran',15627),(15645,'40090','Cère',15628),(15646,'40090','Bougue',15629),(15647,'40250','Nerbis',15630),(15648,'40990','Herm',15631),(15649,'40270','Cazères Sur L\'Adour',15632),(15650,'40250','Lourquen',15633),(15651,'40310','Herré',15634),(15652,'40270','Le Vignau',15635),(15653,'40320','Bats',15636),(15654,'40190','Bourdalat',15637),(15655,'40190','Perquie',15638),(15656,'40190','Montégut',15639),(15657,'40190','Hontanx',15640),(15658,'40420','Vert',15641),(15659,'40500','Audignon',15642),(15660,'40500','Sarraziet',15643),(15661,'40240','Lubbon',15644),(15662,'40260','Castets',15645),(15663,'40550','Saint Michel Escalus',15646),(15664,'40700','Serreslous Et Arribans',15647),(15665,'40000','Mont De Marsan',15648),(15666,'40270','Maurrin',15649),(15667,'40250','Hauriet',15650),(15668,'40390','Saint Martin De Seignanx',15651),(15669,'40230','Saint Jean De Marsacq',15652),(15670,'40120','Roquefort',15653),(15671,'40390','Sainte Marie De Gosse',15654),(15672,'40320','Payros Cazautets',15655),(15673,'40250','Mugron',15656),(15674,'40110','Ousse Suzan',15657),(15675,'40090','Campagne',15658),(15676,'40090','Saint Martin D\'Oney',15659),(15677,'40240','Saint Justin',15660),(15678,'40310','Baudignan',15661),(15679,'40180','Saint Pandelon',15662),(15680,'40140','Soustons',15663),(15681,'40700','Morganx',15664),(15682,'40360','Pomarez',15665),(15683,'40180','Bénesse Lès Dax',15666),(15684,'40240','Losse',15667),(15685,'40410','Saugnacq Et Muret',15668),(15686,'40090','Geloux',15669),(15687,'40420','Garein',15670),(15688,'40370','Beylongue',15671),(15689,'40465','Préchacq Les Bains',15672),(15690,'40700','Monget',15673),(15691,'40180','Oeyreluy',15674),(15692,'40400','Tartas',15675),(15693,'40320','Buanes',15676),(15694,'40990','Mées',15677),(15695,'40180','Rivière Saas Et Gourby',15678),(15696,'40250','Souprosse',15679),(15697,'40240','Labastide D\'Armagnac',15680),(15698,'40190','Saint Gein',15681),(15699,'40240','Mauvezin D\'Armagnac',15682),(15700,'40460','Sanguinet',15683),(15701,'40260','Taller',15684),(15702,'40120','Sarbazan',15685),(15703,'40380','Vicq D\'Auribat',15686),(15704,'40120','Maillères',15687),(15705,'40410','Pissos',15688),(15706,'40990','Saint Paul Lès Dax',15689),(15707,'40180','Siest',15690),(15708,'40380','Nousse',15691),(15709,'40360','Bastennes',15692),(15710,'40320','Eugénie Les Bains',15693),(15711,'40510','Seignosse',15694),(15712,'40390','Saint Martin De Hinx',15695),(15713,'40380','Poyartin',15696),(15714,'40320','Pimbo',15697),(15715,'40700','Horsarrieu',15698),(15716,'40700','Bassercles',15699),(15717,'40320','Philondenx',15700),(15718,'40300','Labatut',15701),(15719,'40700','Castelner',15702),(15720,'40090','Mazerolles',15703),(15721,'40090','Canenx Et Réaut',15704),(15722,'40090','Bascons',15705),(15723,'40560','Vielle Saint Girons',15706),(15724,'40300','Saint Étienne D\'Orthe',15707),(15725,'40310','Escalans',15708),(15726,'40990','Angoumé',15709),(15727,'40270','Grenade Sur L\'Adour',15710),(15728,'40090','Laglorieuse',15711),(15729,'40400','Lesgor',15712),(15730,'40320','Sorbets',15713),(15731,'40270','Saint Maurice Sur Adour',15714),(15732,'40110','Arengosse',15715),(15733,'40350','Mimbaste',15716),(15734,'40230','Saint Vincent De Tyrosse',15717),(15735,'40430','Callen',15718),(15736,'40200','Saint Paul En Born',15719),(15737,'41230','Mur De Sologne',15720),(15738,'41600','Chaumont Sur Tharonne',15721),(15739,'41210','Montrieux En Sologne',15722),(15740,'41100','Villeromain',15723),(15741,'41800','Saint Rimay',15724),(15742,'41290','Sainte Gemmes',15725),(15743,'41220','Dhuizon',15726),(15744,'41140','Thésée',15727),(15745,'41200','Romorantin Lanthenay',15728),(15746,'41220','Thoury',15729),(15747,'41310','Sasnières',15730),(15748,'41500','Séris',15731),(15749,'41210','Neung Sur Beuvron',15732),(15750,'41360','Savigny Sur Braye',15733),(15751,'41110','Pouillé',15734),(15752,'41160','La Colombe',15735),(15753,'41240','Binas',15736),(15754,'41000','Saint Sulpice De Pommeray',15737),(15755,'41500','Cour Sur Loire',15738),(15756,'41100','Areines',15739),(15757,'41310','Gombergean',15740),(15758,'41290','La Chapelle Enchérie',15741),(15759,'41350','Montlivault',15742),(15760,'41250','Neuvy',15743),(15761,'41170','Saint Agil',15744),(15762,'41330','Saint Bohaire',15745),(15763,'41250','Bauzy',15746),(15764,'41130','Gièvres',15747),(15765,'41290','Oucques',15748),(15766,'41800','Hayes',15749),(15767,'41360','Épuisay',15750),(15768,'41400','Thenay',15751),(15769,'41600','Lamotte Beuvron',15752),(15770,'41170','Oigny',15753),(15771,'41250','Mont Près Chambord',15754),(15772,'41320','Saint Loup',15755),(15773,'41360','Cellé',15756),(15774,'41160','Saint Jean Froidmentel',15757),(15775,'41170','Beauchêne',15758),(15776,'41170','Le Plessis Dorin',15759),(15777,'41170','Arville',15760),(15778,'41120','Valaire',15761),(15779,'41190','Pray',15762),(15780,'41160','La Ville Aux Clercs',15763),(15781,'41240','Prénouvellon',15764),(15782,'41800','Artins',15765),(15783,'41150','Coulanges',15766),(15784,'41700','Fresnes',15767),(15785,'41170','Mondoubleau',15768),(15786,'41400','Vallières Les Grandes',15769),(15787,'41100','Thoré La Rochette',15770),(15788,'41100','Azé',15771),(15789,'41600','Vouzon',15772),(15790,'41230','Soings En Sologne',15773),(15791,'41160','Saint Hilaire La Gravelle',15774),(15792,'41100','Faye',15775),(15793,'41150','Monteaux',15776),(15794,'41800','Montrouveau',15777),(15795,'41290','Vievy Le Rayé',15778),(15796,'41800','Bonneveau',15779),(15797,'41360','Lunay',15780),(15798,'41270','Ruan Sur Egvonne',15781),(15799,'41370','Le Plessis L\'Échelle',15782),(15800,'41350','Vineuil',15783),(15801,'41500','Maves',15784),(15802,'41800','Couture Sur Loir',15785),(15803,'41100','Villerable',15786),(15804,'41800','Essarts',15787),(15805,'41500','Muides Sur Loire',15788),(15806,'41240','Saint Laurent Des Bois',15789),(15807,'41310','Ambloy',15790),(15808,'41290','Boisseau',15791),(15809,'41000','Villebarou',15792),(15810,'41500','La Chapelle Saint Martin En Plaine',15793),(15811,'41260','La Chaussée Saint Victor',15794),(15812,'41190','Saint Cyr Du Gault',15795),(15813,'41120','Candé Sur Beuvron',15796),(15814,'41170','Sargé Sur Braye',15797),(15815,'41230','Vernou En Sologne',15798),(15816,'41240','Tripleville',15799),(15817,'41110','Seigy',15800),(15818,'41370','Briou',15801),(15819,'41200','Villeherviers',15802),(15820,'41270','Fontaine Raoul',15803),(15821,'41270','Chauvigny Du Perche',15804),(15822,'41800','Roches L\'Évêque',15805),(15823,'41120','Fougères Sur Bièvre',15806),(15824,'41190','Chambon Sur Cisse',15807),(15825,'41120','Chitenay',15808),(15826,'41170','Baillou',15809),(15827,'41000','Villerbon',15810),(15828,'41240','Membrolles',15811),(15829,'41290','Baigneaux',15812),(15830,'41150','Rilly Sur Loire',15813),(15831,'41190','Molineuf',15814),(15832,'41800','Fontaine Les Coteaux',15815),(15833,'41800','Ternay',15816),(15834,'41400','Angé',15817),(15835,'41330','Fossé',15818),(15836,'41310','Huisseau En Beauce',15819),(15837,'41700','Oisly',15820),(15838,'41220','Villeny',15821),(15839,'41240','Verdes',15822),(15840,'41100','Vendôme',15823),(15841,'41140','Saint Romain Sur Cher',15824),(15842,'41100','Villetrun',15825),(15843,'41100','Mazangé',15826),(15844,'41170','Choue',15827),(15845,'41400','Saint Julien De Chédon',15828),(15846,'41310','Lancé',15829),(15847,'41360','Fortan',15830),(15848,'41220','Crouy Sur Cosson',15831),(15849,'41600','Yvoy Le Marron',15832),(15850,'41300','Salbris',15833),(15851,'41110','Châteauvieux',15834),(15852,'41700','Cour Cheverny',15835),(15853,'41800','Montoire Sur Le Loir',15836),(15854,'41200','Villefranche Sur Cher',15837),(15855,'41500','Lestiou',15838),(15856,'41100','Pezou',15839),(15857,'41100','Crucheray',15840),(15858,'41120','Feings',15841),(15859,'41190','Tourailles',15842),(15860,'41120','Cormeray',15843),(15861,'41120','Monthou Sur Bièvre',15844),(15862,'41160','Rahart',15845),(15863,'41350','Saint Claude De Diray',15846),(15864,'41230','Courmemin',15847),(15865,'41500','Avaray',15848),(15866,'41600','Souvigny En Sologne',15849),(15867,'41100','Saint Firmin Des Prés',15850),(15868,'41320','Mennetou Sur Cher',15851),(15869,'41000','Blois',15852),(15870,'41800','Houssay',15853),(15871,'41300','Pierrefitte Sur Sauldre',15854),(15872,'41160','Moisy',15855),(15873,'41800','Lavardin',15856),(15874,'41140','Méhers',15857),(15875,'41700','Chémery',15858),(15876,'41100','Naveil',15859),(15877,'41210','La Marolle En Sologne',15860),(15878,'41800','Saint Jacques Des Guérets',15861),(15879,'41370','Josnes',15862),(15880,'41400','Saint Georges Sur Cher',15863),(15881,'41110','Saint Aignan',15864),(15882,'41190','Saint Lubin En Vergonnois',15865),(15883,'41210','Marcilly En Gault',15866),(15884,'41400','Pontlevoy',15867),(15885,'41190','Orchaise',15868),(15886,'41200','Pruniers En Sologne',15869),(15887,'41300','Souesmes',15870),(15888,'41130','Billy',15871),(15889,'41250','Bracieux',15872),(15890,'41800','Troo',15873),(15891,'41500','Villexanton',15874),(15892,'41100','Villemardy',15875),(15893,'41700','Couddes',15876),(15894,'41160','Brévainville',15877),(15895,'41400','Monthou Sur Cher',15878),(15896,'41160','Fréteval',15879),(15897,'41300','Theillay',15880),(15898,'41120','Ouchamps',15881),(15899,'41120','Chailles',15882),(15900,'41270','Le Gault Perche',15883),(15901,'41120','Cellettes',15884),(15902,'41290','Conan',15885),(15903,'41330','Villefrancœur',15886),(15904,'41330','Marolles',15887),(15905,'41370','Roches',15888),(15906,'41250','Chambord',15889),(15907,'41800','Tréhet',15890),(15908,'41190','Herbault',15891),(15909,'41300','Orçay',15892),(15910,'41170','Saint Avit',15893),(15911,'41230','Veilleins',15894),(15912,'41160','Morée',15895),(15913,'41100','Saint Ouen',15896),(15914,'41500','Suèvres',15897),(15915,'41270','Bouffry',15898),(15916,'41310','Saint Gourgon',15899),(15917,'41100','Villiers Sur Loir',15900),(15918,'41160','Ouzouer Le Doyen',15901),(15919,'41270','La Chapelle Vicomtesse',15902),(15920,'41250','Maslives',15903),(15921,'41100','Lisle',15904),(15922,'41500','Saint Dyé Sur Loire',15905),(15923,'41130','Meusnes',15906),(15924,'41310','Authon',15907),(15925,'41400','Chissay En Touraine',15908),(15926,'41400','Montrichard',15909),(15927,'41700','Choussy',15910),(15928,'41110','Couffy',15911),(15929,'41310','Villeporcher',15912),(15930,'41370','Lorges',15913),(15931,'41370','La Madeleine Villefrouin',15914),(15932,'41700','Sassay',15915),(15933,'41320','Maray',15916),(15934,'41300','La Ferté Imbault',15917),(15935,'41220','La Ferté Saint Cyr',15918),(15936,'41230','Gy En Sologne',15919),(15937,'41160','Danzé',15920),(15938,'41290','Épiais',15921),(15939,'41320','Châtres Sur Cher',15922),(15940,'41100','Renay',15923),(15941,'41160','Busloup',15924),(15942,'41100','Meslay',15925),(15943,'41310','Villechauve',15926),(15944,'41800','Saint Arnoult',15927),(15945,'41250','Fontaines En Sologne',15928),(15946,'41800','Sougé',15929),(15947,'41210','La Ferté Beauharnais',15930),(15948,'41150','Veuves',15931),(15949,'41160','Semerville',15932),(15950,'41150','Onzain',15933),(15951,'41190','Santenay',15934),(15952,'41700','Contres',15935),(15953,'41190','Lancôme',15936),(15954,'41120','Sambin',15937),(15955,'41800','Villedieu Le Château',15938),(15956,'41110','Mareuil Sur Cher',15939),(15957,'41250','Tour En Sologne',15940),(15958,'41370','Saint Léonard En Beauce',15941),(15959,'41330','La Chapelle Vendômoise',15942),(15960,'41270','Le Poislay',15943),(15961,'41190','Françay',15944),(15962,'41350','Saint Gervais La Forêt',15945),(15963,'41200','Millançay',15946),(15964,'41370','Marchenoir',15947),(15965,'41290','Villeneuve Frouville',15948),(15966,'41100','Périgny',15949),(15967,'41400','Bourré',15950),(15968,'41100','Sainte Anne',15951),(15969,'41350','Huisseau Sur Cosson',15952),(15970,'41500','Mer',15953),(15971,'41600','Chaon',15954),(15972,'41210','Saint Viâtre',15955),(15973,'41600','Nouan Le Fuzelier',15956),(15974,'41500','Menars',15957),(15975,'41120','Seur',15958),(15976,'41170','Souday',15959),(15977,'41150','Chouzy Sur Cisse',15960),(15978,'41270','Boursay',15961),(15979,'41240','Autainville',15962),(15980,'41100','Marcilly En Beauce',15963),(15981,'41230','Lassay Sur Croisne',15964),(15982,'41800','Villavard',15965),(15983,'41330','Champigny En Beauce',15966),(15984,'41700','Cheverny',15967),(15985,'41150','Mesland',15968),(15986,'41150','Chaumont Sur Loire',15969),(15987,'41300','Selles Saint Denis',15970),(15988,'41140','Noyers Sur Cher',15971),(15989,'41400','Faverolles Sur Cher',15972),(15990,'41500','Courbouzon',15973),(15991,'41370','Talcy',15974),(15992,'41310','Prunay Cassereau',15975),(15993,'41500','Mulsans',15976),(15994,'41220','Saint Laurent Nouan',15977),(15995,'41320','La Chapelle Montmartin',15978),(15996,'41170','Cormenon',15979),(15997,'41170','Le Temple',15980),(15998,'41190','Saint Étienne Des Guérets',15981),(15999,'41800','Saint Martin Des Bois',15982),(16000,'41000','Saint Denis Sur Loire',15983),(16001,'41130','Châtillon Sur Cher',15984),(16002,'41320','Saint Julien Sur Cher',15985),(16003,'41130','Selles Sur Cher',15986),(16004,'41120','Montils',15987),(16005,'41320','Langon',15988),(16006,'41370','Concriers',15989),(16007,'41240','Villermain',15990),(16008,'41270','La Fontenelle',15991),(16009,'41290','Rhodon',15992),(16010,'41270','Droué',15993),(16011,'41100','Villiersfaux',15994),(16012,'41190','Landes Le Gaulois',15995),(16013,'41160','Lignières',15996),(16014,'41170','Saint Marc Du Cor',15997),(16015,'41270','Villebout',15998),(16016,'41270','Romilly',15999),(16017,'41240','Ouzouer Le Marché',16000),(16018,'41100','Rocé',16001),(16019,'41100','Coulommiers La Tour',16002),(16020,'41310','Saint Amand Longpré',16003),(16021,'41290','Beauvilliers',16004),(16022,'41230','Rougeou',16005),(16023,'41200','Loreux',16006),(16024,'41330','Averdon',16007),(16025,'41310','Nourray',16008),(16026,'41100','Selommes',16009),(16027,'41150','Seillac',16010),(16028,'42111','La Côte En Couzan',16011),(16029,'42380','Périgneux',16012),(16030,'42110','Poncins',16013),(16031,'42520','Maclas',16014),(16032,'42800','Rive De Gier',16015),(16033,'42700','Firminy',16016),(16034,'42560','Chazelles Sur Lavieu',16017),(16035,'42940','Châtelneuf',16018),(16036,'42360','Cottance',16019),(16037,'42530','Saint Genest Lerpt',16020),(16038,'42380','Luriecq',16021),(16039,'42240','Caloire',16022),(16040,'42560','Chenereilles',16023),(16041,'42240','Saint Paul En Cornillon',16024),(16042,'42370','Arçon',16025),(16043,'42440','Saint Julien La Vêtre',16026),(16044,'42260','Cremeaux',16027),(16045,'42320','Cellieu',16028),(16046,'42430','Chausseterre',16029),(16047,'42640','Saint Forgeux Lespinasse',16030),(16048,'42130','Leigneux',16031),(16049,'42114','Chirassimont',16032),(16050,'42440','La Chamba',16033),(16051,'42130','Saint Laurent Rochefort',16034),(16052,'42210','L\'Hôpital Le Grand',16035),(16053,'42460','Arcinges',16036),(16054,'42140','Maringes',16037),(16055,'42210','Unias',16038),(16056,'42330','Saint Galmier',16039),(16057,'42600','Verrières En Forez',16040),(16058,'42350','La Talaudière',16041),(16059,'42720','La Bénisson Dieu',16042),(16060,'42370','Renaison',16043),(16061,'42190','Saint Pierre La Noaille',16044),(16062,'42210','Marclopt',16045),(16063,'42130','Boën',16046),(16064,'42240','Unieux',16047),(16065,'42720','Vougy',16048),(16066,'42310','Vivans',16049),(16067,'42670','Écoche',16050),(16068,'42120','Notre Dame De Boisset',16051),(16069,'42210','Saint André Le Puy',16052),(16070,'42360','Essertines En Donzy',16053),(16071,'42750','Maizilly',16054),(16072,'42990','Sauvain',16055),(16073,'42370','Saint André D\'Apchon',16056),(16074,'42600','Chalain Le Comtal',16057),(16075,'42460','Le Cergne',16058),(16076,'42800','Genilac',16059),(16077,'42470','Saint Symphorien De Lay',16060),(16078,'42122','Saint Marcel De Félines',16061),(16079,'42720','Nandax',16062),(16080,'42130','Marcoux',16063),(16081,'42460','Cuinzier',16064),(16082,'42520','Saint Pierre De Bœuf',16065),(16083,'42590','Saint Priest La Roche',16066),(16084,'42670','Saint Germain La Montagne',16067),(16085,'42600','Chalain D\'Uzore',16068),(16086,'42720','Pouilly Sous Charlieu',16069),(16087,'42155','Saint Jean Saint Maurice Sur Loire',16070),(16088,'42370','Saint Haon Le Vieux',16071),(16089,'42600','Champdieu',16072),(16090,'42260','Grézolles',16073),(16091,'42340','Veauche',16074),(16092,'42132','Saint Cyr De Favières',16075),(16093,'42330','Aveizieux',16076),(16094,'42110','Civens',16077),(16095,'42290','Sorbiers',16078),(16096,'42920','Chalmazel',16079),(16097,'42340','Veauchette',16080),(16098,'42330','Saint Médard En Forez',16081),(16099,'42800','Tartaras',16082),(16100,'42520','Malleval',16083),(16101,'42220','Graix',16084),(16102,'42440','Saint Priest La Vêtre',16085),(16103,'42210','Montrond Les Bains',16086),(16104,'42220','Colombier',16087),(16105,'42210','Craintilleux',16088),(16106,'42111','Saint Thurin',16089),(16107,'42130','Ailleux',16090),(16108,'42130','L\'Hôpital Sous Rochefort',16091),(16109,'42110','Valeille',16092),(16110,'42220','Bourg Argental',16093),(16111,'42130','Arthun',16094),(16112,'42620','Saint Martin D\'Estréaux',16095),(16113,'42600','Montbrison',16096),(16114,'42600','Mornand En Forez',16097),(16115,'42330','Chambœuf',16098),(16116,'42510','Bussières',16099),(16117,'42155','Lentigny',16100),(16118,'42240','Saint Maurice En Gourgois',16101),(16119,'42750','Saint Denis De Cabanne',16102),(16120,'42600','Magneux Haute Rive',16103),(16121,'42310','Changy',16104),(16122,'42110','Salt En Donzy',16105),(16123,'42800','Sainte Croix En Jarez',16106),(16125,'42410','Vérin',16107),(16126,'42800','Saint Romain En Jarez',16108),(16127,'42650','Saint Jean Bonnefonds',16109),(16128,'42330','Cuzieu',16110),(16129,'42640','Saint Romain La Motte',16111),(16130,'42450','Sury Le Comtal',16112),(16131,'42410','Saint Michel Sur Rhône',16113),(16132,'42160','Andrézieux Bouthéon',16114),(16133,'42440','Noirétable',16115),(16134,'42152','L\'Horme',16116),(16135,'42510','Balbigny',16117),(16136,'42114','Saint Cyr De Valorges',16118),(16137,'42155','Ouches',16119),(16138,'42170','Chambles',16120),(16139,'42310','Le Crozet',16121),(16140,'42660','Tarentaise',16122),(16141,'42380','Saint Hilaire Cusson La Valmitte',16123),(16142,'42220','Burdignes',16124),(16143,'42600','Bard',16125),(16144,'42830','Saint Priest La Prugne',16126),(16145,'42550','Apinac',16127),(16146,'42130','Trelins',16128),(16147,'42140','Viricelles',16129),(16148,'42130','Marcilly Le Châtel',16130),(16149,'42330','Saint Bonnet Les Oules',16131),(16150,'42120','Perreux',16132),(16151,'42630','Saint Victor Sur Rhins',16133),(16152,'42190','Charlieu',16134),(16153,'42500','Le Chambon Feugerolles',16135),(16154,'42320','Saint Christo En Jarez',16136),(16155,'42600','Roche',16137),(16156,'42320','Farnay',16138),(16157,'42110','Saint Barthélemy Lestra',16139),(16158,'42131','La Valla En Gier',16140),(16159,'42110','Saint Martin Lestra',16141),(16160,'42110','Jas',16142),(16161,'42660','Marlhes',16143),(16162,'42600','Écotay L\'Olme',16144),(16163,'42260','Luré',16145),(16164,'42560','Soleymieux',16146),(16165,'42540','Sainte Colombe Sur Gand',16147),(16166,'42610','Saint Romain Le Puy',16148),(16167,'42130','Cezay',16149),(16168,'42140','La Gimond',16150),(16169,'42160','Bonson',16151),(16170,'42380','Montarcher',16152),(16171,'42190','Saint Nizier Sous Charlieu',16153),(16172,'42610','Saint Georges Haute Ville',16154),(16173,'42740','Saint Paul En Jarez',16155),(16174,'42310','Sail Les Bains',16156),(16175,'42310','Saint Bonnet Des Quarts',16157),(16176,'42430','Saint Marcel D\'Urfé',16158),(16177,'42460','Boyer',16159),(16178,'42140','Virigneux',16160),(16179,'42140','Chazelles Sur Lyon',16161),(16180,'42130','Débats Rivière D\'Orpra',16162),(16181,'42160','Saint Cyprien',16163),(16182,'42380','La Chapelle En Lafaye',16164),(16183,'42136','Saint Just En Bas',16165),(16184,'42820','Ambierle',16166),(16185,'42260','Saint Germain Laval',16167),(16186,'42940','Saint Bonnet Le Courreau',16168),(16187,'42630','Pradines',16169),(16188,'42370','Saint Rirand',16170),(16189,'42155','Villemontais',16171),(16190,'42370','Noës',16172),(16191,'42520','Bessey',16173),(16192,'42120','Le Coteau',16174),(16193,'42400','Saint Chamond',16175),(16194,'42830','La Tuilière',16176),(16195,'42380','Estivareilles',16177),(16196,'42800','Châteauneuf',16178),(16197,'42380','Saint Bonnet Le Château',16179),(16198,'42560','Boisset Saint Priest',16180),(16199,'42540','Croizet Sur Gand',16181),(16200,'42490','Fraisses',16182),(16201,'42140','Grammond',16183),(16202,'42120','Saint Vincent De Boisset',16184),(16203,'42220','Saint Sauveur En Rue',16185),(16204,'42800','Dargoire',16186),(16205,'42520','Saint Appolinard',16187),(16206,'42110','Mizérieux',16188),(16207,'42260','Bussy Albieux',16189),(16208,'42430','Champoly',16190),(16209,'42600','Savigneux',16191),(16210,'42130','Sainte Agathe La Bouteresse',16192),(16211,'42155','Saint Léger Sur Roanne',16193),(16212,'42260','Saint Julien D\'Oddes',16194),(16213,'42560','Marols',16195),(16214,'42840','Combre',16196),(16215,'42220','Thélis La Combe',16197),(16216,'42460','La Gresle',16198),(16217,'42114','Machézal',16199),(16218,'42600','Lézigneux',16200),(16219,'42170','Saint Just Saint Rambert',16201),(16220,'42600','Lérigneux',16202),(16221,'42800','Chagnon',16203),(16222,'42660','Planfoy',16204),(16223,'42890','Sail Sous Couzan',16205),(16224,'42260','Saint Polgues',16206),(16225,'42220','La Versanne',16207),(16226,'42320','La Grand Croix',16208),(16227,'42520','Véranne',16209),(16228,'42140','Marcenod',16210),(16229,'42110','Pouilly Lès Feurs',16211),(16230,'42800','Saint Martin La Plaine',16212),(16231,'42510','Sainte Agathe En Donzy',16213),(16232,'42440','La Chambonie',16214),(16233,'42300','Villerest',16215),(16234,'42270','Saint Priest En Jarez',16216),(16235,'42840','Montagny',16217),(16236,'42560','Lavieu',16218),(16237,'42410','Chavanay',16219),(16238,'42110','Salvizinet',16220),(16239,'42210','Saint Cyr Les Vignes',16221),(16240,'42560','Gumières',16222),(16241,'42155','Pouilly Les Nonains',16223),(16242,'42360','Panissières',16224),(16243,'42260','Amions',16225),(16244,'42410','Pélussin',16226),(16245,'42430','Saint Romain D\'Urfé',16227),(16246,'42750','Mars',16228),(16247,'42260','Saint Martin La Sauveté',16229),(16248,'42110','Chambéon',16230),(16249,'42600','Saint Paul D\'Uzore',16231),(16250,'42370','Saint Haon Le Châtel',16232),(16251,'42600','Saint Thomas La Garde',16233),(16252,'42660','Jonzieux',16234),(16253,'42590','Saint Paul De Vézelin',16235),(16254,'42810','Rozier En Donzy',16236),(16255,'42130','Montverdun',16237),(16256,'42600','Essertines En Châtelneuf',16238),(16257,'42110','Sainte Foy Saint Sulpice',16239),(16258,'42210','Boisset Lès Montrond',16240),(16259,'42310','Urbise',16241),(16260,'42380','Aboën',16242),(16261,'42580','La Tour En Jarez',16243),(16262,'42660','Saint Régis Du Coin',16244),(16263,'42130','Saint Sixte',16245),(16264,'42480','La Fouillouse',16246),(16265,'42210','Bellegarde En Forez',16247),(16266,'42800','Saint Joseph',16248),(16267,'42920','Jeansagnière',16249),(16268,'42560','Saint Jean Soleymieux',16250),(16269,'42740','Doizieux',16251),(16270,'42130','Saint Étienne Le Molard',16252),(16271,'42340','Rivas',16253),(16272,'42460','Jarnosse',16254),(16273,'42520','Lupé',16255),(16274,'42300','Mably',16256),(16275,'42580','L\'Étrat',16257),(16276,'42510','Saint Georges De Baroille',16258),(16277,'42720','Briennon',16259),(16278,'42600','Précieux',16260),(16279,'42560','Margerie Chantagret',16261),(16280,'42410','La Chapelle Villars',16262),(16281,'42380','Merle Leignec',16263),(16282,'42260','Souternon',16264),(16283,'42150','La Ricamarie',16265),(16284,'42590','Pinay',16266),(16285,'42520','Roisey',16267),(16286,'42510','Néronde',16268),(16287,'42660','Le Bessat',16269),(16288,'42670','Belmont De La Loire',16270),(16289,'42440','Cervières',16271),(16290,'42550','Usson En Forez',16272),(16291,'42220','Saint Julien Molin Molette',16273),(16292,'42430','Cherier',16274),(16293,'42310','La Pacaudière',16275),(16294,'42230','Roche La Molière',16276),(16295,'42140','Chevrières',16277),(16296,'42360','Montchal',16278),(16297,'42410','Chuyer',16279),(16298,'42140','Châtelus',16280),(16299,'42570','Saint Héand',16281),(16300,'42380','Saint Nizier De Fornas',16282),(16301,'42120','Parigny',16283),(16302,'42190','Saint Hilaire Sous Charlieu',16284),(16303,'42440','Saint Jean La Vêtre',16285),(16304,'42890','Palogneux',16286),(16305,'42260','Nollieux',16287),(16306,'42680','Saint Marcellin En Forez',16288),(16307,'42510','Nervieux',16289),(16308,'42600','Pralong',16290),(16309,'42380','Rozier Côtes D\'Aurec',16291),(16310,'42120','Commelle Vernay',16292),(16311,'42460','Villers',16293),(16312,'42111','Saint Didier Sur Rochefort',16294),(16313,'42123','Cordelle',16295),(16314,'42640','Saint Germain Lespinasse',16296),(16315,'42630','Regny',16297),(16316,'42140','Saint Denis Sur Coise',16298),(16317,'42470','Neaux',16299),(16318,'42380','La Tourette',16300),(16319,'42780','Violay',16301),(16320,'42470','Lay',16302),(16321,'42190','Chandon',16303),(16322,'42390','Villars',16304),(16323,'42370','Saint Alban Les Eaux',16305),(16324,'42260','Dancé',16306),(16325,'42670','Belleroche',16307),(16326,'42300','Roanne',16308),(16327,'42410','Pavezin',16309),(16328,'42320','Valfleury',16310),(16329,'42440','Salles',16311),(16330,'42590','Neulise',16312),(16331,'42590','Vendranges',16313),(16332,'42430','Juré',16314),(16333,'42600','Grézieux Le Fromental',16315),(16334,'42660','Saint Romain Les Atheux',16316),(16335,'42470','Fourneaux',16317),(16336,'42460','Coutouvre',16318),(16337,'42110','Cleppé',16319),(16338,'42110','Épercieux Saint Paul',16320),(16339,'42110','Feurs',16321),(16340,'42590','Saint Jodard',16322),(16341,'42153','Riorges',16323),(16342,'42111','La Valla Sur Rochefort',16324),(16343,'42420','Lorette',16325),(16344,'42740','La Terrasse Sur Dorlay',16326),(16345,'42430','Saint Just En Chevalet',16327),(16346,'42660','Saint Genest Malifaux',16328),(16347,'42260','Bully',16329),(16348,'42640','Noailly',16330),(16349,'42540','Saint Just La Pendue',16331),(16350,'42990','Saint Georges En Couzan',16332),(16351,'42260','Pommiers',16333),(16352,'42460','Sevelinges',16334),(16353,'42210','Saint Laurent La Conche',16335),(16354,'42140','Fontanès',16336),(16355,'43700','Blavozy',16337),(16356,'43300','Desges',16338),(16357,'43300','Vissac Auteyrac',16339),(16358,'43320','Loudes',16340),(16359,'43200','Saint Jeures',16341),(16360,'43160','La Chapelle Geneste',16342),(16361,'43100','Vieille Brioude',16343),(16362,'43260','Saint Julien Chapteuil',16344),(16363,'43450','Grenier Montgon',16345),(16364,'43320','Vazeilles Limandre',16346),(16365,'43190','Tence',16347),(16366,'43100','Fontannes',16348),(16367,'43350','Blanzac',16349),(16368,'43350','Borne',16350),(16369,'43400','Le Chambon Sur Lignon',16351),(16370,'43380','Blassac',16352),(16371,'43150','Moudeyres',16353),(16372,'43440','Chassignolles',16354),(16373,'43580','Saint Préjet D\'Allier',16355),(16374,'43120','Monistrol Sur Loire',16356),(16375,'43500','Boisset',16357),(16376,'43100','Beaumont',16358),(16377,'43390','Azerat',16359),(16378,'43580','Vazeilles Près Saugues',16360),(16379,'43450','Torsiac',16361),(16380,'43230','Josat',16362),(16381,'43130','Solignac Sous Roche',16363),(16382,'43300','Pébrac',16364),(16383,'43380','Ally',16365),(16384,'43800','Beaulieu',16366),(16385,'43770','Polignac',16367),(16386,'43350','Saint Geneys Près Saint Paulien',16368),(16387,'43300','Saint Julien Des Chazes',16369),(16388,'43410','Léotoing',16370),(16389,'43580','Monistrol D\'Allier',16371),(16390,'43170','Venteuges',16372),(16391,'43500','Chomelix',16373),(16392,'43150','Saint Martin De Fugères',16374),(16393,'43370','Le Brignon',16375),(16394,'43100','Brioude',16376),(16395,'43250','Sainte Florine',16377),(16396,'43150','Laussonne',16378),(16397,'43230','Couteuges',16379),(16398,'43450','Autrac',16380),(16399,'43200','Grazac',16381),(16400,'43160','Bonneval',16382),(16401,'43350','Saint Paulien',16383),(16402,'43160','Sembadel',16384),(16403,'43260','Saint Pierre Eynac',16385),(16404,'43590','Beauzac',16386),(16405,'43550','Saint Front',16387),(16406,'43340','Landos',16388),(16407,'43800','Vorey',16389),(16408,'43300','Siaugues Sainte Marie',16390),(16409,'43150','Goudet',16391),(16410,'43360','Lorlanges',16392),(16411,'43210','Bas En Basset',16393),(16412,'43230','Frugières Le Pin',16394),(16413,'43270','Allègre',16395),(16414,'43500','Saint Julien D\'Ance',16396),(16415,'43210','Valprivas',16397),(16416,'43440','Saint Vert',16398),(16417,'43380','Lavoûte Chilhac',16399),(16418,'43320','Sanssac L\'Église',16400),(16419,'43800','Mézères',16401),(16420,'43620','Saint Pal De Mons',16402),(16421,'43260','Champclause',16403),(16422,'43130','Tiranges',16404),(16423,'43300','Saint Arcons D\'Allier',16405),(16424,'43410','Lempdes Sur Allagnon',16406),(16425,'43170','La Besseyre Saint Mary',16407),(16426,'43220','Saint Julien Molhesabate',16408),(16427,'43420','Saint Paul De Tartas',16409),(16428,'43150','Chadron',16410),(16429,'43100','Paulhac',16411),(16430,'43200','Saint Julien Du Pinet',16412),(16431,'43140','La Séauve Sur Semène',16413),(16432,'43320','Vergezac',16414),(16433,'43290','Saint Bonnet Le Froid',16415),(16434,'43260','Lantriac',16416),(16435,'43300','Prades',16417),(16436,'43320','Saint Jean De Nay',16418),(16437,'43370','Solignac Sur Loire',16419),(16438,'43000','Espaly Saint Marcel',16420),(16439,'43150','Freycenet La Cuche',16421),(16440,'43290','Raucoules',16422),(16441,'43170','Chanaleilles',16423),(16442,'43380','Saint Austremoine',16424),(16443,'43430','Chaudeyrolles',16425),(16444,'43370','Cussac Sur Loire',16426),(16445,'43230','Chavaniac Lafayette',16427),(16446,'43430','Fay Sur Lignon',16428),(16447,'43510','Le Bouchet Saint Nicolas',16429),(16448,'43150','Présailles',16430),(16449,'43160','Cistrières',16431),(16450,'43450','Saint Étienne Sur Blesle',16432),(16451,'43410','Chambezon',16433),(16452,'43100','Lubilhac',16434),(16453,'43230','Saint Georges D\'Aurac',16435),(16454,'43390','Auzon',16436),(16455,'43700','Chaspinhac',16437),(16456,'43380','Saint Privat Du Dragon',16438),(16457,'43300','Langeac',16439),(16458,'43300','Mazeyrat D\'Allier',16440),(16459,'43300','Ferrussac',16441),(16460,'43100','Saint Beauzire',16442),(16461,'43490','Arlempdes',16443),(16462,'43300','Tailhac',16444),(16463,'43200','Beaux',16445),(16464,'43370','Bains',16446),(16465,'43110','Aurec Sur Loire',16447),(16466,'43150','Le Monastier Sur Gazeille',16448),(16467,'43130','Roche En Régnier',16449),(16468,'43160','Berbezit',16450),(16469,'43380','Chilhac',16451),(16470,'43700','Saint Germain Laprade',16452),(16471,'43200','Araules',16453),(16472,'43170','Cubelles',16454),(16473,'43420','Saint Étienne Du Vigan',16455),(16474,'43580','Saint Vénérand',16456),(16475,'43170','Saugues',16457),(16476,'43000','Ceyssac',16458),(16477,'43300','Pinols',16459),(16478,'43230','Sainte Eugénie De Villeneuve',16460),(16479,'43350','Lissac',16461),(16480,'43340','Barges',16462),(16481,'43220','Riotord',16463),(16482,'43580','Croisances',16464),(16483,'43150','Alleyrac',16465),(16484,'43200','Saint Maurice De Lignon',16466),(16485,'43490','Lafarre',16467),(16486,'43350','Bellevue La Montagne',16468),(16487,'43360','Bournoncle Saint Pierre',16469),(16488,'43000','Aiguilhe',16470),(16489,'43600','Villettes',16471),(16490,'43250','Frugerès Les Mines',16472),(16491,'43290','Montfaucon En Velay',16473),(16492,'43390','Saint Hilaire',16474),(16493,'43270','La Chapelle Bertin',16475),(16494,'43500','Saint Jean D\'Aubrigoux',16476),(16495,'43300','Charraix',16477),(16496,'43300','Auvers',16478),(16497,'43800','Lavoûte Sur Loire',16479),(16498,'43370','Saint Christophe Sur Dolaison',16480),(16499,'43520','Mazet Saint Voy',16481),(16500,'43440','Saint Didier Sur Doulon',16482),(16501,'43270','Vernassal',16483),(16502,'43490','Vielprat',16484),(16503,'43190','Le Mas De Tence',16485),(16504,'43200','Lapte',16486),(16505,'43220','Dunières',16487),(16506,'43800','Chamalières Sur Loire',16488),(16507,'43260','Saint Étienne Lardeyrol',16489),(16508,'43390','Vézézoux',16490),(16509,'43320','Fix Saint Geneys',16491),(16510,'43100','Javaugues',16492),(16511,'43700','Le Monteil',16493),(16512,'43100','Saint Laurent Chabreuges',16494),(16513,'43100','Chaniat',16495),(16514,'43700','Coubon',16496),(16515,'43500','Saint Georges Lagricol',16497),(16516,'43230','Salzuit',16498),(16517,'43580','Saint Didier D\'Allier',16499),(16518,'43510','Saint Jean Lachalm',16500),(16519,'43300','Chanteuges',16501),(16520,'43230','Domeyrat',16502),(16521,'43120','La Chapelle D\'Aurec',16503),(16522,'43430','Vastres',16504),(16523,'43100','Agnat',16505),(16524,'43700','Arsac En Velay',16506),(16525,'43600','Sainte Sigolène',16507),(16526,'43200','Le Pertuis',16508),(16527,'43000','Le Puy En Velay',16509),(16528,'43300','Saint Bérain',16510),(16529,'43130','Saint André De Chalencon',16511),(16530,'43290','Montregard',16512),(16531,'43420','Saint Arcons De Barges',16513),(16532,'43190','Chenereilles',16514),(16533,'43260','Queyrières',16515),(16534,'43230','Jax',16516),(16535,'43260','Saint Hostien',16517),(16536,'43300','Chastel',16518),(16537,'43770','Chadrac',16519),(16538,'43150','Estables',16520),(16539,'43320','Chaspuzac',16521),(16540,'43170','Grèzes',16522),(16541,'43810','Saint Pierre Du Champ',16523),(16542,'43500','Saint Pal De Chalencon',16524),(16543,'43620','Saint Romain Lachalm',16525),(16544,'43450','Espalem',16526),(16545,'43490','Costaros',16527),(16546,'43230','Sainte Marguerite',16528),(16547,'43800','Saint Vincent',16529),(16548,'43230','La Chomette',16530),(16549,'43440','Laval Sur Doulon',16531),(16550,'43230','Chassagnes',16532),(16551,'43330','Pont Salomon',16533),(16552,'43500','Craponne Sur Arzon',16534),(16553,'43160','Félines',16535),(16554,'43380','Aubazat',16536),(16555,'43360','Saint Géron',16537),(16556,'43200','Bessamorel',16538),(16557,'43140','Saint Didier En Velay',16539),(16558,'43510','Cayres',16540),(16559,'43510','Ouides',16541),(16560,'43510','Séneujols',16542),(16561,'43320','Saint Vidal',16543),(16562,'43100','Cohade',16544),(16563,'43270','Varennes Saint Honorat',16545),(16564,'43500','Saint Victor Sur Arlanc',16546),(16565,'43300','Chazelles',16547),(16566,'43150','Salettes',16548),(16567,'43380','Saint Cirgues',16549),(16568,'43380','Cerzat',16550),(16569,'43380','Saint Ilpize',16551),(16570,'43100','Lamothe',16552),(16571,'43300','Cronce',16553),(16572,'43230','Montclard',16554),(16573,'43170','Esplantas',16555),(16574,'43380','Arlet',16556),(16575,'43270','Monlet',16557),(16576,'43200','Yssingeaux',16558),(16577,'43210','Malvalette',16559),(16578,'43230','Paulhaguet',16560),(16579,'43450','Blesle',16561),(16580,'43580','Alleyras',16562),(16581,'43240','Saint Just Malmont',16563),(16582,'43150','Freycenet La Tour',16564),(16583,'43700','Brives Charensac',16565),(16584,'43130','Retournac',16566),(16585,'43160','La Chaise Dieu',16567),(16586,'43160','Connangles',16568),(16587,'43750','Vals Près Le Puy',16569),(16588,'43500','Beaune Sur Arzon',16570),(16589,'43380','Villeneuve D\'Allier',16571),(16590,'43230','Collat',16572),(16591,'43440','Champagnac Le Vieux',16573),(16592,'43230','Vals Le Chastel',16574),(16593,'43330','Saint Ferréol D\'Auroure',16575),(16594,'43500','Jullianges',16576),(16595,'43320','Le Vernet',16577),(16596,'43270','Céaux D\'Allègre',16578),(16597,'43100','Mercœur',16579),(16598,'43580','Saint Privat D\'Allier',16580),(16599,'43340','Saint Haon',16581),(16600,'43260','Montusclat',16582),(16601,'43800','Rosières',16583),(16602,'43170','Thoras',16584),(16603,'43360','Vergongheon',16585),(16604,'43100','Saint Just Près Brioude',16586),(16605,'43340','Saint Christophe D\'Allier',16587),(16606,'43230','Saint Préjet Armandon',16588),(16607,'43800','Malrevers',16589),(16608,'43160','Malvières',16590),(16609,'43100','Lavaudieu',16591),(16610,'43420','Pradelles',16592),(16611,'43340','Rauret',16593),(16612,'43160','Saint Pal De Senouire',16594),(16613,'43140','Saint Victor Malescours',16595),(16614,'43230','Mazerat Aurouze',16596),(16615,'44590','Saint Vincent Des Landes',16597),(16616,'44650','Corcoué Sur Logne',16598),(16617,'44610','Indre',16599),(16618,'44550','Saint Malo De Guersac',16600),(16619,'44690','Maisdon Sur Sèvre',16601),(16620,'44420','Piriac Sur Mer',16602),(16621,'44430','Le Landreau',16603),(16622,'44850','Mouzeil',16604),(16623,'44680','Sainte Pazanne',16605),(16624,'44440','Joué Sur Erdre',16606),(16625,'44530','Guenrouet',16607),(16626,'44830','Brains',16608),(16627,'44110','Erbray',16609),(16628,'44470','Carquefou',16610),(16629,'44800','Saint Herblain',16611),(16630,'44521','Oudon',16612),(16631,'44170','Treffieux',16613),(16632,'44320','Saint Viaud',16614),(16633,'44270','Saint Même Le Tenu',16615),(16634,'44330','Vallet',16616),(16635,'44270','La Marne',16617),(16636,'44320','Saint Père En Retz',16618),(16637,'44130','Fay De Bretagne',16619),(16638,'44670','Juigné Des Moutiers',16620),(16639,'44190','Saint Hilaire De Clisson',16621),(16640,'44190','Boussay',16622),(16641,'44480','Donges',16623),(16642,'44780','Missillac',16624),(16643,'44440','Teillé',16625),(16644,'44370','La Chapelle Saint Sauveur',16626),(16645,'44130','Blain',16627),(16646,'44521','Couffé',16628),(16647,'44210','Pornic',16629),(16648,'44140','La Planche',16630),(16649,'44440','Pannecé',16631),(16650,'44420','La Turballe',16632),(16651,'44670','Petit Auverné',16633),(16652,'44430','La Remaudière',16634),(16653,'44140','Remouillé',16635),(16654,'44560','Paimbœuf',16636),(16655,'44370','Montrelais',16637),(16656,'44560','Corsept',16638),(16657,'44240','Sucé Sur Erdre',16639),(16658,'49123','Le Fresne Sur Loire',16640),(16659,'44410','Saint Lyphard',16641),(16660,'44670','La Chapelle Glain',16642),(16661,'44260','Prinquiau',16643),(16662,'44370','La Rouxière',16644),(16663,'44119','Grandchamps Des Fontaines',16645),(16664,'44260','Malville',16646),(16665,'44510','Le Pouliguen',16647),(16666,'44460','Avessac',16648),(16667,'44150','Saint Herblon',16649),(16668,'44550','Montoir De Bretagne',16650),(16669,'44115','Basse Goulaine',16651),(16670,'44440','Trans Sur Erdre',16652),(16671,'44430','Le Loroux Bottereau',16653),(16672,'44730','Saint Michel Chef Chef',16654),(16673,'44570','Trignac',16655),(16674,'44390','Touches',16656),(16675,'44470','Thouaré Sur Loire',16657),(16676,'44117','Saint André Des Eaux',16658),(16677,'44340','Bouguenais',16659),(16678,'44840','Sorinières',16660),(16679,'44590','Sion Les Mines',16661),(16680,'44390','Puceul',16662),(16681,'44150','Saint Géréon',16663),(16682,'44230','Saint Sébastien Sur Loire',16664),(16683,'44410','Assérac',16665),(16684,'44260','Savenay',16666),(16685,'44118','La Chevrolière',16667),(16686,'44850','Le Cellier',16668),(16687,'44270','Paulx',16669),(16688,'44520','Grand Auverné',16670),(16689,'44110','Villepot',16671),(16690,'44640','Saint Jean De Boiseau',16672),(16691,'44410','Herbignac',16673),(16692,'44690','Saint Fiacre Sur Maine',16674),(16693,'44450','La Chapelle Basse Mer',16675),(16694,'44770','Préfailles',16676),(16695,'44750','Quilly',16677),(16696,'44710','Saint Léger Les Vignes',16678),(16697,'44190','Gorges',16679),(16698,'44290','Guémené Penfao',16680),(16699,'44660','Fercé',16681),(16700,'44860','Pont Saint Martin',16682),(16701,'44810','La Chevallerais',16683),(16702,'44390','Casson',16684),(16703,'44540','Bonnœuvre',16685),(16704,'44850','Saint Mars Du Désert',16686),(16705,'44119','Treillières',16687),(16706,'44330','Mouzillon',16688),(16707,'44540','Saint Sulpice Des Landes',16689),(16708,'44580','Bourgneuf En Retz',16690),(16709,'44620','La Montagne',16691),(16710,'44170','Vay',16692),(16711,'44530','Sévérac',16693),(16712,'44220','Couëron',16694),(16713,'44360','Cordemais',16695),(16714,'44530','Drefféac',16696),(16715,'44700','Orvault',16697),(16716,'44320','Arthon En Retz',16698),(16717,'44110','Soudan',16699),(16718,'44140','Geneston',16700),(16719,'44310','La Limouzinière',16701),(16720,'44130','Bouvron',16702),(16721,'44420','Mesquer',16703),(16722,'44590','Derval',16704),(16723,'44130','Le Gâvre',16705),(16724,'44660','Ruffigné',16706),(16725,'44880','Sautron',16707),(16726,'44190','Clisson',16708),(16727,'44270','Machecoul',16709),(16728,'44522','Pouillé Les Côteaux',16710),(16729,'44690','Château Thébaud',16711),(16730,'44850','Ligné',16712),(16731,'44170','La Grigonnais',16713),(16732,'44640','Vue',16714),(16733,'44410','La Chapelle Des Marais',16715),(16734,'44160','Pontchâteau',16716),(16735,'44360','Saint Étienne De Montluc',16717),(16736,'44640','Rouans',16718),(16737,'44320','Frossay',16719),(16738,'44130','Notre Dame Des Landes',16720),(16739,'44690','Monnières',16721),(16740,'44450','Saint Julien De Concelles',16722),(16741,'44380','Pornichet',16723),(16742,'44650','Lège',16724),(16743,'44320','Chauvé',16725),(16744,'44310','Saint Lumine De Coutais',16726),(16745,'44116','Vieillevigne',16727),(16746,'44440','Riaillé',16728),(16747,'44760','Moutiers En Retz',16729),(16748,'44670','Saint Julien De Vouvantes',16730),(16749,'44680','Saint Hilaire De Chaléons',16731),(16750,'44530','Saint Gildas Des Bois',16732),(16751,'44330','La Chapelle Heulin',16733),(16752,'44160','Sainte Reine De Bretagne',16734),(16753,'44390','Petit Mars',16735),(16754,'44120','Vertou',16736),(16755,'44520','La Meilleraye De Bretagne',16737),(16757,'44660','Rougé',16738),(16758,'44980','Sainte Luce Sur Loire',16739),(16759,'44350','Saint Molf',16740),(16760,'44860','Saint Aignan Grandlieu',16741),(16761,'44522','Mésanger',16742),(16762,'44740','Batz Sur Mer',16743),(16763,'44520','Moisdon La Rivière',16744),(16764,'44640','Cheix En Retz',16745),(16765,'44490','Le Croisic',16746),(16766,'44400','Rezé',16747),(16767,'44460','Saint Nicolas De Redon',16748),(16768,'44110','Châteaubriant',16749),(16769,'44310','Saint Philbert De Grand Lieu',16750),(16770,'44680','Chéméré',16751),(16771,'44290','Pierric',16752),(16772,'44140','Aigrefeuille Sur Maine',16753),(16773,'44430','La Boissière Du Doré',16754),(16774,'44170','Jans',16755),(16775,'44810','Héric',16756),(16776,'44630','Plessé',16757),(16777,'44450','Barbechat',16758),(16778,'44150','Anetz',16759),(16779,'44830','Bouaye',16760),(16780,'44270','Saint Étienne De Mer Morte',16761),(16781,'44350','Guérande',16762),(16782,'44760','La Bernerie En Retz',16763),(16783,'44290','Massérac',16764),(16784,'44110','Noyal Sur Brutz',16765),(16785,'44660','Soulvache',16766),(16786,'44260','Lavau Sur Loire',16767),(16787,'44160','Sainte Anne Sur Brivet',16768),(16788,'44720','Saint Joachim',16769),(16789,'44310','Saint Colomban',16770),(16790,'44522','La Roche Blanche',16771),(16791,'44650','Touvois',16772),(16792,'44590','Lusanger',16773),(16793,'44150','Ancenis',16774),(16794,'44170','Abbaretz',16775),(16795,'44190','Saint Lumine De Clisson',16776),(16796,'44290','Conquereuil',16777),(16797,'44370','Varades',16778),(16798,'44390','Nort Sur Erdre',16779),(16799,'44250','Saint Brevin Les Pins',16780),(16800,'44160','Besné',16781),(16801,'44770','La Plaine Sur Mer',16782),(16802,'44160','Crossac',16783),(16803,'44260','Bouée',16784),(16804,'44360','Vigneux De Bretagne',16785),(16805,'44360','Le Temple De Bretagne',16786),(16806,'44680','Saint Mars De Coutais',16787),(16807,'44590','Mouais',16788),(16808,'44190','Gétigné',16789),(16809,'44500','La Baule Escoublac',16790),(16810,'49440','Vritz',16791),(16811,'44140','Montbert',16792),(16812,'44460','Fégréac',16793),(16813,'44110','Saint Aubin Des Châteaux',16794),(16814,'44540','Maumusson',16795),(16815,'44640','Le Pellerin',16796),(16816,'44330','Le Pallet',16797),(16817,'44330','La Regrippière',16798),(16818,'44170','Marsac Sur Don',16799),(16819,'44470','Mauves Sur Loire',16800),(16820,'44260','La Chapelle Launay',16801),(16821,'44170','Nozay',16802),(16822,'44390','Saffré',16803),(16823,'44520','Issé',16804),(16824,'44240','La Chapelle Sur Erdre',16805),(16825,'44690','La Haie Fouassière',16806),(16826,'44600','Saint Nazaire',16807),(16827,'44115','Haute Goulaine',16808),(16828,'44710','Port Saint Père',16809),(16829,'44140','Le Bignon',16810),(16830,'44750','Campbon',16811),(16831,'44540','Le Pin',16812),(16832,'44540','Saint Mars La Jaille',16813),(16833,'44370','Belligné',16814),(16834,'44580','Fresnay En Retz',16815),(16835,'44110','Louisfert',16816),(16836,'45210','La Selle Sur Le Bied',16817),(16837,'45460','Bouzy La Forêt',16818),(16838,'45200','Amilly',16819),(16839,'45270','Quiers Sur Bézonde',16820),(16840,'45150','Jargeau',16821),(16841,'45300','Givraines',16822),(16842,'45550','Saint Denis De L\'Hôtel',16823),(16843,'45340','Montliard',16824),(16844,'45720','Coullons',16825),(16845,'45340','Barville En Gâtinais',16826),(16846,'45250','Escrignelles',16827),(16847,'45700','Pannes',16828),(16848,'45500','Saint Brisson Sur Loire',16829),(16849,'45240','Sennely',16830),(16850,'45210','Mérinville',16831),(16851,'45330','Nangeville',16832),(16852,'45270','Ouzouer Sous Bellegarde',16833),(16853,'45480','Châtillon Le Roi',16834),(16854,'45310','Gémigny',16835),(16855,'45310','Rouvray Sainte Croix',16836),(16856,'45190','Tavers',16837),(16857,'45210','Louzouer',16838),(16858,'45220','Château Renard',16839),(16859,'45340','Nibelle',16840),(16860,'45240','La Ferté Saint Aubin',16841),(16861,'45310','Tournoisis',16842),(16862,'45430','Bou',16843),(16863,'45140','Bucy Saint Liphard',16844),(16864,'45300','Audeville',16845),(16865,'45290','Ouzouer Des Champs',16846),(16866,'45700','Lombreuil',16847),(16867,'45300','Ascoux',16848),(16868,'45490','Sceaux Du Gâtinais',16849),(16869,'45300','Sermaises',16850),(16870,'45270','Ladon',16851),(16871,'45310','Bricy',16852),(16872,'45530','Sury Aux Bois',16853),(16873,'45470','Rebréchien',16854),(16874,'45370','Jouy Le Potier',16855),(16875,'45490','Corbeilles',16856),(16876,'45760','Marigny Les Usages',16857),(16877,'45480','Jouy En Pithiverais',16858),(16878,'45700','Cortrat',16859),(16879,'45330','Mainvilliers',16860),(16880,'45420','Champoulet',16861),(16881,'45130','Le Bardon',16862),(16882,'45250','Briare',16863),(16883,'45290','Varennes Changy',16864),(16884,'45420','Batilly En Puisaye',16865),(16885,'45120','Cepoy',16866),(16886,'45680','Dordives',16867),(16887,'45230','Adon',16868),(16888,'45500','Nevoy',16869),(16889,'45230','Dammarie Sur Loing',16870),(16890,'45310','Coinces',16871),(16891,'45220','Saint Germain Des Prés',16872),(16892,'45260','Coudroy',16873),(16893,'45480','Outarville',16874),(16894,'45340','Montbarrois',16875),(16895,'45390','Puiseaux',16876),(16896,'45210','La Chapelle Saint Sépulcre',16877),(16897,'45510','Neuvy En Sullias',16878),(16898,'45730','Saint Benoît Sur Loire',16879),(16899,'45220','Douchy',16880),(16900,'45300','Escrennes',16881),(16901,'45600','Saint Florent',16882),(16902,'45200','Paucourt',16883),(16903,'45260','Presnoy',16884),(16904,'45300','Bouzonville Aux Bois',16885),(16905,'45260','Thimory',16886),(16906,'45510','Tigy',16887),(16907,'45400','Chanteau',16888),(16908,'45300','Rouvres Saint Jean',16889),(16909,'45470','Traînou',16890),(16910,'45270','Fréville Du Gâtinais',16891),(16911,'45230','Châtillon Coligny',16892),(16912,'45210','Chevry Sous Le Bignon',16893),(16913,'45170','Crottes En Pithiverais',16894),(16914,'45220','Montcorbon',16895),(16915,'45390','Échilleuses',16896),(16916,'45170','Neuville Aux Bois',16897),(16917,'45130','Baccon',16898),(16918,'45300','Dadonville',16899),(16919,'45800','Saint Jean De Braye',16900),(16920,'45340','Égry',16901),(16921,'45160','Ardon',16902),(16922,'45270','Chapelon',16903),(16923,'45340','Chambon La Forêt',16904),(16924,'45410','Sougy',16905),(16925,'45500','Gien',16906),(16926,'45300','Courcelles',16907),(16927,'45700','Villemandeur',16908),(16928,'45430','Mardié',16909),(16929,'45210','Saint Loup De Gonois',16910),(16930,'45220','Gy Les Nonains',16911),(16931,'45300','Bouilly En Gâtinais',16912),(16932,'45620','Cerdon',16913),(16933,'45510','Vannes Sur Cosson',16914),(16934,'45360','Cernoy En Berry',16915),(16935,'45490','Treilles En Gâtinais',16916),(16936,'45480','Léouville',16917),(16937,'45520','Cercottes',16918),(16938,'45390','Orville',16919),(16939,'45270','Moulon',16920),(16940,'45390','Dimancheville',16921),(16941,'45500','Saint Gondon',16922),(16942,'45210','Fontenay Sur Loing',16923),(16943,'45270','Auvilliers En Gâtinais',16924),(16944,'45320','Ervauville',16925),(16945,'45360','Saint Firmin Sur Loire',16926),(16946,'45530','Seichebrières',16927),(16947,'45570','Ouzouer Sur Loire',16928),(16948,'45130','Charsonville',16929),(16949,'45290','Le Moulinet Sur Solin',16930),(16950,'45380','Chaingy',16931),(16951,'45600','Saint Père Sur Loire',16932),(16952,'45300','Thignonville',16933),(16953,'45190','Beaugency',16934),(16954,'45330','Coudray',16935),(16955,'45300','Pithiviers',16936),(16956,'45390','La Neuville Sur Essonne',16937),(16957,'45520','Chevilly',16938),(16958,'45310','Villamblain',16939),(16959,'45200','Montargis',16940),(16960,'45490','Préfontaines',16941),(16961,'45420','Thou',16942),(16962,'45340','Batilly En Gâtinais',16943),(16963,'45130','Baule',16944),(16964,'45170','Bougy Lez Neuville',16945),(16965,'45300','Ramoulu',16946),(16966,'45300','Courcy Aux Loges',16947),(16967,'45260','Montereau',16948),(16968,'45210','Griselles',16949),(16969,'45530','Vitry Aux Loges',16950),(16970,'45480','Greneville En Beauce',16951),(16971,'45450','Sully La Chapelle',16952),(16972,'45120','Corquilleroy',16953),(16973,'45210','Bazoches Sur Le Betz',16954),(16974,'45130','Meung Sur Loire',16955),(16975,'45260','Vieilles Maisons Sur Joudry',16956),(16976,'45700','Saint Maurice Sur Fessard',16957),(16977,'45290','Oussoy En Gâtinais',16958),(16978,'45130','Rozières En Beauce',16959),(16979,'45170','Aschères Le Marché',16960),(16980,'45600','Guilly',16961),(16981,'45300','Marsainvilliers',16962),(16982,'45410','Ruan',16963),(16983,'45390','Grangermont',16964),(16984,'45340','Juranville',16965),(16985,'45320','Courtemaux',16966),(16986,'45330','Augerville La Rivière',16967),(16987,'45230','La Bussière',16968),(16988,'45400','Semoy',16969),(16989,'45420','Faverelles',16970),(16990,'45270','Nesploy',16971),(16991,'45170','Chilleurs Aux Bois',16972),(16992,'45300','Engenville',16973),(16993,'45520','Gidy',16974),(16994,'45170','Saint Lyé La Forêt',16975),(16995,'45120','Châlette Sur Loing',16976),(16996,'45220','Chuelles',16977),(16997,'45170','Oison',16978),(16998,'45640','Sandillon',16979),(16999,'45310','Villeneuve Sur Conie',16980),(17000,'45460','Bonnée',16981),(17001,'45500','Saint Martin Sur Ocre',16982),(17002,'45290','Choux',16983),(17003,'45380','La Chapelle Saint Mesmin',16984),(17004,'45500','Autry Le Châtel',16985),(17005,'45420','Dammarie En Puisaye',16986),(17006,'45300','Laas',16987),(17007,'45360','Pierrefitte Ès Bois',16988),(17008,'45450','Donnery',16989),(17009,'45480','Boisseaux',16990),(17010,'45630','Beaulieu Sur Loire',16991),(17011,'45300','Morville En Beauce',16992),(17012,'45390','Briarres Sur Essonne',16993),(17013,'45460','Bordes',16994),(17014,'45340','Beaune La Rolande',16995),(17015,'45600','Saint Aignan Le Jaillard',16996),(17016,'45320','Foucherolles',16997),(17017,'45700','Montcresson',16998),(17018,'45400','Fleury Les Aubrais',16999),(17019,'45250','Ouzouer Sur Trézée',17000),(17020,'45300','Intville La Guétard',17001),(17021,'45210','La Selle En Hermoy',17002),(17022,'45480','Bazoches Les Gallerandes',17003),(17023,'45370','Mareau Aux Prés',17004),(17024,'45230','Sainte Geneviève Des Bois',17005),(17025,'45420','Bonny Sur Loire',17006),(17026,'45410','Lion En Beauce',17007),(17027,'45120','Girolles',17008),(17028,'45620','Isdes',17009),(17029,'45130','Épieds En Beauce',17010),(17030,'45260','Lorris',17011),(17031,'45600','Viglain',17012),(17032,'45170','Tivernon',17013),(17033,'45590','Saint Cyr En Val',17014),(17034,'45170','Attray',17015),(17035,'45110','Germigny Des Prés',17016),(17036,'45300','Guigneville',17017),(17037,'45250','Ousson Sur Loire',17018),(17038,'45370','Cléry Saint André',17019),(17039,'45300','Césarville Dossainville',17020),(17040,'45150','Férolles',17021),(17041,'45110','Saint Martin D\'Abbat',17022),(17042,'45700','Conflans Sur Loing',17023),(17043,'45320','Chantecoq',17024),(17044,'45220','Triguères',17025),(17045,'45140','Boulay Les Barres',17026),(17046,'45450','Ingrannes',17027),(17047,'45800','Combleux',17028),(17048,'45300','Manchecourt',17029),(17049,'45340','Nancray Sur Rimarde',17030),(17050,'45300','Yèvre La Ville',17031),(17051,'45260','Chailly En Gâtinais',17032),(17052,'45430','Chécy',17033),(17053,'45340','Saint Michel',17034),(17054,'45370','Mézières Lez Cléry',17035),(17055,'45210','Thorailles',17036),(17056,'45240','Marcilly En Villette',17037),(17057,'45410','Bucy Le Roi',17038),(17058,'45230','Montbouy',17039),(17059,'45500','Poilly Lez Gien',17040),(17060,'45480','Autruy Sur Juine',17041),(17061,'45520','Huêtre',17042),(17062,'45240','Ménestreau En Villette',17043),(17063,'45480','Erceville',17044),(17064,'45250','Breteau',17045),(17065,'45210','Rozoy Le Vieil',17046),(17066,'45480','Chaussy',17047),(17067,'45290','Boismorand',17048),(17068,'45300','Estouy',17049),(17069,'45140','Ormes',17050),(17070,'45290','Nogent Sur Vernisson',17051),(17071,'45270','Villemoutiers',17052),(17072,'45480','Andonville',17053),(17073,'45700','Chevillon Sur Huillard',17054),(17074,'45330','Malesherbes',17055),(17075,'45770','Saran',17056),(17076,'45410','Trinay',17057),(17077,'45390','Desmonts',17058),(17078,'45700','Vimory',17059),(17079,'45470','Loury',17060),(17080,'45340','Boiscommun',17061),(17081,'45110','Sigloy',17062),(17082,'45210','Le Bignon Mirabeau',17063),(17083,'45390','Bromeilles',17064),(17084,'45310','Saint Sigismond',17065),(17085,'45190','Villorceau',17066),(17086,'45300','Vrigny',17067),(17087,'45370','Dry',17068),(17088,'45570','Dampierre En Burly',17069),(17089,'45510','Vienne En Val',17070),(17090,'45460','Bray En Val',17071),(17091,'45490','Gondreville',17072),(17092,'45260','Châtenoy',17073),(17093,'45210','Ferrières En Gâtinais',17074),(17094,'45260','Noyers',17075),(17095,'45170','Villereau',17076),(17096,'45290','Langesse',17077),(17097,'45170','Montigny',17078),(17098,'45700','Saint Hilaire Sur Puiseaux',17079),(17099,'45270','Mézières En Gâtinais',17080),(17100,'45240','Ligny Le Ribault',17081),(17101,'45600','Lion En Sullias',17082),(17102,'45320','Courtenay',17083),(17103,'45480','Charmont En Beauce',17084),(17104,'45190','Cravant',17085),(17105,'45160','Saint Hilaire Saint Mesmin',17086),(17106,'45300','Boynes',17087),(17107,'45310','La Chapelle Onzerain',17088),(17108,'45490','Mignerette',17089),(17109,'45760','Vennecy',17090),(17110,'45130','Huisseau Sur Mauves',17091),(17111,'45300','Mareau Aux Bois',17092),(17112,'45210','Pers En Gâtinais',17093),(17113,'45760','Boigny Sur Bionne',17094),(17114,'45220','Saint Firmin Des Bois',17095),(17115,'45270','Beauchamps Sur Huillard',17096),(17116,'45320','Saint Hilaire Les Andrésis',17097),(17117,'45210','Chevannes',17098),(17118,'45530','Combreux',17099),(17119,'45330','Orveau Bellesauve',17100),(17120,'45210','Nargis',17101),(17121,'45300','Pithiviers Le Vieil',17102),(17122,'45490','Courtempierre',17103),(17123,'45490','Mignères',17104),(17124,'45700','Solterre',17105),(17125,'45330','Labrosse',17106),(17126,'45170','Santeau',17107),(17127,'45230','La Chapelle Sur Aveyron',17108),(17128,'45490','Lorcy',17109),(17129,'45130','Saint Ay',17110),(17130,'45150','Ouvrouer Les Champs',17111),(17131,'45460','Saint Aignan Des Gués',17112),(17132,'45310','Patay',17113),(17133,'45340','Auxy',17114),(17134,'45410','Artenay',17115),(17135,'45340','Saint Loup Des Vignes',17116),(17136,'45700','Mormant Sur Vernisson',17117),(17137,'45300','Pannecières',17118),(17138,'45230','Saint Maurice Sur Aveyron',17119),(17139,'45390','Boësses',17120),(17140,'45740','Lailly En Val',17121),(17141,'45270','Bellegarde',17122),(17142,'45130','Coulmiers',17123),(17143,'45290','Pressigny Les Pins',17124),(17144,'45220','Melleroy',17125),(17145,'45230','Aillant Sur Milleron',17126),(17146,'45260','La Cour Marigny',17127),(17147,'45340','Bordeaux En Gâtinais',17128),(17148,'45300','Bondaroy',17129),(17149,'45600','Sully Sur Loire',17130),(17150,'45150','Darvoy',17131),(17151,'45140','Saint Jean De La Ruelle',17132),(17152,'45230','Feins En Gâtinais',17133),(17153,'45750','Saint Pryvé Saint Mesmin',17134),(17154,'45650','Saint Jean Le Blanc',17135),(17155,'45360','Châtillon Sur Loire',17136),(17156,'45310','Saint Péravy La Colombe',17137),(17157,'45700','Villevoques',17138),(17158,'45140','Ingré',17139),(17159,'45560','Saint Denis En Val',17140),(17160,'45230','Le Charme',17141),(17161,'45390','Aulnay La Rivière',17142),(17163,'45600','Villemurlin',17143),(17164,'45110','Châteauneuf Sur Loire',17144),(17165,'45390','Ondreville Sur Essonne',17145),(17166,'45160','Olivet',17146),(17167,'45190','Messas',17147),(17168,'45450','Fay Aux Loges',17148),(17169,'45340','Gaubertin',17149),(17170,'46130','Cornac',17150),(17171,'46300','Rouffilhac',17151),(17172,'46130','Loubressac',17152),(17173,'46330','Crégols',17153),(17174,'46250','Arques',17154),(17175,'46340','Lavercantière',17155),(17176,'46160','Montbrun',17156),(17177,'46130','Saint Michel Loubéjou',17157),(17178,'46140','Parnac',17158),(17179,'46260','Puyjourdes',17159),(17180,'46150','Pontcirq',17160),(17181,'46090','Trespoux Rassiels',17161),(17182,'46210','Lauresses',17162),(17183,'46130','Bretenoux',17163),(17184,'46700','Mauroux',17164),(17185,'46170','Sainte Alauzie',17165),(17186,'46170','Cézac',17166),(17187,'46130','Gintrac',17167),(17188,'46500','Le Bastit',17168),(17189,'46800','Saint Matré',17169),(17190,'46090','Esclauzels',17170),(17191,'46130','Estal',17171),(17192,'46220','Pescadoires',17172),(17193,'46400','Autoire',17173),(17194,'46230','Belfort Du Quercy',17174),(17195,'46360','Lauzès',17175),(17196,'46200','Pinsac',17176),(17197,'46090','Labastide Marnhac',17177),(17198,'46320','Livernon',17178),(17199,'46270','Montredon',17179),(17200,'46140','Castelfranc',17180),(17201,'46160','Larroque Toirac',17181),(17202,'46110','Quatre Routes Du Lot',17182),(17203,'46260','Laramière',17183),(17204,'46200','Mayrac',17184),(17205,'46270','Cuzac',17185),(17206,'46260','Saint Jean De Laur',17186),(17207,'46100','Figeac',17187),(17208,'46130','Gagnac Sur Cère',17188),(17209,'46260','Promilhanes',17189),(17210,'46190','Comiac',17190),(17211,'46260','Saillac',17191),(17212,'46600','Creysse',17192),(17213,'46120','Aynac',17193),(17214,'46800','Montlauzun',17194),(17215,'46310','Saint Germain Du Bel Air',17195),(17216,'46170','Lhospitalet',17196),(17217,'46150','Lherm',17197),(17218,'46300','Milhac',17198),(17219,'46700','Soturac',17199),(17220,'46210','Labastide Du Haut Mont',17200),(17221,'46270','Linac',17201),(17222,'46400','Saint Médard De Presque',17202),(17223,'46130','Glanes',17203),(17224,'46500','Bio',17204),(17225,'46150','Labastide Du Vert',17205),(17226,'46300','Saint Cirq Madelon',17206),(17227,'46150','Saint Médard',17207),(17228,'46100','Cardaillac',17208),(17229,'46700','Sérignac',17209),(17230,'46400','Saint Laurent Les Tours',17210),(17231,'46200','Meyronne',17211),(17232,'46400','Saint Céré',17212),(17233,'46700','Touzac',17213),(17234,'46210','Montet Et Bouxal',17214),(17235,'46600','Cressensac',17215),(17236,'46500','Rignac',17216),(17237,'46400','Latouille Lentillac',17217),(17238,'46330','Sauliac Sur Célé',17218),(17239,'46270','Bagnac Sur Célé',17219),(17240,'46230','Lalbenque',17220),(17241,'46120','Théminettes',17221),(17242,'46150','Gigouzac',17222),(17243,'46310','Montamel',17223),(17244,'46110','Condat',17224),(17245,'46100','Lissac Et Mouret',17225),(17246,'46120','Saint Bressou',17226),(17247,'46220','Lagardelle',17227),(17248,'46240','Soulomès',17228),(17249,'46800','Saint Daunès',17229),(17250,'46800','Saint Cyprien',17230),(17251,'46500','Issendolus',17231),(17252,'46200','Lacave',17232),(17253,'46160','Saint Sulpice',17233),(17254,'46500','Saignes',17234),(17255,'46360','Sénaillac Lauzès',17235),(17256,'46240','Fontanes Du Causse',17236),(17257,'46800','Saint Pantaléon',17237),(17258,'46600','Montvalent',17238),(17259,'46310','Frayssinet',17239),(17260,'46700','Lacapelle Cabanac',17240),(17261,'46150','Crayssac',17241),(17262,'46100','Boussac',17242),(17263,'46140','Albas',17243),(17264,'46270','Saint Jean Mirabel',17244),(17265,'46160','Cadrieu',17245),(17266,'46210','Sénaillac Latronquière',17246),(17267,'46360','Saint Martin De Vers',17247),(17268,'46160','Cajarc',17248),(17269,'46120','Le Bouyssou',17249),(17270,'46150','Montgesty',17250),(17271,'46320','Quissac',17251),(17272,'46800','Montcuq',17252),(17273,'46150','Thédirac',17253),(17274,'46140','Anglars Juillac',17254),(17275,'46500','Carlucet',17255),(17276,'46300','Soucirac',17256),(17277,'46300','Saint Clair',17257),(17278,'46300','Saint Cirq Souillaguet',17258),(17279,'46330','Blars',17259),(17280,'46160','Larnagol',17260),(17281,'46500','Mayrinhac Lentour',17261),(17282,'46110','Saint Michel De Bannières',17262),(17283,'46600','Martel',17263),(17284,'46140','Carnac Rouffiac',17264),(17285,'46240','Beaumat',17265),(17286,'46330','Cabrerets',17266),(17287,'46090','Le Montat',17267),(17288,'46330','Saint Cirq Lapopie',17268),(17289,'46160','Frontenac',17269),(17290,'46090','Laroque Des Arcs',17270),(17291,'46800','Sainte Croix',17271),(17292,'46350','Reilhaguet',17272),(17293,'46500','Vergne',17273),(17294,'46300','Ginouillac',17274),(17295,'46100','Viazac',17275),(17296,'46110','Cavagnac',17276),(17297,'46340','Rampoux',17277),(17298,'46500','Albiac',17278),(17299,'46130','Cahus',17279),(17300,'46170','Flaugnac',17280),(17301,'46100','Lunan',17281),(17302,'46250','Cazals',17282),(17303,'46300','Léobard',17283),(17304,'46230','Vaylats',17284),(17305,'46100','Camboulit',17285),(17306,'46320','Brengues',17286),(17307,'46160','Carayac',17287),(17308,'46330','Saint Géry',17288),(17309,'46300','Anglars Nozac',17289),(17310,'46100','Faycelles',17290),(17311,'46230','Escamps',17291),(17312,'46220','Prayssac',17292),(17313,'46230','Cremps',17293),(17314,'46230','Cieurac',17294),(17315,'46100','Fourmagnac',17295),(17316,'46800','Lascabanes',17296),(17317,'46140','Sauzet',17297),(17318,'46240','Lunegarde',17298),(17319,'46800','Fargues',17299),(17320,'46800','Bagat En Quercy',17300),(17321,'46500','Couzou',17301),(17322,'46400','Ladirat',17302),(17323,'46230','Bach',17303),(17324,'46800','Saux',17304),(17325,'46350','Masclat',17305),(17326,'46130','Girac',17306),(17327,'46200','Lanzac',17307),(17328,'46310','Concorès',17308),(17329,'46260','Lugagnac',17309),(17330,'46270','Prendeignes',17310),(17331,'46120','Thémines',17311),(17332,'46230','Laburgade',17312),(17333,'46600','Sarrazac',17313),(17334,'46090','Vers',17314),(17335,'46310','Saint Chamarand',17315),(17336,'46350','Payrac',17316),(17337,'46400','Saint Paul De Vern',17317),(17338,'46190','Lamativie',17318),(17339,'46700','Montcabrier',17319),(17340,'46170','Pern',17320),(17341,'46600','Saint Denis Lès Martel',17321),(17342,'46120','Le Bourg',17322),(17343,'46120','Rueyres',17323),(17344,'46090','Francoulès',17324),(17345,'46120','Rudelle',17325),(17346,'46330','Bouziès',17326),(17347,'46140','Caillac',17327),(17348,'46700','Cassagnes',17328),(17349,'46500','Gramat',17329),(17350,'46320','Saint Simon',17330),(17351,'46800','Le Boulvé',17331),(17352,'46100','Corn',17332),(17353,'46260','Beauregard',17333),(17354,'46360','Nadillac',17334),(17355,'46100','Capdenac',17335),(17356,'46700','Duravel',17336),(17357,'46500','Miers',17337),(17358,'46600','Baladou',17338),(17359,'46350','Nadaillac De Rouge',17339),(17360,'46090','Lamagdelaine',17340),(17361,'46260','Vidaillac',17341),(17362,'46210','Bessonies',17342),(17363,'46310','Peyrilles',17343),(17364,'46210','Latronquière',17344),(17365,'46200','Saint Sozy',17345),(17366,'46700','Vire Sur Lot',17346),(17367,'46090','Villesèque',17347),(17368,'46320','Durbans',17348),(17369,'46110','Bétaille',17349),(17370,'46340','Salviac',17350),(17371,'46120','Saint Maurice En Quercy',17351),(17372,'46170','Castelnau Montratier',17352),(17373,'46120','Sainte Colombe',17353),(17374,'46230','Belmont Sainte Foi',17354),(17375,'46320','Reyrevignes',17355),(17376,'46120','Molières',17356),(17377,'46500','Thégra',17357),(17378,'46600','Floirac',17358),(17379,'46500','Alvignac',17359),(17380,'46320','Issepts',17360),(17381,'46150','Calamane',17361),(17382,'46100','Camburat',17362),(17383,'46500','Reilhac',17363),(17384,'46240','Saint Sauveur La Vallée',17364),(17385,'46320','Sonac',17365),(17386,'46100','Saint Perdoux',17366),(17387,'46400','Frayssinhes',17367),(17388,'46250','Saint Caprais',17368),(17389,'46400','Saint Jean Lagineste',17369),(17390,'46240','Ussel',17370),(17391,'46130','Biars Sur Cère',17371),(17392,'46090','Saint Pierre Lafeuille',17372),(17393,'46210','Saint Médard Nicourby',17373),(17394,'46140','Saint Vincent Rive D\'Olt',17374),(17395,'46400','Saint Vincent Du Pendit',17375),(17396,'46190','Lacam D\'Ourcet',17376),(17397,'46120','Lacapelle Marival',17377),(17398,'46240','Labastide Murat',17378),(17399,'46320','Flaujac Gare',17379),(17400,'46210','Saint Hilaire',17380),(17401,'46300','Gourdon',17381),(17402,'46250','Marminiac',17382),(17403,'46310','Uzech',17383),(17404,'46360','Sabadel Lauzès',17384),(17405,'46150','Mechmont',17385),(17406,'46130','Puybrun',17386),(17407,'46090','Maxou',17387),(17408,'46210','Saint Cirgues',17388),(17409,'46700','Saint Martin Le Redon',17389),(17410,'46250','Frayssinet Le Gélat',17390),(17411,'46130','Laval De Cère',17391),(17412,'46600','Cuzance',17392),(17413,'46250','Gindou',17393),(17414,'46300','Le Vigan',17394),(17415,'46160','Calvignac',17395),(17416,'46320','Assier',17396),(17417,'46130','Prudhomat',17397),(17418,'46320','Grèzes',17398),(17419,'46400','Saint Jean Lespinasse',17399),(17420,'46150','Nuzéjouls',17400),(17421,'46300','Saint Projet',17401),(17422,'46090','Espère',17402),(17423,'46160','Saint Chels',17403),(17424,'46090','Pradines',17404),(17425,'46090','Arcambal',17405),(17426,'46140','Cambayrac',17406),(17427,'46800','Lebreil',17407),(17428,'46800','Valprionde',17408),(17429,'46170','Saint Paul De Loubressac',17409),(17430,'46200','Souillac',17410),(17431,'46150','Junies',17411),(17432,'46350','Loupiac',17412),(17433,'46300','Payrignac',17413),(17434,'46120','Espeyroux',17414),(17435,'46100','Cambes',17415),(17436,'46100','Fons',17416),(17437,'46140','Luzech',17417),(17438,'46240','Caniac Du Causse',17418),(17439,'46240','Montfaucon',17419),(17440,'46240','Séniergues',17420),(17441,'46330','Lentillac Du Causse',17421),(17442,'46340','Dégagnac',17422),(17443,'46320','Espagnac Sainte Eulalie',17423),(17444,'46100','Lentillac Saint Blaise',17424),(17445,'46090','Aujols',17425),(17446,'46260','Varaire',17426),(17447,'46190','Calviac',17427),(17448,'46140','Douelle',17428),(17449,'46350','Lamothe Fénelon',17429),(17450,'46250','Pomarède',17430),(17451,'46500','Rocamadour',17431),(17452,'46190','Sousceyrac',17432),(17453,'46500','Padirac',17433),(17454,'46120','Terrou',17434),(17455,'46190','Teyssieu',17435),(17456,'46250','Montcléra',17436),(17457,'46140','Bélaye',17437),(17458,'46150','Saint Denis Catus',17438),(17459,'46130','Belmont Bretenoux',17439),(17460,'46000','Cahors',17440),(17461,'46320','Espédaillac',17441),(17462,'46700','Puy L\'Évêque',17442),(17463,'46100','Planioles',17443),(17464,'46160','Marcilhac Sur Célé',17444),(17465,'46150','Boissières',17445),(17466,'46600','Cazillac',17446),(17467,'46200','Lachapelle Auzac',17447),(17468,'46090','Valroufié',17448),(17469,'46090','Mercuès',17449),(17470,'46330','Cénevières',17450),(17471,'46150','Catus',17451),(17472,'46090','Berganty',17452),(17473,'46160','Gréalou',17453),(17474,'46160','Saint Pierre Toirac',17454),(17475,'46330','Saint Martin Labouval',17455),(17476,'46800','Belmontet',17456),(17477,'46110','Vayrac',17457),(17478,'46300','Fajoles',17458),(17479,'46260','Concots',17459),(17480,'46110','Carennac',17460),(17481,'46120','Labathude',17461),(17482,'46210','Gorses',17462),(17483,'46100','Béduer',17463),(17484,'46100','Saint Félix',17464),(17485,'46400','Bannes',17465),(17486,'46700','Grézels',17466),(17487,'46250','Goujounac',17467),(17488,'46240','Lamothe Cassel',17468),(17489,'46600','Gignac',17469),(17490,'46330','Orniac',17470),(17491,'46350','Calès',17471),(17492,'46240','Vaillac',17472),(17493,'46360','Cras',17473),(17494,'46120','Anglars',17474),(17495,'46270','Felzins',17475),(17496,'46130','Tauriac',17476),(17497,'46360','Saint Cernin',17477),(17498,'46120','Leyme',17478),(17499,'46260','Limogne En Quercy',17479),(17500,'46700','Floressas',17480),(17501,'46330','Tour De Faure',17481),(17502,'46800','Saint Laurent Lolmie',17482),(17503,'46230','Montdoumerc',17483),(17504,'46230','Fontanès',17484),(17505,'46090','Flaujac Poujols',17485),(17506,'46090','Cours',17486),(17507,'46200','Le Roc',17487),(17508,'46110','Strenquels',17488),(17509,'46210','Sabadel Latronquière',17489),(17510,'47800','Roumagne',17490),(17511,'47250','Cocumont',17491),(17512,'47250','Argenton',17492),(17513,'47260','Granges Sur Lot',17493),(17514,'47470','Engayrac',17494),(17515,'47120','Saint Géraud',17495),(17516,'47130','Port Sainte Marie',17496),(17517,'47200','Birac Sur Trec',17497),(17518,'47340','Sauvagnas',17498),(17519,'47230','Pompiey',17499),(17520,'47130','Montesquieu',17500),(17521,'47290','Castelnaud De Gratecambe',17501),(17522,'47120','Caubon Saint Sauveur',17502),(17523,'47800','Allemans Du Dropt',17503),(17524,'47220','Sauveterre Saint Denis',17504),(17525,'47170','Sainte Maure De Peyriac',17505),(17526,'47130','Clermont Dessous',17506),(17527,'47250','Romestaing',17507),(17528,'47500','Cuzorn',17508),(17529,'47110','Allez Et Cazeneuve',17509),(17530,'47200','Virazeil',17510),(17531,'47190','Nicole',17511),(17532,'47360','Montpezat',17512),(17533,'47120','Saint Jean De Duras',17513),(17534,'47380','Monclar',17514),(17535,'47150','Paulhiac',17515),(17536,'47250','Sainte Gemme Martaillac',17516),(17537,'47240','Bon Encontre',17517),(17538,'47200','Couthures Sur Garonne',17518),(17539,'47220','Fals',17519),(17540,'47500','Saint Vite',17520),(17541,'47500','Sauveterre La Lémance',17521),(17542,'47160','Saint Pierre De Buzet',17522),(17543,'47170','Andiran',17523),(17544,'47160','Ambrus',17524),(17545,'47210','Dévillac',17525),(17546,'47420','Houeillès',17526),(17547,'47120','Esclottes',17527),(17548,'47230','Lavardac',17528),(17549,'47310','Moirax',17529),(17550,'47330','Lalandusse',17530),(17551,'47350','Saint Avit',17531),(17552,'47120','Saint Sernin',17532),(17553,'47700','Ruffiac',17533),(17554,'47210','Saint Étienne De Villeréal',17534),(17555,'47600','Fieux',17535),(17556,'47200','Jusix',17536),(17557,'47430','Caumont Sur Garonne',17537),(17558,'47350','Chapelle',17538),(17559,'47800','Vergne',17539),(17560,'47210','Saint Martin De Villeréal',17540),(17561,'47150','La Sauvetat Sur Lède',17541),(17562,'47510','Foulayronnes',17542),(17563,'47220','Marmont Pachas',17543),(17564,'47120','Auriac Sur Dropt',17544),(17565,'47290','Cancon',17545),(17566,'47430','Sainte Marthe',17546),(17567,'47400','Tonneins',17547),(17568,'47230','Thouars Sur Garonne',17548),(17569,'47200','Mauvezin Sur Gupie',17549),(17570,'47420','Allons',17550),(17571,'47290','Saint Pastour',17551),(17572,'47700','Fargues Sur Ourbise',17552),(17573,'47350','Saint Barthélemy D\'Agenais',17553),(17574,'47340','La Croix Blanche',17554),(17575,'47120','Loubès Bernac',17555),(17576,'47310','Moncaut',17556),(17577,'47200','Gaujac',17557),(17578,'47120','Pardaillan',17558),(17579,'47380','Montastruc',17559),(17580,'47210','Montaut',17560),(17581,'47140','Massoulès',17561),(17582,'47340','Saint Antoine De Ficalba',17562),(17583,'47200','Saint Pardoux Du Breuil',17563),(17584,'47700','Leyritz Moncassin',17564),(17585,'47260','Brugnac',17565),(17586,'47140','Massels',17566),(17587,'47160','Puch D\'Agenais',17567),(17588,'47360','Sembas',17568),(17589,'47140','Frespech',17569),(17590,'47370','Anthé',17570),(17591,'47320','Clairac',17571),(17592,'47700','Saint Martin Curton',17572),(17593,'47330','Douzains',17573),(17594,'47210','Doudrac',17574),(17595,'47160','Razimet',17575),(17596,'47330','Montauriol',17576),(17597,'47310','Brax',17577),(17598,'47300','Pujols',17578),(17599,'47450','Colayrac Saint Cirq',17579),(17600,'47360','Lacépède',17580),(17601,'47330','Cavarc',17581),(17602,'47190','Lagarrigue',17582),(17603,'47140','Penne D\'Agenais',17583),(17604,'47220','Cuq',17584),(17605,'47480','Pont Du Casse',17585),(17606,'47120','Savignac De Duras',17586),(17607,'47320','Bourran',17587),(17608,'47150','Gavaudun',17588),(17609,'47290','Monviel',17589),(17610,'47310','Lamontjoie',17590),(17611,'47380','Tombebœuf',17591),(17612,'47410','Sérignac Péboudou',17592),(17613,'47000','Agen',17593),(17614,'47310','Saint Vincent De Lamontjoie',17594),(17615,'47410','Bourgougnague',17595),(17616,'47400','Fauillet',17596),(17617,'47270','Saint Romain Le Noble',17597),(17618,'47340','Monbalen',17598),(17619,'47170','Lannes',17599),(17620,'47400','Fauguerolles',17600),(17621,'47390','Layrac',17601),(17622,'47300','Bias',17602),(17623,'47400','Hautesvignes',17603),(17624,'47380','Villebramar',17604),(17625,'47440','Casseneuil',17605),(17626,'47300','Villeneuve Sur Lot',17606),(17627,'47470','Cauzac',17607),(17628,'47430','Calonges',17608),(17629,'47220','Caudecoste',17609),(17630,'47270','La Sauvetat De Savères',17610),(17631,'47110','Dolmayrac',17611),(17632,'47130','Bruch',17612),(17633,'47330','Castillonnès',17613),(17634,'47600','Montagnac Sur Auvignon',17614),(17635,'47800','Puysserampion',17615),(17636,'47420','Sauméjan',17616),(17637,'47700','Casteljaloux',17617),(17638,'47220','Astaffort',17618),(17639,'47210','Tourliac',17619),(17640,'47310','Laplume',17620),(17641,'47310','Roquefort',17621),(17642,'47550','Boé',17622),(17643,'47600','Nomdieu',17623),(17644,'47330','Ferrensac',17624),(17645,'47170','Réaup Lisse',17625),(17646,'47120','Soumensac',17626),(17647,'47230','Barbaste',17627),(17648,'47400','Gontaud De Nogaret',17628),(17649,'47210','Villeréal',17629),(17650,'47150','Savignac Sur Leyze',17630),(17651,'47160','Villefranche Du Queyran',17631),(17652,'47300','Lédat',17632),(17653,'47400','Grateloup Saint Gayrand',17633),(17654,'47200','Marcellus',17634),(17655,'47230','Vianne',17635),(17656,'47470','Dondas',17636),(17657,'47200','Sainte Bazeille',17637),(17658,'47420','Durance',17638),(17659,'47330','Cahuzac',17639),(17660,'47170','Mézin',17640),(17661,'47120','Duras',17641),(17662,'47600','Calignac',17642),(17663,'47200','Meilhan Sur Garonne',17643),(17664,'47270','Clermont Soubiran',17644),(17665,'47370','Saint Georges',17645),(17666,'47260','Castelmoron Sur Lot',17646),(17667,'47290','Saint Maurice De Lestapel',17647),(17668,'47140','Trentels',17648),(17669,'47520','Le Passage',17649),(17670,'47250','Samazan',17650),(17671,'47400','Varès',17651),(17672,'47230','Xaintrailles',17652),(17673,'47350','Montignac Toupinerie',17653),(17674,'47800','La Sauvetat Du Dropt',17654),(17675,'47350','Cambes',17655),(17676,'47290','Moulinet',17656),(17677,'47380','Saint Étienne De Fougères',17657),(17678,'47500','Blanquefort Sur Briolance',17658),(17679,'47200','Marmande',17659),(17680,'47370','Cazideroque',17660),(17681,'47420','Boussès',17661),(17682,'47310','Sérignac Sur Garonne',17662),(17683,'47700','Poussignac',17663),(17684,'47700','Anzex',17664),(17685,'47200','Fourques Sur Garonne',17665),(17686,'47360','Frégimont',17666),(17687,'47430','Le Mas D\'Agenais',17667),(17688,'47410','Saint Colomb De Lauzun',17668),(17689,'47120','Lévignac De Guyenne',17669),(17690,'47800','Moustier',17670),(17691,'47700','La Réunion',17671),(17692,'47450','Saint Hilaire De Lusignan',17672),(17693,'47370','Tournon D\'Agenais',17673),(17694,'47190','Galapian',17674),(17695,'47360','Saint Sardos',17675),(17696,'47700','Pindères',17676),(17697,'47310','Sainte Colombe En Bruilhois',17677),(17698,'47130','Saint Laurent',17678),(17699,'47310','Aubiac',17679),(17700,'47290','Monbahus',17680),(17701,'47210','Bournel',17681),(17702,'47150','Laussou',17682),(17703,'47270','Saint Martin De Beauville',17683),(17704,'47150','Monflanquin',17684),(17705,'47160','Buzet Sur Baïse',17685),(17706,'47260','Verteuil D\'Agenais',17686),(17707,'47350','Puymiclan',17687),(17708,'47150','Saint Aubin',17688),(17709,'47110','Sainte Livrade Sur Lot',17689),(17710,'47440','Pailloles',17690),(17711,'47270','Puymirol',17691),(17712,'47700','Antagnac',17692),(17713,'47600','Moncrabeau',17693),(17714,'47370','Courbiac',17694),(17715,'47800','Agnac',17695),(17716,'47210','Rives',17696),(17717,'47240','Lafox',17697),(17718,'47200','Castelnau Sur Gupie',17698),(17719,'47150','Salles',17699),(17720,'47270','Saint Urcisse',17700),(17721,'47500','Fumel',17701),(17722,'47150','Lacapelle Biron',17702),(17723,'47200','Montpouillan',17703),(17724,'47270','Saint Caprais De Lerm',17704),(17725,'47370','Masquières',17705),(17726,'47370','Thézac',17706),(17727,'47310','Estillac',17707),(17728,'47260','Laparade',17708),(17729,'47230','Mongaillard',17709),(17730,'47190','Aiguillon',17710),(17731,'47290','Beaugas',17711),(17732,'47800','Montignac De Lauzun',17712),(17733,'47340','Castella',17713),(17734,'47340','Hautefage La Tour',17714),(17735,'47140','Auradou',17715),(17736,'47160','Saint Léon',17716),(17737,'47210','Parranquet',17717),(17738,'47290','Lougratte',17718),(17739,'47410','Ségalas',17719),(17740,'47380','Tourtrès',17720),(17741,'47800','Miramont De Guyenne',17721),(17742,'47360','Saint Salvy',17722),(17743,'47160','Monheurt',17723),(17744,'47350','Agmé',17724),(17745,'47350','Seyches',17725),(17746,'47500','Monsempron Libos',17726),(17747,'47360','Prayssas',17727),(17748,'47260','Coulx',17728),(17749,'47500','Condezaygues',17729),(17750,'47500','Montayral',17730),(17751,'47340','Saint Robert',17731),(17752,'47160','Saint Léger',17732),(17753,'47200','Saint Sauveur De Meilhan',17733),(17754,'47270','Grayssas',17734),(17755,'47370','Bourlens',17735),(17756,'47800','Armillac',17736),(17757,'47240','Castelculier',17737),(17758,'47420','Pompogne',17738),(17759,'47160','Damazan',17739),(17760,'47140','Dausse',17740),(17761,'47360','Laugnac',17741),(17762,'47270','Tayrac',17742),(17763,'47250','Grézet Cavagnan',17743),(17764,'47350','Labretonie',17744),(17765,'47270','Saint Jean De Thurac',17745),(17766,'47110','Le Temple Sur Lot',17746),(17767,'47170','Sos',17747),(17768,'47220','Saint Sixte',17748),(17769,'47600','Nérac',17749),(17770,'47270','Saint Pierre De Clairac',17750),(17771,'47340','Laroque Timbaut',17751),(17772,'47200','Beaupuy',17752),(17773,'47200','Lagupie',17753),(17774,'47600','Lasserre',17754),(17775,'47380','Pinel Hauterive',17755),(17776,'47130','Bazens',17756),(17777,'47400','Villeton',17757),(17778,'47360','Madaillan',17758),(17779,'47350','Peyrière',17759),(17780,'47150','Montagnac Sur Lède',17760),(17781,'47250','Guérin',17761),(17782,'47430','Sénestis',17762),(17783,'47600','Fréchou',17763),(17784,'47170','Poudenas',17764),(17785,'47170','Saint Pé Saint Simon',17765),(17786,'47200','Saint Martin Petit',17766),(17787,'47250','Bouglon',17767),(17788,'47400','Lagruère',17768),(17789,'47140','Saint Sylvestre Sur Lot',17769),(17790,'47140','Trémons',17770),(17791,'47120','Saint Astier',17771),(17792,'47120','Sainte Colombe De Duras',17772),(17793,'47210','Mazières Naresse',17773),(17794,'47270','Saint Maurin',17774),(17795,'47300','Sainte Colombe De Villeneuve',17775),(17796,'47800','Perche',17776),(17797,'47120','Monteton',17777),(17798,'47410','Lauzun',17778),(17799,'47600','Espiens',17779),(17800,'47150','Monségur',17780),(17801,'47120','Baleyssagues',17781),(17802,'47230','Feugarolles',17782),(17803,'47150','Lacaussade',17783),(17804,'47220','Saint Nicolas De La Balerme',17784),(17805,'47800','Saint Pardoux Isaac',17785),(17806,'47120','Saint Pierre Sur Dropt',17786),(17807,'47330','Saint Quentin Du Dropt',17787),(17808,'47210','Saint Eutrope De Born',17788),(17809,'47360','Lusignan Petit',17789),(17810,'47200','Longueville',17790),(17811,'47210','Rayet',17791),(17812,'47350','Escassefort',17792),(17813,'47480','Bajamont',17793),(17814,'47320','Lafitte Sur Lot',17794),(17815,'47600','Francescas',17795),(17816,'47160','Caubeyres',17796),(17817,'47120','Villeneuve De Duras',17797),(17818,'47500','Saint Front Sur Lémance',17798),(17819,'47290','Boudy De Beauregard',17799),(17820,'47600','Saumont',17800),(17821,'47200','Taillebourg',17801),(17822,'47470','Beauville',17802),(17823,'47360','Cours',17803),(17824,'47250','Labastide Castel Amouroux',17804),(17825,'47260','Fongrave',17805),(17826,'47700','Beauziac',17806),(17827,'47470','Blaymont',17807),(17828,'47340','Cassignas',17808),(17829,'48200','Albaret Sainte Marie',17809),(17830,'48100','Recoules De Fumas',17810),(17831,'48140','Saint Léger Du Malzieu',17811),(17832,'48210','La Malène',17812),(17833,'48200','Monts Verts',17813),(17834,'48100','Antrenas',17814),(17835,'48100','Gabrias',17815),(17836,'48400','La Salle Prunet',17816),(17837,'48270','Malbouzon',17817),(17838,'48100','Saint Laurent De Muret',17818),(17839,'48800','Villefort',17819),(17840,'48250','Chasseradès',17820),(17841,'48400','Florac',17821),(17842,'48400','Rousses',17822),(17843,'48220','Le Pont De Montvert',17823),(17844,'48110','Gabriac',17824),(17845,'48190','Saint Julien Du Tournel',17825),(17846,'48190','Sainte Hélène',17826),(17847,'48210','Sainte Enimie',17827),(17848,'48300','Fontanès',17828),(17849,'48210','Vignes',17829),(17850,'48100','Saint Léger De Peyre',17830),(17851,'48140','Chaulhac',17831),(17852,'48000','Brenoux',17832),(17853,'48700','Estables',17833),(17854,'48600','Chambon Le Château',17834),(17855,'48300','Langogne',17835),(17856,'48100','Marvejols',17836),(17857,'48310','Brion',17837),(17858,'48500','Canilhac',17838),(17859,'48700','La Villedieu',17839),(17860,'48220','Fraissinet De Lozère',17840),(17861,'48310','Saint Juéry',17841),(17862,'48310','Fournels',17842),(17863,'48100','Montrodat',17843),(17864,'48000','Le Born',17844),(17865,'48250','Luc',17845),(17866,'48800','Pied De Borne',17846),(17867,'48100','Salces',17847),(17868,'48000','Saint Étienne Du Valdonnez',17848),(17869,'48300','Pierrefiche',17849),(17870,'48800','Pourcharesses',17850),(17871,'48600','Grandrieu',17851),(17872,'48240','Saint André De Lancize',17852),(17873,'48170','Belvézet',17853),(17874,'48370','Saint Germain De Calberte',17854),(17875,'48140','Paulhac En Margeride',17855),(17876,'48200','Saint Pierre Le Vieux',17856),(17877,'48160','Le Collet De Dèze',17857),(17878,'48600','Saint Paul Le Froid',17858),(17879,'48700','Saint Denis En Margeride',17859),(17880,'48140','Le Malzieu Ville',17860),(17881,'48000','Chastel Nouvel',17861),(17882,'48340','Hermaux',17862),(17883,'48500','Laval Du Tarn',17863),(17884,'48150','Le Rozier',17864),(17885,'48140','Saint Privat Du Fau',17865),(17886,'48200','Saint Chély D\'Apcher',17866),(17887,'48700','Ribennes',17867),(17888,'48100','Le Monastier Pin Moriès',17868),(17889,'48400','Saint Laurent De Trèves',17869),(17890,'48800','Altier',17870),(17891,'48260','Marchastel',17871),(17892,'48200','Rimeize',17872),(17893,'48160','Saint Andéol De Clerguemort',17873),(17894,'48160','Saint Michel De Dèze',17874),(17895,'48100','Saint Bonnet De Chirac',17875),(17896,'48220','Saint Maurice De Ventalon',17876),(17897,'48100','Prinsuéjols',17877),(17898,'48300','Rocles',17878),(17899,'48200','Bessons',17879),(17900,'48340','Saint Pierre De Nogaret',17880),(17901,'48230','Esclanèdes',17881),(17902,'48140','Julianges',17882),(17903,'48500','La Canourgue',17883),(17904,'48000','Saint Bauzile',17884),(17905,'48400','Saint Julien D\'Arpaon',17885),(17906,'48300','Naussac',17886),(17907,'48340','Saint Germain Du Teil',17887),(17908,'48190','Allenc',17888),(17909,'48300','Saint Flour De Mercoire',17889),(17910,'48200','La Fage Saint Julien',17890),(17911,'48100','Le Buisson',17891),(17912,'48220','Vialas',17892),(17913,'48160','Saint Julien Des Points',17893),(17914,'48240','Saint Frézal De Ventalon',17894),(17915,'48300','Cheylard L\'Évêque',17895),(17916,'48110','Le Pompidou',17896),(17917,'48140','Le Malzieu Forain',17897),(17918,'48170','Saint Jean La Fouillouse',17898),(17919,'48110','Molezon',17899),(17920,'48230','Salelles',17900),(17921,'48150','Saint Pierre Des Tripiers',17901),(17922,'48100','Palhers',17902),(17923,'48000','Balsièges',17903),(17924,'48120','Lajo',17904),(17925,'48100','Lachamp',17905),(17926,'48130','Sainte Colombe De Peyre',17906),(17927,'48190','Cubiérettes',17907),(17928,'48190','Mas D\'Orcières',17908),(17929,'48310','La Fage Montivernoux',17909),(17930,'48170','Chaudeyrac',17910),(17931,'48600','Auroux',17911),(17932,'48400','Cocurès',17912),(17933,'48700','Saint Amans',17913),(17934,'48110','Saint Martin De Lansuscle',17914),(17935,'48170','Saint Frézal D\'Albuges',17915),(17936,'48500','Banassac',17916),(17937,'48160','Saint Hilaire De Lavit',17917),(17938,'48700','Saint Gal',17918),(17939,'48170','Châteauneuf De Randon',17919),(17940,'48170','Montbel',17920),(17941,'48500','La Tieule',17921),(17942,'48250','La Bastide Puylaurent',17922),(17943,'48190','Cubières',17923),(17944,'48310','Albaret Le Comtal',17924),(17945,'48100','Chirac',17925),(17946,'48500','Saint Rome De Dolan',17926),(17947,'48400','Barre Des Cévennes',17927),(17948,'48320','Quézac',17928),(17949,'48400','Vebron',17929),(17950,'48700','Serverette',17930),(17951,'48400','Bédouès',17931),(17952,'48310','Noalhac',17932),(17953,'48310','Saint Laurent De Veyrès',17933),(17954,'48150','Hures La Parade',17934),(17955,'48130','Aumont Aubrac',17935),(17956,'48210','Mas Saint Chély',17936),(17957,'48330','Saint Étienne Vallée Française',17937),(17958,'48700','Fontans',17938),(17959,'48340','Trélans',17939),(17960,'48120','Saint Alban Sur Limagnole',17940),(17961,'48400','Fraissinet De Fourques',17941),(17962,'48210','Montbrun',17942),(17963,'48000','Pelouse',17943),(17964,'48170','Arzenc De Randon',17944),(17965,'48130','Saint Sauveur De Peyre',17945),(17966,'48230','Chanac',17946),(17967,'48110','Moissac Vallée Française',17947),(17968,'48230','Cultures',17948),(17969,'48400','Bassurels',17949),(17970,'48500','Saint Saturnin',17950),(17971,'48130','Fau De Peyre',17951),(17972,'48800','Saint André Capcèze',17952),(17973,'48600','Saint Bonnet De Montauroux',17953),(17974,'48200','Prunières',17954),(17975,'48300','Chastanier',17955),(17976,'48000','Barjac',17956),(17977,'48170','Saint Sauveur De Ginestoux',17957),(17978,'48110','Sainte Croix Vallée Française',17958),(17979,'48320','Ispagnac',17959),(17980,'48130','Javols',17960),(17981,'48190','Chadenet',17961),(17982,'48000','Mende',17962),(17983,'48240','Saint Privat De Vallongue',17963),(17984,'48000','Lanuéjols',17964),(17985,'48000','Badaroux',17965),(17986,'48310','Arzenc D\'Apcher',17966),(17987,'48400','Cassagnas',17967),(17988,'48500','Le Recoux',17968),(17989,'48260','Grandvals',17969),(17990,'48150','Meyrueis',17970),(17991,'48150','Gatuzières',17971),(17992,'48170','Laubert',17972),(17993,'48800','Prévenchères',17973),(17994,'48310','Chauchailles',17974),(17995,'48600','La Panouse',17975),(17996,'48130','La Chaze De Peyre',17976),(17997,'48260','Nasbinals',17977),(17998,'48120','Sainte Eulalie',17978),(17999,'48700','Rieutort De Randon',17979),(18000,'48500','Saint Georges De Lévéjac',17980),(18001,'48600','Saint Symphorien',17981),(18002,'48600','Laval Atger',17982),(18003,'48260','Recoules D\'Aubrac',17983),(18004,'48160','Saint Martin De Boubaux',17984),(18005,'48310','Termes',17985),(18006,'48500','Le Massegros',17986),(18007,'48190','Le Bleymard',17987),(18008,'48000','Servières',17988),(18009,'48400','Bondons',17989),(18010,'48190','Bagnols Les Bains',17990),(18011,'48100','Grèzes',17991),(18012,'48200','Blavignac',17992),(18013,'48700','Laubies',17993),(18014,'49520','Châtelais',17994),(18015,'49560','Nueil Sur Layon',17995),(18016,'49420','Armaillé',17996),(18017,'49260','Saint Just Sur Dive',17997),(18018,'49140','Fontaine Milon',17998),(18019,'49150','Pontigné',17999),(18020,'49700','Brigné',18000),(18021,'49610','Mozé Sur Louet',18001),(18022,'49350','Saint Clément Des Levées',18002),(18023,'49270','Saint Sauveur De Landemont',18003),(18024,'49120','Chemillé',18004),(18025,'49270','La Varenne',18005),(18026,'49600','Saint Philbert En Mauges',18006),(18027,'49150','Vaulandry',18007),(18028,'49280','Cholet',18008),(18029,'49120','Saint Georges Des Gardes',18009),(18030,'49310','Cernusson',18010),(18031,'49390','Vernantes',18011),(18032,'49500','La Chapelle Sur Oudon',18012),(18033,'49540','Tigné',18013),(18034,'49370','Saint Clément De La Place',18014),(18035,'49150','Cheviré Le Rouge',18015),(18036,'49700','Verchers Sur Layon',18016),(18037,'49270','Champtoceaux',18017),(18038,'49260','Le Puy Notre Dame',18018),(18039,'49370','La Pouëze',18019),(18040,'49220','Le Plessis Macé',18020),(18041,'49410','Beausse',18021),(18042,'49360','Toutlemonde',18022),(18043,'49600','Beaupréau',18023),(18044,'49420','La Prévière',18024),(18045,'49440','Candé',18025),(18046,'49140','Sermaise',18026),(18047,'49220','Pruillé',18027),(18048,'49700','Meigné',18028),(18049,'49430','Rairies',18029),(18050,'49400','Rou Marson',18030),(18051,'49270','Saint Laurent Des Autels',18031),(18052,'49310','Cerqueux Sous Passavant',18032),(18053,'49490','Chavaignes',18033),(18054,'49140','Beauvau',18034),(18055,'49490','Noyant',18035),(18056,'49520','Bouillé Ménard',18036),(18057,'49220','La Meignanne',18037),(18058,'49490','Chalonnes Sous Le Lude',18038),(18059,'49750','Saint Lambert Du Lattay',18039),(18060,'49160','Saint Martin De La Place',18040),(18061,'49260','Saint Macaire Du Bois',18041),(18062,'49260','Brézé',18042),(18063,'49340','Nuaillé',18043),(18064,'49700','Ambillou Château',18044),(18065,'49260','Le Coudray Macouard',18045),(18066,'49150','La Lande Chasles',18046),(18067,'49500','Saint Sauveur De Flée',18047),(18068,'49070','Beaucouzé',18048),(18069,'49360','Yzernay',18049),(18070,'49123','Champtocé Sur Loire',18050),(18071,'49380','Chavagnes',18051),(18072,'49120','La Chapelle Rousselin',18052),(18074,'49600','Gesté',18053),(18075,'49380','Champ Sur Layon',18054),(18076,'49310','Vihiers',18055),(18077,'49800','La Daguenière',18056),(18078,'49120','La Jumellière',18057),(18079,'49510','La Poitevinière',18058),(18080,'49420','Saint Michel Et Chanveaux',18059),(18081,'49740','La Romagne',18060),(18082,'49125','Briollay',18061),(18083,'49122','Le May Sur Èvre',18062),(18084,'49140','Corzé',18063),(18085,'49250','Beaufort En Vallée',18064),(18086,'49330','Châteauneuf Sur Sarthe',18065),(18087,'49310','Saint Paul Du Bois',18066),(18088,'49430','Durtal',18067),(18089,'49110','La Boissière Sur Èvre',18068),(18090,'49340','Trémentines',18069),(18091,'49400','Distré',18070),(18092,'49460','Montreuil Juigné',18071),(18093,'49510','La Jubaudière',18072),(18094,'49390','Parçay Les Pins',18073),(18095,'49600','La Chapelle Du Genêt',18074),(18096,'49330','Brissarthe',18075),(18097,'49140','La Chapelle Saint Laud',18076),(18098,'49610','Soulaines Sur Aubance',18077),(18099,'49330','Marigné',18078),(18100,'49290','Saint Laurent De La Plaine',18079),(18101,'49140','Soucelles',18080),(18102,'49400','Villebernier',18081),(18103,'49420','Carbay',18082),(18104,'49380','Thouarcé',18083),(18105,'49330','Juvardeil',18084),(18106,'49250','Fontaine Guérin',18085),(18107,'49600','Le Puiset Doré',18086),(18108,'49260','Saint Cyr En Bourg',18087),(18109,'49430','Montigné Lès Rairies',18088),(18110,'49420','Pouancé',18089),(18111,'49120','Melay',18090),(18112,'49150','Baugé',18091),(18113,'49520','Noyant La Gravoyère',18092),(18114,'49250','Saint Rémy La Varenne',18093),(18115,'49260','Vaudelnay',18094),(18116,'49750','Chanzeaux',18095),(18117,'49320','Chemellier',18096),(18118,'49280','Saint Léger Sous Cholet',18097),(18119,'49490','Meigné Le Vicomte',18098),(18120,'49280','Mazières En Mauges',18099),(18121,'49500','Nyoiseau',18100),(18122,'49520','Grugé L\'Hôpital',18101),(18123,'49380','Faveraye Mâchelles',18102),(18124,'49220','Gené',18103),(18125,'49440','Challain La Potherie',18104),(18126,'49150','Chartrené',18105),(18127,'49330','Champigné',18106),(18128,'49112','Pellouailles Les Vignes',18107),(18129,'49170','Saint Georges Sur Loire',18108),(18130,'49350','Chênehutte Trèves Cunault',18109),(18131,'49560','Passavant Sur Layon',18110),(18132,'49125','Cheffes',18111),(18133,'49860','Chazé Henry',18112),(18134,'49170','Saint Germain Des Prés',18113),(18135,'49070','Saint Jean De Linières',18114),(18136,'49560','Cléré Sur Layon',18115),(18137,'49330','Sceaux D\'Anjou',18116),(18138,'49530','Drain',18117),(18139,'49410','Saint Laurent Du Mottay',18118),(18140,'49070','Saint Lambert La Potherie',18119),(18141,'49170','Savennières',18120),(18142,'49440','La Cornuaille',18121),(18143,'49640','Morannes',18122),(18144,'49330','Miré',18123),(18145,'49190','Saint Aubin De Luigné',18124),(18146,'49330','Contigné',18125),(18147,'49330','Étriché',18126),(18148,'49640','Daumeray',18127),(18149,'49540','Aubigné Sur Layon',18128),(18150,'49220','Montreuil Sur Maine',18129),(18151,'49120','Neuvy En Mauges',18130),(18152,'49800','Trélazé',18131),(18153,'49250','Mazé',18132),(18154,'49290','Bourgneuf En Mauges',18133),(18155,'49600','Le Fief Sauvin',18134),(18156,'49310','La Salle De Vihiers',18135),(18157,'49360','Cerqueux',18136),(18158,'49360','La Plaine',18137),(18159,'49150','Le Vieil Baugé',18138),(18160,'49450','Roussay',18139),(18161,'49700','Cizay La Madeleine',18140),(18162,'49124','Saint Barthélemy D\'Anjou',18141),(18163,'49150','Bocé',18142),(18164,'49570','Montjean Sur Loire',18143),(18165,'49140','Lué En Baugeois',18144),(18166,'49330','Cherré',18145),(18167,'49170','Béhuard',18146),(18168,'49150','Montpollin',18147),(18169,'49320','Alleuds',18148),(18170,'49490','Broc',18149),(18171,'49440','Angrie',18150),(18172,'49320','Blaison Gohier',18151),(18173,'49130','Sainte Gemmes Sur Loire',18152),(18174,'49140','Marcé',18153),(18175,'49700','Concourson Sur Layon',18154),(18176,'49500','Montguillon',18155),(18177,'49350','Le Thoureil',18156),(18178,'49490','Auverse',18157),(18179,'49460','Soulaire Et Bourg',18158),(18180,'49500','Louvaines',18159),(18181,'49250','La Ménitré',18160),(18182,'49320','Grézillé',18161),(18183,'49340','Chanteloup Les Bois',18162),(18184,'49750','Rablay Sur Layon',18163),(18185,'49480','Saint Sylvain D\'Anjou',18164),(18186,'49230','Saint Crespin Sur Moine',18165),(18187,'49410','Saint Florent Le Vieil',18166),(18188,'49370','Bécon Les Granits',18167),(18189,'49430','Lézigné',18168),(18190,'49240','Avrillé',18169),(18191,'49150','Fougeré',18170),(18192,'49700','Louerre',18171),(18193,'49220','Brain Sur Longuenée',18172),(18194,'49770','La Membrolle Sur Longuenée',18173),(18195,'49123','Saint Sigismond',18174),(18196,'49320','Saint Sulpice',18175),(18197,'49710','Le Longeron',18176),(18198,'49370','Le Louroux Béconnais',18177),(18199,'49430','Baracé',18178),(18200,'49730','Montsoreau',18179),(18201,'49390','Mouliherne',18180),(18202,'49120','Cossé D\'Anjou',18181),(18203,'49530','Bouzillé',18182),(18204,'49320','Saint Saturnin Sur Loire',18183),(18205,'49490','Genneteil',18184),(18206,'49170','Saint Léger Des Bois',18185),(18207,'49520','Noëllet',18186),(18208,'49140','Seiches Sur Le Loir',18187),(18209,'49320','Saulgé L\'Hôpital',18188),(18210,'49660','Torfou',18189),(18211,'49500','L\'Hôtellerie De Flée',18190),(18212,'49280','La Séguinière',18191),(18213,'49730','Parnay',18192),(18214,'49600','Andrezé',18193),(18215,'49490','Dénezé Sous Le Lude',18194),(18216,'49250','Brion',18195),(18217,'49700','Saint Georges Sur Layon',18196),(18218,'49860','La Chapelle Hullin',18197),(18219,'49680','Vivy',18198),(18220,'49800','Brain Sur L\'Authion',18199),(18221,'49690','Coron',18200),(18222,'49640','Chemiré Sur Sarthe',18201),(18223,'49230','Tillières',18202),(18224,'49160','Blou',18203),(18225,'49450','Saint André De La Marche',18204),(18226,'49150','Échemiré',18205),(18227,'49700','Montfort',18206),(18228,'49490','Chigné',18207),(18229,'49490','Linières Bouton',18208),(18230,'49110','Chaudron En Mauges',18209),(18231,'49610','Saint Melaine Sur Aubance',18210),(18232,'49220','Le Lion D\'Angers',18211),(18233,'49260','Artannes Sur Thouet',18212),(18234,'49190','Rochefort Sur Loire',18213),(18235,'49220','La Jaille Yvon',18214),(18236,'49220','Vern D\'Anjou',18215),(18237,'49440','Loiré',18216),(18238,'49320','Vauchrétien',18217),(18239,'49220','Grez Neuville',18218),(18240,'49410','Le Marillais',18219),(18241,'49500','Segré',18220),(18242,'49390','Courléon',18221),(18243,'49460','Feneu',18222),(18244,'49230','Montfaucon Montigné',18223),(18245,'49500','Marans',18224),(18246,'49380','Faye D\'Anjou',18225),(18247,'49150','Clefs',18226),(18248,'49120','Sainte Christine',18227),(18249,'49700','Brossay',18228),(18250,'49350','Gennes',18229),(18251,'49310','Trémont',18230),(18252,'49170','La Possonnière',18231),(18253,'49230','Saint Germain Sur Moine',18232),(18254,'49250','Saint Mathurin Sur Loire',18233),(18255,'49130','Saint Jean De La Croix',18234),(18256,'49700','Dénezé Sous Doué',18235),(18257,'49490','La Pellerine',18236),(18258,'49520','Le Tremblay',18237),(18259,'49250','Corné',18238),(18260,'49260','Montreuil Bellay',18239),(18261,'49460','Cantenay Épinard',18240),(18262,'49260','Antoigné',18241),(18263,'49700','Ulmes',18242),(18264,'49140','Villevêque',18243),(18265,'49320','Saint Jean Des Mauvrets',18244),(18266,'49400','Verrie',18245),(18267,'49680','Neuillé',18246),(18268,'49730','Varennes Sur Loire',18247),(18269,'49540','Martigné Briand',18248),(18270,'49520','Combrée',18249),(18271,'49250','Saint Georges Du Bois',18250),(18272,'49140','Chaumont D\'Anjou',18251),(18273,'49490','Lasse',18252),(18274,'49150','Saint Martin D\'Arcé',18253),(18275,'49400','Varrains',18254),(18276,'49450','Villedieu La Blouère',18255),(18277,'49490','Breil',18256),(18278,'49110','Saint Rémy En Mauges',18257),(18279,'49380','Notre Dame D\'Allençon',18258),(18280,'49590','Fontevraud L\'Abbaye',18259),(18281,'49700','Louresse Rochemenier',18260),(18282,'49310','Tancoigné',18261),(18283,'49290','Chalonnes Sur Loire',18262),(18284,'49140','Montreuil Sur Loir',18263),(18285,'49260','Courchamps',18264),(18286,'49110','Botz En Mauges',18265),(18287,'49320','Coutures',18266),(18288,'49800','Sarrigné',18267),(18289,'49530','Liré',18268),(18290,'49125','Tiercé',18269),(18291,'49650','Brain Sur Allonnes',18270),(18292,'49490','Méon',18271),(18293,'49650','Allonnes',18272),(18294,'49270','Landemont',18273),(18295,'49220','Chambellay',18274),(18296,'49110','La Salle Et Chapelle Aubry',18275),(18297,'49500','Saint Martin Du Bois',18276),(18298,'49123','Ingrandes',18277),(18299,'49430','Huillé',18278),(18300,'49290','Chaudefonds Sur Layon',18279),(18301,'49280','La Tessoualle',18280),(18302,'49220','Chenillé Changé',18281),(18303,'49450','La Renaudière',18282),(18304,'49000','Écouflant',18283),(18305,'49350','Saint Georges Des Sept Voies',18284),(18306,'49150','Saint Quentin Lès Beaurepaire',18285),(18307,'49080','Bouchemaine',18286),(18308,'49170','Saint Martin Du Fouilloux',18287),(18309,'49160','Saint Philbert Du Peuple',18288),(18310,'49800','Andard',18289),(18311,'49310','Montilliers',18290),(18312,'49120','Saint Lézin',18291),(18313,'49110','Le Pin En Mauges',18292),(18314,'49750','Beaulieu Sur Layon',18293),(18315,'49270','Le Fuilet',18294),(18316,'49410','La Chapelle Saint Florent',18295),(18317,'49610','Juigné Sur Loire',18296),(18318,'49510','Jallais',18297),(18319,'49440','Freigné',18298),(18320,'49150','Le Guédeniau',18299),(18321,'49500','La Ferrière De Flée',18300),(18322,'49400','Souzay Champigny',18301),(18323,'49124','Le Plessis Grammoire',18302),(18324,'49270','Saint Christophe La Couperie',18303),(18325,'49320','Brissac Quincé',18304),(18326,'49700','Doué La Fontaine',18305),(18327,'49700','Forges',18306),(18328,'49800','La Bohalle',18307),(18329,'49170','Saint Augustin Des Bois',18308),(18330,'49130','Ponts De Cé',18309),(18331,'49360','Somloire',18310),(18332,'49320','Charcé Saint Ellier Sur Aubance',18311),(18333,'49390','Vernoil Le Fourrier',18312),(18334,'49140','Bauné',18313),(18335,'49410','Le Mesnil En Vallée',18314),(18336,'49140','Cornillé Les Caves',18315),(18337,'49220','Thorigné D\'Anjou',18316),(18338,'49150','Cuon',18317),(18339,'49670','Valanjou',18318),(18340,'49160','Longué Jumelles',18319),(18341,'49250','Gée',18320),(18342,'49110','Saint Quentin En Mauges',18321),(18343,'49122','Bégrolles En Mauges',18322),(18344,'49600','La Chaussaire',18323),(18345,'49390','La Breille Les Pins',18324),(18346,'49360','Maulévrier',18325),(18347,'49120','La Tourlandry',18326),(18348,'49500','Sainte Gemmes D\'Andigné',18327),(18349,'49340','Vezins',18328),(18350,'49190','Denée',18329),(18351,'49260','Épieds',18330),(18352,'49700','Noyant La Plaine',18331),(18353,'49400','Saumur',18332),(18354,'49220','Andigné',18333),(18355,'49540','La Fosse De Tigné',18334),(18356,'49110','Montrevault',18335),(18357,'49280','Saint Christophe Du Bois',18336),(18358,'49330','Querré',18337),(18359,'49350','Rosiers Sur Loire',18338),(18360,'49400','Chacé',18339),(18361,'49520','Bourg L\'Évêque',18340),(18362,'49320','Luigné',18341),(18363,'49520','Le Bourg D\'Iré',18342),(18364,'49130','Mûrs Erigné',18343),(18365,'49460','Écuillé',18344),(18366,'49450','Saint Macaire En Mauges',18345),(18367,'49500','Chazé Sur Argos',18346),(18368,'49140','Jarzé',18347),(18369,'49110','Saint Pierre Montlimart',18348),(18370,'49730','Turquant',18349),(18371,'49620','La Pommeraye',18350),(18372,'49220','Champteussé Sur Baconne',18351),(18373,'49370','Villemoisan',18352),(18374,'49420','Vergonnes',18353),(18375,'49500','Aviré',18354),(18376,'49330','Sœurdres',18355),(18377,'50150','Beauficel',18356),(18378,'50140','Mortain',18357),(18379,'50170','Sacey',18358),(18380,'50370','Vernix',18359),(18381,'50800','Champrepus',18360),(18382,'50800','Rouffigny',18361),(18383,'50310','Azeville',18362),(18384,'50500','Catz',18363),(18385,'50120','Équeurdreville Hainneville',18364),(18386,'50450','Le Mesnil Rogues',18365),(18387,'50730','Hamelin',18366),(18388,'50390','Sainte Colombe',18367),(18389,'50240','La Croix Avranchin',18368),(18390,'50160','Le Perron',18369),(18391,'50730','Saint Brice De Landelles',18370),(18392,'50390','Besneville',18371),(18393,'50800','Fleury',18372),(18394,'50190','La Feuillie',18373),(18395,'50640','Ferrières',18374),(18396,'50700','Saint Joseph',18375),(18397,'50240','Carnet',18376),(18398,'50480','Saint Martin De Varreville',18377),(18399,'50630','Teurthéville Bocage',18378),(18400,'50170','Aucey La Plaine',18379),(18401,'50700','Huberville',18380),(18402,'50480','Liesville Sur Douve',18381),(18403,'50810','Bérigny',18382),(18404,'50590','Montmartin Sur Mer',18383),(18405,'50750','Dangy',18384),(18406,'50230','Agon Coutainville',18385),(18407,'50270','Sénoville',18386),(18408,'50250','Glatigny',18387),(18409,'50420','Beaucoudray',18388),(18410,'50270','La Haye D\'Ectot',18389),(18411,'50410','Montbray',18390),(18412,'50320','Le Tanu',18391),(18413,'50500','Saint Hilaire Petitville',18392),(18414,'50190','Saint Patrice De Claids',18393),(18415,'50440','Jobourg',18394),(18416,'50590','Hauteville Sur Mer',18395),(18417,'50360','Picauville',18396),(18418,'50210','Saint Martin De Cenilly',18397),(18419,'50250','Mobecq',18398),(18420,'50160','Guilberville',18399),(18421,'50880','La Meauffe',18400),(18422,'50210','Ouville',18401),(18423,'50190','Saint Martin D\'Aubigny',18402),(18424,'50160','Placy Montaigu',18403),(18425,'50111','Saint Laurent De Terregatte',18404),(18426,'50620','Amigny',18405),(18427,'50600','Milly',18406),(18428,'50290','Coudeville Sur Mer',18407),(18429,'50810','La Barre De Semilly',18408),(18430,'50800','La Chapelle Cécelin',18409),(18431,'50140','Villechien',18410),(18432,'50600','Loges Marchis',18411),(18433,'50480','Hiesville',18412),(18434,'50800','La Bloutière',18413),(18435,'50390','Taillepied',18414),(18436,'50680','Moon Sur Elle',18415),(18437,'50420','Fervaches',18416),(18438,'50450','Hambye',18417),(18439,'50450','Montaigu Les Bois',18418),(18440,'50410','Morigny',18419),(18441,'50270','Moitiers D\'Allonne',18420),(18442,'50420','Fourneaux',18421),(18443,'50400','Anctoville Sur Boscq',18422),(18444,'50600','Chèvreville',18423),(18445,'50670','Coulouvray Boisbenâtre',18424),(18446,'50510','Lengronne',18425),(18447,'50670','Saint Pois',18426),(18448,'50860','Moyon',18427),(18449,'50190','Saint Sébastien De Raids',18428),(18450,'50440','Herqueville',18429),(18451,'50150','Chaulieu',18430),(18452,'50320','Hocquigny',18431),(18453,'50310','Le Ham',18432),(18454,'50570','Le Mesnil Vigot',18433),(18455,'50810','Saint Jean Des Baisants',18434),(18456,'50250','Saint Nicolas De Pierrepont',18435),(18457,'50870','Plomb',18436),(18458,'50680','Saint Jean De Savigny',18437),(18459,'50580','Fierville Les Mines',18438),(18460,'50440','Omonville La Rogue',18439),(18461,'50250','Vindefontaine',18440),(18462,'50630','Videcosville',18441),(18463,'50660','Annoville',18442),(18464,'50620','Cavigny',18443),(18465,'50250','Neufmesnil',18444),(18466,'50620','Champs De Losque',18445),(18467,'50250','Lithaire',18446),(18468,'50680','Couvains',18447),(18469,'50260','Saint Martin Le Hébert',18448),(18470,'50870','Tirepied',18449),(18471,'50260','Sottevast',18450),(18472,'50530','Genêts',18451),(18473,'50340','Saint Germain Le Gaillard',18452),(18474,'50660','Contrières',18453),(18475,'50310','Écausseville',18454),(18476,'50750','La Mancellière Sur Vire',18455),(18477,'50500','Brévands',18456),(18478,'50190','Feugères',18457),(18479,'50250','Baudreville',18458),(18480,'50640','Heussé',18459),(18481,'50330','Néville Sur Mer',18460),(18482,'50680','Saint André De L\'Épine',18461),(18483,'50810','Vidouville',18462),(18484,'50260','Perques',18463),(18485,'50200','Courcy',18464),(18486,'50800','Beslon',18465),(18487,'50450','Saint Denis Le Gast',18466),(18488,'50410','Margueray',18467),(18489,'50330','Brillevast',18468),(18490,'50450','Le Mesnil Villeman',18469),(18491,'50690','Flottemanville Hague',18470),(18492,'50470','Tollevast',18471),(18493,'50220','Le Mesnil Ozenne',18472),(18494,'50690','Sideville',18473),(18495,'50530','Saint Pierre Langers',18474),(18496,'50290','Bricqueville Sur Mer',18475),(18497,'50320','Champcervon',18476),(18498,'50310','Joganville',18477),(18499,'50300','Saint Brice',18478),(18500,'50210','Belval',18479),(18501,'50530','Champcey',18480),(18502,'50800','La Trinité',18481),(18503,'50320','La Mouche',18482),(18504,'50870','Sainte Pience',18483),(18505,'50310','Saint Floxel',18484),(18506,'50370','Saint Jean Du Corail Des Bois',18485),(18507,'50630','La Pernelle',18486),(18508,'50380','Saint Aubin Des Préaux',18487),(18509,'50730','Saint Martin De Landelles',18488),(18510,'50480','Sainte Mère Église',18489),(18511,'50720','Saint Cyr Du Bailleul',18490),(18512,'50200','Brainville',18491),(18513,'50750','Saint Martin De Bonfossé',18492),(18514,'50220','Saint Quentin Sur Le Homme',18493),(18515,'50870','Braffais',18494),(18516,'50300','Avranches',18495),(18517,'50240','Montanel',18496),(18518,'50220','Courtils',18497),(18519,'50320','Folligny',18498),(18520,'50480','Neuville Au Plain',18499),(18521,'50140','Saint Jean Du Corail',18500),(18522,'50500','Baupte',18501),(18523,'50110','Tourlaville',18502),(18524,'50870','Chavoy',18503),(18525,'50340','Grosville',18504),(18526,'50150','Perriers En Beauficel',18505),(18527,'50700','Colomby',18506),(18528,'50670','Saint Laurent De Cuves',18507),(18529,'50270','Saint Jean De La Rivière',18508),(18530,'50400','Yquelon',18509),(18531,'50370','La Chapelle Urée',18510),(18532,'50600','Virey',18511),(18533,'50250','Saint Sauveur De Pierrepont',18512),(18534,'50420','Chevry',18513),(18535,'50500','Auvers',18514),(18536,'50330','Cosqueville',18515),(18537,'50340','Bricquebosq',18516),(18538,'50530','Bacilly',18517),(18539,'50310','Éroudeville',18518),(18540,'50290','Bréville Sur Mer',18519),(18541,'50800','Saint Martin Le Bouillant',18520),(18542,'50510','Chanteloup',18521),(18543,'50480','Turqueville',18522),(18544,'50300','Saint Loup',18523),(18545,'50390','Golleville',18524),(18546,'50440','Éculleville',18525),(18547,'50610','Jullouville',18526),(18548,'50660','Lingreville',18527),(18549,'50240','Montjoie Saint Martin',18528),(18550,'50210','Savigny',18529),(18551,'50520','Bellefontaine',18530),(18552,'50890','Condé Sur Vire',18531),(18553,'50600','Lapenty',18532),(18554,'50340','Flamanville',18533),(18555,'50430','Angoville Sur Ay',18534),(18556,'50750','Saint Ébremond De Bonfossé',18535),(18557,'50240','Saint Senier De Beuvron',18536),(18558,'50370','Cresnays',18537),(18559,'50530','Saint Jean Le Thomas',18538),(18560,'50670','Brécey',18539),(18561,'50200','Saint Malo De La Lande',18540),(18562,'50750','Le Mesnil Herman',18541),(18563,'50420','Saint Louet Sur Vire',18542),(18564,'50640','Buais',18543),(18565,'50310','Émondeville',18544),(18566,'50270','Surtainville',18545),(18567,'50400','Granville',18546),(18568,'50200','Coutances',18547),(18569,'50260','Rauville La Bigot',18548),(18570,'50750','Saint Samson De Bonfossé',18549),(18571,'50260','Le Valdécie',18550),(18572,'50450','Le Mesnil Garnier',18551),(18573,'50350','Donville Les Bains',18552),(18574,'50680','Cerisy La Forêt',18553),(18575,'50000','Baudre',18554),(18576,'50500','Saint André De Bohon',18555),(18577,'50700','Saint Germain De Tournebut',18556),(18578,'50620','Le Mesnil Véneron',18557),(18579,'50310','Saint Marcouf',18558),(18580,'50360','La Bonneville',18559),(18581,'50390','Néhou',18560),(18582,'50370','Le Grand Celland',18561),(18583,'50190','Saint Germain Sur Sèves',18562),(18584,'50410','Percy',18563),(18585,'50270','Sortosville En Beaumont',18564),(18586,'50370','Saint Georges De Livoye',18565),(18587,'50480','Sébeville',18566),(18588,'50850','Le Fresne Poret',18567),(18589,'50270','Saint Georges De La Rivière',18568),(18590,'50840','Saint Pierre Église',18569),(18591,'50500','Carentan',18570),(18592,'50630','Aumeville Lestre',18571),(18593,'50750','Sainte Suzanne Sur Vire',18572),(18594,'50110','Bretteville',18573),(18595,'50190','Marchésieux',18574),(18596,'50300','Saint Ovin',18575),(18597,'50520','Chasseguey',18576),(18598,'50440','Biville',18577),(18599,'50570','Le Mesnil Eury',18578),(18600,'50260','Magneville',18579),(18601,'50200','Boisroger',18580),(18602,'50690','Saint Martin Le Gréard',18581),(18603,'50110','Digosville',18582),(18604,'50310','Lestre',18583),(18605,'50560','Anneville Sur Mer',18584),(18606,'50690','Teurthéville Hague',18585),(18607,'50320','Saint Jean Des Champs',18586),(18608,'50410','La Haye Bellefond',18587),(18609,'50340','Tréauville',18588),(18610,'50360','Moitiers En Bauptois',18589),(18611,'50330','Gouberville',18590),(18612,'50480','Ravenoville',18591),(18613,'50200','Heugueville Sur Sienne',18592),(18614,'50360','Crosville Sur Douve',18593),(18615,'50700','Flottemanville',18594),(18616,'50740','Carolles',18595),(18617,'50570','Lozon',18596),(18618,'50530','Angey',18597),(18619,'50320','Équilly',18598),(18620,'50170','Tanis',18599),(18621,'50520','Le Mesnil Tôve',18600),(18622,'50390','Catteville',18601),(18623,'50420','Le Mesnil Raoult',18602),(18624,'50800','La Lande D\'Airou',18603),(18625,'50850','Ger',18604),(18626,'50440','Branville Hague',18605),(18627,'50680','Saint Georges D\'Elle',18606),(18628,'50870','Subligny',18607),(18629,'50490','Muneville Le Bingard',18608),(18630,'50500','Saint Pellerin',18609),(18631,'50140','Saint Clément Rancoudray',18610),(18632,'50390','Reigneville Bocage',18611),(18633,'50480','Sainte Marie Du Mont',18612),(18634,'50220','Marcilly',18613),(18635,'50370','Saint Nicolas Des Bois',18614),(18636,'50290','Bréhal',18615),(18637,'50440','Vasteville',18616),(18638,'50880','Saint Jean De Daye',18617),(18639,'50670','Le Mesnil Gilbert',18618),(18640,'50370','Notre Dame De Livoye',18619),(18641,'50670','Cuves',18620),(18642,'50570','Montreuil Sur Lozon',18621),(18643,'50310','Vaudreville',18622),(18644,'50500','Raids',18623),(18645,'50340','Héauville',18624),(18646,'50370','Le Petit Celland',18625),(18647,'50630','Quettehou',18626),(18648,'50630','Crasville',18627),(18649,'50700','Montaigu La Brisette',18628),(18650,'50430','Bretteville Sur Ay',18629),(18651,'50260','L\'Étang Bertrand',18630),(18652,'50630','Le Vast',18631),(18653,'50480','Foucarville',18632),(18654,'50250','Prétot Sainte Suzanne',18633),(18655,'50580','Saint Lô D\'Ourville',18634),(18656,'50140','Notre Dame Du Touchet',18635),(18657,'50660','Hyenville',18636),(18658,'50370','La Chaise Baudouin',18637),(18659,'50490','Vaudrimesnil',18638),(18660,'50140','Saint Barthélemy',18639),(18661,'50570','Cametours',18640),(18662,'50290','Muneville Sur Mer',18641),(18663,'50630','Morsalines',18642),(18664,'50250','Saint Symphorien Le Valois',18643),(18665,'50640','Husson',18644),(18666,'50700','Tamerville',18645),(18667,'50670','Saint Michel De Montjoie',18646),(18668,'50200','Tourville Sur Sienne',18647),(18669,'50500','Méautis',18648),(18670,'50111','Saint Aubin De Terregatte',18649),(18671,'50430','Laulne',18650),(18672,'50340','Le Rozel',18651),(18673,'50450','Gavray',18652),(18674,'50530','Lolif',18653),(18675,'50260','Négreville',18654),(18676,'50260','Breuville',18655),(18677,'50440','Saint Germain Des Vaux',18656),(18678,'50340','Pierreville',18657),(18679,'50450','Le Mesnil Amand',18658),(18680,'50170','Huisnes Sur Mer',18659),(18681,'50480','Amfreville',18660),(18682,'50440','Omonville La Petite',18661),(18683,'50420','Troisgots',18662),(18684,'50190','Périers',18663),(18685,'50530','La Rochelle Normande',18664),(18686,'50250','Surville',18665),(18687,'50700','Morville',18666),(18688,'50700','Lieusaint',18667),(18689,'50210','Montpinchon',18668),(18690,'50180','Saint Gilles',18669),(18691,'50620','Montmartin En Graignes',18670),(18692,'50200','Monthuchon',18671),(18693,'50460','Querqueville',18672),(18694,'50760','Valcanville',18673),(18695,'50330','Clitourps',18674),(18696,'50240','Saint James',18675),(18697,'50800','Villedieu Les Poêles',18676),(18698,'50600','Saint Hilaire Du Harcouët',18677),(18699,'50140','Fontenay',18678),(18700,'50600','Moulines',18679),(18701,'50310','Sortosville',18680),(18702,'50250','Doville',18681),(18703,'50600','Le Mesnillard',18682),(18704,'50370','Loges Sur Brécey',18683),(18705,'50690','Hardinvast',18684),(18706,'50250','Bolleville',18685),(18707,'50800','Boisyvon',18686),(18708,'50150','Gathemo',18687),(18709,'50320','Chambres',18688),(18710,'50390','Saint Sauveur Le Vicomte',18689),(18711,'50520','Juvigny Le Tertre',18690),(18712,'50160','Brectouville',18691),(18713,'50410','Le Chefresne',18692),(18714,'50210','Saint Denis Le Vêtu',18693),(18715,'50140','Le Neufbourg',18694),(18716,'50490','Saint Michel De La Pierre',18695),(18717,'50800','Bourguenolles',18696),(18718,'50760','Barfleur',18697),(18719,'50620','Saint Fromond',18698),(18720,'50290','Longueville',18699),(18721,'50160','Giéville',18700),(18723,'50210','Roncey',18701),(18724,'50440','Vauville',18702),(18725,'50720','Saint Georges De Rouelley',18703),(18726,'50800','La Colombe',18704),(18727,'50690','Martinvast',18705),(18728,'50690','Virandeville',18706),(18729,'50250','Neuville En Beaumont',18707),(18730,'50250','Coigny',18708),(18731,'50340','Saint Christophe Du Foc',18709),(18732,'50260','Quettetot',18710),(18733,'50340','Helleville',18711),(18734,'50460','Tonneville',18712),(18735,'50390','Biniville',18713),(18736,'50250','Houtteville',18714),(18737,'50310','Fresville',18715),(18738,'50220','Pontaubault',18716),(18739,'50340','Benoîtville',18717),(18740,'50250','Varenguebec',18718),(18741,'50810','Saint Pierre De Semilly',18719),(18742,'50550','Saint Vaast La Hougue',18720),(18743,'50000','Saint Lô',18721),(18744,'50480','Chef Du Pont',18722),(18745,'50000','Rampan',18723),(18746,'50270','Barneville Carteret',18724),(18747,'50200','Cambernon',18725),(18748,'50310','Fontenay Sur Mer',18726),(18749,'50750','Saint Romphaire',18727),(18750,'50620','Le Dézert',18728),(18751,'50570','Le Mesnil Amey',18729),(18752,'50220','Chéris',18730),(18753,'50640','Savigny Le Vieux',18731),(18754,'50700','Saussemesnil',18732),(18755,'50210','Notre Dame De Cenilly',18733),(18756,'50530','Champeaux',18734),(18757,'50300','Ponts',18735),(18758,'50490','Saint Aubin Du Perron',18736),(18759,'50390','Rauville La Place',18737),(18760,'50330','Théville',18738),(18761,'50720','Barenton',18739),(18762,'50750','Soulles',18740),(18763,'50300','Marcey Les Grèves',18741),(18764,'50380','Saint Pair Sur Mer',18742),(18765,'50580','Canville La Rocque',18743),(18766,'50700','Hémevez',18744),(18767,'50360','Étienville',18745),(18768,'50250','Le Plessis Lastelle',18746),(18769,'50570','Marigny',18747),(18770,'50430','Lessay',18748),(18771,'50310','Saint Cyr',18749),(18772,'50810','Saint Germain D\'Elle',18750),(18773,'50360','Beuzeville La Bastille',18751),(18774,'50200','Montsurvent',18752),(18775,'50760','Gatteville Le Phare',18753),(18776,'50140','Bion',18754),(18777,'50300','La Gohannière',18755),(18778,'50880','Pont Hébert',18756),(18779,'50310','Ozeville',18757),(18780,'50640','Sainte Marie Du Bois',18758),(18781,'50220','Précey',18759),(18782,'50440','Auderville',18760),(18783,'50520','Reffuveille',18761),(18784,'50220','Ducey',18762),(18785,'50150','Brouains',18763),(18786,'50420','Domjean',18764),(18787,'50330','Varouville',18765),(18788,'50760','Le Vicel',18766),(18789,'50700','Urville',18767),(18790,'50140','Romagny',18768),(18791,'50240','Argouges',18769),(18792,'50700','Valognes',18770),(18793,'50440','Gréville Hague',18771),(18794,'50710','Créances',18772),(18795,'50330','Réthoville',18773),(18796,'50450','Sourdeval Les Bois',18774),(18797,'50150','Vengeons',18775),(18798,'50200','Gratot',18776),(18799,'50580','Le Mesnil',18777),(18800,'50860','Canisy',18778),(18801,'50310','Montebourg',18779),(18802,'50700','Yvetot Bocage',18780),(18803,'50300','Saint Jean De La Haize',18781),(18804,'50270','Baubigny',18782),(18805,'50680','Saint Clair Sur L\'Elle',18783),(18806,'50320','La Haye Pesnel',18784),(18807,'50150','Sourdeval',18785),(18808,'50810','Rouxeville',18786),(18809,'50760','Anneville En Saire',18787),(18810,'50500','Auxais',18788),(18811,'50330','Tocqueville',18789),(18812,'50260','Rocheville',18790),(18813,'50450','Ver',18791),(18814,'50480','Écoquenéauville',18792),(18815,'50540','Isigny Le Buat',18793),(18816,'50630','Octeville L\'Avenel',18794),(18817,'50340','Pieux',18795),(18818,'50200','Ancteville',18796),(18819,'50250','Montgardon',18797),(18820,'50250','Saint Jores',18798),(18821,'50770','Pirou',18799),(18822,'50510','Saint Sauveur La Pommeraye',18800),(18823,'50250','Cretteville',18801),(18824,'50440','Digulleville',18802),(18825,'50510','La Meurdraquière',18803),(18826,'50330','Carneville',18804),(18827,'50260','Bricquebec',18805),(18828,'50160','Saint Amand',18806),(18829,'50220','Crollon',18807),(18830,'50170','Le Mont Saint Michel',18808),(18831,'50500','Veys',18809),(18832,'50190','Gonfreville',18810),(18833,'50170','Servon',18811),(18834,'50580','Denneville',18812),(18835,'50500','Sainteny',18813),(18836,'50300','La Godefroy',18814),(18837,'50480','Beuzeville Au Plain',18815),(18838,'50660','Hérenguerville',18816),(18839,'50480','Saint Germain De Varreville',18817),(18840,'50200','Bricqueville La Blouette',18818),(18841,'50400','Saint Planchers',18819),(18842,'50420','Gouvets',18820),(18843,'50660','Trelly',18821),(18844,'50590','Regnéville Sur Mer',18822),(18845,'50620','Graignes Mesnil Angot',18823),(18846,'50620','Tribehou',18824),(18847,'50430','Vesly',18825),(18848,'50410','Villebaudon',18826),(18849,'50520','Le Mesnil Rainfray',18827),(18850,'50310','Quinéville',18828),(18851,'50530','Sartilly',18829),(18852,'50530','Dragey Ronthon',18830),(18853,'50490','Saint Sauveur Lendelin',18831),(18854,'50420','Beuvrigny',18832),(18855,'50570','Carantilly',18833),(18856,'50520','Le Mesnil Adelée',18834),(18857,'50260','Le Vrétot',18835),(18858,'50560','Geffosses',18836),(18859,'50160','Biéville',18837),(18860,'50320','La Lucerne D\'Outremer',18838),(18861,'50160','Lamberville',18839),(18862,'50340','Siouville Hague',18840),(18863,'50750','Gourfaleur',18841),(18864,'50500','Appeville',18842),(18865,'50620','Le Hommet D\'Arthenay',18843),(18866,'50660','Orval',18844),(18867,'50530','Montviron',18845),(18868,'50490','Montcuit',18846),(18869,'50190','Nay',18847),(18870,'50210','Guéhébert',18848),(18871,'50420','Tessy Sur Vire',18849),(18872,'50200','La Vendelée',18850),(18873,'50570','Le Lorey',18851),(18874,'50810','Montrabot',18852),(18875,'50560','Blainville Sur Mer',18853),(18876,'50410','Montabot',18854),(18877,'50570','La Chapelle En Juger',18855),(18878,'50570','Hauteville La Guichard',18856),(18879,'50660','Montchaton',18857),(18880,'50490','La Ronde Haye',18858),(18881,'50000','Saint Georges Montcocq',18859),(18882,'50390','Hautteville Bocage',18860),(18883,'50680','Villiers Fossard',18861),(18884,'50160','Torigni Sur Vire',18862),(18885,'50330','Le Theil',18863),(18886,'50200','Servigny',18864),(18887,'50580','Saint Rémy Des Landes',18865),(18888,'50330','Canteloup',18866),(18889,'50450','La Baleine',18867),(18890,'50560','Gouville Sur Mer',18868),(18891,'50190','Gorges',18869),(18892,'50270','Saint Maurice En Cotentin',18870),(18893,'50220','Poilley',18871),(18894,'50490','Le Mesnilbus',18872),(18895,'50440','Sainte Croix Hague',18873),(18896,'50500','Saint Georges De Bohon',18874),(18897,'50410','Maupertuis',18875),(18898,'50680','La Luzerne',18876),(18899,'50340','Sotteville',18877),(18900,'50600','Parigny',18878),(18901,'50320','Beauchamps',18879),(18902,'50480','Houesville',18880),(18903,'50520','La Bazoge',18881),(18904,'50760','Sainte Geneviève',18882),(18905,'50750','Quibou',18883),(18906,'50220','Juilley',18884),(18907,'50220','Céaux',18885),(18908,'50870','Le Luot',18886),(18909,'50210','Camprond',18887),(18910,'50170','Macey',18888),(18911,'50520','Chérencé Le Roussel',18889),(18912,'50480','Brucheville',18890),(18913,'50210','Cerisy La Salle',18891),(18914,'50200','Saussey',18892),(18915,'50190','Millières',18893),(18916,'50460','Urville Nacqueville',18894),(18917,'50250','La Haye Du Puits',18895),(18918,'50170','Pontorson',18896),(18919,'50680','Airel',18897),(18920,'50440','Acqueville',18898),(18921,'50800','Sainte Cécile',18899),(18922,'50480','Carquebut',18900),(18923,'50180','Agneaux',18901),(18924,'50760','Réville',18902),(18925,'50580','Portbail',18903),(18926,'50470','La Glacerie',18904),(18927,'50420','Saint Vigor Des Monts',18905),(18928,'50480','Vierville',18906),(18929,'50300','Vains',18907),(18930,'50300','Saint Martin Des Champs',18908),(18931,'50110','Le Mesnil Au Val',18909),(18932,'50440','Beaumont Hague',18910),(18933,'50510','Cérences',18911),(18934,'50390','Orglandes',18912),(18935,'50300','Le Val Saint Père',18913),(18936,'50500','Saint Côme Du Mont',18914),(18937,'50480','Blosville',18915),(18938,'50180','Hébécrevon',18916),(18939,'50200','Saint Pierre De Coutances',18917),(18940,'50170','Vessey',18918),(18941,'50310','Saint Martin D\'Audouville',18919),(18942,'50390','Saint Jacques De Néhou',18920),(18943,'50410','Le Guislain',18921),(18944,'50480','Boutteville',18922),(18945,'50860','Le Mesnil Opac',18923),(18946,'50270','Saint Pierre D\'Arthéglise',18924),(18947,'50660','Quettreville Sur Sienne',18925),(18948,'50810','Précorbin',18926),(18949,'50510','Hudimesnil',18927),(18950,'50000','Le Mesnil Rouxelin',18928),(18951,'50330','Gonneville',18929),(18952,'50810','Notre Dame D\'Elle',18930),(18953,'50480','Gourbesville',18931),(18954,'50690','Nouainville',18932),(18955,'50800','Chérencé Le Héron',18933),(18956,'50700','Brix',18934),(18957,'50200','Nicorps',18935),(18958,'50670','Lingeard',18936),(18959,'50480','Angoville Au Plain',18937),(18960,'50600','Martigny',18938),(18961,'50640','Le Teilleul',18939),(18962,'50690','Couville',18940),(18963,'50430','Saint Germain Sur Ay',18941),(18964,'50640','Saint Symphorien Des Monts',18942),(18965,'50170','Beauvoir',18943),(18966,'50570','Remilly Sur Lozon',18944),(18967,'50300','Saint Senier Sous Avranches',18945),(18968,'50330','Maupertus Sur Mer',18946),(18969,'50240','Villiers Le Pré',18947),(18970,'50510','Le Mesnil Aubert',18948),(18971,'50450','Grimesnil',18949),(18972,'50510','Le Loreur',18950),(18973,'50760','Montfarville',18951),(18974,'50240','Vergoncey',18952),(18975,'50480','Audouville La Hubert',18953),(18976,'50840','Fermanville',18954),(18977,'50800','Saint Maur Des Bois',18955),(18978,'51150','Bouzy',18956),(18979,'51300','Maisons En Champagne',18957),(18980,'51700','Vincelles',18958),(18981,'51340','Bignicourt Sur Saulx',18959),(18982,'51130','Étréchy',18960),(18983,'51510','Fagnières',18961),(18984,'51500','Montbré',18962),(18985,'51240','Saint Martin Aux Champs',18963),(18986,'51210','Boissy Le Repos',18964),(18987,'51320','Humbauville',18965),(18988,'51500','Trois Puits',18966),(18989,'51330','Remicourt',18967),(18990,'51370','Saint Brice Courcelles',18968),(18991,'51500','Ludes',18969),(18992,'51140','Montigny Sur Vesle',18970),(18993,'51500','Sermiers',18971),(18994,'51220','Villers Franqueux',18972),(18995,'51230','Bannes',18973),(18996,'51500','Sillery',18974),(18997,'51510','Villers Le Château',18975),(18998,'51800','Braux Sainte Cohière',18976),(18999,'51240','Aulnay L\'Aître',18977),(19000,'51340','Sogny En L\'Angle',18978),(19001,'51110','Bazancourt',18979),(19002,'51130','Voipreux',18980),(19003,'51800','Courtémont',18981),(19004,'51290','Giffaumont Champaubert',18982),(19005,'51260','Chantemerle',18983),(19006,'51500','Sacy',18984),(19007,'51450','Bétheny',18985),(19008,'51130','Saint Mard Lès Rouffy',18986),(19009,'51240','Nuisement Sur Coole',18987),(19010,'51330','Charmont',18988),(19011,'51210','Le Vézier',18989),(19012,'51270','Congy',18990),(19013,'51170','Magneux',18991),(19014,'51240','Francheville',18992),(19015,'51330','Charmontois',18993),(19016,'51240','Écury Sur Coole',18994),(19017,'51240','Dampierre Sur Moivre',18995),(19018,'51270','Bannay',18996),(19019,'51320','Vassimont Et Chapelaine',18997),(19020,'51240','La Chaussée Sur Marne',18998),(19021,'51300','Vitry En Perthois',18999),(19022,'51120','Allemant',19000),(19023,'51300','Châtelraould Saint Louvent',19001),(19024,'51120','Barbonne Fayel',19002),(19025,'51170','Chaumuzy',19003),(19026,'51120','Queudes',19004),(19027,'51260','Montgenost',19005),(19028,'51200','Mancy',19006),(19029,'51320','Saint Ouen Domprot',19007),(19030,'51290','Outines',19008),(19031,'51340','Vanault Les Dames',19009),(19032,'51210','Morsains',19010),(19033,'51170','Chambrecy',19011),(19034,'51220','Pouillon',19012),(19035,'51480','Pourcy',19013),(19036,'51300','Marolles',19014),(19037,'51480','Cormoyeux',19015),(19038,'51300','Drouilly',19016),(19039,'51460','Somme Vesle',19017),(19040,'51340','Trois Fontaines L\'Abbaye',19018),(19041,'51600','Sommepy Tahure',19019),(19042,'51210','Corfélix',19020),(19043,'51130','Vert Toulon',19021),(19044,'51100','Reims',19022),(19045,'51200','Épernay',19023),(19046,'51800','Somme Bionne',19024),(19047,'51800','Dommartin Sous Hans',19025),(19048,'51510','Coolus',19026),(19049,'51190','Le Mesnil Sur Oger',19027),(19050,'51800','Braux Saint Remy',19028),(19051,'51390','Pargny Lès Reims',19029),(19052,'51400','Cuperly',19030),(19053,'51170','Brouillet',19031),(19054,'51240','Breuvery Sur Coole',19032),(19055,'51210','Montmirail',19033),(19056,'51490','Saint Masmes',19034),(19057,'51340','Vouillers',19035),(19058,'51480','Cuchery',19036),(19059,'51520','Sogny Aux Moulins',19037),(19060,'51800','Rouvroy Ripont',19038),(19061,'51230','Ognes',19039),(19062,'51700','Vandières',19040),(19063,'51500','Écueil',19041),(19064,'51160','Mareuil Sur Ay',19042),(19065,'51270','La Caure',19043),(19066,'51200','Moussy',19044),(19067,'51490','Pontfaverger Moronvilliers',19045),(19068,'51140','Pévy',19046),(19069,'51510','Thibie',19047),(19070,'51320','Bréban',19048),(19071,'51290','Arrigny',19049),(19072,'51260','Granges Sur Aube',19050),(19073,'51330','Dampierre Le Château',19051),(19074,'51360','Val De Vesle',19052),(19075,'51460','Courtisols',19053),(19076,'51320','Montépreux',19054),(19077,'51400','Baconnes',19055),(19078,'51260','Marcilly Sur Seine',19056),(19079,'51230','Écury Le Repos',19057),(19080,'51120','Le Meix Saint Epoing',19058),(19081,'51600','La Cheppe',19059),(19082,'51120','Nesle La Reposte',19060),(19083,'51290','Lignon',19061),(19084,'51260','Potangis',19062),(19085,'51300','Norrois',19063),(19086,'51700','Olizy',19064),(19087,'51520','Saint Martin Sur Le Pré',19065),(19088,'51800','Hans',19066),(19089,'51600','Somme Suippe',19067),(19090,'51380','Trépail',19068),(19091,'51700','Sainte Gemme',19069),(19092,'51500','Villers Allerand',19070),(19093,'51340','Heiltz L\'Évêque',19071),(19094,'51270','Fèrebrianges',19072),(19095,'51170','Sarcy',19073),(19096,'51300','Loisy Sur Marne',19074),(19097,'51140','Vandeuil',19075),(19098,'51300','Matignicourt Goncourt',19076),(19099,'51170','Bligny',19077),(19100,'51110','Saint Étienne Sur Suippe',19078),(19101,'51500','Puisieulx',19079),(19102,'51110','Auménancourt',19080),(19103,'51800','Passavant En Argonne',19081),(19104,'51170','Serzy Et Prin',19082),(19105,'51210','Vauchamps',19083),(19106,'51480','Champlat Et Boujacourt',19084),(19107,'51510','Matougues',19085),(19108,'51130','Vouzy',19086),(19109,'51220','Hermonville',19087),(19110,'51260','Saint Saturnin',19088),(19111,'51400','Mourmelon Le Grand',19089),(19112,'51140','Muizon',19090),(19113,'51260','La Chapelle Lasson',19091),(19114,'51300','Vitry Le François',19092),(19115,'51330','Dommartin Varimont',19093),(19116,'51800','Fontaine En Dormois',19094),(19117,'51160','Saint Imoges',19095),(19118,'51400','Sept Saulx',19096),(19119,'51240','Ablancourt',19097),(19120,'51120','M?urs Verdey',19098),(19121,'51380','Vaudemange',19099),(19122,'51800','Élise Daucourt',19100),(19123,'51330','Épense',19101),(19124,'51130','Clamanges',19102),(19125,'51370','Ormes',19103),(19126,'51340','Blesme',19104),(19127,'51400','Bouy',19105),(19128,'51340','Saint Lumier La Populeuse',19106),(19129,'51800','Chaudefontaine',19107),(19130,'51310','La Noue',19108),(19131,'51800','Vienne La Ville',19109),(19132,'51120','Saint Loup',19110),(19133,'51170','Saint Gilles',19111),(19134,'51260','Marsangis',19112),(19135,'51260','Baudement',19113),(19136,'51480','Cumières',19114),(19137,'51150','Ambonnay',19115),(19138,'51300','Saint Quentin Les Marais',19116),(19139,'51000','Châlons En Champagne',19117),(19140,'51800','Binarville',19118),(19141,'51270','La Ville Sous Orbais',19119),(19142,'51330','Saint Jean Devant Possesse',19120),(19143,'51220','Merfy',19121),(19144,'51260','La Celle Sous Chantemerle',19122),(19145,'51150','Bisseuil',19123),(19146,'51800','La Chapelle Felcourt',19124),(19147,'51310','Villeneuve La Lionne',19125),(19148,'51310','Esternay',19126),(19149,'51300','Merlaut',19127),(19150,'51300','Blaise Sous Arzillières',19128),(19151,'51130','Trécon',19129),(19152,'51220','Thil',19130),(19153,'51170','Lagery',19131),(19154,'51220','Courcy',19132),(19155,'51200','Moslins',19133),(19156,'51220','Cormicy',19134),(19157,'51140','Branscourt',19135),(19158,'51170','Romigny',19136),(19159,'51800','Maffrécourt',19137),(19160,'51150','Cherville',19138),(19161,'51460','Tilloy Et Bellay',19139),(19162,'51200','Saint Martin D\'Ablois',19140),(19163,'51520','Sarry',19141),(19164,'51270','Mareuil En Brie',19142),(19165,'51370','Mesneux',19143),(19166,'51270','Orbais L\'Abbaye',19144),(19167,'51290','Drosnay',19145),(19168,'51170','Arcis Le Ponsart',19146),(19169,'51460','L\'Épine',19147),(19170,'51230','Linthes',19148),(19171,'51500','Champfleury',19149),(19172,'51260','Conflans Sur Seine',19150),(19173,'51250','Sermaize Les Bains',19151),(19174,'51700','Baslieux Sous Châtillon',19152),(19175,'51400','Petites Loges',19153),(19176,'51140','Trigny',19154),(19177,'51300','Reims La Brûlée',19155),(19178,'51370','Thillois',19156),(19179,'51120','Fontaine Denis Nuisy',19157),(19180,'51800','Minaucourt Le Mesnil Lès Hurlus',19158),(19181,'51350','Cormontreuil',19159),(19182,'51400','Dampierre Au Temple',19160),(19183,'51400','Livry Louvercy',19161),(19184,'51400','Mourmelon Le Petit',19162),(19185,'51800','Châtrices',19163),(19186,'51500','Ville En Selve',19164),(19187,'51490','Selles',19165),(19188,'51800','Auve',19166),(19189,'51700','Nesle Le Repons',19167),(19190,'51460','Herpont',19168),(19191,'51170','Aougny',19169),(19192,'51340','Saint Vrain',19170),(19193,'51600','Vaudesincourt',19171),(19194,'51510','Saint Gibrien',19172),(19195,'51700','Champvoisy',19173),(19196,'51520','Recy',19174),(19197,'51230','Broussy Le Petit',19175),(19198,'51230','Fère Champenoise',19176),(19199,'51150','Tauxières Mutry',19177),(19200,'51200','Dizy',19178),(19201,'51500','Chigny Les Roses',19179),(19202,'51120','La Villeneuve Lès Charleville',19180),(19203,'51320','Dommartin Lettrée',19181),(19204,'51210','Rieux',19182),(19205,'51400','Prosnes',19183),(19206,'51160','Champillon',19184),(19207,'51200','Morangis',19185),(19208,'51340','Maurupt Le Montois',19186),(19209,'51390','Courmas',19187),(19210,'51230','Broussy Le Grand',19188),(19211,'51310','Bouchy Saint Genest',19189),(19212,'51120','Essarts Lès Sézanne',19190),(19213,'51160','Mutigny',19191),(19214,'51290','Saint Remy En Bouzemont Saint Genest Et Isson',19192),(19215,'51300','Luxémont Et Villotte',19193),(19216,'51140','Prouilly',19194),(19217,'51600','Saint Souplet Sur Py',19195),(19218,'51300','Bassuet',19196),(19219,'51800','Sainte Menehould',19197),(19220,'51250','Cheminon',19198),(19221,'51330','Noirlieu',19199),(19222,'51200','Cuis',19200),(19223,'51270','Courjeonnet',19201),(19224,'51160','Avenay Val D\'Or',19202),(19225,'51270','Champaubert',19203),(19226,'51800','Saint Mard Sur Auve',19204),(19227,'51400','Saint Hilaire Au Temple',19205),(19228,'51700','Verneuil',19206),(19229,'51110','Warmeriville',19207),(19230,'51330','Givry En Argonne',19208),(19231,'51210','Corrobert',19209),(19232,'51470','Moncetz Longevas',19210),(19233,'51120','Sézanne',19211),(19234,'51110','Isles Sur Suippe',19212),(19235,'51150','Athis',19213),(19236,'51320','Sommesous',19214),(19237,'51320','Bussy Lettrée',19215),(19238,'51490','Saint Martin L\'Heureux',19216),(19239,'51240','Cernon',19217),(19240,'51150','Aigny',19218),(19241,'51130','Villeneuve Renneville Chevigny',19219),(19242,'51700','Leuvrigny',19220),(19243,'51340','Val De Vière',19221),(19244,'51200','Pierry',19222),(19245,'51800','Valmy',19223),(19246,'51130','Villers Aux Bois',19224),(19247,'51220','Brimont',19225),(19248,'51270','Corribert',19226),(19249,'51200','Brugny Vaudancourt',19227),(19250,'51150','Plivot',19228),(19251,'51800','Moiremont',19229),(19252,'51330','Vanault Le Châtel',19230),(19253,'51290','Chapelaine',19231),(19254,'51130','Germinon',19232),(19255,'51480','Œuilly',19233),(19256,'51260','Anglure',19234),(19257,'51260','Vouarces',19235),(19258,'51480','Belval Sous Châtillon',19236),(19259,'51480','Boursault',19237),(19260,'51170','Poilly',19238),(19261,'51320','Soudron',19239),(19262,'51240','Moivre',19240),(19263,'51380','Villers Marmery',19241),(19264,'51600','Saint Jean Sur Tourbe',19242),(19265,'51240','Saint Quentin Sur Coole',19243),(19266,'51300','Bassu',19244),(19267,'51200','Cramant',19245),(19268,'51700','Binson Et Orquigny',19246),(19269,'51210','Fromentières',19247),(19270,'51130','Soulières',19248),(19271,'51510','Chéniers',19249),(19272,'51330','Possesse',19250),(19273,'51300','Frignicourt',19251),(19274,'51430','Bezannes',19252),(19275,'51290','Saint Chéron',19253),(19276,'51210','Janvilliers',19254),(19277,'51290','Écollemont',19255),(19278,'51290','Arzillières Neuville',19256),(19279,'51330','Vernancourt',19257),(19280,'51210','Mécringes',19258),(19281,'51260','Bethon',19259),(19282,'51230','Faux Fresnay',19260),(19283,'51800','Vienne Le Château',19261),(19284,'51700','Passy Grigny',19262),(19285,'51150','Tours Sur Marne',19263),(19286,'51240','Songy',19264),(19287,'51310','Essarts Le Vicomte',19265),(19288,'51240','Vitry La Ville',19266),(19289,'51700','Dormans',19267),(19290,'51120','Villeneuve Saint Vistre Et Villevotte',19268),(19291,'51430','Tinqueux',19269),(19292,'51270','Coizard Joches',19270),(19293,'51150','Jâlons',19271),(19294,'51120','Gaye',19272),(19295,'51480','Vauciennes',19273),(19296,'51300','Changy',19274),(19297,'51800','Sivry Ante',19275),(19298,'51300','Brusson',19276),(19299,'51150','Champigneul Champagne',19277),(19300,'51230','Gourgançon',19278),(19301,'51300','Bignicourt Sur Marne',19279),(19302,'51270','Villevenard',19280),(19303,'51480','Venteuil',19281),(19304,'51260','Villiers Aux Corneilles',19282),(19305,'51140','Romain',19283),(19306,'51170','Tramery',19284),(19307,'51260','Saron Sur Aube',19285),(19308,'51240','Cheppes La Prairie',19286),(19309,'51170','Courville',19287),(19310,'51300','Favresse',19288),(19311,'51260','Clesles',19289),(19312,'51230','Linthelles',19290),(19313,'51520','La Veuve',19291),(19314,'51290','Saint Utin',19292),(19315,'51170','Aubilly',19293),(19316,'51310','Escardes',19294),(19317,'51600','Aubérive',19295),(19318,'51130','Chaltrait',19296),(19319,'51130','Pocancy',19297),(19320,'51230','Connantre',19298),(19321,'51800','Villers En Argonne',19299),(19322,'51510','Compertrix',19300),(19323,'51400','Vadenay',19301),(19324,'51800','Malmy',19302),(19325,'51800','Gizaucourt',19303),(19326,'51600','Saint Hilaire Le Grand',19304),(19327,'51700','Festigny',19305),(19328,'51490','Bétheniville',19306),(19329,'51800','Le Chemin',19307),(19330,'51300','Cloyes Sur Marne',19308),(19331,'51800','Servon Melzicourt',19309),(19332,'51330','Bussy Le Repos',19310),(19333,'51240','Saint Jean Sur Moivre',19311),(19334,'51300','Thiéblemont Farémont',19312),(19335,'51240','Marson',19313),(19336,'51420','Witry Lès Reims',19314),(19337,'51170','Crugny',19315),(19338,'51480','Courtagnon',19316),(19339,'51300','Plichancourt',19317),(19340,'51300','Courdemanges',19318),(19341,'51600','Sainte Marie À Py',19319),(19342,'51800','Argers',19320),(19343,'51500','Mailly Champagne',19321),(19344,'51110','Bourgogne',19322),(19345,'51300','Couvrot',19323),(19346,'51320','Corbeil',19324),(19347,'51340','Pargny Sur Saulx',19325),(19348,'51290','Moncetz L\'Abbaye',19326),(19349,'51160','Germaine',19327),(19350,'51150','Aulnay Sur Marne',19328),(19351,'51240','Pogny',19329),(19352,'51240','Le Fresne',19330),(19353,'51700','Courthiézy',19331),(19354,'51130','Rouffy',19332),(19355,'51240','Mairy Sur Marne',19333),(19356,'51290','Hauteville',19334),(19357,'51250','Villers Le Sec',19335),(19358,'51210','Le Breuil',19336),(19359,'51300','Huiron',19337),(19360,'51320','Haussimont',19338),(19361,'51120','Oyes',19339),(19362,'51800','Wargemoulin Hurlus',19340),(19363,'51190','Grauves',19341),(19364,'51300','Vavray Le Grand',19342),(19365,'51700','Igny Comblizy',19343),(19366,'51240','Coupetz',19344),(19367,'51270','Baye',19345),(19368,'51480','Reuil',19346),(19369,'51130','Vertus',19347),(19370,'51260','Saint Just Sauvage',19348),(19371,'51300','Outrepont',19349),(19372,'51270','Étoges',19350),(19373,'51480','Fleury La Rivière',19351),(19374,'51290','Larzicourt',19352),(19375,'51240','Vésigneul Sur Marne',19353),(19376,'51800','Virginy',19354),(19377,'51240','Omey',19355),(19378,'51130','Givry Lès Loisy',19356),(19379,'51240','Togny Aux Bœufs',19357),(19380,'51340','Étrepy',19358),(19381,'51800','Éclaires',19359),(19382,'51120','Charleville',19360),(19383,'51240','Saint Germain La Ville',19361),(19384,'51200','Mardeuil',19362),(19385,'51300','Dompremy',19363),(19386,'51110','Fresne Lès Reims',19364),(19387,'51310','Neuvy',19365),(19388,'51170','Marfaux',19366),(19389,'51700','Troissy',19367),(19390,'51300','Le Buisson',19368),(19391,'51800','Berzieux',19369),(19392,'51330','La Neuville Aux Bois',19370),(19393,'51140','Châlons Sur Vesle',19371),(19394,'51300','Blacy',19372),(19395,'51150','Juvigny',19373),(19396,'51110','Heutrégiville',19374),(19397,'51230','Angluzelles Et Courcelles',19375),(19398,'51190','Oger',19376),(19399,'51320','Coole',19377),(19400,'51200','Magenta',19378),(19401,'51600','Bussy Le Château',19379),(19402,'51370','Champigny',19380),(19403,'51480','La Neuville Aux Larris',19381),(19404,'51330','Saint Mard Sur Le Mont',19382),(19405,'51320','Soudé',19383),(19406,'51420','Cernay Lès Reims',19384),(19407,'51500','Rilly La Montagne',19385),(19408,'51310','Joiselle',19386),(19409,'51390','Ville Dommange',19387),(19410,'51200','Oiry',19388),(19411,'51120','Soizy Aux Bois',19389),(19412,'51340','Heiltz Le Maurupt',19390),(19413,'51290','Ambrières',19391),(19414,'51140','Ventelay',19392),(19415,'51130','Villeseneux',19393),(19416,'51110','Boult Sur Suippe',19394),(19417,'51290','Brandonvillers',19395),(19418,'51490','Dontrien',19396),(19419,'51220','Saint Thierry',19397),(19420,'51110','Pomacle',19398),(19421,'51140','Bouvancourt',19399),(19422,'51700','Châtillon Sur Marne',19400),(19423,'51220','Cauroy Lès Hermonville',19401),(19424,'51120','Chichey',19402),(19425,'51500','Chamery',19403),(19426,'51260','Bagneux',19404),(19427,'51130','Bergères Lès Vertus',19405),(19428,'51310','Courgivaux',19406),(19429,'51220','Berméricourt',19407),(19430,'51140','Jonchery Sur Vesle',19408),(19431,'51390','Janvry',19409),(19432,'51390','Vrigny',19410),(19433,'51500','Taissy',19411),(19434,'51170','Unchair',19412),(19435,'51800','Ville Sur Tourbe',19413),(19436,'51800','Voilemont',19414),(19437,'51170','Baslieux Lès Fismes',19415),(19438,'51290','Isle Sur Marne',19416),(19439,'51600','Souain Perthes Lès Hurlus',19417),(19440,'51140','Courcelles Sapicourt',19418),(19441,'51480','Nanteuil La Forêt',19419),(19442,'51300','Glannes',19420),(19443,'51300','Ponthion',19421),(19444,'51300','Heiltz Le Hutier',19422),(19445,'51300','Orconte',19423),(19446,'51110','Caurel',19424),(19447,'51120','Reuves',19425),(19448,'51170','Fismes',19426),(19449,'51300','Lisse En Champagne',19427),(19450,'51470','Saint Memmie',19428),(19451,'51130','Loisy En Brie',19429),(19452,'51260','Allemanche Launay Et Soyer',19430),(19453,'51700','Jonquery',19431),(19454,'51230','Marigny',19432),(19455,'51150','Louvois',19433),(19456,'51490','Beine Nauroy',19434),(19457,'51420','Nogent L\'Abbesse',19435),(19458,'51390','Germigny',19436),(19459,'52100','Sapignicourt',19437),(19460,'51600','Laval Sur Tourbe',19438),(19461,'51160','Ay',19439),(19462,'51170','Lhéry',19440),(19463,'51200','Monthelon',19441),(19464,'51170','Savigny Sur Ardres',19442),(19465,'51300','Écriennes',19443),(19466,'51170','Faverolles Et Coëmy',19444),(19467,'51250','Alliancelles',19445),(19468,'51200','Vinay',19446),(19469,'51200','Chavot Courcourt',19447),(19470,'51800','La Neuville Au Pont',19448),(19471,'51290','Châtillon Sur Broué',19449),(19472,'51800','Massiges',19450),(19473,'51460','Saint Étienne Au Temple',19451),(19474,'51190','Flavigny',19452),(19475,'51260','Courcemain',19453),(19476,'51380','Verzy',19454),(19477,'51150','Vraux',19455),(19478,'51360','Prunay',19456),(19479,'51800','Verrières',19457),(19480,'51360','Verzenay',19458),(19481,'51230','Euvy',19459),(19482,'51130','Chaintrix Bierges',19460),(19483,'51330','Somme Yèvre',19461),(19484,'51500','Villers Aux Nœuds',19462),(19485,'51270','Le Baizil',19463),(19486,'51120','Péas',19464),(19487,'51600','La Croix En Champagne',19465),(19488,'51700','Anthenay',19466),(19489,'51460','Poix',19467),(19490,'51190','Avize',19468),(19491,'51190','Istres Et Bury',19469),(19492,'51390','Gueux',19470),(19493,'51330','Contault',19471),(19494,'51700','Mareuil Le Port',19472),(19495,'51230','Thaas',19473),(19496,'51270','Talus Saint Prix',19474),(19497,'51310','Châtillon Sur Morin',19475),(19498,'51300','Haussignémont',19476),(19499,'51270','Suizy Le Franc',19477),(19500,'51170','Ville En Tardenois',19478),(19501,'51800','Florent En Argonne',19479),(19502,'51480','Damery',19480),(19503,'51210','Le Thoult Trosnay',19481),(19504,'51330','Le Châtelier',19482),(19505,'51140','Hourges',19483),(19506,'51170','Courlandon',19484),(19507,'51300','Saint Lumier En Champagne',19485),(19508,'51600','Saint Remy Sur Bussy',19486),(19509,'51120','Lachy',19487),(19510,'51120','Mondement Montgivroux',19488),(19511,'51400','Grandes Loges',19489),(19512,'51220','Loivre',19490),(19513,'51260','Esclavolles Lurey',19491),(19514,'51390','Rosnay',19492),(19515,'51130','Gionges',19493),(19516,'51390','Saint Euphraise Et Clairizet',19494),(19517,'51230','Pleurs',19495),(19518,'51140','Treslon',19496),(19519,'51800','Saint Thomas En Argonne',19497),(19520,'51140','Chenay',19498),(19521,'51290','Landricourt',19499),(19522,'51300','Pringy',19500),(19523,'51300','Vauclerc',19501),(19524,'51330','Bettancourt La Longue',19502),(19525,'51210','Verdon',19503),(19526,'51130','Pierre Morains',19504),(19527,'51240','Coupéville',19505),(19528,'51130','Vélye',19506),(19529,'51270','La Chapelle Sous Orbais',19507),(19530,'51240','Chepy',19508),(19531,'51320','Vatry',19509),(19532,'51270','Beaunay',19510),(19533,'51270','Montmort Lucy',19511),(19534,'51120','Saint Remy Sous Broyes',19512),(19535,'51700','Cuisles',19513),(19536,'51340','Jussecourt Minecourt',19514),(19537,'51300','Saint Amand Sur Fion',19515),(19538,'51130','Val Des Marais',19516),(19539,'51310','Réveillon',19517),(19540,'51150','Issé',19518),(19541,'51700','Villers Sous Châtillon',19519),(19542,'51330','Vroil',19520),(19543,'51300','Vavray Le Petit',19521),(19544,'51480','Romery',19522),(19545,'51290','Margerie Hancourt',19523),(19546,'51210','Le Gault Soigny',19524),(19547,'51320','Faux Vésigneul',19525),(19548,'51210','Bergères Sous Montmirail',19526),(19549,'51300','Soulanges',19527),(19550,'51160','Fontaine Sur Ay',19528),(19551,'51400','Billy Le Grand',19529),(19552,'51320','Le Meix Tiercelin',19530),(19553,'51360','Beaumont Sur Vesle',19531),(19554,'51150','Condé Sur Marne',19532),(19555,'51390','Coulommes La Montagne',19533),(19556,'51210','Tréfols',19534),(19557,'51230','Lenharrée',19535),(19558,'51120','Broyes',19536),(19559,'51290','Gigny Bussy',19537),(19560,'51320','Sompuis',19538),(19561,'51800','Cernay En Dormois',19539),(19562,'51210','Margny',19540),(19563,'51330','Rapsécourt',19541),(19564,'51340','Scrupt',19542),(19565,'51120','Saint Quentin Le Verger',19543),(19566,'51800','Dommartin Dampierre',19544),(19567,'51120','Vindey',19545),(19568,'51490','Époye',19546),(19569,'51500','Saint Léonard',19547),(19570,'51230','Corroy',19548),(19571,'51170','Mont Sur Courville',19549),(19572,'51160','Hautvillers',19550),(19573,'51230','Connantray Vaurefroy',19551),(19574,'51300','Rivières Henruel',19552),(19575,'51310','Champguyon',19553),(19576,'51420','Berru',19554),(19577,'51140','Breuil',19555),(19578,'51800','Gratreuil',19556),(19579,'51600','Jonchery Sur Suippe',19557),(19580,'51330','Belval En Argonne',19558),(19581,'51390','Bouilly',19559),(19582,'51120','Saudoy',19560),(19583,'51290','Sainte Marie Du Lac Nuisement',19561),(19584,'51330','Le Vieil Dampierre',19562),(19585,'51110','Lavannes',19563),(19586,'51200','Chouilly',19564),(19587,'51490','Saint Hilaire Le Petit',19565),(19588,'51120','La Forestière',19566),(19589,'51600','Somme Tourbe',19567),(19590,'52100','Saint Eulien',19568),(19591,'51170','Bouleuse',19569),(19592,'51390','Méry Prémecy',19570),(19593,'51390','Jouy Lès Reims',19571),(19594,'51600','Suippes',19572),(19595,'51510','Saint Pierre',19573),(19596,'51310','Saint Bon',19574),(19597,'51290','Somsois',19575),(19598,'52110','Doulevant Le Château',19576),(19599,'52140','Dammartin Sur Meuse',19577),(19600,'52230','Saudron',19578),(19601,'52120','Aizanville',19579),(19602,'52500','Loges',19580),(19603,'52500','Tornay',19581),(19604,'52360','Plesnoy',19582),(19605,'52700','Lafauche',19583),(19606,'52500','Pierremont Sur Amance',19584),(19607,'52330','Gillancourt',19585),(19608,'52500','Genevrières',19586),(19609,'52240','Audeloncourt',19587),(19610,'52110','Leschères Sur Le Blaiseron',19588),(19611,'52190','Aujeurres',19589),(19612,'52330','Guindrecourt Sur Blaise',19590),(19613,'52240','Breuvannes En Bassigny',19591),(19614,'52600','Noidant Chatenoy',19592),(19615,'52400','Montcharvot',19593),(19616,'52600','Heuilley Le Grand',19594),(19617,'52140','Villeneuve',19595),(19618,'52600','Palaiseul',19596),(19619,'52400','Larivière Arnoncourt',19597),(19620,'52600','Rivières Le Bois',19598),(19621,'52230','Sailly',19599),(19622,'52170','Narcy',19600),(19623,'52220','Robert Magny Laneuville À Rémy',19601),(19624,'52400','Neuvelle Lès Voisey',19602),(19625,'52330','Lamothe En Blaisy',19603),(19626,'52400','Champigny Sous Varennes',19604),(19627,'52700','Manois',19605),(19628,'52110','Ambonville',19606),(19629,'52800','Sarcey',19607),(19630,'52160','Vals Des Tilles',19608),(19631,'52360','Bonnecourt',19609),(19632,'52230','Lezéville',19610),(19633,'52120','Villars En Azois',19611),(19634,'52360','Lecey',19612),(19635,'52150','Romain Sur Meuse',19613),(19636,'52110','Charmes En L\'Angle',19614),(19637,'52220','Louze',19615),(19638,'52700','Reynel',19616),(19639,'52160','Aulnoy Sur Aube',19617),(19640,'52160','Arbot',19618),(19641,'52400','Coiffy Le Haut',19619),(19642,'52210','Rochetaillée',19620),(19643,'52190','Cusey',19621),(19644,'52300','Donjeux',19622),(19645,'52220','Sommevoire',19623),(19646,'52200','Courcelles En Montagne',19624),(19647,'52300','Autigny Le Grand',19625),(19648,'52600','Le Pailly',19626),(19649,'52210','Leffonds',19627),(19650,'52360','Charmes',19628),(19651,'52340','Esnouveaux',19629),(19652,'52700','Vesaignes Sous Lafauche',19630),(19653,'52320','Rouécourt',19631),(19654,'52100','Valcourt',19632),(19655,'52150','Bourmont',19633),(19656,'52120','Châteauvillain',19634),(19657,'52700','Darmannes',19635),(19658,'52700','Ozières',19636),(19659,'52240','Clefmont',19637),(19660,'52100','Neuville Au Pont',19638),(19661,'52120','Pont La Ville',19639),(19662,'52240','Longchamp',19640),(19663,'52190','Saint Broingt Le Bois',19641),(19664,'52400','Bourbonne Les Bains',19642),(19665,'52110','Trémilly',19643),(19666,'52100','Chancenay',19644),(19667,'52190','Montsaugeon',19645),(19668,'52190','Villegusien Le Lac',19646),(19669,'52300','Vaux Sur Saint Urbain',19647),(19670,'52190','Vaux Sous Aubigny',19648),(19671,'52410','Chamouilley',19649),(19672,'52300','Joinville',19650),(19673,'52500','Poinson Lès Fayl',19651),(19674,'52130','Vaux Sur Blaise',19652),(19675,'52400','Coiffy Le Bas',19653),(19676,'52220','Thilleux',19654),(19677,'52240','Vroncourt La Côte',19655),(19678,'52160','Vivey',19656),(19679,'52000','Semoutiers Montsaon',19657),(19680,'52110','Brachay',19658),(19681,'52140','Sarrey',19659),(19682,'52400','Aigremont',19660),(19683,'52110','Bouzancourt',19661),(19684,'52300','Maizières',19662),(19685,'52140','Is En Bassigny',19663),(19686,'52300','Curel',19664),(19687,'52150','Germainvilliers',19665),(19688,'52130','Voillecomte',19666),(19689,'52400','Melay',19667),(19690,'52250','Verseilles Le Bas',19668),(19691,'52300','Mathons',19669),(19692,'52150','Nijon',19670),(19693,'52210','Giey Sur Aujon',19671),(19694,'52190','Chassigny',19672),(19695,'52310','Ormoy Lès Sexfontaines',19673),(19696,'52130','Wassy',19674),(19697,'52200','Ormancey',19675),(19698,'52230','Pansey',19676),(19699,'52230','Épizon',19677),(19700,'52410','Roches Sur Marne',19678),(19701,'52360','Orbigny Au Mont',19679),(19702,'52220','Longeville Sur La Laines',19680),(19703,'52360','Celles En Bassigny',19681),(19704,'52300','Autigny Le Petit',19682),(19705,'52230','Thonnance Les Moulins',19683),(19706,'52000','Condes',19684),(19707,'52150','Soulaucourt Sur Mouzon',19685),(19708,'52200','Perrancey Les Vieux Moulins',19686),(19709,'52360','Marcilly En Bassigny',19687),(19710,'52110','Dommartin Le Franc',19688),(19711,'52600','Violot',19689),(19712,'52270','Roches Bettaincourt',19690),(19713,'52240','Mennouveaux',19691),(19714,'52210','Bugnières',19692),(19715,'52200','Noidant Le Rocheux',19693),(19716,'52230','Noncourt Sur Le Rongeant',19694),(19717,'52250','Verseilles Le Haut',19695),(19718,'52800','Foulain',19696),(19719,'52300','Paroy Sur Saulx',19697),(19720,'52200','Balesmes Sur Marne',19698),(19721,'52240','Buxières Lès Clefmont',19699),(19722,'52150','Saint Thiébault',19700),(19723,'52000','Jonchery',19701),(19724,'52400','Fresnes Sur Apance',19702),(19725,'52370','Maranville',19703),(19726,'52360','Neuilly L\'Évêque',19704),(19727,'52160','Germaines',19705),(19728,'52500','Gilley',19706),(19729,'52700','Chantraines',19707),(19730,'52500','Bize',19708),(19731,'52000','Ville Aux Bois',19709),(19732,'52130','Attancourt',19710),(19733,'52340','Biesles',19711),(19734,'52370','Cirfontaines En Azois',19712),(19735,'52000','Neuilly Sur Suize',19713),(19736,'52600','Torcenay',19714),(19737,'52160','Colmier Le Bas',19715),(19738,'52300','Chatonrupt Sommermont',19716),(19739,'52310','Vraincourt',19717),(19740,'52310','Oudincourt',19718),(19741,'52330','Juzennecourt',19719),(19742,'52300','Rouvroy Sur Marne',19720),(19743,'52700','Chalvraines',19721),(19744,'52700','Semilly',19722),(19745,'52200','Vauxbons',19723),(19746,'52330','Lachapelle En Blaisy',19724),(19747,'52360','Changey',19725),(19748,'52700','Andelot Blancheville',19726),(19749,'52110','Nully',19727),(19750,'52300','Thonnance Lès Joinville',19728),(19751,'52110','Arnancourt',19729),(19752,'52260','Chanoy',19730),(19753,'52150','Doncourt Sur Meuse',19731),(19754,'52230','Germisay',19732),(19755,'52800','Vitry Lès Nogent',19733),(19756,'52120','Latrecey Ormoy Sur Aube',19734),(19757,'52700','Aillianville',19735),(19758,'52500','Maizières Sur Amance',19736),(19759,'52600','Celsoy',19737),(19760,'52160','Rouvres Sur Aube',19738),(19761,'52200','Saint Vallier Sur Marne',19739),(19762,'52190','Choilley Dardenay',19740),(19763,'52000','Riaucourt',19741),(19764,'52140','Rangecourt',19742),(19765,'52120','Blessonville',19743),(19766,'52000','Brethenay',19744),(19767,'52500','Valleroy',19745),(19768,'52240','Bassoncourt',19746),(19769,'52200','Peigney',19747),(19770,'52800','Thivet',19748),(19771,'52130','Magneux',19749),(19772,'52260','Rolampont',19750),(19773,'52500','Coublanc',19751),(19774,'52110','Blumeray',19752),(19775,'52400','Serqueux',19753),(19776,'52150','Malaincourt Sur Meuse',19754),(19777,'52800','Marnay Sur Marne',19755),(19778,'52210','Dancevoir',19756),(19779,'52800','Vesaignes Sur Marne',19757),(19780,'52110','Flammerécourt',19758),(19781,'52500','Grenant',19759),(19782,'52250','Longeau Percey',19760),(19783,'52200','Mardor',19761),(19784,'52500','Saulles',19762),(19785,'52210','Arc En Barrois',19763),(19786,'52700','Signéville',19764),(19787,'52300','Guindrecourt Aux Ormes',19765),(19788,'52320','La Genevroye',19766),(19789,'52200','Chatenay Mâcheron',19767),(19790,'52700','Prez Sous Lafauche',19768),(19791,'52190','Rivière Les Fosses',19769),(19792,'52400','Guyonvelle',19770),(19793,'52700','Humberville',19771),(19794,'52320','Mirbel',19772),(19795,'52160','Vitry En Montagne',19773),(19796,'52300','Blécourt',19774),(19797,'52210','Coupray',19775),(19798,'52310','Bologne',19776),(19799,'52130','Allichamps',19777),(19800,'52800','Mandres La Côte',19778),(19801,'52500','Pisseloup',19779),(19802,'52800','Nogent',19780),(19803,'52130','Sommancourt',19781),(19804,'52100','Hallignicourt',19782),(19805,'52230','Aingoulaincourt',19783),(19806,'52500','Belmont',19784),(19807,'52500','Fayl Billot',19785),(19808,'52170','Bayard Sur Marne',19786),(19809,'52220','Puellemontier',19787),(19810,'52210','Aubepierre Sur Aube',19788),(19811,'52190','Prauthoy',19789),(19812,'52130','Fays',19790),(19813,'52150','Champigneulles En Bassigny',19791),(19814,'52300','Mussey Sur Marne',19792),(19815,'52150','Hâcourt',19793),(19816,'52290','Humbécourt',19794),(19817,'52500','Champsevraine',19795),(19818,'52800','Louvières',19796),(19819,'52100','Perthes',19797),(19820,'52360','Poiseul',19798),(19821,'52700','Bourdons Sur Rognon',19799),(19822,'52290','Éclaron Braucourt Sainte Livière',19800),(19823,'52190','Le Val D\'Esnoms',19801),(19824,'52130','Louvemont',19802),(19825,'52190','Dommarien',19803),(19826,'52230','Germay',19804),(19827,'52400','Parnoy En Bassigny',19805),(19828,'52270','Pautaines Augeville',19806),(19829,'52210','Saint Loup Sur Aujon',19807),(19830,'52200','Saint Martin Lès Langres',19808),(19831,'52700','Forcey',19809),(19832,'52200','Voisines',19810),(19833,'52330','Colombey Les Deux Églises',19811),(19834,'52160','Perrogney Les Fontaines',19812),(19835,'52300','Ferrière Et Lafolie',19813),(19836,'52160','Bay Sur Aube',19814),(19837,'52700','Orquevaux',19815),(19838,'52160','Chalancey',19816),(19839,'52400','Damrémont',19817),(19840,'52210','Cour L\'Évêque',19818),(19841,'52100','Bettancourt La Ferrée',19819),(19842,'52000','Chaumont',19820),(19843,'52500','Maâtz',19821),(19844,'52310','Viéville',19822),(19845,'52220','Montier En Der',19823),(19846,'52160','Villars Santenoge',19824),(19847,'52700','Saint Blin',19825),(19848,'52120','Orges',19826),(19849,'52140','Val De Meuse',19827),(19850,'52150','Sommerécourt',19828),(19851,'52310','Annéville La Prairie',19829),(19852,'52330','Curmont',19830),(19853,'52800','Poulangy',19831),(19854,'52300','Saint Urbain Maconcourt',19832),(19855,'52370','Rennepont',19833),(19856,'52360','Orbigny Au Val',19834),(19857,'52140','Lavernoy',19835),(19858,'52250','Aprey',19836),(19859,'52120','Autreville Sur La Renne',19837),(19860,'52130','Brousseval',19838),(19861,'52110','Daillancourt',19839),(19862,'52110','Mertrud',19840),(19863,'52150','Chaumont La Ville',19841),(19864,'52700','Liffol Le Petit',19842),(19865,'52120','Dinteville',19843),(19866,'52110','Beurville',19844),(19867,'52200','Brennes',19845),(19868,'52170','Rachecourt Sur Marne',19846),(19869,'52000','Verbiesles',19847),(19870,'52400','Le Châtelet Sur Meuse',19848),(19871,'52140','Chauffourt',19849),(19872,'52260','Marac',19850),(19873,'52240','Millières',19851),(19874,'52210','Ternat',19852),(19875,'52120','Richebourg',19853),(19876,'52150','Levécourt',19854),(19877,'52000','Luzy Sur Marne',19855),(19878,'52150','Bourg Sainte Marie',19856),(19879,'52130','Troisfontaines La Ville',19857),(19880,'52150','Huilliécourt',19858),(19881,'52700','Busson',19859),(19882,'52210','Villiers Sur Suize',19860),(19883,'52110','Charmes La Grande',19861),(19884,'52150','Outremécourt',19862),(19885,'52200','Humes Jorquenay',19863),(19886,'52100','Villiers En Lieu',19864),(19887,'52360','Bannes',19865),(19888,'52320','Gudmont Villiers',19866),(19889,'52600','Cohons',19867),(19890,'52300','Vecqueville',19868),(19891,'52700','Morionvilliers',19869),(19892,'52260','Faverolles',19870),(19893,'52700','Rimaucourt',19871),(19894,'52360','Dampierre',19872),(19895,'52270','Domremy Landéville',19873),(19896,'52200','Champigny Lès Langres',19874),(19897,'52130','Valleret',19875),(19898,'52230','Échenay',19876),(19899,'52330','Rizaucourt Buchey',19877),(19900,'52130','Domblain',19878),(19901,'52130','Ville En Blaisois',19879),(19902,'52700','Chambroncourt',19880),(19903,'52400','Terre Natale',19881),(19904,'52110','Morancourt',19882),(19905,'52220','Frampas',19883),(19906,'52230','Annonville',19884),(19907,'52220','Planrupt',19885),(19908,'52220','Droyes',19886),(19909,'52300','Effincourt',19887),(19910,'52320','Soncourt Sur Marne',19888),(19911,'52700','Leurville',19889),(19912,'52320','Vouécourt',19890),(19913,'52600','Haute Amance',19891),(19914,'52300','Suzannecourt',19892),(19915,'52130','Rachecourt Suzémont',19893),(19916,'52130','Montreuil Sur Blaise',19894),(19917,'52000','Buxières Lès Villiers',19895),(19918,'52310','Meures',19896),(19919,'52110','Cirey Sur Blaise',19897),(19920,'52200','Saint Ciergues',19898),(19921,'52100','Moëslains',19899),(19922,'52700','Mareilles',19900),(19923,'52140','Rançonnières',19901),(19924,'52500','Velles',19902),(19925,'52500','Rougeux',19903),(19926,'52360','Chatenay Vaudin',19904),(19927,'52200','Bourg',19905),(19928,'52000','Chamarandes Choignes',19906),(19929,'52300','Nomécourt',19907),(19930,'52120','Lanty Sur Aube',19908),(19931,'52260','Beauchemin',19909),(19932,'52130','Doulevant Le Petit',19910),(19933,'52400','Vicq',19911),(19934,'52220','Ceffonds',19912),(19935,'52160','Praslay',19913),(19936,'52500','Arbigny Sous Varennes',19914),(19937,'52270','Doulaincourt Saucourt',19915),(19938,'52200','Langres',19916),(19939,'52160','Poinsenot',19917),(19940,'52600','Grandchamp',19918),(19941,'52600','Chalindrey',19919),(19942,'52100','Saint Dizier',19920),(19943,'52300','Fronville',19921),(19944,'52320','Cerisières',19922),(19945,'52240','Cuves',19923),(19946,'52240','Noyers',19924),(19947,'52310','Lamancine',19925),(19948,'52110','Dommartin Le Saint Père',19926),(19949,'52600','Chaudenay',19927),(19950,'52410','Eurville Bienville',19928),(19951,'52700','Vignes La Côte',19929),(19952,'52190','Villiers Lès Aprey',19930),(19953,'52190','Leuchey',19931),(19954,'52800','Ninville',19932),(19955,'52300','Osne Le Val',19933),(19956,'52400','Enfonvelle',19934),(19957,'52240','Merrey',19935),(19958,'52360','Frécourt',19936),(19959,'52240','Thol Lès Millières',19937),(19960,'52500','Savigny',19938),(19961,'52500','Pressigny',19939),(19962,'52360','Andilly En Bassigny',19940),(19963,'52150','Brainville Sur Meuse',19941),(19964,'52400','Voisey',19942),(19965,'52190','Isômes',19943),(19966,'52150','Illoud',19944),(19967,'52160','Aubérive',19945),(19968,'52800','Poinson Lès Nogent',19946),(19969,'52110','Courcelles Sur Blaise',19947),(19970,'52330','Blaisy',19948),(19971,'52150','Vaudrecourt',19949),(19972,'52240','Maisoncelles',19950),(19973,'52120','Bricon',19951),(19974,'52000','Treix',19952),(19975,'52330','Sexfontaines',19953),(19976,'52170','Fontaines Sur Marne',19954),(19977,'52500','Anrosey',19955),(19978,'52320','Vignory',19956),(19979,'52330','Montheries',19957),(19980,'52330','Vaudrémont',19958),(19981,'52170','Chevillon',19959),(19982,'52320','Froncles',19960),(19983,'52320','Marbéville',19961),(19984,'52700','Clinchamp',19962),(19985,'52250','Baissey',19963),(19986,'52700','Cirey Lès Mareilles',19964),(19987,'52400','Soyers',19965),(19988,'52700','Briaucourt',19966),(19989,'52400','Laneuvelle',19967),(19990,'52250','Orcevaux',19968),(19991,'52300','Rupt',19969),(19992,'52800','Lanques Sur Rognon',19970),(19993,'52230','Cirfontaines En Ornois',19971),(19994,'52340','Ageville',19972),(19995,'52200','Saints Geosmes',19973),(19996,'52000','Villiers Le Sec',19974),(19997,'52240','Perrusse',19975),(19998,'52200','Saint Maurice',19976),(19999,'52700','Montot Sur Rognon',19977),(20000,'52230','Poissons',19978),(20001,'52250','Flagey',19979),(20002,'52120','Braux Le Châtel',19980),(20003,'52600','Heuilley Cotton',19981),(20004,'52150','Harréville Les Chanteurs',19982),(20005,'52190','Vesvres Sous Chalancey',19983),(20006,'52190','Occey',19984),(20007,'52150','Goncourt',19985),(20008,'52120','Laferté Sur Aube',19986),(20009,'52500','Voncourt',19987),(20010,'52160','Colmier Le Haut',19988),(20011,'52190','Saint Broingt Les Fosses',19989),(20012,'52160','Mouilleron',19990),(20013,'52120','Silvarouvres',19991),(20014,'52160','Vaillant',19992),(20015,'52000','Euffigneix',19993),(20016,'52600','Culmont',19994),(20017,'52110','Baudrecourt',19995),(20018,'52130','Bailly Aux Forges',19996),(20019,'52700','Ecot La Combe',19997),(20020,'52150','Graffigny Chemin',19998),(20021,'52240','Choiseul',19999),(20022,'52500','Laferté Sur Amance',20000),(20023,'52700','Consigny',20001),(20024,'52160','Poinson Lès Grancey',20002),(20025,'52160','Rouelles',20003),(20026,'52230','Gillaumé',20004),(20027,'52700','Rochefort Sur La Côte',20005),(20028,'52230','Montreuil Sur Thonnance',20006),(20029,'52240','Daillecourt',20007),(20030,'52500','Farincourt',20008),(20031,'53200','Château Gontier',20009),(20032,'53440','Marcillé La Ville',20010),(20033,'53410','Launay Villiers',20011),(20034,'53970','Montigné Le Brillant',20012),(20035,'53200','Coudray',20013),(20036,'53400','Craon',20014),(20037,'53200','Daon',20015),(20038,'53170','Bazougers',20016),(20039,'53140','La Pallu',20017),(20040,'53140','Saint Cyr En Pail',20018),(20041,'53800','Renazé',20019),(20042,'53240','Saint Germain Le Fouilloux',20020),(20043,'53190','Fougerolles Du Plessis',20021),(20044,'53300','La Haie Traversaine',20022),(20045,'53190','La Dorée',20023),(20046,'53380','Juvigné',20024),(20047,'53250','Charchigné',20025),(20048,'53240','Placé',20026),(20049,'53120','Levaré',20027),(20050,'53500','Saint Pierre Des Landes',20028),(20051,'53250','Le Ham',20029),(20052,'53700','Loupfougères',20030),(20053,'53700','Saint Aubin Du Désert',20031),(20054,'61420','Ravigny',20032),(20055,'53390','Senonnes',20033),(20056,'53240','Saint Germain Le Guillaume',20034),(20057,'53380','Saint Hilaire Du Maine',20035),(20058,'53470','Martigné Sur Mayenne',20036),(20059,'53350','Ballots',20037),(20060,'53190','Landivy',20038),(20061,'53110','Thubœuf',20039),(20062,'53240','La Bigottière',20040),(20063,'53300','Chantrigné',20041),(20064,'53240','Alexain',20042),(20065,'53410','La Gravelle',20043),(20066,'53600','Sainte Gemmes Le Robert',20044),(20067,'53200','Laigné',20045),(20068,'53160','Izé',20046),(20069,'53230','Méral',20047),(20070,'53170','Meslay Du Maine',20048),(20071,'53200','Marigné Peuton',20049),(20072,'53470','Sacé',20050),(20073,'53800','La Selle Craonnaise',20051),(20074,'53470','La Bazouge Des Alleux',20052),(20075,'53410','Port Brillet',20053),(20076,'53220','Saint Mars Sur La Futaie',20054),(20077,'53270','Saint Jean Sur Erve',20055),(20078,'53200','Ampoigné',20056),(20079,'53540','Saint Poix',20057),(20080,'53410','Saint Pierre La Cour',20058),(20081,'53300','Soucé',20059),(20082,'53150','Saint Céneré',20060),(20083,'53350','Saint Michel De La Roë',20061),(20084,'53600','Saint Georges Sur Erve',20062),(20085,'53230','Cossé Le Vivien',20063),(20086,'53170','Saint Charles La Forêt',20064),(20087,'53150','Saint Ouën Des Vallons',20065),(20088,'53160','Trans',20066),(20089,'53500','Saint Denis De Gastines',20067),(20090,'53410','Saint Ouën Des Toits',20068),(20091,'53440','Aron',20069),(20092,'53230','Astillé',20070),(20093,'53150','Saint Christophe Du Luat',20071),(20094,'53140','Pré En Pail',20072),(20095,'53160','Saint Martin De Connée',20073),(20096,'53320','Ruillé Le Gravelais',20074),(20097,'53940','Le Genest Saint Isle',20075),(20098,'53400','Saint Quentin Les Anges',20076),(20099,'53360','Origne',20077),(20100,'53810','Changé',20078),(20101,'53370','Gesvres',20079),(20102,'53270','Torcé Viviers En Charnie',20080),(20103,'53110','Sainte Marie Du Bois',20081),(20104,'53400','Denazé',20082),(20105,'53370','Boulay Les Ifs',20083),(20106,'53340','Bannes',20084),(20107,'53410','La Brûlatte',20085),(20108,'53540','Cuillé',20086),(20109,'53700','Villaines La Juhel',20087),(20110,'53440','La Bazoge Montpinçon',20088),(20111,'53270','Sainte Suzanne',20089),(20112,'53120','Brécé',20090),(20113,'53160','Saint Thomas De Courceriers',20091),(20114,'53290','Saint Michel De Feins',20092),(20115,'53120','Colombiers Du Plessis',20093),(20116,'53230','La Chapelle Craonnaise',20094),(20117,'53210','Soulgé Sur Ouette',20095),(20118,'53290','Saint Loup Du Dorat',20096),(20119,'53400','Athée',20097),(20120,'53340','Préaux',20098),(20121,'53340','Ballée',20099),(20122,'53300','Couesmes Vaucé',20100),(20123,'53170','Ruillé Froid Fonds',20101),(20124,'53370','Champfrémont',20102),(20125,'53260','Forcé',20103),(20126,'53290','Saint Laurent Des Mortiers',20104),(20127,'53260','Parné Sur Roc',20105),(20128,'53290','Beaumont Pied De Bœuf',20106),(20129,'53220','Saint Berthevin La Tannière',20107),(20130,'53200','Longuefuye',20108),(20131,'53350','Fontaine Couverte',20109),(20132,'53800','La Boissière',20110),(20133,'53640','Le Ribay',20111),(20134,'53390','Saint Erblon',20112),(20135,'53170','Le Bignon Du Maine',20113),(20136,'53300','Oisseau',20114),(20137,'53290','Saint Brice',20115),(20138,'53110','Saint Julien Du Terroux',20116),(20139,'53940','Ahuillé',20117),(20140,'53400','Mée',20118),(20141,'53220','Larchamp',20119),(20142,'53290','Bouessay',20120),(20143,'53700','Averton',20121),(20144,'53230','Courbeveille',20122),(20145,'53400','Chérancé',20123),(20146,'53250','Saint Aignan De Couptrain',20124),(20147,'53270','Chammes',20125),(20148,'53440','Belgeard',20126),(20149,'53160','Bais',20127),(20150,'53290','Bouère',20128),(20151,'53320','Loiron',20129),(20152,'53240','Saint Jean Sur Mayenne',20130),(20153,'53100','Parigné Sur Braye',20131),(20154,'53390','La Rouaudière',20132),(20155,'53500','Montenay',20133),(20156,'53500','Ernée',20134),(20157,'53160','Saint Pierre Sur Orthe',20135),(20158,'53210','Argentré',20136),(20159,'53340','Saulges',20137),(20160,'53250','Javron Les Chapelles',20138),(20161,'53350','La Roë',20139),(20162,'53250','Madré',20140),(20163,'53220','Saint Ellier Du Maine',20141),(20164,'53950','Louverné',20142),(20165,'53360','Peuton',20143),(20166,'53290','Argenton Notre Dame',20144),(20167,'53420','Chailland',20145),(20168,'53100','Saint Baudelle',20146),(20169,'53540','Gastines',20147),(20170,'53230','Cosmes',20148),(20171,'53200','Ménil',20149),(20172,'53250','Villepail',20150),(20173,'53600','Voutré',20151),(20174,'53150','Deux Évailles',20152),(20175,'53150','Livet',20153),(20176,'53940','Saint Berthevin',20154),(20177,'53340','Cossé En Champagne',20155),(20178,'53200','Gennes Sur Glaize',20156),(20179,'53360','Quelaines Saint Gault',20157),(20180,'53200','Azé',20158),(20181,'53170','La Bazouge De Chemeré',20159),(20182,'53150','Montourtier',20160),(20183,'53190','Désertines',20161),(20184,'53700','Crennes Sur Fraubée',20162),(20185,'53120','Saint Aubin Fosse Louvain',20163),(20186,'53150','Brée',20164),(20187,'53300','Ambrières Les Vallées',20165),(20188,'53300','Saint Fraimbault De Prières',20166),(20189,'53160','Champgenéteux',20167),(20190,'53250','Couptrain',20168),(20191,'53410','Le Bourgneuf La Forêt',20169),(20192,'53270','Thorigné En Charnie',20170),(20193,'53200','Saint Fort',20171),(20194,'53250','Chevaigné Du Maine',20172),(20195,'53200','Chemazé',20173),(20196,'53100','Mayenne',20174),(20197,'53700','Saint Germain De Coulamer',20175),(20198,'53440','La Chapelle Au Riboul',20176),(20199,'53370','Saint Pierre Des Nids',20177),(20200,'53100','Moulay',20178),(20201,'53140','Lignières Orgères',20179),(20202,'53600','Châtres La Forêt',20180),(20203,'53120','Carelles',20181),(20204,'53120','Gorron',20182),(20205,'53160','Vimarcé',20183),(20206,'53120','Lesbois',20184),(20207,'53600','Mézangers',20185),(20208,'53110','Le Housseau Brétignolles',20186),(20209,'53540','Laubrières',20187),(20210,'53170','Villiers Charlemagne',20188),(20211,'53800','Bouchamps Lès Craon',20189),(20212,'53290','Saint Denis D\'Anjou',20190),(20213,'53240','Saint Germain D\'Anxure',20191),(20214,'53410','Olivet',20192),(20215,'53150','Gesnes',20193),(20216,'53160','Hambers',20194),(20217,'53120','Vieuvy',20195),(20218,'53440','Grazay',20196),(20219,'53360','Saint Sulpice',20197),(20220,'53480','Saint Léger',20198),(20221,'53250','Neuilly Le Vendin',20199),(20222,'53270','Saint Pierre Sur Erve',20200),(20223,'53970','L\'Huisserie',20201),(20224,'53640','Montreuil Poulay',20202),(20225,'53110','Lassay Les Châteaux',20203),(20226,'53800','Saint Saturnin Du Limet',20204),(20227,'53320','Montjean',20205),(20228,'53320','Saint Cyr Le Gravelais',20206),(20229,'53950','La Chapelle Anthenaise',20207),(20230,'53480','Saint Georges Le Fléchard',20208),(20231,'53350','Brains Sur Les Marches',20209),(20232,'53170','Saint Denis Du Maine',20210),(20233,'53170','Le Buret',20211),(20234,'53340','Chémeré Le Roi',20212),(20235,'53100','Contest',20213),(20236,'53400','Livré La Touche',20214),(20237,'53200','Loigné Sur Mayenne',20215),(20238,'53300','Saint Mars Sur Colmont',20216),(20239,'53110','Rennes En Grenouilles',20217),(20240,'53290','Grez En Bouère',20218),(20241,'53800','Saint Martin Du Limet',20219),(20242,'53380','La Croixille',20220),(20243,'53140','Saint Samson',20221),(20244,'53290','Bierné',20222),(20245,'53170','Arquenay',20223),(20246,'53400','Pommerieux',20224),(20247,'53200','Châtelain',20225),(20248,'53640','Hardanges',20226),(20249,'53700','Courcité',20227),(20250,'53600','Assé Le Bérenger',20228),(20251,'53120','Hercé',20229),(20252,'53240','Montflours',20230),(20253,'53300','Le Pas',20231),(20254,'53640','Le Horps',20232),(20255,'53480','Vaiges',20233),(20256,'53210','Louvigné',20234),(20257,'53300','Saint Loup Du Gast',20235),(20258,'53360','Simplé',20236),(20259,'53100','Châtillon Sur Colmont',20237),(20260,'53270','Blandouet',20238),(20261,'53340','Épineux Le Seguin',20239),(20262,'53220','Pontmain',20240),(20263,'53200','Fromentières',20241),(20264,'53600','Évron',20242),(20265,'53960','Bonchamp Lès Laval',20243),(20266,'53240','Andouillé',20244),(20267,'53150','Neau',20245),(20268,'53220','Montaudin',20246),(20269,'53100','Saint Georges Buttavent',20247),(20270,'53410','Bourgon',20248),(20271,'53160','Jublains',20249),(20272,'53470','Châlons Du Maine',20250),(20273,'53320','Beaulieu Sur Oudon',20251),(20274,'53400','Niafles',20252),(20275,'53500','Vautorte',20253),(20276,'53640','Champéon',20254),(20277,'53800','Congrier',20255),(20278,'53150','Montsûrs',20256),(20279,'53390','Saint Aignan Sur Roë',20257),(20280,'53000','Laval',20258),(20281,'53240','La Baconnière',20259),(20282,'53170','Maisoncelles Du Maine',20260),(20283,'53140','Saint Calais Du Désert',20261),(20284,'53170','La Cropte',20262),(20285,'53470','Commer',20263),(20286,'53150','La Chapelle Rainsouin',20264),(20287,'53220','La Pellerine',20265),(20288,'53360','Houssay',20266),(20289,'53970','Nuillé Sur Vicoin',20267),(20290,'53260','Entrammes',20268),(20291,'53700','Saint Mars Du Désert',20269),(20292,'54480','Bertrambois',20270),(20293,'54290','Roville Devant Bayon',20271),(20294,'54670','Millery',20272),(20295,'54150','Norroy Le Sec',20273),(20296,'54830','Gerbéviller',20274),(20297,'54560','Fillières',20275),(20298,'54290','Haigneville',20276),(20299,'54300','Rehainviller',20277),(20300,'54240','Jœuf',20278),(20301,'54490','Piennes',20279),(20302,'54115','Beuvezin',20280),(20303,'54120','Merviller',20281),(20304,'54210','Manoncourt En Vermois',20282),(20305,'54380','Ville Au Val',20283),(20306,'54450','Blamont',20284),(20307,'54800','Bruville',20285),(20308,'54200','Royaumeix',20286),(20309,'54112','Uruffe',20287),(20310,'54120','Deneuvre',20288),(20311,'54860','Haucourt Moulaine',20289),(20312,'54260','Saint Jean Lès Longuyon',20290),(20313,'54330','Clérey Sur Brenon',20291),(20314,'54510','Tomblaine',20292),(20315,'54800','Gondrecourt Aix',20293),(20316,'54130','Dommartemont',20294),(20317,'54470','Hagéville',20295),(20318,'54740','Xirocourt',20296),(20319,'54115','Gémonville',20297),(20320,'54290','Froville',20298),(20321,'54112','Vannes Le Châtel',20299),(20322,'54280','Moncel Sur Seille',20300),(20323,'54290','Loromontzey',20301),(20324,'54200','Francheville',20302),(20325,'54385','Domèvre En Haye',20303),(20326,'54113','Crézilles',20304),(20327,'54740','Lebeuville',20305),(20328,'54300','Thiébauménil',20306),(20329,'54470','Seicheprey',20307),(20330,'54330','Parey Saint Césaire',20308),(20331,'54450','Domèvre Sur Vezouze',20309),(20332,'54480','Petitmont',20310),(20333,'54690','Lay Saint Christophe',20311),(20334,'54115','Vandeléville',20312),(20335,'54580','Moineville',20313),(20336,'54115','Favières',20314),(20337,'54330','Marthemont',20315),(20338,'54930','Forcelles Sous Gugney',20316),(20339,'54160','Pulligny',20317),(20340,'54170','Germiny',20318),(20341,'54480','Saint Sauveur',20319),(20342,'54300','Hériménil',20320),(20343,'54470','Hamonville',20321),(20344,'54370','Vaucourt',20322),(20345,'54800','Abbéville Lès Conflans',20323),(20346,'54210','Tonnoy',20324),(20347,'54370','Juvrecourt',20325),(20348,'54840','Velaine En Haye',20326),(20349,'54610','Thézey Saint Martin',20327),(20350,'54830','Haudonville',20328),(20351,'54380','Bezaumont',20329),(20352,'54450','Nonhigny',20330),(20353,'54440','Herserange',20331),(20354,'54830','Franconville',20332),(20355,'54380','Landremont',20333),(20356,'54122','Flin',20334),(20357,'54740','Vaudeville',20335),(20358,'54620','Bazailles',20336),(20359,'54470','Viéville En Haye',20337),(20360,'54890','Chambley Bussières',20338),(20361,'54200','Sanzey',20339),(20362,'54120','Thiaville Sur Meurthe',20340),(20363,'54470','Bernécourt',20341),(20364,'54970','Landres',20342),(20365,'54280','Erbéviller Sur Amezule',20343),(20366,'54450','Montreux',20344),(20367,'54470','Pannes',20345),(20368,'54200','Écrouves',20346),(20369,'54700','Montauville',20347),(20370,'54610','Phlin',20348),(20371,'54115','Tramont Lassus',20349),(20372,'54170','Barisey Au Plain',20350),(20373,'54370','Xousse',20351),(20374,'54590','Hussigny Godbrange',20352),(20375,'54200','Choloy Ménillot',20353),(20376,'54570','Trondes',20354),(20377,'54480','Val Et Châtillon',20355),(20378,'54115','Dommarie Eulmont',20356),(20379,'54220','Malzéville',20357),(20380,'54260','Épiez Sur Chiers',20358),(20381,'54200','Boucq',20359),(20382,'54850','Messein',20360),(20383,'54450','Avricourt',20361),(20384,'54350','Mont Saint Martin',20362),(20385,'54470','Grosrouvres',20363),(20386,'54810','Longlaville',20364),(20387,'54420','Pulnoy',20365),(20388,'54110','Anthelupt',20366),(20389,'54115','Pulney',20367),(20390,'54450','Ancerviller',20368),(20391,'54930','Diarville',20369),(20392,'54840','Gondreville',20370),(20393,'54180','Houdemont',20371),(20394,'54210','Azelot',20372),(20395,'54380','Gézoncourt',20373),(20396,'54370','Deuxville',20374),(20397,'54170','Allain',20375),(20398,'54560','Anderny',20376),(20399,'54210','Burthecourt Aux Chênes',20377),(20400,'54170','Barisey La Côte',20378),(20401,'54370','Serres',20379),(20402,'54385','Minorville',20380),(20403,'54330','Omelmont',20381),(20404,'54980','Batilly',20382),(20405,'54360','Méhoncourt',20383),(20406,'54480','Tanconville',20384),(20407,'54540','Neufmaisons',20385),(20408,'54200','Bicqueley',20386),(20409,'54740','Leménil Mitry',20387),(20410,'54410','Laneuveville Devant Nancy',20388),(20411,'54490','Preutin Higny',20389),(20412,'54560','Sancy',20390),(20413,'54470','Dampvitoux',20391),(20414,'54210','Saint Nicolas De Port',20392),(20415,'54110','Varangéville',20393),(20416,'54140','Jarville La Malgrange',20394),(20417,'54830','Vennezey',20395),(20418,'54760','Faulx',20396),(20419,'54330','Étreval',20397),(20420,'54800','Boncourt',20398),(20421,'54115','Gélaucourt',20399),(20422,'54330','Vroncourt',20400),(20423,'54620','Doncourt Lès Longuyon',20401),(20424,'54160','Pierreville',20402),(20425,'54800','Labry',20403),(20426,'54700','Blénod Lès Pont À Mousson',20404),(20427,'54620','Baslieux',20405),(20428,'54129','Magnières',20406),(20429,'54360','Damelevières',20407),(20430,'54800','Jouaville',20408),(20431,'54450','Frémonville',20409),(20432,'54950','Laronxe',20410),(20433,'54450','Saint Martin',20411),(20434,'54380','Dieulouard',20412),(20435,'54470','Dommartin La Chaussée',20413),(20436,'54330','Vaudémont',20414),(20437,'54136','Bouxières Aux Dames',20415),(20438,'54610','Rouves',20416),(20439,'54300','Jolivet',20417),(20440,'54210','Saffais',20418),(20441,'54800','Jarny',20419),(20442,'54120','Reherrey',20420),(20443,'54450','Réclonville',20421),(20444,'54470','Mandres Aux Quatre Tours',20422),(20445,'54820','Marbache',20423),(20446,'54118','Moyen',20424),(20447,'54700','Villers Sous Prény',20425),(20448,'54700','Lesménils',20426),(20449,'54920','Morfontaine',20427),(20450,'54550','Maizières',20428),(20451,'54290','Domptail En L\'Air',20429),(20452,'54450','Gondrexon',20430),(20453,'54290','Borville',20431),(20454,'54560','Malavillers',20432),(20455,'54800','Hannonville Suzémont',20433),(20456,'54330','Houdelmont',20434),(20457,'54570','Foug',20435),(20458,'54370','Drouville',20436),(20459,'54770','Dommartin Sous Amance',20437),(20460,'54530','Arnaville',20438),(20461,'54470','Euvezin',20439),(20462,'54170','Selaincourt',20440),(20463,'54110','Buissoncourt',20441),(20464,'54540','Veney',20442),(20465,'54550','Sexey Aux Forges',20443),(20466,'54700','Maidières',20444),(20467,'54370','Athienville',20445),(20468,'54380','Martincourt',20446),(20469,'54370','Valhey',20447),(20470,'54170','Saulxures Lès Vannes',20448),(20471,'54420','Saulxures Lès Nancy',20449),(20472,'54290','Saint Boingt',20450),(20473,'54110','Rosières Aux Salines',20451),(20474,'54190','Villerupt',20452),(20475,'54570','Lay Saint Remy',20453),(20476,'54770','Laître Sous Amance',20454),(20477,'54680','Errouville',20455),(20478,'54360','Barbonville',20456),(20479,'54450','Autrepierre',20457),(20480,'54450','Halloville',20458),(20481,'54540','Saint Maurice Aux Forges',20459),(20482,'54690','Eulmont',20460),(20483,'54115','Lalœuf',20461),(20484,'54110','Sommerviller',20462),(20485,'54610','Nomeny',20463),(20486,'54760','Arraye Et Han',20464),(20487,'54290','Rozelieures',20465),(20488,'54470','Rembercourt Sur Mad',20466),(20489,'54330','Goviller',20467),(20490,'54830','Vallois',20468),(20491,'54890','Waville',20469),(20492,'54110','Crévic',20470),(20493,'54550','Bainville Sur Madon',20471),(20494,'54370','Bathelémont',20472),(20495,'54280','Sornéville',20473),(20496,'54390','Frouard',20474),(20497,'54360','Landécourt',20475),(20498,'54200','Villey Saint Étienne',20476),(20499,'54470','Thiaucourt Regniéville',20477),(20500,'54370','Bauzemont',20478),(20501,'54470','Xammes',20479),(20502,'54450','Gogney',20480),(20503,'54470','Beaumont',20481),(20504,'54116','Praye',20482),(20505,'54700','Vilcey Sur Trey',20483),(20506,'54700','Vittonville',20484),(20507,'54110','Flainval',20485),(20508,'54610','Raucourt',20486),(20509,'54700','Bouxières Sous Froidmont',20487),(20510,'54470','Charey',20488),(20511,'54530','Prény',20489),(20512,'54110','Réméréville',20490),(20513,'54540','Badonviller',20491),(20514,'54470','Limey Remenauville',20492),(20515,'54450','Bénaménil',20493),(20516,'54870','Cons La Grandville',20494),(20517,'54740','Crantenoy',20495),(20518,'54450','Leintrey',20496),(20519,'54610','Sivry',20497),(20520,'54111','Mont Bonvillers',20498),(20521,'54420','Cerville',20499),(20522,'54720','Cutry',20500),(20523,'54122','Fontenoy La Joûte',20501),(20524,'54640','Bettainvillers',20502),(20525,'54385','Manoncourt En Woëvre',20503),(20526,'54450','Barbas',20504),(20527,'54380','Rogéville',20505),(20528,'54115','Battigny',20506),(20529,'54830','Giriviller',20507),(20530,'54630','Richardménil',20508),(20531,'54610','Létricourt',20509),(20532,'54470','Saint Baussant',20510),(20533,'54960','Mercy Le Bas',20511),(20534,'54770','Agincourt',20512),(20535,'54112','Allamps',20513),(20536,'54490','Xivry Circourt',20514),(20537,'54114','Jeandelaincourt',20515),(20538,'54470','Bouillonville',20516),(20539,'54400','Longwy',20517),(20540,'54490','Joudreville',20518),(20541,'54830','Seranville',20519),(20542,'54760','Armaucourt',20520),(20543,'54150','Mance',20521),(20544,'54120','Brouville',20522),(20545,'54290','Neuviller Sur Moselle',20523),(20546,'54130','Saint Max',20524),(20547,'54360','Einvaux',20525),(20548,'54800','Olley',20526),(20549,'54280','Champenoux',20527),(20550,'54800','Béchamps',20528),(20551,'54990','Xeuilley',20529),(20552,'54370','Xures',20530),(20553,'54620','Boismont',20531),(20554,'54100','Nancy',20532),(20555,'54610','Belleau',20533),(20556,'54200','Lucey',20534),(20557,'54760','Leyr',20535),(20558,'54610','Clémery',20536),(20559,'54700','Port Sur Seille',20537),(20560,'54480','Parux',20538),(20561,'54115','Tramont Saint André',20539),(20562,'54170','Ochey',20540),(20563,'54460','Aingeray',20541),(20564,'54540','Montigny',20542),(20565,'54290','Gripport',20543),(20566,'54540','Pexonne',20544),(20567,'54370','Réchicourt La Petite',20545),(20568,'54260','Petit Failly',20546),(20569,'54710','Fléville Devant Nancy',20547),(20570,'54830','Mattexey',20548),(20571,'54870','Villers La Chèvre',20549),(20572,'54330','Vitrey',20550),(20573,'54110','Hudiviller',20551),(20574,'54260','Fresnois La Montagne',20552),(20575,'54360','Vigneulles',20553),(20576,'54660','Moutiers',20554),(20577,'54113','Charmes La Côte',20555),(20578,'54385','Noviant Aux Prés',20556),(20579,'54830','Moriviller',20557),(20580,'54210','Lupcourt',20558),(20581,'54370','Arracourt',20559),(20582,'54170','Crépey',20560),(20583,'54300','Crion',20561),(20584,'54200','Chaudeney Sur Moselle',20562),(20585,'54620','Pierrepont',20563),(20586,'54470','Jaulny',20564),(20587,'54120','Bertrichamps',20565),(20588,'54150','Anoux',20566),(20589,'54120','Hablainville',20567),(20590,'54800','Friauville',20568),(20591,'54730','Gorcy',20569),(20592,'54370','Hoéville',20570),(20593,'54360','Blainville Sur L\'Eau',20571),(20594,'54700','Sainte Geneviève',20572),(20595,'54170','Mont L\'Étroit',20573),(20596,'54940','Belleville',20574),(20597,'54540','Angomont',20575),(20598,'54770','Bouxières Aux Chênes',20576),(20599,'54113','Mont Le Vignoble',20577),(20600,'54670','Custines',20578),(20601,'54260','Tellancourt',20579),(20602,'54385','Tremblecourt',20580),(20603,'54720','Chenières',20581),(20604,'54115','Thorey Lyautey',20582),(20605,'54620','Saint Supplet',20583),(20606,'54540','Mignéville',20584),(20607,'54230','Chaligny',20585),(20608,'54830','Essey La Côte',20586),(20609,'54210','Ferrières',20587),(20610,'54330','Chaouilley',20588),(20611,'54370','Raville Sur Sânon',20589),(20612,'54800','Hatrize',20590),(20613,'54470','Fey En Haye',20591),(20614,'54370','Laneuveville Aux Bois',20592),(20615,'54370','Remoncourt',20593),(20616,'54260','Othe',20594),(20617,'54580','Saint Ail',20595),(20618,'54290','Lorey',20596),(20619,'54780','Giraumont',20597),(20620,'54120','Baccarat',20598),(20621,'54300','Bonviller',20599),(20622,'54760','Bey Sur Seille',20600),(20623,'54290','Saint Germain',20601),(20624,'54700','Morville Sur Seille',20602),(20625,'54260','Grand Failly',20603),(20626,'54200','Pierre La Treiche',20604),(20627,'54740','Lemainville',20605),(20628,'54650','Saulnes',20606),(20629,'54290','Saint Mard',20607),(20630,'54190','Tiercelet',20608),(20631,'54470','Flirey',20609),(20632,'54620','Beuveille',20610),(20633,'54115','Saulxerotte',20611),(20634,'54135','Mexy',20612),(20635,'54170','Bagneux',20613),(20636,'54760','Lanfroicourt',20614),(20637,'54950','Saint Clément',20615),(20638,'54890','Onville',20616),(20639,'54720','Laix',20617),(20640,'54880','Thil',20618),(20641,'54540','Bionville',20619),(20642,'54200','Ménil La Tour',20620),(20643,'54760','Villers Lès Moivrons',20621),(20644,'54150','Mairy Mainville',20622),(20645,'54840','Fontenoy Sur Moselle',20623),(20646,'54370','Bures',20624),(20647,'54490','Murville',20625),(20648,'54800','Doncourt Lès Conflans',20626),(20649,'54540','Bréménil',20627),(20650,'54122','Glonville',20628),(20651,'54370','Einville Au Jard',20629),(20652,'54385','Rosières En Haye',20630),(20653,'54790','Mancieulles',20631),(20654,'54480','Cirey Sur Vezouze',20632),(20655,'54800','Conflans En Jarnisy',20633),(20656,'54450','Ogéviller',20634),(20657,'54540','Sainte Pôle',20635),(20658,'54160','Frôlois',20636),(20659,'54170','Thuilley Aux Groseilles',20637),(20660,'54113','Bulligny',20638),(20661,'54120','Vaxainville',20639),(20662,'54290','Velle Sur Moselle',20640),(20663,'54740','Jevoncourt',20641),(20664,'54120','Pettonville',20642),(20665,'54300','Marainviller',20643),(20666,'54700','Loisy',20644),(20667,'54930','Fraisnes En Saintois',20645),(20668,'54830','Remenoville',20646),(20669,'54340','Pompey',20647),(20670,'54770','Amance',20648),(20671,'54300','Manonviller',20649),(20672,'54700','Atton',20650),(20673,'54119','Domgermain',20651),(20674,'54540','Fenneviller',20652),(20675,'54370','Emberménil',20653),(20676,'54930','Saint Firmin',20654),(20677,'54800','Xonville',20655),(20678,'54200','Dommartin Lès Toul',20656),(20679,'54280','Mazerulles',20657),(20680,'54360','Mont Sur Meurthe',20658),(20681,'54700','Norroy Lès Pont À Mousson',20659),(20682,'54134','Voinémont',20660),(20683,'54700','Jezainville',20661),(20684,'54300','Sionviller',20662),(20685,'54720','Lexy',20663),(20686,'54840','Villey Le Sec',20664),(20687,'54120','Chapelle',20665),(20688,'54620','Joppécourt',20666),(20689,'54360','Romain',20667),(20690,'54450','Harbouey',20668),(20691,'54730','Saint Pancré',20669),(20692,'54300','Croismare',20670),(20693,'54870','Ugny',20671),(20694,'54300','Moncel Lès Lunéville',20672),(20695,'54260','Allondrelle La Malmaison',20673),(20696,'54300','Vitrimont',20674),(20697,'54800','Allamont',20675),(20698,'54890','Villecey Sur Mad',20676),(20699,'54710','Ludres',20677),(20700,'54470','Saint Julien Lès Gorze',20678),(20701,'54230','Mâron',20679),(20702,'54700','Champey Sur Moselle',20680),(20703,'54450','Repaix',20681),(20704,'54870','Montigny Sur Chiers',20682),(20705,'54450','Chazelles Sur Albe',20683),(20706,'54470','Ansauville',20684),(20707,'54630','Flavigny Sur Moselle',20685),(20708,'54150','Fléville Lixières',20686),(20709,'54550','Pont Saint Vincent',20687),(20710,'54200','Jaillon',20688),(20711,'54760','Moivrons',20689),(20712,'54740','Benney',20690),(20713,'54730','Ville Houdlémont',20691),(20714,'54800','Saint Marcel',20692),(20715,'54450','Igney',20693),(20716,'54560','Serrouville',20694),(20717,'54610','Mailly Sur Seille',20695),(20718,'54450','Herbéviller',20696),(20719,'54430','Réhon',20697),(20720,'54740','Laneuveville Devant Bayon',20698),(20721,'54260','Longuyon',20699),(20722,'54330','Thélod',20700),(20723,'54150','Lubey',20701),(20724,'54800','Puxe',20702),(20725,'54470','Lironville',20703),(20726,'54740','Bralleville',20704),(20727,'54260','Charency Vezin',20705),(20728,'54700','Pont À Mousson',20706),(20729,'54385','Avrainville',20707),(20730,'54290','Mangonville',20708),(20731,'54260','Colmey',20709),(20732,'54450','Verdenal',20710),(20733,'54290','Brémoncourt',20711),(20734,'54450','Blémerey',20712),(20735,'54116','Tantonville',20713),(20736,'54123','Viterne',20714),(20737,'54150','Baroches',20715),(20738,'54330','Vézelise',20716),(20739,'54250','Champigneulles',20717),(20740,'54610','Chenicourt',20718),(20741,'54190','Bréhain La Ville',20719),(20742,'54740','Ormes Et Ville',20720),(20743,'54380','Griscourt',20721),(20744,'54290','Saint Rémy Aux Bois',20722),(20745,'54560','Beuvillers',20723),(20746,'54930','They Sous Vaudemont',20724),(20747,'54370','Parroy',20725),(20748,'54930','Gugney',20726),(20749,'54750','Trieux',20727),(20750,'54115','Aboncourt',20728),(20751,'54450','Fréménil',20729),(20752,'54290','Virecourt',20730),(20753,'54300','Chanteheux',20731),(20754,'54385','Manonville',20732),(20755,'54150','Briey',20733),(20756,'54610','Bratte',20734),(20757,'54113','Moutrot',20735),(20758,'54930','Bouzanville',20736),(20759,'54150','Lantéfontaine',20737),(20760,'54200','Bruley',20738),(20761,'54280','Brin Sur Seille',20739),(20762,'54740','Saint Remimont',20740),(20763,'54160','Autrey',20741),(20764,'54150','Avril',20742),(20765,'54120','Gélacourt',20743),(20766,'54890','Bayonville Sur Mad',20744),(20767,'54470','Mamey',20745),(20768,'54300','Xermaménil',20746),(20769,'54800','Affléville',20747),(20770,'54370','Coincourt',20748),(20771,'54330','Houdreville',20749),(20772,'54113','Blénod Lès Toul',20750),(20773,'54280','Velaine Sous Amance',20751),(20774,'54540','Neuviller Lès Badonviller',20752),(20775,'54740','Germonville',20753),(20776,'54134','Ceintrey',20754),(20777,'54450','Vého',20755),(20778,'54290','Crévéchamps',20756),(20779,'54180','Heillecourt',20757),(20780,'54930','Housséville',20758),(20781,'54110','Lenoncourt',20759),(20782,'54800','Puxieux',20760),(20783,'54300','Lunéville',20761),(20784,'54800','Sponville',20762),(20785,'54740','Haroué',20763),(20786,'54470','Essey Et Maizerais',20764),(20787,'54290','Clayeures',20765),(20788,'54740','Gerbécourt Et Haplemont',20766),(20789,'54290','Villacourt',20767),(20790,'54270','Essey Lès Nancy',20768),(20791,'54280','Seichamps',20769),(20792,'54200','Lagney',20770),(20793,'54320','Maxéville',20771),(20794,'54800','Ville Sur Yron',20772),(20795,'54500','Vandœuvre Lès Nancy',20773),(20796,'54330','Ognéville',20774),(20797,'54680','Crusnes',20775),(20798,'54115','Tramont Émy',20776),(20799,'54580','Auboué',20777),(20800,'54450','Reillon',20778),(20801,'54800','Jeandelize',20779),(20802,'54230','Neuves Maisons',20780),(20803,'54115','Grimonviller',20781),(20804,'54540','Raon Lès Leau',20782),(20805,'54280','Laneuvelotte',20783),(20806,'54360','Charmois',20784),(20807,'54110','Dombasle Sur Meurthe',20785),(20808,'54740','Affracourt',20786),(20809,'54300','Bienville La Petite',20787),(20810,'54170','Dolcourt',20788),(20811,'54380','Autreville Sur Moselle',20789),(20812,'54260','Villette',20790),(20813,'54890','Vandelainville',20791),(20814,'54330','Hammeville',20792),(20815,'54850','Méréville',20793),(20816,'54800','Brainville',20794),(20817,'54200','Toul',20795),(20818,'54370','Mouacourt',20796),(20819,'54122','Vathiménil',20797),(20820,'54230','Chavigny',20798),(20821,'54110','Courbesseaux',20799),(20822,'54600','Villers Lès Nancy',20800),(20823,'54700','Mousson',20801),(20824,'54800','Thumeréville',20802),(20825,'54760','Montenoy',20803),(20826,'54610','Éply',20804),(20827,'54112','Gibeaumeix',20805),(20828,'54800','Tronville',20806),(20829,'54200','Andilly',20807),(20830,'54380','Villers En Haye',20808),(20831,'54800','Mars La Tour',20809),(20832,'54200','Bouvron',20810),(20833,'54330','Saxon Sion',20811),(20834,'54740','Vaudigny',20812),(20835,'54330','Quevilloncourt',20813),(20836,'54290','Bainville Aux Miroirs',20814),(20837,'54122','Chenevières',20815),(20838,'54840','Sexey Les Bois',20816),(20839,'54490','Domprix',20817),(20840,'54570','Laneuveville Derrière Foug',20818),(20841,'54122','Azerailles',20819),(20842,'54610','Abaucourt',20820),(20843,'54450','Amenoncourt',20821),(20844,'54620','Ville Au Montois',20822),(20845,'54150','Ozerailles',20823),(20846,'54260','Villers Le Rond',20824),(20847,'54460','Liverdun',20825),(20848,'54370','Maixe',20826),(20849,'54490','Avillers',20827),(20850,'54110','Haraucourt',20828),(20851,'54640','Tucquegnieux',20829),(20852,'54800','Mouaville',20830),(20853,'54530','Pagny Sur Moselle',20831),(20854,'54121','Vandières',20832),(20855,'54380','Saizerais',20833),(20856,'54450','Domjevin',20834),(20857,'54290','Bayon',20835),(20858,'54310','Homécourt',20836),(20859,'54400','Cosnes Et Romain',20837),(20860,'54920','Villers La Montagne',20838),(20861,'54260','Viviers Sur Chiers',20839),(20862,'54330','Forcelles Saint Gorgon',20840),(20863,'54210','Ville En Vermois',20841),(20864,'54113','Gye',20842),(20865,'54300','Lamath',20843),(20866,'54170','Colombey Les Belles',20844),(20867,'54115','Fécocourt',20845),(20868,'54930','Courcelles',20846),(20869,'54910','Valleroy',20847),(20870,'54540','Vacqueville',20848),(20871,'54200','Pagney Derrière Barine',20849),(20872,'54670','Malleloy',20850),(20873,'54540','Pierre Percée',20851),(20874,'54110','Gellenoncourt',20852),(20875,'54210','Coyviller',20853),(20876,'54560','Audun Le Roman',20854),(20877,'54520','Laxou',20855),(20878,'54370','Hénaménil',20856),(20879,'54290','Haussonville',20857),(20880,'54370','Bezange La Grande',20858),(20881,'54620','Han Devant Pierrepont',20859),(20882,'54510','Art Sur Meurthe',20860),(20883,'54300','Fraimbois',20861),(20884,'54560','Mercy Le Haut',20862),(20885,'54450','Buriville',20863),(20886,'55140','Rigny Saint Martin',20864),(20887,'55270','Montfaucon D\'Argonne',20865),(20888,'55800','Vassincourt',20866),(20889,'55110','Saulmory Et Villefranche',20867),(20890,'55200','Saint Julien Sous Les Côtes',20868),(20891,'55300','Apremont La Forêt',20869),(20892,'55240','Éton',20870),(20893,'55190','Sorcy Saint Martin',20871),(20894,'55400','Gussainville',20872),(20895,'55600','Han Lès Juvigny',20873),(20896,'55110','Dun Sur Meuse',20874),(20897,'55600','Vigneul Sous Montmédy',20875),(20898,'55110','Regnéville Sur Meuse',20876),(20899,'55170','Baudonvilliers',20877),(20900,'55260','Raival',20878),(20901,'55160','Harville',20879),(20902,'55300','Loupmont',20880),(20903,'55140','Taillancourt',20881),(20904,'55260','Levoncourt',20882),(20905,'55290','Couvertpuis',20883),(20906,'55500','Grimaucourt Près Sampigny',20884),(20907,'55290','Mandres En Barrois',20885),(20908,'55230','Pillon',20886),(20909,'55600','Juvigny Sur Loison',20887),(20910,'55150','Gremilly',20888),(20911,'55300','Chauvoncourt',20889),(20912,'55500','Le Bouchon Sur Saulx',20890),(20913,'55500','Nançois Le Grand',20891),(20914,'55300','Rouvrois Sur Meuse',20892),(20915,'55000','Behonne',20893),(20916,'55300','Buxières Sous Les Côtes',20894),(20917,'55110','Bantheville',20895),(20918,'55300','Kœur La Grande',20896),(20919,'55110','Brieulles Sur Meuse',20897),(20920,'55130','Houdelaincourt',20898),(20921,'55150','Ville Devant Chaumont',20899),(20922,'55130','Amanty',20900),(20923,'55160','Saulx Lès Champlon',20901),(20924,'55600','Écouviez',20902),(20925,'55000','Robert Espagne',20903),(20926,'55200','Boncourt Sur Meuse',20904),(20927,'55190','Laneuville Au Rupt',20905),(20928,'55250','Beausite',20906),(20929,'55600','Iré Le Sec',20907),(20930,'55260','Érize La Petite',20908),(20931,'55120','Le Neufour',20909),(20932,'55300','Rambucourt',20910),(20933,'55500','Velaines',20911),(20934,'55300','Bouconville Sur Madt',20912),(20935,'55320','Dieue Sur Meuse',20913),(20936,'55000','Rumont',20914),(20937,'55150','Lissey',20915),(20938,'55110','Cléry Le Petit',20916),(20939,'55100','Samogneux',20917),(20940,'55000','Haironville',20918),(20941,'55290','Hévilliers',20919),(20942,'55100','Chattancourt',20920),(20943,'55140','Champougny',20921),(20944,'55600','Velosnes',20922),(20945,'55130','Gondrecourt Le Château',20923),(20946,'55130','Badonvilliers Gérauvilliers',20924),(20947,'55130','Chassey Beaupré',20925),(20948,'55120','Julvécourt',20926),(20949,'55130','Baudignécourt',20927),(20950,'55800','Laimont',20928),(20951,'55120','Nixéville Blercourt',20929),(20952,'55000','Géry',20930),(20953,'55400','Moulainville',20931),(20954,'55100','Champneuville',20932),(20955,'55160','Moulotte',20933),(20956,'55260','Vallée',20934),(20957,'55400','Herméville En Woëvre',20935),(20958,'55220','Osches',20936),(20959,'55210','Heudicourt Sous Les Côtes',20937),(20960,'55400','Buzy Darmont',20938),(20961,'55300','Ambly Sur Meuse',20939),(20962,'55120','Le Claon',20940),(20963,'55160','Bonzée',20941),(20964,'55500','Stainville',20942),(20965,'55000','Trémont Sur Saulx',20943),(20966,'55600','Verneuil Petit',20944),(20967,'55600','Remoiville',20945),(20968,'55190','Naives En Blois',20946),(20969,'55100','Cumières Le Mort Homme',20947),(20970,'55170','Sommelonne',20948),(20971,'55110','Consenvoye',20949),(20972,'55500','Fouchères Aux Bois',20950),(20973,'55150','Rupt Sur Othain',20951),(20974,'55170','Ancerville',20952),(20975,'55230','Arrancy Sur Crusne',20953),(20976,'55000','Chardogne',20954),(20977,'55220','Ippécourt',20955),(20978,'55300','Troyon',20956),(20979,'55300','Sampigny',20957),(20980,'55160','Latour En Woëvre',20958),(20981,'55150','Réville Aux Bois',20959),(20982,'55260','Baudrémont',20960),(20983,'55230','Rouvrois Sur Othain',20961),(20984,'55800','Louppy Le Château',20962),(20985,'55110','Cléry Le Grand',20963),(20986,'55270','Boureuilles',20964),(20987,'55150','Merles Sur Loison',20965),(20988,'55260','Thillombois',20966),(20989,'55000','Resson',20967),(20990,'55250','Brizeaux',20968),(20991,'55600','Bazeilles Sur Othain',20969),(20992,'55500','Saulvaux',20970),(20993,'55230','Loison',20971),(20994,'55500','Nantois',20972),(20995,'55300','Seuzey',20973),(20996,'55320','Monthairons',20974),(20997,'55250','Pretz En Argonne',20975),(20998,'55120','Lachalade',20976),(20999,'55140','Neuville Lès Vaucouleurs',20977),(21000,'55600','Villécloye',20978),(21001,'55220','Vadelaincourt',20979),(21002,'55110','Doulcon',20980),(21003,'55190','Ménil La Horgne',20981),(21004,'55160','Ville En Woëvre',20982),(21005,'55000','Fains Véel',20983),(21006,'55230','Senon',20984),(21007,'55400','Maucourt Sur Orne',20985),(21008,'55600','Louppy Sur Loison',20986),(21009,'55230','Amel Sur L\'Étang',20987),(21010,'55400','Braquis',20988),(21011,'55100','Verdun',20989),(21012,'55400','Lanhères',20990),(21013,'55130','Vouthon Haut',20991),(21014,'55100','Landrecourt Lempire',20992),(21015,'55300','Lahayville',20993),(21016,'55160','Pareid',20994),(21017,'55200','Commercy',20995),(21018,'55260','Belrain',20996),(21019,'55270','Béthincourt',20997),(21020,'55140','Burey En Vaux',20998),(21021,'55270','Septsarges',20999),(21022,'55290','Ribeaucourt',21000),(21023,'55300','Maizey',21001),(21024,'55190','Bovée Sur Barboure',21002),(21025,'55260','Fresnes Au Mont',21003),(21026,'55400','Boinville En Woëvre',21004),(21027,'55250','Lisle En Barrois',21005),(21028,'55220','Tilly Sur Meuse',21006),(21029,'55500','Cousances Lès Triconville',21007),(21030,'55260','Ménil Aux Bois',21008),(21031,'55250','Rembercourt Sommaisne',21009),(21032,'55110','Mont Devant Sassey',21010),(21033,'55230','Muzeray',21011),(21034,'55700','Stenay',21012),(21035,'55210','Lachaussée',21013),(21036,'55260','Ville Devant Belrain',21014),(21037,'55290','Bure',21015),(21038,'55140','Montigny Lès Vaucouleurs',21016),(21039,'55100','Fleury Devant Douaumont',21017),(21040,'55300','Mécrin',21018),(21041,'55130','Horville En Ornois',21019),(21042,'55160','Manheulles',21020),(21043,'55140','Vaucouleurs',21021),(21044,'55190','Méligny Le Petit',21022),(21045,'55250','Vaubecourt',21023),(21046,'55150','Azannes Et Soumazannes',21024),(21047,'55120','Froidos',21025),(21048,'55400','Grimaucourt En Woëvre',21026),(21049,'55160','Doncourt Aux Templiers',21027),(21050,'55110','Romagne Sous Montfaucon',21028),(21051,'55260','Villotte Sur Aire',21029),(21052,'55100','Haumont Près Samogneux',21030),(21053,'55300','Han Sur Meuse',21031),(21054,'55270','Baulny',21032),(21055,'55100','Bras Sur Meuse',21033),(21056,'55120','Futeau',21034),(21057,'55000','Montplonne',21035),(21058,'55120','Rarécourt',21036),(21059,'55320','Génicourt Sur Meuse',21037),(21060,'55210','Woël',21038),(21061,'55210','Thillot',21039),(21062,'55150','Romagne Sous Les Côtes',21040),(21063,'55210','Beney En Woëvre',21041),(21064,'55120','Autrécourt Sur Aire',21042),(21065,'55220','Villers Sur Meuse',21043),(21066,'55400','Eix',21044),(21067,'55000','Ville Sur Saulx',21045),(21068,'55300','Richecourt',21046),(21069,'55190','Mauvages',21047),(21070,'55260','Pierrefitte Sur Aire',21048),(21071,'55170','Brauvilliers',21049),(21072,'55260','Rupt Devant Saint Mihiel',21050),(21073,'55800','Villers Aux Vents',21051),(21074,'55430','Belleville Sur Meuse',21052),(21075,'55150','Moirey Flabas Crépion',21053),(21076,'55000','Naives Rosières',21054),(21077,'55110','Fontaines Saint Clair',21055),(21078,'55700','Martincourt Sur Meuse',21056),(21079,'55400','Blanzée',21057),(21080,'55190','Broussey En Blois',21058),(21081,'55160','Pintheville',21059),(21082,'55700','Wiseppe',21060),(21083,'55100','Marre',21061),(21084,'55800','Contrisson',21062),(21085,'55240','Dommary Baroncourt',21063),(21086,'55110','Montigny Devant Sassey',21064),(21087,'55400','Saint Jean Lès Buzy',21065),(21088,'55150','Villers Lès Mangiennes',21066),(21089,'55110','Liny Devant Dun',21067),(21090,'55200','Euville',21068),(21091,'55150','Étraye',21069),(21092,'55110','Sassey Sur Meuse',21070),(21093,'55000','Saudrupt',21071),(21094,'55100','Esnes En Argonne',21072),(21095,'55270','Épinonville',21073),(21096,'55130','Abainville',21074),(21097,'55100','Bezonvaux',21075),(21098,'55110','Lion Devant Dun',21076),(21099,'55400','Warcq',21077),(21100,'55160','Trésauvaux',21078),(21101,'55140','Maxey Sur Vaise',21079),(21102,'55500','Saint Aubin Sur Aire',21080),(21103,'55160','Maizeray',21081),(21104,'55200','Geville',21082),(21105,'55290','Biencourt Sur Orge',21083),(21106,'55170','Rupt Aux Nonains',21084),(21107,'55140','Épiez Sur Meuse',21085),(21108,'55800','Remennecourt',21086),(21109,'55300','Ranzières',21087),(21110,'55140','Saint Germain Sur Meuse',21088),(21111,'55100','Montzéville',21089),(21112,'55190','Void Vacon',21090),(21113,'55600','Thonnelle',21091),(21114,'55150','Mangiennes',21092),(21115,'55130','Saint Joire',21093),(21116,'55000','Guerpont',21094),(21117,'55160','Jonville En Woëvre',21095),(21118,'55160','Hennemont',21096),(21119,'55250','Èvres',21097),(21120,'55170','Juvigny En Perthois',21098),(21121,'55700','Cesse',21099),(21122,'55300','Lamorville',21100),(21123,'55400','Rouvres En Woëvre',21101),(21124,'55220','Rambluzin Et Benoite Vaux',21102),(21125,'55250','Nubécourt',21103),(21126,'55210','Avillers Sainte Croix',21104),(21127,'55100','Belrupt En Verdunois',21105),(21128,'55600','Breux',21106),(21129,'55100','Haudainville',21107),(21130,'55160','Riaville',21108),(21131,'55140','Montbras',21109),(21132,'55300','Lacroix Sur Meuse',21110),(21133,'55800','Laheycourt',21111),(21134,'55100','Béthelainville',21112),(21135,'55320','Ancemont',21113),(21136,'55120','Neuvilly En Argonne',21114),(21137,'55400','Vaux Devant Damloup',21115),(21138,'55190','Pagny Sur Meuse',21116),(21139,'55130','Bonnet',21117),(21140,'55700','Mouzay',21118),(21141,'55130','Vouthon Bas',21119),(21142,'55210','Chaillon',21120),(21143,'55320','Sommedieue',21121),(21144,'55260','Érize La Brûlée',21122),(21145,'55000','Érize Saint Dizier',21123),(21146,'55800','Brabant Le Roi',21124),(21147,'55600','Thonne Le Thil',21125),(21148,'55270','Montblainville',21126),(21149,'55140','Goussaincourt',21127),(21150,'55800','Rancourt Sur Ornain',21128),(21151,'55400','Parfondrupt',21129),(21152,'55230','Saint Pierrevillers',21130),(21153,'55190','Troussey',21131),(21154,'55160','Watronville',21132),(21155,'55700','Baâlon',21133),(21156,'55100','Louvemont Côte Du Poivre',21134),(21157,'55700','Halles Sous Les Côtes',21135),(21158,'55000','Tannois',21136),(21159,'55500','Givrauval',21137),(21160,'55500','Ménil Sur Saulx',21138),(21161,'55400','Foameix Ornel',21139),(21162,'55290','Morley',21140),(21163,'55110','Gesnes En Argonne',21141),(21164,'55260','Courcelles En Barrois',21142),(21165,'55300','Varnéville',21143),(21166,'55700','Beauclair',21144),(21167,'55150','Bréhéville',21145),(21168,'55700','Beaufort En Argonne',21146),(21169,'55700','Lamouilly',21147),(21170,'55250','Foucaucourt Sur Thabas',21148),(21171,'55700','Inor',21149),(21172,'55700','Nepvant',21150),(21173,'55500','Boviolles',21151),(21174,'55600','Chauvency Saint Hubert',21152),(21175,'55270','Cuisy',21153),(21176,'55240','Bouligny',21154),(21177,'55130','Tréveray',21155),(21178,'55170','Bazincourt Sur Saulx',21156),(21179,'55500','Nant Le Grand',21157),(21180,'55140','Ugny Sur Meuse',21158),(21181,'55270','Cierges Sous Montfaucon',21159),(21182,'55190','Villeroy Sur Méholle',21160),(21183,'55220','Lemmes',21161),(21184,'55260','Neuville En Verdunois',21162),(21185,'55250','Beaulieu En Argonne',21163),(21186,'55100','Sivry La Perche',21164),(21187,'55130','Delouze Rosières',21165),(21188,'55140','Pagny La Blanche Côte',21166),(21189,'55000','Bar Le Duc',21167),(21190,'55100','Fromeréville Les Vallons',21168),(21191,'55150','Chaumont Devant Damvillers',21169),(21192,'55400','Châtillon Sous Les Côtes',21170),(21193,'55400','Damloup',21171),(21194,'55600','Thonne Les Près',21172),(21195,'55800','Nettancourt',21173),(21196,'55190','Sauvoy',21174),(21197,'55400','Abaucourt Hautecourt',21175),(21198,'55600','Verneuil Grand',21176),(21199,'55300','Montsec',21177),(21200,'55400','Mogeville',21178),(21201,'55800','Sommeilles',21179),(21202,'55100','Brabant Sur Meuse',21180),(21203,'55120','Brocourt En Argonne',21181),(21204,'55120','Ville Sur Cousances',21182),(21205,'55150','Delut',21183),(21206,'55260','Courouvre',21184),(21207,'55100','Belleray',21185),(21208,'55230','Duzey',21186),(21209,'55120','Aubréville',21187),(21210,'55120','Clermont En Argonne',21188),(21211,'55140','Sepvigny',21189),(21212,'55700','Laneuville Sur Meuse',21190),(21213,'55100','Dugny Sur Meuse',21191),(21214,'55300','Bislée',21192),(21215,'55700','Olizy Sur Chiers',21193),(21216,'55600','Quincy Landzécourt',21194),(21217,'55210','Herbeuville',21195),(21218,'55270','Charpentry',21196),(21219,'55400','Fromezey',21197),(21220,'55150','Vittarville',21198),(21221,'55200','Girauvoisin',21199),(21222,'55150','Peuvillers',21200),(21223,'55110','Murvaux',21201),(21224,'55270','Malancourt',21202),(21225,'55150','Damvillers',21203),(21226,'55100','Charny Sur Meuse',21204),(21227,'55000','Combles En Barrois',21205),(21228,'55800','Andernay',21206),(21229,'55260','Courcelles Sur Aire',21207),(21230,'55110','Sivry Sur Meuse',21208),(21231,'55110','Dannevoux',21209),(21232,'55000','Lisle En Rigault',21210),(21233,'55160','Saint Hilaire En Woëvre',21211),(21234,'55500','Erneville Aux Bois',21212),(21235,'55200','Lérouville',21213),(21236,'55700','Moulins Saint Hubert',21214),(21237,'55150','Dombras',21215),(21238,'55600','Jametz',21216),(21239,'55000','Vavincourt',21217),(21240,'55110','Cunel',21218),(21241,'55300','Xivray Et Marvoisin',21219),(21242,'55310','Tronville En Barrois',21220),(21243,'55320','Mouilly',21221),(21244,'55400','Morgemoulin',21222),(21245,'55200','Vignot',21223),(21246,'55300','Woimbey',21224),(21247,'55500','Ligny En Barrois',21225),(21248,'55300','Bannoncourt',21226),(21249,'55200','Frémeréville Sous Les Côtes',21227),(21250,'55400','Étain',21228),(21251,'55150','Brandeville',21229),(21252,'55230','Sorbey',21230),(21253,'55290','Montiers Sur Saulx',21231),(21254,'55600','Montmédy',21232),(21255,'55000','Savonnières Devant Bar',21233),(21256,'55230','Billy Sous Mangiennes',21234),(21257,'55500','Willeroncourt',21235),(21258,'55170','Cousances Les Forges',21236),(21259,'55170','Lavincourt',21237),(21260,'55140','Sauvigny',21238),(21261,'55220','Souilly',21239),(21262,'55500','Nant Le Petit',21240),(21263,'55000','Loisey Culey',21241),(21264,'55400','Dieppe Sous Douaumont',21242),(21265,'55170','Savonnières En Perthois',21243),(21266,'55500','Villers Le Sec',21244),(21267,'55160','Villers Sous Pareid',21245),(21268,'55400','Moranville',21246),(21269,'55110','Milly Sur Bradon',21247),(21270,'55500','Saint Amand Sur Ornain',21248),(21271,'55500','Naix Aux Forges',21249),(21272,'55000','Seigneulles',21250),(21273,'55200','Pont Sur Meuse',21251),(21274,'55150','Ornes',21252),(21275,'55300','Valbois',21253),(21276,'55110','Gercourt Et Drillancourt',21254),(21277,'55160','Éparges',21255),(21278,'55270','Nantillois',21256),(21279,'55130','Demange Aux Eaux',21257),(21280,'55150','Saint Laurent Sur Othain',21258),(21281,'55250','Villotte Devant Louppy',21259),(21282,'55100','Vacherauville',21260),(21283,'55160','Labeuville',21261),(21284,'55130','Vaudeville Le Haut',21262),(21285,'55840','Thierville Sur Meuse',21263),(21286,'55210','Hannonville Sous Les Côtes',21264),(21287,'55170','Aulnois En Perthois',21265),(21288,'55200','Vadonville',21266),(21289,'55000','Brillon En Barrois',21267),(21290,'55270','Avocourt',21268),(21291,'55300','Dompierre Aux Bois',21269),(21292,'55400','Gincrey',21270),(21293,'55500','Nançois Sur Ornain',21271),(21294,'55220','Souhesmes Rampont',21272),(21295,'55220','Heippes',21273),(21296,'55160','Fresnes En Woëvre',21274),(21297,'55320','Rupt En Woëvre',21275),(21298,'55120','Brabant En Argonne',21276),(21299,'55140','Chalaines',21277),(21300,'55000','Hauts De Chée',21278),(21301,'55100','Beaumont En Verdunois',21279),(21302,'55000','Longeville En Barrois',21280),(21303,'55260','Lahaymeix',21281),(21304,'55000','Silmont',21282),(21305,'55140','Burey La Côte',21283),(21306,'55250','Waly',21284),(21307,'55270','Vauquois',21285),(21308,'55160','Ronvaux',21286),(21309,'55120','Lavoye',21287),(21310,'55300','Paroches',21288),(21311,'55160','Saint Remy La Calonne',21289),(21312,'55120','Islettes',21290),(21313,'55230','Nouillonpont',21291),(21314,'55300','Bouquemont',21292),(21315,'55160','Dommartin La Montagne',21293),(21316,'55220','Saint André En Barrois',21294),(21317,'55190','Ourches Sur Meuse',21295),(21318,'55000','Beurey Sur Saulx',21296),(21319,'55600','Avioth',21297),(21320,'55500','Menaucourt',21298),(21321,'55500','Chanteraine',21299),(21322,'55160','Haudiomont',21300),(21323,'55190','Méligny Le Grand',21301),(21324,'55220','Senoncourt Les Maujouy',21302),(21325,'55300','Dompcevrin',21303),(21326,'55600','Thonne La Long',21304),(21327,'55500','Longeaux',21305),(21328,'55270','Véry',21306),(21329,'55150','Wavrille',21307),(21330,'55200','Broussey Raulecourt',21308),(21331,'55300','Saint Mihiel',21309),(21332,'55800','Revigny Sur Ornain',21310),(21333,'55120','Dombasle En Argonne',21311),(21334,'55300','Kœur La Petite',21312),(21335,'55800','Neuville Sur Ornain',21313),(21336,'55800','Mognéville',21314),(21337,'55800','Noyers Auzécourt',21315),(21338,'55000','Val D\'Ornain',21316),(21339,'55260','Nicey Sur Aire',21317),(21340,'55500','Dagonville',21318),(21341,'55110','Villers Devant Dun',21319),(21342,'55210','Saint Maurice Sous Les Côtes',21320),(21343,'55230','Spincourt',21321),(21344,'55160','Marchéville En Woëvre',21322),(21345,'55600','Flassigny',21323),(21346,'55210','Vigneulles Lès Hattonchâtel',21324),(21347,'55260','Longchamps Sur Aire',21325),(21348,'55130','Roises',21326),(21349,'55110','Forges Sur Meuse',21327),(21350,'55700','Autréville Saint Lambert',21328),(21351,'55140','Brixey Aux Chanoines',21329),(21352,'55700','Luzy Saint Martin',21330),(21353,'55190','Marson Sur Barboure',21331),(21354,'55800','Couvonges',21332),(21355,'55000','Salmagne',21333),(21356,'55190','Reffroy',21334),(21357,'55160','Combres Sous Les Côtes',21335),(21358,'55150','Écurey En Verdunois',21336),(21359,'55210','Nonsard Lamarche',21337),(21360,'55130','Dainville Bertheléville',21338),(21361,'55300','Vaux Lès Palameix',21339),(21362,'55500','Maulan',21340),(21363,'55500','Dammarie Sur Saulx',21341),(21364,'55700','Brouennes',21342),(21365,'55270','Cheppy',21343),(21366,'55260','Gimécourt',21344),(21367,'55260','Lignières Sur Aire',21345),(21368,'55260','Chaumont Sur Aire',21346),(21369,'55270','Varennes En Argonne',21347),(21370,'55140','Rigny La Salle',21348),(21371,'55200','Chonville Malaumont',21349),(21372,'55220','Récourt Le Creux',21350),(21373,'55250','Seuil D\'Argonne',21351),(21374,'55700','Pouilly Sur Meuse',21352),(21375,'55600','Chauvency Le Château',21353),(21376,'55600','Marville',21354),(21377,'55110','Vilosnes Haraumont',21355),(21378,'55230','Gouraincourt',21356),(21379,'55110','Aincreville',21357),(21380,'55100','Douaumont',21358),(21381,'55120','Jouy En Argonne',21359),(21382,'55120','Récicourt',21360),(21383,'55220','Trois Domaines',21361),(21384,'55240','Domremy La Canne',21362),(21385,'55230','Vaudoncourt',21363),(21386,'56220','Peillac',21364),(21387,'56380','Beignon',21365),(21388,'56130','Saint Dolay',21366),(21389,'56300','Neulliac',21367),(21390,'56190','Le Guerno',21368),(21391,'56770','Plouray',21369),(21392,'56250','La Vraie Croix',21370),(21393,'56500','Moustoir Ac',21371),(21394,'56250','Treffléan',21372),(21395,'56310','Melrand',21373),(21396,'56220','Limerzel',21374),(21397,'56840','Île D\'Arz',21375),(21398,'56830','Gestel',21376),(21399,'56500','La Chapelle Neuve',21377),(21400,'56130','Théhillac',21378),(21401,'56220','Malansac',21379),(21402,'56400','Auray',21380),(21403,'56800','Augan',21381),(21404,'56190','La Trinité Surzur',21382),(21405,'56250','Monterblanc',21383),(21406,'56230','Questembert',21384),(21407,'56530','Quéven',21385),(21408,'56470','La Trinité Sur Mer',21386),(21409,'56230','Molac',21387),(21410,'56780','Île Aux Moines',21388),(21411,'56200','La Gacilly',21389),(21412,'56120','La Croix Helléan',21390),(21413,'56450','Theix',21391),(21414,'56310','Bieuzy',21392),(21415,'56370','Sarzeau',21393),(21416,'56130','Férel',21394),(21417,'56410','Erdeven',21395),(21418,'56160','Locmalo',21396),(21419,'56340','Carnac',21397),(21420,'56920','Kerfourn',21398),(21421,'56160','Ploërdut',21399),(21422,'56480','Cléguérec',21400),(21423,'56120','Pleugriffet',21401),(21424,'56540','Kernascléden',21402),(21425,'56120','Helléan',21403),(21426,'56140','Saint Abraham',21404),(21427,'56730','Saint Gildas De Rhuys',21405),(21428,'56230','Le Cours',21406),(21429,'56240','Lanvaudan',21407),(21430,'56250','Trédion',21408),(21431,'56500','Moréac',21409),(21432,'56200','Cournon',21410),(21433,'56320','Meslan',21411),(21434,'56300','Pontivy',21412),(21435,'56100','Lorient',21413),(21436,'56700','Merlevenez',21414),(21437,'56460','La Chapelle Caro',21415),(21438,'56740','Locmariaquer',21416),(21439,'56140','Saint Congard',21417),(21440,'56300','Le Sourn',21418),(21441,'56910','Carentoir',21419),(21442,'56560','Guiscriff',21420),(21443,'56360','Locmaria',21421),(21444,'56350','Saint Perreux',21422),(21445,'56240','Berné',21423),(21446,'56670','Riantec',21424),(21447,'56690','Landaul',21425),(21448,'56300','Saint Thuriau',21426),(21449,'56910','Quelneuc',21427),(21450,'56150','Guénin',21428),(21451,'56390','Locmaria Grand Champ',21429),(21452,'56430','Saint Brieuc De Mauron',21430),(21453,'56110','Gourin',21431),(21454,'56430','Mauron',21432),(21455,'56420','Billio',21433),(21456,'56460','Sérent',21434),(21457,'56460','Lizio',21435),(21458,'56420','Buléon',21436),(21459,'56800','Quily',21437),(21460,'56500','Bignan',21438),(21461,'56490','Saint Malo Des Trois Fontaines',21439),(21462,'56570','Locmiquélic',21440),(21463,'56140','Réminiac',21441),(21464,'56160','Guémené Sur Scorff',21442),(21465,'56420','Plumelec',21443),(21466,'56200','Fougerêts',21444),(21467,'56870','Baden',21445),(21468,'56290','Port Louis',21446),(21469,'56140','Malestroit',21447),(21470,'56350','Saint Gorgon',21448),(21471,'56360','Sauzon',21449),(21472,'56400','Sainte Anne D\'Auray',21450),(21473,'56660','Saint Jean Brévelay',21451),(21474,'56000','Vannes',21452),(21475,'56110','Le Saint',21453),(21476,'56610','Arradon',21454),(21477,'56130','Marzan',21455),(21478,'56800','Gourhel',21456),(21479,'56120','Guégon',21457),(21480,'56860','Séné',21458),(21481,'56690','Landévant',21459),(21482,'56580','Bréhan',21460),(21483,'56140','Saint Marcel',21461),(21484,'56620','Cléguer',21462),(21485,'56800','Loyat',21463),(21486,'56420','Guéhenno',21464),(21487,'56850','Caudan',21465),(21488,'56750','Damgan',21466),(21489,'56430','Tréhorenteuc',21467),(21490,'56600','Lanester',21468),(21491,'56700','Hennebont',21469),(21492,'56540','Saint Caradec Trégomel',21470),(21493,'56200','Glénac',21471),(21494,'56190','Lauzach',21472),(21495,'56440','Languidic',21473),(21496,'56430','Concoret',21474),(21497,'56390','Brandivy',21475),(21498,'56220','Caden',21476),(21499,'56220','Saint Gravé',21477),(21500,'56880','Ploeren',21478),(21501,'56710','La Trinité Porhoët',21479),(21502,'56890','Meucon',21480),(21503,'56140','Pleucadeuc',21481),(21504,'56500','Saint Allouestre',21482),(21505,'56450','Surzur',21483),(21506,'56540','Le Croisty',21484),(21507,'56190','Ambon',21485),(21508,'56170','Île D\'Houat',21486),(21509,'56140','Caro',21487),(21510,'56300','Kergrist',21488),(21511,'56640','Arzon',21489),(21512,'56350','Béganne',21490),(21513,'56270','Ploemeur',21491),(21514,'56130','La Roche Bernard',21492),(21515,'56930','Pluméliau',21493),(21516,'56130','Nivillac',21494),(21517,'56250','Sulniac',21495),(21518,'56500','Radenac',21496),(21519,'56400','Bono',21497),(21520,'56130','Camoël',21498),(21521,'56240','Calan',21499),(21522,'56390','Locqueltas',21500),(21523,'56140','Missiriac',21501),(21524,'56800','Campénéac',21502),(21525,'56260','Larmor Plage',21503),(21526,'56460','Le Roc Saint André',21504),(21527,'56870','Larmor Baden',21505),(21528,'56380','Saint Malo De Beignon',21506),(21529,'56700','Brandérion',21507),(21530,'56500','Réguiny',21508),(21531,'56700','Sainte Hélène',21509),(21532,'56380','Monteneuf',21510),(21533,'56140','Ruffiac',21511),(21534,'56340','Plouharnel',21512),(21535,'56410','Étel',21513),(21536,'56800','Montertelot',21514),(21537,'56500','Moustoir Remungol',21515),(21538,'56920','Noyal Pontivy',21516),(21539,'56920','Croixanvec',21517),(21540,'56120','Josselin',21518),(21541,'56140','Saint Laurent Sur Oust',21519),(21542,'56240','Plouay',21520),(21543,'56920','Saint Gonnery',21521),(21544,'56250','Saint Nolff',21522),(21545,'56470','Saint Philibert',21523),(21546,'56370','Le Tour Du Parc',21524),(21547,'56360','Bangor',21525),(21548,'56920','Saint Gérand',21526),(21549,'56200','La Chapelle Gaceline',21527),(21550,'56120','Lanouée',21528),(21551,'56400','Plougoumelen',21529),(21552,'56800','Taupont',21530),(21553,'56190','Billiers',21531),(21554,'56240','Inguiniel',21532),(21555,'56320','Priziac',21533),(21556,'56630','Langonnet',21534),(21557,'56160','Séglien',21535),(21558,'56920','Gueltas',21536),(21559,'56160','Persquen',21537),(21560,'56390','Grand Champ',21538),(21561,'56580','Rohan',21539),(21562,'56320','Lanvénégen',21540),(21563,'56520','Guidel',21541),(21564,'56300','Malguénac',21542),(21565,'56800','Guillac',21543),(21566,'56310','Bubry',21544),(21567,'56480','Saint Aignan',21545),(21568,'56480','Sainte Brigitte',21546),(21569,'56400','Pluneret',21547),(21570,'56800','Ploërmel',21548),(21571,'56450','Le Hézo',21549),(21572,'56420','Cruguel',21550),(21573,'56510','Saint Pierre Quiberon',21551),(21574,'56290','Gâvres',21552),(21575,'56430','Néant Sur Yvel',21553),(21576,'56650','Inzinzac Lochrist',21554),(21577,'56500','Plumelin',21555),(21578,'56540','Saint Tugdual',21556),(21579,'56380','Guer',21557),(21580,'56490','Évriguet',21558),(21581,'56320','Le Faouët',21559),(21582,'56160','Langoëlan',21560),(21583,'56170','Hœdic',21561),(21584,'56430','Brignac',21562),(21585,'56310','Quistinic',21563),(21586,'56310','Guern',21564),(21587,'56120','Lantillac',21565),(21588,'56330','Camors',21566),(21589,'56120','La Grée Saint Laurent',21567),(21590,'56890','Plescop',21568),(21591,'56200','Saint Martin Sur Oust',21569),(21592,'56400','Brech',21570),(21593,'56910','Saint Nicolas Du Tertre',21571),(21594,'56220','Pluherlin',21572),(21595,'56220','Rochefort En Terre',21573),(21596,'56190','Noyal Muzillac',21574),(21597,'56190','Arzal',21575),(21598,'56490','Guilliers',21576),(21599,'56360','Le Palais',21577),(21600,'56450','Saint Armel',21578),(21601,'56330','Pluvigner',21579),(21602,'56800','Monterrein',21580),(21603,'56430','Saint Léry',21581),(21604,'56490','Ménéac',21582),(21605,'56420','Plaudren',21583),(21606,'56620','Pont Scorff',21584),(21607,'56680','Plouhinec',21585),(21608,'56490','Mohon',21586),(21609,'56590','Groix',21587),(21610,'56500','Locminé',21588),(21611,'56220','Saint Jacut Les Pins',21589),(21612,'56760','Pénestin',21590),(21613,'56550','Belz',21591),(21614,'56150','Baud',21592),(21615,'56460','Saint Guyomard',21593),(21616,'56400','Ploemel',21594),(21617,'56400','Plumergat',21595),(21618,'56450','Noyalo',21596),(21619,'56140','Bohal',21597),(21620,'56170','Quiberon',21598),(21621,'56230','Berric',21599),(21622,'56230','Larré',21600),(21623,'56120','Saint Servant',21601),(21624,'56350','Saint Jean La Poterie',21602),(21625,'56140','Tréal',21603),(21626,'56550','Locoal Mendon',21604),(21627,'56350','Saint Vincent Sur Oust',21605),(21628,'56250','Elven',21606),(21629,'56950','Crach',21607),(21630,'56890','Saint Avé',21608),(21631,'56480','Silfiac',21609),(21632,'56120','Forges',21610),(21633,'56690','Nostang',21611),(21634,'56580','Crédin',21612),(21635,'56500','Naizin',21613),(21636,'56150','Saint Barthélemy',21614),(21637,'56350','Rieux',21615),(21638,'56110','Roudouallec',21616),(21639,'56380','Porcaro',21617),(21640,'56190','Muzillac',21618),(21641,'56500','Remungol',21619),(21642,'56700','Kervignac',21620),(21643,'56390','Colpo',21621),(21644,'56160','Lignol',21622),(21645,'56130','Péaule',21623),(21646,'56350','Allaire',21624),(21647,'57170','Attilloncourt',21625),(21648,'57930','Berthelming',21626),(21649,'57630','Juvelize',21627),(21650,'57590','Aboncourt Sur Seille',21628),(21651,'57590','Ajoncourt',21629),(21652,'57860','Roncourt',21630),(21653,'57400','Arzviller',21631),(21654,'57670','Guinzeling',21632),(21655,'57460','Behren Lès Forbach',21633),(21656,'57720','Loutzviller',21634),(21657,'57400','Haut Clocher',21635),(21658,'57530','Bazoncourt',21636),(21659,'57990','Ippling',21637),(21660,'57200','Blies Ébersing',21638),(21661,'57820','Henridorff',21639),(21662,'57260','Val De Bride',21640),(21663,'57480','Haute Kontz',21641),(21664,'57830','Xouaxange',21642),(21665,'57116','Niderviller',21643),(21666,'57340','Lidrezing',21644),(21667,'57810','Maizières Lès Vic',21645),(21668,'57570','Beyren Lès Sierck',21646),(21669,'57170','Château Salins',21647),(21670,'57560','Voyer',21648),(21671,'57810','Fribourg',21649),(21672,'57590','Delme',21650),(21673,'57720','Volmunster',21651),(21674,'57370','Phalsbourg',21652),(21675,'57220','Téterchen',21653),(21676,'57510','Guebenhouse',21654),(21677,'57720','Obergailbach',21655),(21678,'57810','Guermange',21656),(21679,'57220','Ottonville',21657),(21680,'57260','Bourgaltroff',21658),(21681,'57170','Bioncourt',21659),(21682,'57450','Barst',21660),(21683,'57810','Ley',21661),(21684,'57100','Manom',21662),(21685,'57560','Saint Quirin',21663),(21686,'57670','Givrycourt',21664),(21687,'57830','Ibigny',21665),(21688,'57330','Roussy Le Village',21666),(21689,'57420','Féy',21667),(21690,'57320','Saint François Lacroix',21668),(21691,'57830','Foulcrey',21669),(21692,'57420','Buchy',21670),(21693,'57580','Beux',21671),(21694,'57155','Marly',21672),(21695,'57690','Hallering',21673),(21696,'57245','Mécleuves',21674),(21697,'57530','Villers Stoncourt',21675),(21698,'57210','Hauconcourt',21676),(21699,'57940','Metzervisse',21677),(21700,'57350','Stiring Wendel',21678),(21701,'57870','Troisfontaines',21679),(21702,'57830','Richeval',21680),(21703,'57340','Morhange',21681),(21704,'57670','Vahl Lès Bénestroff',21682),(21705,'57480','Manderen',21683),(21706,'57320','Tromborn',21684),(21707,'57320','Oberdorff',21685),(21708,'57365','Ennery',21686),(21709,'57260','Bassing',21687),(21710,'57590','Morville Sur Nied',21688),(21711,'57480','Laumesfeld',21689),(21712,'57320','Brettnach',21690),(21713,'57480','Rettel',21691),(21714,'57480','Merschweiller',21692),(21715,'57970','Yutz',21693),(21716,'57640','Argancy',21694),(21717,'57370','Danne Et Quatre Vents',21695),(21718,'57580','Rémilly',21696),(21719,'57119','Brouviller',21697),(21720,'57860','Montois La Montagne',21698),(21721,'57340','Vallerange',21699),(21722,'57800','Cocheren',21700),(21723,'57320','Colmen',21701),(21724,'57510','Hilsprich',21702),(21725,'57230','Baerenthal',21703),(21726,'57200','Wiesviller',21704),(21727,'57170','Pettoncourt',21705),(21728,'57410','Gros Réderching',21706),(21729,'57670','Bénestroff',21707),(21730,'57430','Willerwald',21708),(21731,'57340','Bréhain',21709),(21732,'57340','Bellange',21710),(21733,'57670','Nelling',21711),(21734,'57590','Hannocourt',21712),(21735,'57570','Cattenom',21713),(21736,'57070','Mey',21714),(21737,'57690','Bambiderstroff',21715),(21738,'57600','Morsbach',21716),(21739,'57136','Rimling',21717),(21740,'57220','Bisten En Lorraine',21718),(21741,'57420','Vigny',21719),(21742,'57720','Rolbing',21720),(21743,'57200','Blies Guersviller',21721),(21744,'57320','Schwerdorff',21722),(21745,'57420','Pournoy La Chétive',21723),(21746,'57113','Boulange',21724),(21747,'57590','Oron',21725),(21748,'57124','Saint Privat La Montagne',21726),(21749,'57370','Saint Jean Kourtzerode',21727),(21750,'57590','Donjeux',21728),(21751,'57220','Boulay Moselle',21729),(21752,'57530','Ars Laquenexy',21730),(21753,'57820','Hultehouse',21731),(21754,'57137','Wittring',21732),(21755,'57670','Insviller',21733),(21756,'57119','Lixheim',21734),(21757,'57380','Arraincourt',21735),(21758,'57420','Moncheux',21736),(21759,'57820','Saint Louis',21737),(21760,'57580','Tragny',21738),(21761,'57410','Petit Réderching',21739),(21762,'57320','Neunkirchen Lès Bouzonville',21740),(21763,'57230','Hanviller',21741),(21764,'57830','Bébing',21742),(21765,'57220','Varize',21743),(21766,'57190','Florange',21744),(21767,'57550','Berviller En Moselle',21745),(21768,'57114','Tritteling Redlach',21746),(21769,'57170','Morville Lès Vic',21747),(21770,'57720','Waldhouse',21748),(21771,'57700','Ranguevaux',21749),(21772,'57670','Léning',21750),(21773,'57790','Nitting',21751),(21774,'57460','Bousbach',21752),(21775,'57110','Budling',21753),(21776,'57110','Kœnigsmacker',21754),(21777,'57120','Vitry Sur Orne',21755),(21778,'57430','Kirviller',21756),(21779,'57320','Hestroff',21757),(21780,'57480','Ritzing',21758),(21781,'57320','Alzing',21759),(21782,'57570','Rodemack',21760),(21783,'57410','Etting',21761),(21784,'57330','Zoufftgen',21762),(21785,'57580','Chanville',21763),(21786,'57890','Porcelette',21764),(21787,'57640','Saint Hubert',21765),(21788,'57320','Chémery Les Deux',21766),(21789,'57370','Berling',21767),(21790,'57420','Goin',21768),(21791,'57570','Gavisse',21769),(21792,'57340','Viller',21770),(21793,'57640','Antilly',21771),(21794,'57170','Grémecey',21772),(21795,'57480','Launstroff',21773),(21796,'57410','Montbronn',21774),(21797,'57640','Charly Oradour',21775),(21798,'57400','Sarraltroff',21776),(21799,'57960','Soucht',21777),(21800,'57480','Waldwisse',21778),(21801,'57930','Romelfing',21779),(21802,'57480','Montenach',21780),(21803,'57120','Pierrevillers',21781),(21804,'57050','Le Ban Saint Martin',21782),(21805,'57940','Volstroff',21783),(21806,'57580','Adaincourt',21784),(21807,'57370','Veckersviller',21785),(21808,'57110','Kuntzig',21786),(21809,'57580','Luppy',21787),(21810,'57320','Bibiche',21788),(21811,'57420','Pournoy La Grasse',21789),(21812,'57360','Amnéville',21790),(21813,'57670','Marimont Lès Bénestroff',21791),(21814,'57290','Serémange Erzange',21792),(21815,'57590','Aulnois Sur Seille',21793),(21816,'57110','Elzange',21794),(21817,'57320','Bouzonville',21795),(21818,'57170','Gerbécourt',21796),(21819,'57300','Ay Sur Moselle',21797),(21820,'57220','Charleville Sous Bois',21798),(21821,'57300','Mondelange',21799),(21822,'57270','Uckange',21800),(21823,'57640','Bettelainville',21801),(21824,'57690','Haute Vigneulles',21802),(21825,'57340','Suisse',21803),(21826,'57350','Schœneck',21804),(21827,'57340','Zarbeling',21805),(21828,'57117','Nouilly',21806),(21829,'57130','Jussy',21807),(21830,'57600','Forbach',21808),(21831,'57730','Macheren',21809),(21832,'57670','Montdidier',21810),(21833,'57550','Villing',21811),(21834,'57430','Le Val De Guéblange',21812),(21835,'57140','Saulny',21813),(21836,'57210','Fèves',21814),(21837,'57640','Servigny Lès Sainte Barbe',21815),(21838,'57530','Courcelles Sur Nied',21816),(21839,'57159','Bronvaux',21817),(21840,'57780','Rosselange',21818),(21841,'57410','Rohrbach Lès Bitche',21819),(21842,'57550','Hargarten Aux Mines',21820),(21843,'57140','Woippy',21821),(21844,'57830','Landange',21822),(21845,'57720','Nousseviller Lès Bitche',21823),(21846,'57670','Francaltroff',21824),(21847,'57220','Momerstroff',21825),(21848,'57200','Wœlfling Lès Sarreguemines',21826),(21849,'57160','Moulins Lès Metz',21827),(21850,'57380','Boustroff',21828),(21851,'57710','Tressange',21829),(21852,'57142','Gondrexange',21830),(21853,'57140','La Maxe',21831),(21854,'57720','Lengelsheim',21832),(21855,'57400','Schneckenbusch',21833),(21856,'57640','Vry',21834),(21857,'57220','Denting',21835),(21858,'57630','Vic Sur Seille',21836),(21859,'57800','Freyming Merlebach',21837),(21860,'57130','Sainte Ruffine',21838),(21861,'57580','Lesse',21839),(21862,'57220','Narbéfontaine',21840),(21863,'57510','Rémering Lès Puttelange',21841),(21864,'57170','Amelécourt',21842),(21865,'57830','Barchain',21843),(21866,'57380','Pontpierre',21844),(21867,'57410','Siersthal',21845),(21868,'57870','Hartzviller',21846),(21869,'57420','Liéhon',21847),(21870,'57220','Brouck',21848),(21871,'57420','Orny',21849),(21872,'57570','Évrange',21850),(21873,'57670','Molring',21851),(21874,'57460','Kerbach',21852),(21875,'57580','Flocourt',21853),(21876,'57590','Manhoué',21854),(21877,'57110','Illange',21855),(21878,'57340','Rodalbe',21856),(21879,'57630','Lezey',21857),(21880,'57490','L\'Hôpital',21858),(21881,'57320','Waldweistroff',21859),(21882,'57170','Burlioncourt',21860),(21883,'57980','Tenteling',21861),(21884,'57480','Malling',21862),(21885,'57690','Zimming',21863),(21886,'57520','Alsting',21864),(21887,'57320','Heining Lès Bouzonville',21865),(21888,'57245','Peltre',21866),(21889,'57380','Holacourt',21867),(21890,'57870','Plaine De Walsch',21868),(21891,'57830','Kerprich Aux Bois',21869),(21892,'57930','Gosselming',21870),(21893,'57340','Marthille',21871),(21894,'57245','Jury',21872),(21895,'57160','Rozérieulles',21873),(21896,'57430','Kappelkinger',21874),(21897,'57420','Pontoy',21875),(21898,'57140','Plesnois',21876),(21899,'57111','Amanvillers',21877),(21900,'57590','Fossieux',21878),(21901,'57260','Cutting',21879),(21902,'57340','Pévange',21880),(21903,'57980','Metzing',21881),(21904,'57660','Petit Tenquin',21882),(21905,'57660','Hellimer',21883),(21906,'57340','Racrange',21884),(21907,'57570','Puttelange Lès Thionville',21885),(21908,'57130','Vionville',21886),(21909,'57580','Aube',21887),(21910,'57070','Vantoux',21888),(21911,'57410','Enchenberg',21889),(21912,'57930','Saint Jean De Bassel',21890),(21913,'57330','Entrange',21891),(21915,'57390','Russange',21892),(21916,'57365','Chailly Lès Ennery',21893),(21917,'57260','Lindre Basse',21894),(21918,'57530','Maizeroy',21895),(21919,'57260','Blanche Église',21896),(21920,'57260','Guébestroff',21897),(21921,'57370','Vescheim',21898),(21922,'57380','Thicourt',21899),(21923,'57119','Wintersbourg',21900),(21924,'57930','Oberstinzel',21901),(21925,'57660','Diffembach Lès Hellimer',21902),(21926,'57645','Montoy Flanville',21903),(21927,'57680','Novéant Sur Moselle',21904),(21928,'57400','Hilbesheim',21905),(21929,'57420','Pouilly',21906),(21930,'57420','Sillegny',21907),(21931,'57590','Lucy',21908),(21932,'57530','Sanry Sur Nied',21909),(21933,'57680','Arry',21910),(21934,'57260','Guébling',21911),(21935,'57590','Juville',21912),(21936,'57170','Vaxy',21913),(21937,'57590','Puzieux',21914),(21938,'57590','Alaincourt La Côte',21915),(21939,'57340','Conthil',21916),(21940,'57470','Hombourg Haut',21917),(21941,'57440','Angevillers',21918),(21942,'57200','Frauenberg',21919),(21943,'57920','Veckring',21920),(21944,'57810','Rhodes',21921),(21945,'57680','Gorze',21922),(21946,'57920','Klang',21923),(21947,'57260','Vergaville',21924),(21948,'57530','Maizery',21925),(21949,'57130','Jouy Aux Arches',21926),(21950,'57870','Harreberg',21927),(21951,'57390','Rédange',21928),(21952,'57870','Hommert',21929),(21953,'57120','Clouange',21930),(21954,'57590','Frémery',21931),(21955,'57420','Secourt',21932),(21956,'57320','Vœlfling Lès Bouzonville',21933),(21957,'57700','Hayange',21934),(21958,'57810','Ommeray',21935),(21959,'57830','Héming',21936),(21960,'57810','Garde',21937),(21961,'57480','Rémeling',21938),(21962,'57530','Étangs',21939),(21963,'57525','Talange',21940),(21964,'57530','Silly Sur Nied',21941),(21965,'57580','Chenois',21942),(21966,'57790','Lorquin',21943),(21967,'57570','Berg Sur Moselle',21944),(21968,'57290','Fameck',21945),(21969,'57200','Rémelfing',21946),(21970,'57810','Avricourt',21947),(21971,'57690','Marange Zondrange',21948),(21972,'57580','Arriance',21949),(21973,'57410','Achen',21950),(21974,'57720','Schweyen',21951),(21975,'57510','Holving',21952),(21976,'57540','Petite Rosselle',21953),(21977,'57260','Tarquimpol',21954),(21978,'57340','Riche',21955),(21979,'57910','Hambach',21956),(21980,'57160','Lessy',21957),(21981,'57640','Failly',21958),(21982,'57830','Diane Capelle',21959),(21983,'57730','Altviller',21960),(21984,'57220','Condé Northen',21961),(21985,'57520','Rouhling',21962),(21986,'57130','Ars Sur Moselle',21963),(21987,'57220','Hinckange',21964),(21988,'57930','Fénétrange',21965),(21989,'57370','Hangviller',21966),(21990,'57110','Basse Ham',21967),(21991,'57220','Obervisse',21968),(21992,'57690','Flétrange',21969),(21993,'57220','Valmunster',21970),(21994,'57570','Mondorff',21971),(21995,'57650','Lommerange',21972),(21996,'57660','Erstroff',21973),(21997,'57570','Boust',21974),(21998,'57670','Honskirch',21975),(21999,'57650','Havange',21976),(22000,'57530','Raville',21977),(22001,'57420','Foville',21978),(22002,'57310','Guénange',21979),(22003,'57920','Hombourg Budange',21980),(22004,'57530','Pange',21981),(22005,'57110','Oudrenne',21982),(22006,'57400','Langatte',21983),(22007,'57980','Diebling',21984),(22008,'57670','Nébing',21985),(22009,'57310','Bousse',21986),(22010,'57410','Lambach',21987),(22011,'57650','Fontoy',21988),(22012,'57115','Sarreinsming',21989),(22013,'57530','Ogy',21990),(22014,'57660','Frémestroff',21991),(22015,'57200','Bliesbruck',21992),(22016,'57100','Thionville',21993),(22017,'57420','Sailly Achâtel',21994),(22018,'57114','Teting Sur Nied',21995),(22019,'57620','Saint Louis Lès Bitche',21996),(22020,'57510','Ernestviller',21997),(22021,'57400','Sarrebourg',21998),(22022,'57170','Obreck',21999),(22023,'57830','Neufmoulins',22000),(22024,'57810','Moncourt',22001),(22025,'57630','Haraucourt Sur Seille',22002),(22026,'57690','Guinglange',22003),(22027,'57370','Bourscheid',22004),(22028,'57230','Éguelshardt',22005),(22029,'57320','Flastroff',22006),(22030,'57810','Languimberg',22007),(22031,'57670','Réning',22008),(22032,'57590','Tincry',22009),(22033,'57570','Hagen',22010),(22034,'57930','Belles Forêts',22011),(22035,'57420','Solgne',22012),(22036,'57580','Béchy',22013),(22037,'57220','Burtoncourt',22014),(22038,'57160','Scy Chazelles',22015),(22039,'57110','Inglange',22016),(22040,'57660','Gréning',22017),(22041,'57320','Ébersviller',22018),(22042,'57480','Grindorff Bizing',22019),(22043,'57790','Hermelange',22020),(22044,'57470','Guenviller',22021),(22045,'57810','Réchicourt Le Château',22022),(22046,'57810','Donnelay',22023),(22047,'57560','Niderhoff',22024),(22048,'57050','Longeville Lès Metz',22025),(22049,'57590','Jallaucourt',22026),(22050,'57660','Maxstadt',22027),(22051,'57450','Henriville',22028),(22052,'57590','Malaucourt Sur Seille',22029),(22053,'57450','Seingbouse',22030),(22054,'57410','Bettviller',22031),(22055,'57170','Sotzeling',22032),(22056,'57460','Etzling',22033),(22057,'57260','Zommange',22034),(22058,'57340','Brulange',22035),(22059,'57420','Coin Sur Seille',22036),(22060,'57720','Hottviller',22037),(22061,'57530','Coincy',22038),(22062,'57510','Saint Jean Rohrbach',22039),(22063,'57380','Adelange',22040),(22064,'57890','Diesen',22041),(22065,'57840','Rochonvillers',22042),(22066,'57420','Coin Lès Cuvry',22043),(22067,'57630','Moyenvic',22044),(22068,'57670','Neufvillage',22045),(22069,'57320','Guerstling',22046),(22070,'57320','Filstroff',22047),(22071,'57710','Aumetz',22048),(22072,'57300','Hagondange',22049),(22073,'57720','Ormersviller',22050),(22074,'57310','Rurange Lès Thionville',22051),(22075,'57810','Assenoncourt',22052),(22076,'57590','Chicourt',22053),(22077,'57480','Rustroff',22054),(22078,'57320','Château Rouge',22055),(22079,'57530','Glatigny',22056),(22080,'57350','Spicheren',22057),(22081,'57340','Achain',22058),(22082,'57960','Meisenthal',22059),(22083,'57480','Apach',22060),(22084,'57220','Bettange',22061),(22085,'57530','Laquenexy',22062),(22086,'57180','Terville',22063),(22087,'57320','Menskirch',22064),(22088,'57550','Dalem',22065),(22089,'57920','Kemplich',22066),(22090,'57170','Wuisse',22067),(22091,'57510','Puttelange Aux Lacs',22068),(22092,'57810','Azoudange',22069),(22093,'57365','Flévy',22070),(22094,'57340','Bermering',22071),(22095,'57220','Mégange',22072),(22096,'57990','Hundling',22073),(22097,'57250','Moyeuvre Grande',22074),(22098,'57220','Bannay',22075),(22099,'57520','Lixing Lès Rouhling',22076),(22100,'57820','Lutzelbourg',22077),(22101,'57340','Château Bréhain',22078),(22102,'57670','Munster',22079),(22103,'57590','Bacourt',22080),(22104,'57490','Carling',22081),(22105,'57930','Postroff',22082),(22106,'57380','Faulquemont',22083),(22107,'57820','Garrebourg',22084),(22108,'57450','Farschviller',22085),(22109,'57790','Laneuveville Lès Lorquin',22086),(22110,'57260','Dieuze',22087),(22111,'57800','Betting',22088),(22112,'57230','Liederschiedt',22089),(22113,'57790','Hattigny',22090),(22114,'57590','Liocourt',22091),(22115,'57580','Han Sur Nied',22092),(22116,'57600','Folkling',22093),(22117,'57320','Rémelfang',22094),(22118,'57370','Mittelbronn',22095),(22119,'57230','Philippsbourg',22096),(22120,'57450','Cappel',22097),(22121,'57117','Noisseville',22098),(22122,'57140','Norroy Le Veneur',22099),(22123,'57580','Vittoncourt',22100),(22124,'57520','Grosbliederstroff',22101),(22125,'57119','Hérange',22102),(22126,'57720','Walschbronn',22103),(22127,'57340','Destry',22104),(22128,'57660','Laning',22105),(22129,'57220','Gomelange',22106),(22130,'57230','Bousseviller',22107),(22131,'57116','Brouderdorff',22108),(22132,'57220','Helstroff',22109),(22133,'57480','Kirschnaumen',22110),(22134,'57220','Roupeldange',22111),(22135,'57810','Bourdonnay',22112),(22136,'57070','Chieulles',22113),(22137,'57530','Courcelles Chaussy',22114),(22138,'57550','Rémering',22115),(22139,'57640','Malroy',22116),(22140,'57170','Salonnes',22117),(22141,'57620','Mouterhouse',22118),(22142,'57230','Bitche',22119),(22143,'57340','Eincheville',22120),(22144,'57730','Valmont',22121),(22145,'57660','Bistroff',22122),(22146,'57176','Augny',22123),(22147,'57990','Nousseviller Saint Nabor',22124),(22148,'57210','Maizières Lès Metz',22125),(22149,'57170','Château Voué',22126),(22150,'57510','Richeling',22127),(22151,'57590','Laneuveville En Saulnois',22128),(22152,'57590','Lemoncourt',22129),(22153,'57930','Bettborn',22130),(22154,'57136','Erching',22131),(22155,'57170','Lubécourt',22132),(22156,'57660','Freybouse',22133),(22157,'57510','Loupershouse',22134),(22158,'57380','Many',22135),(22159,'57770','Moussey',22136),(22160,'57230','Reyersviller',22137),(22161,'57070','Vany',22138),(22162,'57410','Rahling',22139),(22163,'57670','Lostroff',22140),(22164,'57400','Hommarting',22141),(22165,'57930','Mittersheim',22142),(22166,'57130','Dornot',22143),(22167,'57260','Domnom Lès Dieuze',22144),(22168,'57740','Longeville Lès Saint Avold',22145),(22169,'57220','Bionville Sur Nied',22146),(22170,'57880','Guerting',22147),(22171,'57800','Rosbruck',22148),(22172,'57145','Woustviller',22149),(22173,'57800','Béning Lès Saint Avold',22150),(22174,'57340','Harprich',22151),(22175,'57245','Chesny',22152),(22176,'57114','Laudrefang',22153),(22177,'57560','Vasperviller',22154),(22178,'57119','Fleisheim',22155),(22179,'57260','Saint Médard',22156),(22180,'57880','Varsberg',22157),(22181,'57119','Vieux Lixheim',22158),(22182,'57420','Verny',22159),(22183,'57670','Albestroff',22160),(22184,'57230','Schorbach',22161),(22185,'57630','Xanrey',22162),(22186,'57420','Cheminot',22163),(22187,'57670','Vibersviller',22164),(22188,'57840','Ottange',22165),(22189,'57110','Stuckange',22166),(22190,'57590','Fonteny',22167),(22191,'57830','Saint Georges',22168),(22192,'57370','Zilling',22169),(22193,'57370','Schalbach',22170),(22194,'57170','Puttigny',22171),(22195,'57580','Baudrecourt',22172),(22196,'57400','Dolving',22173),(22197,'57640','Sainte Barbe',22174),(22198,'57120','Rombas',22175),(22199,'57640','Sanry Lès Vigy',22176),(22200,'57690','Hémilly',22177),(22201,'57220','Coume',22178),(22202,'57790','Aspach',22179),(22203,'57450','Farébersviller',22180),(22204,'57380','Vahl Lès Faulquemont',22181),(22205,'57500','Saint Avold',22182),(22206,'57340','Villers Sur Nied',22183),(22207,'57660','Altrippe',22184),(22208,'57400','Buhl Lorraine',22185),(22209,'57370','Bickenholtz',22186),(22210,'57920','Monneren',22187),(22211,'57130','Rezonville',22188),(22212,'57630','Marsal',22189),(22213,'57660','Lelling',22190),(22214,'57905','Zetting',22191),(22215,'57260','Gelucourt',22192),(22216,'57420','Cuvry',22193),(22217,'57260','Rorbach Lès Dieuze',22194),(22218,'57580','Vatimont',22195),(22219,'57110','Valmestroff',22196),(22220,'57870','Walscheid',22197),(22221,'57370','Waltembourg',22198),(22222,'57920','Kédange Sur Canner',22199),(22223,'57580','Voimhaut',22200),(22224,'57720','Breidenbach',22201),(22225,'57220','Niedervisse',22202),(22226,'57240','Nilvange',22203),(22227,'57670','Insming',22204),(22228,'57420','Silly En Saulnois',22205),(22229,'57230','Roppeviller',22206),(22230,'57340','Virming',22207),(22231,'57117','Retonfey',22208),(22232,'57880','Ham Sous Varsberg',22209),(22233,'57410','Bining',22210),(22234,'57530','Colligny',22211),(22235,'57580','Saint Epvre',22212),(22236,'57050','Plappeville',22213),(22237,'57530','Servigny Lès Raville',22214),(22238,'57620','Lemberg',22215),(22239,'57580','Ancerville',22216),(22240,'57630','Bezange La Petite',22217),(22241,'57330','Hettange Grande',22218),(22242,'57560','Turquestein Blancrupt',22219),(22243,'57930','Hellering Lès Fénétrange',22220),(22244,'57200','Sarreguemines',22221),(22245,'57480','Kerling Lès Sierck',22222),(22246,'57170','Hampont',22223),(22247,'57820','Dannelbourg',22224),(22248,'57130','Vernéville',22225),(22249,'57790','Fraquelfing',22226),(22250,'57370','Vilsberg',22227),(22251,'57560','Lafrimbolle',22228),(22252,'57920','Aboncourt',22229),(22253,'57570','Breistroff La Grande',22230),(22254,'57590','Viviers',22231),(22255,'57830','Hertzing',22232),(22256,'57220','Velving',22233),(22257,'57310','Bertrange',22234),(22258,'57170','Chambrey',22235),(22259,'57340','Landroff',22236),(22260,'57170','Fresnes En Saulnois',22237),(22261,'57380','Mainvillers',22238),(22262,'57910','Neufgrange',22239),(22263,'57620','Goetzenbruck',22240),(22264,'57430','Sarralbe',22241),(22265,'57270','Richemont',22242),(22266,'57690','Elvange',22243),(22267,'57340','Haboudange',22244),(22268,'57400','Hesse',22245),(22269,'57660','Leyviller',22246),(22270,'57850','Dabo',22247),(22271,'57175','Gandrange',22248),(22272,'57850','Haselbourg',22249),(22273,'57250','Moyeuvre Petite',22250),(22274,'57560','Métairies Saint Quirin',22251),(22275,'57720','Epping',22252),(22276,'57420','Pagny Lès Goin',22253),(22277,'57510','Grundviller',22254),(22278,'57660','Bérig Vintrange',22255),(22279,'57230','Sturzelbronn',22256),(22280,'57660','Grostenquin',22257),(22281,'57220','Fouligny',22258),(22282,'57430','Hazembourg',22259),(22283,'57660','Biding',22260),(22284,'57320','Dalstein',22261),(22285,'57660','Lixing Lès Saint Avold',22262),(22286,'57420','Louvigny',22263),(22287,'57690','Créhange',22264),(22288,'57410','Kalhausen',22265),(22289,'57580','Sorbey',22266),(22290,'57420','Saint Jure',22267),(22291,'57580','Herny',22268),(22292,'57590','Xocourt',22269),(22293,'57260','Lindre Haute',22270),(22294,'57670','Vittersbourg',22271),(22295,'57320','Freistroff',22272),(22296,'57390','Audun Le Tiche',22273),(22297,'57420','Marieulles',22274),(22298,'57920','Buding',22275),(22299,'57670','Torcheville',22276),(22300,'57590','Craincourt',22277),(22301,'57590','Prévocourt',22278),(22302,'57210','Semécourt',22279),(22303,'57930','Desseling',22280),(22304,'57260','Mulcey',22281),(22305,'57444','Réding',22282),(22306,'57159','Marange Silvange',22283),(22307,'57420','Pommerieux',22284),(22308,'57420','Chérisey',22285),(22309,'57920','Metzeresche',22286),(22310,'57260','Bidestroff',22287),(22311,'57670','Lhor',22288),(22312,'57400','Guntzviller',22289),(22313,'57340','Dalhain',22290),(22314,'57260','Guéblange Lès Dieuze',22291),(22315,'57480','Sierck Les Bains',22292),(22316,'57340','Vannecourt',22293),(22317,'57570','Fixem',22294),(22318,'57550','Merten',22295),(22319,'57134','Distroff',22296),(22320,'57590','Oriocourt',22297),(22321,'57370','Metting',22298),(22322,'57330','Volmerange Les Mines',22299),(22323,'57300','Trémery',22300),(22324,'57580','Lemud',22301),(22325,'57240','Knutange',22302),(22326,'57320','Anzeling',22303),(22327,'57560','Abreschviller',22304),(22328,'57380','Thonville',22305),(22329,'57220','Volmerange Lès Boulay',22306),(22330,'57220','Piblange',22307),(22331,'57118','Sainte Marie Aux Chênes',22308),(22332,'57400','Imling',22309),(22333,'57330','Escherange',22310),(22334,'57220','Boucheporn',22311),(22335,'57220','Holling',22312),(22336,'57530','Hayes',22313),(22337,'57130','Ancy Sur Moselle',22314),(22338,'57600','Œting',22315),(22339,'57450','Théding',22316),(22340,'57570','Basse Rentgen',22317),(22341,'57480','Kirsch Lès Sierck',22318),(22342,'57670','Loudrefing',22319),(22343,'57158','Montigny Lès Metz',22320),(22344,'57050','Lorry Lès Metz',22321),(22345,'57220','Guinkirchen',22322),(22346,'57730','Folschviller',22323),(22347,'57420','Fleury',22324),(22348,'57130','Vaux',22325),(22349,'57680','Corny Sur Moselle',22326),(22350,'57930','Niederstinzel',22327),(22351,'57420','Lorry Mardigny',22328),(22352,'57530','Marsilly',22329),(22353,'57480','Halstroff',22330),(22354,'57440','Algrange',22331),(22355,'57730','Lachambre',22332),(22356,'57130','Gravelotte',22333),(22357,'57330','Kanfen',22334),(22358,'57480','Contz Les Bains',22335),(22359,'57550','Falck',22336),(22360,'57160','Châtel Saint Germain',22337),(22361,'57480','Hunting',22338),(22362,'57070','Saint Julien Lès Metz',22339),(22363,'57640','Vigy',22340),(22364,'57230','Haspelschiedt',22341),(22365,'57340','Baronville',22342),(22366,'57220','Éblange',22343),(22367,'57150','Creutzwald',22344),(22368,'57510','Hoste',22345),(22369,'57380','Guessling Hémering',22346),(22370,'57410','Schmittviller',22347),(22371,'57660','Vahl Ebersing',22348),(22372,'57700','Neufchef',22349),(22373,'57420','Vulmont',22350),(22374,'57580','Thimonville',22351),(22375,'57320','Vaudreching',22352),(22376,'57144','Luttange',22353),(22377,'58120','Chaumard',22354),(22378,'58260','La Machine',22355),(22379,'58330','Saint Saulge',22356),(22380,'58420','Vitry Laché',22357),(22381,'58700','La Celle Sur Nièvre',22358),(22382,'58220','Couloutre',22359),(22383,'58110','Mont Et Marré',22360),(22384,'58190','Flez Cuzy',22361),(22385,'58110','Biches',22362),(22386,'58220','Ciez',22363),(22387,'58370','Larochemillay',22364),(22388,'58470','Magny Cours',22365),(22389,'58430','Arleuf',22366),(22390,'58340','Diennes Aubigny',22367),(22391,'58250','La Nocle Maulaix',22368),(22392,'58140','Marigny L\'Église',22369),(22393,'58130','Balleray',22370),(22394,'58210','Marcy',22371),(22395,'58210','Saint Pierre Du Mont',22372),(22396,'58250','Montaron',22373),(22397,'58120','Château Chinon (campagne)',22374),(22398,'58150','Suilly La Tour',22375),(22399,'58300','Saint Parize En Viry',22376),(22400,'58240','Saint Pierre Le Moûtier',22377),(22401,'58210','Courcelles',22378),(22402,'58230','Saint Agnan',22379),(22403,'58190','Dirol',22380),(22404,'58150','Vielmanay',22381),(22405,'58800','La Collancelle',22382),(22406,'58140','Lormes',22383),(22407,'58350','Saint Malo En Donziois',22384),(22408,'58270','Anlezy',22385),(22409,'58270','Frasnay Reugny',22386),(22410,'58210','Oudan',22387),(22411,'58420','Guipy',22388),(22412,'58700','Giry',22389),(22413,'58230','Gouloux',22390),(22414,'58440','La Celle Sur Loire',22391),(22415,'58800','Chitry Les Mines',22392),(22416,'58420','Challement',22393),(22417,'58330','Saint Benin Des Bois',22394),(22418,'58350','Nannay',22395),(22419,'58140','Saint Martin Du Puy',22396),(22420,'58180','Marzy',22397),(22421,'58330','Sainte Marie',22398),(22422,'58110','Ougny',22399),(22423,'58500','Rix',22400),(22424,'58350','Dompierre Sur Nièvre',22401),(22425,'58220','Cessy Les Bois',22402),(22426,'58110','Achun',22403),(22427,'58250','Saint Seine',22404),(22428,'58330','Saint Maurice',22405),(22429,'58110','Tamnay En Bazois',22406),(22430,'58400','Tronsanges',22407),(22431,'58190','Saizy',22408),(22432,'58250','Fours',22409),(22433,'58390','Dornes',22410),(22434,'58300','Toury Lurcy',22411),(22435,'58300','Avril Sur Loire',22412),(22436,'58210','Cuncy Lès Varzy',22413),(22437,'58130','Saint Martin D\'Heuille',22414),(22438,'58330','Crux La Ville',22415),(22439,'58150','Saint Martin Sur Nohain',22416),(22440,'58200','Pougny',22417),(22441,'58160','Imphy',22418),(22442,'58170','Chiddes',22419),(22443,'58380','Lucenay Lès Aix',22420),(22444,'58160','Chevenon',22421),(22445,'58260','Thianges',22422),(22446,'58120','Château Chinon (ville)',22423),(22447,'58190','Moissy Moulinot',22424),(22448,'58110','Alluy',22425),(22449,'58140','Saint André En Morvan',22426),(22450,'58240','Mars Sur Allier',22427),(22451,'58800','Mouron Sur Yonne',22428),(22452,'58290','Vandenesse',22429),(22453,'58220','Perroy',22430),(22454,'58170','Tazilly',22431),(22455,'58310','Bouhy',22432),(22456,'58400','Narcy',22433),(22457,'58800','Marigny Sur Yonne',22434),(22458,'58300','Saint Léger Des Vignes',22435),(22459,'58420','Bussy La Pesle',22436),(22460,'58140','Chalaux',22437),(22461,'58150','Garchy',22438),(22462,'58300','Neuville Lès Decize',22439),(22463,'58120','Blismes',22440),(22464,'58130','Saint Aubin Les Forges',22441),(22465,'58250','Ternant',22442),(22466,'58150','Saint Quentin Sur Nohain',22443),(22467,'58300','Verneuil',22444),(22468,'58120','Montigny En Morvan',22445),(22469,'58250','Rémilly',22446),(22470,'58290','Maux',22447),(22471,'58400','Mesves Sur Loire',22448),(22472,'58420','Chevannes Changy',22449),(22473,'58340','Cercy La Tour',22450),(22474,'58800','Anthien',22451),(22475,'58420','Brinon Sur Beuvron',22452),(22476,'58120','Saint Hilaire En Morvan',22453),(22477,'58420','Neuilly',22454),(22478,'58800','Cervon',22455),(22479,'58800','Sardy Lès Épiry',22456),(22480,'58230','Montsauche Les Settons',22457),(22481,'58110','Dun Sur Grandry',22458),(22482,'58320','Parigny Les Vaux',22459),(22483,'58250','Thaix',22460),(22484,'58270','Billy Chevannes',22461),(22485,'58240','Fleury Sur Loire',22462),(22486,'58420','Moraches',22463),(22487,'58240','Tresnay',22464),(22488,'58140','Mhère',22465),(22489,'58240','Livry',22466),(22490,'58200','Alligny Cosne',22467),(22491,'58240','Chantenay Saint Imbert',22468),(22492,'58700','Authiou',22469),(22493,'58150','Saint Laurent L\'Abbaye',22470),(22494,'58700','Arzembouy',22471),(22495,'58420','Dompierre Sur Héry',22472),(22496,'58700','Beaumont La Ferrière',22473),(22497,'58420','Asnan',22474),(22498,'58120','Dommartin',22475),(22499,'58110','Saint Péreuse',22476),(22500,'58230','Lavault De Frétoy',22477),(22501,'58320','Germigny Sur Loire',22478),(22502,'58170','Avrée',22479),(22503,'58160','Druy Parigny',22480),(22504,'58130','Urzy',22481),(22505,'58300','Decize',22482),(22506,'58110','Bazolles',22483),(22507,'58700','Moussy',22484),(22508,'58110','Chougny',22485),(22509,'58490','Saint Parize Le Châtel',22486),(22510,'58230','Saint Brisson',22487),(22511,'58460','Trucy L\'Orgueilleux',22488),(22512,'58300','Saint Germain Chassenay',22489),(22513,'58170','Poil',22490),(22514,'58110','Châtillon En Bazois',22491),(22515,'58500','Clamecy',22492),(22516,'58140','Gâcogne',22493),(22517,'58420','Taconnay',22494),(22518,'58370','Glux En Glenne',22495),(22519,'58500','Oisy',22496),(22520,'58310','Saint Amand En Puisaye',22497),(22521,'58420','Champallement',22498),(22522,'58330','Jailly',22499),(22523,'58400','Champvoux',22500),(22524,'58600','Garchizy',22501),(22525,'58250','Lanty',22502),(22526,'58230','Moux En Morvan',22503),(22527,'58250','Montambert',22504),(22528,'58110','Montapas',22505),(22529,'58230','Alligny En Morvan',22506),(22530,'58120','Saint Léger De Fougeret',22507),(22531,'58190','Neuffontaines',22508),(22532,'58160','Béard',22509),(22533,'58200','Cosne Cours Sur Loire',22510),(22534,'58360','Saint Honoré Les Bains',22511),(22535,'58350','Arbourse',22512),(22536,'58290','Isenay',22513),(22537,'58310','Dampierre Sous Bouhy',22514),(22538,'58140','Empury',22515),(22539,'58300','Cossaye',22516),(22540,'58450','Annay',22517),(22541,'58220','Donzy',22518),(22542,'58440','Myennes',22519),(22543,'58700','Lurcy Le Bourg',22520),(22544,'58190','Saint Aubin Des Chaumes',22521),(22545,'58210','Parigny La Rose',22522),(22546,'58190','Metz Le Comte',22523),(22547,'58450','Neuvy Sur Loire',22524),(22548,'58340','Montigny Sur Canne',22525),(22549,'58800','Magny Lormes',22526),(22550,'58350','Châteauneuf Val De Bargis',22527),(22551,'58300','Saint Hilaire Fontaine',22528),(22552,'58700','Sichamps',22529),(22553,'58150','Saint Andelain',22530),(22554,'58130','Poiseux',22531),(22555,'58210','Champlemy',22532),(22556,'58530','Brèves',22533),(22557,'58200','Saint Loup',22534),(22558,'58500','Ouagne',22535),(22559,'58410','Menestreau',22536),(22560,'58220','Sainte Colombe Des Bois',22537),(22561,'58530','Dornecy',22538),(22562,'58800','Germenay',22539),(22563,'58700','Oulon',22540),(22564,'58370','Onlay',22541),(22565,'58190','Amazy',22542),(22566,'58190','Vignol',22543),(22567,'58500','Surgy',22544),(22568,'58000','Saint Éloi',22545),(22569,'58190','Ruages',22546),(22570,'58270','Fertrève',22547),(22571,'58210','Menou',22548),(22572,'58290','Limanton',22549),(22573,'58110','Rouy',22550),(22574,'58170','Savigny Poil Fol',22551),(22575,'58150','Tracy Sur Loire',22552),(22576,'58000','Sermoise Sur Loire',22553),(22577,'58110','Aunay En Bazois',22554),(22578,'58800','Héry',22555),(22579,'58210','La Chapelle Saint André',22556),(22580,'58190','Asnois',22557),(22581,'58190','La Maison Dieu',22558),(22582,'58700','Murlin',22559),(22583,'58410','Entrains Sur Nohain',22560),(22584,'58190','Teigny',22561),(22585,'58700','Nolay',22562),(22586,'58370','Villapourçon',22563),(22587,'58800','Montreuillon',22564),(22588,'58300','Sougy Sur Loire',22565),(22589,'58160','Sauvigny Les Bois',22566),(22590,'58000','Challuy',22567),(22591,'58200','Saint Père',22568),(22592,'58230','Planchez',22569),(22593,'58400','La Marche',22570),(22594,'58210','Saint Germain Des Bois',22571),(22595,'58230','Gien Sur Cure',22572),(22596,'58310','Saint Vérain',22573),(22597,'58240','Azy Le Vif',22574),(22598,'58270','Saint Sulpice',22575),(22599,'58340','Saint Gratien Savigny',22576),(22600,'58190','Bazoches',22577),(22601,'58500','Chevroches',22578),(22602,'58300','Devay',22579),(22603,'58470','Saincaize Meauce',22580),(22604,'58640','Varennes Vauzelles',22581),(22605,'58700','Arthel',22582),(22606,'58210','Varzy',22583),(22607,'58420','Beaulieu',22584),(22608,'58330','Saxi Bourdon',22585),(22609,'58160','La Fermeté',22586),(22610,'58240','Luthenay Uxeloup',22587),(22611,'58210','Beuvron',22588),(22612,'58130','Montigny Aux Amognes',22589),(22613,'58190','Monceaux Le Comte',22590),(22614,'58420','Grenois',22591),(22615,'58170','Millay',22592),(22616,'58140','Pouques Lormes',22593),(22617,'58700','Saint Bonnot',22594),(22618,'58290','Sermages',22595),(22619,'58120','Corancy',22596),(22620,'58460','Corvol L\'Orgueilleux',22597),(22621,'58190','Saint Didier',22598),(22622,'58110','Brinay',22599),(22623,'58190','Lys',22600),(22624,'58400','Varennes Lès Narcy',22601),(22625,'58420','Saint Révérien',22602),(22626,'58190','Talon',22603),(22627,'58150','Pouilly Sur Loire',22604),(22628,'58400','La Charité Sur Loire',22605),(22629,'58270','Saint Firmin',22606),(22630,'58270','Saint Benin D\'Azy',22607),(22631,'58000','Nevers',22608),(22632,'58800','Chaumot',22609),(22633,'58210','Corvol D\'Embernard',22610),(22634,'58140','Vauclaix',22611),(22635,'58190','Tannay',22612),(22636,'58700','Champlin',22613),(22637,'58700','Chazeuil',22614),(22638,'58230','Ouroux En Morvan',22615),(22639,'58210','Villiers Le Sec',22616),(22640,'58330','Bona',22617),(22641,'58400','Bulcy',22618),(22642,'58700','Montenoison',22619),(22643,'58420','Michaugues',22620),(22644,'58300','Champvert',22621),(22645,'58270','Ville Langy',22622),(22646,'58230','Dun Les Places',22623),(22647,'58360','Préporché',22624),(22648,'58500','Villiers Sur Yonne',22625),(22649,'58320','Pougues Les Eaux',22626),(22650,'58120','Châtin',22627),(22651,'58130','Guérigny',22628),(22652,'58350','Colméry',22629),(22653,'58270','Limon',22630),(22654,'58330','Saint Franchy',22631),(22655,'58270','Cizely',22632),(22656,'58400','Chaulgnes',22633),(22657,'58290','Moulins Engilbert',22634),(22658,'58800','Pazy',22635),(22659,'58660','Coulanges Lès Nevers',22636),(22660,'58300','Charrin',22637),(22661,'58310','Arquian',22638),(22662,'58430','Fâchin',22639),(22663,'58270','Saint Jean Aux Amognes',22640),(22664,'58470','Gimouille',22641),(22665,'58500','Billy Sur Oisy',22642),(22666,'58160','Saint Ouen Sur Loire',22643),(22667,'58110','Tintury',22644),(22668,'58800','Corbigny',22645),(22669,'58270','Beaumont Sardolles',22646),(22670,'58140','Brassy',22647),(22671,'58180','Fourchambault',22648),(22672,'58170','Fléty',22649),(22673,'58260','Trois Vèvres',22650),(22674,'58300','Lamenay Sur Loire',22651),(22675,'58500','Armes',22652),(22676,'58350','Chasnay',22653),(22677,'58460','Breugnon',22654),(22678,'58310','Bitry',22655),(22679,'58240','Toury Sur Jour',22656),(22680,'58800','Epiry',22657),(22681,'58360','Sémelay',22658),(22682,'58700','Prémery',22659),(22683,'58400','Raveau',22660),(22684,'58240','Langeron',22661),(22685,'58190','Nuars',22662),(22686,'58500','Pousseaux',22663),(22687,'58170','Luzy',22664),(22688,'58130','Ourouër',22665),(22689,'59218','Salesches',22666),(22690,'59122','Rexpoëde',22667),(22691,'59380','Bergues',22668),(22692,'59137','Busigny',22669),(22693,'59121','Prouvy',22670),(22694,'59570','Bermeries',22671),(22695,'59190','Wallon Cappel',22672),(22696,'59285','Arnèke',22673),(22697,'59247','Fressies',22674),(22698,'59740','Dimechaux',22675),(22699,'59127','Dehéries',22676),(22700,'59680','Cerfontaine',22677),(22701,'59161','Ramillies',22678),(22702,'59330','Éclaibes',22679),(22703,'59119','Waziers',22680),(22704,'59440','Flaumont Waudrechies',22681),(22705,'59440','Dourlers',22682),(22706,'59400','Eswars',22683),(22707,'59360','Mazinghien',22684),(22708,'59470','Houtkerque',22685),(22709,'59163','Condé Sur L\'Escaut',22686),(22710,'59550','Landrecies',22687),(22711,'59143','Watten',22688),(22712,'59132','Eppe Sauvage',22689),(22713,'59154','Crespin',22690),(22714,'59191','Ligny En Cambrésis',22691),(22715,'59294','Haussy',22692),(22716,'59184','Sainghin En Weppes',22693),(22717,'59440','Bas Lieu',22694),(22718,'59100','Roubaix',22695),(22719,'59310','Coutiches',22696),(22720,'59141','Iwuy',22697),(22721,'59213','Vendegies Sur Écaillon',22698),(22722,'59231','Gouzeaucourt',22699),(22723,'59270','Flêtre',22700),(22724,'59530','Hecq',22701),(22725,'59271','Viesly',22702),(22726,'59188','Saint Aubert',22703),(22727,'59277','Rieux En Cambrésis',22704),(22728,'59150','Wattrelos',22705),(22730,'59219','Larouillies',22706),(22731,'59117','Wervicq Sud',22707),(22732,'59125','Trith Saint Léger',22708),(22733,'59171','Hélesmes',22709),(22734,'59223','Roncq',22710),(22735,'59990','Sebourg',22711),(22736,'59221','Bauvin',22712),(22737,'59440','Dompierre Sur Helpe',22713),(22738,'59186','Anor',22714),(22739,'59610','Fourmies',22715),(22740,'59163','Thivencelle',22716),(22741,'59360','La Groise',22717),(22742,'59190','Caëstre',22718),(22743,'59225','Montigny En Cambrésis',22719),(22744,'59242','Genech',22720),(22746,'59158','Mortagne Du Nord',22721),(22747,'59252','Marquette En Ostrevant',22722),(22748,'59135','Bellaing',22723),(22749,'59247','Hem Lenglet',22724),(22750,'59530','Englefontaine',22725),(22751,'59530','Ruesnes',22726),(22752,'59156','Lourches',22727),(22753,'59273','Fretin',22728),(22754,'59236','Frelinghien',22729),(22755,'59134','Herlies',22730),(22756,'59494','Aubry Du Hainaut',22731),(22757,'59330','Boussières Sur Sambre',22732),(22758,'59570','Bavay',22733),(22759,'59133','Camphin En Carembault',22734),(22760,'59520','Marquette Lez Lille',22735),(22761,'59269','Artres',22736),(22762,'59570','La Flamengrie',22737),(22763,'59238','Maretz',22738),(22764,'59670','Zuytpeene',22739),(22765,'59129','Avesnes Les Aubert',22740),(22766,'59149','Aibes',22741),(22767,'59143','Wulverdinghe',22742),(22768,'59680','Wattignies La Victoire',22743),(22769,'59740','Beaurieux',22744),(22770,'59255','Haveluy',22745),(22771,'59114','Steenvoorde',22746),(22772,'59570','Audignies',22747),(22773,'59144','Wargnies Le Grand',22748),(22774,'59530','Frasnoy',22749),(22775,'59470','Broxeele',22750),(22776,'59173','Renescure',22751),(22777,'59189','Thiennes',22752),(22778,'59360','Pommereuil',22753),(22779,'59390','Lannoy',22754),(22780,'59680','Quiévelon',22755),(22781,'59370','Mons En Barœul',22756),(22782,'59252','Marcq En Ostrevent',22757),(22783,'59165','Auberchicourt',22758),(22784,'59270','Saint Jans Cappel',22759),(22785,'59139','Wattignies',22760),(22786,'59127','Walincourt Selvigny',22761),(22787,'59552','Courchelettes',22762),(22788,'59172','R?oeulx',22763),(22789,'59227','Montrécourt',22764),(22790,'59127','Élincourt',22765),(22791,'59830','Louvil',22766),(22792,'59172','Mastaing',22767),(22793,'59530','Jolimetz',22768),(22794,'59320','Radinghem En Weppes',22769),(22795,'59450','Sin Le Noble',22770),(22796,'59158','Flines Lès Mortagne',22771),(22797,'59380','Wylder',22772),(22798,'59235','Bersée',22773),(22799,'59820','Saint Georges Sur L\'Aa',22774),(22800,'59680','Obrechies',22775),(22801,'59188','Villers En Cauchies',22776),(22802,'59234','Monchecourt',22777),(22803,'59580','Aniche',22778),(22804,'59540','Beaumont En Cambrésis',22779),(22805,'59551','Attiches',22780),(22806,'59131','Rousies',22781),(22807,'59530','Louvignies Quesnoy',22782),(22808,'59495','Leffrinckoucke',22783),(22809,'59830','Wannehain',22784),(22810,'59121','Haulchin',22785),(22811,'59480','La Bassée',22786),(22812,'59265','Aubencheul Au Bac',22787),(22813,'59120','Loos',22788),(22814,'59440','Haut Lieu',22789),(22815,'59360','Catillon Sur Sambre',22790),(22816,'59234','Fressain',22791),(22817,'59222','Croix Caluyau',22792),(22818,'59144','Eth',22793),(22819,'59178','Hasnon',22794),(22820,'59141','Thun L\'Évêque',22795),(22821,'59870','Warlaing',22796),(22822,'59380','Socx',22797),(22823,'59178','Millonfosse',22798),(22824,'59217','Carnières',22799),(22825,'59553','Esquerchin',22800),(22826,'59970','Fresnes Sur Escaut',22801),(22827,'59380','Crochte',22802),(22828,'59360','Neuvilly',22803),(22829,'59990','Maresches',22804),(22830,'59112','Carnin',22805),(22831,'59530','Orsinval',22806),(22832,'59258','Rues Des Vignes',22807),(22833,'59267','Proville',22808),(22834,'59151','Bugnicourt',22809),(22835,'59380','Quaëdypre',22810),(22836,'59360','Le Cateau Cambrésis',22811),(22837,'59380','Armbouts Cappel',22812),(22838,'59740','Liessies',22813),(22839,'59492','Hoymille',22814),(22840,'59191','Haucourt En Cambrésis',22815),(22841,'59250','Halluin',22816),(22842,'59246','Mons En Pévèle',22817),(22843,'59169','Gœulzin',22818),(22844,'59740','Solrinnes',22819),(22845,'59249','Fromelles',22820),(22846,'59740','Bérelles',22821),(22847,'59730','Solesmes',22822),(22848,'59169','Férin',22823),(22849,'59310','Saméon',22824),(22850,'59159','Noyelles Sur Escaut',22825),(22851,'59286','Roost Warendin',22826),(22852,'59630','Bourbourg',22827),(22853,'59670','Bavinchove',22828),(22854,'59222','Bousies',22829),(22855,'59970','Odomez',22830),(22856,'59360','Rejet De Beaulieu',22831),(22857,'59190','Morbecque',22832),(22858,'59225','Clary',22833),(22859,'59870','Rieulay',22834),(22860,'59198','Haspres',22835),(22861,'59282','Noyelles Sur Selle',22836),(22862,'59970','Vicq',22837),(22863,'59300','Valenciennes',22838),(22864,'59293','Neuville Sur Escaut',22839),(22865,'59780','Baisieux',22840),(22866,'59330','Beaufort',22841),(22867,'59110','La Madeleine',22842),(22868,'59114','Eecke',22843),(22869,'59310','Mouchin',22844),(22870,'59226','Rumegies',22845),(22871,'59151','Arleux',22846),(22872,'59380','Bissezeele',22847),(22873,'59273','Péronne En Mélantois',22848),(22874,'59470','Volckerinckhove',22849),(22875,'59680','Ferrière La Petite',22850),(22876,'59380','Warhem',22851),(22877,'59145','Sassegnies',22852),(22878,'59151','Hamel',22853),(22879,'59570','Taisnières Sur Hon',22854),(22880,'59279','Loon Plage',22855),(22881,'59285','Rubrouck',22856),(22882,'59470','Wormhout',22857),(22883,'59720','Louvroil',22858),(22884,'59390','Lys Lez Lannoy',22859),(22885,'59710','Ennevelin',22860),(22886,'59890','Quesnoy Sur Deûle',22861),(22887,'59380','Spycker',22862),(22888,'59840','Pérenchies',22863),(22889,'59163','Saint Aybert',22864),(22890,'59940','Neuf Berquin',22865),(22891,'59494','Petite Forêt',22866),(22892,'59680','Colleret',22867),(22893,'59440','Semousies',22868),(22894,'59177','Ramousies',22869),(22895,'59166','Bousbecque',22870),(22896,'59880','Saint Saulve',22871),(22897,'59144','Wargnies Le Petit',22872),(22898,'59164','Marpent',22873),(22899,'59143','Holque',22874),(22900,'59182','Loffre',22875),(22901,'59740','Solre Le Château',22876),(22902,'59260','Lezennes',22877),(22903,'59550','Le Favril',22878),(22904,'59310','Landas',22879),(22905,'59440','Avesnelles',22880),(22906,'59330','Limont Fontaine',22881),(22907,'59252','Wasnes Au Bac',22882),(22908,'59710','Pont À Marcq',22883),(22909,'59295','Estrun',22884),(22910,'59270','Méteren',22885),(22911,'59144','Amfroipret',22886),(22912,'59217','Bévillers',22887),(22913,'59554','Tilloy Lez Cambrai',22888),(22914,'59620','Leval',22889),(22915,'59310','Aix',22890),(22916,'59551','Tourmignies',22891),(22917,'59600','Élesmes',22892),(22918,'59212','Wignehies',22893),(22919,'59211','Santes',22894),(22920,'59147','Herrin',22895),(22921,'59132','Ohain',22896),(22922,'59890','Deûlémont',22897),(22923,'59188','Saint Vaast En Cambrésis',22898),(22924,'59190','Hondeghem',22899),(22925,'59185','Provin',22900),(22926,'59143','Saint Momelin',22901),(22927,'59190','Pradelles',22902),(22928,'59190','Borre',22903),(22929,'59190','Hazebrouck',22904),(22930,'59264','Onnaing',22905),(22931,'59274','Marquillies',22906),(22932,'59530','Potelle',22907),(22933,'59169','Cantin',22908),(22934,'59990','Rombies Et Marchipont',22909),(22935,'59400','Séranvillers Forenville',22910),(22936,'59152','Chéreng',22911),(22937,'59127','Esnes',22912),(22938,'59580','Émerchicourt',22913),(22939,'59400','Wambaix',22914),(22940,'59320','Emmerin',22915),(22941,'59496','Salomé',22916),(22942,'59149','Cousolre',22917),(22943,'59242','Templeuve',22918),(22944,'59553','Lauwin Planque',22919),(22945,'59195','Hérin',22920),(22946,'59860','Bruay Sur L\'Escaut',22921),(22947,'59330','Saint Remy Du Nord',22922),(22948,'59143','Nieurlet',22923),(22949,'59620','Monceau Saint Waast',22924),(22950,'59254','Ghyvelde',22925),(22951,'59297','Villers Guislain',22926),(22952,'59278','Escautpont',22927),(22953,'59116','Houplines',22928),(22954,'59690','Vieux Condé',22929),(22955,'59510','Forest Sur Marque',22930),(22956,'59810','Lesquin',22931),(22957,'59470','Bambecque',22932),(22958,'59990','Saultain',22933),(22959,'59216','Dimont',22934),(22960,'59251','Allennes Les Marais',22935),(22961,'59213','Escarmain',22936),(22962,'59160','Capinghem',22937),(22963,'59227','Saulzoir',22938),(22964,'59233','Maing',22939),(22965,'59820','Gravelines',22940),(22966,'59330','Hautmont',22941),(22967,'59158','Thun Saint Amand',22942),(22968,'59241','Masnières',22943),(22969,'59554','Raillencourt Sainte Olle',22944),(22970,'59265','Abancourt',22945),(22971,'59730','Romeries',22946),(22972,'59190','Staple',22947),(22973,'59620','Aulnoye Aymeries',22948),(22974,'59139','Noyelles Lès Seclin',22949),(22975,'59560','Warneton',22950),(22976,'59550','Fontaine Au Bois',22951),(22977,'59550','Robersart',22952),(22978,'59620','Saint Remy Chaussée',22953),(22979,'59132','Baives',22954),(22980,'59350','Saint André Lez Lille',22955),(22981,'59360','Bazuel',22956),(22982,'59283','Raimbeaucourt',22957),(22983,'59261','Wahagnies',22958),(22984,'59159','Ribécourt La Tour',22959),(22985,'59259','Lécluse',22960),(22986,'59570','La Longueville',22961),(22987,'59134','Beaucamps Ligny',22962),(22988,'59440','Floursies',22963),(22989,'59122','Oost Cappel',22964),(22990,'59189','Boëseghem',22965),(22991,'59272','Don',22966),(22992,'59570','Houdain Lez Bavay',22967),(22993,'59320','Englos',22968),(22994,'59530','Villereau',22969),(22995,'59320','Hallennes Lez Haubourdin',22970),(22996,'59490','Bruille Lez Marchiennes',22971),(22997,'59920','Quiévrechain',22972),(22998,'59600','Mairieux',22973),(22999,'59870','Wandignies Hamage',22974),(23000,'59147','Chemy',22975),(23001,'59288','Preux Au Bois',22976),(23002,'59152','Tressin',22977),(23003,'59270','Godewaersvelde',22978),(23004,'59600','Maubeuge',22979),(23005,'59310','Faumont',22980),(23006,'59990','Curgies',22981),(23007,'59265','Sancourt',22982),(23008,'59111','Lieu Saint Amand',22983),(23009,'59134','Fournes En Weppes',22984),(23010,'59111','Wavrechain Sous Faulx',22985),(23011,'59161','Cagnoncles',22986),(23012,'59660','Merville',22987),(23013,'59470','Zegerscappel',22988),(23014,'59151','Brunémont',22989),(23015,'59200','Tourcoing',22990),(23016,'59134','Wicres',22991),(23017,'59360','Montay',22992),(23018,'59310','Nomain',22993),(23019,'59144','Bry',22994),(23020,'59540','Caudry',22995),(23021,'59138','Pont Sur Sambre',22996),(23022,'59554','Sailly Lez Cambrai',22997),(23023,'59123','Bray Dunes',22998),(23024,'59960','Neuville En Ferrain',22999),(23025,'59600','Bersillies',23000),(23026,'59460','Jeumont',23001),(23027,'59870','Bouvignies',23002),(23028,'59152','Gruson',23003),(23029,'59132','Moustier En Fagne',23004),(23030,'59178','Bousignies',23005),(23031,'59670','Noordpeene',23006),(23032,'59470','Bollezeele',23007),(23033,'59114','Terdeghem',23008),(23034,'59167','Lallaing',23009),(23035,'59670','Cassel',23010),(23036,'59210','Coudekerque Branche',23011),(23037,'59530','Locquignol',23012),(23038,'59191','Caullery',23013),(23039,'59840','Prémesques',23014),(23040,'59214','Quiévy',23015),(23041,'59112','Annœullin',23016),(23042,'59157','Beauvois En Cambrésis',23017),(23043,'59122','Hondschoote',23018),(23044,'59173','Blaringhem',23019),(23045,'59217','Boussières En Cambrésis',23020),(23046,'59620','Écuélin',23021),(23047,'59229','Uxem',23022),(23048,'59740','Willies',23023),(23049,'59630','Saint Pierre Brouck',23024),(23050,'59151','Estrées',23025),(23051,'59670','Hardifort',23026),(23052,'59258','Crèvec?ur Sur L\'Escaut',23027),(23053,'59670','Zermezeele',23028),(23054,'59400','Anneux',23029),(23055,'59173','Ebblinghem',23030),(23056,'59230','Nivelle',23031),(23057,'59179','Fenain',23032),(23058,'59267','Flesquières',23033),(23059,'59570','Saint Waast',23034),(23060,'59144','Preux Au Sart',23035),(23061,'59216','Beugnies',23036),(23062,'59400','Estourmel',23037),(23063,'59132','Trélon',23038),(23064,'59360','Ors',23039),(23065,'59740','Hestrud',23040),(23066,'59171','Erre',23041),(23067,'59285','Buysscheure',23042),(23068,'59247','Féchain',23043),(23069,'59390','Sailly Lez Lannoy',23044),(23070,'59170','Croix',23045),(23071,'59990','Estreux',23046),(23072,'59114','Saint Sylvestre Cappel',23047),(23073,'59410','Anzin',23048),(23074,'59143','Millam',23049),(23075,'59320','Escobecques',23050),(23076,'59630','Drincham',23051),(23077,'59496','Hantay',23052),(23078,'59840','Lompret',23053),(23079,'59560','Comines',23054),(23080,'59770','Marly',23055),(23081,'59146','Pecquencourt',23056),(23082,'59630','Cappelle Brouck',23057),(23083,'59299','Boeschepe',23058),(23084,'59790','Ronchin',23059),(23085,'59239','Thumeries',23060),(23086,'59670','Oxelaëre',23061),(23087,'59530','Raucourt Au Bois',23062),(23088,'59380','Bierné',23063),(23089,'59910','Bondues',23064),(23090,'59710','Avelin',23065),(23091,'59152','Anstaing',23066),(23092,'59670','Winnezeele',23067),(23093,'59195','Oisy',23068),(23094,'59173','Sercus',23069),(23095,'59600','Assevent',23070),(23096,'59630','Brouckerque',23071),(23097,'59530','Villers Pol',23072),(23098,'59670','Ochtezeele',23073),(23099,'59174','La Sentinelle',23074),(23101,'59213','Saint Martin Sur Écaillon',23075),(23102,'59740','Clairfayts',23076),(23103,'59282','Douchy Les Mines',23077),(23104,'59400','Cauroir',23078),(23105,'59554','Bantigny',23079),(23106,'59218','Vendegies Au Bois',23080),(23107,'59111','Hordain',23081),(23108,'59169','Roucourt',23082),(23109,'59540','Inchy',23083),(23110,'59830','Bouvines',23084),(23111,'59680','Ferrière La Grande',23085),(23112,'59570','Gussignies',23086),(23113,'59132','Wallers En Fagne',23087),(23114,'59124','Escaudain',23088),(23115,'59177','Rainsars',23089),(23116,'59243','Quarouble',23090),(23117,'59227','Verchain Maugré',23091),(23118,'59161','Escaudœuvres',23092),(23119,'59157','Fontaine Au Pire',23093),(23120,'59380','Steene',23094),(23121,'59980','Honnechy',23095),(23122,'59148','Flines Lez Raches',23096),(23123,'59295','Paillencourt',23097),(23124,'59390','Toufflers',23098),(23125,'59830','Cobrieux',23099),(23126,'59730','Briastre',23100),(23127,'62147','Mœuvres',23101),(23128,'59215','Abscon',23102),(23129,'59219','Étrœungt',23103),(23130,'59230','Saint Amand Les Eaux',23104),(23131,'59500','Douai',23105),(23132,'59199','Bruille Saint Amand',23106),(23133,'62147','Doignies',23107),(23134,'59193','Erquinghem Lys',23108),(23135,'59310','Orchies',23109),(23136,'59231','Villers Plouich',23110),(23137,'59310','Beuvry La Forêt',23111),(23138,'59134','Le Maisnil',23112),(23139,'59267','Cantaing Sur Escaut',23113),(23140,'59244','Cartignies',23114),(23141,'59173','Lynde',23115),(23142,'59470','Ledringhem',23116),(23143,'59554','Neuville Saint Rémy',23117),(23144,'59135','Wallers',23118),(23145,'59153','Grand Fort Philippe',23119),(23146,'59224','Monchaux Sur Écaillon',23120),(23147,'59980','Bertry',23121),(23148,'59850','Nieppe',23122),(23149,'59253','La Gorgue',23123),(23150,'59270','Berthen',23124),(23151,'59830','Bachy',23125),(23152,'59870','Tilloy Lez Marchiennes',23126),(23153,'59230','Château L\'Abbaye',23127),(23154,'59570','Hon Hergies',23128),(23155,'59149','Bousignies Sur Roc',23129),(23156,'59133','Phalempin',23130),(23157,'59530','Ghissignies',23131),(23158,'59740','Felleries',23132),(23159,'59268','Blécourt',23133),(23160,'59158','Maulde',23134),(23161,'59440','Saint Aubin',23135),(23162,'59990','Préseau',23136),(23163,'59145','Berlaimont',23137),(23164,'59550','Taisnières En Thiérache',23138),(23165,'59231','Gonnelieu',23139),(23166,'59194','Râches',23140),(23167,'59670','Sainte Marie Cappel',23141),(23168,'59224','Thiant',23142),(23169,'62147','Boursies',23143),(23170,'59270','Strazeele',23144),(23171,'59280','Armentières',23145),(23172,'59730','Vertain',23146),(23173,'59290','Wasquehal',23147),(23174,'59320','Erquinghem Le Sec',23148),(23175,'59480','Illies',23149),(23176,'59420','Mouvaux',23150),(23177,'59600','Vieux Reng',23151),(23178,'59113','Seclin',23152),(23179,'59138','Vieux Mesnil',23153),(23180,'59218','Neuville En Avesnois',23154),(23181,'59470','Merckeghem',23155),(23182,'59269','Sepmeries',23156),(23183,'59730','Saint Python',23157),(23184,'59400','Awoingt',23158),(23185,'59270','Merris',23159),(23186,'59171','Hornaing',23160),(23187,'59194','Anhiers',23161),(23188,'59230','Sars Et Rosières',23162),(23189,'59123','Zuydcoote',23163),(23190,'59159','Marcoing',23164),(23191,'59130','Lambersart',23165),(23192,'59269','Quérénaing',23166),(23193,'59270','Bailleul',23167),(23194,'59265','Aubigny Au Bac',23168),(23195,'59780','Willems',23169),(23196,'59234','Villers Au Tertre',23170),(23197,'59147','Gondecourt',23171),(23198,'59168','Boussois',23172),(23199,'59550','Maroilles',23173),(23200,'59360','Saint Souplet',23174),(23201,'59400','Cambrai',23175),(23202,'59320','Sequedin',23176),(23203,'59219','Floyon',23177),(23204,'59700','Marcq En Barœul',23178),(23205,'59176','Écaillon',23179),(23206,'62350','Haverskerque',23180),(23207,'59182','Montigny En Ostrevent',23181),(23208,'59940','Estaires',23182),(23209,'59330','Neuf Mesnil',23183),(23210,'59830','Cysoing',23184),(23211,'59144','Jenlain',23185),(23212,'59177','Sains Du Nord',23186),(23213,'59300','Famars',23187),(23214,'59980','Troisvilles',23188),(23215,'59141','Thun Saint Martin',23189),(23216,'59232','Vieux Berquin',23190),(23217,'59161','Naves',23191),(23218,'59552','Lambres Lez Douai',23192),(23219,'59600','Gognies Chaussée',23193),(23220,'59220','Denain',23194),(23221,'59142','Villers Outréaux',23195),(23222,'59380','Coudekerque Village',23196),(23223,'59287','Guesnain',23197),(23224,'59570','Bettrechies',23198),(23225,'59980','Maurois',23199),(23226,'59283','Moncheaux',23200),(23227,'59242','Cappelle En Pévèle',23201),(23228,'59262','Sainghin En Mélantois',23202),(23229,'59178','Brillon',23203),(23230,'59143','Lederzeele',23204),(23231,'59280','Bois Grenier',23205),(23232,'59213','Capelle',23206),(23233,'59510','Hem',23207),(23234,'59830','Bourghelles',23208),(23235,'59470','Herzeele',23209),(23236,'59440','Sémeries',23210),(23237,'59930','La Chapelle D\'Armentières',23211),(23238,'59217','Cattenières',23212),(23239,'59189','Steenbecque',23213),(23240,'59300','Aulnoy Lez Valenciennes',23214),(23241,'59710','Mérignies',23215),(23242,'59175','Vendeville',23216),(23243,'59590','Raismes',23217),(23244,'59115','Leers',23218),(23245,'59553','Cuincy',23219),(23246,'59320','Haubourdin',23220),(23247,'59550','Noyelles Sur Sambre',23221),(23248,'59128','Flers En Escrebieux',23222),(23249,'59222','Forest En Cambrésis',23223),(23250,'59244','Petit Fayt',23224),(23251,'59127','Malincourt',23225),(23252,'59870','Marchiennes',23226),(23253,'59760','Grande Synthe',23227),(23254,'59229','Téteghem',23228),(23255,'59122','Killem',23229),(23256,'59213','Bermerain',23230),(23257,'59570','Mecquignies',23231),(23258,'59265','Haynecourt',23232),(23259,'59220','Rouvignies',23233),(23260,'59176','Masny',23234),(23261,'59111','Bouchain',23235),(23262,'59570','Obies',23236),(23263,'59940','Le Doulieu',23237),(23264,'59226','Lecelles',23238),(23265,'59244','Grand Fayt',23239),(23266,'59132','Glageon',23240),(23267,'59550','Prisches',23241),(23268,'59670','Wemaers Cappel',23242),(23269,'59155','Faches Thumesnil',23243),(23270,'59292','Saint Hilaire Lez Cambrai',23244),(23271,'59118','Wambrechies',23245),(23272,'59730','Beaurain',23246),(23273,'59279','Craywick',23247),(23274,'59320','Ennetières En Weppes',23248),(23275,'59380','West Cappel',23249),(23276,'59670','Oudezeele',23250),(23277,'59490','Somain',23251),(23278,'59740','Lez Fontaine',23252),(23279,'59180','Cappelle La Grande',23253),(23280,'59230','Rosult',23254),(23281,'59750','Feignies',23255),(23282,'59296','Avesnes Le Sec',23256),(23283,'59530','Le Quesnoy',23257),(23284,'59266','Honnecourt Sur Escaut',23258),(23285,'59237','Verlinghem',23259),(23286,'59287','Lewarde',23260),(23287,'59199','Hergnies',23261),(23288,'59162','Ostricourt',23262),(23289,'59530','Beaudignies',23263),(23290,'59440','Saint Hilaire Sur Helpe',23264),(23291,'59213','Sommaing',23265),(23292,'59181','Steenwerck',23266),(23293,'59144','Gommegnies',23267),(23294,'59281','Rumilly En Cambrésis',23268),(23295,'59740','Eccles',23269),(23296,'59122','Moëres',23270),(23297,'59360','Saint Benin',23271),(23298,'59266','Banteux',23272),(23299,'59310','Auchy Lez Orchies',23273),(23300,'59175','Templemars',23274),(23301,'59126','Linselles',23275),(23302,'59263','Houplin Ancoisne',23276),(23303,'59950','Auby',23277),(23304,'59220','Wavrechain Sous Denain',23278),(23305,'59216','Sars Poteries',23279),(23306,'59400','Fontaine Notre Dame',23280),(23307,'59284','Pitgam',23281),(23308,'59187','Dechy',23282),(23309,'59470','Esquelbecq',23283),(23310,'59870','Vred',23284),(23311,'59630','Looberghe',23285),(23312,'59980','Reumont',23286),(23313,'59780','Camphin En Pévèle',23287),(23314,'59440','Boulogne Sur Helpe',23288),(23315,'59600','Bettignies',23289),(23316,'59600','Villers Sire Nicole',23290),(23317,'59570','Bellignies',23291),(23318,'59239','La Neuville',23292),(23319,'59245','Recquignies',23293),(23320,'59138','Hargnies',23294),(23321,'59680','Damousies',23295),(23322,'59249','Aubers',23296),(23323,'59554','Cuvillers',23297),(23324,'59266','Bantouzelle',23298),(23325,'59218','Poix Du Nord',23299),(23326,'59440','Avesnes Sur Helpe',23300),(23327,'59540','Béthencourt',23301),(23328,'59138','Bachant',23302),(23329,'59258','Lesdain',23303),(23330,'59136','Wavrin',23304),(23331,'59400','Niergnies',23305),(23332,'59169','Erchin',23306),(23333,'59610','Féron',23307),(23334,'59550','Beaurepaire Sur Sambre',23308),(23335,'59192','Beuvrages',23309),(23336,'59440','Marbaix',23310),(23337,'59740','Choisies',23311),(23338,'59470','Eringhem',23312),(23339,'60390','Berneuil En Bray',23313),(23340,'60490','Biermont',23314),(23341,'60480','Abbeville Saint Lucien',23315),(23342,'60480','Sainte Eusoye',23316),(23343,'60127','Morienval',23317),(23344,'60390','Beaumont Les Nonains',23318),(23345,'60350','Croutoy',23319),(23346,'60530','Fresnoy En Thelle',23320),(23347,'60590','Villers Sur Trie',23321),(23348,'60150','Thourotte',23322),(23349,'60129','Béthancourt En Valois',23323),(23350,'60300','Mont L\'Évêque',23324),(23351,'60127','Fresnoy La Rivière',23325),(23352,'60119','Hénonville',23326),(23353,'60390','La Neuville Garnier',23327),(23354,'60350','Saint Étienne Roilaye',23328),(23355,'60240','Hardivillers En Vexin',23329),(23356,'60600','Lamécourt',23330),(23357,'60510','Velennes',23331),(23358,'60620','Cuvergnon',23332),(23359,'60210','Dargies',23333),(23360,'60120','Croissy Sur Celle',23334),(23361,'60360','Le Gallet',23335),(23362,'60490','Boulogne La Grasse',23336),(23363,'60130','Quinquempoix',23337),(23364,'60360','Lihus',23338),(23365,'60390','Troussures',23339),(23366,'60140','Labruyère',23340),(23367,'60310','Beaulieu Les Fontaines',23341),(23368,'60190','Moyvillers',23342),(23369,'60800','Ormoy Villers',23343),(23370,'60510','Therdonne',23344),(23371,'60110','Esches',23345),(23372,'60110','Corbeil Cerf',23346),(23373,'60420','Sains Morainvillers',23347),(23374,'60300','Courteuil',23348),(23375,'60120','La Hérelle',23349),(23376,'60620','Bouillancy',23350),(23377,'60240','Liancourt Saint Pierre',23351),(23378,'60130','Le Plessier Sur Saint Just',23352),(23379,'60220','Escles Saint Pierre',23353),(23380,'60430','Abbécourt',23354),(23381,'60480','Maisoncelle Tuilerie',23355),(23382,'60200','Clairoix',23356),(23383,'60220','Moliens',23357),(23384,'60400','Varesnes',23358),(23385,'60420','Crèvecœur Le Petit',23359),(23386,'60290','Cauffry',23360),(23387,'60310','Berlière',23361),(23388,'60400','Ville',23362),(23389,'60390','Le Vauroux',23363),(23390,'60420','Dompierre',23364),(23391,'60220','Blargies',23365),(23392,'60360','Hétomesnil',23366),(23393,'60380','Wambez',23367),(23394,'60510','Bresles',23368),(23395,'60430','Ponchon',23369),(23396,'60850','Lalandelle',23370),(23397,'60240','Boury En Vexin',23371),(23398,'60190','Épineuse',23372),(23399,'60290','Neuilly Sous Clermont',23373),(23400,'60250','Hondainville',23374),(23401,'60460','Blaincourt Lès Précy',23375),(23402,'60190','Blincourt',23376),(23403,'60150','Le Plessis Brion',23377),(23404,'60220','Abancourt',23378),(23405,'60620','Betz',23379),(23406,'60550','Verneuil En Halatte',23380),(23407,'60190','Choisy La Victoire',23381),(23408,'60420','Welles Pérennes',23382),(23409,'60150','Janville',23383),(23410,'60850','Cuigy En Bray',23384),(23411,'60220','Romescamps',23385),(23412,'60170','Ribécourt Dreslincourt',23386),(23413,'60790','Montherlant',23387),(23414,'60480','Lachaussée Du Bois D\'Écu',23388),(23415,'60510','Le Fay Saint Quentin',23389),(23416,'60220','Mureaumont',23390),(23417,'60650','Glatigny',23391),(23418,'60350','Trosly Breuil',23392),(23419,'60140','Bailleval',23393),(23420,'60650','Blacourt',23394),(23421,'60380','Gerberoy',23395),(23422,'60330','Ève',23396),(23423,'60590','Bosse',23397),(23424,'60800','Rouville',23398),(23425,'60930','Bailleul Sur Thérain',23399),(23426,'60410','Roberval',23400),(23427,'60590','Énencourt Léage',23401),(23428,'60157','Élincourt Sainte Marguerite',23402),(23429,'60123','Éméville',23403),(23430,'60175','Villeneuve Les Sablons',23404),(23431,'60200','Compiègne',23405),(23432,'60113','Monchy Humières',23406),(23433,'60138','Chiry Ourscamp',23407),(23434,'60330','Le Plessis Belleville',23408),(23435,'60134','Montreuil Sur Thérain',23409),(23436,'60960','Feuquières',23410),(23437,'60120','Villers Vicomte',23411),(23438,'60120','Bonvillers',23412),(23439,'60000','Allonne',23413),(23440,'60350','Saint Jean Aux Bois',23414),(23441,'60310','Évricourt',23415),(23442,'60690','Achy',23416),(23443,'60129','Gilocourt',23417),(23444,'60220','Quincampoix Fleuzy',23418),(23445,'60240','Hadancourt Le Haut Clocher',23419),(23446,'60310','Avricourt',23420),(23447,'60680','Canly',23421),(23448,'60170','Bailly',23422),(23449,'60620','Antilly',23423),(23450,'60480','Montreuil Sur Brêche',23424),(23451,'60590','Boutencourt',23425),(23452,'60140','Rosoy',23426),(23453,'60400','Pontoise Lès Noyon',23427),(23454,'60300','Chamant',23428),(23455,'60590','Le Vaumain',23429),(23456,'60800','Séry Magneval',23430),(23457,'60420','Godenvillers',23431),(23458,'60120','Gouy Les Groseillers',23432),(23459,'60440','Chèvreville',23433),(23460,'60120','Hardivillers',23434),(23461,'60390','La Houssoye',23435),(23462,'60220','Gourchelles',23436),(23463,'60420','Courcelles Epayelles',23437),(23464,'60350','Courtieux',23438),(23465,'60400','Béhéricourt',23439),(23466,'60220','Formerie',23440),(23467,'60590','Éragny Sur Epte',23441),(23468,'60640','Muirancourt',23442),(23469,'60440','Ognes',23443),(23470,'60113','Braisnes',23444),(23471,'60162','Antheuil Portes',23445),(23472,'60210','Thieuloy Saint Antoine',23446),(23473,'60310','Cuy',23447),(23474,'60120','Bonneuil Les Eaux',23448),(23475,'60730','Lachapelle Saint Pierre',23449),(23476,'60620','Villers Saint Genest',23450),(23477,'60129','Orrouy',23451),(23478,'60230','Chambly',23452),(23479,'60490','La Neuville Sur Ressons',23453),(23480,'60170','Tracy Le Val',23454),(23481,'60600','Nointel',23455),(23482,'60490','Vandélicourt',23456),(23483,'60000','Frocourt',23457),(23484,'60360','Viefvillers',23458),(23485,'60240','Senots',23459),(23486,'60850','Saint Pierre Es Champs',23460),(23487,'60380','Loueuse',23461),(23488,'60870','Rieux',23462),(23489,'60790','Pouilly',23463),(23490,'60190','Cernoy',23464),(23491,'60480','Campremy',23465),(23492,'60570','Laboissière En Thelle',23466),(23493,'60480','Francastel',23467),(23494,'60180','Nogent Sur Oise',23468),(23495,'60120','Vacquerie',23469),(23496,'60620','Étavigny',23470),(23497,'60540','Bornel',23471),(23498,'60210','Grez',23472),(23499,'60590','Sérifontaine',23473),(23500,'60210','Brombos',23474),(23501,'60390','Auteuil',23475),(23502,'60162','Vignemont',23476),(23503,'60490','Conchy Les Pots',23477),(23504,'60190','Gournay Sur Aronde',23478),(23505,'60400','Beaurains Lès Noyon',23479),(23506,'60000','Saint Martin Le Nœud',23480),(23507,'60860','Saint Omer En Chaussée',23481),(23508,'60890','Mareuil Sur Ourcq',23482),(23509,'60360','Conteville',23483),(23510,'60250','Mouy',23484),(23511,'60700','Pontpoint',23485),(23512,'60440','Versigny',23486),(23513,'60240','Chaumont En Vexin',23487),(23514,'60490','Lataule',23488),(23515,'60141','Ivors',23489),(23516,'60380','Buicourt',23490),(23517,'60480','Noirémont',23491),(23518,'60112','Vrocourt',23492),(23519,'60400','Cuts',23493),(23520,'60210','Grandvilliers',23494),(23521,'60250','Mouchy Le Châtel',23495),(23522,'60790','Valdampierre',23496),(23523,'60210','Daméraucourt',23497),(23524,'60320','Saint Sauveur',23498),(23525,'60119','Neuville Bosc',23499),(23526,'60510','Haudivillers',23500),(23527,'60240','Delincourt',23501),(23528,'60320','Béthisy Saint Pierre',23502),(23529,'60590','Trie La Ville',23503),(23530,'60110','Méru',23504),(23531,'60300','Apremont',23505),(23532,'60240','Montjavoult',23506),(23533,'60660','Rousseloy',23507),(23534,'60120','Chepoix',23508),(23535,'60520','Thiers Sur Thève',23509),(23536,'60130','Erquinvillers',23510),(23537,'60330','Silly Le Long',23511),(23538,'60130','Lieuvillers',23512),(23539,'60620','Réez Fosse Martin',23513),(23540,'60810','Rully',23514),(23541,'60660','Maysel',23515),(23542,'60110','Lormaison',23516),(23543,'60220','Campeaux',23517),(23544,'60360','Rotangy',23518),(23545,'60110','Amblainville',23519),(23546,'60660','Cires Lès Mello',23520),(23547,'60220','Saint Valery',23521),(23548,'60400','Grandrû',23522),(23549,'60540','Fosseuse',23523),(23550,'60640','Berlancourt',23524),(23551,'60850','Puiseux En Bray',23525),(23552,'60380','Songeons',23526),(23553,'60650','Lhéraule',23527),(23554,'60360','Luchy',23528),(23555,'60390','Porcheux',23529),(23556,'60440','Péroy Les Gombries',23530),(23557,'60380','Ernemont Boutavent',23531),(23558,'60710','Chevrières',23532),(23559,'60240','Fresne Léguillon',23533),(23560,'60490','Mareuil La Motte',23534),(23561,'60430','Hodenc L\'Évêque',23535),(23562,'60112','Juvignies',23536),(23563,'60640','Flavy Le Meldeux',23537),(23564,'60490','Mortemer',23538),(23565,'60370','Saint Félix',23539),(23566,'60860','Oudeuil',23540),(23567,'60130','Saint Remy En L\'Eau',23541),(23568,'60370','Hermes',23542),(23569,'60210','Laverrière',23543),(23570,'60480','Le Quesnel Aubry',23544),(23571,'60200','Bienville',23545),(23572,'60240','Fresneaux Montchevreuil',23546),(23573,'60890','Thury En Valois',23547),(23574,'60410','Saint Vaast De Longmont',23548),(23575,'60190','Bailleul Le Soc',23549),(23576,'60350','Cuise La Motte',23550),(23577,'60150','Mélicocq',23551),(23578,'60410','Villeneuve Sur Verberie',23552),(23579,'60380','Hécourt',23553),(23580,'60250','Balagny Sur Thérain',23554),(23581,'60240','Bouconvillers',23555),(23582,'60240','Fleury',23556),(23583,'60540','Belle Église',23557),(23584,'60500','Vineuil Saint Firmin',23558),(23585,'60420','Saint Martin Aux Bois',23559),(23586,'60620','Rouvres En Multien',23560),(23587,'60510','La Rue Saint Pierre',23561),(23588,'60660','Saint Vaast Lès Mello',23562),(23589,'60000','Goincourt',23563),(23590,'60650','Villembray',23564),(23591,'60170','Cambronne Lès Ribécourt',23565),(23592,'60510','Lafraye',23566),(23593,'60170','Saint Léger Aux Bois',23567),(23594,'60126','Longueil Sainte Marie',23568),(23595,'60880','Jaux',23569),(23596,'60940','Angicourt',23570),(23597,'60380','Saint Quentin Des Prés',23571),(23598,'60510','Fouquerolles',23572),(23599,'60400','Porquéricourt',23573),(23600,'60160','Thiverny',23574),(23601,'60130','Saint Just En Chaussée',23575),(23602,'60390','Auneuil',23576),(23603,'60890','La Villeneuve Sous Thury',23577),(23604,'60130','Le Mesnil Sur Bulles',23578),(23605,'60190','Fouilleuse',23579),(23606,'60300','Senlis',23580),(23607,'60480','Saint André Farivillers',23581),(23608,'60112','La Neuville Vault',23582),(23609,'60130','Avrechy',23583),(23610,'60420','Tricot',23584),(23611,'60690','Fontaine Lavaganne',23585),(23612,'60120','Cormeilles',23586),(23613,'60250','Foulangues',23587),(23614,'60650','Villers Sur Auchy',23588),(23615,'60650','Saint Germain La Poterie',23589),(23616,'60112','Verderel Lès Sauqueuse',23590),(23617,'60430','Warluis',23591),(23618,'60420','Domfront',23592),(23619,'60490','Marest Sur Matz',23593),(23620,'60590','Talmontiers',23594),(23621,'60560','Orry La Ville',23595),(23622,'60360','Fontaine Bonneleau',23596),(23623,'60650','Hannaches',23597),(23624,'60220','Canny Sur Thérain',23598),(23625,'60250','Ansacq',23599),(23626,'60640','Catigny',23600),(23627,'60810','Villers Saint Frambourg',23601),(23628,'60710','Houdancourt',23602),(23629,'60210','Briot',23603),(23630,'60430','Silly Tillard',23604),(23631,'60170','Saint Crépin Aux Bois',23605),(23632,'60600','Agnetz',23606),(23633,'60170','Tracy Le Mont',23607),(23634,'60700','Sacy Le Grand',23608),(23635,'60128','Mortefontaine',23609),(23636,'60510','La Neuville En Hez',23610),(23637,'60510','Laversines',23611),(23638,'60540','Anserville',23612),(23639,'60150','Chevincourt',23613),(23640,'60400','Bretigny',23614),(23641,'60310','Dives',23615),(23642,'60190','Sacy Le Petit',23616),(23643,'60680','Le Fayel',23617),(23644,'60120','Gannes',23618),(23645,'60480','Oursel Maison',23619),(23646,'60360','Prévillers',23620),(23647,'60570','Mortefontaine En Thelle',23621),(23648,'60310','Cannectancourt',23622),(23649,'60190','Lachelle',23623),(23650,'60112','Crillon',23624),(23651,'60620','Ormoy Le Davien',23625),(23652,'60380','Bazancourt',23626),(23653,'60310','Lagny',23627),(23654,'60210','Hautbos',23628),(23655,'60420','Ferrières',23629),(23656,'60650','Villers Saint Barthélemy',23630),(23657,'60620','Rosoy En Multien',23631),(23658,'60640','Le Plessis Patte D\'Oie',23632),(23659,'60480','Reuil Sur Brêche',23633),(23660,'60240','Jouy Sous Thelle',23634),(23661,'60190','Cressonsacq',23635),(23662,'60800','Rocquemont',23636),(23663,'60190','Hémévillers',23637),(23664,'60660','Mello',23638),(23665,'60150','Machemont',23639),(23666,'60173','Ivry Le Temple',23640),(23667,'60430','Noailles',23641),(23668,'60580','Coye La Forêt',23642),(23669,'60155','Saint Léger En Bray',23643),(23670,'60130','Cuignières',23644),(23671,'60190','La Neuville Roy',23645),(23672,'60150','Longueil Annel',23646),(23673,'60480','La Neuville Saint Pierre',23647),(23674,'60950','Montagny Sainte Félicité',23648),(23675,'60190','Remy',23649),(23676,'60400','Noyon',23650),(23677,'60350','Jaulzy',23651),(23678,'60400','Salency',23652),(23679,'60000','Fouquenies',23653),(23680,'60149','Saint Crépin Ibouvillers',23654),(23681,'60700','Saint Martin Longueau',23655),(23682,'60640','Golancourt',23656),(23683,'60130','Noroy',23657),(23684,'60380','Fontenay Torcy',23658),(23685,'60650','Le Mont Saint Adrien',23659),(23686,'60400','Nampcel',23660),(23687,'60600','Saint Aubin Sous Erquery',23661),(23688,'60510','Rochy Condé',23662),(23689,'60790','Le Déluge',23663),(23690,'60300','Baron',23664),(23691,'60250','Bury',23665),(23692,'60650','Saint Paul',23666),(23693,'60490','Cuvilly',23667),(23694,'60940','Monceaux',23668),(23695,'60134','Villers Saint Sépulcre',23669),(23696,'60000','Marais',23670),(23697,'60420','Méry La Bataille',23671),(23698,'60240','Chambors',23672),(23699,'60210','Offoy',23673),(23700,'60790','La Neuville D\'Aumont',23674),(23701,'60650','Ons En Bray',23675),(23702,'60190','Rouvillers',23676),(23703,'60210','Sarnois',23677),(23704,'60117','Russy Bémont',23678),(23705,'60940','Cinqueux',23679),(23706,'60640','Fréniches',23680),(23707,'60320','Néry',23681),(23708,'60190','Montiers',23682),(23709,'60310','Ognolles',23683),(23710,'60120','Le Mesnil Saint Firmin',23684),(23711,'60240','Lattainville',23685),(23712,'60220','Lannoy Cuillère',23686),(23713,'60880','Le Meux',23687),(23714,'60120','Rocquencourt',23688),(23715,'60100','Creil',23689),(23716,'60730','Sainte Geneviève',23690),(23717,'60650','Savignies',23691),(23718,'60360','Le Saulchoy',23692),(23719,'60190','Moyenneville',23693),(23720,'60300','Avilly Saint Léonard',23694),(23721,'60650','Espaubourg',23695),(23722,'60240','Thibivillers',23696),(23723,'60310','Candor',23697),(23724,'60800','Crépy En Valois',23698),(23725,'60220','Boutavent',23699),(23726,'60210','Beaudéduit',23700),(23727,'60350','Pierrefonds',23701),(23728,'60350','Bitry',23702),(23729,'60240','Loconville',23703),(23730,'60620','Acy En Multien',23704),(23731,'60117','Gondreville',23705),(23732,'60300','Aumont En Halatte',23706),(23733,'60270','Gouvieux',23707),(23734,'60880','Armancourt',23708),(23735,'60650','Lachapelle Aux Pots',23709),(23736,'60640','Guiscard',23710),(23737,'60890','Marolles',23711),(23738,'60950','Ermenonville',23712),(23739,'60240','Le Mesnil Théribus',23713),(23740,'60340','Villers Sous Saint Leu',23714),(23741,'60700','Pont Sainte Maxence',23715),(23742,'60590','Lalande En Son',23716),(23743,'60800','Auger Saint Vincent',23717),(23744,'60640','Villeselve',23718),(23745,'60800','Trumilly',23719),(23746,'60240','Vaudancourt',23720),(23747,'60220','Monceaux L\'Abbaye',23721),(23748,'60130','Bulles',23722),(23749,'60810','Raray',23723),(23750,'60240','Énencourt Le Sec',23724),(23751,'60850','Le Coudray Saint Germer',23725),(23752,'60200','Venette',23726),(23753,'60170','Pimprez',23727),(23754,'60290','Cambronne Lès Clermont',23728),(23755,'60640','Beaugies Sous Bois',23729),(23756,'60400','Appilly',23730),(23757,'60660','Cramoisy',23731),(23758,'60350','Berneuil Sur Aisne',23732),(23759,'60240','Monneville',23733),(23760,'60480','Froissy',23734),(23761,'60112','Pierrefitte En Beauvaisis',23735),(23762,'60220','Fouilloy',23736),(23763,'60820','Boran Sur Oise',23737),(23764,'60730','Ully Saint Georges',23738),(23765,'60440','Brégy',23739),(23766,'60440','Nanteuil Le Haudouin',23740),(23767,'60640','Campagne',23741),(23768,'60380','Escames',23742),(23769,'60190','Pronleroy',23743),(23770,'60170','Carlepont',23744),(23771,'60240','Lierville',23745),(23772,'60240','Boissy Le Bois',23746),(23773,'60290','Monchy Saint Éloi',23747),(23774,'60350','Couloisy',23748),(23775,'60570','Andeville',23749),(23776,'60120','Rouvroy Les Merles',23750),(23777,'60400','Caisnes',23751),(23778,'60150','Montmacq',23752),(23779,'60730','Novillers',23753),(23780,'60300','Montlognon',23754),(23781,'60128','Plailly',23755),(23782,'60310','Fresnières',23756),(23783,'60190','Grandvillers Aux Bois',23757),(23784,'60130','Angivillers',23758),(23785,'60530','Neuilly En Thelle',23759),(23786,'60800','Feigneux',23760),(23787,'60400','Crisolles',23761),(23788,'60310','Écuvilly',23762),(23789,'60480','Fontaine Saint Lucien',23763),(23790,'60640','Quesmy',23764),(23791,'60340','Saint Leu D\'Esserent',23765),(23792,'60380','Saint Deniscourt',23766),(23793,'60130','Valescourt',23767),(23794,'60400','Mondescourt',23768),(23795,'60190','Arsy',23769),(23796,'60810','Montépilloy',23770),(23797,'60650','Senantes',23771),(23798,'60480','Puits La Vallée',23772),(23799,'60300','Fontaine Chaalis',23773),(23800,'60650','Hodenc En Bray',23774),(23801,'60430','Saint Sulpice',23775),(23802,'60810','Barbery',23776),(23803,'60350','Autrêches',23777),(23804,'60510','Rémérangles',23778),(23805,'60610','Lacroix Saint Ouen',23779),(23806,'60810','Ognon',23780),(23807,'60220','Saint Arnoult',23781),(23808,'60140','Verderonne',23782),(23809,'60240','Jaméricourt',23783),(23810,'60640','Libermont',23784),(23811,'60400','Sermaize',23785),(23812,'60460','Précy Sur Oise',23786),(23813,'60600','Étouy',23787),(23814,'60350','Hautefontaine',23788),(23815,'60530','Dieudonné',23789),(23816,'60120','Le Crocq',23790),(23817,'60240','Fay Les Étangs',23791),(23818,'60420','Coivrel',23792),(23819,'60240','Chavençon',23793),(23820,'60000','Tillé',23794),(23821,'60410','Verberie',23795),(23822,'60420','Montgérain',23796),(23823,'60410','Rhuis',23797),(23824,'60600','Catenoy',23798),(23825,'60370','Berthecourt',23799),(23826,'60112','Bonnières',23800),(23827,'60400','Morlincourt',23801),(23828,'60600','Maimbeville',23802),(23829,'60600','Breuil Le Vert',23803),(23830,'60130','Brunvillers La Motte',23804),(23831,'60250','Heilles',23805),(23832,'60800','Fresnoy Le Luat',23806),(23833,'60120','Beauvoir',23807),(23834,'60480','Guignecourt',23808),(23835,'60117','Vez',23809),(23836,'60700','Bazicourt',23810),(23837,'60129','Glaignes',23811),(23838,'60150','Giraumont',23812),(23839,'60530','Ercuis',23813),(23840,'60680','Jonquières',23814),(23841,'60520','La Chapelle En Serval',23815),(23842,'60420','Wacquemoulin',23816),(23843,'60240','Reilly',23817),(23844,'60153','Rethondes',23818),(23845,'60210','Gaudechart',23819),(23846,'60480','Muidorge',23820),(23847,'60310','Solente',23821),(23848,'60310','Gury',23822),(23849,'60490','Margny Sur Matz',23823),(23850,'60690','Rothois',23824),(23851,'60240','Parnes',23825),(23852,'60590','Flavacourt',23826),(23853,'60300','Borest',23827),(23854,'60400','Vauchelles',23828),(23855,'60750','Choisy Au Bac',23829),(23856,'60310','Plessis De Roye',23830),(23857,'60113','Baugy',23831),(23858,'60210','Élencourt',23832),(23859,'60380','Villers Vermont',23833),(23860,'60210','Le Mesnil Conteville',23834),(23861,'60440','Rosières',23835),(23862,'60310','Roye Sur Matz',23836),(23863,'60220','Bouvresse',23837),(23864,'60480','Noyers Saint Martin',23838),(23865,'60400','Genvry',23839),(23866,'60310','Lassigny',23840),(23867,'60210','Cempuis',23841),(23868,'60690','Haute Épine',23842),(23869,'60700','Ageux',23843),(23870,'60140','Mognéville',23844),(23871,'60430','Le Coudray Sur Thelle',23845),(23872,'60220','Broquiers',23846),(23873,'60890','Autheuil En Valois',23847),(23874,'60360','Catheux',23848),(23875,'60400','Passel',23849),(23876,'60130','Wavignies',23850),(23877,'60120','Plainville',23851),(23878,'60250','Angy',23852),(23879,'60640','Frétoy Le Château',23853),(23880,'60210','Saint Maur',23854),(23881,'60220','Omécourt',23855),(23882,'60490','Ressons Sur Matz',23856),(23883,'60120','Broyes',23857),(23884,'60480','Thieux',23858),(23885,'60860','Villers Sur Bonnières',23859),(23886,'60420','Léglantiers',23860),(23887,'60119','Monts',23861),(23888,'60530','Crouy En Thelle',23862),(23889,'60490','Orvillers Sorel',23863),(23890,'60280','Margny Lès Compiègne',23864),(23891,'60310','Thiescourt',23865),(23892,'60240','Tourly',23866),(23893,'60400','Larbroye',23867),(23894,'60620','Bargny',23868),(23895,'60600','Breuil Le Sec',23869),(23896,'60240','Bachivillers',23870),(23897,'60130','Ravenel',23871),(23898,'60800','Lévignen',23872),(23899,'60650','Saint Aubin En Bray',23873),(23900,'60123','Bonneuil En Valois',23874),(23901,'60155','Beauvais',23875),(23902,'60260','Lamorlaye',23876),(23903,'60112','Herchies',23877),(23904,'60120','Ansauvillers',23878),(23905,'60130','Le Plessier Sur Bulles',23879),(23906,'60140','Liancourt',23880),(23907,'60120','Blancfossé',23881),(23908,'60290','Rantigny',23882),(23909,'60790','Ressons L\'Abbaye',23883),(23910,'60870','Villers Saint Paul',23884),(23911,'60400','Bussy',23885),(23912,'60112','Maisoncelle Saint Pierre',23886),(23913,'60210','Le Hamel',23887),(23914,'60380','Lachapelle Sous Gerberoy',23888),(23915,'60490','Hainvillers',23889),(23916,'60240','Courcelles Lès Gisors',23890),(23917,'60400','Suzoy',23891),(23918,'60350','Vieux Moulin',23892),(23919,'60400','Sempigny',23893),(23920,'60400','Pont L\'Évêque',23894),(23921,'60510','Nivillers',23895),(23922,'60350','Chelles',23896),(23923,'60130','Plainval',23897),(23924,'60700','Fleurines',23898),(23925,'60490','Ricquebourg',23899),(23926,'60330','Lagny Le Sec',23900),(23927,'60490','Belloy',23901),(23928,'60690','Roy Boissy',23902),(23929,'60150','Villers Sur Coudun',23903),(23930,'60190','Montmartin',23904),(23931,'60350','Saint Pierre Lès Bitry',23905),(23932,'60210','Sarcus',23906),(23933,'60400','Babœuf',23907),(23934,'60120','Bacouël',23908),(23935,'60130','Nourard Le Franc',23909),(23936,'60120','Breteuil',23910),(23937,'60510','Litz',23911),(23938,'60190','Estrées Saint Denis',23912),(23939,'60250','Thury Sous Clermont',23913),(23940,'60120','Tartigny',23914),(23941,'60190','Avrigny',23915),(23942,'60240','Serans',23916),(23943,'60420','Ménévillers',23917),(23944,'60120','Troussencourt',23918),(23945,'60680','Grandfresnoy',23919),(23946,'60890','Neufchelles',23920),(23947,'60117','Vauciennes',23921),(23948,'60530','Le Mesnil En Thelle',23922),(23949,'60190','Francières',23923),(23950,'60120','Fléchy',23924),(23951,'60600','Erquery',23925),(23952,'60130','Catillon Fumechon',23926),(23953,'60360','Doméliers',23927),(23954,'60810','Brasseuse',23928),(23955,'60310','Canny Sur Matz',23929),(23956,'60390','Villotran',23930),(23957,'60640','Maucourt',23931),(23958,'60112','Troissereux',23932),(23959,'60310','Amy',23933),(23960,'60150','Coudun',23934),(23961,'60870','Brenouille',23935),(23962,'60510','Essuiles',23936),(23963,'60420','Royaucourt',23937),(23964,'60650','Rainvillers',23938),(23965,'60320','Béthisy Saint Martin',23939),(23966,'60310','Crapeaumesnil',23940),(23967,'60590','Trie Château',23941),(23968,'60126','Rivecourt',23942),(23969,'60700','Beaurepaire',23943),(23970,'60380','Morvillers',23944),(23971,'60380','Grémévillers',23945),(23972,'60290','Laigneville',23946),(23973,'60620','Boullarre',23947),(23974,'60410','Saintines',23948),(23975,'60380','Thérines',23949),(23976,'60730','Cauvigny',23950),(23977,'60800','Duvy',23951),(23978,'60690','La Neuville Sur Oudeuil',23952),(23979,'60310','Margny Aux Cerises',23953),(23980,'60141','Boursonne',23954),(23981,'60510','Oroër',23955),(23982,'60510','Bonlier',23956),(23983,'60120','Paillart',23957),(23984,'60240','Boubiers',23958),(23985,'60380','Sully',23959),(23986,'60190','Neufvy Sur Aronde',23960),(23987,'60530','Morangles',23961),(23988,'60210','Halloy',23962),(23989,'60540','Puiseux Le Hauberger',23963),(23990,'60210','Sommereux',23964),(23991,'60160','Montataire',23965),(23992,'60650','Hanvoile',23966),(23993,'60360','Auchy La Montagne',23967),(23994,'60240','Montagny En Vexin',23968),(23995,'60210','Saint Thibault',23969),(23996,'60117','Vaumoise',23970),(23997,'60130','Fournival',23971),(23998,'60480','Bucamps',23972),(23999,'60420','Le Frestoy Vaux',23973),(24000,'60420','Maignelay Montigny',23974),(24001,'60440','Boissy Fresnoy',23975),(24002,'60120','Sérévillers',23976),(24003,'60120','Esquennoy',23977),(24004,'60360','Choqueuse Les Bénards',23978),(24005,'60380','Héricourt Sur Thérain',23979),(24006,'60860','Marseille En Beauvaisis',23980),(24007,'60520','Pontarmé',23981),(24008,'60600','Fitz James',23982),(24009,'60360','Crèvecœur Le Grand',23983),(24010,'60120','Mory Montcrux',23984),(24011,'60740','Saint Maximin',23985),(24012,'60120','Vendeuil Caply',23986),(24013,'60420','Le Ployron',23987),(24014,'60860','Blicourt',23988),(24015,'60240','Lavilletertre',23989),(24016,'60480','Maulers',23990),(24017,'60500','Chantilly',23991),(24018,'60850','Saint Germer De Fly',23992),(24019,'60490','Marquéglise',23993),(24020,'60600','Airion',23994),(24021,'60600','Rémécourt',23995),(24022,'60890','Varinfroy',23996),(24023,'60112','Haucourt',23997),(24024,'60860','Pisseleu',23998),(24025,'60350','Attichy',23999),(24026,'60112','Martincourt',24000),(24027,'60600','Clermont',24001),(24028,'60112','Milly Sur Thérain',24002),(24029,'60220','Saint Samson La Poterie',24003),(24030,'60950','Ver Sur Launette',24004),(24031,'60350','Moulin Sous Touvent',24005),(24032,'61800','Saint Christophe De Chaulieu',24006),(24033,'61270','Beaufai',24007),(24034,'61800','Frênes',24008),(24035,'61500','Sées',24009),(24036,'61200','Fleuré',24010),(24037,'61570','Médavy',24011),(24038,'61170','Ventes De Bourse',24012),(24039,'61320','Saint Martin L\'Aiguillon',24013),(24040,'61170','Le Plantis',24014),(24041,'61390','Gâprée',24015),(24042,'61700','Dompierre',24016),(24043,'61470','Heugon',24017),(24044,'61290','L\'Hôme Chamondot',24018),(24045,'61260','Le Theil',24019),(24046,'61570','Almenêches',24020),(24047,'61120','Aubry Le Panthou',24021),(24048,'61300','Saint Symphorien Des Bruyères',24022),(24049,'61380','Saint Martin Des Pézerits',24023),(24050,'61560','Saint Aubin De Courteraie',24024),(24051,'61310','Survie',24025),(24052,'61560','Bazoches Sur Hoëne',24026),(24053,'61800','Larchamp',24027),(24054,'61310','La Cochère',24028),(24055,'61380','Bonsmoulins',24029),(24056,'61220','Bellou En Houlme',24030),(24057,'61320','Ciral',24031),(24058,'61430','Athis De L\'Orne',24032),(24059,'61290','Le Mage',24033),(24060,'61210','Yveteaux',24034),(24061,'61250','Pacé',24035),(24062,'61370','Sainte Gauburge Sainte Colombe',24036),(24063,'61110','Condeau',24037),(24064,'61320','Le Champ De La Pierre',24038),(24065,'61210','Champcerie',24039),(24066,'61570','La Bellière',24040),(24067,'61290','Bizou',24041),(24068,'61220','Pointel',24042),(24069,'61410','Couterne',24043),(24070,'61570','Saint Christophe Le Jajolet',24044),(24071,'61350','Saint Fraimbault',24045),(24072,'61340','Saint Hilaire Sur Erre',24046),(24073,'61140','La Chapelle D\'Andaine',24047),(24074,'61220','Saint Hilaire De Briouze',24048),(24075,'61120','Guerquesalles',24049),(24076,'61410','Méhoudin',24050),(24077,'61160','Tournai Sur Dive',24051),(24078,'61330','Lucé',24052),(24079,'61170','Barville',24053),(24080,'61170','Saint Julien Sur Sarthe',24054),(24081,'61380','Mahéru',24055),(24082,'61120','Pontchardon',24056),(24083,'61200','Sévigny',24057),(24084,'61210','La Lande De Lougé',24058),(24085,'61320','Joué Du Bois',24059),(24086,'61600','Beauvain',24060),(24087,'61100','Aubusson',24061),(24088,'61300','Saint Sulpice Sur Risle',24062),(24089,'61600','Saint Maurice Du Désert',24063),(24090,'61190','Saint Maurice Lès Charencey',24064),(24091,'61100','Montilly Sur Noireau',24065),(24092,'61410','Tessé Froulay',24066),(24093,'61270','Aube',24067),(24094,'61250','Radon',24068),(24095,'61570','Montmerrei',24069),(24096,'61360','Saint Quentin De Blavou',24070),(24097,'61420','La Ferrière Bochard',24071),(24098,'61340','Saint Jean De La Forêt',24072),(24099,'61290','Marchainville',24073),(24100,'61130','Pouvrai',24074),(24101,'61110','Bretoncelles',24075),(24102,'61410','Haleine',24076),(24103,'61270','Saint Hilaire Sur Risle',24077),(24104,'61420','Fontenai Les Louvets',24078),(24105,'61370','Planches',24079),(24106,'61350','Mantilly',24080),(24107,'61150','Tanques',24081),(24108,'61380','Soligny La Trappe',24082),(24109,'61570','Boucé',24083),(24110,'61270','Bonnefoi',24084),(24111,'61120','Crouttes',24085),(24112,'61160','Merri',24086),(24113,'61800','Saint Jean Des Bois',24087),(24114,'61420','Saint Denis Sur Sarthon',24088),(24115,'61330','Sept Forges',24089),(24116,'61110','Boissy Maugis',24090),(24117,'61500','Belfonds',24091),(24118,'61400','La Chapelle Montligeon',24092),(24119,'61250','Le Ménil Broût',24093),(24120,'61250','Damigny',24094),(24121,'61360','Coulimer',24095),(24122,'61190','Bubertré',24096),(24123,'61390','Fay',24097),(24124,'61400','Le Pin La Garenne',24098),(24125,'61190','Normandel',24099),(24126,'61150','Sevrai',24100),(24127,'61190','La Poterie Au Perche',24101),(24128,'61160','Saint Lambert Sur Dive',24102),(24129,'61100','Caligny',24103),(24130,'61130','Saint Ouen De La Cour',24104),(24131,'61190','Champs',24105),(24132,'61160','Omméel',24106),(24133,'61220','Saint André De Briouze',24107),(24134,'61550','Saint Nicolas De Sommaire',24108),(24135,'61390','Ferrières La Verrerie',24109),(24136,'61100','Cerisy Belle Étoile',24110),(24137,'61500','La Ferrière Béchet',24111),(24138,'61290','Moulicent',24112),(24139,'61100','Bréel',24113),(24140,'61130','Sérigny',24114),(24141,'61340','Berd\'Huis',24115),(24142,'61350','Saint Mars D\'Égrenne',24116),(24143,'61700','Avrilly',24117),(24144,'61340','Dancé',24118),(24145,'61330','Loré',24119),(24146,'61500','Boitron',24120),(24147,'61400','Loisail',24121),(24148,'61800','Saint Quentin Les Chardonnets',24122),(24149,'61140','Beaulandais',24123),(24150,'61240','Le Merlerault',24124),(24151,'61550','Bocquencé',24125),(24152,'61380','Sainte Céronne Lès Mortagne',24126),(24153,'61400','Mauves Sur Huisne',24127),(24154,'61570','Mortrée',24128),(24155,'61100','Sainte Opportune',24129),(24156,'61230','Croisilles',24130),(24157,'61550','Gauville',24131),(24158,'61100','La Bazoque',24132),(24159,'61500','Chailloué',24133),(24160,'61210','Habloville',24134),(24161,'61400','Courgeon',24135),(24162,'61250','Saint Nicolas Des Bois',24136),(24163,'61380','Saint Aquilin De Corbion',24137),(24164,'61430','Ménil Hubert Sur Orne',24138),(24165,'61400','Réveillon',24139),(24166,'61130','Saint Cyr La Rosière',24140),(24167,'61700','Domfront',24141),(24168,'61800','Le Ménil Ciboult',24142),(24169,'61100','Ségrie Fontaine',24143),(24170,'61130','Saint Germain De La Coudre',24144),(24171,'61190','Autheuil',24145),(24172,'61290','Malétable',24146),(24173,'61200','Aunou Le Faucon',24147),(24174,'61100','Flers',24148),(24175,'61230','Saint Evroult De Montfort',24149),(24176,'61100','Landisacq',24150),(24177,'61560','Saint Ouen De Sécherouvre',24151),(24178,'61230','Orgères',24152),(24179,'61210','Giel Courteilles',24153),(24180,'61220','Lignou',24154),(24181,'61270','Auguaise',24155),(24182,'61570','Marcei',24156),(24183,'61550','Saint Nicolas Des Laitiers',24157),(24184,'61190','Moussonvilliers',24158),(24185,'61310','Le Pin Au Haras',24159),(24186,'61500','Macé',24160),(24187,'61100','Notre Dame Du Rocher',24161),(24188,'61210','Ménil Vin',24162),(24189,'61250','Saint Céneri Le Gérei',24163),(24190,'61440','Échalou',24164),(24191,'61500','Saint Hilaire La Gérard',24165),(24192,'61190','Irai',24166),(24193,'61250','Neuilly Le Bisson',24167),(24194,'61130','Le Gué De La Chaîne',24168),(24195,'61800','Chanu',24169),(24196,'61500','Neuville Près Sées',24170),(24197,'61230','Ménil Hubert En Exmes',24171),(24198,'61390','Brullemail',24172),(24199,'61110','Saint Maurice Sur Huisne',24173),(24200,'61600','La Sauvagère',24174),(24201,'61240','Godisson',24175),(24202,'61160','Trun',24176),(24203,'61340','Préaux Du Perche',24177),(24204,'61800','Moncy',24178),(24205,'61430','Saint Philbert Sur Orne',24179),(24206,'61160','Coulonces',24180),(24207,'61130','Origny Le Roux',24181),(24208,'61160','Fontaine Les Bassets',24182),(24209,'61600','Lonlay Le Tesson',24183),(24210,'61430','Cahan',24184),(24211,'61390','Courtomer',24185),(24212,'61100','Landigou',24186),(24213,'61250','Ménil Erreux',24187),(24214,'61100','Ronfeugerai',24188),(24215,'61270','Écorcei',24189),(24216,'61550','Glos La Ferrière',24190),(24217,'61170','Laleu',24191),(24218,'61240','Le Ménil Vicomte',24192),(24219,'61290','Neuilly Sur Eure',24193),(24220,'61260','L\'Hermitière',24194),(24221,'61310','Ginai',24195),(24222,'61210','La Forêt Auvray',24196),(24223,'61300','Crulai',24197),(24224,'61210','Sainte Honorine La Guillaume',24198),(24225,'61330','La Baroche Sous Lucé',24199),(24226,'61310','Avernes Sous Exmes',24200),(24227,'61100','Saint Georges Des Groseillers',24201),(24228,'61310','Villebadin',24202),(24229,'61470','Saint Aubin De Bonneval',24203),(24230,'61250','Larré',24204),(24231,'61160','Montreuil La Cambe',24205),(24232,'61310','Le Bourg Saint Léonard',24206),(24233,'61160','Aubry En Exmes',24207),(24234,'61550','La Ferté Frênel',24208),(24235,'61160','Rônai',24209),(24236,'61300','Saint Ouen Sur Iton',24210),(24237,'61350','Passais',24211),(24238,'61140','Geneslay',24212),(24239,'61230','La Fresnaie Fayel',24213),(24240,'61500','Aunay Les Bois',24214),(24241,'61360','Vidai',24215),(24242,'61270','La Chapelle Viel',24216),(24243,'61290','Menus',24217),(24244,'61170','Sainte Scolasse Sur Sarthe',24218),(24245,'61600','Faverolles',24219),(24246,'61450','La Ferrière Aux Étangs',24220),(24247,'61150','Sentilly',24221),(24248,'61800','Beauchêne',24222),(24249,'61200','Urou Et Crennes',24223),(24250,'61210','Bazoches Au Houlme',24224),(24251,'61310','Silly En Gouffern',24225),(24252,'61560','Courgeoût',24226),(24253,'61220','La Coulonche',24227),(24254,'61320','Saint Didier Sous Écouves',24228),(24255,'61700','Saint Bômer Les Forges',24229),(24256,'61600','Saint Michel Des Andaines',24230),(24257,'61190','Prépotin',24231),(24258,'61390','Saint Léonard Des Parcs',24232),(24259,'61210','Putanges Pont Écrepin',24233),(24260,'61100','La Chapelle Biche',24234),(24261,'61490','Saint Clair De Halouze',24235),(24262,'61350','Saint Siméon',24236),(24263,'61340','Courcerault',24237),(24264,'61160','Brieux',24238),(24265,'61290','Le Pas Saint L\'Homer',24239),(24266,'61320','Saint Sauveur De Carrouges',24240),(24267,'61270','Le Ménil Bérard',24241),(24268,'61210','Ri',24242),(24269,'61440','Saint André De Messei',24243),(24270,'61230','Le Sap André',24244),(24271,'61330','Ceaucé',24245),(24272,'61150','Avoine',24246),(24273,'61130','Saint Fulgent Des Ormes',24247),(24274,'61700','Perrou',24248),(24275,'61570','Saint Loyer Des Champs',24249),(24276,'61320','Lalacelle',24250),(24277,'61240','Saint Germain De Clairefeuille',24251),(24278,'61390','Trémont',24252),(24279,'61170','Saint Agnan Sur Sarthe',24253),(24280,'61160','Guêprei',24254),(24281,'61260','La Rouge',24255),(24282,'61600','La Motte Fouquet',24256),(24283,'61470','Monnai',24257),(24284,'61320','Saint Ellier Les Bois',24258),(24285,'61300','Chandai',24259),(24286,'61500','Bursard',24260),(24287,'61300','Saint Michel Tubœuf',24261),(24288,'61120','Le Renouard',24262),(24289,'61110','Rémalard',24263),(24290,'61570','Francheville',24264),(24291,'61320','Saint Martin Des Landes',24265),(24292,'61400','Parfondeval',24266),(24293,'61110','Moutiers Au Perche',24267),(24294,'61100','Saint Paul',24268),(24295,'61170','Bures',24269),(24296,'61210','Chênedouit',24270),(24297,'61210','La Fresnaye Au Sauvage',24271),(24298,'61100','Durcet',24272),(24299,'61130','Origny Le Butin',24273),(24300,'61110','Saint Germain Des Grois',24274),(24301,'61700','Lonlay L\'Abbaye',24275),(24302,'61400','Saint Denis Sur Huisne',24276),(24303,'61130','La Chapelle Souëf',24277),(24304,'61470','Le Bosc Renoult',24278),(24305,'61110','Condé Sur Huisne',24279),(24306,'61210','Rotours',24280),(24307,'61120','Vimoutiers',24281),(24308,'61100','Taillebois',24282),(24309,'61130','Bellou Le Trichard',24283),(24310,'61380','La Ferrière Au Doyen',24284),(24311,'61700','La Haute Chapelle',24285),(24312,'61320','Rouperroux',24286),(24313,'61230','Résenlieu',24287),(24314,'61240','La Genevraie',24288),(24315,'61200','Argentan',24289),(24316,'61170','Montchevrel',24290),(24317,'61330','Torchamp',24291),(24318,'61360','Montgaudry',24292),(24319,'61800','Tinchebray',24293),(24320,'61420','La Roche Mabile',24294),(24321,'61800','Saint Pierre D\'Entremont',24295),(24322,'61470','Saint Germain D\'Aunay',24296),(24323,'61400','Saint Langis Lès Mortagne',24297),(24324,'61200','Occagnes',24298),(24325,'61100','Tourailles',24299),(24326,'61110','Coulonges Les Sablons',24300),(24327,'61500','Aunou Sur Orne',24301),(24328,'61310','Exmes',24302),(24329,'61400','Mortagne Au Perche',24303),(24330,'61250','Lonrai',24304),(24331,'61190','Beaulieu',24305),(24332,'61170','Coulonges Sur Sarthe',24306),(24333,'61100','La Lande Saint Siméon',24307),(24334,'61250','Vingt Hanaps',24308),(24335,'61210','Ménil Hermei',24309),(24336,'61420','Livaie',24310),(24337,'61250','Colombiers',24311),(24338,'61160','Villedieu Lès Bailleul',24312),(24339,'61240','Marmouillé',24313),(24340,'61210','Montreuil Au Houlme',24314),(24341,'61250','Cuissai',24315),(24342,'61230','Gacé',24316),(24343,'61220','Saires La Verrerie',24317),(24344,'61430','Sainte Honorine La Chardonne',24318),(24345,'61560','Champeaux Sur Sarthe',24319),(24346,'61200','Sarceaux',24320),(24347,'61800','Saint Cornier Des Landes',24321),(24348,'61240','Ménil Froger',24322),(24349,'61150','Vieux Pont',24323),(24350,'61000','Saint Germain Du Corbéis',24324),(24351,'61500','Saint Gervais Du Perron',24325),(24352,'61390','Le Chalange',24326),(24353,'61200','Fontenai Sur Orne',24327),(24354,'61150','La Courbe',24328),(24355,'61350','Saint Roch Sur Égrenne',24329),(24356,'61100','La Selle La Forge',24330),(24357,'61320','Longuenoë',24331),(24358,'61150','Saint Brice Sous Rânes',24332),(24359,'61500','Neauphe Sous Essai',24333),(24360,'61600','La Chaux',24334),(24361,'61130','Gémages',24335),(24362,'61700','Champsecret',24336),(24363,'61210','Neuvy Au Houlme',24337),(24364,'61400','Saint Hilaire Le Châtel',24338),(24365,'61170','Bure',24339),(24366,'61700','Saint Gilles Des Marais',24340),(24367,'61170','Saint Aubin D\'Appenai',24341),(24368,'61290','La Lande Sur Eure',24342),(24369,'61250','Hauterive',24343),(24370,'61150','Montgaroult',24344),(24371,'61330','Saint Denis De Villenette',24345),(24372,'61250','Héloup',24346),(24373,'61550','Couvains',24347),(24374,'61790','Saint Pierre Du Regard',24348),(24375,'61190','La Ventrouze',24349),(24376,'61550','Touquettes',24350),(24377,'61170','Le Ménil Guyon',24351),(24378,'61240','Lignères',24352),(24379,'61400','Feings',24353),(24380,'61230','Coulmer',24354),(24381,'61120','Orville',24355),(24382,'61220','Craménil',24356),(24383,'61130','Igé',24357),(24384,'61160','Fel',24358),(24385,'61320','Sainte Marie La Robert',24359),(24386,'61600','Saint Patrice Du Désert',24360),(24387,'61320','Le Ménil Scelleur',24361),(24388,'61290','Saint Victor De Réno',24362),(24389,'61160','Chambois',24363),(24390,'61450','Le Châtellier',24364),(24391,'61160','Mont Ormel',24365),(24392,'61550','Villers En Ouche',24366),(24393,'61230','Mardilly',24367),(24394,'61160','Bailleul',24368),(24395,'61340','Saint Agnan Sur Erre',24369),(24396,'61160','Nécy',24370),(24397,'61130','Bellême',24371),(24398,'61210','Rabodanges',24372),(24399,'61200','Moulins Sur Orne',24373),(24400,'61300','Saint Martin D\'Écublei',24374),(24401,'61250','Condé Sur Sarthe',24375),(24402,'61320','Carrouges',24376),(24403,'61000','Alençon',24377),(24404,'61320','Chahains',24378),(24405,'61560','La Mesnière',24379),(24406,'61470','Le Sap',24380),(24407,'61600','Magny Le Désert',24381),(24408,'61140','Juvigny Sous Andaine',24382),(24409,'61400','Villiers Sous Mortagne',24383),(24410,'61120','Canapville',24384),(24411,'61320','La Lande De Goult',24385),(24412,'61570','Le Château D\'Almenêches',24386),(24413,'61450','Banvou',24387),(24414,'61370','Saint Pierre Des Loges',24388),(24415,'61160','Louvières En Auge',24389),(24416,'61700','Rouellé',24390),(24417,'61500','Tanville',24391),(24418,'61400','Saint Mard De Réno',24392),(24419,'61120','Neuville Sur Touques',24393),(24420,'61170','Marchemaisons',24394),(24421,'61310','Courménil',24395),(24422,'61220','Le Ménil De Briouze',24396),(24423,'61360','Saint Jouin De Blavou',24397),(24424,'61360','La Perrière',24398),(24425,'61230','Chaumont',24399),(24426,'61300','Vitrai Sous Laigle',24400),(24427,'61550','Saint Evroult Notre Dame Du Bois',24401),(24428,'61420','Gandelain',24402),(24429,'61270','Brethel',24403),(24430,'61360','Suré',24404),(24431,'61190','Tourouvre',24405),(24432,'61500','Essay',24406),(24433,'61360','Pervenchères',24407),(24434,'61800','Clairefougère',24408),(24435,'61350','L\'Épinay Le Comte',24409),(24436,'61100','La Carneille',24410),(24437,'61550','Anceins',24411),(24438,'61560','Boëcé',24412),(24439,'61210','Saint Aubert Sur Orne',24413),(24440,'61130','Saint Martin Du Vieux Bellême',24414),(24441,'61800','Montsecret',24415),(24442,'61340','Nocé',24416),(24443,'61410','Antoigny',24417),(24444,'61390','Saint Germain Le Vieux',24418),(24445,'61160','Coudehard',24419),(24446,'61600','Le Grais',24420),(24447,'61270','Rai',24421),(24448,'61290','Monceaux Au Perche',24422),(24449,'61270','Aspres',24423),(24450,'61150','Serans',24424),(24451,'61200','Sai',24425),(24452,'61110','Maison Maugis',24426),(24453,'61200','Commeaux',24427),(24454,'61500','Le Cercueil',24428),(24455,'61150','Saint Ouen Sur Maire',24429),(24456,'61400','Corbon',24430),(24457,'61110','Dorceau',24431),(24458,'61300','L\'Aigle',24432),(24459,'61190','Bivilliers',24433),(24460,'61340','Colonard Corubert',24434),(24461,'61120','Champosoult',24435),(24462,'61170','Saint Léger Sur Sarthe',24436),(24463,'61500','La Chapelle Près Sées',24437),(24464,'61130','Vaunoise',24438),(24465,'61130','Dame Marie',24439),(24466,'61250','Semallé',24440),(24467,'61260','Mâle',24441),(24468,'61470','Avernes Saint Gourgon',24442),(24469,'61430','Berjou',24443),(24470,'61370','Échauffour',24444),(24471,'61170','Le Mêle Sur Sarthe',24445),(24472,'61200','Juvigny Sur Orne',24446),(24473,'61410','Saint Ouen Le Brisoult',24447),(24474,'61570','Vrigny',24448),(24475,'61400','Eperrais',24449),(24476,'61150','Lougé Sur Maire',24450),(24477,'61150','Loucé',24451),(24478,'61600','Saint Georges D\'Annebecq',24452),(24479,'61160','Neauphe Sur Dive',24453),(24480,'61230','Cisai Saint Aubin',24454),(24481,'61250','Mieuxcé',24455),(24482,'61560','Saint Germain De Martigny',24456),(24483,'61210','Sainte Croix Sur Orne',24457),(24484,'61500','Le Bouillon',24458),(24485,'61160','Écorches',24459),(24486,'61600','La Ferté Macé',24460),(24487,'61240','Nonant Le Pin',24461),(24488,'61340','Saint Pierre La Bruyère',24462),(24489,'61160','Saint Gervais Des Sablons',24463),(24490,'61360','Chemilli',24464),(24491,'61160','Montabard',24465),(24492,'61240','Champ Haut',24466),(24493,'61230','La Trinité Des Laitiers',24467),(24494,'61390','Tellières Le Plessis',24468),(24495,'61160','Ommoy',24469),(24496,'61130','Appenai Sous Bellême',24470),(24497,'61150','Écouché',24471),(24498,'61140','Bagnoles De L\'Orne',24472),(24499,'61110','La Madeleine Bouvet',24473),(24500,'61110','Verrières',24474),(24501,'61400','Comblot',24475),(24502,'61000','Cerisé',24476),(24503,'61260','Ceton',24477),(24504,'61120','Camembert',24478),(24505,'61360','Bellavilliers',24479),(24506,'61210','Ménil Gondouin',24480),(24507,'61110','Bellou Sur Huisne',24481),(24508,'61320','Sainte Marguerite De Carrouges',24482),(24509,'61120','Champeaux',24483),(24510,'61440','Messei',24484),(24511,'61100','La Chapelle Au Moine',24485),(24512,'61120','Fresnay Le Samson',24486),(24513,'61700','Saint Brice',24487),(24514,'61340','Saint Aubin Des Grois',24488),(24515,'61120','Ticheville',24489),(24516,'61150','Batilly',24490),(24517,'61120','Roiville',24491),(24518,'61550','La Gonfrière',24492),(24519,'61310','Saint Pierre La Rivière',24493),(24520,'61190','Lignerolles',24494),(24521,'61210','Ménil Jean',24495),(24522,'61100','La Lande Patry',24496),(24523,'61240','Authieux Du Puits',24497),(24524,'61150','Joué Du Plain',24498),(24525,'61220','Briouze',24499),(24526,'61190','Randonnai',24500),(24527,'61270','Genettes',24501),(24528,'61380','Moulins La Marche',24502),(24529,'61290','Longny Au Perche',24503),(24530,'61150','Goulet',24504),(24531,'61250','Forges',24505),(24532,'61250','Valframbert',24506),(24533,'61570','Boissei La Lande',24507),(24534,'61800','Yvrandes',24508),(24535,'61190','Bresolettes',24509),(24536,'61150','Rânes',24510),(24537,'62860','Marquion',24511),(24538,'62810','Estrée Wamin',24512),(24539,'62340','Campagne Lès Guines',24513),(24540,'62175','Boiry Sainte Rictrude',24514),(24541,'62190','Lières',24515),(24542,'62830','Lacres',24516),(24543,'62580','Vimy',24517),(24544,'62156','Éterpigny',24518),(24545,'62140','Hesdin',24519),(24546,'62990','Royon',24520),(24547,'62182','Hendecourt Lès Cagnicourt',24521),(24548,'62810','Denier',24522),(24549,'62810','Berlencourt Le Cauroy',24523),(24550,'62490','Fresnes Lès Montauban',24524),(24551,'62990','Contes',24525),(24552,'62170','Marant',24526),(24553,'62910','Moringhem',24527),(24554,'62770','Wail',24528),(24555,'62116','Ablainzevelle',24529),(24556,'62159','Vaulx Vraucourt',24530),(24557,'62450','Favreuil',24531),(24558,'62390','Nœux Lès Auxi',24532),(24559,'62111','Souastre',24533),(24560,'62860','Épinoy',24534),(24561,'62920','Oblinghem',24535),(24562,'62161','Duisans',24536),(24563,'62450','Rocquigny',24537),(24564,'62153','Souchez',24538),(24565,'62111','Gommecourt',24539),(24566,'62130','Guinecourt',24540),(24567,'62124','Vélu',24541),(24568,'62134','Anvin',24542),(24569,'62720','Wierre Effroy',24543),(24570,'62870','Roussent',24544),(24571,'62920','Gonnehem',24545),(24572,'62380','Bouvelinghem',24546),(24573,'62870','Buire Le Sec',24547),(24574,'62610','Nielles Lès Ardres',24548),(24575,'62250','Marquise',24549),(24576,'62760','Famechon',24550),(24577,'62144','Carency',24551),(24578,'62730','Attaques',24552),(24579,'62990','Beaurainville',24553),(24580,'62156','Haucourt',24554),(24581,'62170','Beaumerie Saint Martin',24555),(24582,'62128','Saint Martin Sur Cojeul',24556),(24583,'62170','Aix En Issart',24557),(24584,'62116','Douchy Lès Ayette',24558),(24585,'62460','Divion',24559),(24586,'62121','Hamelincourt',24560),(24587,'62130','Croix En Ternois',24561),(24588,'62570','Helfaut',24562),(24589,'62180','Airon Saint Vaast',24563),(24590,'62111','Bienvillers Au Bois',24564),(24591,'62580','Willerval',24565),(24592,'62380','Acquin Westbécourt',24566),(24593,'62127','Marquay',24567),(24594,'62830','Wierre Au Bois',24568),(24595,'62550','Sains Lès Pernes',24569),(24596,'62630','Widehem',24570),(24597,'62580','Neuville Saint Vaast',24571),(24598,'62270','Bonnières',24572),(24599,'62350','Saint Venant',24573),(24600,'62138','Auchy Les Mines',24574),(24601,'62380','Ledinghem',24575),(24602,'62400','Essars',24576),(24603,'62130','Herlin Le Sec',24577),(24604,'62380','Affringues',24578),(24605,'62190','Lespesses',24579),(24606,'62840','Sailly Sur La Lys',24580),(24607,'62580','Thélus',24581),(24608,'62880','Pont À Vendin',24582),(24609,'62380','Wismes',24583),(24610,'62160','Grenay',24584),(24611,'62240','Bécourt',24585),(24612,'62134','Bergueneuse',24586),(24613,'62156','Vis En Artois',24587),(24614,'62122','Labeuvrière',24588),(24615,'62240','Lottinghen',24589),(24616,'62310','Canlers',24590),(24617,'62130','Conteville En Ternois',24591),(24618,'62990','Saint Denœux',24592),(24619,'62120','Witternesse',24593),(24620,'62680','Méricourt',24594),(24621,'62610','Balinghem',24595),(24622,'62112','Corbehem',24596),(24623,'62180','Airon Notre Dame',24597),(24624,'62810','Lattre Saint Quentin',24598),(24625,'62490','Vitry En Artois',24599),(24626,'62810','Sombrin',24600),(24627,'62650','Parenty',24601),(24628,'62860','Quéant',24602),(24629,'62130','Gauchin Verloingt',24603),(24630,'62147','Graincourt Lès Havrincourt',24604),(24631,'62170','Sempy',24605),(24632,'62550','Nédonchel',24606),(24633,'62158','Couturelle',24607),(24634,'62124','Neuville Bourjonval',24608),(24635,'62340','Bouquehault',24609),(24636,'62124','Bus',24610),(24637,'62890','Zouafques',24611),(24638,'62170','Bernieulles',24612),(24639,'62158','Saulty',24613),(24640,'62310','Tramecourt',24614),(24641,'62124','Ruyaulcourt',24615),(24642,'62310','Azincourt',24616),(24643,'62830','Questrecques',24617),(24644,'62150','Beugin',24618),(24645,'62124','Léchelle',24619),(24646,'62134','Fleury',24620),(24647,'62182','Riencourt Lès Cagnicourt',24621),(24648,'62310','Maisoncelle',24622),(24649,'62570','Hallines',24623),(24650,'62990','Marenla',24624),(24651,'62223','Anzin Saint Aubin',24625),(24652,'62129','Ecques',24626),(24653,'62128','Bullecourt',24627),(24654,'62270','Bouret Sur Canche',24628),(24655,'62111','Pommier',24629),(24656,'62360','Hesdin L\'Abbé',24630),(24657,'62250','Leubringhen',24631),(24658,'62360','Saint Étienne Au Mont',24632),(24659,'62182','Cagnicourt',24633),(24660,'62250','Leulinghen Bernes',24634),(24661,'62650','Ergny',24635),(24662,'62910','Serques',24636),(24663,'62450','Biefvillers Lès Bapaume',24637),(24664,'62410','Meurchin',24638),(24665,'62158','La Herlière',24639),(24666,'62150','Bajus',24640),(24667,'62121','Achiet Le Petit',24641),(24668,'62144','Acq',24642),(24669,'62170','Boisjean',24643),(24670,'62650','Campagne Lès Boulonnais',24644),(24671,'62140','Aubin Saint Vaast',24645),(24672,'62650','Enquin Sur Baillons',24646),(24673,'62127','Frévillers',24647),(24674,'62170','Campigneulles Les Grandes',24648),(24675,'62650','Preures',24649),(24676,'62850','Rebergues',24650),(24677,'62860','Rumaucourt',24651),(24678,'62650','Zoteux',24652),(24679,'62890','Nordausques',24653),(24680,'62149','Cambrin',24654),(24681,'62270','Sibiville',24655),(24682,'62350','Calonne Sur La Lys',24656),(24683,'62410','Hulluch',24657),(24684,'62960','Febvin Palfart',24658),(24685,'62270','Houvin Houvigneul',24659),(24686,'62310','Matringhem',24660),(24687,'62450','Frémicourt',24661),(24688,'62310','Fruges',24662),(24689,'62650','Bourthes',24663),(24690,'62770','Vieil Hesdin',24664),(24691,'62121','Béhagnies',24665),(24692,'62630','Cormont',24666),(24693,'62123','Beaumetz Lès Loges',24667),(24694,'62870','Douriez',24668),(24695,'62162','Saint Omer Capelle',24669),(24696,'62590','Oignies',24670),(24697,'62760','Gaudiempré',24671),(24698,'62310','Verchin',24672),(24699,'62560','Reclinghem',24673),(24700,'62310','Avondance',24674),(24701,'62113','Verquigneul',24675),(24702,'62310','Hézecques',24676),(24703,'62370','Audruicq',24677),(24704,'62123','Warlus',24678),(24705,'62149','Cuinchy',24679),(24706,'62270','Nuncq Hautecôte',24680),(24707,'62500','Boisdinghem',24681),(24708,'62140','Sainte Austreberthe',24682),(24709,'62129','Herbelles',24683),(24710,'62127','Gouy En Ternois',24684),(24711,'62250','Maninghen Henne',24685),(24712,'62810','Sars Le Bois',24686),(24713,'62720','Rinxent',24687),(24714,'62128','Héninel',24688),(24715,'62730','Marck',24689),(24716,'62121','Achiet Le Grand',24690),(24717,'62800','Liévin',24691),(24718,'62128','Fontaine Lès Croisilles',24692),(24719,'62490','Quiéry La Motte',24693),(24720,'62270','Rebreuviette',24694),(24721,'62690','Hermaville',24695),(24722,'62450','Martinpuich',24696),(24723,'62130','Beauvois',24697),(24724,'62890','Clerques',24698),(24725,'62240','Selles',24699),(24726,'62116','Adinfer',24700),(24727,'62960','Ligny Lès Aire',24701),(24728,'62390','Le Ponchel',24702),(24729,'62190','Ecquedecques',24703),(24730,'62760','Amplier',24704),(24731,'62270','Séricourt',24705),(24732,'62170','Attin',24706),(24733,'62260','Auchel',24707),(24734,'62490','Izel Lès Équerchin',24708),(24735,'62130','Héricourt',24709),(24736,'62990','Hesmond',24710),(24737,'62144','Mont Saint Éloi',24711),(24738,'62175','Boiry Saint Martin',24712),(24739,'62550','Bours',24713),(24740,'62860','Inchy En Artois',24714),(24741,'62110','Hénin Beaumont',24715),(24742,'62123','Bailleulval',24716),(24743,'62134','Heuchin',24717),(24744,'62450','Ligny Thilloy',24718),(24745,'62580','Gavrelle',24719),(24746,'62760','Pas En Artois',24720),(24747,'62185','Saint Tricat',24721),(24748,'62650','Quilen',24722),(24749,'62810','Le Souich',24723),(24750,'62170','Marles Sur Canche',24724),(24751,'62490','Bellonne',24725),(24752,'62130','La Thieuloye',24726),(24753,'62130','Wavrans Sur Ternoise',24727),(24754,'62690','Camblain L\'Abbé',24728),(24755,'62550','Hestrus',24729),(24756,'62161','Agnez Lès Duisans',24730),(24757,'62610','Brêmes',24731),(24758,'62116','Puisieux',24732),(24759,'62123','Bailleulmont',24733),(24760,'62340','Andres',24734),(24761,'62770','Galametz',24735),(24762,'62134','Tilly Capelle',24736),(24763,'62860','Saudemont',24737),(24764,'62450','Bancourt',24738),(24765,'62130','Buneville',24739),(24766,'62130','Maisnil',24740),(24767,'62760','Couin',24741),(24768,'62340','Guînes',24742),(24769,'62860','Sains Lès Marquion',24743),(24770,'62610','Autingues',24744),(24771,'62690','Berles Monchel',24745),(24772,'62120','Rely',24746),(24773,'62170','Beussent',24747),(24774,'62260','Ferfay',24748),(24775,'62330','Guarbecque',24749),(24776,'62134','Eps',24750),(24777,'62870','Gouy Saint André',24751),(24778,'62530','Hersin Coupigny',24752),(24779,'62140','Wambercourt',24753),(24780,'62127','Bailleul Aux Cornailles',24754),(24781,'62126','Pittefaux',24755),(24782,'62156','Dury',24756),(24783,'62650','Maninghem',24757),(24784,'62250','Bazinghen',24758),(24785,'62172','Bouvigny Boyeffles',24759),(24786,'62500','Saint Omer',24760),(24787,'62140','Bouin Plumoison',24761),(24788,'62830','Samer',24762),(24789,'62145','Enguinegatte',24763),(24790,'62240','Senlecques',24764),(24791,'62180','Waben',24765),(24792,'62530','Gouy Servins',24766),(24793,'62770','Auchy Lès Hesdin',24767),(24794,'62990','Lespinoy',24768),(24795,'62440','Harnes',24769),(24796,'62690','Frévin Capelle',24770),(24797,'62180','Rang Du Fliers',24771),(24798,'62130','Siracourt',24772),(24799,'62880','Annay',24773),(24800,'62131','Drouvin Le Marais',24774),(24801,'62179','Wissant',24775),(24802,'62760','Mondicourt',24776),(24803,'62127','Maizières',24777),(24804,'62610','Louches',24778),(24805,'62134','Fontaine Lès Boulans',24779),(24806,'62140','Capelle Lès Hesdin',24780),(24807,'62118','Biache Saint Vaast',24781),(24808,'62500','Saint Martin Au Laërt',24782),(24809,'62810','Beaudricourt',24783),(24810,'62170','Campigneulles Les Petites',24784),(24811,'62140','Guigny',24785),(24812,'62158','Coullemont',24786),(24813,'62890','Muncq Nieurlet',24787),(24814,'62170','Sorrus',24788),(24815,'62129','Inghem',24789),(24816,'62390','Aubrometz',24790),(24817,'62890','Bonningues Lès Ardres',24791),(24818,'62310','Mencas',24792),(24819,'62570','Pihem',24793),(24820,'62630','Lefaux',24794),(24821,'62630','Tubersent',24795),(24822,'62121','Courcelles Le Comte',24796),(24823,'62380','Coulomby',24797),(24824,'62850','Haut Loquin',24798),(24825,'62310','Vincly',24799),(24826,'62123','Gouves',24800),(24827,'62111','Hannescamps',24801),(24828,'62250','Audembert',24802),(24829,'62111','Hébuterne',24803),(24830,'62310','Senlis',24804),(24831,'62450','Le Sars',24805),(24832,'62159','Mory',24806),(24833,'62410','Wingles',24807),(24834,'62960','Beaumetz Lès Aire',24808),(24835,'62138','Haisnes',24809),(24836,'62850','Journy',24810),(24837,'62120','Mametz',24811),(24838,'62850','Escœuilles',24812),(24839,'62134','Équirre',24813),(24840,'62850','Sanghen',24814),(24841,'62320','Rouvroy',24815),(24842,'62250','Saint Inglevert',24816),(24843,'62910','Éperlecques',24817),(24844,'62176','Camiers',24818),(24845,'62130','Foufflin Ricametz',24819),(24846,'62380','Bayenghem Lès Seninghem',24820),(24847,'62540','Lozinghem',24821),(24848,'62120','Racquinghem',24822),(24849,'62780','Cucq',24823),(24850,'62219','Wisques',24824),(24851,'62155','Merlimont',24825),(24852,'62360','Saint Léonard',24826),(24853,'62310','Planques',24827),(24854,'62550','Nédon',24828),(24855,'62760','Hénu',24829),(24856,'62400','Locon',24830),(24857,'62770','Fillièvres',24831),(24858,'62240','Saint Martin Choquel',24832),(24859,'62000','Arras',24833),(24860,'62240','Brunembert',24834),(24861,'62232','Fouquereuil',24835),(24862,'62151','Burbure',24836),(24863,'62123','Berles Au Bois',24837),(24864,'62760','Thièvres',24838),(24865,'62127','Ternas',24839),(24866,'62890','Recques Sur Hem',24840),(24867,'62150','Fresnicourt Le Dolmen',24841),(24868,'62130','Brias',24842),(24869,'62121','Gomiécourt',24843),(24870,'62250','Wacquinghen',24844),(24871,'62129','Delettes',24845),(24872,'62145','Enquin Les Mines',24846),(24873,'62690','Mingoval',24847),(24874,'62147','Trescault',24848),(24875,'62124','Beaumetz Lès Cambrai',24849),(24876,'62650','Rumilly',24850),(24877,'62840','Fleurbaix',24851),(24878,'62310','Crépy',24852),(24879,'62760','Warlincourt Lès Pas',24853),(24880,'62450','Beaulencourt',24854),(24881,'62490','Tortequesne',24855),(24882,'62320','Drocourt',24856),(24883,'62120','Norrent Fontes',24857),(24884,'62150','Rebreuve Ranchicourt',24858),(24885,'62620','Ruitz',24859),(24886,'62580','Arleux En Gohelle',24860),(24887,'62124','Metz En Couture',24861),(24888,'62124','Bertincourt',24862),(24889,'62120','Wittes',24863),(24890,'62118','Fampoux',24864),(24891,'62190','Ames',24865),(24892,'62370','Guemps',24866),(24893,'62130','Humerœuille',24867),(24894,'62132','Caffiers',24868),(24895,'62470','Camblain Châtelain',24869),(24896,'62890','Audrehem',24870),(24897,'62370','Saint Folquin',24871),(24898,'62500','Tatinghem',24872),(24899,'62130','Ramecourt',24873),(24900,'62270','Boubers Sur Canche',24874),(24901,'62140','Chériennes',24875),(24902,'62240','Desvres',24876),(24903,'62128','Écoust Saint Mein',24877),(24904,'62128','Hénin Sur Cojeul',24878),(24905,'62130','Pierremont',24879),(24906,'62215','Oye Plage',24880),(24907,'62170','Brimeux',24881),(24908,'62560','Saint Martin D\'Hardinghem',24882),(24909,'62560','Merck Saint Liévin',24883),(24910,'62232','Hinges',24884),(24911,'62123','Berneville',24885),(24912,'62131','Verquin',24886),(24913,'62127','Villers Sir Simon',24887),(24914,'62850','Hocquinghen',24888),(24915,'62380','Cléty',24889),(24916,'62350','Mont Bernanchon',24890),(24917,'62231','Sangatte',24891),(24918,'62430','Sallaumines',24892),(24919,'62770','Saint Georges',24893),(24920,'62221','Noyelles Sous Lens',24894),(24921,'62124','Morchies',24895),(24922,'62990','Maresquel Ecquemicourt',24896),(24923,'62650','Hucqueliers',24897),(24924,'62980','Vermelles',24898),(24925,'62130','Huclier',24899),(24926,'62290','Nœux Les Mines',24900),(24927,'62175','Boisleux Saint Marc',24901),(24928,'62580','Oppy',24902),(24929,'62580','Givenchy En Gohelle',24903),(24930,'62130','Hautecloque',24904),(24931,'62650','Alette',24905),(24932,'62690','Izel Lès Hameau',24906),(24933,'62630','Hubersent',24907),(24934,'62134','Fiefs',24908),(24935,'62123','Montenescourt',24909),(24936,'62134','Prédefin',24910),(24937,'62640','Montigny En Gohelle',24911),(24938,'62128','Guémappe',24912),(24939,'62850','Licques',24913),(24940,'62810','Hauteville',24914),(24941,'62540','Marles Les Mines',24915),(24942,'62580','Fresnoy En Gohelle',24916),(24943,'62360','Condette',24917),(24944,'62690','Cambligneul',24918),(24945,'62137','Coulogne',24919),(24946,'62134','Érin',24920),(24947,'62350','Saint Floris',24921),(24948,'62690','Tilloy Lès Hermaville',24922),(24949,'62232','Annezin',24923),(24950,'62390','Quœux Haut Maînil',24924),(24951,'62770','Fresnoy',24925),(24952,'62158','Bavincourt',24926),(24953,'62310','Créquy',24927),(24954,'62240','Menneville',24928),(24955,'62850','Surques',24929),(24956,'62150','La Comté',24930),(24957,'62162','Vieille Église',24931),(24958,'62550','Sachin',24932),(24959,'62120','Rebecques',24933),(24960,'62179','Tardinghen',24934),(24961,'62960','Laires',24935),(24962,'62500','Tilques',24936),(24963,'62182','Villers Lès Cagnicourt',24937),(24964,'62560','Avroult',24938),(24965,'62142','Le Wast',24939),(24966,'62120','Quiestède',24940),(24967,'62140','Brévillers',24941),(24968,'62575','Heuringhem',24942),(24969,'62610','Rodelinghem',24943),(24970,'62170','Neuville Sous Montreuil',24944),(24971,'62660','Beuvry',24945),(24972,'62870','Saulchoy',24946),(24973,'62149','Givenchy Lès La Bassée',24947),(24974,'62190','Auchy Au Bois',24948),(24975,'62132','Hermelinghen',24949),(24976,'62128','Cherisy',24950),(24977,'62000','Dainville',24951),(24978,'62142','Alincthun',24952),(24979,'62111','Monchy Au Bois',24953),(24980,'62380','Nielles Lès Bléquin',24954),(24981,'62260','Amettes',24955),(24982,'62218','Loison Sous Lens',24956),(24983,'62560','Fauquembergues',24957),(24984,'62164','Audresselles',24958),(24985,'62190','Ham En Artois',24959),(24986,'62270','Linzeux',24960),(24987,'62231','Peuplingues',24961),(24988,'62550','Valhuon',24962),(24989,'62190','Bourecq',24963),(24990,'62132','Hardinghen',24964),(24991,'62136','Richebourg',24965),(24992,'62510','Arques',24966),(24993,'62130','Neuville Au Cornet',24967),(24994,'62140','Huby Saint Leu',24968),(24995,'62770','Wamin',24969),(24996,'62118','Pelves',24970),(24997,'62232','Vendin Lès Béthune',24971),(24998,'62128','Boyelles',24972),(24999,'62100','Calais',24973),(25000,'62990','Embry',24974),(25001,'62830','Carly',24975),(25002,'62310','Ambricourt',24976),(25003,'62810','Sus Saint Léger',24977),(25004,'62127','Averdoingt',24978),(25005,'62127','Ambrines',24979),(25006,'62560','Thiembronne',24980),(25007,'62390','Gennes Ivergny',24981),(25008,'62380','Dohem',24982),(25009,'62170','Beutin',24983),(25010,'62145','Estrée Blanche',24984),(25011,'62120','Blessy',24985),(25012,'62140','Labroye',24986),(25013,'62350','Busnes',24987),(25014,'62910','Bayenghem Lès Éperlecques',24988),(25015,'62127','Tincques',24989),(25016,'62930','Wimereux',24990),(25017,'62350','Robecq',24991),(25018,'62200','Boulogne Sur Mer',24992),(25019,'62173','Blairville',24993),(25020,'62630','Étaples',24994),(25021,'62320','Acheville',24995),(25022,'62820','Libercourt',24996),(25023,'62156','Étaing',24997),(25024,'62550','Pernes',24998),(25025,'62173','Ransart',24999),(25026,'62270','Fortel En Artois',25000),(25027,'62140','Marconnelle',25001),(25028,'62175','Hendecourt Lès Ransart',25002),(25029,'62130','Bermicourt',25003),(25030,'62380','Quercamps',25004),(25031,'62130','Troisvaux',25005),(25032,'62860','Oisy Le Verger',25006),(25033,'62121','Ervillers',25007),(25034,'62156','Remy',25008),(25035,'62390','Vaulx',25009),(25036,'62390','Boffles',25010),(25037,'62390','Beauvoir Wavans',25011),(25038,'62650','Clenleu',25012),(25039,'62860','Buissy',25013),(25040,'62650','Avesnes',25014),(25041,'62810','Avesnes Le Comte',25015),(25042,'62170','Montcavrel',25016),(25043,'62550','Marest',25017),(25044,'62630','Frencq',25018),(25045,'62196','Hesdigneul Lès Béthune',25019),(25046,'62770','Blangy Sur Ternoise',25020),(25047,'62190','Lillers',25021),(25048,'62170','Inxent',25022),(25049,'62390','Fontaine L\'Étalon',25023),(25050,'62630','Maresville',25024),(25051,'62360','Echinghen',25025),(25052,'62810','Warluzel',25026),(25053,'62400','Béthune',25027),(25054,'62830','Verlincthun',25028),(25055,'62810','Lignereuil',25029),(25056,'62370','Polincove',25030),(25057,'62850','Alquines',25031),(25058,'62121','Moyenneville',25032),(25059,'62140','Vacqueriette Erquières',25033),(25060,'62270','Frévent',25034),(25061,'62330','Isbergues',25035),(25062,'62650','Herly',25036),(25063,'62650','Bimont',25037),(25064,'62760','Halloy',25038),(25065,'62810','Manin',25039),(25066,'62450','Avesnes Lès Bapaume',25040),(25067,'62520','Le Touquet Paris Plage',25041),(25068,'62130','Roëllecourt',25042),(25069,'62370','Nortkerque',25043),(25070,'62223','Roclincourt',25044),(25071,'62630','Longvilliers',25045),(25072,'62130','Saint Pol Sur Ternoise',25046),(25073,'62310','Coupelle Vieille',25047),(25074,'62142','Longueville',25048),(25075,'62231','Coquelles',25049),(25076,'62123','Basseux',25050),(25077,'62810','Givenchy Le Noble',25051),(25078,'62130','Monts En Ternois',25052),(25079,'62370','Offekerque',25053),(25080,'62460','Diéval',25054),(25081,'62116','Bucquoy',25055),(25082,'62170','La Madelaine Sous Montreuil',25056),(25083,'62149','Annequin',25057),(25084,'62360','Baincthun',25058),(25085,'62990','Lebiez',25059),(25086,'62620','Maisnil Lès Ruitz',25060),(25087,'62380','Elnes',25061),(25088,'62340','Pihen Lès Guînes',25062),(25089,'62340','Hames Boucres',25063),(25090,'62153','Ablain Saint Nazaire',25064),(25091,'62150','Gauchin Légal',25065),(25092,'62120','Campagne Lès Wardrecques',25066),(25093,'62370','Ruminghem',25067),(25094,'62970','Courcelles Lès Lens',25068),(25095,'62270','Blangerval Blangermont',25069),(25096,'62123','Monchiet',25070),(25097,'62240','Quesques',25071),(25098,'62890','Tournehem Sur La Hem',25072),(25099,'62790','Leforest',25073),(25100,'62450','Riencourt Lès Bapaume',25074),(25101,'62840','Lorgies',25075),(25102,'62140','Marconne',25076),(25103,'62220','Carvin',25077),(25104,'62650','Saint Michel Sous Bois',25078),(25105,'62113','Labourse',25079),(25106,'62140','Cavron Saint Martin',25080),(25107,'62750','Loos En Gohelle',25081),(25108,'62111','Sailly Au Bois',25082),(25109,'62260','Cauchy À La Tour',25083),(25110,'62232','Fouquières Lès Béthune',25084),(25111,'62240','Bournonville',25085),(25112,'62142','Colembert',25086),(25113,'62240','Courset',25087),(25114,'62690','Capelle Fermont',25088),(25115,'62130','Framecourt',25089),(25116,'62138','Billy Berclau',25090),(25117,'62770','Willeman',25091),(25118,'62850','Herbinghen',25092),(25119,'62117','Brebières',25093),(25120,'62270','Moncheaux Lès Frévent',25094),(25121,'62120','Aire Sur La Lys',25095),(25122,'62830','Tingry',25096),(25123,'62480','Le Portel',25097),(25124,'62170','Bréxent Énocq',25098),(25125,'62140','La Loge',25099),(25126,'62370','Sainte Marie Kerque',25100),(25127,'62990','Loison Sur Créquoise',25101),(25128,'62136','Vieille Chapelle',25102),(25129,'62770','Éclimeux',25103),(25130,'62185','Nielles Lès Calais',25104),(25131,'62580','Farbus',25105),(25132,'62830','Doudeauville',25106),(25133,'62156','Boiry Notre Dame',25107),(25134,'62126','Pernes Lès Boulogne',25108),(25135,'62129','Clarques',25109),(25136,'62130','Humières',25110),(25137,'62580','Bailleul Sir Berthoult',25111),(25138,'62690','Agnières',25112),(25139,'62128','Wancourt',25113),(25140,'62120','Rombly',25114),(25141,'62147','Hermies',25115),(25142,'62144','Villers Au Bois',25116),(25143,'62149','Festubert',25117),(25144,'62136','Lestrem',25118),(25145,'62380','Esquerdes',25119),(25146,'62310','Coupelle Neuve',25120),(25147,'62217','Agny',25121),(25148,'62180','Tigny Noyelle',25122),(25149,'62610','Ardres',25123),(25150,'62620','Barlin',25124),(25151,'62123','Gouy En Artois',25125),(25152,'62560','Coyecques',25126),(25153,'62380','Bléquin',25127),(25154,'62250','Offrethun',25128),(25155,'62217','Neuville Vitasse',25129),(25156,'62113','Sailly Labourse',25130),(25157,'62118','Monchy Le Preux',25131),(25158,'62160','Bully Les Mines',25132),(25159,'62940','Haillicourt',25133),(25160,'62700','Bruay La Buissière',25134),(25161,'62980','Noyelles Lès Vermelles',25135),(25162,'62119','Dourges',25136),(25163,'62250','Ferques',25137),(25164,'62140','Grigny',25138),(25165,'62390','Villers L\'Hôpital',25139),(25166,'62140','Mouriez',25140),(25167,'62960','Erny Saint Julien',25141),(25168,'62880','Estevelles',25142),(25169,'62121','Sapignies',25143),(25170,'62127','Magnicourt En Comte',25144),(25171,'62185','Fréthun',25145),(25172,'62134','Monchy Cayeux',25146),(25173,'62840','Laventie',25147),(25174,'62170','Recques Sur Course',25148),(25175,'62500','Clairmarais',25149),(25176,'62161','Étrun',25150),(25177,'62132','Boursin',25151),(25178,'62310','Torcy',25152),(25179,'62223','Athies',25153),(25180,'62223','Saint Nicolas',25154),(25181,'62810','Grand Rullecourt',25155),(25182,'62123','Habarcq',25156),(25183,'62199','Gosnay',25157),(25184,'62560','Audincthun',25158),(25185,'62128','Saint Léger',25159),(25186,'62860','Palluel',25160),(25187,'62910','Moulle',25161),(25188,'62530','Servins',25162),(25189,'62170','Wailly Beaucamp',25163),(25190,'62810','Noyelle Vion',25164),(25191,'62450','Beugnâtre',25165),(25192,'62140','Le Quesnoy En Artois',25166),(25193,'62143','Angres',25167),(25194,'62770','Incourt',25168),(25195,'62158','La Cauchie',25169),(25196,'62390','Willencourt',25170),(25197,'62121','Bihucourt',25171),(25198,'62217','Mercatel',25172),(25199,'62141','Évin Malmaison',25173),(25200,'62140','Fressin',25174),(25201,'62390','Buire Au Bois',25175),(25202,'62127','Penin',25176),(25203,'62310','Ruisseauville',25177),(25204,'62770','Le Parcq',25178),(25205,'62128','Boiry Becquerelle',25179),(25206,'62610','Landrethun Lès Ardres',25180),(25207,'62380','Remilly Wirquin',25181),(25208,'62270','Canteleux',25182),(25209,'62490','Noyelles Sous Bellonne',25183),(25210,'62770','Rollancourt',25184),(25211,'62134','Teneur',25185),(25212,'62760','Pommera',25186),(25213,'62550','Bailleul Lès Pernes',25187),(25214,'62810','Liencourt',25188),(25215,'62120','Saint Hilaire Cottes',25189),(25216,'62124','Barastre',25190),(25217,'62690','Béthonsart',25191),(25218,'62140','Caumont',25192),(25219,'62145','Liettres',25193),(25220,'62450','Villers Au Flos',25194),(25221,'62270','Magnicourt Sur Canche',25195),(25222,'62217','Tilloy Lès Mofflaines',25196),(25223,'62860','Sauchy Cauchy',25197),(25224,'62450','Warlencourt Eaucourt',25198),(25225,'62860','Bourlon',25199),(25226,'62132','Fiennes',25200),(25227,'62810','Barly',25201),(25228,'62500','Salperwick',25202),(25229,'62650','Aix En Ergny',25203),(25230,'62128','Noreuil',25204),(25231,'62130','Croisette',25205),(25232,'62760','Saint Amand',25206),(25233,'62150','Hermin',25207),(25234,'62120','Lambres',25208),(25235,'62450','Morval',25209),(25236,'62210','Avion',25210),(25237,'62170','Estréelles',25211),(25238,'62570','Wizernes',25212),(25239,'62910','Houlle',25213),(25240,'62142','Bellebrune',25214),(25241,'62187','Dannes',25215),(25242,'62130','Ostreville',25216),(25243,'62310','Lugy',25217),(25244,'62230','Outreau',25218),(25245,'62860','Baralle',25219),(25246,'62360','Hesdigneul Lès Boulogne',25220),(25247,'62173','Rivière',25221),(25248,'62650','Humbert',25222),(25249,'62142','Nabringhen',25223),(25250,'62122','Lapugnoy',25224),(25251,'62500','Quelmes',25225),(25252,'62170','Montreuil',25226),(25253,'62560','Renty',25227),(25254,'62310','Radinghem',25228),(25255,'62142','Henneveux',25229),(25256,'62830','Halinghen',25230),(25257,'62760','Orville',25231),(25258,'62134','Lisbourg',25232),(25259,'62360','La Capelle Lès Boulogne',25233),(25260,'62710','Courrières',25234),(25261,'62128','Croisilles',25235),(25262,'62134','Boyaval',25236),(25263,'62990','Boubers Lès Hesmond',25237),(25264,'62620','Houchin',25238),(25265,'62950','Noyelles Godault',25239),(25266,'62124','Beugny',25240),(25267,'62170','Saint Aubin',25241),(25268,'62124','Lebucquière',25242),(25269,'62550','Tangry',25243),(25270,'62116','Ayette',25244),(25271,'62170','La Calotterie',25245),(25272,'62120','Mazinghem',25246),(25273,'62810','Fosseux',25247),(25274,'62690','Savy Berlette',25248),(25275,'62150','Caucourt',25249),(25276,'62223','Saint Laurent Blangy',25250),(25277,'62180','Colline Beaumont',25251),(25278,'62223','Feuchy',25252),(25279,'62180','Verton',25253),(25280,'62760','Sarton',25254),(25281,'62580','Neuvireuil',25255),(25282,'62118','Hamblain Les Prés',25256),(25283,'62170','Écuires',25257),(25284,'62140','Guisy',25258),(25285,'62270','Conchy Sur Canche',25259),(25286,'62126','Wimille',25260),(25287,'62140','Raye Sur Authie',25261),(25288,'62179','Audinghen',25262),(25289,'62760','Grincourt Lès Pas',25263),(25290,'62650','Wicquinghem',25264),(25291,'62450','Le Transloy',25265),(25292,'62144','Haute Avesnes',25266),(25293,'62370','Nouvelle Église',25267),(25294,'62140','Regnauville',25268),(25295,'62140','Tortefontaine',25269),(25296,'62390','Tollent',25270),(25297,'62250','Beuvrequen',25271),(25298,'62720','Rety',25272),(25299,'62179','Hervelinghen',25273),(25300,'62370','Zutkerque',25274),(25301,'62500','Zudausques',25275),(25302,'62550','Aumerval',25276),(25303,'62870','Saint Rémy Au Bois',25277),(25304,'62870','Campagne Lès Hesdin',25278),(25305,'62990','Offin',25279),(25306,'62690','Estrée Cauchy',25280),(25307,'62240','Crémarest',25281),(25308,'62890','Nort Leulinghem',25282),(25309,'62120','Roquetoire',25283),(25310,'62159','Lagnicourt Marcel',25284),(25311,'62170','Saint Josse',25285),(25312,'62420','Billy Montigny',25286),(25313,'62138','Douvrin',25287),(25314,'62990','Rimboval',25288),(25315,'62152','Nesles',25289),(25316,'62270','Flers',25290),(25317,'62310','Sains Lès Fressin',25291),(25318,'62270','Vacquerie Le Boucq',25292),(25319,'62130','Saint Michel Sur Ternoise',25293),(25320,'62300','Éleu Dit Leauwette',25294),(25321,'62170','Lépine',25295),(25322,'62112','Gouy Sous Bellonne',25296),(25323,'62320','Bois Bernard',25297),(25324,'62270','Ligny Sur Canche',25298),(25325,'62380','Ouve Wirquin',25299),(25326,'62860','Sauchy Lestrée',25300),(25327,'62810','Beaufort Blavincourt',25301),(25328,'62740','Fouquières Lès Lens',25302),(25329,'62390','Haravesnes',25303),(25330,'62124','Haplincourt',25304),(25331,'62390','Auxi Le Château',25305),(25332,'62670','Mazingarbe',25306),(25333,'62690','Villers Châtel',25307),(25334,'62860','Pronville',25308),(25335,'62158','Humbercamps',25309),(25336,'62124','Ytres',25310),(25337,'62690','Villers Brûlin',25311),(25338,'62380','Setques',25312),(25339,'62380','Seninghem',25313),(25340,'62860','Récourt',25314),(25341,'62360','Isques',25315),(25342,'62179','Escalles',25316),(25343,'62136','La Couture',25317),(25344,'62380','Lumbres',25318),(25345,'62126','Conteville Lès Boulogne',25319),(25346,'62650','Bezinghem',25320),(25347,'62120','Wardrecques',25321),(25348,'62960','Bomy',25322),(25349,'62270','Écoivres',25323),(25350,'62380','Wavrans Sur L\'Aa',25324),(25351,'62224','Équihen Plage',25325),(25352,'62161','Marœuil',25326),(25353,'62550','Floringhem',25327),(25354,'62460','Ourton',25328),(25355,'62920','Chocques',25329),(25356,'62118','Plouvain',25330),(25357,'62180','Conchil Le Temple',25331),(25358,'62157','Allouagne',25332),(25359,'62147','Havrincourt',25333),(25360,'62175','Boisleux Au Mont',25334),(25361,'62770','Neulette',25335),(25362,'62450','Grévillers',25336),(25363,'62340','Bonningues Lès Calais',25337),(25364,'62123','Noyellette',25338),(25365,'62840','Neuve Chapelle',25339),(25366,'62890','Mentque Nortbécourt',25340),(25367,'62120','Linghem',25341),(25368,'62123','Simencourt',25342),(25369,'62270','Monchel Sur Canche',25343),(25370,'62219','Longuenesse',25344),(25371,'62142','Belle Et Houllefort',25345),(25372,'62127','Ligny Saint Flochel',25346),(25373,'62300','Lens',25347),(25374,'62575','Blendecques',25348),(25375,'62550','Pressy',25349),(25376,'62164','Ambleteuse',25350),(25377,'62129','Thérouanne',25351),(25378,'62880','Vendin Le Vieil',25352),(25379,'62490','Sailly En Ostrevent',25353),(25380,'62170','Estrée',25354),(25381,'62173','Ficheux',25355),(25382,'62130','Herlincourt',25356),(25383,'62410','Bénifontaine',25357),(25384,'62240','Vieil Moutier',25358),(25385,'62127','Chelers',25359),(25386,'62960','Westrehem',25360),(25387,'62131','Vaudricourt',25361),(25388,'62223','Écurie',25362),(25389,'62150','Houdain',25363),(25390,'62160','Aix Noulette',25364),(25391,'62217','Beaurains',25365),(25392,'62560','Verchocq',25366),(25393,'62600','Berck',25367),(25394,'62550','Fontaine Lès Hermans',25368),(25395,'62770','Blingel',25369),(25396,'62152','Neufchâtel Hardelot',25370),(25397,'62240','Longfossé',25371),(25398,'62280','Saint Martin Boulogne',25372),(25399,'62138','Violaines',25373),(25400,'62960','Fléchin',25374),(25401,'62380','Vaudringhem',25375),(25402,'62600','Groffliers',25376),(25403,'62120','Quernes',25377),(25404,'62240','Wirwignes',25378),(25405,'62870','Maintenay',25379),(25406,'62270','Canettemont',25380),(25407,'62114','Sains En Gohelle',25381),(25408,'62217','Wailly',25382),(25409,'62180','Nempont Saint Firmin',25383),(25410,'62250','Landrethun Le Nord',25384),(25411,'62390','Rougefay',25385),(25412,'62450','Bapaume',25386),(25413,'62217','Achicourt',25387),(25414,'62270','Rebreuve Sur Canche',25388),(25415,'62860','Écourt Saint Quentin',25389),(25416,'62123','Wanquetin',25390),(25417,'62810','Ivergny',25391),(25418,'62850','Bainghen',25392),(25419,'62111','Foncquevillers',25393),(25420,'62223','Sainte Catherine',25394),(25421,'62130','Hernicourt',25395),(25422,'62690','Aubigny En Artois',25396),(25423,'62500','Leulinghem',25397),(25424,'62560','Dennebrœucq',25398),(25425,'62127','Monchy Breton',25399),(25426,'62770','Béalencourt',25400),(25427,'62470','Calonne Ricouart',25401),(25428,'62850','Alembon',25402),(25429,'62770','Noyelles Lès Humières',25403),(25430,'62118','Rœux',25404),(25431,'62130','Œuf En Ternois',25405),(25432,'63780','Queuille',25406),(25433,'63210','Ceyssat',25407),(25434,'63111','Dallet',25408),(25435,'63160','Bongheat',25409),(25436,'63160','Glaine Montaigut',25410),(25437,'63380','Montel De Gelat',25411),(25438,'63340','Saint Hérent',25412),(25439,'63590','Tours Sur Meymont',25413),(25440,'63160','Chas',25414),(25441,'63430','Pont Du Château',25415),(25442,'63390','Châteauneuf Les Bains',25416),(25443,'63260','Thuret',25417),(25444,'63490','Condat Lès Montboissier',25418),(25445,'63800','Cournon D\'Auvergne',25419),(25446,'63590','Cunlhat',25420),(25447,'63470','Verneugheol',25421),(25448,'63390','Espinasse',25422),(25449,'63470','Sauvagnat',25423),(25450,'63190','Seychalles',25424),(25451,'63160','Saint Julien De Coppel',25425),(25452,'63790','Chambon Sur Lac',25426),(25453,'63980','Chambon Sur Dolore',25427),(25454,'63490','Sugères',25428),(25455,'63114','Coudes',25429),(25456,'63320','Courgoul',25430),(25457,'63930','Augerolles',25431),(25458,'63660','Saint Anthème',25432),(25459,'63340','Augnat',25433),(25460,'63690','Singles',25434),(25461,'63680','La Tour D\'Auvergne',25435),(25462,'63660','Saint Romain',25436),(25463,'63500','Orbeil',25437),(25464,'63320','Saurier',25438),(25465,'63350','Saint Laure',25439),(25466,'63870','Orcines',25440),(25467,'63530','Sayat',25441),(25468,'63260','Chaptuzat',25442),(25469,'63850','Saint Genès Champespe',25443),(25470,'63270','Yronde Et Buron',25444),(25471,'63710','Le Vernet Sainte Marguerite',25445),(25472,'63740','Cisternes La Forêt',25446),(25473,'63410','Saint Angel',25447),(25474,'63820','Saint Julien Puy Lavèze',25448),(25475,'63530','Enval',25449),(25476,'63520','Saint Dier D\'Auvergne',25450),(25477,'63260','Bussières Et Pruns',25451),(25478,'63600','Ambert',25452),(25479,'63200','Cellule',25453),(25480,'63410','Manzat',25454),(25481,'63250','Chabreloche',25455),(25482,'63320','Saint Diéry',25456),(25483,'63120','Sainte Agathe',25457),(25484,'63320','Clémensat',25458),(25486,'63190','Ravel',25459),(25487,'63450','Le Crest',25460),(25488,'63890','Saint Amant Roche Savine',25461),(25489,'63470','Saint Germain Près Herment',25462),(25490,'63330','Saint Maigner',25463),(25491,'63210','Aurières',25464),(25492,'63700','Lapeyrouse',25465),(25493,'63840','Viverols',25466),(25494,'63300','Escoutoux',25467),(25495,'63450','Tallende',25468),(25496,'63320','Champeix',25469),(25497,'63650','La Monnerie Le Montel',25470),(25498,'63500','Issoire',25471),(25499,'63720','Saint Ignat',25472),(25500,'63750','Messeix',25473),(25501,'63620','Giat',25474),(25502,'63200','Ménétrol',25475),(25503,'63720','Surat',25476),(25504,'63420','Roche Charles La Mayrand',25477),(25505,'63600','Saint Martin Des Olmes',25478),(25506,'63320','Tourzel Ronzières',25479),(25507,'63660','La Chaulme',25480),(25508,'63320','Ludesse',25481),(25509,'63440','Blot L\'Église',25482),(25510,'63120','Sauviat',25483),(25511,'63220','Dore L\'Église',25484),(25512,'63310','Bas Et Lezat',25485),(25513,'63440','Saint Pardoux',25486),(25514,'63340','Mareugheol',25487),(25515,'63150','Murat Le Quaire',25488),(25516,'63260','Montpensier',25489),(25517,'63290','Paslières',25490),(25518,'63700','Saint Éloy Les Mines',25491),(25519,'63500','Saint Rémy De Chargnat',25492),(25520,'63310','Saint Priest Bramefant',25493),(25521,'63300','Dorat',25494),(25522,'63210','Saint Bonnet Près Orcival',25495),(25523,'63760','Lastic',25496),(25524,'63810','Trémouille Saint Loup',25497),(25525,'63340','Saint Gervazy',25498),(25526,'63260','Effiat',25499),(25527,'63620','Voingt',25500),(25528,'63119','Châteaugay',25501),(25529,'63310','Saint Clément De Régnat',25502),(25530,'63460','Beauregard Vendon',25503),(25531,'63450','Chanonat',25504),(25532,'63800','La Roche Noire',25505),(25533,'63350','Crevant Laveine',25506),(25534,'63200','Mozac',25507),(25535,'63210','Perpezat',25508),(25536,'63640','Biollet',25509),(25537,'63122','Ceyrat',25510),(25538,'63590','Auzelles',25511),(25539,'63370','Lempdes',25512),(25540,'63720','Martres Sur Morge',25513),(25541,'63270','Laps',25514),(25542,'63400','Chamalières',25515),(25543,'63560','Teilhet',25516),(25544,'63500','Flat',25517),(25545,'63910','Vassel',25518),(25546,'63800','Saint Georges Sur Allier',25519),(25547,'63210','Vernines',25520),(25548,'63200','Marsat',25521),(25549,'63580','Sainte Catherine',25522),(25550,'63500','Pradeaux',25523),(25551,'63910','Bouzel',25524),(25552,'63500','Varennes Sur Usson',25525),(25553,'63820','Laqueuille',25526),(25554,'63550','Saint Rémy Sur Durolle',25527),(25555,'63620','La Celle',25528),(25556,'63500','Brenat',25529),(25557,'63670','Orcet',25530),(25558,'63770','Ancizes Comps',25531),(25559,'63700','Youx',25532),(25560,'63700','Ars Les Favets',25533),(25561,'63230','Pontgibaud',25534),(25562,'63940','Marsac En Livradois',25535),(25563,'63340','Orsonnette',25536),(25564,'63340','Nonette',25537),(25565,'63420','Saint Alyre Ès Montagne',25538),(25566,'63700','La Crouzille',25539),(25567,'63480','Marat',25540),(25568,'63580','Valz Sous Châteauneuf',25541),(25569,'63290','Puy Guillaume',25542),(25570,'63112','Blanzat',25543),(25571,'63520','Estandeuil',25544),(25572,'63720','Ennezat',25545),(25573,'63390','Ayat Sur Sioule',25546),(25574,'63340','Ternant Les Eaux',25547),(25575,'63390','Gouttières',25548),(25576,'63510','Aulnat',25549),(25577,'63490','Sauxillanges',25550),(25578,'63720','Chappes',25551),(25579,'63980','Échandelys',25552),(25580,'63260','Vensat',25553),(25581,'63450','Saint Saturnin',25554),(25582,'63380','Pontaumur',25555),(25583,'63320','Chassagne',25556),(25584,'63880','Saint Gervais Sous Meymont',25557),(25585,'63500','Saint Yvoine',25558),(25586,'63130','Royat',25559),(25587,'63390','Saint Julien La Geneste',25560),(25588,'63880','Olliergues',25561),(25589,'63610','Besse Et Saint Anastaise',25562),(25590,'63930','La Renaudie',25563),(25591,'63740','Gelles',25564),(25592,'63730','Mirefleurs',25565),(25593,'63500','Vodable',25566),(25594,'63270','Sallèdes',25567),(25595,'63340','Le Breuil Sur Couze',25568),(25596,'63720','Varennes Sur Morge',25569),(25597,'63420','La Chapelle Marcousse',25570),(25598,'63830','Durtol',25571),(25599,'63120','Vollore Ville',25572),(25600,'63160','Mauzun',25573),(25601,'63300','Thiers',25574),(25602,'63550','Palladuc',25575),(25603,'63570','Esteil',25576),(25604,'63380','Saint Avit',25577),(25605,'63810','Cros',25578),(25606,'63520','Saint Flour',25579),(25607,'63600','Baffie',25580),(25608,'63340','Antoingt',25581),(25609,'63270','Saint Maurice',25582),(25610,'63210','Orcival',25583),(25611,'63200','Saint Bonnet Près Riom',25584),(25612,'63520','Trézioux',25585),(25613,'63260','Sardon',25586),(25614,'63970','Saulzet Le Froid',25587),(25615,'63320','Saint Cirgues Sur Couze',25588),(25616,'63160','Espirat',25589),(25617,'63120','Néronde Sur Dore',25590),(25618,'63600','Thiolières',25591),(25619,'63160','Billom',25592),(25620,'63500','Pardines',25593),(25621,'63500','Bergonne',25594),(25622,'63270','Manglieu',25595),(25623,'63440','Champs',25596),(25624,'63690','Tauves',25597),(25625,'63760','Saint Sulpice',25598),(25626,'63320','Chadeleuf',25599),(25627,'63730','Martres De Veyre',25600),(25628,'63460','Artonne',25601),(25629,'63340','Vichel',25602),(25630,'63460','Saint Myon',25603),(25631,'63190','Lezoux',25604),(25632,'63118','Cébazat',25605),(25633,'63450','Olloix',25606),(25634,'63390','Saint Gervais D\'Auvergne',25607),(25635,'63220','Doranges',25608),(25636,'63220','Saint Sauveur La Sagne',25609),(25637,'63590','La Chapelle Agnon',25610),(25638,'63690','Larodde',25611),(25639,'63640','Saint Priest Des Champs',25612),(25640,'63210','Olby',25613),(25641,'63120','Aubusson D\'Auvergne',25614),(25642,'63340','Moriat',25615),(25643,'63290','Ris',25616),(25644,'63460','Jozerand',25617),(25645,'63290','Chaux',25618),(25646,'63113','Picherande',25619),(25647,'63490','Brousse',25620),(25648,'63420','Anzat Le Luguet',25621),(25649,'63380','Miremont',25622),(25650,'63190','Moissat',25623),(25651,'63570','Lamontgie',25624),(25652,'63200','Gimeaux',25625),(25653,'63220','Medeyrolles',25626),(25654,'63980','Fournols',25627),(25655,'63380','Tralaigues',25628),(25656,'63310','Randan',25629),(25657,'63530','Chanat La Mouteyre',25630),(25658,'63820','Briffons',25631),(25659,'63230','Saint Jacques D\'Ambur',25632),(25660,'63230','Pulvérières',25633),(25661,'63610','Compains',25634),(25662,'63380','Landogne',25635),(25663,'63990','Job',25636),(25664,'63720','Chavaroux',25637),(25665,'63620','Fernoël',25638),(25666,'63230','Montfermy',25639),(25667,'63340','Dauzat Sur Vodable',25640),(25668,'63490','Saint Jean En Val',25641),(25669,'63210','Rochefort Montagne',25642),(25670,'63700','Montaigut',25643),(25671,'63190','Saint Jean D\'Heurs',25644),(25672,'63350','Culhat',25645),(25673,'63330','La Cellette',25646),(25674,'63470','Prondines',25647),(25675,'63270','Vic Le Comte',25648),(25676,'63160','Égliseneuve Près Billom',25649),(25677,'63260','Saint Genès Du Retz',25650),(25678,'63360','Gerzat',25651),(25679,'63800','Saint Bonnet Lès Allier',25652),(25680,'63460','Teilhède',25653),(25681,'63970','Aydat',25654),(25682,'63580','Saint Étienne Sur Usson',25655),(25683,'63210','Saint Pierre Roche',25656),(25684,'63250','Viscomtat',25657),(25685,'63570','Jumeaux',25658),(25686,'63390','Sauret Besserve',25659),(25687,'63470','Tortebesse',25660),(25688,'63500','Perrier',25661),(25689,'63350','Bulhon',25662),(25690,'63200','Riom',25663),(25691,'63570','Bansat',25664),(25692,'63200','Yssac La Tourette',25665),(25693,'63320','Creste',25666),(25694,'63170','Aubière',25667),(25695,'63700','Durmignat',25668),(25696,'63440','Saint Hilaire La Croix',25669),(25697,'63610','Valbeleix',25670),(25698,'63340','Collanges',25671),(25699,'63310','Saint André Le Coq',25672),(25700,'63840','Églisolles',25673),(25701,'63380','Condat En Combraille',25674),(25702,'63580','Peslières',25675),(25703,'63250','Celles Sur Durolle',25676),(25704,'63580','Vernet La Varenne',25677),(25705,'63230','Saint Pierre Le Chastel',25678),(25706,'63560','Neuf Église',25679),(25707,'63850','La Godivelle',25680),(25708,'63330','Château Sur Cher',25681),(25709,'63120','Vollore Montagne',25682),(25710,'63410','Charbonnières Les Varennes',25683),(25711,'63910','Vertaizon',25684),(25712,'63270','Isserteaux',25685),(25713,'63490','Égliseneuve Des Liards',25686),(25714,'63340','Gignat',25687),(25715,'63750','Savennes',25688),(25716,'63330','Bussières',25689),(25717,'63210','Nébouzat',25690),(25718,'63730','Plauzat',25691),(25719,'63320','Saint Vincent',25692),(25720,'63570','Saint Jean Saint Gervais',25693),(25721,'63340','Boudes',25694),(25722,'63340','Charbonnier Les Mines',25695),(25723,'63360','Saint Beauzire',25696),(25724,'63440','Lisseuil',25697),(25725,'63560','Menat',25698),(25726,'63630','Saint Bonnet Le Chastel',25699),(25727,'63330','Pionsat',25700),(25728,'63880','Olmet',25701),(25729,'63640','Charensat',25702),(25730,'63730','La Sauvetat',25703),(25731,'63350','Luzillat',25704),(25732,'63480','Bertignat',25705),(25733,'63230','Saint Ours',25706),(25734,'63890','Le Monestier',25707),(25735,'63850','Égliseneuve D\'Entraigues',25708),(25736,'63880','Le Brugeron',25709),(25737,'63220','Beurières',25710),(25738,'63380','Saint Étienne Des Champs',25711),(25739,'63580','Champagnat Le Jeune',25712),(25740,'63600','La Forie',25713),(25741,'63680','Saint Donat',25714),(25742,'63110','Beaumont',25715),(25743,'63790','Murol',25716),(25744,'63720','Clerlande',25717),(25745,'63210','Heume L\'Église',25718),(25746,'63450','Saint Sandoux',25719),(25747,'63340','Saint Germain Lembron',25720),(25748,'63350','Joze',25721),(25749,'63840','Sauvessanges',25722),(25750,'63600','Grandrif',25723),(25751,'63190','Bort L\'Étang',25724),(25752,'63530','Volvic',25725),(25753,'63890','Saint Éloy La Glacière',25726),(25754,'63260','Saint Agoulin',25727),(25755,'63310','Saint Denis Combarnazat',25728),(25756,'63440','Saint Quintin Sur Sioule',25729),(25757,'63390','Sainte Christine',25730),(25758,'63600','Champétières',25731),(25759,'63690','Avèze',25732),(25760,'63320','Meilhaud',25733),(25761,'63290','Charnat',25734),(25762,'63670','Le Cendre',25735),(25763,'63440','Pouzol',25736),(25764,'63117','Chauriat',25737),(25765,'63330','Vergheas',25738),(25766,'63200','Le Cheix',25739),(25767,'63350','Maringues',25740),(25768,'63330','Saint Hilaire',25741),(25769,'63480','Vertolaye',25742),(25770,'63610','Saint Pierre Colamine',25743),(25771,'63200','Pessat Villeneuve',25744),(25772,'63570','Brassac Les Mines',25745),(25773,'63230','Mazaye',25746),(25774,'63700','Buxières Sous Montaigut',25747),(25775,'63420','Rentières',25748),(25776,'63240','Mont Dore',25749),(25777,'63140','Châtel Guyon',25750),(25778,'63700','Moureuille',25751),(25779,'63310','Mons',25752),(25780,'63290','Limons',25753),(25781,'63500','Parentignat',25754),(25782,'63320','Neschers',25755),(25783,'63520','Domaize',25756),(25784,'63600','Valcivières',25757),(25785,'63160','Fayet Le Château',25758),(25786,'63120','Sermentizon',25759),(25787,'63220','Mayres',25760),(25788,'63850','Espinchal',25761),(25789,'63950','Saint Sauves D\'Auvergne',25762),(25790,'63710','Saint Nectaire',25763),(25791,'63960','Veyre Monton',25764),(25792,'63270','Busséol',25765),(25793,'63340','Chalus',25766),(25794,'63200','La Moutade',25767),(25795,'63116','Beauregard L\'Évêque',25768),(25796,'63500','Le Broc',25769),(25797,'63670','La Roche Blanche',25770),(25798,'63460','Combronde',25771),(25799,'63115','Mézel',25772),(25800,'63190','Lempty',25773),(25801,'63630','Saint Bonnet Le Bourg',25774),(25802,'63310','Villeneuve Les Cerfs',25775),(25803,'63220','Novacelles',25776),(25804,'63320','Verrières',25777),(25805,'63680','Chastreix',25778),(25806,'63490','Usson',25779),(25807,'63410','Charbonnières Les Vieilles',25780),(25808,'63340','Villeneuve',25781),(25809,'63250','Arconsat',25782),(25810,'63330','Virlet',25783),(25811,'63460','Montcel',25784),(25812,'63290','Noalhat',25785),(25813,'63580','Chaméane',25786),(25814,'63120','Courpière',25787),(25815,'63500','Solignat',25788),(25816,'63122','Saint Genès Champanelle',25789),(25817,'63580','La Chapelle Sur Usson',25790),(25818,'63520','Saint Jean Des Ollières',25791),(25819,'63510','Malintrat',25792),(25820,'63150','La Bourboule',25793),(25821,'63380','Saint Hilaire Les Monges',25794),(25822,'63320','Montaigut Le Blanc',25795),(25823,'63160','Reignat',25796),(25824,'63570','Auzat La Combelle',25797),(25825,'63550','Saint Victor Montvianeix',25798),(25826,'63580','Saint Genès La Tourette',25799),(25827,'63450','Cournols',25800),(25828,'63270','Parent',25801),(25829,'63220','Arlanc',25802),(25830,'63330','Saint Maurice Près Pionsat',25803),(25831,'63800','Pérignat Sur Allier',25804),(25832,'63260','Aubiat',25805),(25833,'63200','Prompsat',25806),(25834,'63320','Saint Floret',25807),(25835,'63190','Orléat',25808),(25836,'63600','Saint Ferréol Des Côtes',25809),(25837,'63380','Combrailles',25810),(25838,'63500','Aulhat Saint Privat',25811),(25839,'63170','Pérignat Lès Sarliève',25812),(25840,'63660','Saint Clément De Valorgue',25813),(25841,'63570','Saint Martin Des Plains',25814),(25842,'63230','Bromont Lamothe',25815),(25843,'63690','Labessette',25816),(25844,'63160','Montmorin',25817),(25845,'63500','Sauvagnat Sainte Marthe',25818),(25846,'63160','Neuville',25819),(25847,'63600','Saint Just',25820),(25848,'63730','Corent',25821),(25849,'63220','Chaumont Le Bourg',25822),(25850,'63114','Montpeyroux',25823),(25851,'63730','Authezat',25824),(25852,'63270','Pignols',25825),(25853,'63310','Beaumont Lès Randan',25826),(25854,'63500','Saint Babel',25827),(25855,'63260','Aigueperse',25828),(25856,'63980','Aix La Fayette',25829),(25857,'63490','Saint Quentin Sur Sauxillanges',25830),(25858,'63890','Grandval',25831),(25859,'63320','Chidrac',25832),(25860,'63200','Davayat',25833),(25861,'63440','Saint Gal Sur Sioule',25834),(25862,'63440','Saint Rémy De Blot',25835),(25863,'63440','Marcillat',25836),(25864,'63630','Fayet Ronaye',25837),(25865,'63290','Châteldon',25838),(25866,'63230','Chapdes Beaufort',25839),(25867,'63330','Roche D\'Agoux',25840),(25868,'63560','Servant',25841),(25869,'63310','Saint Sylvestre Pragoulin',25842),(25870,'63780','Saint Georges De Mons',25843),(25871,'63920','Peschadoires',25844),(25872,'63380','Villosanges',25845),(25873,'63470','Herment',25846),(25874,'63830','Nohanent',25847),(25875,'63450','Saint Amant Tallende',25848),(25876,'63840','Saillant',25849),(25877,'63630','Saint Germain L\'Herm',25850),(25878,'63420','Ardes',25851),(25879,'63420','Mazoires',25852),(25880,'63320','Grandeyrolles',25853),(25881,'63410','Loubeyrat',25854),(25882,'63360','Lussat',25855),(25883,'63540','Romagnat',25856),(25884,'63480','Saint Pierre La Bourlhonne',25857),(25885,'63790','Saint Victor La Rivière',25858),(25886,'63760','Bourg Lastic',25859),(25887,'63330','Le Quartier',25860),(25888,'63410','Vitrac',25861),(25889,'63350','Vinzelles',25862),(25890,'63570','Beaulieu',25863),(25891,'63720','Entraigues',25864),(25892,'63810','Bagnols',25865),(25893,'63340','Madriat',25866),(25894,'63230','La Goutelle',25867),(25895,'63580','Saint Martin D\'Ollières',25868),(25896,'63420','Apchat',25869),(25897,'63200','Malauzat',25870),(25898,'63470','Puy Saint Gulmier',25871),(25899,'63520','Ceilloux',25872),(25900,'63430','Martres D\'Artière',25873),(25901,'63220','Saint Alyre D\'Arlanc',25874),(25902,'64120','Juxue',25875),(25903,'64300','Saint Boès',25876),(25904,'64570','Lanne En Barétous',25877),(25905,'64160','Lespourcy',25878),(25906,'64520','Bidache',25879),(25907,'64360','Cuqueron',25880),(25908,'64390','Saint Gladie Arrive Munein',25881),(25909,'64330','Aubous',25882),(25910,'64240','La Bastide Clairence',25883),(25911,'64340','Boucau',25884),(25912,'64990','Urcuit',25885),(25913,'64520','Came',25886),(25914,'64170','Lacq',25887),(25915,'64190','Castetnau Camblong',25888),(25916,'64120','Masparraute',25889),(25917,'64400','Goès',25890),(25918,'64370','Morlanne',25891),(25919,'64160','Espéchède',25892),(25920,'64430','Aldudes',25893),(25921,'64490','Escot',25894),(25922,'64300','Ozenx Montestrucq',25895),(25923,'64400','Eysus',25896),(25924,'64370','Arthez De Béarn',25897),(25925,'64230','Artiguelouve',25898),(25926,'64230','Sauvagnon',25899),(25927,'64290','Aubertin',25900),(25928,'64200','Arcangues',25901),(25929,'64800','Pardies Piétat',25902),(25930,'64120','Ilharre',25903),(25931,'64220','Jaxu',25904),(25932,'64300','Argagnon',25905),(25933,'64360','Tarsacq',25906),(25934,'64270','Labastide Villefranche',25907),(25935,'64220','Uhart Cize',25908),(25936,'64160','Carrère',25909),(25937,'64300','Sallespisse',25910),(25938,'64300','Sault De Navailles',25911),(25939,'64300','Saint Girons En Béarn',25912),(25940,'64260','Aste Béon',25913),(25941,'64230','Beyrie En Béarn',25914),(25942,'64350','Aurions Idernes',25915),(25943,'64330','Burosse Mendousse',25916),(25944,'64390','Autevielle Saint Martin Bideren',25917),(25945,'64330','Vialer',25918),(25946,'64350','Arrosès',25919),(25947,'64160','Maucor',25920),(25948,'64420','Artigueloutan',25921),(25949,'64190','Viellenave De Navarrenx',25922),(25950,'64270','Bellocq',25923),(25951,'64390','Osserain Rivareyte',25924),(25952,'64130','Ainharp',25925),(25953,'64120','Arbérats Sillègue',25926),(25954,'64300','Laà Mondrans',25927),(25955,'64330','Mascaraàs Haron',25928),(25956,'64410','Mialos',25929),(25957,'64160','Ouillon',25930),(25958,'64300','Salles Mongiscard',25931),(25959,'64190','Préchacq Navarrenx',25932),(25960,'64350','Peyrelongue Abos',25933),(25961,'64470','Sauguis Saint Étienne',25934),(25962,'64250','Itxassou',25935),(25963,'64470','Alçay Alçabéhéty Sunharette',25936),(25964,'64400','Verdets',25937),(25965,'64130','Chéraute',25938),(25966,'64240','Bonloc',25939),(25967,'64130','Idaux Mendy',25940),(25968,'64160','Riupeyrous',25941),(25969,'64220','Ascarat',25942),(25970,'64150','Mourenx',25943),(25971,'64410','Larreule',25944),(25972,'64190','Bastanès',25945),(25973,'64370','Casteide Candau',25946),(25974,'64460','Castéra Loubix',25947),(25975,'64370','Doazon',25948),(25976,'64170','Serres Sainte Marie',25949),(25977,'64210','Ahetze',25950),(25978,'64190','Méritein',25951),(25979,'64230','Poey De Lescar',25952),(25980,'64530','Ger',25953),(25981,'64310','Sare',25954),(25982,'64700','Hendaye',25955),(25983,'64220','Aincille',25956),(25984,'64290','Lasseube',25957),(25985,'64420','Lucgarier',25958),(25986,'64440','Eaux Bonnes',25959),(25987,'64420','Soumoulou',25960),(25988,'64330','Tadousse Ussau',25961),(25989,'64120','Ostabat Asme',25962),(25990,'64350','Castillon (canton De Lembeye)',25963),(25991,'64220','Caro',25964),(25992,'64410','Malaussanne',25965),(25993,'64560','Larrau',25966),(25994,'64470','Lacarry Arhan Charritte De Haut',25967),(25995,'64490','Accous',25968),(25996,'64400','Agnos',25969),(25997,'64330','Diusse',25970),(25998,'64490','Sarrance',25971),(25999,'64170','Labastide Monréjeau',25972),(26000,'64350','Séméacq Blachon',25973),(26001,'64110','Rontignon',25974),(26002,'64350','Crouseilles',25975),(26003,'64400','Aren',25976),(26004,'64350','Lannecaube',25977),(26005,'64260','Bielle',25978),(26006,'64230','Mazerolles',25979),(26007,'64230','Aubin',25980),(26008,'64120','Domezain Berraute',25981),(26009,'64430','Saint Étienne De Baïgorry',25982),(26010,'64160','Gerderest',25983),(26011,'64120','Labets Biscay',25984),(26012,'64260','Sévignacq Meyracq',25985),(26013,'64570','Féas',25986),(26014,'64130','Musculdy',25987),(26015,'64410','Bouillon',25988),(26016,'64330','Garlin',25989),(26017,'64130','Espès Undurein',25990),(26018,'64410','Lonçon',25991),(26019,'64450','Lalonquette',25992),(26020,'64990','Mouguerre',25993),(26021,'64330','Taron Sadirac Viellenave',25994),(26022,'64410','Coublucq',25995),(26023,'64130','Menditte',25996),(26024,'64270','Puyoô',25997),(26025,'64150','Abidos',25998),(26026,'64410','Arget',25999),(26027,'64230','Lescar',26000),(26028,'64200','Bassussarry',26001),(26029,'64150','Pardies',26002),(26030,'64190','Charre',26003),(26031,'64390','Andrein',26004),(26032,'64640','Saint Martin D\'Arberoue',26005),(26033,'64350','Maspie Lalonquère Juillacq',26006),(26034,'64800','Coarraze',26007),(26035,'64330','Ribarrouy',26008),(26036,'64360','Lacommande',26009),(26037,'64350','Momy',26010),(26038,'64350','Lasserre',26011),(26039,'64230','Caubios Loos',26012),(26040,'64350','Bétracq',26013),(26041,'64300','Lanneplaà',26014),(26042,'64350','Lespielle',26015),(26043,'64230','Aussevielle',26016),(26044,'64000','Pau',26017),(26045,'64160','Sedzère',26018),(26046,'64410','Arzacq Arraziguet',26019),(26047,'64120','Lohitzun Oyhercq',26020),(26048,'64450','Viven',26021),(26049,'64320','Lée',26022),(26050,'64220','Irouléguy',26023),(26051,'64190','Préchacq Josbaig',26024),(26052,'64400','Oloron Sainte Marie',26025),(26053,'64640','Armendarits',26026),(26054,'64120','Luxe Sumberraute',26027),(26055,'64260','Rébénacq',26028),(26056,'64460','Lamayou',26029),(26057,'64400','Poey D\'Oloron',26030),(26058,'64300','Mont',26031),(26059,'64330','Baliracq Maumusson',26032),(26060,'64320','Ousse',26033),(26061,'64220','Lacarre',26034),(26062,'64530','Labatmale',26035),(26063,'64300','Biron',26036),(26064,'64390','Orriule',26037),(26065,'64450','Bournos',26038),(26066,'64120','Pagolle',26039),(26067,'64121','Serres Castet',26040),(26068,'64240','Mendionde',26041),(26069,'64370','Hagetaubin',26042),(26070,'64490','Osse En Aspe',26043),(26071,'64520','Guiche',26044),(26072,'64160','Bernadets',26045),(26073,'64450','Auga',26046),(26074,'64390','Guinarthe Parenties',26047),(26075,'64160','Saint Armou',26048),(26076,'64160','Gabaston',26049),(26077,'64170','Casteide Cami',26050),(26078,'64660','Asasp Arros',26051),(26079,'64300','Loubieng',26052),(26080,'64530','Barzun',26053),(26081,'64220','Mendive',26054),(26082,'64250','Ainhoa',26055),(26083,'64420','Saubole',26056),(26084,'64400','Bidos',26057),(26085,'64240','Hasparren',26058),(26086,'64190','Gurs',26059),(26087,'64190','Audaux',26060),(26088,'64260','Gère Bélesten',26061),(26089,'64120','Orsanco',26062),(26090,'64140','Lons',26063),(26091,'64110','Gelos',26064),(26092,'64120','Garris',26065),(26093,'64640','Lantabat',26066),(26094,'64420','Espoey',26067),(26095,'64120','Saint Just Ibarre',26068),(26096,'64220','Bussunarits Sarrasquette',26069),(26097,'64560','Licq Athérey',26070),(26098,'64510','Bordes',26071),(26099,'64150','Sauvelade',26072),(26100,'64800','Saint Abit',26073),(26101,'64420','Arrien',26074),(26102,'64510','Meillon',26075),(26103,'64440','Béost',26076),(26104,'64330','Mont Disse',26077),(26105,'64490','Aydius',26078),(26106,'64440','Louvie Soubiron',26079),(26107,'64440','Laruns',26080),(26108,'64260','Bilhères',26081),(26109,'64230','Siros',26082),(26110,'64300','Castétis',26083),(26111,'64800','Bourdettes',26084),(26112,'64330','Aydie',26085),(26113,'64190','Nabas',26086),(26114,'64350','Arricau Bordes',26087),(26115,'64120','Bunus',26088),(26116,'64330','Saint Jean Poudge',26089),(26117,'64250','Cambo Les Bains',26090),(26118,'64680','Ogeu Les Bains',26091),(26119,'64120','Arhansus',26092),(26120,'64420','Lourenties',26093),(26121,'64270','Escos',26094),(26122,'64480','Jatxou',26095),(26123,'64460','Montaner',26096),(26124,'64190','Navarrenx',26097),(26125,'64490','Etsaut',26098),(26126,'64410','Piets Plasence Moustrou',26099),(26127,'64120','Saint Palais',26100),(26128,'64300','Balansun',26101),(26129,'64260','Louvie Juzon',26102),(26130,'64190','Jasses',26103),(26131,'64410','Cabidos',26104),(26132,'64190','Ogenne Camptort',26105),(26133,'64800','Arros De Nay',26106),(26134,'64510','Boeil Bezing',26107),(26135,'64230','Bougarber',26108),(26136,'64130','Moncayolle Larrory Mendibieu',26109),(26137,'64800','Arthez D\'Asson',26110),(26138,'64370','Pomps',26111),(26139,'64390','Athos Aspis',26112),(26140,'64510','Assat',26113),(26141,'64350','Escurès',26114),(26142,'64370','Arnos',26115),(26143,'64160','Abère',26116),(26144,'64150','Lagor',26117),(26145,'64100','Bayonne',26118),(26146,'64470','Lichans Sunhar',26119),(26147,'64370','Castillon (canton D\'Arthez De Béarn)',26120),(26148,'64350','Anoye',26121),(26149,'64390','Orion',26122),(26150,'64330','Mouhous',26123),(26151,'64460','Baleix',26124),(26152,'64200','Biarritz',26125),(26153,'64190','Bugnein',26126),(26154,'64110','Uzos',26127),(26155,'64190','Dognen',26128),(26156,'64400','Esquiule',26129),(26157,'64400','Saint Goin',26130),(26158,'64260','Bescat',26131),(26159,'64800','Mirepeix',26132),(26160,'64800','Haut De Bosdarros',26133),(26161,'64400','Précilhon',26134),(26162,'64360','Lucq De Béarn',26135),(26163,'64220','Bustince Iriberry',26136),(26164,'64120','Orègue',26137),(26165,'64530','Livron',26138),(26166,'64460','Labatut',26139),(26167,'64260','Buzy',26140),(26168,'64800','Lestelle Bétharram',26141),(26169,'64570','Ance',26142),(26170,'64470','Laguinge Restoue',26143),(26171,'64490','Cette Eygun',26144),(26172,'64390','Espiute',26145),(26173,'64160','Lussagnet Lusson',26146),(26174,'64570','Lourdios Ichère',26147),(26175,'64450','Auriac',26148),(26176,'64350','Corbère Abères',26149),(26177,'64390','Abitain',26150),(26178,'64800','Asson',26151),(26179,'64260','Izeste',26152),(26180,'64420','Limendous',26153),(26181,'64330','Cadillon',26154),(26182,'64230','Arbus',26155),(26183,'64150','Os Marsillon',26156),(26184,'64400','Géronce',26157),(26185,'64640','Hélette',26158),(26186,'64190','Susmiou',26159),(26187,'64240','Ayherre',26160),(26188,'64410','Pouliacq',26161),(26189,'64170','Cescau',26162),(26190,'64330','Moncla',26163),(26191,'64780','Bidarray',26164),(26192,'64570','Arette',26165),(26193,'64160','Coslédaà Lube Boast',26166),(26194,'64160','Morlaàs',26167),(26195,'64120','Amorots Succos',26168),(26196,'64530','Pontacq',26169),(26197,'64510','Angaïs',26170),(26198,'64220','Ispoure',26171),(26199,'64160','Sévignacq',26172),(26200,'64430','Urepel',26173),(26201,'64190','Rivehaute',26174),(26202,'64800','Bénéjacq',26175),(26203,'64300','Lacadée',26176),(26204,'64270','Carresse Cassaber',26177),(26205,'64660','Lurbe Saint Christau',26178),(26206,'64470','Tardets Sorholus',26179),(26207,'64170','Labastide Cézéracq',26180),(26208,'64290','Estialescq',26181),(26209,'64460','Bédeille',26182),(26210,'64800','Bruges Capbis Mifaget',26183),(26211,'64160','Monassut Audiracq',26184),(26212,'64330','Conchez De Béarn',26185),(26213,'64270','Auterrive',26186),(26214,'64410','Montagut',26187),(26215,'64560','Sainte Engrâce',26188),(26216,'64420','Eslourenties Daban',26189),(26217,'64330','Claracq',26190),(26218,'64220','Arnéguy',26191),(26219,'64640','Iholdy',26192),(26220,'64270','Bergouey Viellenave',26193),(26221,'64290','Lasseubetat',26194),(26222,'64370','Géus D\'Arzacq',26195),(26223,'64350','Bassillon Vauzé',26196),(26224,'64370','Mesplède',26197),(26225,'64121','Montardon',26198),(26226,'64360','Cardesse',26199),(26227,'64110','Laroin',26200),(26228,'64270','Castagnède',26201),(26229,'64130','Charritte De Bas',26202),(26230,'64300','Sarpourenx',26203),(26231,'64460','Monségur',26204),(26232,'64160','Saint Jammes',26205),(26233,'64240','Isturits',26206),(26234,'64470','Ossas Suhare',26207),(26235,'64130','Arrast Larrebieu',26208),(26236,'64190','Montfort',26209),(26237,'64460','Ponson Dessus',26210),(26238,'64122','Urrugne',26211),(26239,'64130','Viodos Abense De Bas',26212),(26240,'64270','Salies De Béarn',26213),(26241,'64410','Vignes',26214),(26242,'64120','Hosta',26215),(26243,'64420','Gomer',26216),(26244,'64410','Méracq',26217),(26245,'64450','Lemé',26218),(26246,'64800','Igon',26219),(26247,'64110','Mazères Lezons',26220),(26248,'64210','Guéthary',26221),(26249,'64130','Ordiarp',26222),(26250,'64450','Lasclaveries',26223),(26251,'64110','Jurançon',26224),(26252,'64390','Sauveterre De Béarn',26225),(26253,'64410','Poursiugues Boucoue',26226),(26254,'64160','Buros',26227),(26255,'64270','Léren',26228),(26256,'64370','Boumourt',26229),(26257,'64780','Saint Martin D\'Arrossa',26230),(26258,'64450','Astis',26231),(26259,'64190','Narp',26232),(26260,'64270','Lahontan',26233),(26261,'64990','Villefranque',26234),(26262,'64250','Louhossoa',26235),(26263,'64160','Escoubès',26236),(26264,'64460','Aast',26237),(26265,'64520','Bardos',26238),(26266,'64220','Lecumberry',26239),(26267,'64270','Saint Pé De Léren',26240),(26268,'64450','Navailles Angos',26241),(26269,'64160','Urost',26242),(26270,'64300','Baigts De Béarn',26243),(26271,'64400','Orin',26244),(26272,'64210','Bidart',26245),(26273,'64230','Denguin',26246),(26274,'64500','Ciboure',26247),(26275,'64160','Anos',26248),(26276,'64160','Sedze Maubecq',26249),(26277,'64210','Arbonne',26250),(26278,'64570','Aramits',26251),(26279,'64400','Ledeuix',26252),(26280,'64470','Haux',26253),(26281,'64350','Lalongue',26254),(26282,'64470','Etchebar',26255),(26283,'64120','Amendeuix Oneix',26256),(26284,'64130','Berrogain Laruns',26257),(26285,'64450','Thèze',26258),(26286,'64130','Mauléon Licharre',26259),(26287,'64130','Gotein Libarrenx',26260),(26288,'64220','Ahaxe Alciette Bascassan',26261),(26289,'64780','Ossès',26262),(26290,'64220','Ainhice Mongelos',26263),(26291,'64350','Lucarré',26264),(26292,'64800','Lagos',26265),(26293,'64220','Saint Michel',26266),(26294,'64160','Saint Castin',26267),(26295,'64320','Idron',26268),(26296,'64800','Saint Vincent',26269),(26297,'64230','Uzein',26270),(26298,'64350','Luc Armau',26271),(26299,'64220','Saint Jean Le Vieux',26272),(26300,'64350','Gayon',26273),(26301,'64320','Sendets',26274),(26302,'64130','Aussurucq',26275),(26303,'64120','Aïcirits Camou Suhast',26276),(26304,'64350','Monpezat',26277),(26305,'64400','Gurmençon',26278),(26306,'64220','Estérençuby',26279),(26307,'64190','Gestas',26280),(26308,'64350','Samsons Lion',26281),(26309,'64470','Camou Cihigue',26282),(26310,'64450','Doumy',26283),(26311,'64320','Aressy',26284),(26312,'64800','Beuste',26285),(26313,'64430','Banca',26286),(26314,'64250','Espelette',26287),(26315,'64120','Méharin',26288),(26316,'64120','Ibarrolle',26289),(26317,'64470','Trois Villes',26290),(26318,'64570','Issor',26291),(26319,'64220','Lasse',26292),(26320,'64160','Serres Morlaàs',26293),(26321,'64800','Nay',26294),(26322,'64190','Castetbon',26295),(26323,'64870','Escou',26296),(26324,'64120','Béhasque Lapiste',26297),(26325,'64470','Alos Sibas Abense',26298),(26326,'64260','Lys',26299),(26327,'64470','Montory',26300),(26328,'64160','Lombia',26301),(26329,'64130','Barcus',26302),(26330,'64120','Larceveau Arros Cibits',26303),(26331,'64490','Lescun',26304),(26332,'64600','Anglet',26305),(26333,'64190','Lay Lamidou',26306),(26334,'64190','Tabaille Usquain',26307),(26335,'64120','Béguios',26308),(26336,'64260','Arudy',26309),(26337,'64260','Sainte Colome',26310),(26338,'64680','Buziet',26311),(26339,'64160','Saint Laurent Bretagne',26312),(26340,'64320','Bizanos',26313),(26341,'64420','Andoins',26314),(26342,'64870','Escout',26315),(26343,'64490','Lées Athas',26316),(26344,'64680','Herrère',26317),(26345,'64460','Pontiacq Viellepinte',26318),(26346,'64120','Uhart Mixe',26319),(26347,'64390','Oraàs',26320),(26348,'64290','Gan',26321),(26349,'64330','Boueilh Boueilho Lasque',26322),(26350,'64780','Irissarry',26323),(26351,'64310','Saint Pée Sur Nivelle',26324),(26352,'64240','Briscous',26325),(26353,'64410','Fichous Riumayou',26326),(26354,'64150','Vielleségure',26327),(26355,'64490','Borce',26328),(26356,'64460','Casteide Doat',26329),(26357,'64480','Ustaritz',26330),(26358,'64150','Bésingrand',26331),(26359,'64310','Ascain',26332),(26360,'64170','Artix',26333),(26361,'64480','Larressore',26334),(26362,'64300','Maslacq',26335),(26363,'64190','Angous',26336),(26364,'64360','Parbayse',26337),(26365,'64240','Macaye',26338),(26366,'64990','Lahonce',26339),(26367,'64400','Moumour',26340),(26368,'64190','Araujuzon',26341),(26369,'64800','Montaut',26342),(26370,'64410','Séby',26343),(26371,'64300','Bérenx',26344),(26372,'64120','Arraute Charritte',26345),(26373,'64330','Portet',26346),(26374,'64990','Saint Pierre D\'Irube',26347),(26375,'64300','Bonnut',26348),(26376,'64120','Larribar Sorhapuru',26349),(26377,'64300','Labeyrie',26350),(26378,'64400','Estos',26351),(26379,'64300','Orthez',26352),(26380,'64780','Suhescun',26353),(26381,'64450','Garlède Mondebat',26354),(26382,'64420','Hours',26355),(26383,'64270','L\'Hôpital D\'Orion',26356),(26384,'64800','Bordères',26357),(26385,'64330','Castetpugon',26358),(26386,'64190','Araux',26359),(26387,'64150','Noguères',26360),(26388,'64190','Sus',26361),(26389,'64450','Miossens Lanusse',26362),(26390,'64390','Burgaronne',26363),(26391,'64480','Halsou',26364),(26392,'64400','Geüs D\'Oloron',26365),(26393,'64640','Saint Esteben',26366),(26394,'64370','Urdès',26367),(26395,'64350','Lembeye',26368),(26396,'64450','Argelos',26369),(26397,'64500','Saint Jean De Luz',26370),(26398,'64510','Narcastet',26371),(26399,'64460','Ponson Debat Pouts',26372),(26400,'64130','Roquiague',26373),(26401,'64160','Higuères Souye',26374),(26402,'64130','L\'Hôpital Saint Blaise',26375),(26403,'64140','Billère',26376),(26404,'64120','Aroue Ithorots Olhaïby',26377),(26405,'64350','Simacourbe',26378),(26406,'64420','Nousty',26379),(26407,'64460','Bentayou Sérée',26380),(26408,'64490','Bedous',26381),(26409,'64410','Garos',26382),(26410,'64130','Garindein',26383),(26411,'64230','Momas',26384),(26412,'64360','Monein',26385),(26413,'64390','Laas',26386),(26414,'64220','Béhorléguy',26387),(26415,'64160','Barinque',26388),(26416,'64700','Biriatou',26389),(26417,'64240','Urt',26390),(26418,'64120','Gabat',26391),(26419,'64390','Barraute Camu',26392),(26420,'64360','Abos',26393),(26421,'64290','Bosdarros',26394),(26422,'64400','Saucède',26395),(26423,'64370','Saint Médard',26396),(26424,'64270','Saint Dos',26397),(26425,'64300','Castetner',26398),(26426,'64170','Viellenave D\'Arthez',26399),(26427,'64350','Moncaup',26400),(26428,'64410','Louvigny',26401),(26429,'64260','Castet',26402),(26430,'64270','Ramous',26403),(26431,'64460','Maure',26404),(26432,'64120','Etcharry',26405),(26433,'64250','Souraïde',26406),(26434,'64190','Ossenx',26407),(26435,'64220','Anhaux',26408),(26436,'64120','Beyrie Sur Joyeuse',26409),(26437,'64220','Saint Jean Pied De Port',26410),(26438,'64370','Uzan',26411),(26439,'64120','Arbouet Sussaute',26412),(26440,'64490','Urdos',26413),(26441,'64130','Lichos',26414),(26442,'64220','Gamarthe',26415),(26443,'64520','Sames',26416),(26444,'64150','Lahourcade',26417),(26445,'64270','Arancou',26418),(26446,'64110','Saint Faust',26419),(26447,'64510','Baliros',26420),(26448,'64800','Baudreix',26421),(26449,'65420','Ibos',26422),(26450,'65230','Thermes Magnoac',26423),(26451,'65300','Grange',26424),(26452,'65130','Artiguemy',26425),(26453,'65200','Gerde',26426),(26454,'65330','Montastruc',26427),(26455,'65350','Collongues',26428),(26456,'65500','Marsac',26429),(26457,'65390','Sarniguet',26430),(26458,'65100','Sère Lanso',26431),(26459,'65130','Avezac Prat Lahitte',26432),(26460,'65130','Escots',26433),(26461,'65150','Hautaget',26434),(26462,'65100','Paréac',26435),(26463,'65700','Villefranque',26436),(26464,'65130','Capvern',26437),(26465,'65190','Fréchou Fréchet',26438),(26466,'65170','Sailhan',26439),(26467,'65200','Cieutat',26440),(26468,'65400','Arras En Lavedan',26441),(26469,'65350','Osmets',26442),(26470,'65240','Ardengost',26443),(26471,'65350','Louit',26444),(26472,'65130','Asque',26445),(26473,'65190','Moulédous',26446),(26474,'65400','Préchac',26447),(26475,'65700','Maubourguet',26448),(26476,'65100','Gazost',26449),(26477,'65370','Gaudent',26450),(26478,'65700','Auriébat',26451),(26479,'65200','Lies',26452),(26480,'65700','Sombrun',26453),(26481,'65330','Tournous Devant',26454),(26482,'65240','Cadéac',26455),(26483,'65220','Luby Betmont',26456),(26484,'65590','Cazaux Debat',26457),(26485,'65150','Seich',26458),(26486,'65190','Castéra Lanusse',26459),(26487,'65240','Bareilles',26460),(26488,'65700','Caussade Rivière',26461),(26489,'65240','Adervielle Pouchergues',26462),(26490,'65140','Ansost',26463),(26491,'65330','Libaros',26464),(26492,'65500','Saint Lézer',26465),(26493,'65700','Larreule',26466),(26494,'65460','Bours',26467),(26495,'65500','Nouilhan',26468),(26496,'65220','Fréchède',26469),(26497,'65350','Lizos',26470),(26498,'65700','Vidouze',26471),(26499,'65170','Azet',26472),(26500,'65500','Talazac',26473),(26501,'65120','Vizos',26474),(26502,'65300','Clarens',26475),(26503,'65370','Sarp',26476),(26504,'65400','Sère En Lavedan',26477),(26505,'65290','Juillan',26478),(26506,'65130','Mauvezin',26479),(26507,'65140','Sénac',26480),(26508,'65100','Arcizac Ez Angles',26481),(26509,'65140','Saint Sever De Rustan',26482),(26510,'65140','Bazillac',26483),(26511,'65150','Bize',26484),(26512,'65300','Uglas',26485),(26513,'65360','Bernac Debat',26486),(26514,'65130','Bettes',26487),(26515,'65360','Barbazan Dessus',26488),(26516,'65100','Angles',26489),(26517,'65330','Castelbajac',26490),(26518,'65130','Lomné',26491),(26519,'65360','Vielle Adour',26492),(26520,'65370','Mauléon Barousse',26493),(26521,'65190','Oléac Dessus',26494),(26522,'65240','Arreau',26495),(26523,'65390','Andrest',26496),(26524,'65140','Ugnouas',26497),(26525,'65500','Siarrouy',26498),(26526,'65350','Thuy',26499),(26527,'65320','Pintac',26500),(26528,'65120','Chèze',26501),(26529,'65240','Jézeau',26502),(26530,'65600','Sarrouilles',26503),(26531,'65370','Samuran',26504),(26532,'65140','Mansan',26505),(26533,'65100','Ourdis Cotdoussan',26506),(26534,'65140','Monfaucon',26507),(26535,'65400','Agos Vidalos',26508),(26536,'65140','Buzon',26509),(26537,'65150','Montsérié',26510),(26538,'65150','Nistos',26511),(26539,'65230','Pouy',26512),(26540,'65100','Juncalas',26513),(26541,'65350','Souyeaux',26514),(26542,'65100','Viger',26515),(26543,'65560','Ferrières',26516),(26544,'65100','Artigues',26517),(26545,'65230','Barthe',26518),(26546,'65400','Gez',26519),(26547,'65200','Hiis',26520),(26548,'65320','Luquet',26521),(26549,'65360','Saint Martin',26522),(26550,'65400','Estaing',26523),(26551,'65700','Madiran',26524),(26552,'65150','Saint Paul',26525),(26553,'65370','Thèbe',26526),(26554,'65400','Bun',26527),(26555,'65300','Campistrous',26528),(26556,'65400','Gaillagos',26529),(26557,'65370','Créchets',26530),(26558,'65260','Adast',26531),(26559,'65330','Houeydets',26532),(26560,'65310','Horgues',26533),(26561,'65670','Lassales',26534),(26562,'65350','Hourc',26535),(26563,'65120','Betpouey',26536),(26564,'65370','Troubat',26537),(26565,'65230','Devèze',26538),(26566,'65600','Séméac',26539),(26567,'65250','Montoussé',26540),(26568,'65380','Layrisse',26541),(26569,'65100','Arrayou Lahitte',26542),(26570,'65220','Vidou',26543),(26571,'65370','Sost',26544),(26572,'65360','Salles Adour',26545),(26573,'65130','Castillon',26546),(26574,'65400','Ayros Arbouix',26547),(26575,'65250','Escala',26548),(26576,'65690','Montignac',26549),(26577,'65100','Ger',26550),(26578,'65490','Oursbelille',26551),(26579,'65250','La Barthe De Neste',26552),(26580,'65130','Labastide',26553),(26581,'65170','Bourisp',26554),(26582,'65120','Barèges',26555),(26583,'65120','Viella',26556),(26584,'65130','Esparros',26557),(26585,'65130','Molère',26558),(26586,'65200','Banios',26559),(26587,'65130','Tilhouse',26560),(26588,'65440','Ancizan',26561),(26589,'65170','Vignec',26562),(26590,'65220','Mazerolles',26563),(26591,'65370','Bramevaque',26564),(26592,'65350','Soréac',26565),(26593,'65380','Azereix',26566),(26594,'65200','Orignac',26567),(26595,'65150','Nestier',26568),(26596,'65260','Pierrefitte Nestalas',26569),(26597,'65240','Pailhac',26570),(26598,'65700','Estirac',26571),(26599,'65400','Arcizans Dessus',26572),(26600,'65170','Estensan',26573),(26601,'65100','Lugagnan',26574),(26602,'65500','Villenave Près Marsac',26575),(26603,'65170','Grailhen',26576),(26604,'65190','Oueilloux',26577),(26605,'65440','Guchen',26578),(26606,'65130','Gourgue',26579),(26607,'65120','Sazos',26580),(26608,'65240','Lançon',26581),(26609,'65300','Tajan',26582),(26610,'65350','Castéra Lou',26583),(26611,'65220','Lamarque Rustaing',26584),(26612,'65100','Ségus',26585),(26613,'65350','Pouyastruc',26586),(26614,'65500','Escaunets',26587),(26615,'65190','Lespouey',26588),(26616,'65350','Chelle Debat',26589),(26617,'65120','Gèdre',26590),(26618,'65220','Lustar',26591),(26619,'65360','Momères',26592),(26620,'65230','Lalanne',26593),(26621,'65190','Bordes',26594),(26622,'65500','Caixon',26595),(26623,'65370','Cazarilh',26596),(26624,'65240','Aspin Aure',26597),(26625,'65140','Gensac',26598),(26626,'65140','Cassagne',26599),(26627,'65120','Sers',26600),(26628,'65190','Poumarous',26601),(26629,'65120','Esquièze Sère',26602),(26630,'65140','Escondeaux',26603),(26631,'65140','Moumoulous',26604),(26632,'65330','Galan',26605),(26633,'65220','Villembits',26606),(26634,'65230','Vieuzos',26607),(26635,'65140','Peyrun',26608),(26636,'65400','Uz',26609),(26637,'65220','Antin',26610),(26638,'65100','Loubajac',26611),(26639,'65300','Réjaumont',26612),(26640,'65590','Bordères Louron',26613),(26641,'65370','Antichan',26614),(26642,'65380','Lanne',26615),(26643,'65100','Omex',26616),(26644,'65800','Aureilhan',26617),(26645,'65100','Arrodets Ez Angles',26618),(26646,'65190','Luc',26619),(26647,'65440','Grézian',26620),(26648,'65200','Astugue',26621),(26649,'65100','Julos',26622),(26650,'65170','Cadeilhan Trachère',26623),(26651,'65190','Clarac',26624),(26652,'65130','Bonnemazon',26625),(26653,'65300','Lutilhous',26626),(26654,'65300','Lannemezan',26627),(26655,'65360','Bernac Dessus',26628),(26656,'65100','Escoubès Pouts',26629),(26657,'65700','Saint Lanne',26630),(26658,'65350','Sabalos',26631),(26659,'65380','Averan',26632),(26660,'65400','Boô Silhen',26633),(26661,'65370','Aveux',26634),(26662,'65410','Ilhet',26635),(26663,'65130','Fréchendets',26636),(26664,'65370','Saléchan',26637),(26665,'65170','Ens',26638),(26666,'65120','Viscos',26639),(26667,'65230','Guizerix',26640),(26668,'65400','Arcizans Avant',26641),(26669,'65140','Sarriac Bigorre',26642),(26670,'65380','Ossun',26643),(26671,'65390','Aurensan',26644),(26672,'65240','Aulon',26645),(26673,'65140','Liac',26646),(26674,'65330','Recurt',26647),(26675,'65230','Villemur',26648),(26676,'65260','Villelongue',26649),(26677,'65190','Ricaud',26650),(26678,'65100','Bartrès',26651),(26679,'65200','Visker',26652),(26680,'65130','Sarlabous',26653),(26681,'65660','Tibiran Jaunac',26654),(26682,'65320','Séron',26655),(26683,'65410','Sarrancolin',26656),(26684,'65130','Laborde',26657),(26685,'65190','Sinzos',26658),(26686,'65200','Germs Sur L\'Oussouet',26659),(26687,'65240','Avajan',26660),(26688,'65220','Bonnefont',26661),(26689,'65510','Armenteule',26662),(26690,'65700','Hagedet',26663),(26691,'65500','Camalès',26664),(26692,'65370','Esbareich',26665),(26693,'65560','Arbéost',26666),(26694,'65660','Aventignan',26667),(26695,'65370','Sainte Marie',26668),(26696,'65170','Tramezaïgues',26669),(26697,'65130','Péré',26670),(26698,'65400','Argelès Gazost',26671),(26699,'65100','Ossun Ez Angles',26672),(26700,'65190','Hitte',26673),(26701,'65130','Espieilh',26674),(26702,'65130','Bourg De Bigorre',26675),(26703,'65100','Jarret',26676),(26704,'65130','Batsère',26677),(26705,'65170','Vielle Aure',26678),(26706,'65190','Caharet',26679),(26707,'65250','Lortet',26680),(26708,'65700','Lascazères',26681),(26709,'65400','Saint Pastous',26682),(26710,'65200','Loucrup',26683),(26711,'65120','Gavarnie',26684),(26712,'65370','Sacoué',26685),(26713,'65320','Garde',26686),(26714,'65230','Castelnau Magnoac',26687),(26715,'65350','Cabanac',26688),(26716,'65500','Villenave Près Béarn',26689),(26717,'65350','Marquerie',26690),(26718,'65220','Estampures',26691),(26719,'65100','Bourréac',26692),(26720,'65220','Lalanne Trie',26693),(26721,'65710','Beaudéan',26694),(26722,'65240','Génos',26695),(26723,'65370','Anla',26696),(26724,'65230','Betbèze',26697),(26725,'65310','Odos',26698),(26726,'65400','Saint Savin',26699),(26727,'65370','Ilheu',26700),(26728,'65240','Vielle Louron',26701),(26729,'65250','Hèches',26702),(26730,'65240','Barrancoueu',26703),(26731,'65150','Anères',26704),(26732,'65380','Bénac',26705),(26733,'65220','Trie Sur Baïse',26706),(26734,'65190','Goudon',26707),(26735,'65190','Lanespède',26708),(26736,'65220','Tournous Darré',26709),(26737,'65360','Arcizac Adour',26710),(26738,'65220','Bugard',26711),(26739,'65300','Pinas',26712),(26740,'65320','Bordères Sur L\'Échez',26713),(26741,'65130','Arrodets',26714),(26742,'65430','Soues',26715),(26743,'65170','Camparan',26716),(26744,'65220','Sadournin',26717),(26745,'65320','Gardères',26718),(26746,'65190','Ozon',26719),(26747,'65200','Ordizan',26720),(26748,'65150','Lombrès',26721),(26749,'65150','Cantaous',26722),(26750,'65200','Antist',26723),(26751,'65700','Soublecause',26724),(26752,'65700','Labatut Rivière',26725),(26753,'65220','Lubret Saint Luc',26726),(26754,'65100','Cheust',26727),(26755,'65400','Artalens Souin',26728),(26756,'65330','Galez',26729),(26757,'65320','Tarasteix',26730),(26758,'65120','Grust',26731),(26759,'65140','Rabastens De Bigorre',26732),(26760,'65370','Izaourt',26733),(26761,'65000','Tarbes',26734),(26762,'65370','Ferrère',26735),(26763,'65190','Burg',26736),(26764,'65320','Gayan',26737),(26765,'65230','Organ',26738),(26766,'65700','Hères',26739),(26767,'65460','Bazet',26740),(26768,'65500','Sanous',26741),(26769,'65330','Bonrepos',26742),(26770,'65140','Bouilh Devant',26743),(26771,'65230','Sariac Magnoac',26744),(26772,'65220','Lapeyre',26745),(26773,'65140','Trouley Labarthe',26746),(26774,'65260','Soulom',26747),(26775,'65350','Bouilh Péreuilh',26748),(26776,'65510','Loudervielle',26749),(26777,'65140','Tostat',26750),(26778,'65290','Louey',26751),(26779,'65350','Boulin',26752),(26780,'65370','Loures Barousse',26753),(26781,'65230','Hachan',26754),(26782,'65500','Vic En Bigorre',26755),(26783,'65230','Betpouy',26756),(26784,'65670','Gaussan',26757),(26785,'65350','Lansac',26758),(26786,'65270','Peyrouse',26759),(26787,'65690','Angos',26760),(26788,'65200','Pouzac',26761),(26789,'65200','Montgaillard',26762),(26790,'65100','Saint Créac',26763),(26791,'65200','Argelès Bagnères',26764),(26792,'65400','Ouzous',26765),(26793,'65350','Aubarède',26766),(26794,'65250','Izaux',26767),(26795,'65370','Siradan',26768),(26796,'65140','Barbachen',26769),(26797,'65710','Campan',26770),(26798,'65190','Bégole',26771),(26799,'65510','Germ',26772),(26800,'65400','Beaucens',26773),(26801,'65190','Lhez',26774),(26802,'65410','Camous',26775),(26803,'65190','Orieux',26776),(26804,'65510','Loudenvielle',26777),(26805,'65350','Gonez',26778),(26806,'65240','Fréchet Aure',26779),(26807,'65330','Sabarros',26780),(26808,'65350','Laslades',26781),(26809,'65190','Bernadets Dessus',26782),(26810,'65310','Laloubère',26783),(26811,'65670','Laran',26784),(26812,'65700','Lafitole',26785),(26813,'65670','Bazordan',26786),(26814,'65190','Peyraube',26787),(26815,'65220','Bernadets Debat',26788),(26816,'65140','Lescurry',26789),(26817,'65230','Aries Espénan',26790),(26818,'65670','Arné',26791),(26819,'65220','Puydarrieux',26792),(26820,'65380','Orincles',26793),(26821,'65350','Mun',26794),(26822,'65200','Neuilh',26795),(26823,'65150','Saint Laurent De Neste',26796),(26824,'65380','Barry',26797),(26825,'65700','Castelnau Rivière Basse',26798),(26826,'65500','Artagnan',26799),(26827,'65100','Berbérust Lias',26800),(26828,'65120','Saligos',26801),(26829,'65400','Vier Bordes',26802),(26830,'65400','Lau Balagnas',26803),(26831,'65400','Ayzac Ost',26804),(26832,'65190','Tournay',26805),(26833,'65170','Bazus Aure',26806),(26834,'65100','Barlest',26807),(26835,'65510','Estarvielle',26808),(26836,'65350','Oléac Debat',26809),(26837,'65380','Lamarque Pontacq',26810),(26838,'65350','Coussan',26811),(26839,'65140','Mingot',26812),(26840,'65350','Peyriguère',26813),(26841,'65220','Fontrailles',26814),(26842,'65100','Ossen',26815),(26843,'65500','Pujo',26816),(26844,'65120','Esterre',26817),(26845,'65200','Mérilheu',26818),(26846,'65330','Sentous',26819),(26847,'65200','Trébons',26820),(26848,'65150','Mazères De Neste',26821),(26849,'65400','Sireix',26822),(26850,'65150','Tuzaguet',26823),(26851,'65440','Gouaux',26824),(26852,'65350','Marseillan',26825),(26853,'65240','Cazaux Fréchet Anéran Camors',26826),(26854,'65250','Gazave',26827),(26855,'65170','Aragnouet',26828),(26856,'65150','Montégut',26829),(26857,'65200','Bagnères De Bigorre',26830),(26858,'65100','Adé',26831),(26859,'65410','Beyrède Jumet',26832),(26860,'65250','Saint Arroman',26833),(26861,'65100','Aspin En Lavedan',26834),(26862,'65400','Arrens Marsous',26835),(26863,'65370','Ourde',26836),(26864,'65130','Espèche',26837),(26865,'65200','Marsas',26838),(26866,'65150','Générest',26839),(26867,'65190','Mascaras',26840),(26868,'65510','Mont',26841),(26869,'65320','Oroix',26842),(26870,'65130','Bulan',26843),(26871,'65130','Esconnets',26844),(26872,'65100','Gez Ez Angles',26845),(26873,'65360','Allier',26846),(26874,'65200','Hauban',26847),(26875,'65130','Benque',26848),(26876,'65170','Saint Lary Soulan',26849),(26877,'65200','Labassère',26850),(26878,'65400','Salles',26851),(26879,'65250','Mazouau',26852),(26880,'65170','Guchan',26853),(26881,'65140','Ségalas',26854),(26882,'65100','Lourdes',26855),(26883,'65100','Ousté',26856),(26884,'65120','Viey',26857),(26885,'65110','Cauterets',26858),(26886,'65700','Lahitte Toupière',26859),(26887,'65100','Geu',26860),(26888,'65100','Ourdon',26861),(26889,'65370','Bertren',26862),(26890,'65220','Sère Rustaing',26863),(26891,'65370','Gembrie',26864),(26892,'65400','Aucun',26865),(26893,'65230','Campuzan',26866),(26894,'65350','Jacque',26867),(26895,'65230','Larroque',26868),(26896,'65230','Casterets',26869),(26897,'65670','Monlong',26870),(26898,'65800','Chis',26871),(26899,'65200','Uzer',26872),(26900,'65230','Peyret Saint André',26873),(26901,'65230','Cizos',26874),(26902,'65230','Caubous',26875),(26903,'65670','Monléon Magnoac',26876),(26904,'65800','Orleix',26877),(26905,'65100','Poueyferré',26878),(26906,'65140','Laméac',26879),(26907,'65200','Asté',26880),(26908,'65150','Bizous',26881),(26909,'65120','Sassis',26882),(26910,'65700','Sauveterre',26883),(26911,'65120','Luz Saint Sauveur',26884),(26912,'65590','Ris',26885),(26913,'65690','Barbazan Debat',26886),(26914,'65130','Chelle Spou',26887),(26915,'65350','Dours',26888),(26916,'65350','Castelvieilh',26889),(26917,'65230','Puntous',26890),(26918,'65270','Saint Pé De Bigorre',26891),(26919,'65100','Lézignan',26892),(26920,'65380','Hibarette',26893),(26921,'65250','Bazus Neste',26894),(26922,'65190','Calavanté',26895),(26923,'66720','Latour De France',26896),(26924,'66220','Vira',26897),(26925,'66330','Cabestany',26898),(26926,'66820','Vernet Les Bains',26899),(26927,'66500','Molitg Les Bains',26900),(26928,'66210','La Llagonne',26901),(26929,'66480','Cluses',26902),(26930,'66610','Villeneuve La Rivière',26903),(26931,'66430','Bompas',26904),(26932,'66340','Valcebollère',26905),(26933,'66320','Rigarda',26906),(26934,'66720','Cassagnes',26907),(26935,'66800','Sainte Léocadie',26908),(26936,'66510','Saint Hippolyte',26909),(26937,'66750','Saint Cyprien',26910),(26938,'66360','Thuès Entre Valls',26911),(26939,'66360','Railleu',26912),(26940,'66220','Trilla',26913),(26941,'66570','Saint Nazaire',26914),(26942,'66360','Sahorre',26915),(26943,'66170','Millas',26916),(26944,'66360','Caudiès De Conflent',26917),(26945,'66820','Corneilla De Conflent',26918),(26946,'66400','Saint Jean Pla De Corts',26919),(26947,'66300','Castelnou',26920),(26948,'66320','Arboussols',26921),(26949,'66760','Enveitg',26922),(26950,'66320','Tarerach',26923),(26951,'66220','Saint Martin',26924),(26952,'66480','Le Perthus',26925),(26953,'66170','Saint Féliu D\'Amont',26926),(26954,'66220','Saint Arnac',26927),(26955,'66220','Saint Paul De Fenouillet',26928),(26956,'66370','Pézilla La Rivière',26929),(26957,'66500','Villefranche De Conflent',26930),(26958,'66130','Saint Michel De Llotes',26931),(26959,'66340','Nahuja',26932),(26960,'66150','Montferrer',26933),(26961,'66600','Cases De Pène',26934),(26962,'66130','Ille Sur Têt',26935),(26963,'66220','Caudiès De Fenouillèdes',26936),(26964,'66400','Calmeilles',26937),(26965,'66240','Saint Estève',26938),(26966,'66800','Estavar',26939),(26967,'66210','La Cabanasse',26940),(26968,'66110','La Bastide',26941),(26969,'66700','Argelès Sur Mer',26942),(26970,'66210','Réal',26943),(26971,'66480','Maureillas Las Illas',26944),(26972,'66110','Taulis',26945),(26973,'66360','Mantet',26946),(26974,'66730','Campoussy',26947),(26975,'66110','Saint Marsal',26948),(26976,'66500','Conat',26949),(26977,'66210','Sauto',26950),(26978,'66360','Py',26951),(26979,'66300','Llauro',26952),(26980,'66600','Peyrestortes',26953),(26981,'66400','Oms',26954),(26982,'66130','Boule D\'Amont',26955),(26983,'66360','Olette',26956),(26984,'66150','Arles Sur Tech',26957),(26985,'66200','Alénya',26958),(26986,'66390','Baixas',26959),(26987,'66730','Felluns',26960),(26988,'66670','Bages',26961),(26989,'66220','Fenouillet',26962),(26990,'66320','Espira De Conflent',26963),(26991,'66450','Pollestres',26964),(26992,'66500','Codalet',26965),(26993,'66210','Puyvalador',26966),(26994,'66300','Tresserre',26967),(26995,'66200','Elne',26968),(26996,'66690','Sorède',26969),(26997,'66760','Dorres',26970),(26998,'66340','Osséja',26971),(26999,'66230','Prats De Mollo La Preste',26972),(27000,'66800','Eyne',26973),(27001,'66680','Canohès',26974),(27002,'66730','Rabouillet',26975),(27003,'66660','Port Vendres',26976),(27004,'66280','Saleilles',26977),(27005,'66250','Saint Laurent De La Salanque',26978),(27006,'66170','Saint Féliu D\'Avall',26979),(27007,'66730','Sournia',26980),(27008,'66220','Ansignan',26981),(27009,'66260','Saint Laurent De Cerdans',26982),(27010,'66600','Salses Le Château',26983),(27011,'66210','Bolquère',26984),(27012,'66170','Néfiach',26985),(27013,'66230','Lamanère',26986),(27014,'66300','Passa',26987),(27015,'66150','Corsavy',26988),(27016,'66500','Masos',26989),(27017,'66320','Marquixanes',26990),(27018,'66720','Lansac',26991),(27019,'66540','Baho',26992),(27020,'66760','Latour De Carol',26993),(27021,'66400','Reynès',26994),(27022,'66820','Fillols',26995),(27023,'66500','Clara',26996),(27024,'66360','Jujols',26997),(27025,'66320','Glorianes',26998),(27026,'66210','Matemale',26999),(27027,'66530','Claira',27000),(27028,'66130','Prunet Et Belpuig',27001),(27029,'66600','Rivesaltes',27002),(27030,'66300','Banyuls Dels Aspres',27003),(27031,'66130','Corbère Les Cabanes',27004),(27032,'66730','Prats De Sournia',27005),(27033,'66600','Calce',27006),(27034,'66200','Théza',27007),(27035,'66760','Bourg Madame',27008),(27036,'66690','Palau Del Vidre',27009),(27037,'66720','Bélesta',27010),(27038,'66210','Planès',27011),(27039,'66500','Catllar',27012),(27040,'66760','Porté Puymorens',27013),(27041,'66500','Urbanya',27014),(27042,'66290','Cerbère',27015),(27043,'66560','Ortaffa',27016),(27044,'66800','Err',27017),(27045,'66300','Saint Jean Lasseille',27018),(27046,'66820','Casteil',27019),(27047,'66650','Banyuls Sur Mer',27020),(27048,'66300','Tordères',27021),(27049,'66760','Ur',27022),(27050,'66210','Formiguères',27023),(27051,'66410','Villelongue De La Salanque',27024),(27052,'66320','Vinça',27025),(27053,'66730','Pézilla De Conflent',27026),(27054,'66500','Mosset',27027),(27055,'66600','Opoul Périllos',27028),(27056,'66820','Fuilla',27029),(27057,'66300','Trouillas',27030),(27058,'66110','Montbolo',27031),(27059,'66500','Ria Sirach',27032),(27060,'66760','Angoustrine Villeneuve Des Escaldes',27033),(27061,'66210','Saint Pierre Dels Forcats',27034),(27062,'66300','Thuir',27035),(27063,'66800','Llo',27036),(27064,'66720','Rasiguères',27037),(27065,'66760','Porta',27038),(27066,'66400','Céret',27039),(27067,'66360','Ayguatébia Talau',27040),(27068,'66360','Serdinya',27041),(27069,'66160','Le Boulou',27042),(27070,'66500','Campôme',27043),(27071,'66320','Joch',27044),(27072,'66220','Lesquerde',27045),(27073,'66740','Montesquieu Des Albères',27046),(27074,'66230','Le Tech',27047),(27075,'66380','Pia',27048),(27076,'66720','Caramany',27049),(27077,'66300','Caixas',27050),(27078,'66740','Saint Génis Des Fontaines',27051),(27079,'66620','Brouilla',27052),(27080,'66720','Planèzes',27053),(27081,'66140','Canet En Roussillon',27054),(27082,'66360','Nyer',27055),(27083,'66730','Le Vivier',27056),(27084,'66320','Rodès',27057),(27085,'66360','Canaveilles',27058),(27086,'66130','Trévillach',27059),(27087,'66300','Sainte Colombe De La Commanderie',27060),(27088,'66420','Le Barcarès',27061),(27089,'66360','Sansa',27062),(27090,'66130','Bouleternère',27063),(27091,'66320','Valmanya',27064),(27092,'66220','Prugnanes',27065),(27093,'66320','Estoher',27066),(27094,'66360','Fontpédrouse',27067),(27095,'66480','L\'Albère',27068),(27096,'66320','Baillestavy',27069),(27097,'66210','Fontrabiouse',27070),(27098,'66470','Sainte Marie',27071),(27099,'66120','Targassonne',27072),(27100,'66120','Égat',27073),(27101,'66800','Saillagouse',27074),(27102,'66440','Torreilles',27075),(27103,'66300','Terrats',27076),(27104,'66460','Maury',27077),(27105,'66300','Montauriol',27078),(27106,'66180','Villeneuve De La Raho',27079),(27107,'66230','Serralongue',27080),(27108,'66260','Coustouges',27081),(27109,'66300','Ponteilla',27082),(27110,'66360','Escaro',27083),(27111,'66550','Corneilla La Rivière',27084),(27112,'66720','Montner',27085),(27113,'66200','Montescot',27086),(27114,'66500','Taurinya',27087),(27115,'66500','Prades',27088),(27116,'66600','Espira De L\'Agly',27089),(27117,'66270','Le Soler',27090),(27118,'66120','Font Romeu Odeillo Via',27091),(27119,'66500','Eus',27092),(27120,'66500','Nohèdes',27093),(27121,'66740','Villelongue Dels Monts',27094),(27122,'66360','Souanyas',27095),(27123,'66300','Fourques',27096),(27124,'66300','Villemolaque',27097),(27125,'66190','Collioure',27098),(27126,'66210','Mont Louis',27099),(27127,'66720','Tautavel',27100),(27128,'66690','Saint André',27101),(27129,'66300','Llupia',27102),(27130,'66740','Laroque Des Albères',27103),(27131,'66130','Montalba Le Château',27104),(27132,'66340','Palau De Cerdagne',27105),(27133,'66200','Latour Bas Elne',27106),(27134,'66600','Vingrau',27107),(27135,'66210','Angles',27108),(27136,'66130','Casefabre',27109),(27137,'66400','Taillet',27110),(27138,'66300','Camélas',27111),(27139,'66200','Corneilla Del Vercol',27112),(27140,'66130','Corbère',27113),(27141,'66310','Estagel',27114),(27142,'66400','Vivès',27115),(27143,'66350','Toulouges',27116),(27145,'66320','Finestret',27117),(27146,'66360','Oreilla',27118),(27147,'66220','Fossé',27119),(27148,'66110','Amélie Les Bains Palalda',27120),(27149,'67430','Butten',27121),(27150,'67530','Saint Nabor',27122),(27151,'67540','Ostwald',27123),(27152,'67930','Kesseldorf',27124),(27153,'67450','Mundolsheim',27125),(27154,'67170','Bernolsheim',27126),(27155,'67310','Wasselonne',27127),(27156,'67320','Eschwiller',27128),(27157,'67470','Trimbach',27129),(27158,'67510','Lembach',27130),(27159,'67140','Saint Pierre',27131),(27160,'67850','Offendorf',27132),(27161,'67130','Bellefosse',27133),(27162,'67170','Wingersheim',27134),(27163,'67440','Dimbsthal',27135),(27164,'67470','Niederrœdern',27136),(27165,'67770','Dalhunden',27137),(27166,'67310','Hohengœft',27138),(27167,'67640','Ichtratzheim',27139),(27168,'67150','Daubensand',27140),(27169,'67370','Truchtersheim',27141),(27170,'67530','Bœ?sch',27142),(27171,'67150','Nordhouse',27143),(27172,'67310','Cosswiller',27144),(27173,'67210','Niedernai',27145),(27174,'67150','Matzenheim',27146),(27175,'67320','Ottwiller',27147),(27176,'67290','Rosteig',27148),(27177,'67770','Stattmatten',27149),(27178,'67370','Wintzenheim Kochersberg',27150),(27179,'67590','Ohlungen',27151),(27180,'67440','Singrist',27152),(27181,'67350','Bitschhoffen',27153),(27182,'67370','Stutzheim Offenheim',27154),(27183,'67270','Wickersheim Wilshausen',27155),(27184,'67230','Sand',27156),(27185,'67240','Gries',27157),(27186,'67690','Rittershoffen',27158),(27187,'67600','Hilsenheim',27159),(27188,'67230','Huttenheim',27160),(27189,'67270','Zœbersdorf',27161),(27190,'67370','Dingsheim',27162),(27191,'67140','Reichsfeld',27163),(27192,'67130','Blancherupt',27164),(27193,'67320','Rauwiller',27165),(27194,'67440','Marmoutier',27166),(27195,'67120','Altorf',27167),(27196,'67220','Lalaye',27168),(27197,'67470','Seltz',27169),(27198,'67170','Krautwiller',27170),(27199,'67290','Zittersheim',27171),(27200,'67390','Richtolsheim',27172),(27201,'67700','Furchhausen',27173),(27202,'67190','Still',27174),(27203,'67270','Saessolsheim',27175),(27204,'67120','Dorlisheim',27176),(27205,'67340','Lichtenberg',27177),(27206,'67390','Schœnau',27178),(27207,'67700','Haegen',27179),(27208,'67670','Waltenheim Sur Zorn',27180),(27209,'67130','Russ',27181),(27210,'67260','Schopperten',27182),(27211,'67120','Duttlenheim',27183),(27212,'67360','Durrenbach',27184),(27213,'67120','Molsheim',27185),(27214,'67110','Zinswiller',27186),(27215,'67520','Odratzheim',27187),(27216,'67117','Handschuheim',27188),(27217,'67130','Fouday',27189),(27218,'67190','Heiligenberg',27190),(27219,'67410','Drusenheim',27191),(27220,'67140','Andlau',27192),(27221,'67510','Obersteinbach',27193),(27222,'67520','Marlenheim',27194),(27223,'67220','Saint Maurice',27195),(27224,'67310','Balbronn',27196),(27225,'67140','Barr',27197),(27226,'67310','Dangolsheim',27198),(27227,'67600','Baldenheim',27199),(27228,'67117','Ittenheim',27200),(27229,'67220','Dieffenbach Au Val',27201),(27230,'67160','Oberhoffen Lès Wissembourg',27202),(27231,'67201','Eckbolsheim',27203),(27232,'67390','Saasenheim',27204),(27233,'67320','Bettwiller',27205),(27234,'67250','Hoffen',27206),(27235,'67140','Gertwiller',27207),(27236,'67260','Keskastel',27208),(27237,'67130','Barembach',27209),(27238,'67150','Bolsenheim',27210),(27239,'67350','Engwiller',27211),(27240,'67260','Altwiller',27212),(27241,'67210','Obernai',27213),(27242,'67130','Lutzelhouse',27214),(27243,'67130','La Broque',27215),(27244,'67290','Lohr',27216),(27245,'67270','Mutzenhouse',27217),(27246,'67750','Scherwiller',27218),(27247,'67470','Mothern',27219),(27248,'67220','Saint Martin',27220),(27249,'67340','Bischholtz',27221),(27250,'67230','Kogenheim',27222),(27251,'67290','Puberg',27223),(27252,'67160','Siegen',27224),(27253,'67700','Saverne',27225),(27254,'67440','Lochwiller',27226),(27255,'67350','Pfaffenhoffen',27227),(27256,'67170','Wahlenheim',27228),(27257,'67420','Plaine',27229),(27258,'67260','Sarre Union',27230),(27259,'67320','Siewiller',27231),(27260,'67150','Limersheim',27232),(27261,'67160','Cleebourg',27233),(27262,'67150','Hipsheim',27234),(27263,'67110','Niederbronn Les Bains',27235),(27264,'67270','Hohfrankenheim',27236),(27265,'67250','Lobsann',27237),(27266,'67690','Hatten',27238),(27267,'67320','Baerendorf',27239),(27268,'67310','Rangen',27240),(27269,'67290','Weislingen',27241),(27270,'67330','Dossenheim Sur Zinsel',27242),(27271,'67140','Heiligenstein',27243),(27272,'67310','Romanswiller',27244),(27273,'67430','Waldhambach',27245),(27274,'67270','Gingsheim',27246),(27275,'67330','Bouxwiller',27247),(27276,'67290','Petersbach',27248),(27277,'67270','Gougenheim',27249),(27278,'67370','Pfulgriesheim',27250),(27279,'67170','Mittelhausen',27251),(27280,'67430','Mackwiller',27252),(27281,'67250','Aschbach',27253),(27282,'67130','Natzwiller',27254),(27283,'67320','Pfalzweyer',27255),(27284,'67190','Rosheim',27256),(27285,'67590','Wintershouse',27257),(27286,'67350','Ringendorf',27258),(27287,'67510','Niedersteinbach',27259),(27288,'67220','Breitenau',27260),(27289,'67490','Gottesheim',27261),(27290,'67160','Salmbach',27262),(27291,'67700','Waldolwisheim',27263),(27292,'67270','Rohr',27264),(27293,'67760','Gambsheim',27265),(27294,'67230','Diebolsheim',27266),(27295,'67840','Kilstett',27267),(27296,'67370','Pfettisheim',27268),(27297,'67220','Bassemberg',27269),(27298,'67290','Wingen Sur Moder',27270),(27299,'67260','Herbitzheim',27271),(27300,'67150','Osthouse',27272),(27301,'67250','Surbourg',27273),(27302,'67117','Dossenheim Kochersberg',27274),(27303,'67260','Burbach',27275),(27305,'67340','Schillersdorf',27276),(27306,'67220','Maisonsgoutte',27277),(27307,'67450','Lampertheim',27278),(27308,'67390','Marckolsheim',27279),(27309,'67250','Soultz Sous Forêts',27280),(27310,'67500','Niederschaeffolsheim',27281),(27311,'67340','Weinbourg',27282),(27312,'67117','Fessenheim Le Bas',27283),(27313,'67170','Bilwisheim',27284),(27314,'67230','Benfeld',27285),(27315,'67520','Nordheim',27286),(27316,'67250','Merkwiller Pechelbronn',27287),(27317,'67240','Kaltenhouse',27288),(27318,'67340','Offwiller',27289),(27319,'67240','Bischwiller',27290),(27320,'67660','Betschdorf',27291),(27321,'67320','Eywiller',27292),(27322,'67310','Flexbourg',27293),(27323,'67270','Ingenheim',27294),(27324,'67410','Rohrwiller',27295),(27325,'67160','Seebach',27296),(27326,'67350','Buswiller',27297),(27327,'67190','Mollkirch',27298),(27328,'67360','Frœschwiller',27299),(27329,'67440','Westhouse Marmoutier',27300),(27330,'67250','Memmelshoffen',27301),(27331,'67930','Beinheim',27302),(27332,'67470','Munchhausen',27303),(27333,'67270','Huttendorf',27304),(27334,'67470','Buhl',27305),(27335,'67240','Oberhoffen Sur Moder',27306),(27336,'67320','Bust',27307),(27337,'67260','Bissert',27308),(27338,'67240','Kurtzenhouse',27309),(27339,'67110','Gumbrechtshoffen',27310),(27340,'67620','Soufflenheim',27311),(27341,'67330','Hattmatt',27312),(27342,'67340','Rothbach',27313),(27343,'67140','Stotzheim',27314),(27344,'67290','Frohmuhl',27315),(27345,'67350','Dauendorf',27316),(27346,'67220','Steige',27317),(27347,'67550','Vendenheim',27318),(27348,'67130','Muhlbach Sur Bruche',27319),(27349,'67112','Breuschwickersheim',27320),(27350,'67270','Scherlenheim',27321),(27351,'67490','Littenheim',27322),(27352,'67720','Bietlenheim',27323),(27353,'67440','Thal Marmoutier',27324),(27354,'67160','Schleithal',27325),(27355,'67870','Bischoffsheim',27326),(27356,'67115','Plobsheim',27327),(27357,'67230','Kertzfeld',27328),(27358,'67160','Riedseltz',27329),(27359,'67860','Boofzheim',27330),(27360,'67480','Roppenheim',27331),(27361,'67470','Schaffhouse Près Seltz',27332),(27362,'67250','Ingolsheim',27333),(27363,'67390','Schwobsheim',27334),(27364,'67250','Lampertsloch',27335),(27365,'67420','Bourg Bruche',27336),(27366,'67117','Hurtigheim',27337),(27367,'67700','Eckartswiller',27338),(27368,'67140','Mittelbergheim',27339),(27369,'67370','Neugartheim Ittlenheim',27340),(27370,'67490','Altenheim',27341),(27371,'67700','Monswiller',27342),(27372,'67400','Geispolsheim',27343),(27373,'67440','Kleingœft',27344),(27374,'67390','Ohnenheim',27345),(27375,'67630','Neewiller Près Lauterbourg',27346),(27376,'67170','Donnenheim',27347),(27377,'67260','Harskirchen',27348),(27378,'67220','Thanvillé',27349),(27379,'67230','Obenheim',27350),(27380,'67980','Hangenbieten',27351),(27381,'67370','Wiwersheim',27352),(27382,'67310','Zehnacker',27353),(27383,'67170','Hohatzenheim',27354),(27384,'67800','Bischheim',27355),(27385,'67700','Wolschheim',27356),(27386,'67430','Dehlingen',27357),(27387,'67120','Kolbsheim',27358),(27388,'67210','Meistratzheim',27359),(27389,'67560','Rosenwiller',27360),(27390,'67310','Westhoffen',27361),(27391,'67320','Durstel',27362),(27392,'67330','Bosselshausen',27363),(27393,'67110','Dambach',27364),(27394,'67630','Scheibenhard',27365),(27395,'67320','Adamswiller',27366),(27396,'67310','Scharrachbergheim Irmstett',27367),(27397,'67260','Siltzheim',27368),(27398,'67960','Entzheim',27369),(27399,'67430','Ratzwiller',27370),(27400,'67430','Domfessel',27371),(27401,'67580','Laubach',27372),(27402,'67270','Bossendorf',27373),(27403,'67290','Hinsbourg',27374),(27404,'67250','Schœnenbourg',27375),(27405,'67350','Uhlwiller',27376),(27406,'67360','Gœrsdorf',27377),(27407,'67260','Diedendorf',27378),(27408,'67310','Traenheim',27379),(27409,'67490','Dettwiller',27380),(27410,'67220','Triembach Au Val',27381),(27411,'67590','Schweighouse Sur Moder',27382),(27412,'67360','Wœrth',27383),(27413,'67310','Bergbieten',27384),(27414,'67880','Innenheim',27385),(27415,'67320','Eschbourg',27386),(27416,'67550','Eckwersheim',27387),(27417,'67280','Oberhaslach',27388),(27418,'67360','Eschbach',27389),(27419,'67130','Wisches',27390),(27420,'67700','Otterswiller',27391),(27421,'67130','Wildersbach',27392),(27422,'67360','Oberdorf Spachbach',27393),(27423,'67300','Schiltigheim',27394),(27424,'67360','Hegeney',27395),(27425,'67470','Wintzenbach',27396),(27426,'67290','La Petite Pierre',27397),(27427,'67350','Ringeldorf',27398),(27428,'67120','Avolsheim',27399),(27429,'67320','Kirrberg',27400),(27430,'67480','Forstfeld',27401),(27431,'67310','Crastatt',27402),(27432,'67430','Vœllerdingen',27403),(27433,'67860','Rhinau',27404),(27434,'67220','Ville',27405),(27435,'67330','Uttwiller',27406),(27436,'67320','Gœrlingen',27407),(27437,'67320','Weyer',27408),(27438,'67260','Rimsdorf',27409),(27439,'67110','Reichshoffen',27410),(27440,'67350','Kindwiller',27411),(27441,'67220','Urbeis',27412),(27442,'67170','Geudertheim',27413),(27443,'67340','Weiterswiller',27414),(27444,'67320','Schœnbourg',27415),(27445,'67490','Lupstein',27416),(27446,'67360','Walbourg',27417),(27447,'67510','Climbach',27418),(27448,'67360','Gunstett',27419),(27449,'67460','Souffelweyersheim',27420),(27450,'67360','Biblisheim',27421),(27451,'67810','Holtzheim',27422),(27452,'67390','Hessenheim',27423),(27453,'67640','Lipsheim',27424),(27454,'67860','Friesenheim',27425),(27455,'67205','Oberhausbergen',27426),(27456,'67250','Retschwiller',27427),(27457,'67390','Artolsheim',27428),(27458,'67270','Hochfelden',27429),(27459,'67270','Kienheim',27430),(27460,'67270','Minversheim',27431),(27461,'67170','Mittelschaeffolsheim',27432),(27462,'67330','Obermodern Zutzendorf',27433),(27463,'67470','Eberbach Seltz',27434),(27464,'67260','Wolfskirchen',27435),(27465,'67250','Kutzenhausen',27436),(27466,'67720','Hœrdt',27437),(27467,'67140','Eichhoffen',27438),(27468,'67670','Mommenheim',27439),(27469,'67280','Niederhaslach',27440),(27470,'67110','Windstein',27441),(27471,'67400','Illkirch Graffenstaden',27442),(27472,'67630','Lauterbourg',27443),(27473,'67480','Rœschwoog',27444),(27474,'67330','Neuwiller Lès Saverne',27445),(27475,'67140','Itterswiller',27446),(27476,'67600','Sélestat',27447),(27477,'67390','Heidolsheim',27448),(27478,'67350','Grassendorf',27449),(27479,'67130','Grandfontaine',27450),(27480,'67440','Jetterswiller',27451),(27481,'67120','Dachstein',27452),(27482,'67370','Schnersheim',27453),(27483,'67130','Schirmeck',27454),(27484,'67250','Hunspach',27455),(27485,'67150','Hindisheim',27456),(27486,'67360','Morsbronn Les Bains',27457),(27487,'67230','Rossfeld',27458),(27488,'67580','Mertzwiller',27459),(27489,'67150','Gerstheim',27460),(27490,'67290','Wimmenau',27461),(27491,'67210','Goxwiller',27462),(27492,'67220','Fouchy',27463),(27493,'67370','Willgottheim',27464),(27494,'67230','Sermersheim',27465),(27495,'67600','Ebersmunster',27466),(27496,'67202','Wolfisheim',27467),(27497,'67600','Muttersholtz',27468),(27498,'67270','Melsheim',27469),(27499,'67260','Hinsingen',27470),(27500,'67170','Olwisheim',27471),(27501,'67150','Uttenheim',27472),(27502,'67680','Epfig',27473),(27503,'67480','Rountzenheim',27474),(27504,'67420','Colroy La Roche',27475),(27505,'67130','Waldersbach',27476),(27506,'67330','Ernolsheim Lès Saverne',27477),(27507,'67800','Hœnheim',27478),(27508,'67206','Mittelhausbergen',27479),(27509,'67230','Westhouse',27480),(27510,'67170','Hochstett',27481),(27511,'67190','Dinsheim Sur Bruche',27482),(27512,'67320','Drulingen',27483),(27513,'67280','Urmatt',27484),(27514,'67220','Breitenbach',27485),(27515,'67330','Obersoultzbach',27486),(27516,'67120','Soultz Les Bains',27487),(27517,'67150','Schaeffersheim',27488),(27518,'67150','Erstein',27489),(27519,'67990','Osthoffen',27490),(27520,'67320','Asswiller',27491),(27521,'67390','Mackenheim',27492),(27522,'67390','Bœsenbiesen',27493),(27523,'67920','Sundhouse',27494),(27524,'67190','Gresswiller',27495),(27525,'67190','Grendelbruch',27496),(27526,'67790','Steinbourg',27497),(27527,'67650','Blienschwiller',27498),(27528,'67120','Ergersheim',27499),(27529,'67700','Maennolsheim',27500),(27530,'67170','Kriegsheim',27501),(27531,'67270','Lixhausen',27502),(27532,'67480','Kauffenheim',27503),(27533,'67350','Niedermodern',27504),(27534,'67270','Wilwisheim',27505),(27535,'67650','Dieffenthal',27506),(27536,'67480','Leutenheim',27507),(27537,'67670','Wittersheim',27508),(27538,'67730','Châtenois',27509),(27539,'67290','Tieffenbach',27510),(27540,'67290','Struth',27511),(27541,'67140','Le Hohwald',27512),(27542,'67350','Schalkendorf',27513),(27543,'67480','Fort Louis',27514),(27544,'67140','Bourgheim',27515),(27545,'67340','Reipertswiller',27516),(27546,'67600','Kintzheim',27517),(27547,'67360','Dieffenbach Lès Wœrth',27518),(27548,'67114','Eschau',27519),(27549,'67170','Brumath',27520),(27550,'67970','Oermingen',27521),(27551,'67580','Forstheim',27522),(27552,'67240','Schirrhoffen',27523),(27553,'67330','Kirrwiller',27524),(27554,'67510','Wingen',27525),(27555,'67270','Alteckendorf',27526),(27556,'67210','Bernardswiller',27527),(27557,'67500','Weitbruch',27528),(27558,'67270','Geiswiller',27529),(27559,'67470','Crœttwiller',27530),(27560,'67610','La Wantzenau',27531),(27561,'67520','Kirchheim',27532),(27562,'67310','Zeinheim',27533),(27563,'67640','Fegersheim',27534),(27564,'67270','Schaffhouse Sur Zorn',27535),(27565,'67220','Neuve Église',27536),(27566,'67110','Oberbronn',27537),(27567,'67820','Wittisheim',27538),(27568,'67720','Weyersheim',27539),(27569,'67340','Ingwiller',27540),(27570,'67230','Witternheim',27541),(27571,'67340','Menchhoffen',27542),(27572,'67520','Kuttolsheim',27543),(27573,'67440','Hengwiller',27544),(27574,'67116','Reichstett',27545),(27575,'67360','Langensoultzbach',27546),(27576,'67850','Herrlisheim',27547),(27577,'67290','Volksberg',27548),(27578,'67440','Birkenwald',27549),(27579,'67270','Duntzenheim',27550),(27580,'67440','Reutenbourg',27551),(27581,'67500','Haguenau',27552),(27582,'67270','Durningen',27553),(27583,'67350','La Walck',27554),(27584,'67700','Ottersthal',27555),(27585,'67330','Issenhausen',27556),(27586,'67440','Reinhardsmunster',27557),(27587,'67700','Saint Jean Saverne',27558),(27588,'67600','Orschwiller',27559),(27589,'67113','Blaesheim',27560),(27590,'67117','Furdenheim',27561),(27591,'67117','Quatzenheim',27562),(27592,'67330','Niedersoultzbach',27563),(27593,'67160','Steinseltz',27564),(27594,'67320','Hirschland',27565),(27595,'67120','Ernolsheim Bruche',27566),(27596,'67203','Oberschaeffolsheim',27567),(27597,'67420','Saint Blaise La Roche',27568),(27598,'67420','Ranrupt',27569),(27599,'67220','Saint Pierre Bois',27570),(27600,'67520','Wangen',27571),(27601,'67370','Griesheim Sur Souffel',27572),(27602,'67130','Belmont',27573),(27603,'67370','Berstett',27574),(27604,'67130','Neuviller La Roche',27575),(27605,'67310','Allenwiller',27576),(27606,'67320','Rexingen',27577),(27607,'67207','Niederhausbergen',27578),(27608,'67190','Mutzig',27579),(27609,'67240','Schirrhein',27580),(27610,'67600','Bindernheim',27581),(27611,'67600','Mussig',27582),(27612,'67420','Saulxures',27583),(27613,'67120','Duppigheim',27584),(27614,'67350','Mulhausen',27585),(27615,'67430','Diemeringen',27586),(27616,'67420','Saales',27587),(27617,'67260','Sarrewerden',27588),(27618,'67710','Wangenbourg Engenthal',27589),(27619,'67204','Achenheim',27590),(27620,'67600','Ebersheim',27591),(27621,'67250','Keffenach',27592),(27622,'67210','Griesheim Près Molsheim',27593),(27623,'67430','Lorentzen',27594),(27624,'67110','Gundershoffen',27595),(27625,'67110','Uttenhoffen',27596),(27626,'67730','La Vancelle',27597),(27627,'67580','Mietesheim',27598),(27628,'67120','Wolxheim',27599),(27629,'67290','Erckartswiller',27600),(27630,'67270','Schwindratzheim',27601),(27631,'67250','Oberrœdern',27602),(27632,'67320','Berg',27603),(27633,'67320','Thal Drulingen',27604),(27634,'67680','Nothalten',27605),(27635,'67480','Neuhaeusel',27606),(27636,'67350','Morschwiller',27607),(27637,'67770','Sessenheim',27608),(27638,'67570','Rothau',27609),(27639,'67350','Ettendorf',27610),(27640,'67530','Ottrott',27611),(27641,'67320','Gungwiller',27612),(27642,'67380','Lingolsheim',27613),(27643,'67440','Salenthal',27614),(27644,'67140','Zellwiller',27615),(27645,'67500','Batzendorf',27616),(27646,'67630','Niederlauterbach',27617),(27647,'67490','Friedolsheim',27618),(27648,'67700','Gottenhouse',27619),(27649,'67440','Schwenheim',27620),(27650,'67210','Valff',27621),(27651,'67170','Rottelsheim',27622),(27652,'67170','Berstheim',27623),(27653,'67220','Neubois',27624),(27654,'67140','Bernardvillé',27625),(27655,'67480','Auenheim',27626),(27656,'67310','Knœrsheim',27627),(27657,'67350','Uhrwiller',27628),(27658,'67390','Elsenheim',27629),(27659,'67650','Dambach La Ville',27630),(27660,'67700','Landersheim',27631),(27661,'67490','Printzheim',27632),(27662,'67160','Rott',27633),(27663,'67220','Albé',27634),(27664,'67390','Bootzheim',27635),(27665,'67350','Uberach',27636),(27666,'67340','Sparsbach',27637),(27667,'67160','Wissembourg',27638),(27668,'67230','Herbsheim',27639),(27669,'67880','Krautergersheim',27640),(27670,'67250','Preuschdorf',27641),(27671,'67160','Oberlauterbach',27642),(27672,'67250','Stundwiller',27643),(27673,'67130','Solbach',27644),(27674,'67160','Drachenbronn Birlenbach',27645),(27675,'67310','Dahlenheim',27646),(27676,'68560','Ruederbach',27647),(27677,'68480','Courtavon',27648),(27678,'68310','Wittelsheim',27649),(27679,'68640','Steinsoultz',27650),(27680,'68440','Habsheim',27651),(27681,'68116','Guewenheim',27652),(27682,'68000','Colmar',27653),(27683,'68420','Gueberschwihr',27654),(27684,'68560','Hirsingue',27655),(27685,'68480','Linsdorf',27656),(27686,'68720','Hochstatt',27657),(27687,'68640','Muespach Le Haut',27658),(27688,'68640','Muespach',27659),(27689,'68190','Raedersheim',27660),(27690,'68580','Friesen',27661),(27691,'68680','Kembs',27662),(27692,'68700','Aspach Le Bas',27663),(27693,'68440','Dietwiller',27664),(27694,'68490','Hombourg',27665),(27695,'68720','Illfurth',27666),(27696,'68130','Carspach',27667),(27697,'68480','Biederthal',27668),(27698,'68740','Nambsheim',27669),(27699,'68130','Hundsbach',27670),(27700,'68730','Ranspach Le Bas',27671),(27701,'68920','Wettolsheim',27672),(27702,'68130','Altkirch',27673),(27703,'68230','Zimmerbach',27674),(27704,'68290','Rimbach Près Masevaux',27675),(27705,'68730','Blotzheim',27676),(27706,'68480','Winkel',27677),(27707,'68250','Westhalten',27678),(27708,'68700','Michelbach',27679),(27709,'68230','Wasserbourg',27680),(27710,'68600','Neuf Brisach',27681),(27711,'68690','Moosch',27682),(27712,'68480','Mœrnach',27683),(27713,'68210','Fulleren',27684),(27714,'68250','Rouffach',27685),(27715,'68490','Bantzenheim',27686),(27716,'68510','Magstatt Le Haut',27687),(27717,'68480','Pfetterhouse',27688),(27718,'68340','Zellenberg',27689),(27719,'68210','Montreux Vieux',27690),(27720,'68990','Heimsbrunn',27691),(27721,'68800','Leimbach',27692),(27722,'68970','Illhaeusern',27693),(27723,'68680','Niffer',27694),(27724,'68440','Schlierbach',27695),(27725,'68500','Jungholtz',27696),(27726,'68720','Zillisheim',27697),(27727,'68720','Spechbach Le Haut',27698),(27728,'68950','Reiningue',27699),(27729,'68220','Knœringue',27700),(27730,'68280','Andolsheim',27701),(27731,'68340','Riquewihr',27702),(27732,'68510','Kappelen',27703),(27733,'68720','Spechbach Le Bas',27704),(27734,'68121','Urbès',27705),(27735,'68210','Gommersdorf',27706),(27736,'68700','Aspach Le Haut',27707),(27737,'68560','Bettendorf',27708),(27738,'68210','Buethwiller',27709),(27739,'68128','Village Neuf',27710),(27740,'68590','Thannenkirch',27711),(27741,'68480','Bendorf',27712),(27742,'68610','Lautenbach',27713),(27743,'68480','Lutter',27714),(27744,'68210','Elbach',27715),(27745,'68570','Soultzmatt',27716),(27746,'68210','Retzwiller',27717),(27747,'68480','Lucelle',27718),(27748,'68290','Oberbruck',27719),(27749,'68500','Berrwiller',27720),(27750,'68480','Vieux Ferrette',27721),(27751,'68380','Sondernach',27722),(27752,'68210','Manspach',27723),(27753,'68480','Sondersdorf',27724),(27754,'68220','Buschwiller',27725),(27755,'68150','Ostheim',27726),(27756,'68480','Ligsdorf',27727),(27757,'68230','Niedermorschwihr',27728),(27758,'68760','Goldbach Altenbach',27729),(27759,'68740','Blodelsheim',27730),(27760,'68960','Henflingen',27731),(27761,'68280','Sundhoffen',27732),(27762,'68620','Bitschwiller Lès Thann',27733),(27763,'68280','Logelheim',27734),(27764,'68130','Heiwiller',27735),(27765,'68150','Aubure',27736),(27766,'68250','Munwiller',27737),(27767,'68540','Bollwiller',27738),(27768,'68740','Rustenhart',27739),(27769,'68750','Bergheim',27740),(27770,'68130','Hausgauen',27741),(27771,'68260','Kingersheim',27742),(27772,'68127','Biltzheim',27743),(27773,'68720','Eglingen',27744),(27774,'68290','Bourbach Le Bas',27745),(27775,'68128','Rosenau',27746),(27776,'68510','Helfrantzkirch',27747),(27777,'68118','Hirtzbach',27748),(27778,'68570','Osenbach',27749),(27779,'68960','Willer',27750),(27780,'68640','Feldbach',27751),(27781,'68480','Kœstlach',27752),(27782,'68780','Mortzwiller',27753),(27783,'68210','Saint Ulrich',27754),(27784,'68740','Munchhouse',27755),(27785,'68480','Levoncourt',27756),(27786,'68870','Bartenheim',27757),(27787,'68290','Bourbach Le Haut',27758),(27788,'68440','Steinbrunn Le Bas',27759),(27789,'68128','Saint Louis',27760),(27790,'68220','Hésingue',27761),(27791,'68780','Diefmatten',27762),(27792,'68210','Altenach',27763),(27793,'68270','Ruelisheim',27764),(27794,'68720','Tagolsheim',27765),(27795,'68480','Wolschwiller',27766),(27796,'68470','Husseren Wesserling',27767),(27797,'68380','Breitenbach Haut Rhin',27768),(27798,'68140','Soultzeren',27769),(27799,'68230','Turckheim',27770),(27800,'68210','Balschwiller',27771),(27801,'68600','Biesheim',27772),(27802,'68290','Sickert',27773),(27803,'68390','Battenheim',27774),(27804,'68320','Fortschwihr',27775),(27805,'68600','Geiswasser',27776),(27806,'68920','Wintzenheim',27777),(27807,'68110','Illzach',27778),(27808,'68040','Ingersheim',27779),(27809,'68220','Michelbach Le Haut',27780),(27810,'68250','Gundolsheim',27781),(27811,'68220','Liebenswiller',27782),(27812,'68210','Chavannes Sur L\'Étang',27783),(27813,'68640','Riespach',27784),(27814,'68220','Hagenthal Le Haut',27785),(27815,'68480','Ferrette',27786),(27816,'68960','Oberdorf',27787),(27817,'68320','Riedwihr',27788),(27818,'68350','Didenheim',27789),(27819,'68270','Wittenheim',27790),(27820,'68850','Staffelfelden',27791),(27821,'68790','Morschwiller Le Bas',27792),(27822,'68210','Saint Cosme',27793),(27823,'68210','Eteimbes',27794),(27824,'68550','Saint Amarin',27795),(27825,'68420','Herrlisheim Près Colmar',27796),(27826,'68490','Chalampé',27797),(27827,'68480','Kiffis',27798),(27828,'68470','Fellering',27799),(27829,'68210','Traubach Le Haut',27800),(27830,'68580','Strueth',27801),(27831,'68440','Landser',27802),(27832,'68220','Attenschwiller',27803),(27833,'68210','Ballersdorf',27804),(27834,'68780','Sternenberg',27805),(27835,'68760','Willer Sur Thur',27806),(27836,'68320','Jebsheim',27807),(27837,'68160','Sainte Marie Aux Mines',27808),(27838,'68600','Hettenschlag',27809),(27839,'68700','Steinbach',27810),(27840,'68470','Ranspach',27811),(27841,'68650','Lapoutroie',27812),(27842,'68140','Munster',27813),(27843,'68130','Tagsdorf',27814),(27844,'68820','Wildenstein',27815),(27845,'68210','Magny',27816),(27846,'68500','Issenheim',27817),(27847,'68440','Eschentzwiller',27818),(27848,'68130','Wahlbach',27819),(27849,'68800','Vieux Thann',27820),(27850,'68210','Romagny',27821),(27851,'68520','Schweighouse Thann',27822),(27852,'68220','Hégenheim',27823),(27853,'68130','Wittersdorf',27824),(27854,'68420','Husseren Les Châteaux',27825),(27855,'68780','Bretten',27826),(27856,'68240','Sigolsheim',27827),(27857,'68580','Hindlingen',27828),(27858,'68210','Valdieu Lutran',27829),(27859,'68650','Le Bonhomme',27830),(27860,'68510','Stetten',27831),(27861,'68210','Traubach Le Bas',27832),(27862,'68220','Ranspach Le Haut',27833),(27863,'68480','Oltingue',27834),(27864,'68130','Zaessingue',27835),(27865,'68600','Wolfgantzen',27836),(27866,'68480','Durlinsdorf',27837),(27867,'68125','Houssen',27838),(27868,'68250','Oberentzen',27839),(27869,'68320','Grussenheim',27840),(27870,'68250','Niederhergheim',27841),(27871,'68130','Jettingen',27842),(27872,'68320','Artzenheim',27843),(27873,'68480','Oberlarg',27844),(27874,'68640','Waldighofen',27845),(27875,'68230','Soultzbach Les Bains',27846),(27876,'68420','Hattstatt',27847),(27877,'68320','Holtzwihr',27848),(27878,'68500','Orschwihr',27849),(27879,'68130','Walheim',27850),(27880,'68280','Appenwihr',27851),(27881,'68700','Wattwiller',27852),(27882,'68700','Uffholtz',27853),(27883,'68700','Cernay',27854),(27884,'68210','Wolfersdorf',27855),(27885,'68320','Urschenheim',27856),(27886,'68150','Hunawihr',27857),(27887,'68230','Katzenthal',27858),(27888,'68590','Saint Hippolyte',27859),(27889,'68480','Raedersdorf',27860),(27890,'68500','Merxheim',27861),(27891,'68240','Kaysersberg',27862),(27892,'68510','Magstatt Le Bas',27863),(27893,'68720','Flaxlanden',27864),(27894,'68720','Heidwiller',27865),(27895,'68780','Soppe Le Haut',27866),(27896,'68440','Steinbrunn Le Haut',27867),(27897,'68220','Wentzwiller',27868),(27898,'68160','Sainte Croix Aux Mines',27869),(27899,'68140','Luttenbach Près Munster',27870),(27900,'68290','Sewen',27871),(27901,'68590','Rodern',27872),(27902,'68780','Soppe Le Bas',27873),(27903,'68220','Hagenthal Le Bas',27874),(27904,'68320','Durrenentzen',27875),(27905,'68320','Baltzenheim',27876),(27906,'68600','Algolsheim',27877),(27907,'68220','Folgensbourg',27878),(27908,'68770','Ammerschwihr',27879),(27909,'68380','Muhlbach Sur Munster',27880),(27910,'68470','Mitzach',27881),(27911,'68470','Mollau',27882),(27912,'68800','Thann',27883),(27913,'68150','Ribeauville',27884),(27914,'68440','Zimmersheim',27885),(27915,'68630','Mittelwihr',27886),(27916,'68480','Durmenach',27887),(27917,'68590','Rorschwihr',27888),(27918,'68580','Bisel',27889),(27919,'68510','Sierentz',27890),(27920,'68420','Vœgtlinshoffen',27891),(27921,'68580','Ueberstrass',27892),(27922,'68380','Mittlach',27893),(27923,'68380','Metzeral',27894),(27924,'68600','Dessenheim',27895),(27925,'68890','Meyenheim',27896),(27926,'68330','Huningue',27897),(27927,'68890','Réguisheim',27898),(27928,'68290','Kirchberg',27899),(27929,'68740','Rumersheim Le Haut',27900),(27930,'68230','Walbach',27901),(27931,'68480','Bouxwiller',27902),(27932,'68510','Rantzwiller',27903),(27933,'68420','Obermorschwihr',27904),(27934,'68210','Gildwiller',27905),(27935,'68600','Vogelgrun',27906),(27936,'68580','Seppois Le Bas',27907),(27937,'68980','Beblenheim',27908),(27938,'68190','Ensisheim',27909),(27939,'68250','Pfaffenheim',27910),(27940,'68550','Malmerspach',27911),(27941,'68690','Geishouse',27912),(27942,'68210','Hecken',27913),(27943,'68610','Lautenbachzell',27914),(27944,'68480','Liebsdorf',27915),(27945,'68230','Wihr Au Val',27916),(27946,'68520','Burnhaupt Le Bas',27917),(27947,'68190','Ungersheim',27918),(27948,'68250','Oberhergheim',27919),(27949,'68360','Soultz Haut Rhin',27920),(27950,'68370','Orbey',27921),(27951,'68290','Niederbruck',27922),(27952,'68320','Bischwihr',27923),(27953,'68490','Petit Landau',27924),(27954,'68127','Sainte Croix En Plaine',27925),(27955,'68480','Bettlach',27926),(27956,'68600','Weckolsheim',27927),(27957,'68490','Ottmarsheim',27928),(27958,'68600','Obersaasheim',27929),(27959,'68800','Roderen',27930),(27960,'68140','Gunsbach',27931),(27961,'68970','Guémar',27932),(27962,'68500','Rimbachzell',27933),(27963,'68500','Rimbach Près Guebwiller',27934),(27964,'68210','Falkwiller',27935),(27965,'68210','Mertzen',27936),(27966,'68400','Riedisheim',27937),(27967,'68530','Buhl',27938),(27968,'68560','Heimersdorf',27939),(27969,'68740','Hirtzfelden',27940),(27970,'68130','Franken',27941),(27971,'68740','Fessenheim',27942),(27972,'68470','Storckensohn',27943),(27973,'68290','Masevaux',27944),(27974,'68130','Emlingen',27945),(27975,'68720','Frœningen',27946),(27976,'68220','Neuwiller',27947),(27977,'68210','Bernwiller',27948),(27978,'68660','Lièpvre',27949),(27979,'68290','Lauw',27950),(27980,'68290','Dolleren',27951),(27981,'68720','Saint Bernard',27952),(27982,'68600','Volgelsheim',27953),(27983,'68480','Roppentzwiller',27954),(27984,'68180','Horbourg Wihr',27955),(27985,'68220','Leymen',27956),(27986,'68910','Labaroche',27957),(27987,'68210','Bellemagny',27958),(27988,'68140','Griesbach Au Val',27959),(27989,'68350','Brunstatt',27960),(27990,'68140','Eschbach Au Val',27961),(27991,'68440','Bruebach',27962),(27992,'68600','Heiteren',27963),(27993,'68510','Uffheim',27964),(27994,'68500','Bergholtzzell',27965),(27995,'68510','Geispitzen',27966),(27996,'68500','Wuenheim',27967),(27997,'68120','Pfastatt',27968),(27998,'68390','Sausheim',27969),(27999,'68580','Largitzen',27970),(28000,'68720','Luemschwiller',27971),(28001,'68510','Kœtzingue',27972),(28002,'68990','Galfingue',27973),(28003,'68730','Michelbach Le Bas',27974),(28004,'68140','Stosswihr',27975),(28005,'68320','Kunheim',27976),(28006,'68130','Obermorschwiller',27977),(28007,'68630','Bennwihr',27978),(28008,'68540','Feldkirch',27979),(28009,'68210','Guevenatten',27980),(28010,'68960','Grentzingen',27981),(28011,'68740','Balgau',27982),(28012,'68480','Werentzhouse',27983),(28013,'68250','Niederentzen',27984),(28014,'68210','Bréchaumont',27985),(28015,'68120','Richwiller',27986),(28016,'68210','Montreux Jeune',27987),(28017,'68800','Rammersmatt',27988),(28018,'68830','Oderen',27989),(28019,'68170','Rixheim',27990),(28020,'68520','Burnhaupt Le Haut',27991),(28021,'68210','Ammerzwiller',27992),(28022,'68130','Berentzwiller',27993),(28023,'68130','Schwoben',27994),(28024,'68500','Hartmannswiller',27995),(28025,'68840','Pulversheim',27996),(28026,'68610','Linthal',27997),(28027,'68320','Wickerschwihr',27998),(28028,'68210','Dannemarie',27999),(28029,'68460','Lutterbach',28000),(28030,'68780','Sentheim',28001),(28031,'68210','Hagenbach',28002),(28032,'68140','Hohrod',28003),(28033,'68390','Baldersheim',28004),(28034,'68420','Eguisheim',28005),(28035,'68530','Murbach',28006),(28036,'68500','Guebwiller',28007),(28037,'68740','Roggenhouse',28008),(28038,'68320','Muntzenheim',28009),(28039,'68870','Brinckheim',28010),(28040,'68500','Bergholtz',28011),(28041,'68290','Wegscheid',28012),(28042,'68320','Widensolen',28013),(28043,'68580','Seppois Le Haut',28014),(28044,'68580','Mooslargue',28015),(28045,'68130','Aspach',28016),(28046,'68480','Fislis',28017),(28047,'68660','Rombach Le Franc',28018),(28048,'68240','Fréland',28019),(28050,'68510','Waltenheim',28020),(28051,'68820','Kruth',28021),(28052,'68240','Kientzheim',28022),(28053,'69600','Oullins',28023),(28054,'42800','Saint Maurice Sur Dargoire',28024),(28055,'69290','Grézieu La Varenne',28025),(28056,'69470','Thel',28026),(28057,'69240','Mardore',28027),(28058,'69270','Cailloux Sur Fontaines',28028),(28059,'69220','Saint Jean D\'Ardières',28029),(28060,'69170','Saint Clément Sur Valsonne',28030),(28061,'69580','Sathonay Village',28031),(28062,'69250','Albigny Sur Saône',28032),(28063,'69510','Soucieu En Jarrest',28033),(28064,'69380','Marcilly D\'Azergues',28034),(28065,'69970','Marennes',28035),(28066,'69250','Neuville Sur Saône',28036),(28067,'69210','Éveux',28037),(28068,'69400','Arnas',28038),(28069,'69240','Thizy',28039),(28070,'69440','Saint Didier Sous Riverie',28040),(28071,'69170','Affoux',28041),(28072,'69420','Condrieu',28042),(28073,'69490','Olmes',28043),(28074,'69520','Grigny',28044),(28075,'69210','Chevinay',28045),(28076,'69610','Souzy',28046),(28077,'69170','Saint Appolinaire',28047),(28078,'69660','Collonges Au Mont D\'Or',28048),(28079,'69380','Lissieu',28049),(28080,'69200','Vénissieux',28050),(28081,'69470','Cours La Ville',28051),(28082,'69850','Saint Martin En Haut',28052),(28083,'69790','Propières',28053),(28084,'69260','Charbonnières Les Bains',28054),(28085,'69210','Saint Pierre La Palud',28055),(28086,'69280','Sainte Consorce',28056),(28087,'69610','Halles',28057),(28088,'69460','Saint Étienne La Varenne',28058),(28089,'69330','Jonage',28059),(28090,'69400','Villefranche Sur Saône',28060),(28091,'69160','Tassin La Demi Lune',28061),(28092,'69550','Saint Jean La Bussière',28062),(28093,'69790','Azolette',28063),(28094,'69480','Lucenay',28064),(28095,'69330','Pusignan',28065),(28096,'69410','Champagne Au Mont D\'Or',28066),(28097,'69790','Saint Igny De Vers',28067),(28098,'69770','Montrottier',28068),(28099,'69780','Mions',28069),(28100,'69560','Sainte Colombe',28070),(28101,'69770','Chambost Longessaigne',28071),(28102,'69430','Ardillats',28072),(28103,'69690','Bibost',28073),(28104,'69640','Ville Sur Jarnioux',28074),(28105,'69124','Colombier Saugnieu',28075),(28106,'69490','Saint Forgeux',28076),(28107,'69430','Lantignié',28077),(28108,'69870','Saint Nizier D\'Azergues',28078),(28109,'69420','Haies',28079),(28110,'69510','Rontalon',28080),(28111,'69960','Corbas',28081),(28112,'69780','Saint Pierre De Chandieu',28082),(28113,'69400','Gleizé',28083),(28114,'69300','Caluire Et Cuire',28084),(28115,'69220','Cercié',28085),(28116,'69690','Brullioles',28086),(28117,'69480','Pommiers',28087),(28118,'69170','Valsonne',28088),(28119,'69240','La Chapelle De Mardore',28089),(28120,'69480','Marcy',28090),(28121,'69390','Charly',28091),(28122,'69860','Trades',28092),(28123,'69860','Saint Mamert',28093),(28124,'69860','Ouroux',28094),(28125,'69240','Bourg De Thizy',28095),(28126,'69670','Vaugneray',28096),(28127,'69640','Jarnioux',28097),(28128,'69540','Irigny',28098),(28129,'69170','Joux',28099),(28130,'69630','Chaponost',28100),(28131,'69490','Dareizé',28101),(28132,'69830','Saint Georges De Reneins',28102),(28133,'69210','Lentilly',28103),(28134,'69690','Courzieu',28104),(28135,'69190','Saint Fons',28105),(28136,'69780','Toussieu',28106),(28137,'69430','Avenas',28107),(28138,'69970','Chaponnay',28108),(28139,'69620','Sainte Paule',28109),(28140,'69400','Liergues',28110),(28141,'69220','Lancié',28111),(28142,'69230','Saint Genis Laval',28112),(28143,'69640','Rivolet',28113),(28144,'69550','Amplepuis',28114),(28145,'69590','Saint Symphorien Sur Coise',28115),(28146,'69170','Sauvages',28116),(28147,'69460','Le Perréon',28117),(28148,'69290','Saint Genis Les Ollières',28118),(28149,'69360','Saint Symphorien D\'Ozon',28119),(28150,'69610','Haute Rivoire',28120),(28151,'69210','Nuelles',28121),(28152,'69270','Fontaines Saint Martin',28122),(28154,'69620','Saint Laurent D\'Oingt',28123),(28155,'69620','Le Breuil',28124),(28156,'69620','Oingt',28125),(28157,'69380','Chazay D\'Azergues',28126),(28158,'69870','Poule Les Écharmeaux',28127),(28159,'69800','Saint Priest',28128),(28160,'69380','Dommartin',28129),(28161,'69620','Saint Vérand',28130),(28162,'69220','Charentay',28131),(28163,'69620','Létra',28132),(28164,'69620','Frontenas',28133),(28165,'69126','Brindas',28134),(28166,'69620','Légny',28135),(28167,'69210','Bully',28136),(28168,'69870','Claveisolles',28137),(28169,'69360','Simandres',28138),(28170,'69700','Saint Andéol Le Château',28139),(28171,'69560','Saint Cyr Sur Le Rhône',28140),(28172,'69740','Genas',28141),(28173,'69120','Vaulx En Velin',28142),(28174,'69700','Montagny',28143),(28175,'69590','Pomeys',28144),(28176,'69440','Riverie',28145),(28177,'69220','Taponas',28146),(28178,'69400','Limas',28147),(28179,'69700','Saint Jean De Touslas',28148),(28180,'69790','Saint Bonnet Des Bruyères',28149),(28181,'69380','Civrieux D\'Azergues',28150),(28182,'69930','Saint Laurent De Chamousset',28151),(28183,'69360','Communay',28152),(28184,'69670','Saint Laurent De Vaux',28153),(28185,'69510','Thurins',28154),(28186,'69490','Sarcey',28155),(28187,'69270','Couzon Au Mont D\'Or',28156),(28188,'69220','Belleville',28157),(28189,'69240','Pont Trambouze',28158),(28190,'69680','Chassieu',28159),(28191,'69640','Montmelas Saint Sorlin',28160),(28192,'69380','Lozanne',28161),(28193,'69550','Meaux La Montagne',28162),(28194,'69870','Saint Cyr Le Chatoux',28163),(28195,'69790','Saint Clément De Vers',28164),(28196,'69170','Saint Marcel L\'Éclairé',28165),(28197,'69460','Blacé',28166),(28198,'69250','Curis Au Mont D\'Or',28167),(28199,'69760','Limonest',28168),(28200,'69870','Grandris',28169),(28201,'69290','Craponne',28170),(28202,'69290','Pollionnay',28171),(28203,'69470','Ranchal',28172),(28204,'69720','Saint Bonnet De Mure',28173),(28205,'69480','Ambérieux',28174),(28206,'69870','Lamure Sur Azergues',28175),(28207,'69380','Charnay',28176),(28208,'69100','Villeurbanne',28177),(28209,'69250','Fleurieu Sur Saône',28178),(28210,'69310','Pierre Bénite',28179),(28211,'69270','Fontaines Sur Saône',28180),(28212,'69910','Villié Morgon',28181),(28213,'69380','Alix',28182),(28214,'69820','Vauxrenard',28183),(28215,'69210','Sourcieux Les Mines',28184),(28216,'69890','La Tour De Salvagny',28185),(28217,'69250','Montanay',28186),(28218,'69340','Francheville',28187),(28219,'69870','Saint Bonnet Le Troncy',28188),(28220,'69640','Denicé',28189),(28221,'69440','Saint Sorlin',28190),(28222,'69510','Messimy',28191),(28223,'69390','Vourles',28192),(28224,'69620','Bagnols',28193),(28225,'69870','Saint Just D\'Avray',28194),(28226,'69610','Saint Genis L\'Argentière',28195),(28227,'69530','Brignais',28196),(28228,'69420','Trèves',28197),(28229,'69460','Saint Étienne Des Oullières',28198),(28230,'69560','Saint Romain En Gal',28199),(28231,'69530','Orliénas',28200),(28232,'69640','Lacenas',28201),(28233,'69480','Morancé',28202),(28234,'69840','Juliénas',28203),(28235,'69850','Duerne',28204);
INSERT INTO `Villes` VALUES (28236,'69430','Marchampt',28205),(28237,'69440','Taluyers',28206),(28238,'69840','Jullié',28207),(28239,'69240','Marnand',28208),(28240,'69620','Theizé',28209),(28241,'69770','Longessaigne',28210),(28242,'69580','Sathonay Camp',28211),(28243,'69250','Poleymieux Au Mont D\'Or',28212),(28244,'69330','Jons',28213),(28245,'69360','Ternay',28214),(28246,'69270','Saint Romain Au Mont D\'Or',28215),(28247,'69700','Saint Romain En Gier',28216),(28248,'69650','Quincieux',28217),(28249,'69840','Cenves',28218),(28250,'69330','Meyzieu',28219),(28251,'69210','Savigny',28220),(28252,'69210','L\'Arbresle',28221),(28253,'69430','Régnié Durette',28222),(28254,'69280','Marcy L\'Étoile',28223),(28255,'69480','Chassagne',28224),(28256,'69820','Fleurie',28225),(28257,'69700','Échalas',28226),(28258,'69240','Saint Vincent De Reins',28227),(28259,'69460','Vaux En Beaujolais',28228),(28260,'69460','Odenas',28229),(28261,'69870','Chambost Allières',28230),(28262,'69840','Chénas',28231),(28263,'69450','Saint Cyr Au Mont D\'Or',28232),(28264,'69620','Chamelet',28233),(28265,'69690','Bessenay',28234),(28266,'69550','Ronno',28235),(28267,'69220','Saint Lager',28236),(28268,'69480','Anse',28237),(28269,'69500','Bron',28238),(28270,'69140','Rillieux La Pape',28239),(28271,'69350','La Mulatière',28240),(28272,'69590','Larajasse',28241),(28273,'69690','Brussieu',28242),(28274,'69130','Écully',28243),(28275,'69440','Chaussan',28244),(28276,'69490','Saint Romain De Popey',28245),(28277,'69610','Grézieu Le Marché',28246),(28278,'69590','La Chapelle Sur Coise',28247),(28279,'69360','Sérézin Du Rhône',28248),(28280,'69400','Pouilly Le Monial',28249),(28281,'69620','Ternand',28250),(28282,'69210','Sain Bel',28251),(28283,'69840','Émeringes',28252),(28284,'69170','Dième',28253),(28285,'69490','Pontcharra Sur Turdine',28254),(28286,'69380','Chères',28255),(28287,'69150','Décines Charpieu',28256),(28288,'69490','Saint Loup',28257),(28289,'69360','Solaize',28258),(28290,'69430','Saint Didier Sur Beaujeu',28259),(28291,'69440','Saint Laurent D\'Agny',28260),(28292,'69720','Saint Laurent De Mure',28261),(28293,'69510','Yzeron',28262),(28294,'69390','Vernaison',28263),(28295,'69610','Sainte Foy L\'Argentière',28264),(28296,'69570','Dardilly',28265),(28297,'69690','Saint Julien Sur Bibost',28266),(28298,'69370','Saint Didier Au Mont D\'Or',28267),(28299,'69380','Châtillon',28268),(28300,'69550','Cublize',28269),(28301,'69590','Coise',28270),(28302,'69380','Belmont D\'Azergues',28271),(28303,'69730','Genay',28272),(28304,'69420','Longes',28273),(28305,'69700','Loire Sur Rhône',28274),(28306,'69420','Ampuis',28275),(28307,'69115','Chiroubles',28276),(28308,'69860','Saint Jacques Des Arrêts',28277),(28309,'69210','Fleurieux Sur L\'Arbresle',28278),(28310,'69620','Moiré',28279),(28311,'69440','Saint André La Côte',28280),(28312,'69320','Feyzin',28281),(28313,'69430','Vernay',28282),(28314,'69640','Cogny',28283),(28315,'69430','Quincié En Beaujolais',28284),(28316,'69460','Salles Arbuissonnas En Beaujolais',28285),(28317,'69860','Monsols',28286),(28318,'69790','Aigueperse',28287),(28319,'69430','Beaujeu',28288),(28320,'69860','Saint Christophe',28289),(28321,'69650','Saint Germain Au Mont D\'Or',28290),(28322,'69220','Corcelles En Beaujolais',28291),(28323,'69170','Tarare',28292),(28324,'69440','Mornant',28293),(28325,'69220','Dracé',28294),(28326,'69380','Chessy',28295),(28327,'69770','Villechenève',28296),(28328,'69620','Le Bois D\'Oingt',28297),(28329,'69930','Saint Clément Les Places',28298),(28330,'69380','Saint Jean Des Vignes',28299),(28331,'69700','Chassagny',28300),(28332,'69640','Saint Julien',28301),(28333,'69420','Tupin Et Semons',28302),(28334,'69700','Givors',28303),(28335,'69380','Chasselay',28304),(28336,'69210','Saint Germain Sur L\'Arbresle',28305),(28337,'69270','Rochetaillée Sur Saône',28306),(28338,'69430','Chénelette',28307),(28339,'69110','Sainte Foy Lès Lyon',28308),(28340,'69610','Meys',28309),(28341,'69610','Montromant',28310),(28342,'69610','Aveize',28311),(28343,'69440','Sainte Catherine',28312),(28344,'69390','Millery',28313),(28345,'69490','Ancy',28314),(28346,'70100','Ancier',28315),(28347,'70120','Theuley',28316),(28348,'70210','Betoncourt Saint Pancras',28317),(28349,'70230','Bouhans Lès Montbozon',28318),(28350,'70230','Filain',28319),(28351,'70130','Soing Cubry Charentenay',28320),(28352,'70130','Vy Le Ferroux',28321),(28353,'70160','Fleurey Lès Faverney',28322),(28354,'70000','Le Magnoray',28323),(28355,'70160','Arbecey',28324),(28356,'70200','Aynans',28325),(28357,'70100','Montureux Et Prantigny',28326),(28358,'70110','Montjustin Et Velotte',28327),(28359,'70150','Chenevrey Et Morogne',28328),(28360,'70180','Dampierre Sur Salon',28329),(28361,'70100','Arsans',28330),(28362,'70110','Esprels',28331),(28363,'70700','Vellemoz',28332),(28364,'70000','Velle Le Châtel',28333),(28365,'70190','La Barre',28334),(28366,'70160','Mersuay',28335),(28367,'70500','Barges',28336),(28368,'70000','Noidans Lès Vesoul',28337),(28369,'70000','Montcey',28338),(28370,'70200','Luré',28339),(28371,'70400','Villers Sur Saulnot',28340),(28372,'70700','Étrelles Et La Montbleuse',28341),(28373,'70300','Saint Sauveur',28342),(28374,'70360','Bucey Lès Traves',28343),(28375,'70100','Le Tremblois',28344),(28376,'70500','Jussey',28345),(28377,'70290','Plancher Bas',28346),(28378,'70180','Autet',28347),(28379,'70300','Saint Valbert',28348),(28380,'70240','Châteney',28349),(28381,'70500','Betaucourt',28350),(28382,'70270','La Lanterne Et Les Armonts',28351),(28383,'70400','Belverne',28352),(28384,'70170','Chargey Lès Port',28353),(28385,'70180','Francourt',28354),(28386,'70000','Montigny Lès Vesoul',28355),(28387,'70700','Vantoux Et Longevelle',28356),(28388,'70700','Citey',28357),(28389,'70240','La Villeneuve Bellenoye Et La Maize',28358),(28390,'70000','Cerre Lès Noroy',28359),(28391,'70240','Mollans',28360),(28392,'70190','Beaumotte Aubertans',28361),(28393,'70120','Combeaufontaine',28362),(28394,'70190','Rioz',28363),(28395,'70000','Dampvalley Lès Colombe',28364),(28396,'70000','Raze',28365),(28397,'70200','Magny Vernois',28366),(28398,'70700','Cugney',28367),(28399,'70170','Conflandey',28368),(28400,'70130','Recologne',28369),(28401,'70120','Charmes Saint Valbert',28370),(28402,'70200','Adelans Et Le Val De Bithaine',28371),(28403,'70110','Villargent',28372),(28404,'70500','Lambrey',28373),(28405,'70800','Cuve',28374),(28406,'70100','Sauvigney Lès Gray',28375),(28407,'70210','Fontenois La Ville',28376),(28408,'70110','Magny',28377),(28409,'70120','Gourgeon',28378),(28410,'70700','Villers Chemin Et Mont Lès Étrelles',28379),(28411,'70180','Delain',28380),(28412,'70100','Fahy Lès Autrey',28381),(28413,'70210','Demangevelle',28382),(28414,'70100','Mantoche',28383),(28415,'70230','Thiénans',28384),(28416,'70150','Étuz',28385),(28417,'70100','Bouhans Et Feurg',28386),(28418,'70400','Brevilliers',28387),(28419,'70180','Membrey',28388),(28420,'70180','Vereux',28389),(28421,'70130','Fresne Saint Mamès',28390),(28422,'70120','Confracourt',28391),(28423,'70600','Vars',28392),(28424,'70000','Échenoz La Méline',28393),(28425,'70140','La Résie Saint Martin',28394),(28426,'70400','Échavanne',28395),(28427,'70130','Bâties',28396),(28428,'70000','Andelarrot',28397),(28429,'70130','Motey Sur Saône',28398),(28430,'70190','Villers Pater',28399),(28431,'70110','Georfans',28400),(28432,'70100','Noiron',28401),(28433,'70700','Frasne Le Château',28402),(28434,'70120','Oigney',28403),(28435,'70000','Velleguindry Et Levrecey',28404),(28436,'70150','Courcuire',28405),(28437,'70190','Authoison',28406),(28438,'70500','Cendrecourt',28407),(28439,'70310','La Montagne',28408),(28440,'70250','Ronchamp',28409),(28441,'70100','Attricourt',28410),(28442,'70130','Ray Sur Saône',28411),(28443,'70240','Vilory',28412),(28444,'70700','Bucey Lès Gy',28413),(28445,'70500','Buffignécourt',28414),(28446,'70300','Velorcey',28415),(28447,'70150','Avrigney Virey',28416),(28448,'70100','Germigney',28417),(28449,'70800','Bourguignon Lès Conflans',28418),(28450,'70700','Gézier Et Fontenelay',28419),(28451,'70160','Menoux',28420),(28452,'70230','Cenans',28421),(28453,'70800','La Pisseure',28422),(28454,'70700','Igny',28423),(28455,'70700','La Chapelle Saint Quillain',28424),(28456,'70300','Magnivray',28425),(28457,'70500','Chauvirey Le Vieil',28426),(28458,'70240','Saulx',28427),(28459,'70200','Roye',28428),(28460,'70190','Trésilley',28429),(28461,'70300','Visoncourt',28430),(28462,'70200','Vy Lès Lure',28431),(28463,'70700','Velloreille Lès Choye',28432),(28464,'70200','Palante',28433),(28465,'70800','Magnoncourt',28434),(28466,'70230','Dampierre Sur Linotte',28435),(28467,'70000','Vallerois Le Bois',28436),(28468,'70120','Lavoncourt',28437),(28469,'70300','Betoncourt Lès Brotte',28438),(28470,'70000','La Demie',28439),(28471,'70200','Linexert',28440),(28472,'70600','Percey Le Grand',28441),(28473,'70190','Buthiers',28442),(28474,'70000','Clans',28443),(28475,'70360','Pontcey',28444),(28476,'70180','Montot',28445),(28477,'70130','Vanne',28446),(28478,'70200','Magny Jobert',28447),(28479,'70300','Breuches',28448),(28480,'70200','La Vergenne',28449),(28481,'70400','Granges La Ville',28450),(28482,'70210','Melincourt',28451),(28483,'70700','Oiselay Et Grachaux',28452),(28484,'70110','Marast',28453),(28485,'70500','Vougécourt',28454),(28486,'70500','Rosières Sur Mance',28455),(28487,'70310','La Longine',28456),(28488,'70500','Cemboing',28457),(28489,'70100','Onay',28458),(28490,'70280','Saint Bresson',28459),(28491,'70700','Autoreille',28460),(28492,'70400','Luzé',28461),(28493,'70140','Chaumercenne',28462),(28494,'70300','La Corbière',28463),(28495,'70000','Colombier',28464),(28496,'70400','Coisevaux',28465),(28497,'70210','Girefontaine',28466),(28498,'70500','Ranzevelle',28467),(28499,'70210','Dampvalley Saint Pancras',28468),(28500,'70440','Haut Du Them Château Lambert',28469),(28501,'70400','Échenans Sous Mont Vaudois',28470),(28502,'70210','Mailleroncourt Saint Pancras',28471),(28503,'70140','Bresilley',28472),(28504,'70110','Mélecey',28473),(28505,'70400','Mandrevillars',28474),(28506,'70500','Ouge',28475),(28507,'70800','Hautevelle',28476),(28508,'70000','Flagy',28477),(28509,'70140','Chancey',28478),(28510,'70800','Briaucourt',28479),(28511,'70130','Savoyeux',28480),(28512,'70210','Anchenoncourt Et Chazel',28481),(28513,'70170','Chaux Lès Port',28482),(28514,'70000','Coulevon',28483),(28515,'70160','Senoncourt',28484),(28516,'70500','Jonvelle',28485),(28517,'70400','Errevet',28486),(28518,'70700','Velleclaire',28487),(28519,'70300','Brotte Lès Luxeuil',28488),(28520,'70210','Vauvillers',28489),(28521,'70210','Hurecourt',28490),(28522,'70210','Selles',28491),(28523,'70100','Auvet Et La Chapelotte',28492),(28524,'70400','Courmont',28493),(28525,'70110','Villers La Ville',28494),(28526,'70200','Vouhenans',28495),(28527,'70240','Creveney',28496),(28528,'70000','Vesoul',28497),(28529,'70270','Ternuay Melay Et Saint Hilaire',28498),(28530,'70800','Bouligney',28499),(28531,'70200','Malbouhans',28500),(28532,'70230','Roche Sur Linotte Et Sorans Les Cordiers',28501),(28533,'70190','Fondremand',28502),(28534,'70230','Montbozon',28503),(28535,'70240','Mailleroncourt Charette',28504),(28536,'70000','Échenoz Le Sec',28505),(28537,'70120','Renaucourt',28506),(28538,'70190','Boult',28507),(28539,'70200','La Côte',28508),(28540,'70700','Charcenne',28509),(28541,'70000','Comberjon',28510),(28542,'70600','Champlitte',28511),(28543,'70310','Faucogney Et La Mer',28512),(28544,'70300','Froideconche',28513),(28545,'70240','Châtenois',28514),(28546,'70600','Oyrières',28515),(28547,'70500','Tartécourt',28516),(28548,'70000','Boursières',28517),(28549,'70500','Montureux Lès Baulay',28518),(28550,'70210','La Basse Vaivre',28519),(28551,'70200','Lomont',28520),(28552,'70150','Marnay',28521),(28553,'70600','Argillières',28522),(28554,'70500','Aisey Et Richecourt',28523),(28555,'70800','Conflans Sur Lanterne',28524),(28556,'70160','Purgerot',28525),(28557,'70400','Saulnot',28526),(28558,'70700','Angirey',28527),(28559,'70140','Sauvigney Lès Pesmes',28528),(28560,'70240','Liévans',28529),(28561,'70190','Vandelans',28530),(28562,'70360','Scey Sur Saône Et Saint Albin',28531),(28563,'70140','Bard Lès Pesmes',28532),(28564,'70130','Noidans Le Ferroux',28533),(28565,'70160','Cubry Lès Faverney',28534),(28566,'70190','Quenoche',28535),(28567,'70120','Bourguignon Lès Morey',28536),(28568,'70190','Bourguignon Lès La Charité',28537),(28569,'70120','La Quarte',28538),(28570,'70190','Cirey',28539),(28571,'70140','Valay',28540),(28572,'70700','Vaux Le Moncelot',28541),(28573,'70120','La Rochelle',28542),(28574,'70000','Colombe Lès Vesoul',28543),(28575,'70600','Larret',28544),(28576,'70500','Bougey',28545),(28577,'70500','Chauvirey Le Châtel',28546),(28578,'70300','Meurcourt',28547),(28579,'70160','Équevilley',28548),(28580,'70240','Genevrey',28549),(28581,'70300','La Chapelle Lès Luxeuil',28550),(28582,'70240','La Creuse',28551),(28583,'70200','Bouhans Lès Lure',28552),(28584,'70150','Bay',28553),(28585,'70130','Vezet',28554),(28586,'70110','Courchaton',28555),(28587,'70310','Beulotte Saint Laurent',28556),(28588,'70400','Granges Le Bourg',28557),(28589,'70700','Choye',28558),(28590,'70000','Andelarre',28559),(28591,'70240','Pomoy',28560),(28592,'70270','Saint Barthélemy',28561),(28593,'70120','Fleurey Lès Lavoncourt',28562),(28594,'70140','Motey Besuche',28563),(28595,'70200','Rignovelle',28564),(28596,'70240','Velleminfroy',28565),(28597,'70360','La Neuvelle Lès Scey',28566),(28598,'70500','Vitrey Sur Mance',28567),(28599,'70800','Dampierre Lès Conflans',28568),(28600,'70200','Saint Germain',28569),(28601,'70170','Bougnon',28570),(28602,'70110','Borey',28571),(28603,'70160','Faverney',28572),(28604,'70000','Navenne',28573),(28605,'70000','Baignes',28574),(28606,'70600','Courtesoult Et Gatey',28575),(28607,'70110','Aillevans',28576),(28608,'70000','Vaivre Et Montoille',28577),(28609,'70000','Auxon',28578),(28610,'70200','Amblans Et Velotte',28579),(28611,'70000','Villeparois',28580),(28612,'70100','Chargey Lès Gray',28581),(28613,'70160','Le Val Saint Éloi',28582),(28614,'70500','Montcourt',28583),(28615,'70000','Quincey',28584),(28616,'70160','Breurey Lès Faverney',28585),(28617,'70170','Vauchoux',28586),(28618,'70200','Andornay',28587),(28619,'70280','Amage',28588),(28620,'70120','Grandecourt',28589),(28621,'70180','Brotte Lès Ray',28590),(28622,'70230','Loulans Verchamp',28591),(28623,'70700','Sainte Reine',28592),(28624,'70210','Pont Du Bois',28593),(28625,'70110','Vellechevreux Et Courbenans',28594),(28626,'70700','Gy',28595),(28627,'70230','Besnans',28596),(28628,'70230','Ormenans',28597),(28629,'70400','Chavanne',28598),(28630,'70400','Vyans Le Val',28599),(28631,'70100','Nantilly',28600),(28632,'70190','Montarlot Lès Rioz',28601),(28633,'70190','La Malachère',28602),(28634,'70180','Achey',28603),(28635,'70140','Lieucourt',28604),(28636,'70120','Mont Saint Léger',28605),(28637,'70400','Mignavillers',28606),(28638,'70150','Sornay',28607),(28639,'70310','La Proiselière Et Langle',28608),(28640,'70130','La Vernotte',28609),(28641,'70160','Amance',28610),(28642,'70190','Perrouse',28611),(28643,'70800','Fontaine Lès Luxeuil',28612),(28644,'70600','Fouvent Saint Andoche',28613),(28645,'70160','Saint Rémy',28614),(28646,'70120','Villers Vaudey',28615),(28647,'70130','Le Pont De Planches',28616),(28648,'70310','La Voivre',28617),(28649,'70230','Larians Et Munans',28618),(28650,'70300','Ailloncourt',28619),(28651,'70170','Amoncourt',28620),(28652,'70200','Quers',28621),(28653,'70160','Baulay',28622),(28654,'70210','Polaincourt Et Clairefontaine',28623),(28655,'70400','Châlonvillars',28624),(28656,'70130','Seveux',28625),(28657,'70120','Lavigney',28626),(28658,'70170','Villers Sur Port',28627),(28659,'70100','Cresancey',28628),(28660,'70000','Vellefaux',28629),(28661,'70360','Ovanches',28630),(28662,'70180','Vaite',28631),(28663,'70100','Saint Loup Nantouard',28632),(28664,'70130','Saint Gand',28633),(28665,'70600','Pierrecourt',28634),(28666,'70150','Beaumotte Lès Pin',28635),(28667,'70400','Couthenans',28636),(28668,'70110','Villersexel',28637),(28669,'70110','Grammont',28638),(28670,'70170','Grattery',28639),(28671,'70150','Bonboillon',28640),(28672,'70230','Cognières',28641),(28673,'70000','Noroy Le Bourg',28642),(28674,'70300','Baudoncourt',28643),(28675,'70110','Athesans Étroitefontaine',28644),(28676,'70300','Éhuns',28645),(28677,'70000','Neurey Lès La Demie',28646),(28678,'70120','Preigney',28647),(28679,'70120','Cornot',28648),(28680,'70300','Luxeuil Les Bains',28649),(28681,'70120','Melin',28650),(28682,'70500','Saint Marcel',28651),(28683,'70150','Tromarey',28652),(28684,'70400','Chagey',28653),(28685,'70000','Mailley Et Chazelot',28654),(28686,'70110','Autrey Lès Cerre',28655),(28687,'70200','Lyoffans',28656),(28688,'70000','Pusey',28657),(28689,'70100','Gray',28658),(28690,'70360','Ferrières Lès Scey',28659),(28691,'70190','Cordonnet',28660),(28692,'70130','Greucourt',28661),(28693,'70100','Autrey Lès Gray',28662),(28694,'70360','Traves',28663),(28695,'70700','Villefrancon',28664),(28696,'70140','Chevigney',28665),(28697,'70700','Bonnevent Velloreille',28666),(28698,'70500','Villars Le Pautel',28667),(28699,'70110','Villafans',28668),(28700,'70190','Bussières',28669),(28701,'70180','Denèvre',28670),(28702,'70100','Battrans',28671),(28703,'70100','Esmoulins',28672),(28704,'70310','Corravillers',28673),(28705,'70600','Écuelle',28674),(28706,'70500','Betoncourt Sur Mance',28675),(28707,'70140','Vadans',28676),(28708,'70000','Rosey',28677),(28709,'70310','La Rosière',28678),(28710,'70500','Corre',28679),(28711,'70500','Bourbévelle',28680),(28712,'70800','Plainemont',28681),(28713,'70280','Raddon Et Chapendu',28682),(28714,'70110','Longevelle',28683),(28715,'70360','Chantes',28684),(28716,'70200','Dambenoît Lès Colombe',28685),(28717,'70300','Sainte Marie En Chaux',28686),(28718,'70800','Jasney',28687),(28719,'70310','Sainte Marie En Chanois',28688),(28720,'70400','Chenebier',28689),(28721,'70500','Ormoy',28690),(28722,'70400','Verlans',28691),(28723,'70500','Magny Lès Jussey',28692),(28724,'70400','Héricourt',28693),(28725,'70190','Aulx Lès Cromary',28694),(28726,'70400','Tavey',28695),(28727,'70110','Senargent Mignafans',28696),(28728,'70180','Volon',28697),(28729,'70210','Ambiévillers',28698),(28730,'70230','Fontenois Lès Montbozon',28699),(28731,'70400','Trémoins',28700),(28732,'70130','Fretigney Et Velloreille',28701),(28733,'70270','Belmont',28702),(28734,'70500','Blondefontaine',28703),(28735,'70160','Fouchécourt',28704),(28736,'70150','Cult',28705),(28737,'70300','Villers Lès Luxeuil',28706),(28738,'70300','Abelcourt',28707),(28739,'70310','Esmoulières',28708),(28740,'70200','Froideterre',28709),(28741,'70290','Champagney',28710),(28742,'70200','Magny Danigon',28711),(28743,'70210','Passavant La Rochère',28712),(28744,'70200','Moffans Et Vacheresse',28713),(28745,'70500','Montigny Lès Cherlieu',28714),(28746,'70120','Semmadon',28715),(28747,'70280','Breuchotte',28716),(28748,'70160','Contréglise',28717),(28749,'70170','Port Sur Saône',28718),(28750,'70800','Bassigney',28719),(28751,'70150','Pin',28720),(28752,'70210','Montdoré',28721),(28753,'70000','Pusy Et Épenoux',28722),(28754,'70200','Lantenot',28723),(28755,'70800','Francalmont',28724),(28756,'70120','La Roche Morey',28725),(28757,'70200','Le Val De Gouhenans',28726),(28758,'70230','Thieffrans',28727),(28759,'70290','Belfahy',28728),(28760,'70200','Frotey Lès Lure',28729),(28761,'70140','Broye Aubigney Montseugny',28730),(28762,'70190','Ruhans',28731),(28763,'70500','Raincourt',28732),(28764,'70190','Pennesières',28733),(28765,'70440','Miellin',28734),(28766,'70100','Poyans',28735),(28767,'70280','La Bruyère',28736),(28768,'70000','Chariez',28737),(28769,'70270','Belonchamp',28738),(28770,'70120','Tincey Et Pontrebeau',28739),(28771,'70400','Crevans Et La Chapelle Lès Granges',28740),(28772,'70190','Chaux La Lotière',28741),(28773,'70290','Plancher Les Mines',28742),(28774,'70110','Beveuge',28743),(28775,'70320','Aillevillers Et Lyaumont',28744),(28776,'70800','Anjeux',28745),(28777,'70110','Oppenans',28746),(28778,'70110','Saint Ferjeux',28747),(28779,'70120','Malvillers',28748),(28780,'70230','Chassey Lès Montbozon',28749),(28781,'70120','Molay',28750),(28782,'70140','Malans',28751),(28783,'70190','Grandvelle Et Le Perrenot',28752),(28784,'70100','Velesmes Échevanne',28753),(28785,'70240','Varogne',28754),(28786,'70240','Vellefrie',28755),(28787,'70800','Fleurey Lès Saint Loup',28756),(28788,'70700','Montboillon',28757),(28789,'70500','Gevigney Et Mercey',28758),(28790,'70240','Genevreuille',28759),(28791,'70360','Chemilly',28760),(28792,'70320','La Vaivre',28761),(28793,'70110','Saint Sulpice',28762),(28794,'70500','Vernois Sur Mance',28763),(28795,'70320','Corbenay',28764),(28796,'70270','Montessaux',28765),(28797,'70800','Saint Loup Sur Semouse',28766),(28798,'70100','Apremont',28767),(28799,'70170','Provenchère',28768),(28800,'70200','Arpenans',28769),(28801,'70400','Champey',28770),(28802,'70100','Gray La Ville',28771),(28803,'70360','Rupt Sur Saône',28772),(28804,'70190','Neuvelle Lès Cromary',28773),(28805,'70100','Velet',28774),(28806,'70190','Voray Sur L\'Ognon',28775),(28807,'70240','Calmoutier',28776),(28808,'70100','Champvans',28777),(28809,'70360','Aroz',28778),(28810,'70100','Essertenne Et Cecey',28779),(28811,'70110','Pont Sur L\'Ognon',28780),(28812,'70190','Villers Bouton',28781),(28813,'70230','Vy Lès Filain',28782),(28814,'70100','Venère',28783),(28815,'70130','Mercey Sur Saône',28784),(28816,'70150','Vregille',28785),(28817,'70110','Gouhenans',28786),(28818,'70150','Brussey',28787),(28819,'70180','Roche Et Raucourt',28788),(28820,'70150','Hugier',28789),(28821,'70120','Vy Lès Rupt',28790),(28822,'70700','Vellefrey Et Vellefrange',28791),(28823,'70190','Boulot',28792),(28824,'70190','Recologne Lès Rioz',28793),(28825,'70200','Faymont',28794),(28826,'70100','Broye Les Loups Et Verfontaine',28795),(28827,'70130','Ferrières Lès Ray',28796),(28828,'70230','Maussans',28797),(28829,'70130','Neuvelle Lès La Charité',28798),(28830,'70190','Lieffrans',28799),(28831,'70110','Fallon',28800),(28832,'70500','Bousseraucourt',28801),(28833,'70160','La Villedieu En Fontenette',28802),(28834,'70190','Sorans Lès Breurey',28803),(28835,'70120','Cintrey',28804),(28836,'70440','Servance',28805),(28837,'70000','Vallerois Lorioz',28806),(28838,'70140','Pesmes',28807),(28839,'70270','Mélisey',28808),(28840,'70190','Hyet',28809),(28841,'70190','Maizières',28810),(28842,'70360','Chassey Lès Scey',28811),(28843,'70400','Frahier Et Chatebier',28812),(28844,'70310','Fessey',28813),(28845,'70150','Chambornay Lès Pin',28814),(28846,'70100','Saint Broing',28815),(28847,'70210','Alaincourt',28816),(28848,'70500','Venisey',28817),(28849,'70200','Clairegoutte',28818),(28850,'70000','Mont Le Vernois',28819),(28851,'70190','Cromary',28820),(28852,'70100','Champtonnay',28821),(28853,'70000','Villers Le Sec',28822),(28854,'70100','Beaujeu Saint Vallier Pierrejux Et Quitteur',28823),(28855,'70000','Charmoille',28824),(28856,'70000','Frotey Lès Vesoul',28825),(28857,'70240','Colombotte',28826),(28858,'70500','Augicourt',28827),(28859,'70140','Montagney',28828),(28860,'70110','Autrey Le Vay',28829),(28861,'70400','Étobon',28830),(28862,'70210','Saponcourt',28831),(28863,'70130','Vellexon Queutrey Et Vaudey',28832),(28864,'70140','La Grande Résie',28833),(28865,'70100','Lœuilley',28834),(28866,'70300','Esboz Brest',28835),(28867,'70170','Scye',28836),(28868,'70120','Fédry',28837),(28869,'70110','Oricourt',28838),(28870,'70110','Moimay',28839),(28871,'70200','La Neuvelle Lès Lure',28840),(28872,'70240','Servigney',28841),(28873,'70120','Vauconcourt Nervezain',28842),(28874,'70800','Ainvelle',28843),(28875,'70200','Franchevelle',28844),(28876,'70220','Fougerolles',28845),(28877,'70600','Framont',28846),(28878,'70160','Neurey En Vaux',28847),(28879,'70100','Arc Lès Gray',28848),(28880,'70310','Amont Et Effreney',28849),(28881,'70190','Chambornay Lès Bellevaux',28850),(28882,'70200','Frédéric Fontaine',28851),(28883,'70270','Fresse',28852),(28884,'70500','Aboncourt Gesincourt',28853),(28885,'70300','Citers',28854),(28886,'70270','Écromagny',28855),(28887,'70300','Ormoiche',28856),(28888,'70190','Traitiéfontaine',28857),(28889,'70100','Rigny',28858),(28890,'70400','Secenans',28859),(28891,'71540','Lucenay L\'Évêque',28860),(28892,'71460','Genouilly',28861),(28893,'71460','Culles Les Roches',28862),(28894,'71520','Brandon',28863),(28895,'71100','Sevrey',28864),(28896,'71290','Ratenelle',28865),(28897,'71390','Marcilly Lès Buxy',28866),(28898,'71120','Lugny Lès Charolles',28867),(28899,'71760','Grury',28868),(28900,'71150','Chaudenay',28869),(28901,'71760','Marly Sous Issy',28870),(28902,'71700','Le Villars',28871),(28903,'71250','Bray',28872),(28904,'71460','Bissy Sous Uxelles',28873),(28905,'71800','Saint Racho',28874),(28906,'71510','Saint Sernin Du Plain',28875),(28907,'71110','Montceaux L\'Étoile',28876),(28908,'71510','Perreuil',28877),(28909,'71210','Saint Laurent D\'Andenay',28878),(28910,'71700','Ozenay',28879),(28911,'71480','Joudes',28880),(28912,'71290','L\'Abergement De Cuisery',28881),(28913,'71580','Le Fay',28882),(28914,'71370','Saint Christophe En Bresse',28883),(28915,'71250','Bergesserin',28884),(28916,'71140','Vitry Sur Loire',28885),(28917,'71420','Marly Sur Arroux',28886),(28918,'71240','Gigny Sur Saône',28887),(28919,'71390','Saint Privé',28888),(28920,'71800','Colombier En Brionnais',28889),(28921,'71390','Saint Vallerin',28890),(28922,'71370','Saint Germain Du Plain',28891),(28923,'71520','Trambly',28892),(28924,'71118','Saint Martin Belle Roche',28893),(28925,'71520','Curtil Sous Buffières',28894),(28926,'71460','Ameugny',28895),(28927,'71460','Saint Clément Sur Guye',28896),(28928,'71460','Sercy',28897),(28929,'71500','Branges',28898),(28930,'71290','Huilly Sur Seille',28899),(28931,'71300','Saint Berain Sous Sanvignes',28900),(28932,'71520','Saint Léger Sous La Bussière',28901),(28933,'71310','Montjay',28902),(28934,'71460','Savigny Sur Grosne',28903),(28935,'71420','Saint Romain Sous Versigny',28904),(28936,'71610','Prizy',28905),(28937,'71670','Saint Firmin',28906),(28938,'71960','Berzé Le Châtel',28907),(28939,'71320','La Boulaye',28908),(28940,'71610','Amanzé',28909),(28941,'71690','Gourdon',28910),(28942,'71480','Varennes Saint Sauveur',28911),(28943,'71520','Montagny Sur Grosne',28912),(28944,'71190','Broye',28913),(28945,'71740','Tancon',28914),(28946,'71400','Dracy Saint Loup',28915),(28947,'71000','Sancé',28916),(28948,'71270','Lays Sur Le Doubs',28917),(28949,'71230','Saint Vallier',28918),(28950,'71190','Laizy',28919),(28951,'71500','Bantanges',28920),(28952,'71400','Auxy',28921),(28953,'71540','Barnay',28922),(28954,'71110','Ligny En Brionnais',28923),(28955,'71160','Guerreaux',28924),(28956,'71800','Châtenay',28925),(28957,'71220','Saint Bonnet De Joux',28926),(28958,'71800','Saint Laurent En Brionnais',28927),(28959,'71430','Saint Bonnet De Vieille Vigne',28928),(28960,'71190','Étang Sur Arroux',28929),(28961,'71800','La Chapelle Sous Dun',28930),(28962,'71330','Frangy En Bresse',28931),(28963,'71110','Briant',28932),(28964,'71100','Lux',28933),(28965,'71460','Bresse Sur Grosne',28934),(28966,'71130','Neuvy Grandchamp',28935),(28967,'71500','Louhans',28936),(28968,'71640','Mellecey',28937),(28969,'71700','Tournus',28938),(28970,'71240','Laives',28939),(28971,'71290','Cuisery',28940),(28972,'71110','Baugy',28941),(28973,'71120','Changy',28942),(28974,'71540','Reclesne',28943),(28975,'71250','Sailly',28944),(28976,'71240','Jugy',28945),(28977,'71290','La Truchère',28946),(28978,'71270','Charette Varennes',28947),(28979,'71360','Sully',28948),(28980,'71440','Montret',28949),(28981,'71490','Saint Émiland',28950),(28982,'71130','Chassy',28951),(28983,'71480','Condal',28952),(28984,'71250','Château',28953),(28985,'71460','Vaux En Pré',28954),(28986,'71960','Serrières',28955),(28987,'71510','Saint Léger Sur Dheune',28956),(28988,'71210','Torcy',28957),(28989,'71800','Varennes Sous Dun',28958),(28990,'71600','Volesvres',28959),(28991,'71340','Saint Bonnet De Cray',28960),(28992,'71460','Champagny Sous Uxelles',28961),(28993,'71120','Marcilly La Gueurce',28962),(28994,'71420','Oudry',28963),(28995,'71390','Bissey Sous Cruchaud',28964),(28996,'71340','Fleury La Montagne',28965),(28997,'71120','Ozolles',28966),(28998,'71570','Leynes',28967),(28999,'71310','Saint Bonnet En Bresse',28968),(29000,'71570','Chasselas',28969),(29001,'71960','Pierreclos',28970),(29002,'71510','Essertenne',28971),(29003,'71570','Romanèche Thorins',28972),(29004,'71470','La Chapelle Thècle',28973),(29005,'71190','Saint Nizier Sur Arroux',28974),(29006,'71700','Lacrost',28975),(29007,'71250','La Vineuse',28976),(29008,'71540','Igornay',28977),(29009,'71400','Saint Forgeot',28978),(29010,'71130','Clessy',28979),(29011,'71150','Fontaines',28980),(29012,'71800','Curbigny',28981),(29013,'71110','Saint Martin Du Lac',28982),(29014,'71490','Créot',28983),(29015,'71250','Jalogny',28984),(29016,'71350','Sermesse',28985),(29017,'71290','Simandre',28986),(29018,'71460','Cortevaix',28987),(29019,'71100','Saint Rémy',28988),(29020,'71290','Jouvençon',28989),(29021,'71270','Pierre De Bresse',28990),(29022,'71250','Cortambert',28991),(29023,'71190','Dettey',28992),(29024,'71600','Poisson',28993),(29025,'71110','Anzy Le Duc',28994),(29026,'71250','Chérizet',28995),(29027,'71240','Beaumont Sur Grosne',28996),(29028,'71640','Mercurey',28997),(29029,'71190','La Tagnière',28998),(29030,'71210','Montchanin',28999),(29031,'71590','Verjux',29000),(29032,'71310','Serley',29001),(29033,'71240','Mancey',29002),(29034,'71330','Bouhans',29003),(29035,'71330','Sens Sur Seille',29004),(29036,'71540','Cordesse',29005),(29037,'71620','Saint Martin En Bresse',29006),(29038,'71510','Châtel Moron',29007),(29039,'71150','Demigny',29008),(29040,'71250','Taizé',29009),(29041,'71440','Thurey',29010),(29042,'71330','Saint Germain Du Bois',29011),(29043,'71960','Fuissé',29012),(29044,'71110','Chambilly',29013),(29045,'71130','Vendenesse Sur Arroux',29014),(29046,'71600','L\'Hôpital Le Mercier',29015),(29047,'71220','Verosvres',29016),(29048,'71710','Marmagne',29017),(29049,'71200','Le Creusot',29018),(29050,'71150','Dezize Lès Maranges',29019),(29051,'71270','Mouthier En Bresse',29020),(29052,'71520','Germolles Sur Grosne',29021),(29053,'71160','Digoin',29022),(29054,'71500','Saint Usuge',29023),(29055,'71960','Igé',29024),(29056,'71310','La Chapelle Saint Sauveur',29025),(29057,'71350','Bragny Sur Saône',29026),(29058,'71390','Saint Germain Lès Buxy',29027),(29059,'71380','Châtenoy En Bresse',29028),(29060,'71390','Cersot',29029),(29061,'71390','Jully Lès Buxy',29030),(29062,'71390','Fley',29031),(29063,'71240','Saint Cyr',29032),(29064,'71580','Saillenard',29033),(29065,'71300','Montceau Les Mines',29034),(29066,'71850','Charnay Lès Mâcon',29035),(29067,'71350','Écuelles',29036),(29068,'71170','Mussy Sous Dun',29037),(29069,'71500','Sornay',29038),(29070,'71250','Salornay Sur Guye',29039),(29071,'71240','Étrigny',29040),(29072,'71220','Chevagny Sur Guye',29041),(29073,'71460','Cormatin',29042),(29074,'71160','La Motte Saint Jean',29043),(29075,'71960','Berzé La Ville',29044),(29076,'71120','Vendenesse Lès Charolles',29045),(29077,'71220','Suin',29046),(29078,'71690','Mary',29047),(29079,'71110','Sarry',29048),(29080,'71260','Lugny',29049),(29081,'71170','Coublanc',29050),(29082,'71600','Saint Yan',29051),(29083,'71270','Mont Lès Seurre',29052),(29084,'71610','Saint Julien De Civry',29053),(29085,'71150','Chagny',29054),(29086,'71270','Frontenard',29055),(29087,'71250','Flagy',29056),(29088,'71110','Marcigny',29057),(29089,'71570','Chânes',29058),(29090,'71940','Messey Sur Grosne',29059),(29091,'71960','Chevagny Les Chevrières',29060),(29092,'71440','Savigny Sur Seille',29061),(29093,'71270','Pontoux',29062),(29094,'71440','Saint Vincent En Bresse',29063),(29095,'71110','Saint Didier En Brionnais',29064),(29096,'71220','Pressy Sous Dondin',29065),(29097,'71460','Joncy',29066),(29098,'71260','Azé',29067),(29099,'71170','Chassigny Sous Dun',29068),(29100,'71470','Romenay',29069),(29101,'71670','Le Breuil',29070),(29102,'71150','Chassey Le Camp',29071),(29103,'71530','Sassenay',29072),(29104,'71220','Saint André Le Désert',29073),(29105,'71340','Chenay Le Châtel',29074),(29106,'71340','Iguerande',29075),(29107,'71640','Dracy Le Fort',29076),(29108,'71460','Saint Micaud',29077),(29109,'71500','Ratte',29078),(29110,'71940','Chenôves',29079),(29111,'71250','Buffières',29080),(29112,'71220','Le Rousset',29081),(29113,'71330','Devrouze',29082),(29114,'71430','Palinges',29083),(29115,'71800','Vauban',29084),(29116,'71120','Baron',29085),(29117,'71580','Sagy',29086),(29118,'71250','Massy',29087),(29119,'71360','Épertully',29088),(29120,'71260','Saint Albain',29089),(29121,'71220','Saint Martin De Salencey',29090),(29122,'71740','Saint Maurice Lès Châteauneuf',29091),(29123,'71540','Chissey En Morvan',29092),(29124,'71520','Saint Pierre Le Vieux',29093),(29125,'71540','Sommant',29094),(29126,'71250','Blanot',29095),(29127,'71530','Crissey',29096),(29128,'71940','Saules',29097),(29129,'71390','Villeneuve En Montagne',29098),(29130,'71470','Sainte Croix',29099),(29131,'71500','Montcony',29100),(29132,'71350','Charnay Lès Chalon',29101),(29133,'71500','Montagny Près Louhans',29102),(29134,'71990','La Grande Verrière',29103),(29135,'71440','Saint André En Bresse',29104),(29136,'71440','Juif',29105),(29137,'71110','Saint Julien De Jonzy',29106),(29138,'71220','Beaubery',29107),(29139,'71500','Bruailles',29108),(29140,'71600','Nochize',29109),(29141,'71960','Verzé',29110),(29142,'71520','Matour',29111),(29143,'71240','La Chapelle De Bragny',29112),(29144,'71620','Damerey',29113),(29145,'71460','Chapaize',29114),(29146,'71800','Gibles',29115),(29147,'71400','La Celle En Morvan',29116),(29148,'71150','Cheilly Lès Maranges',29117),(29149,'71470','Montpont En Bresse',29118),(29150,'71480','Cuiseaux',29119),(29151,'71140','Lesme',29120),(29152,'71800','Ouroux Sous Le Bois Sainte Marie',29121),(29153,'71960','La Roche Vineuse',29122),(29154,'71440','Vérissey',29123),(29155,'71260','Senozan',29124),(29156,'71710','Bizots',29125),(29157,'71230','Saint Romain Sous Gourdon',29126),(29158,'71440','Tronchy',29127),(29159,'71700','Plottes',29128),(29160,'71390','Granges',29129),(29161,'71870','Hurigny',29130),(29162,'71640','Saint Jean De Vaux',29131),(29163,'71290','La Genête',29132),(29164,'71590','Gergy',29133),(29165,'71360','Morlet',29134),(29166,'71320','Saint Eugène',29135),(29167,'21340','Changé',29136),(29168,'71240','Saint Ambreuil',29137),(29169,'71570','Chaintré',29138),(29170,'71490','Couches',29139),(29171,'71610','Saint Germain En Brionnais',29140),(29172,'71110','Artaix',29141),(29173,'71490','Saint Jean De Trézy',29142),(29174,'71430','Saint Aubin En Charollais',29143),(29175,'71800','Saint Christophe En Brionnais',29144),(29176,'71800','Bois Sainte Marie',29145),(29177,'71570','Pruzilly',29146),(29178,'71870','Laizé',29147),(29179,'71190','Uchon',29148),(29180,'71120','Fontenay',29149),(29181,'71990','Saint Léger Sous Beuvray',29150),(29182,'71460','Germagny',29151),(29183,'71740','Saint Edmond',29152),(29184,'71600','Paray Le Monial',29153),(29185,'71400','La Petite Verrière',29154),(29186,'71270','Navilly',29155),(29187,'71640','Saint Martin Sous Montaigu',29156),(29188,'71580','Frontenaud',29157),(29189,'71330','Simard',29158),(29190,'71380','Lans',29159),(29191,'71220','Chiddes',29160),(29192,'71460','Saint Martin La Patrouille',29161),(29193,'71390','Saint Désert',29162),(29194,'71160','Perrigny Sur Loire',29163),(29195,'71410','Sanvignes Les Mines',29164),(29196,'71760','Issy L\'Évêque',29165),(29197,'71510','Dennevy',29166),(29198,'71270','Fretterans',29167),(29199,'71550','Anost',29168),(29200,'71600','Hautefond',29169),(29201,'71400','Monthelon',29170),(29202,'71640','Jambles',29171),(29203,'71460','Bissy Sur Fley',29172),(29204,'71250','Donzy Le National',29173),(29205,'71240','Lalheue',29174),(29206,'71630','Bourgvilain',29175),(29207,'71220','Martigny Le Comte',29176),(29208,'71430','Grandvaux',29177),(29209,'71990','La Comelle',29178),(29210,'71110','Versaugues',29179),(29211,'71140','Chalmoux',29180),(29212,'71320','Cuzy',29181),(29213,'71360','Saisy',29182),(29214,'71320','Montmort',29183),(29215,'71620','Guerfand',29184),(29216,'71460','Burnand',29185),(29217,'71120','Champlecy',29186),(29218,'71310','La Chaux',29187),(29219,'71330','Le Tartre',29188),(29220,'71620','Saint Didier En Bresse',29189),(29221,'71570','La Chapelle De Guinchay',29190),(29222,'71270','Bellevesvre',29191),(29223,'71270','Pourlans',29192),(29224,'71510','Saint Bérain Sur Dheune',29193),(29225,'71250','Saint Vincent Des Prés',29194),(29226,'71510','Saint Gilles',29195),(29227,'71460','Burzy',29196),(29228,'71100','La Charmée',29197),(29229,'71330','Le Planois',29198),(29230,'71110','Semur En Brionnais',29199),(29231,'71570','Saint Amour Bellevue',29200),(29232,'71740','Saint Martin De Lixy',29201),(29233,'71320','Sainte Radegonde',29202),(29234,'71200','Saint Sernin Du Bois',29203),(29235,'71250','Massilly',29204),(29236,'71610','Oyé',29205),(29237,'71240','Montceaux Ragny',29206),(29238,'71370','Ouroux Sur Saône',29207),(29239,'71310','Dampierre En Bresse',29208),(29240,'71870','Mâcon',29209),(29241,'71290','Préty',29210),(29242,'71530','Lessard Le National',29211),(29243,'71240','Sennecey Le Grand',29212),(29244,'71520','Montmelard',29213),(29245,'71960','Bussières',29214),(29246,'71570','Saint Symphorien D\'Ancelles',29215),(29247,'71140','Cronat',29216),(29248,'71960','Vergisson',29217),(29249,'71360','Collonge La Madeleine',29218),(29250,'71350','Ciel',29219),(29251,'71260','La Salle',29220),(29252,'71570','Saint Vérand',29221),(29253,'71340','Melay',29222),(29254,'71270','La Villeneuve',29223),(29255,'71100','Chalon Sur Saône',29224),(29256,'71580','Savigny En Revermont',29225),(29257,'71270','Torpes',29226),(29258,'71460','Le Puley',29227),(29259,'71630','Saint Point',29228),(29260,'71220','Marizy',29229),(29261,'71350','Saunières',29230),(29262,'71700','Royer',29231),(29263,'71240','Marnay',29232),(29264,'71240','Vers',29233),(29265,'71530','La Loyère',29234),(29266,'71460','Saint Ythaire',29235),(29267,'71380','Oslon',29236),(29268,'71480','Le Miroir',29237),(29269,'71350','Palleau',29238),(29270,'71460','Saint Huruge',29239),(29271,'71700','Martailly Lès Brancion',29240),(29272,'71600','Saint Léger Lès Paray',29241),(29273,'71250','Cluny',29242),(29274,'71520','Clermain',29243),(29275,'71430','Saint Vincent Bragny',29244),(29276,'71260','Montbellet',29245),(29277,'71220','Sivignon',29246),(29278,'71960','Milly Lamartine',29247),(29279,'71120','Charolles',29248),(29280,'71760','Cressy Sur Somme',29249),(29281,'71940','Saint Boil',29250),(29282,'71000','Varennes Lès Mâcon',29251),(29283,'71520','La Chapelle Du Mont De France',29252),(29284,'71680','Vinzelles',29253),(29285,'71960','Sologny',29254),(29286,'71270','Beauvernois',29255),(29287,'71610','Dyo',29256),(29288,'71160','Gilly Sur Loire',29257),(29289,'71260','Péronne',29258),(29290,'71400','Tavernay',29259),(29291,'71960','Prissé',29260),(29292,'71640','Saint Denis De Vaux',29261),(29293,'71250','Donzy Le Pertuis',29262),(29294,'71520','Dompierre Les Ormes',29263),(29295,'71110','Vindecy',29264),(29296,'71270','Longepierre',29265),(29297,'71370','L\'Abergement Sainte Colombe',29266),(29298,'71310','Serrigny En Bresse',29267),(29299,'71120','Viry',29268),(29300,'71580','Flacey En Bresse',29269),(29301,'71490','Saint Maurice Lès Couches',29270),(29302,'71490','Tintry',29271),(29303,'71530','Champforgeuil',29272),(29304,'71350','Saint Gervais En Vallière',29273),(29305,'71190','Saint Didier Sur Arroux',29274),(29306,'71260','Saint Maurice De Satonnay',29275),(29307,'71670','Saint Pierre De Varennes',29276),(29308,'71420','Dompierre Sous Sanvignes',29277),(29309,'71290','Ormes',29278),(29310,'71350','Allerey Sur Saône',29279),(29311,'71130','Curdin',29280),(29312,'71350','Bordes',29281),(29313,'71700','Uchizy',29282),(29314,'71130','Gueugnon',29283),(29315,'71460','Chissey Lès Mâcon',29284),(29316,'71250','Vitry Lès Cluny',29285),(29317,'71260','Saint Gengoux De Scissé',29286),(29318,'71190','La Chapelle Sous Uchon',29287),(29319,'71680','Crêches Sur Saône',29288),(29320,'71240','Varennes Le Grand',29289),(29321,'71620','Montcoy',29290),(29322,'71210','Écuisses',29291),(29323,'71310','La Racineuse',29292),(29324,'71150','Sampigny Lès Maranges',29293),(29325,'71170','Chauffailles',29294),(29326,'71710','Montcenis',29295),(29327,'71350','Saint Martin En Gâtinois',29296),(29328,'71460','Saint Martin Du Tartre',29297),(29329,'71530','Fragnes',29298),(29330,'71390','Rosey',29299),(29331,'71350','Toutenant',29300),(29332,'71580','Saint Martin Du Mont',29301),(29333,'71490','Dracy Lès Couches',29302),(29334,'71440','Lessard En Bresse',29303),(29335,'71690','Mont Saint Vincent',29304),(29336,'71420','Génelard',29305),(29337,'71800','Baudemont',29306),(29338,'71260','Bissy La Mâconnaise',29307),(29339,'71260','Charbonnières',29308),(29340,'71140','Saint Aubin Sur Loire',29309),(29341,'71150','Bouzeron',29310),(29342,'71150','Rully',29311),(29343,'71510','Aluze',29312),(29344,'71440','La Frette',29313),(29345,'71390','Moroges',29314),(29346,'71580','Beaurepaire En Bresse',29315),(29347,'71370','Saint Étienne En Bresse',29316),(29348,'71250','Sigy Le Châtel',29317),(29349,'71510','Charrecey',29318),(29350,'71690','Marigny',29319),(29351,'71490','Saint Martin De Commune',29320),(29352,'71250','Lournand',29321),(29353,'71710','Saint Symphorien De Marmagne',29322),(29354,'71700','Grevilly',29323),(29355,'71330','Bosjean',29324),(29356,'71700','La Chapelle Sous Brancion',29325),(29357,'71640','Givry',29326),(29358,'71600','Varenne Saint Germain',29327),(29359,'71620','Villegaudin',29328),(29360,'71480','Dommartin Lès Cuiseaux',29329),(29361,'71450','Blanzy',29330),(29362,'71260','Burgy',29331),(29363,'71290','Loisy',29332),(29364,'71220','Ballore',29333),(29365,'71460','Bonnay',29334),(29366,'71390','Montagny Lès Buxy',29335),(29367,'71160','Saint Agnan',29336),(29368,'71460','Saint Maurice Des Champs',29337),(29369,'71520','Tramayes',29338),(29370,'71110','Varenne L\'Arconce',29339),(29371,'71150','Farges Lès Chalon',29340),(29372,'71260','Clessé',29341),(29373,'71800','Vareilles',29342),(29374,'71290','Rancy',29343),(29375,'71460','Curtil Sous Burnand',29344),(29376,'71110','Bourg Le Comte',29345),(29377,'71110','Sainte Foy',29346),(29378,'71220','La Guiche',29347),(29379,'71260','Fleurville',29348),(29380,'71710','Charmoy',29349),(29381,'71520','Trivy',29350),(29382,'71170','Saint Igny De Roche',29351),(29383,'71170','Anglure Sous Dun',29352),(29384,'71460','Saint Marcelin De Cray',29353),(29385,'71380','Allériot',29354),(29386,'71960','Solutré Pouilly',29355),(29387,'71340','Mailly',29356),(29388,'71150','Remigny',29357),(29389,'71800','Saint Symphorien Des Bois',29358),(29390,'71210','Saint Julien Sur Dheune',29359),(29391,'71110','Céron',29360),(29392,'71420','Perrecy Les Forges',29361),(29393,'71960','Davayé',29362),(29394,'71320','Charbonnat',29363),(29395,'71210','Saint Eusèbe',29364),(29396,'71380','Saint Marcel',29365),(29397,'71330','Diconne',29366),(29398,'71600','Vitry En Charollais',29367),(29399,'71470','Ménetreuil',29368),(29400,'71800','La Clayette',29369),(29401,'71270','Clux',29370),(29402,'71460','Santilly',29371),(29403,'71640','Saint Mard De Vaux',29372),(29404,'71190','Brion',29373),(29405,'71250','Mazille',29374),(29406,'71260','Vire',29375),(29407,'71380','Épervans',29376),(29408,'71320','Toulon Sur Arroux',29377),(29409,'71460','Saint Gengoux Le National',29378),(29410,'71390','Sainte Hélène',29379),(29411,'71510','Morey',29380),(29412,'71390','Buxy',29381),(29413,'71420','Ciry Le Noble',29382),(29414,'71270','Authumes',29383),(29415,'71620','Bey',29384),(29416,'71220','Mornay',29385),(29417,'71133','Saint Loup Géanges',29386),(29418,'71640','Barizey',29387),(29419,'71990','Saint Prix',29388),(29420,'71550','Roussillon En Morvan',29389),(29421,'71530','Virey Le Grand',29390),(29422,'71130','Uxeau',29391),(29423,'71510','Chamilly',29392),(29424,'71880','Châtenoy Le Royal',29393),(29425,'71120','Vaudebarrier',29394),(29426,'71460','Savianges',29395),(29427,'71150','Paris L\'Hôpital',29396),(29428,'71740','Châteauneuf',29397),(29429,'71460','Collonge En Charollais',29398),(29430,'71390','Sassangy',29399),(29431,'71500','Vincelles',29400),(29432,'71620','Saint Maurice En Rivière',29401),(29433,'71240','Nanton',29402),(29434,'71360','Saint Léger Du Bois',29403),(29435,'71500','La Chapelle Naude',29404),(29436,'71370','Baudrières',29405),(29437,'71130','La Chapelle Au Mans',29406),(29438,'71400','Autun',29407),(29439,'71400','Curgy',29408),(29440,'71390','Saint Martin D\'Auxy',29409),(29441,'71240','Saint Loup De Varennes',29410),(29442,'71360','Épinac',29411),(29443,'71190','Mesvres',29412),(29444,'71140','Bourbon Lancy',29413),(29445,'71350','Verdun Sur Le Doubs',29414),(29446,'71700','Farges Lès Mâcon',29415),(29447,'71310','Mervans',29416),(29448,'71190','Thil Sur Arroux',29417),(29449,'71490','Saint Gervais Sur Couches',29418),(29450,'71550','Cussy En Morvan',29419),(29451,'71700','Chardonnay',29420),(29452,'71480','Champagnat',29421),(29453,'71230','Pouilloux',29422),(29454,'71290','Brienne',29423),(29455,'71220','Passy',29424),(29456,'71250','Sainte Cécile',29425),(29457,'71400','Antully',29426),(29458,'71160','Rigny Sur Arroux',29427),(29459,'71140','Maltat',29428),(29460,'71140','Mont',29429),(29461,'71260','Cruzille',29430),(29462,'71460','Malay',29431),(29463,'71700','Boyer',29432),(29464,'72260','Nouans',29433),(29465,'72610','Lignières La Carelle',29434),(29466,'72510','Saint Jean De La Motte',29435),(29467,'72510','Requeil',29436),(29468,'72430','Noyen Sur Sarthe',29437),(29469,'72260','Peray',29438),(29470,'72220','Teloché',29439),(29471,'72320','Valennes',29440),(29472,'72330','Parigné Le Pôlin',29441),(29473,'72670','Montigny',29442),(29474,'72250','Brette Les Pins',29443),(29475,'72270','Villaines Sous Malicorne',29444),(29476,'72130','Assé Le Boisne',29445),(29477,'72310','La Chapelle Huon',29446),(29478,'72140','Rouessé Vassé',29447),(29479,'72430','Pirmil',29448),(29480,'72260','Dangeul',29449),(29481,'72650','La Milesse',29450),(29482,'72350','Saint Denis D\'Orques',29451),(29484,'72380','Souillé',29452),(29485,'72140','Sillé Le Guillaume',29453),(29486,'72200','Clermont Créans',29454),(29487,'72650','Trangé',29455),(29488,'72270','Ligron',29456),(29489,'72600','Panon',29457),(29490,'72610','Chenay',29458),(29491,'72550','Fay',29459),(29492,'72590','Saint Léonard Des Bois',29460),(29493,'72170','Saint Marceau',29461),(29494,'72220','Saint Mars D\'Outillé',29462),(29495,'72240','Cures',29463),(29496,'72140','Mont Saint Jean',29464),(29497,'72610','Bourg Le Roi',29465),(29498,'72370','Ardenay Sur Mérize',29466),(29499,'72340','Poncé Sur Le Loir',29467),(29500,'72310','Vancé',29468),(29501,'72170','Doucelles',29469),(29502,'72260','Moncé En Saosnois',29470),(29503,'72340','Marçon',29471),(29504,'72610','Ancinnes',29472),(29505,'72260','Nauvay',29473),(29506,'72150','Saint Vincent Du Lorouër',29474),(29507,'72130','Gesnes Le Gandelin',29475),(29508,'72590','Saint Paul Le Gaultier',29476),(29509,'72470','Fatines',29477),(29510,'72500','Nogent Sur Loir',29478),(29511,'72320','Berfay',29479),(29512,'72610','Livet En Saosnois',29480),(29513,'72300','Pincé',29481),(29514,'72670','Chassé',29482),(29515,'72600','Saint Calez En Saosnois',29483),(29516,'72220','Saint Ouen En Belin',29484),(29517,'72440','Volnay',29485),(29518,'72600','Mamers',29486),(29519,'72350','Poillé Sur Vègre',29487),(29520,'72610','Bethon',29488),(29521,'72220','Saint Biez En Belin',29489),(29522,'72270','Mézeray',29490),(29523,'72800','Thorée Les Pins',29491),(29524,'72560','Changé',29492),(29525,'72800','Dissé Sous Le Lude',29493),(29526,'72140','Saint Rémy De Sillé',29494),(29527,'72170','Saint Christophe Du Jambet',29495),(29528,'72540','Vallon Sur Gée',29496),(29529,'72170','Moitron Sur Sarthe',29497),(29530,'72540','Auvers Sous Montfaucon',29498),(29531,'72610','Chérisay',29499),(29532,'72210','Louplande',29500),(29533,'72110','Saint Cosme En Vairais',29501),(29534,'72700','Allonnes',29502),(29535,'72170','Beaumont Sur Sarthe',29503),(29536,'72400','Avèze',29504),(29537,'72110','Torcé En Vallée',29505),(29538,'72530','Yvré L\'Évêque',29506),(29539,'72800','Savigné Sous Le Lude',29507),(29540,'72270','Arthezé',29508),(29541,'72600','Contilly',29509),(29542,'72320','Champrond',29510),(29543,'72300','Souvigné Sur Sarthe',29511),(29544,'72600','Marollette',29512),(29545,'72270','Bousse',29513),(29546,'72500','Luceau',29514),(29547,'72600','Saint Rémy Des Monts',29515),(29548,'72300','Parcé Sur Sarthe',29516),(29549,'72400','Boëssé Le Sec',29517),(29550,'72270','Courcelles La Forêt',29518),(29551,'72540','Joué En Charnie',29519),(29552,'72610','Oisseau Le Petit',29520),(29553,'72290','Saint Mars Sous Ballon',29521),(29554,'72670','Roullée',29522),(29555,'72340','Beaumont Sur Dême',29523),(29556,'72320','Melleray',29524),(29557,'72110','Prévelles',29525),(29558,'72340','Ruillé Sur Loir',29526),(29559,'72300','Sablé Sur Sarthe',29527),(29560,'72320','Théligny',29528),(29561,'72160','Saint Hilaire Le Lierru',29529),(29562,'72110','Saint Célerin',29530),(29563,'72190','Sargé Lès Le Mans',29531),(29564,'72540','Mareil En Champagne',29532),(29565,'72110','Beaufay',29533),(29566,'72110','Nogent Le Bernard',29534),(29567,'72120','Saint Gervais De Vic',29535),(29568,'72340','Lhomme',29536),(29569,'72430','Chantenay Villedieu',29537),(29570,'72650','Saint Saturnin',29538),(29571,'72470','Champagne',29539),(29572,'72170','Maresché',29540),(29573,'72460','Saint Corneille',29541),(29574,'72390','Dollon',29542),(29575,'72350','Chevillé',29543),(29576,'72300','Auvers Le Hamon',29544),(29577,'72460','Sillé Le Philippe',29545),(29578,'72140','Crissé',29546),(29579,'72230','Guécélard',29547),(29580,'72500','Vaas',29548),(29581,'72170','Juillé',29549),(29582,'72210','Souligné Flacé',29550),(29583,'72430','Tassé',29551),(29584,'72600','Saint Rémy Du Val',29552),(29585,'72290','Courcebœufs',29553),(29586,'72170','Chérancé',29554),(29587,'72240','Saint Symphorien',29555),(29588,'72130','Saint Aubin De Locquenay',29556),(29589,'72300','Louailles',29557),(29590,'72160','Vouvray Sur Huisne',29558),(29591,'72300','Courtillers',29559),(29592,'72550','La Quinte',29560),(29593,'72270','Malicorne Sur Sarthe',29561),(29594,'72700','Rouillon',29562),(29595,'72670','Louzes',29563),(29596,'72350','Viré En Champagne',29564),(29597,'72140','Parennes',29565),(29598,'72120','Sainte Osmane',29566),(29599,'72670','Blèves',29567),(29600,'72430','Avoise',29568),(29601,'72540','Saint Christophe En Champagne',29569),(29602,'72150','Pruillé L\'Éguillé',29570),(29603,'72120','Écorpain',29571),(29604,'72340','Chahaignes',29572),(29605,'72440','Saint Michel De Chavaignes',29573),(29606,'72500','Vouvray Sur Loir',29574),(29607,'72350','Fontenay Sur Vègre',29575),(29608,'72500','Saint Germain D\'Arcé',29576),(29609,'72380','Sainte Sabine Sur Longève',29577),(29610,'72210','La Suze Sur Sarthe',29578),(29611,'72170','Meurcé',29579),(29612,'72200','Crosmières',29580),(29613,'72110','Courcival',29581),(29614,'72500','Saint Pierre De Chevillé',29582),(29615,'72320','Saint Maixent',29583),(29616,'72600','Saosnes',29584),(29617,'72290','Ballon',29585),(29618,'72110','Jauzé',29586),(29619,'72380','Sainte Jamme Sur Sarthe',29587),(29620,'72610','Grandchamp',29588),(29621,'72430','Saint Pierre Des Bois',29589),(29622,'72250','Parigné L\'Évêque',29590),(29623,'72130','Sougé Le Ganelon',29591),(29624,'72170','Vernie',29592),(29625,'72500','Chenu',29593),(29626,'72400','Dehault',29594),(29627,'72320','Courgenard',29595),(29628,'72300','Notre Dame Du Pé',29596),(29629,'72390','Lavaré',29597),(29630,'72320','Montmirail',29598),(29631,'72220','Saint Gervais En Belin',29599),(29632,'72550','Coulans Sur Gée',29600),(29633,'72540','Chemiré En Charnie',29601),(29634,'72370','Le Breil Sur Mérize',29602),(29635,'72160','Duneau',29603),(29636,'72290','Teillé',29604),(29637,'72170','Piacé',29605),(29638,'72340','La Chartre Sur Le Loir',29606),(29639,'72430','Asnières Sur Vègre',29607),(29640,'72800','Coulongé',29608),(29641,'72330','Yvré Le Pôlin',29609),(29642,'72290','Souligné Sous Ballon',29610),(29643,'72510','Château L\'Hermitage',29611),(29644,'72230','Moncé En Belin',29612),(29645,'72360','Verneil Le Chétif',29613),(29646,'72160','Connerré',29614),(29647,'72120','Saint Calais',29615),(29648,'72220','Marigné Laillé',29616),(29649,'72120','Marolles Lès Saint Calais',29617),(29650,'72330','La Fontaine Saint Martin',29618),(29651,'72260','Avesnes En Saosnois',29619),(29652,'72190','Coulaines',29620),(29653,'72290','Lucé Sous Ballon',29621),(29654,'72360','Sarcé',29622),(29655,'72540','Longnes',29623),(29656,'72370','Surfonds',29624),(29657,'72650','La Chapelle Saint Aubin',29625),(29658,'72540','Loué',29626),(29659,'72380','Montbizot',29627),(29660,'72290','Congé Sur Orne',29628),(29661,'72200','Cré',29629),(29662,'72610','Bérus',29630),(29663,'72400','Saint Aubin Des Coudrais',29631),(29664,'72610','Rouessé Fontaine',29632),(29665,'72350','Brûlon',29633),(29666,'72130','Moulins Le Carbonnel',29634),(29667,'72310','La Chapelle Gaugain',29635),(29668,'72130','Saint Germain Sur Sarthe',29636),(29669,'72600','Vezot',29637),(29670,'72210','Voivres Lès Le Mans',29638),(29671,'72650','Aigne',29639),(29672,'72210','Roézé Sur Sarthe',29640),(29673,'72310','Lavenay',29641),(29674,'72110','Rouperroux Le Coquet',29642),(29675,'72330','Oizé',29643),(29676,'72500','Dissay Sous Courcillon',29644),(29677,'72440','Maisoncelles',29645),(29678,'72430','Fercé Sur Sarthe',29646),(29679,'72500','Lavernat',29647),(29680,'72390','Le Luart',29648),(29681,'72800','Luché Pringé',29649),(29682,'72600','Saint Vincent Des Prés',29650),(29683,'72130','Douillet',29651),(29684,'72150','Montreuil Le Henri',29652),(29685,'72500','Flée',29653),(29686,'72700','Pruillé Le Chétif',29654),(29687,'72400','La Bosse',29655),(29688,'72350','Saint Ouen En Champagne',29656),(29689,'72110','Saint Georges Du Rosay',29657),(29690,'72220','Laigné En Belin',29658),(29691,'72260','Marolles Les Braults',29659),(29692,'72610','Saint Paterne',29660),(29693,'72500','Château Du Loir',29661),(29694,'72430','Saint Jean Du Bois',29662),(29695,'72240','Neuvillalais',29663),(29696,'72610','Champfleur',29664),(29697,'72610','Le Chevain',29665),(29698,'72600','Commerveil',29666),(29699,'72240','Bernay En Champagne',29667),(29700,'72130','Montreuil Le Chétif',29668),(29701,'72700','Étival Lès Le Mans',29669),(29702,'72160','Sceaux Sur Huisne',29670),(29703,'72140','Pezé Le Robert',29671),(29704,'72110','Saint Aignan',29672),(29705,'72610','Saint Rigomer Des Bois',29673),(29706,'72400','Saint Martin Des Monts',29674),(29707,'72230','Mulsanne',29675),(29708,'72540','Épineu Le Chevreuil',29676),(29709,'72110','Terrehault',29677),(29710,'72240','Ruillé En Champagne',29678),(29711,'72320','Saint Jean Des Échelles',29679),(29712,'72260','Courgains',29680),(29713,'72390','Semur En Vallon',29681),(29714,'72610','Thoiré Sous Contensor',29682),(29715,'72600','Pizieux',29683),(29716,'72110','Saint Denis Des Coudrais',29684),(29717,'72170','Vivoin',29685),(29718,'72160','Beillé',29686),(29719,'72400','La Ferté Bernard',29687),(29720,'72240','Lavardin',29688),(29721,'72400','Cormes',29689),(29722,'72240','Conlie',29690),(29723,'72550','Brains Sur Gée',29691),(29724,'72320','Vibraye',29692),(29725,'72130','Fresnay Sur Sarthe',29693),(29726,'72550','Degré',29694),(29727,'72460','Savigné L\'Évêque',29695),(29728,'72150','Le Grand Lucé',29696),(29729,'72120','Conflans Sur Anille',29697),(29730,'72200','Bazouges Sur Le Loir',29698),(29731,'72210','Chemiré Le Gaudin',29699),(29732,'72120','Évaillé',29700),(29733,'72300','Vion',29701),(29734,'72590','Saint Georges Le Gaultier',29702),(29735,'72190','Saint Pavace',29703),(29736,'72240','Neuvy En Champagne',29704),(29737,'72540','Tassillé',29705),(29738,'72450','Montfort Le Gesnois',29706),(29739,'72160','Thorigné Sur Dué',29707),(29740,'72800','La Chapelle Aux Choux',29708),(29741,'72110','Bonnétable',29709),(29742,'72110','Briosne Lès Sables',29710),(29743,'72310','Cogners',29711),(29744,'72170','Assé Le Riboul',29712),(29745,'72400','Villaines La Gonais',29713),(29746,'72240','Domfront En Champagne',29714),(29747,'72160','La Chapelle Saint Rémy',29715),(29748,'72170','Ségrie',29716),(29749,'72170','Le Tronchet',29717),(29750,'72240','Mézières Sous Lavardin',29718),(29751,'72140','Neuvillette En Charnie',29719),(29752,'72140','Rouez',29720),(29753,'72120','Montaillé',29721),(29754,'72600','Aillières Beauvoir',29722),(29755,'72670','La Fresnaye Sur Chédouet',29723),(29756,'72110','Courcemont',29724),(29757,'72550','Chaufour Notre Dame',29725),(29758,'72260','Monhoudou',29726),(29759,'72400','La Chapelle Du Bois',29727),(29760,'72260','René',29728),(29761,'72190','Neuville Sur Sarthe',29729),(29762,'72140','Le Grez',29730),(29763,'72240','La Chapelle Saint Fray',29731),(29764,'72260','Dissé Sous Ballon',29732),(29765,'72120','Rahay',29733),(29766,'72290','Mézières Sur Ponthouin',29734),(29767,'72250','Challes',29735),(29768,'72240','Tennie',29736),(29769,'72210','Maigné',29737),(29770,'72440','Bouloire',29738),(29771,'72370','Nuillé Le Jalais',29739),(29772,'72230','Ruaudin',29740),(29773,'72310','Bessé Sur Braye',29741),(29774,'72130','Saint Victeur',29742),(29775,'72500','La Bruère Sur Loir',29743),(29776,'72500','Montabon',29744),(29777,'72440','Tresson',29745),(29778,'72700','Spay',29746),(29779,'72500','Jupilles',29747),(29780,'72270','Dureil',29748),(29781,'72600','Louvigny',29749),(29782,'72300','Juigné Sur Sarthe',29750),(29783,'72700','Saint Georges Du Bois',29751),(29784,'72260','Mées',29752),(29785,'72200','La Flèche',29753),(29786,'72600','Saint Longis',29754),(29787,'72330','Cérans Foulletourte',29755),(29788,'72380','Joué L\'Abbé',29756),(29789,'72440','Saint Mars De Locquenay',29757),(29790,'72300','Solesmes',29758),(29791,'72800','Aubigné Racan',29759),(29792,'72380','La Guierche',29760),(29793,'72380','Saint Jean D\'Assé',29761),(29794,'72440','Coudrecieux',29762),(29795,'72150','Saint Georges De La Couée',29763),(29796,'72300','La Chapelle D\'Aligné',29764),(29797,'72200','Le Bailleul',29765),(29798,'72540','Crannes En Champagne',29766),(29799,'72320','Saint Ulphace',29767),(29800,'72370','Soulitré',29768),(29801,'72260','Thoigné',29769),(29802,'72300','Précigné',29770),(29803,'72800','Le Lude',29771),(29804,'72610','Arçonnay',29772),(29805,'72400','Souvigné Sur Même',29773),(29806,'72500','Thoiré Sur Dinan',29774),(29807,'72150','Villaines Sous Lucé',29775),(29808,'72600','Saint Pierre Des Ormes',29776),(29809,'72610','Fyé',29777),(29810,'72540','Amné',29778),(29811,'72470','Saint Mars La Brière',29779),(29812,'72450','Lombron',29780),(29813,'72160','Tuffé',29781),(29814,'72220','Écommoy',29782),(29815,'72210','Fillé',29783),(29816,'72350','Avessé',29784),(29817,'72500','Beaumont Pied De Bœuf',29785),(29818,'72600','Neufchâtel En Saosnois',29786),(29819,'72150','Saint Pierre Du Lorouër',29787),(29820,'72130','Coulombiers',29788),(29821,'72400','Préval',29789),(29822,'72600','Villaines La Carelle',29790),(29823,'72650','La Bazoge',29791),(29824,'72400','Cherreau',29792),(29825,'72400','Cherré',29793),(29826,'72120','Sainte Cérotte',29794),(29827,'72670','Aulneaux',29795),(29828,'72200','Mareil Sur Loir',29796),(29829,'72320','Gréez Sur Roc',29797),(29830,'72390','Bouër',29798),(29831,'72230','Arnage',29799),(29832,'72320','Lamnay',29800),(29833,'72510','Mansigné',29801),(29834,'72130','Saint Ouen De Mimbré',29802),(29835,'72360','Mayet',29803),(29836,'72150','Courdemanche',29804),(29837,'72540','Chassillé',29805),(29838,'72510','Pontvallain',29806),(29839,'73480','Lanslebourg Mont Cenis',29807),(29840,'73460','Montailleur',29808),(29841,'73130','Notre Dame Du Cruet',29809),(29842,'73100','Aix Les Bains',29810),(29843,'73300','Albiez Le Jeune',29811),(29844,'73300','Hermillon',29812),(29845,'73500','Villarodin Bourget',29813),(29846,'73590','Crest Voland',29814),(29847,'73110','La Rochette',29815),(29848,'73210','Bellentre',29816),(29849,'73460','Saint Vital',29817),(29850,'73240','Sainte Marie D\'Alvey',29818),(29851,'73460','Cléry',29819),(29852,'73410','Mognard',29820),(29853,'73210','La Côte D\'Aime',29821),(29854,'73500','Freney',29822),(29855,'73170','Meyrieux Trouet',29823),(29856,'73260','Le Bois',29824),(29857,'73800','Mollettes',29825),(29858,'73220','Montgilbert',29826),(29859,'73550','Allues',29827),(29860,'73600','Villarlurin',29828),(29861,'73120','Saint Bon Tarentaise',29829),(29862,'73130','Saint Avre',29830),(29863,'73330','Le Pont De Beauvoisin',29831),(29864,'73190','La Thuile',29832),(29865,'73800','Saint Pierre De Soucy',29833),(29866,'73260','Avanchers Valmorel',29834),(29867,'73460','Grésy Sur Isère',29835),(29868,'73230','Déserts',29836),(29869,'73370','La Chapelle Du Mont Du Chat',29837),(29870,'73390','Betton Bettonet',29838),(29871,'73610','Lépin Le Lac',29839),(29872,'73130','Montgellafrey',29840),(29873,'73210','Mâcot La Plagne',29841),(29874,'73870','Montricher Albanne',29842),(29875,'73600','Hautecour',29843),(29876,'73190','Puygros',29844),(29877,'73460','Bonvillard',29845),(29878,'73100','Trévignin',29846),(29879,'73460','Frontenex',29847),(29880,'73170','Loisieux',29848),(29881,'73420','Voglans',29849),(29882,'73470','Nances',29850),(29883,'73300','Le Châtel',29851),(29884,'73350','Montagny',29852),(29885,'73390','Bourgneuf',29853),(29886,'73220','Épierre',29854),(29887,'73220','Randens',29855),(29888,'73160','Saint Jean De Couz',29856),(29889,'73710','Pralognan La Vanoise',29857),(29890,'73130','La Chambre',29858),(29891,'73440','Saint Martin De Belleville',29859),(29892,'73190','Curienne',29860),(29893,'73500','Termignon',29861),(29894,'73130','Saint Colomban Des Villards',29862),(29895,'73220','Saint Pierre De Belleville',29863),(29896,'73360','Saint Pierre De Genebroz',29864),(29897,'73500','Avrieux',29865),(29898,'73800','Sainte Hélène Du Lac',29866),(29899,'73630','Doucy En Bauges',29867),(29900,'73520','La Bridoire',29868),(29901,'73460','Tournon',29869),(29902,'73160','Vimines',29870),(29903,'73340','La Motte En Bauges',29871),(29904,'73340','Le Noyer',29872),(29905,'73140','Orelle',29873),(29906,'73590','Flumet',29874),(29907,'73340','Aillon Le Vieux',29875),(29908,'73190','Apremont',29876),(29909,'73200','Grignon',29877),(29910,'73170','Saint Paul',29878),(29911,'73220','Montsapey',29879),(29912,'73170','Yenne',29880),(29913,'73530','Saint Jean D\'Arves',29881),(29914,'73100','Brison Saint Innocent',29882),(29915,'73110','Le Verneil',29883),(29916,'73110','La Table',29884),(29917,'73570','Brides Les Bains',29885),(29918,'73700','Séez',29886),(29919,'73450','Valloire',29887),(29920,'73500','Fourneaux',29888),(29921,'73470','Ayn',29889),(29922,'73200','Albertville',29890),(29923,'73300','Saint Jean De Maurienne',29891),(29924,'73200','Monthion',29892),(29925,'73310','Chanaz',29893),(29926,'73230','Verel Pragondran',29894),(29927,'73220','Aiguebelle',29895),(29928,'73310','Ruffieux',29896),(29929,'73370','Bourdeau',29897),(29930,'73800','Laissaud',29898),(29931,'73600','Saint Marcel',29899),(29932,'73230','Thoiry',29900),(29933,'73170','Jongieux',29901),(29934,'73270','Villard Sur Doron',29902),(29935,'73200','Pallud',29903),(29936,'73200','Mercury',29904),(29937,'73160','Saint Sulpice',29905),(29938,'73670','Saint Pierre D\'Entremont',29906),(29939,'73470','Novalaise',29907),(29940,'73600','Fontaine Le Puits',29908),(29941,'73800','Montmélian',29909),(29942,'73800','Myans',29910),(29943,'73610','Saint Alban De Montbel',29911),(29944,'73490','La Ravoire',29912),(29945,'73220','Bonvillaret',29913),(29946,'73160','Saint Thibaud De Couz',29914),(29947,'73210','Peisey Nancroix',29915),(29948,'73340','Arith',29916),(29949,'73420','Drumettaz Clarafond',29917),(29950,'73170','Lucey',29918),(29951,'73350','Feissons Sur Salins',29919),(29952,'73130','Sainte Marie De Cuines',29920),(29953,'73480','Lanslevillard',29921),(29954,'73200','Venthon',29922),(29955,'73190','Saint Baldoph',29923),(29956,'73100','Mouxy',29924),(29957,'73250','Saint Pierre D\'Albigny',29925),(29958,'73340','Aillon Le Jeune',29926),(29959,'73620','Hauteluce',29927),(29960,'73170','Verthemex',29928),(29961,'73100','Saint Offenge Dessous',29929),(29962,'73630','La Compôte',29930),(29963,'73000','Chambéry',29931),(29964,'73350','Planay',29932),(29965,'73240','Rochefort',29933),(29966,'73660','La Chapelle',29934),(29967,'73330','Belmont Tramonet',29935),(29968,'73730','Cevins',29936),(29969,'73330','Domessin',29937),(29970,'73610','Attignat Oncin',29938),(29971,'73480','Bessans',29939),(29972,'73800','Arbin',29940),(29973,'73230','Barby',29941),(29974,'73190','Challes Les Eaux',29942),(29975,'73310','Serrières En Chautagne',29943),(29976,'73590','Saint Nicolas La Chapelle',29944),(29977,'73520','Saint Béron',29945),(29978,'73730','Saint Paul Sur Isère',29946),(29979,'73110','Presle',29947),(29980,'73110','La Chapelle Blanche',29948),(29981,'73410','La Biolle',29949),(29982,'73220','Saint Alban Des Hurtières',29950),(29983,'73210','Aime',29951),(29984,'73100','Tresserve',29952),(29985,'73540','Esserts Blay',29953),(29986,'73340','Bellecombe En Bauges',29954),(29987,'73300','Montvernier',29955),(29988,'73310','Conjux',29956),(29989,'73230','Saint Jean D\'Arvey',29957),(29990,'73410','Albens',29958),(29991,'73110','Détrier',29959),(29992,'73310','Saint Pierre De Curtille',29960),(29993,'73200','Allondaz',29961),(29994,'73130','Montaimont',29962),(29995,'73170','Billième',29963),(29996,'73000','Jacob Bellecombette',29964),(29997,'73410','Cessens',29965),(29998,'73240','Avressieux',29966),(29999,'73390','Chamousset',29967),(30000,'73210','Landry',29968),(30001,'73540','La Bâthie',29969),(30002,'73340','Lescheraines',29970),(30003,'73210','Valezan',29971),(30004,'73000','Bassens',29972),(30005,'73200','Gilly Sur Isère',29973),(30006,'73230','Saint Alban Leysse',29974),(30007,'73170','Traize',29975),(30008,'73240','Gresin',29976),(30009,'73350','Champagny En Vanoise',29977),(30010,'73790','Tours En Savoie',29978),(30011,'73390','Chamoux Sur Gelon',29979),(30012,'73260','La Léchère',29980),(30013,'73440','Saint Jean De Belleville',29981),(30014,'73160','Corbel',29982),(30015,'73500','Saint André',29983),(30016,'73640','Sainte Foy Tarentaise',29984),(30017,'73130','Saint François Longchamp',29985),(30018,'73420','Méry',29986),(30019,'73110','La Trinité',29987),(30020,'73670','Entremont Le Vieux',29988),(30021,'73110','La Croix De La Rochette',29989),(30022,'73460','Verrens Arvey',29990),(30023,'73310','Motz',29991),(30024,'73170','Saint Pierre D\'Alvey',29992),(30025,'73390','Hauteville',29993),(30026,'73800','Villard D\'Héry',29994),(30027,'73610','Aiguebelette Le Lac',29995),(30028,'73170','La Chapelle Saint Martin',29996),(30029,'73260','Bonneval',29997),(30030,'73000','Sonnaz',29998),(30031,'73220','Saint Léger',29999),(30032,'73110','Le Pontet',30000),(30033,'73530','Saint Sorlin D\'Arves',30001),(30034,'73800','La Chavanne',30002),(30035,'73220','Saint Georges Des Hurtières',30003),(30036,'73200','Thénésol',30004),(30037,'73630','Sainte Reine',30005),(30038,'73590','La Giettaz',30006),(30039,'73700','Montvalezan',30007),(30040,'73300','Albiez Montrond',30008),(30041,'73250','Saint Jean De La Porte',30009),(30042,'73660','Chavannes En Maurienne',30010),(30043,'73600','Salins Les Thermes',30011),(30044,'73500','Modane',30012),(30045,'73110','Villaroux',30013),(30046,'73720','Queige',30014),(30047,'73730','Rognaix',30015),(30048,'73500','Aussois',30016),(30049,'73300','Jarrier',30017),(30050,'73410','Saint Ours',30018),(30051,'73310','Ontex',30019),(30052,'73340','Saint François De Sales',30020),(30053,'73800','Francin',30021),(30054,'73100','Pugny Chatenod',30022),(30055,'73100','Grésy Sur Aix',30023),(30056,'73240','Saint Genix Sur Guiers',30024),(30057,'73250','Fréterive',30025),(30058,'73240','Champagneux',30026),(30059,'73000','Barberaz',30027),(30060,'73310','Chindrieux',30028),(30061,'73290','La Motte Servolex',30029),(30062,'73260','Aigueblanche',30030),(30063,'73260','Saint Oyen',30031),(30064,'73610','Dullin',30032),(30065,'73000','Montagnole',30033),(30066,'73100','Montcel',30034),(30067,'73110','Arvillard',30035),(30068,'73200','Plancherine',30036),(30069,'73360','Saint Franc',30037),(30070,'73160','Saint Cassin',30038),(30071,'73660','Saint Rémy De Maurienne',30039),(30072,'73470','Gerbaix',30040),(30073,'73350','Bozel',30041),(30074,'73590','Notre Dame De Bellecombe',30042),(30075,'73410','Saint Girod',30043),(30076,'73410','Saint Germain La Chambotte',30044),(30077,'73170','La Balme',30045),(30078,'73640','Villaroger',30046),(30079,'73800','Chignin',30047),(30080,'73270','Beaufort',30048),(30081,'73220','Argentine',30049),(30082,'73360','Saint Christophe',30050),(30083,'73410','Épersy',30051),(30084,'73470','Marcieux',30052),(30085,'73130','Saint Étienne De Cuines',30053),(30086,'73800','Planaise',30054),(30087,'73630','Jarsy',30055),(30088,'73870','Saint Julien Mont Denis',30056),(30089,'73500','Bramans',30057),(30090,'73370','Le Bourget Du Lac',30058),(30091,'73630','École',30059),(30092,'73300','Saint Pancrace',30060),(30093,'73390','Villard Léger',30061),(30094,'73260','Feissons Sur Isère',30062),(30095,'73110','Bourget En Huile',30063),(30096,'73300','Villargondran',30064),(30097,'73800','Coise Saint Jean Pied Gauthier',30065),(30098,'73700','Chapelles',30066),(30099,'73400','Ugine',30067),(30100,'73700','Bourg Saint Maurice',30068),(30101,'73100','Saint Offenge Dessus',30069),(30102,'73130','Saint Martin Sur La Chambre',30070),(30103,'73460','Notre Dame Des Millières',30071),(30104,'73170','Saint Jean De Chevelu',30072),(30105,'73220','Aiton',30073),(30106,'73420','Viviers Du Lac',30074),(30107,'73140','Saint Martin D\'Arc',30075),(30108,'73360','La Bauche',30076),(30109,'73600','Moutiers',30077),(30110,'73300','Villarembert',30078),(30111,'73130','Saint Alban Des Villards',30079),(30112,'73140','Saint Martin De La Porte',30080),(30113,'73140','Saint Michel De Maurienne',30081),(30114,'73310','Vions',30082),(30115,'73150','Val D\'Isère',30083),(30116,'73400','Marthod',30084),(30117,'73360','Échelles',30085),(30118,'73240','Saint Maurice De Rotherens',30086),(30119,'73460','Sainte Hélène Sur Isère',30087),(30120,'73400','Cohennoz',30088),(30121,'73110','Villard Sallet',30089),(30122,'73160','Cognin',30090),(30123,'73110','Rotherens',30091),(30124,'73110','Étable',30092),(30125,'73600','La Perrière',30093),(30126,'73390','Champ Laurent',30094),(30127,'73210','Granier',30095),(30128,'73480','Bonneval Sur Arc',30096),(30129,'73600','Notre Dame Du Pré',30097),(30130,'73190','Saint Jeoire Prieuré',30098),(30131,'73210','Montgirod',30099),(30132,'73500','Sollières Sardières',30100),(30133,'73300','Pontamafrey Montpascal',30101),(30134,'73800','Marches',30102),(30135,'73450','Valmeinier',30103),(30136,'73630','Le Châtelard',30104),(30137,'73200','Césarches',30105),(30138,'73390','Montendry',30106),(30139,'73300','Fontcouverte La Toussuire',30107),(30140,'73330','Verel De Montbel',30108),(30141,'73320','Tignes',30109),(30142,'73390','Châteauneuf',30110),(30143,'73800','Cruet',30111),(30144,'74350','Andilly',30112),(30145,'74270','Minzier',30113),(30146,'74500','Saint Paul En Chablais',30114),(30147,'74150','Hauteville Sur Fier',30115),(30148,'74270','Vanzy',30116),(30149,'74520','Chevrier',30117),(30150,'74800','La Roche Sur Foron',30118),(30151,'74570','Thorens Glières',30119),(30152,'74560','La Muraz',30120),(30153,'74300','Magland',30121),(30154,'74520','Dingy En Vuache',30122),(30155,'74950','Le Reposoir',30123),(30156,'74130','Faucigny',30124),(30157,'74170','Contamines Montjoie',30125),(30158,'74910','Bassy',30126),(30159,'74330','Épagny',30127),(30160,'74540','Mûres',30128),(30161,'74420','Saxel',30129),(30162,'74370','Metz Tessy',30130),(30163,'74500','Saint Gingolph',30131),(30164,'74550','Cervens',30132),(30165,'74140','Machilly',30133),(30166,'74230','Serraval',30134),(30167,'74600','Seynod',30135),(30168,'74150','Crempigny Bonneguête',30136),(30169,'74230','La Balme De Thuy',30137),(30170,'74260','Gets',30138),(30171,'74000','Annecy',30139),(30172,'74360','Abondance',30140),(30173,'74330','Sillingy',30141),(30174,'74110','Montriond',30142),(30175,'74600','Montagny Les Lanches',30143),(30176,'74520','Jonzier Épagny',30144),(30177,'74540','Chapeiry',30145),(30178,'74250','Viuz En Sallaz',30146),(30179,'74150','Bloye',30147),(30180,'74160','Beaumont',30148),(30181,'74210','Marlens',30149),(30182,'74440','Taninges',30150),(30183,'74120','Megève',30151),(30184,'74140','Loisin',30152),(30185,'74140','Excenevex',30153),(30186,'74290','Menthon Saint Bernard',30154),(30187,'74200','Marin',30155),(30188,'74920','Combloux',30156),(30189,'74380','Lucinges',30157),(30190,'74130','Le Petit Bornand Les Glières',30158),(30191,'74230','Manigod',30159),(30192,'74270','Chavannaz',30160),(30193,'74160','Vers',30161),(30194,'74520','Valleiry',30162),(30195,'74410','Duingt',30163),(30196,'74460','Marnaz',30164),(30197,'74140','Sciez',30165),(30198,'74910','Franclens',30166),(30199,'74800','Cornier',30167),(30200,'74570','Groisy',30168),(30201,'74160','Feigères',30169),(30202,'74300','Arâches La Frasse',30170),(30203,'74520','Vulbens',30171),(30204,'74470','Lullin',30172),(30205,'01200','Éloise',30173),(30206,'74150','Marcellaz Albanais',30174),(30207,'74300','Thyez',30175),(30208,'74110','Morzine',30176),(30209,'74270','Marlioz',30177),(30210,'74150','Versonnex',30178),(30211,'74660','Vallorcine',30179),(30212,'74800','Etaux',30180),(30213,'74270','Clarafond Arcine',30181),(30214,'74330','Mésigny',30182),(30215,'74350','Menthonnex En Bornes',30183),(30216,'74350','Villy Le Pelloux',30184),(30217,'74500','Évian Les Bains',30185),(30218,'74220','La Clusaz',30186),(30219,'74550','Draillant',30187),(30220,'74270','Menthonnex Sous Clermont',30188),(30221,'74330','Choisy',30189),(30222,'74500','Maxilly Sur Léman',30190),(30223,'74890','Bons En Chablais',30191),(30224,'74320','Leschaux',30192),(30225,'74270','Musièges',30193),(30226,'74540','Cusy',30194),(30227,'74960','Meythet',30195),(30228,'74290','Alex',30196),(30229,'74110','Essert Romand',30197),(30230,'74230','Thônes',30198),(30231,'74500','Thollon Les Mémises',30199),(30232,'74230','Le Bouchet',30200),(30233,'74430','Saint Jean D\'Aulps',30201),(30234,'74370','Ollières',30202),(30235,'74270','Chêne En Semine',30203),(30236,'74150','Vallières',30204),(30237,'74100','Ville La Grand',30205),(30238,'74380','Arthaz Pont Notre Dame',30206),(30239,'74800','Saint Laurent',30207),(30240,'74150','Thusy',30208),(30241,'74570','Aviernoz',30209),(30242,'74360','Vacheresse',30210),(30243,'74160','Présilly',30211),(30244,'74140','Yvoire',30212),(30245,'74300','Saint Sigismond',30213),(30246,'74130','Ayse',30214),(30247,'74140','Messery',30215),(30248,'74250','Peillonnex',30216),(30249,'74130','Bonneville',30217),(30250,'74350','Allonzier La Caille',30218),(30251,'74130','Mont Saxonnex',30219),(30252,'74270','Chessenaz',30220),(30253,'74140','Saint Cergues',30221),(30254,'74490','Saint Jeoire',30222),(30255,'74410','La Chapelle Saint Maurice',30223),(30256,'74440','La Rivière Enverse',30224),(30257,'74330','Lovagny',30225),(30258,'74700','Cordon',30226),(30259,'74480','Passy',30227),(30260,'74230','Villards Sur Thônes',30228),(30261,'74500','Chevenoz',30229),(30262,'74130','Entremont',30230),(30263,'74150','Lornay',30231),(30264,'74910','Seyssel',30232),(30265,'74310','Servoz',30233),(30266,'74150','Massingy',30234),(30267,'74410','Saint Jorioz',30235),(30268,'74520','Savigny',30236),(30269,'74210','Montmin',30237),(30270,'74200','Allinges',30238),(30271,'74300','Nancy Sur Cluses',30239),(30272,'74150','Vaulx',30240),(30273,'74270','Desingy',30241),(30274,'74500','Lugrin',30242),(30275,'74350','Villy Le Bouveret',30243),(30276,'74890','Fessy',30244),(30277,'74270','Chaumont',30245),(30278,'74500','Meillerie',30246),(30279,'74490','Onnion',30247),(30280,'74200','Thonon Les Bains',30248),(30281,'74420','Habère Poche',30249),(30282,'74200','Anthy Sur Léman',30250),(30283,'74210','Chevaline',30251),(30284,'74370','Argonay',30252),(30285,'74430','Le Biot',30253),(30286,'74150','Boussy',30254),(30287,'74890','Lully',30255),(30288,'74540','Héry Sur Alby',30256),(30289,'74540','Saint Sylvestre',30257),(30290,'74560','Monnetier Mornex',30258),(30291,'74350','Cuvat',30259),(30292,'74100','Étrembières',30260),(30293,'74940','Annecy Le Vieux',30261),(30294,'74500','Novel',30262),(30295,'74370','Saint Martin Bellevue',30263),(30296,'74270','Frangy',30264),(30297,'74290','Bluffy',30265),(30298,'74210','Giez',30266),(30299,'74160','Collonges Sous Salève',30267),(30300,'74200','Reyvroz',30268),(30301,'74540','Allèves',30269),(30302,'74450','Saint Jean De Sixt',30270),(30303,'74210','Saint Ferréol',30271),(30304,'74910','Challonges',30272),(30305,'74960','Cran Gevrier',30273),(30306,'74500','Neuvecelle',30274),(30307,'74320','Sévrier',30275),(30308,'74800','Arenthon',30276),(30309,'74800','Saint Pierre En Faucigny',30277),(30310,'01200','Saint Germain Sur Rhône',30278),(30311,'74140','Douvaine',30279),(30312,'74300','Châtillon Sur Cluses',30280),(30313,'74470','Vailly',30281),(30314,'74250','Fillinges',30282),(30315,'74210','Seythenex',30283),(30316,'74250','Ville En Sallaz',30284),(30317,'74550','Perrignier',30285),(30318,'74490','Mégevette',30286),(30319,'74150','Val De Fier',30287),(30320,'74200','Margencel',30288),(30321,'74150','Marigny Saint Marcel',30289),(30322,'74150','Saint Eusèbe',30290),(30323,'74500','Bernex',30291),(30324,'74350','Cernex',30292),(30325,'74140','Ballaison',30293),(30326,'74500','Féternes',30294),(30327,'74270','Droisy',30295),(30328,'74930','Reignier Ésery',30296),(30329,'74240','Gaillard',30297),(30330,'74930','Arbusigny',30298),(30331,'74250','Marcellaz',30299),(30332,'74350','Le Sappey',30300),(30333,'74390','Châtel',30301),(30334,'74800','Saint Sixt',30302),(30335,'74380','Nangy',30303),(30336,'74270','Clermont',30304),(30337,'74700','Sallanches',30305),(30338,'74250','Bogève',30306),(30339,'74150','Rumilly',30307),(30340,'74580','Viry',30308),(30341,'74150','Sales',30309),(30342,'74250','La Tour',30310),(30343,'74120','Demi Quartier',30311),(30344,'74410','Saint Eustache',30312),(30345,'74350','Copponex',30313),(30346,'74370','Pringy',30314),(30347,'74910','Usinens',30315),(30348,'74330','Poisy',30316),(30349,'74350','Cruseilles',30317),(30350,'74200','La Forclaz',30318),(30351,'74430','Seytroux',30319),(30352,'74370','Charvonnex',30320),(30353,'74100','Juvigny',30321),(30354,'74350','Cercier',30322),(30355,'74130','Brizon',30323),(30356,'74500','Champanges',30324),(30357,'74930','Pers Jussy',30325),(30358,'74110','La Côte D\'Arbroz',30326),(30359,'74160','Archamps',30327),(30360,'74210','Doussard',30328),(30361,'74440','Verchaix',30329),(30362,'74360','La Chapelle D\'Abondance',30330),(30363,'74330','Nonglard',30331),(30364,'74420','Saint André De Boëge',30332),(30365,'74450','Le Grand Bornand',30333),(30366,'74470','Bellevaux',30334),(30367,'74420','Habère Lullin',30335),(30368,'74890','Brenthonne',30336),(30369,'74290','Veyrier Du Lac',30337),(30370,'74270','Contamine Sarzin',30338),(30371,'74420','Villard',30339),(30372,'74420','Burdignin',30340),(30373,'74370','Nâves Parmelan',30341),(30374,'74100','Annemasse',30342),(30375,'74500','Vinzier',30343),(30376,'74400','Chamonix Mont Blanc',30344),(30377,'74700','Domancy',30345),(30378,'74100','Vétraz Monthoux',30346),(30379,'74230','Dingy Saint Clair',30347),(30380,'74520','Chênex',30348),(30381,'74160','Bossey',30349),(30382,'74130','Contamine Sur Arve',30350),(30383,'74350','Saint Blaise',30351),(30384,'74550','Orcier',30352),(30385,'74970','Marignier',30353),(30386,'74200','Lyaud',30354),(30387,'74950','Scionzier',30355),(30388,'74500','Publier',30356),(30389,'74130','Vougy',30357),(30390,'74500','Larringes',30358),(30391,'74340','Samoëns',30359),(30392,'74200','La Vernaz',30360),(30393,'74380','Bonne',30361),(30394,'74440','Mieussy',30362),(30395,'74380','Cranves Sales',30363),(30396,'74440','Morillon',30364),(30397,'74270','Sallenôves',30365),(30398,'74800','La Chapelle Rambaud',30366),(30399,'74370','Villaz',30367),(30400,'74120','Praz Sur Arly',30368),(30401,'74140','Massongy',30369),(30402,'74150','Étercy',30370),(30403,'74140','Nernier',30371),(30404,'74650','Chavanod',30372),(30405,'74230','Clefs',30373),(30406,'74150','Moye',30374),(30407,'74160','Neydens',30375),(30408,'74210','Cons Sainte Colombe',30376),(30409,'74410','Entrevernes',30377),(30410,'74540','Chainaz Les Frasses',30378),(30411,'74350','Vovray En Bornes',30379),(30412,'74210','Thuile',30380),(30413,'74310','Houches',30381),(30414,'74200','Armoy',30382),(30415,'74330','La Balme De Sillingy',30383),(30416,'74540','Saint Félix',30384),(30417,'74250','Saint Jean De Tholome',30385),(30418,'74740','Sixt Fer À Cheval',30386),(30419,'74190','Saint Gervais Les Bains',30387),(30420,'74540','Viuz La Chiésaz',30388),(30421,'74360','Bonnevaux',30389),(30422,'74210','Faverges',30390),(30423,'74540','Alby Sur Chéran',30391),(30424,'74430','La Baume',30392),(30425,'74930','Scientrier',30393),(30426,'74800','Amancy',30394),(30427,'74270','Chilly',30395),(30428,'74160','Saint Julien En Genevois',30396),(30429,'74300','Cluses',30397),(30430,'74420','Boëge',30398),(30431,'74540','Gruffy',30399),(30432,'74140','Veigy Foncenex',30400),(30433,'74570','Évires',30401),(30434,'74140','Chens Sur Léman',30402),(30435,'74600','Quintal',30403),(30436,'74100','Ambilly',30404),(30437,'74290','Talloires',30405),(30439,'76710','Eslettes',30406),(30440,'76680','Rosay',30407),(30441,'76119','Varengeville Sur Mer',30408),(30442,'76730','Biville La Rivière',30409),(30443,'76680','Neufbosc',30410),(30444,'76740','La Gaillarde',30411),(30445,'76560','Ancourteville Sur Héricourt',30412),(30446,'76460','Saint Riquier Ès Plains',30413),(30447,'76210','Rouville',30414),(30448,'76270','Callengeville',30415),(30449,'76390','Richemont',30416),(30450,'76270','Bouelles',30417),(30451,'76560','Veauville Lès Quelles',30418),(30452,'76510','Freulleville',30419),(30453,'76340','Foucarmont',30420),(30454,'76340','Campneuseville',30421),(30455,'76590','Torcy Le Petit',30422),(30456,'76450','Malleville Les Grès',30423),(30457,'76690','Cailly',30424),(30458,'76860','Longueil',30425),(30459,'76270','Sainte Beuve En Rivière',30426),(30460,'76690','Fontaine Le Bourg',30427),(30461,'76110','Annouville Vilmesnil',30428),(30462,'76220','Ernemont La Villette',30429),(30463,'76210','Lanquetot',30430),(30464,'76450','Beuzeville La Guérard',30431),(30465,'76440','Fontaine En Bray',30432),(30466,'76320','Saint Pierre Lès Elbeuf',30433),(30467,'76450','Ocqueville',30434),(30468,'76560','Oherville',30435),(30469,'76450','Ourville En Caux',30436),(30470,'76400','Tourville Les Ifs',30437),(30471,'76970','Grémonville',30438),(30472,'76790','Le Tilleul',30439),(30473,'76480','Saint Pierre De Varengeville',30440),(30474,'76280','Pierrefiques',30441),(30475,'76390','Le Caule Sainte Beuve',30442),(30476,'76740','Anglesqueville La Bras Long',30443),(30477,'76490','Villequier',30444),(30478,'76630','Glicourt',30445),(30479,'76133','Notre Dame Du Bec',30446),(30480,'76210','Mirville',30447),(30481,'76133','Manéglise',30448),(30482,'76110','Sausseuzemare En Caux',30449),(30483,'76480','Duclair',30450),(30484,'76930','Octeville Sur Mer',30451),(30485,'76390','Haudricourt',30452),(30486,'76470','Le Tréport',30453),(30487,'76119','Sainte Marguerite Sur Mer',30454),(30488,'76700','Saint Laurent De Brèvedent',30455),(30489,'76430','Gommerville',30456),(30490,'76290','Fontenay',30457),(30491,'76840','Saint Martin De Boscherville',30458),(30492,'76750','Buchy',30459),(30493,'76430','Sainneville',30460),(30494,'76460','Pleine Sève',30461),(30495,'76750','Morgny La Pommeraye',30462),(30496,'76370','Bracquemont',30463),(30497,'76520','Quévreville La Poterie',30464),(30498,'76910','Touffreville Sur Eu',30465),(30499,'76630','Saint Ouen Sous Bailly',30466),(30500,'76630','Tourville La Chapelle',30467),(30501,'76660','Bures En Bray',30468),(30502,'76640','Auzouville Auberbosc',30469),(30503,'76430','Tancarville',30470),(30504,'76290','Saint Martin Du Manoir',30471),(30505,'76170','Mélamare',30472),(30506,'76590','Saint Germain D\'Étables',30473),(30507,'76430','Saint Aubin Routot',30474),(30508,'76750','Bierville',30475),(30509,'76680','Bellencombre',30476),(30510,'76590','Belmesnil',30477),(30511,'76640','Normanville',30478),(30512,'76730','Gonnetot',30479),(30513,'76640','Trémauville',30480),(30514,'76390','Aubéguimont',30481),(30515,'76330','Norville',30482),(30516,'76590','Saint Honoré',30483),(30517,'76730','Avremesnil',30484),(30518,'76390','Landes Vieilles Et Neuves',30485),(30519,'76280','Angerville L\'Orcher',30486),(30520,'76270','Mesnières En Bray',30487),(30521,'76340','Saint Léger Aux Bois',30488),(30522,'76340','Fallencourt',30489),(30523,'76890','Beautot',30490),(30524,'76750','Vieux Manoir',30491),(30525,'76410','Cléon',30492),(30526,'76590','Notre Dame Du Parc',30493),(30527,'76330','Petiville',30494),(30528,'76370','Berneval Le Grand',30495),(30529,'76720','Auffay',30496),(30530,'76640','Cliponville',30497),(30531,'76140','Le Petit Quevilly',30498),(30532,'76260','Canehan',30499),(30533,'76780','Le Héron',30500),(30534,'76440','Haussez',30501),(30535,'76740','Sotteville Sur Mer',30502),(30536,'76890','Saint Maclou De Folleville',30503),(30537,'76790','Gerville',30504),(30538,'76760','Bourdainville',30505),(30539,'76660','Fresnoy Folny',30506),(30540,'76680','Ventes Saint Rémy',30507),(30541,'76660','Preuseville',30508),(30542,'76480','Bardouville',30509),(30543,'76740','Angiens',30510),(30544,'76850','Étaimpuis',30511),(30545,'76640','Rocquefort',30512),(30546,'76970','Flamanville',30513),(30547,'76560','Fultot',30514),(30548,'76270','Esclavelles',30515),(30549,'76220','Gournay En Bray',30516),(30550,'76760','Ouville L\'Abbaye',30517),(30551,'76690','La Houssaye Béranger',30518),(30552,'76630','Sauchay',30519),(30553,'76560','Prétot Vicquemare',30520),(30554,'76630','Greny',30521),(30555,'76110','Angerville Bailleul',30522),(30556,'76760','Saussay',30523),(30557,'76910','Criel Sur Mer',30524),(30558,'76890','Calleville Les Deux Églises',30525),(30559,'76270','Saint Martin L\'Hortier',30526),(30560,'76680','Rocquemont',30527),(30561,'76110','Houquetot',30528),(30562,'76750','Bois Héroult',30529),(30563,'76350','Oissel',30530),(30564,'76490','Louvetot',30531),(30565,'76550','Aubermesnil Beaumais',30532),(30566,'76550','Hautot Sur Mer',30533),(30567,'76270','Auvilliers',30534),(30568,'76110','Virville',30535),(30569,'76360','Bouville',30536),(30570,'76390','Nullemont',30537),(30571,'76480','Sainte Marguerite Sur Duclair',30538),(30572,'76110','Goderville',30539),(30573,'76210','Lintot',30540),(30574,'76680','Bradiancourt',30541),(30575,'76260','Eu',30542),(30576,'76690','Grugny',30543),(30577,'76220','Ménerval',30544),(30578,'76550','Saint Aubin Sur Scie',30545),(30579,'76630','Assigny',30546),(30580,'76640','Cléville',30547),(30581,'76750','Sainte Croix Sur Buchy',30548),(30582,'76160','Darnétal',30549),(30583,'76490','Saint Gilles De Crétot',30550),(30584,'76750','Rebets',30551),(30585,'76220','Neuf Marché',30552),(30586,'76160','Roncherolles Sur Le Vivier',30553),(30587,'76480','Berville Sur Seine',30554),(30588,'76230','Quincampoix',30555),(30589,'76460','Cailleville',30556),(30590,'76116','Ry',30557),(30591,'76660','Clais',30558),(30592,'76480','Roumare',30559),(30593,'76190','Carville La Folletière',30560),(30594,'76380','Val De La Haye',30561),(30595,'76850','Cottévrard',30562),(30596,'76880','Arques La Bataille',30563),(30597,'76730','Royville',30564),(30598,'76450','Hautot L\'Auvray',30565),(30599,'76270','Flamets Frétils',30566),(30600,'76270','Massy',30567),(30601,'76390','Marques',30568),(30602,'76490','Anquetierville',30569),(30603,'76400','Contremoulins',30570),(30604,'76340','Villers Sous Foucarmont',30571),(30605,'76390','Criquiers',30572),(30606,'76860','Ouville La Rivière',30573),(30607,'76560','Harcanville',30574),(30608,'76113','Sahurs',30575),(30609,'76210','Saint Eustache La Forêt',30576),(30610,'76280','Sainte Marie Au Bosc',30577),(30611,'76790','Étretat',30578),(30612,'76160','Saint Aubin Épinay',30579),(30613,'76630','Douvrend',30580),(30614,'76220','La Feuillie',30581),(30615,'76440','Compainville',30582),(30616,'76520','Gouy',30583),(30617,'76770','Le Houlme',30584),(30618,'76110','Auberville La Renault',30585),(30619,'76280','Anglesqueville L\'Esneval',30586),(30620,'76430','Saint Gilles De La Neuville',30587),(30621,'76870','Beaussault',30588),(30622,'76570','Sainte Austreberthe',30589),(30623,'76370','Derchigny',30590),(30624,'76190','Mont De L\'If',30591),(30625,'76780','Fry',30592),(30626,'76190','Yvetot',30593),(30627,'76440','Haucourt',30594),(30628,'76390','Illois',30595),(30629,'76860','Quiberville',30596),(30630,'76530','Grand Couronne',30597),(30631,'76370','Ancourt',30598),(30632,'76440','Mesnil Mauger',30599),(30633,'76590','Bertreville Saint Ouen',30600),(30634,'76270','Fresles',30601),(30635,'76270','Mortemer',30602),(30636,'76220','Brémontier Merval',30603),(30637,'76460','Blosseville',30604),(30638,'76500','La Londe',30605),(30639,'76220','Elbeuf En Bray',30606),(30640,'76560','Bretteville Saint Laurent',30607),(30641,'76340','Guerville',30608),(30642,'76530','La Bouille',30609),(30643,'76290','Mannevillette',30610),(30644,'76450','Thiouville',30611),(30645,'76120','Le Grand Quevilly',30612),(30646,'76280','Villainville',30613),(30647,'76220','Bézancourt',30614),(30648,'76710','Anceaumeville',30615),(30649,'76460','Gueutteville Les Grès',30616),(30650,'76890','Imbleville',30617),(30651,'76540','Életot',30618),(30652,'76110','Bréauté',30619),(30653,'76110','Bornambusc',30620),(30654,'76930','Cauville Sur Mer',30621),(30655,'76770','Houppeville',30622),(30656,'76690','La Rue Saint Pierre',30623),(30657,'76970','Ectot Lès Baons',30624),(30658,'76410','Freneuse',30625),(30659,'76340','Aubermesnil Aux Érables',30626),(30660,'76210','Bolleville',30627),(30661,'76590','Le Bois Robert',30628),(30662,'76440','Saumont La Poterie',30629),(30663,'76810','Gruchet Saint Siméon',30630),(30664,'76540','Sorquainville',30631),(30665,'76780','Elbeuf Sur Andelle',30632),(30666,'76560','Doudeville',30633),(30667,'76450','Crasville La Mallet',30634),(30668,'76440','Mauquenchy',30635),(30669,'76500','Elbeuf',30636),(30670,'76750','Boissay',30637),(30671,'76240','Belbeuf',30638),(30672,'76630','Avesnes En Val',30639),(30673,'76430','Trois Pierres',30640),(30674,'76840','Quevillon',30641),(30675,'76370','Saint Martin En Campagne',30642),(30676,'76280','Beaurepaire',30643),(30677,'76480','Anneville Ambourville',30644),(30678,'76940','Notre Dame De Bliquetuit',30645),(30679,'76116','Servaville Salmonville',30646),(30680,'76520','Mesnil Raoul',30647),(30681,'76780','Morville Sur Andelle',30648),(30682,'76340','Hodeng Au Bosc',30649),(30683,'76220','Ferrières En Bray',30650),(30684,'76630','Guilmécourt',30651),(30685,'76630','Penly',30652),(30686,'76210','Saint Jean De La Neuville',30653),(30687,'76260','Le Mesnil Réaume',30654),(30688,'76660','Londinières',30655),(30689,'76160','Fontaine Sous Préaux',30656),(30690,'76230','Bois Guillaume',30657),(30691,'76260','Cuverville Sur Yères',30658),(30692,'76400','Colleville',30659),(30693,'76630','Intraville',30660),(30694,'76750','Longuerue',30661),(30695,'76110','Mentheville',30662),(30696,'76116','Blainville Crevon',30663),(30697,'76520','Saint Aubin Celloville',30664),(30698,'76220','Gancourt Saint Étienne',30665),(30699,'76160','Saint Léger Du Bourg Denis',30666),(30700,'76170','La Frénaye',30667),(30701,'76210','Nointot',30668),(30702,'76150','Saint Jean Du Cardonnay',30669),(30703,'76260','Saint Rémy Boscrocourt',30670),(30704,'76690','Yquebeuf',30671),(30705,'76340','Blangy Sur Bresle',30672),(30706,'76540','Valmont',30673),(30707,'76630','Brunville',30674),(30708,'76340','Saint Riquier En Rivière',30675),(30709,'76550','Ambrumesnil',30676),(30710,'76360','Barentin',30677),(30711,'76590','Dénestanville',30678),(30712,'76660','Osmoy Saint Valery',30679),(30713,'76460','Drosay',30680),(30714,'76590','Cent Acres',30681),(30715,'76560','Bénesville',30682),(30716,'76590','Le Catelier',30683),(30717,'76450','Saint Vaast Dieppedalle',30684),(30718,'76540','Écretteville Sur Mer',30685),(30719,'76450','Ouainville',30686),(30720,'76760','Lindebeuf',30687),(30721,'76720','Heugleville Sur Scie',30688),(30722,'76640','Yébleron',30689),(30723,'76790','Bordeaux Saint Clair',30690),(30724,'76340','Monchaux Soreng',30691),(30725,'76760','Ectot L\'Auber',30692),(30726,'76660','Sainte Agathe D\'Aliermont',30693),(30727,'76280','Hermeville',30694),(30728,'76450','Le Hanouard',30695),(30729,'76360','Pissy Pôville',30696),(30730,'76270','Quièvrecourt',30697),(30731,'76430','La Cerlangue',30698),(30732,'76340','Rieux',30699),(30733,'76700','Harfleur',30700),(30734,'76460','Ingouville',30701),(30735,'76590','Saint Crespin',30702),(30736,'76810','Greuville',30703),(30737,'76780','Nolléval',30704),(30738,'76450','Canouville',30705),(30739,'76520','Fresne Le Plan',30706),(30740,'76640','Envronville',30707),(30741,'76920','Amfreville La Mi Voie',30708),(30742,'76400','Froberville',30709),(30743,'76117','Incheville',30710),(30744,'76440','Rouvray Catillon',30711),(30745,'76630','Auquemesnil',30712),(30746,'76400','Maniquerville',30713),(30747,'76550','Offranville',30714),(30748,'76560','Amfreville Les Champs',30715),(30749,'76340','Réalcamp',30716),(30750,'76560','Robertot',30717),(30751,'76590','Torcy Le Grand',30718),(30752,'76220','Dampierre En Bray',30719),(30753,'76270','Ménonval',30720),(30754,'76580','Le Trait',30721),(30755,'76540','Gerponville',30722),(30756,'76450','Clasville',30723),(30757,'76260','Millebosc',30724),(30758,'76430','Saint Vincent Cramesnil',30725),(30759,'76890','Vassonville',30726),(30760,'76750','Bosc Édeline',30727),(30761,'76680','Maucomble',30728),(30762,'76160','Bois D\'Ennebourg',30729),(30763,'76400','Épreville',30730),(30764,'76210','Beuzevillette',30731),(30765,'76370','Martin Église',30732),(30766,'76640','Foucart',30733),(30767,'76660','Croixdalle',30734),(30768,'76730','Saint Mards',30735),(30769,'76730','Omonville',30736),(30770,'76430','Sandouville',30737),(30771,'76690','Claville Motteville',30738),(30772,'76950','Grandes Ventes',30739),(30773,'76730','Lammerville',30740),(30774,'76560','Sommesnil',30741),(30775,'76450','Vittefleur',30742),(30776,'76780','La Hallotière',30743),(30777,'76260','Monchy Sur Eu',30744),(30778,'76190','Valliquerville',30745),(30779,'76640','Saint Pierre Lavis',30746),(30780,'76730','Tocqueville En Caux',30747),(30781,'76660','Fréauville',30748),(30782,'76690','Clères',30749),(30783,'76190','Betteville',30750),(30784,'76440','Le Fossé',30751),(30785,'76230','Isneauville',30752),(30786,'76690','Saint Georges Sur Fontaine',30753),(30787,'76190','Étoutteville',30754),(30788,'76280','Heuqueville',30755),(30789,'76570','Fresquiennes',30756),(30790,'76110','Vattetot Sous Beaumont',30757),(30791,'76450','Bertreville',30758),(30792,'76730','Saâne Saint Just',30759),(30793,'76720','Cropus',30760),(30794,'76480','Saint Paër',30761),(30795,'76190','La Folletière',30762),(30796,'76150','La Vaupalière',30763),(30797,'76270','Saint Saire',30764),(30798,'76190','Bois Himont',30765),(30799,'76190','Autretot',30766),(30800,'76160','Bois L\'Évêque',30767),(30801,'76740','Autigny',30768),(30802,'76710','Montville',30769),(30803,'76340','Bazinval',30770),(30804,'76570','Cideville',30771),(30805,'76630','Saint Quentin Au Bosc',30772),(30806,'76710','Bosc Guérard Saint Adrien',30773),(30807,'76740','Crasville La Rocquefort',30774),(30808,'76630','Envermeu',30775),(30809,'76800','Saint Étienne Du Rouvray',30776),(30810,'76940','Heurteauville',30777),(30811,'76540','Thiergeville',30778),(30812,'76430','Étainhus',30779),(30813,'76133','Saint Martin Du Bec',30780),(30814,'76740','Ermenouville',30781),(30815,'76590','Manéhouville',30782),(30816,'76270','Vatierville',30783),(30817,'76810','Luneray',30784),(30818,'76690','Saint Germain Sous Cailly',30785),(30819,'76890','Saint Pierre Bénouville',30786),(30820,'76590','Criquetot Sur Longueville',30787),(30821,'76210','Gruchet Le Valasse',30788),(30822,'76510','Saint Aubin Le Cauf',30789),(30823,'76590','Lintot Les Bois',30790),(30824,'76570','Mesnil Panneville',30791),(30825,'76590','Anneville Sur Scie',30792),(30826,'76440','Saint Michel D\'Halescourt',30793),(30827,'76640','Alvimare',30794),(30828,'76740','La Chapelle Sur Dun',30795),(30829,'76250','Déville Lès Rouen',30796),(30830,'76770','Malaunay',30797),(30831,'76660','Bailleul Neuville',30798),(30832,'76440','Forges Les Eaux',30799),(30833,'76440','Roncherolles En Bray',30800),(30834,'76150','Maromme',30801),(30835,'76510','Saint Nicolas D\'Aliermont',30802),(30836,'76690','Saint André Sur Cailly',30803),(30837,'76430','Saint Romain De Colbosc',30804),(30838,'76750','Bosc Bordel',30805),(30839,'76730','Gueures',30806),(30840,'76330','Saint Maurice D\'Ételan',30807),(30841,'76110','Bec De Mortagne',30808),(30842,'76220','Cuy Saint Fiacre',30809),(30843,'76490','Saint Arnoult',30810),(30844,'76360','Villers Écalles',30811),(30845,'76110','Bénarville',30812),(30846,'76780','Argueil',30813),(30847,'76590','Sainte Foy',30814),(30848,'76570','Hugleville En Caux',30815),(30849,'76340','Dancourt',30816),(30850,'76160','Saint Martin Du Vivier',30817),(30851,'76170','Saint Jean De Folleville',30818),(30852,'76330','Notre Dame De Gravenchon',30819),(30853,'76890','Varneville Bretteville',30820),(30854,'76560','Saint Laurent En Caux',30821),(30855,'76450','Saint Martin Aux Buneaux',30822),(30856,'76560','Berville',30823),(30857,'76760','Auzouville L\'Esneval',30824),(30858,'76220','Molagnies',30825),(30859,'76110','Bretteville Du Grand Caux',30826),(30860,'76590','La Chaussée',30827),(30861,'76680','Bosc Bérenger',30828),(30862,'76730','Lestanville',30829),(30863,'76850','Bosc Le Hard',30830),(30864,'76520','Franqueville Saint Pierre',30831),(30865,'76220','Avesnes En Bray',30832),(30866,'76260','Ponts Et Marais',30833),(30867,'76210','Parc D\'Anxtot',30834),(30868,'76540','Thérouldeville',30835),(30869,'76940','Saint Nicolas De Bliquetuit',30836),(30870,'76780','La Chapelle Saint Ouen',30837),(30871,'76480','Le Mesnil Sous Jumièges',30838),(30872,'76680','Saint Hellier',30839),(30873,'76450','Bertheauville',30840),(30874,'76640','Bermonville',30841),(30875,'76400','Toussaint',30842),(30876,'76170','Triquerville',30843),(30877,'76190','Auzebosc',30844),(30878,'76430','Épretot',30845),(30879,'76260','Étalondes',30846),(30880,'76190','Sainte Marie Des Champs',30847),(30881,'76490','Caudebec En Caux',30848),(30882,'76960','Notre Dame De Bondeville',30849),(30883,'76170','Saint Nicolas De La Taille',30850),(30884,'76630','Bailly En Rivière',30851),(30885,'76460','Sainte Colombe',30852),(30886,'76520','Montmain',30853),(30887,'76190','Hautot Saint Sulpice',30854),(30888,'76116','Grainville Sur Ry',30855),(30889,'76420','Bihorel',30856),(30890,'76490','Maulévrier Sainte Gertrude',30857),(30891,'76113','Saint Pierre De Manneville',30858),(30892,'76160','Saint Jacques Sur Darnétal',30859),(30893,'76850','Montreuil En Caux',30860),(30894,'76530','Yville Sur Seine',30861),(30895,'76490','Saint Wandrille Rançon',30862),(30896,'76630','Biville Sur Mer',30863),(30897,'76590','La Chapelle Du Bourgay',30864),(30898,'76680','Pommeréval',30865),(30900,'76520','Boos',30866),(30901,'76550','Tourville Sur Arques',30867),(30902,'76890','Saint Victor L\'Abbaye',30868),(30903,'76133','Rolleville',30869),(30904,'76190','Veauville Lès Baons',30870),(30905,'76270','Saint Germain Sur Eaulne',30871),(30906,'76760','Vibeuf',30872),(30907,'76190','Allouville Bellefosse',30873),(30908,'76190','Saint Clair Sur Les Monts',30874),(30909,'76190','Fréville',30875),(30910,'76260','Saint Martin Le Gaillard',30876),(30911,'76590','Gonneville Sur Scie',30877),(30912,'76640','Sainte Marguerite Sur Fauville',30878),(30913,'76190','Blacqueville',30879),(30914,'76460','Néville',30880),(30915,'76480','Épinay Sur Duclair',30881),(30916,'76400','Ganzeville',30882),(30917,'76520','Ymare',30883),(30918,'76190','Saint Aubin De Crétot',30884),(30919,'76260','Sept Meules',30885),(30920,'76860','Saint Denis D\'Aclon',30886),(30921,'76410','Sotteville Sous Le Val',30887),(30922,'76680','Saint Saëns',30888),(30923,'76980','Veules Les Roses',30889),(30924,'76680','Saint Martin Osmonville',30890),(30925,'76540','Theuville Aux Maillots',30891),(30926,'76280','Gonneville La Mallet',30892),(30927,'76111','Vattetot Sur Mer',30893),(30928,'76490','Saint Nicolas De La Haie',30894),(30929,'76740','Le Bourg Dun',30895),(30930,'76190','Baons Le Comte',30896),(30931,'76730','Rainfreville',30897),(30932,'76390','Aumale',30898),(30933,'76220','Doudeauville',30899),(30934,'76680','Bosc Mesnil',30900),(30935,'76116','Saint Denis Le Thiboult',30901),(30936,'76570','Émanville',30902),(30937,'76540','Criquetot Le Mauconduit',30903),(30938,'76890','Bertrimont',30904),(30939,'76270','Nesle Hodeng',30905),(30940,'76110','Grainville Ymauville',30906),(30941,'76540','Limpiville',30907),(30942,'76440','Le Thil Riberpré',30908),(30943,'76110','Gonfreville Caillot',30909),(30944,'76560','Carville Pot De Fer',30910),(30945,'76280','Vergetot',30911),(30946,'76160','La Vieux Rue',30912),(30947,'76780','Sigy En Bray',30913),(30948,'76550','Sauqueville',30914),(30949,'76116','Catenay',30915),(30950,'76170','Auberville La Campagne',30916),(30951,'76730','Bacqueville En Caux',30917),(30952,'76660','Grandcourt',30918),(30953,'76850','La Crique',30919),(30954,'76440','La Ferté Saint Samson',30920),(30955,'76890','Biville La Baignarde',30921),(30956,'76440','Pommereux',30922),(30957,'76680','Montérolier',30923),(30958,'76480','Jumièges',30924),(30959,'76110','Saint Maclou La Brière',30925),(30960,'76890','Tôtes',30926),(30961,'76570','Limésy',30927),(30962,'76640','Ricarville',30928),(30963,'76370','Grèges',30929),(30964,'76430','Saint Vigor D\'Ymonville',30930),(30965,'76560','Boudeville',30931),(30966,'76110','Manneville La Goupil',30932),(30967,'76110','Tocqueville Les Murs',30933),(30968,'76750','Bosc Roger Sur Buchy',30934),(30969,'76560','Anvéville',30935),(30970,'76760','Saint Martin Aux Arbres',30936),(30971,'76740','Fontaine Le Dun',30937),(30972,'76750','Héronchelles',30938),(30973,'76440','Longmesnil',30939),(30974,'76940','Vatteville La Rue',30940),(30975,'76270','Bully',30941),(30976,'76750','Bois Guilbert',30942),(30977,'76260','Saint Pierre En Val',30943),(30978,'76910','Tocqueville Sur Eu',30944),(30979,'76340','Nesle Normandeuse',30945),(30980,'76130','Mont Saint Aignan',30946),(30981,'76260','Melleville',30947),(30982,'76370','Belleville Sur Mer',30948),(30983,'76450','Paluel',30949),(30984,'76460','Manneville Ès Plains',30950),(30985,'76890','Val De Saâne',30951),(30986,'76730','Brachy',30952),(30987,'76440','Serqueux',30953),(30988,'76730','Lamberville',30954),(30989,'76690','Frichemesnil',30955),(30990,'76240','Bonsecours',30956),(30991,'76760','Yerville',30957),(30992,'76630','Gouchaupre',30958),(30993,'76200','Dieppe',30959),(30994,'76510','Meulers',30960),(30995,'76500','Orival',30961),(30996,'76540','Sassetot Le Mauconduit',30962),(30997,'76750','Estouteville Écalles',30963),(30998,'76510','Saint Jacques D\'Aliermont',30964),(30999,'76750','Ernemont Sur Buchy',30965),(31000,'76290','Montivilliers',30966),(31001,'76290','Fontaine La Mallet',30967),(31002,'76280','La Poterie Cap D\'Antifer',30968),(31003,'76780','La Haye',30969),(31004,'76260','Villy Sur Yères',30970),(31005,'76300','Sotteville Lès Rouen',30971),(31006,'76190','Croix Mare',30972),(31007,'76520','Authieux Sur Le Port Saint Ouen',30973),(31008,'76450','Sasseville',30974),(31009,'76540','Ypreville Biville',30975),(31010,'76400','Sainte Hélène Bondeville',30976),(31011,'76690','Sierville',30977),(31012,'76190','Écalles Alix',30978),(31013,'76590','Crosville Sur Scie',30979),(31014,'76540','Angerville La Martel',30980),(31015,'76740','Bourville',30981),(31016,'76390','Vieux Rouen Sur Bresle',30982),(31017,'76390','Morienne',30983),(31018,'76430','Graimbouville',30984),(31019,'76650','Petit Couronne',30985),(31020,'76730','Saint Ouen Le Mauger',30986),(31021,'76890','Saint Denis Sur Scie',30987),(31022,'76270','Neuville Ferrières',30988),(31023,'76890','La Fontelaye',30989),(31024,'76560','Le Torp Mesnil',30990),(31025,'76760','Criquetot Sur Ouville',30991),(31026,'76690','Esteville',30992),(31027,'76560','Routes',30993),(31028,'76510','Ricarville Du Val',30994),(31029,'76760','Ancretiéville Saint Victor',30995),(31030,'76510','Dampierre Saint Nicolas',30996),(31031,'76530','Mauny',30997),(31032,'76170','Grand Camp',30998),(31033,'76690','Mont Cauvaire',30999),(31034,'76690','Authieux Ratiéville',31000),(31035,'76570','Pavilly',31001),(31036,'76890','Butot',31002),(31037,'76780','Mésangueville',31003),(31038,'76133','Épouville',31004),(31039,'76160','Préaux',31005),(31040,'76260','Flocques',31006),(31041,'76780','Le Mesnil Lieubray',31007),(31042,'76750','Pierreval',31008),(31043,'76430','Oudalle',31009),(31044,'76890','Saint Vaast Du Val',31010),(31045,'76410','Saint Aubin Lès Elbeuf',31011),(31046,'76730','Sassetot Le Malgardé',31012),(31047,'76260','Baromesnil',31013),(31048,'76540','Thiétreville',31014),(31049,'76630','Ifs',31015),(31050,'76720','Cressy',31016),(31051,'76660','Puisenval',31017),(31052,'76440','La Bellière',31018),(31053,'76940','La Mailleraye Sur Seine',31019),(31054,'76750','Saint Germain Des Essourts',31020),(31055,'76320','Caudebec Lès Elbeuf',31021),(31056,'76740','Saint Aubin Sur Mer',31022),(31057,'76450','Grainville La Teinturière',31023),(31058,'76260','Longroy',31024),(31059,'76440','Sainte Geneviève',31025),(31060,'76890','Gueutteville',31026),(31061,'76560','Canville Les Deux Églises',31027),(31062,'76270','Neufchâtel En Bray',31028),(31063,'76210','Bernières',31029),(31064,'76730','Auppegard',31030),(31065,'76390','Ellecourt',31031),(31066,'76840','Hénouville',31032),(31067,'76660','Saint Pierre Des Jonquières',31033),(31068,'76460','Le Mesnil Durdent',31034),(31069,'76590','Longueville Sur Scie',31035),(31070,'76550','Colmesnil Manneville',31036),(31071,'76730','Hermanville',31037),(31072,'76880','Martigny',31038),(31073,'76170','Lillebonne',31039),(31074,'76660','Wanchy Capval',31040),(31075,'76850','Sévis',31041),(31076,'76460','Saint Valery En Caux',31042),(31077,'76510','Saint Vaast D\'Équiqueville',31043),(31078,'76660','Smermesnil',31044),(31079,'76890','Saint Ouen Du Breuil',31045),(31080,'76540','Vinnemerville',31046),(31081,'76410','Tourville La Rivière',31047),(31082,'76270','Fesques',31048),(31083,'76310','Sainte Adresse',31049),(31084,'76640','Bennetot',31050),(31085,'76210','Raffetot',31051),(31086,'76850','Bracquetuit',31052),(31087,'76680','Critot',31053),(31088,'76560','Yvecrique',31054),(31089,'76240','Le Mesnil Esnard',31055),(31090,'76850','Beaumont Le Hareng',31056),(31091,'76220','Montroty',31057),(31092,'76190','Hautot Le Vatois',31058),(31093,'76530','Moulineaux',31059),(31094,'76210','Beuzeville La Grenier',31060),(31095,'76520','La Neuville Chant D\'Oisel',31061),(31096,'76450','Veulettes Sur Mer',31062),(31097,'76740','Héberville',31063),(31098,'76210','Trouville',31064),(31099,'76111','Criquebeuf En Caux',31065),(31100,'76116','Saint Aignan Sur Ry',31066),(31101,'76400','Fécamp',31067),(31102,'76510','Notre Dame D\'Aliermont',31068),(31103,'76340','Saint Martin Au Bosc',31069),(31104,'76340','Rétonval',31070),(31105,'76730','Thil Manneville',31071),(31106,'76740','Saint Pierre Le Viger',31072),(31107,'76700','Gonfreville L\'Orcher',31073),(31108,'76370','Rouxmesnil Bouteilles',31074),(31109,'76660','Baillolet',31075),(31110,'76380','Canteleu',31076),(31111,'76680','Ardouval',31077),(31112,'76560','Gonzeville',31078),(31113,'76540','Ancretteville Sur Mer',31079),(31114,'76111','Yport',31080),(31115,'76890','Belleville En Caux',31081),(31116,'76270','Graval',31082),(31117,'76280','Cuverville',31083),(31118,'76400','Senneville Sur Fécamp',31084),(31119,'76280','Fongueusemare',31085),(31120,'76730','Vénestanville',31086),(31121,'76280','Saint Jouin Bruneval',31087),(31122,'76390','Ronchois',31088),(31123,'76110','Écrainville',31089),(31124,'76116','Auzouville Sur Ry',31090),(31125,'76780','Hodeng Hodenger',31091),(31126,'76190','Écretteville Lès Baons',31092),(31127,'76700','Rogerville',31093),(31128,'76890','Beauval En Caux',31094),(31129,'76220','Bosc Hyons',31095),(31130,'76450','Bosville',31096),(31131,'76700','Gainneville',31097),(31132,'76440','Grumesnil',31098),(31133,'76170','La Trinité Du Mont',31099),(31134,'76113','Hautot Sur Seine',31100),(31135,'76170','Touffreville La Cable',31101),(31136,'76110','Daubeuf Serville',31102),(31137,'76430','La Remuée',31103),(31138,'76380','Montigny',31104),(31139,'76190','Touffreville La Corbeline',31105),(31140,'76450','Cany Barville',31106),(31141,'76270','Lucy',31107),(31142,'76540','Saint Pierre En Port',31108),(31143,'76110','Saint Sauveur D\'Émalleville',31109),(31144,'76460','Saint Sylvain',31110),(31145,'76850','Grigneuseville',31111),(31146,'76440','Sommery',31112),(31147,'76560','Étalleville',31113),(31148,'76740','Brametot',31114),(31149,'76570','Goupillières',31115),(31150,'76210','Bolbec',31116),(31151,'76640','Fauville En Caux',31117),(31152,'76280','Turretot',31118),(31153,'76170','Saint Antoine La Forêt',31119),(31154,'76740','Saint Pierre Le Vieux',31120),(31155,'76560','Reuville',31121),(31156,'76640','Hattenville',31122),(31157,'76400','Saint Léonard',31123),(31158,'76790','Loges',31124),(31159,'76870','Gaillefontaine',31125),(31160,'76220','Beauvoir En Lyons',31126),(31161,'76450','Butot Vénesville',31127),(31162,'76690','Le Bocasse',31128),(31163,'76660','Mesnil Follemprise',31129),(31164,'76630','Bellengreville',31130),(31165,'76116','Martainville Épreville',31131),(31167,'76780','Croisy Sur Andelle',31132),(31168,'76790','Bénouville',31133),(31169,'76480','Yainville',31134),(31170,'76450','Cleuville',31135),(31171,'76440','Beaubec La Rosière',31136),(31172,'76590','Muchedent',31137),(31173,'76680','Mathonville',31138),(31174,'76560','Héricourt En Caux',31139),(31175,'76280','Criquetot L\'Esneval',31140),(31176,'76450','Auberville La Manuel',31141),(31177,'76390','Conteville',31142),(31178,'76340','Pierrecourt',31143),(31179,'76540','Riville',31144),(31180,'76970','Motteville',31145),(31181,'76850','Fresnay Le Long',31146),(31182,'76740','Houdetot',31147),(31183,'76730','Auzouville Sur Saâne',31148),(31184,'77970','Jouy Le Châtel',31149),(31185,'77450','Lesches',31150),(31186,'77169','Saint Germain Sous Doue',31151),(31187,'77230','Juilly',31152),(31188,'77610','Chapelles Bourbon',31153),(31189,'77139','Marcilly',31154),(31190,'77580','Guérard',31155),(31191,'77750','Bassevelle',31156),(31192,'77560','Champcenest',31157),(31193,'77910','Germigny L\'Évêque',31158),(31194,'77600','Conches Sur Gondoire',31159),(31195,'77163','Dammartin Sur Tigeaux',31160),(31196,'77320','Montdauphin',31161),(31197,'77410','Annet Sur Marne',31162),(31198,'77184','Émerainville',31163),(31199,'77570','Aufferville',31164),(31200,'77370','Nangis',31165),(31201,'77169','Chauffry',31166),(31202,'77550','Limoges Fourches',31167),(31203,'77123','Noisy Sur École',31168),(31204,'77440','Isles Les Meldeuses',31169),(31205,'77910','Varreddes',31170),(31206,'77440','Vendrest',31171),(31207,'77140','Darvault',31172),(31208,'77510','Saint Léger',31173),(31209,'77440','Mary Sur Marne',31174),(31210,'77440','Jaignes',31175),(31211,'77210','Avon',31176),(31212,'77400','Carnetin',31177),(31213,'77720','Aubepierre Ozouer Le Repos',31178),(31214,'77720','La Chapelle Gauthier',31179),(31215,'77710','Paley',31180),(31216,'77950','Saint Germain Laxis',31181),(31217,'77260','Sept Sorts',31182),(31218,'77515','La Celle Sur Morin',31183),(31219,'77114','Gouaix',31184),(31220,'77580','La Haute Maison',31185),(31221,'77124','Chauconin Neufmontiers',31186),(31222,'77135','Pontcarré',31187),(31223,'77440','Ocquerre',31188),(31224,'77131','Touquin',31189),(31225,'77990','Mauregard',31190),(31226,'77167','Faÿ Lès Nemours',31191),(31227,'77890','Beaumont Du Gâtinais',31192),(31228,'77144','Chalifert',31193),(31229,'77890','Obsonville',31194),(31230,'77151','Montceaux Lès Provins',31195),(31231,'77100','Nanteuil Lès Meaux',31196),(31232,'77940','Blennes',31197),(31233,'77470','Montceaux Lès Meaux',31198),(31234,'77163','Tigeaux',31199),(31235,'77940','Noisy Rudignon',31200),(31236,'77515','Pommeuse',31201),(31237,'77940','Voulx',31202),(31238,'77320','Beton Bazoches',31203),(31239,'77130','Saint Germain Laval',31204),(31240,'77580','Coutevroult',31205),(31241,'77167','Châtenoy',31206),(31242,'77320','La Chapelle Moutils',31207),(31243,'77510','La Trétoire',31208),(31244,'77880','Grez Sur Loing',31209),(31245,'77510','Doue',31210),(31246,'77930','Cély',31211),(31247,'77700','Magny Le Hongre',31212),(31248,'77710','Chevry En Sereine',31213),(31249,'77127','Lieusaint',31214),(31250,'77220','Gretz Armainvilliers',31215),(31251,'77690','La Genevraye',31216),(31252,'77440','Armentières En Brie',31217),(31253,'77520','Meigneux',31218),(31254,'77950','Maincy',31219),(31255,'77470','Trilport',31220),(31256,'77440','Cocherel',31221),(31257,'77390','Beauvoir',31222),(31258,'77450','Vignely',31223),(31259,'77440','Dhuisy',31224),(31260,'77930','Perthes',31225),(31261,'77910','Chambry',31226),(31262,'77670','Vernou La Celle Sur Seine',31227),(31263,'77400','Saint Thibault Des Vignes',31228),(31264,'77260','Sammeron',31229),(31265,'77540','Voinsles',31230),(31266,'77520','Paroy',31231),(31267,'77160','Saint Hilliers',31232),(31268,'77118','Gravon',31233),(31269,'77160','Mortery',31234),(31270,'77250','Villemer',31235),(31271,'77860','Quincy Voisins',31236),(31272,'77580','Coulommes',31237),(31273,'77173','Chevry Cossigny',31238),(31274,'77990','Le Mesnil Amelot',31239),(31275,'77450','Montry',31240),(31276,'77126','Châtenay Sur Seine',31241),(31277,'77560','Augers En Brie',31242),(31278,'77480','Jaulnes',31243),(31279,'77440','Congis Sur Thérouanne',31244),(31280,'77480','Saint Sauveur Lès Bray',31245),(31281,'77710','Saint Ange Le Viel',31246),(31282,'77520','Thénisy',31247),(31283,'77760','Larchant',31248),(31284,'77590','Fontaine Le Port',31249),(31285,'77165','Forfry',31250),(31286,'77320','Montenils',31251),(31287,'77178','Oissery',31252),(31288,'77820','Écrennes',31253),(31289,'77550','Moissy Cramayel',31254),(31290,'77167','Poligny',31255),(31291,'77240','Vert Saint Denis',31256),(31292,'77560','Courtacon',31257),(31293,'77760','Amponville',31258),(31294,'77400','Gouvernes',31259),(31295,'77320','Jouy Sur Morin',31260),(31296,'77710','Nanteau Sur Lunain',31261),(31297,'77570','Chenou',31262),(31298,'77390','Crisenoy',31263),(31299,'77170','Servon',31264),(31300,'77600','Guermantes',31265),(31301,'77720','Champeaux',31266),(31302,'77710','Lorrez Le Bocage Préaux',31267),(31303,'77650','Soisy Bouy',31268),(31304,'77710','Remauville',31269),(31305,'77650','Longueville',31270),(31306,'77650','Jutigny',31271),(31307,'77670','Saint Mammès',31272),(31308,'77230','Montgé En Goële',31273),(31309,'77114','Hermé',31274),(31310,'77169','Boissy Le Châtel',31275),(31311,'77400','Lagny Sur Marne',31276),(31312,'77600','Chanteloup En Brie',31277),(31313,'77710','Villemaréchal',31278),(31314,'77750','Orly Sur Morin',31279),(31315,'77320','Dagny',31280),(31316,'77560','Courchamp',31281),(31317,'77590','Chartrettes',31282),(31318,'77520','Vimpelles',31283),(31319,'77830','Valence En Brie',31284),(31320,'77760','Ury',31285),(31321,'77167','Ormesson',31286),(31322,'77123','Tousson',31287),(31323,'77650','Savins',31288),(31324,'77140','Saint Pierre Lès Nemours',31289),(31325,'77720','Bréau',31290),(31326,'77148','Laval En Brie',31291),(31327,'77400','Dampmart',31292),(31328,'77860','Couilly Pont Aux Dames',31293),(31329,'77410','Claye Souilly',31294),(31330,'77160','Chalautre La Petite',31295),(31331,'77390','Champdeuil',31296),(31332,'77350','Boissise La Bertrand',31297),(31333,'77590','Bois Le Roi',31298),(31334,'77480','Passy Sur Seine',31299),(31335,'77610','Neufmoutiers En Brie',31300),(31336,'77111','Soignolles En Brie',31301),(31337,'77420','Champs Sur Marne',31302),(31338,'77410','Villeroy',31303),(31339,'77515','Hautefeuille',31304),(31340,'77220','Presles En Brie',31305),(31341,'77171','Sourdun',31306),(31342,'77510','Sablonnières',31307),(31343,'77410','Précy Sur Marne',31308),(31344,'77260','Sainte Aulde',31309),(31345,'77370','Gastins',31310),(31346,'77156','Thoury Férottes',31311),(31347,'77400','Pomponne',31312),(31348,'77154','Villeneuve Les Bordes',31313),(31349,'77620','Égreville',31314),(31350,'77177','Brou Sur Chantereine',31315),(31351,'77320','Sancy Lès Provins',31316),(31352,'77860','Saint Germain Sur Morin',31317),(31353,'77134','Ormes Sur Voulzie',31318),(31354,'77118','Bazoches Lès Bray',31319),(31355,'77123','Le Vaudoué',31320),(31356,'77160','Cucharmoy',31321),(31357,'77840','Crouy Sur Ourcq',31322),(31358,'77520','Cessoy En Montois',31323),(31359,'77450','Esbly',31324),(31360,'77540','La Chapelle Iger',31325),(31361,'77114','Noyen Sur Seine',31326),(31362,'77640','Jouarre',31327),(31363,'77500','Chelles',31328),(31364,'77230','Saint Mard',31329),(31365,'77580','Crécy La Chapelle',31330),(31366,'77200','Torcy',31331),(31367,'77120','Mauperthuis',31332),(31368,'77141','Vaudoy En Brie',31333),(31369,'77520','Sognolles En Montois',31334),(31370,'77131','Pézarches',31335),(31371,'77171','Chalautre La Grande',31336),(31372,'77560','Rupéreux',31337),(31373,'77190','Dammarie Les Lys',31338),(31374,'77680','Roissy En Brie',31339),(31375,'77540','Rozay En Brie',31340),(31376,'77930','Saint Sauveur Sur École',31341),(31377,'77165','Le Plessis Aux Bois',31342),(31378,'77300','Fontainebleau',31343),(31379,'77650','Sainte Colombe',31344),(31380,'77130','Varennes Sur Seine',31345),(31381,'77540','Lumigny Nesles Ormeaux',31346),(31382,'77710','Treuzy Levelay',31347),(31383,'77480','Baby',31348),(31384,'77890','Garentreville',31349),(31385,'77100','Mareuil Lès Meaux',31350),(31386,'77230','Moussy Le Neuf',31351),(31387,'77450','Trilbardou',31352),(31388,'77100','Meaux',31353),(31389,'77720','Bombon',31354),(31390,'77810','Thomery',31355),(31391,'77390','Courtomer',31356),(31392,'77140','Nemours',31357),(31393,'77720','Saint Méry',31358),(31394,'77320','Saint Rémy La Vanne',31359),(31395,'77480','Bray Sur Seine',31360),(31396,'77163','Mortcerf',31361),(31397,'77390','Courquetaine',31362),(31398,'77230','Rouvres',31363),(31399,'77170','Brie Comte Robert',31364),(31400,'77540','Bernay Vilbert',31365),(31401,'77390','Fouju',31366),(31402,'77580','Bouleurs',31367),(31403,'77280','Othis',31368),(31404,'77310','Boissise Le Roi',31369),(31405,'77174','Villeneuve Saint Denis',31370),(31406,'77370','Fontenailles',31371),(31407,'77230','Marchémoret',31372),(31408,'77520','Mons En Montois',31373),(31409,'77560','Voulton',31374),(31410,'77440','Tancrou',31375),(31411,'77290','Compans',31376),(31412,'77360','Vaires Sur Marne',31377),(31413,'77650','Saint Loup De Naud',31378),(31414,'77650','Lizines',31379),(31415,'77950','Moisenay',31380),(31416,'77480','Mousseaux Lès Bray',31381),(31417,'77124','Penchard',31382),(31418,'77760','Buthiers',31383),(31419,'77950','Voisenon',31384),(31420,'77370','Clos Fontaine',31385),(31421,'77240','Seine Port',31386),(31422,'77890','Gironville',31387),(31423,'77610','Châtres',31388),(31424,'77130','Ville Saint Jacques',31389),(31425,'77130','Montereau Fault Yonne',31390),(31426,'77820','Châtillon La Borde',31391),(31427,'77970','Boisdon',31392),(31428,'77510','Hondevilliers',31393),(31429,'77370','Vanvillé',31394),(31430,'77720','Quiers',31395),(31431,'77700','Bailly Romainvilliers',31396),(31432,'77320','Choisy En Brie',31397),(31433,'77390','Chaumes En Brie',31398),(31434,'77380','Combs La Ville',31399),(31435,'77600','Jossigny',31400),(31436,'77410','Fresnes Sur Marne',31401),(31437,'77870','Vulaines Sur Seine',31402),(31438,'77160','Rouilly',31403),(31439,'77340','Pontault Combault',31404),(31440,'77148','Salins',31405),(31441,'77118','Balloy',31406),(31442,'77470','Villemareuil',31407),(31443,'77890','Burcy',31408),(31444,'77390','Guignes',31409),(31445,'77230','Dammartin En Goële',31410),(31446,'77830','Pamfou',31411),(31447,'77250','Montarlot',31412),(31448,'77750','Saint Cyr Sur Morin',31413),(31449,'77171','Melz Sur Seine',31414),(31450,'77410','Villevaudé',31415),(31451,'77940','Flagy',31416),(31452,'77169','Saint Siméon',31417),(31453,'77890','Ichy',31418),(31454,'77450','Jablines',31419),(31455,'77760','Rumont',31420),(31456,'77470','Boutigny',31421),(31457,'77760','Guercheville',31422),(31458,'77480','Fontaine Fourches',31423),(31459,'77520','Donnemarie Dontilly',31424),(31460,'77580','Sancy',31425),(31461,'77720','Saint Ouen En Brie',31426),(31462,'77940','Diant',31427),(31463,'77350','Boissettes',31428),(31464,'77650','Chalmaison',31429),(31465,'77580','Maisoncelles En Brie',31430),(31466,'77124','Crégy Lès Meaux',31431),(31467,'77320','Saint Martin Des Champs',31432),(31468,'77515','Saint Augustin',31433),(31469,'77540','Courpalay',31434),(31470,'77120','Saints',31435),(31471,'77250','Épisy',31436),(31472,'77410','Saint Mesmes',31437),(31473,'77570','Maisoncelles En Gâtinais',31438),(31474,'77410','Charmentray',31439),(31475,'77560','Marêts',31440),(31476,'77940','Esmans',31441),(31477,'77120','Coulommiers',31442),(31478,'77320','Montolivet',31443),(31479,'77515','Faremoutiers',31444),(31480,'77940','La Brosse Montceaux',31445),(31481,'77130','Forges',31446),(31482,'77320','La Ferté Gaucher',31447),(31483,'77930','Fleury En Bière',31448),(31484,'77480','Villenauxe La Petite',31449),(31485,'77120','Aulnoy',31450),(31486,'77320','Lescherolles',31451),(31487,'77510','Bellot',31452),(31488,'77430','Champagne Sur Seine',31453),(31489,'77150','Férolles Attilly',31454),(31490,'77320','Meilleray',31455),(31491,'77000','Vaux Le Pénil',31456),(31492,'77610','Marles En Brie',31457),(31493,'77560','Beauchery Saint Martin',31458),(31494,'77520','Sigy',31459),(31495,'77240','Cesson',31460),(31496,'77930','Chailly En Bière',31461),(31497,'77139','Vincy Manœuvre',31462),(31498,'77930','Saint Germain Sur École',31463),(31499,'77171','Léchelle',31464),(31500,'77630','Barbizon',31465),(31501,'77610','Crèvecœur En Brie',31466),(31502,'77710','Vaux Sur Lunain',31467),(31503,'77154','Coutençon',31468),(31504,'77570','Château Landon',31469),(31505,'77190','Villiers En Bière',31470),(31506,'77310','Pringy',31471),(31507,'77330','Ozoir La Ferrière',31472),(31508,'77220','Tournan En Brie',31473),(31509,'77370','Saint Just En Brie',31474),(31510,'77760','Boulancourt',31475),(31511,'77186','Noisiel',31476),(31512,'77760','Chevrainvilliers',31477),(31513,'77370','Rampillon',31478),(31514,'77910','Barcy',31479),(31515,'77480','Villuis',31480),(31516,'77760','Achères La Forêt',31481),(31517,'77630','Arbonne La Forêt',31482),(31518,'77610','La Houssaye En Brie',31483),(31519,'77520','Montigny Lencoup',31484),(31520,'77570','Mondreville',31485),(31521,'77165','Saint Soupplets',31486),(31522,'77730','Méry Sur Marne',31487),(31523,'77120','Giremoutiers',31488),(31524,'77167','Bagneaux Sur Loing',31489),(31525,'77850','Héricy',31490),(31526,'77410','Messy',31491),(31527,'77320','Cerneux',31492),(31528,'77230','Thieux',31493),(31529,'77120','Mouroux',31494),(31530,'77390','Argentières',31495),(31531,'77000','La Rochette',31496),(31532,'77460','Souppes Sur Loing',31497),(31533,'77320','Frétoy',31498),(31534,'77640','Signy Signets',31499),(31535,'77185','Lognes',31500),(31536,'77220','Favières',31501),(31537,'77160','Saint Brice',31502),(31538,'77570','Bougligny',31503),(31539,'77660','Changis Sur Marne',31504),(31540,'77760','La Chapelle La Reine',31505),(31541,'77126','Courcelles En Bassée',31506),(31542,'77970','Bannost Villegagnon',31507),(31543,'77111','Solers',31508),(31544,'77510','Villeneuve Sur Bellot',31509),(31545,'77166','Évry Grégy Sur Yerre',31510),(31546,'77165','Cuisy',31511),(31547,'77126','Égligny',31512),(31548,'77320','Chevru',31513),(31549,'77760','Fromont',31514),(31550,'77260','Chamigny',31515),(31551,'77710','Villebéon',31516),(31552,'77470','Poincy',31517),(31553,'77250','Moret Sur Loing',31518),(31554,'77840','Germigny Sous Coulombs',31519),(31555,'77160','Provins',31520),(31556,'77164','Ferrières En Brie',31521),(31557,'77620','Bransles',31522),(31558,'77550','Réau',31523),(31559,'77370','La Chapelle Rablais',31524),(31560,'77130','Misy Sur Yonne',31525),(31561,'77970','Pécy',31526),(31562,'77540','Le Plessis Feu Aussoux',31527),(31563,'77390','Andrezel',31528),(31564,'77450','Condé Sainte Libiaire',31529),(31565,'77580','Villiers Sur Morin',31530),(31566,'77124','Villenoy',31531),(31567,'77157','Everly',31532),(31568,'77760','Recloses',31533),(31569,'77160','La Chapelle Saint Sulpice',31534),(31570,'77260','La Ferté Sous Jouarre',31535),(31571,'77580','Vaucourtois',31536),(31572,'77260','Reuil En Brie',31537),(31573,'77400','Thorigny Sur Marne',31538),(31574,'77600','Bussy Saint Georges',31539),(31575,'77160','Poigny',31540),(31576,'77780','Bourron Marlotte',31541),(31577,'77480','Montigny Le Guesdier',31542),(31578,'77950','Montereau Sur Le Jard',31543),(31579,'77160','Vulaines Lès Provins',31544),(31580,'77114','Villiers Sur Seine',31545),(31581,'77510','Saint Denis Lès Rebais',31546),(31582,'77410','Gressy',31547),(31583,'77480','Grisy Sur Seine',31548),(31584,'77370','Fontains',31549),(31585,'77480','Mouy Sur Seine',31550),(31586,'77940','Montmachoux',31551),(31587,'77130','Cannes Écluse',31552),(31588,'77140','Montcourt Fromonville',31553),(31589,'77230','Longperrier',31554),(31590,'77760','Boissy Aux Cailles',31555),(31591,'77470','Saint Fiacre',31556),(31592,'77120','Marolles En Brie',31557),(31593,'77830','Échouboulains',31558),(31594,'77580','Voulangis',31559),(31595,'77130','Marolles Sur Seine',31560),(31596,'77166','Grisy Suisnes',31561),(31597,'77550','Lissy',31562),(31598,'77610','Fontenay Trésigny',31563),(31599,'77176','Nandy',31564),(31600,'77120','Amillis',31565),(31601,'77840','Coulombs En Valois',31566),(31602,'77460','Chaintreaux',31567),(31603,'77115','Blandy',31568),(31604,'77181','Le Pin',31569),(31605,'77730','Saâcy Sur Marne',31570),(31606,'77120','Beautheil',31571),(31607,'77000','Melun',31572),(31608,'77520','Gurcy Le Châtel',31573),(31609,'77165','Gesvres Le Chapitre',31574),(31610,'77176','Savigny Le Temple',31575),(31611,'77700','Serris',31576),(31612,'77320','Leudon En Brie',31577),(31613,'77320','Saint Mars Vieux Maisons',31578),(31614,'77210','Samoreau',31579),(31615,'77320','Chartronges',31580),(31616,'77350','Le Mée Sur Seine',31581),(31617,'77750','Bussières',31582),(31618,'77090','Collégien',31583),(31619,'77230','Moussy Le Vieux',31584),(31620,'77130','La Grande Paroisse',31585),(31621,'77390','Yèbles',31586),(31622,'77140','Nonville',31587),(31623,'77250','Veneux Les Sablons',31588),(31624,'77220','Liverdy En Brie',31589),(31625,'77130','Barbey',31590),(31626,'77570','La Madeleine Sur Loing',31591),(31627,'77690','Montigny Sur Loing',31592),(31628,'77320','Saint Barthélemy',31593),(31629,'77139','Puisieux',31594),(31630,'77000','Livry Sur Seine',31595),(31631,'77700','Coupvray',31596),(31632,'77139','Douy La Ramée',31597),(31633,'77130','Dormelles',31598),(31634,'77310','Saint Fargeau Ponthierry',31599),(31635,'77440','Lizy Sur Ourcq',31600),(31636,'77178','Saint Pathus',31601),(31637,'77440','Trocy En Multien',31602),(31638,'77720','Grandpuits Bailly Carrois',31603),(31639,'77410','Charny',31604),(31640,'77970','Bezalles',31605),(31641,'77122','Monthyon',31606),(31642,'77730','Citry',31607),(31643,'77390','Ozouer Le Voulgis',31608),(31644,'77139','Étrépilly',31609),(31645,'77290','Mitry Mory',31610),(31646,'77165','Iverny',31611),(31647,'77450','Isles Lès Villenoy',31612),(31648,'77230','Villeneuve Sous Dammartin',31613),(31649,'77730','Nanteuil Sur Marne',31614),(31650,'77920','Samois Sur Seine',31615),(31651,'77440','Le Plessis Placy',31616),(31652,'77370','Vieux Champagne',31617),(31653,'77580','Pierre Levée',31618),(31654,'77750','Saint Ouen Sur Morin',31619),(31655,'77370','Châteaubleau',31620),(31656,'77115','Sivry Courtry',31621),(31657,'77138','Luzancy',31622),(31658,'77950','Rubelles',31623),(31659,'77700','Chessy',31624),(31660,'77144','Montévrain',31625),(31661,'77820','Le Châtelet En Brie',31626),(31662,'77520','Luisetaines',31627),(31663,'77720','Mormant',31628),(31664,'77510','Verdelot',31629),(31665,'77133','Machault',31630),(31666,'77145','May En Multien',31631),(31667,'77174','Villeneuve Le Comte',31632),(31668,'77270','Villeparisis',31633),(31669,'77890','Arville',31634),(31670,'77370','La Croix En Brie',31635),(31671,'77750','Boitron',31636),(31672,'77250','Écuelles',31637),(31673,'77181','Courtry',31638),(31674,'77320','Saint Martin Du Boschet',31639),(31675,'77170','Coubert',31640),(31676,'77165','Le Plessis L\'Évêque',31641),(31677,'77390','Verneuil L\'Étang',31642),(31678,'77120','Chailly En Brie',31643),(31679,'77470','Fublaines',31644),(31680,'77560','Louan Villegruis Fontaine',31645),(31681,'77160','Chenoise',31646),(31682,'77760','Villiers Sous Grez',31647),(31683,'77600','Bussy Saint Martin',31648),(31684,'77660','Saint Jean Les Deux Jumeaux',31649),(31685,'77183','Croissy Beaubourg',31650),(31686,'77510','Rebais',31651),(31687,'77370','Maison Rouge',31652),(31688,'77130','La Tombe',31653),(31689,'77230','Nantouillet',31654),(31690,'77260','Ussy Sur Marne',31655),(31691,'77150','Lésigny',31656),(31692,'77250','Villecerf',31657),(31693,'77760','Nanteau Sur Essonne',31658),(31694,'77133','Féricy',31659),(31695,'77230','Vinantes',31660),(31696,'77560','Villiers Saint Georges',31661),(31697,'77630','Saint Martin En Bière',31662),(31698,'78570','Chanteloup Les Vignes',31663),(31699,'78125','Vieille Église En Yvelines',31664),(31700,'78730','Sainte Mesme',31665),(31701,'78240','Chambourcy',31666),(31702,'78270','Chaufour Lès Bonnières',31667),(31703,'78980','Le Tertre Saint Denis',31668),(31704,'78610','Bréviaires',31669),(31705,'78200','Boissy Mauvoisin',31670),(31706,'78113','Condé Sur Vesgre',31671),(31707,'78930','Boinville En Mantois',31672),(31708,'78125','Orcemont',31673),(31709,'78590','Rennemoulin',31674),(31710,'78113','Adainville',31675),(31711,'78250','Oinville Sur Montcient',31676),(31712,'78550','Bazainville',31677),(31713,'78250','Meulan En Yvelines',31678),(31714,'78120','Rambouillet',31679),(31715,'78770','Marcq',31680),(31716,'78360','Montesson',31681),(31717,'78113','Le Tartre Gaudran',31682),(31718,'78110','Le Vésinet',31683),(31719,'78600','Maisons Laffitte',31684),(31720,'78870','Bailly',31685),(31721,'78310','Maurepas',31686),(31722,'78250','Tessancourt Sur Aubette',31687),(31723,'78610','Saint Léger En Yvelines',31688),(31724,'78790','Montchauvet',31689),(31725,'78910','Béhoust',31690),(31726,'78410','La Falaise',31691),(31727,'78810','Feucherolles',31692),(31728,'78930','Goussonville',31693),(31729,'78660','Orsonville',31694),(31730,'78770','Villiers Le Mahieu',31695),(31731,'78490','Galluis',31696),(31732,'78840','Moisson',31697),(31733,'78550','Dannemarie',31698),(31734,'78440','Brueil En Vexin',31699),(31735,'78660','Allainville',31700),(31736,'78720','Cernay La Ville',31701),(31737,'78720','La Celle Les Bordes',31702),(31738,'78113','Bourdonné',31703),(31739,'78200','Soindres',31704),(31740,'78270','Jeufosse',31705),(31741,'78740','Évecquemont',31706),(31742,'78800','Houilles',31707),(31743,'78125','Gazeran',31708),(31744,'78910','Flexanville',31709),(31745,'78980','Bréval',31710),(31746,'78410','Nézel',31711),(31747,'78790','Hargeville',31712),(31748,'78930','Breuil Bois Robert',31713),(31749,'78660','Boinville Le Gaillard',31714),(31750,'78560','Le Port Marly',31715),(31751,'78550','Richebourg',31716),(31752,'78910','Civry La Forêt',31717),(31753,'78930','Guerville',31718),(31754,'78270','Bonnières Sur Seine',31719),(31755,'78130','Mureaux',31720),(31756,'78112','Fourqueux',31721),(31757,'78125','Émancé',31722),(31758,'78640','Villiers Saint Frédéric',31723),(31759,'78500','Sartrouville',31724),(31760,'78790','Rosay',31725),(31761,'78310','Coignières',31726),(31762,'78320','La Verrière',31727),(31763,'78126','Aulnay Sur Mauldre',31728),(31764,'78290','Croissy Sur Seine',31729),(31765,'78670','Médan',31730),(31766,'78910','Tacoignières',31731),(31767,'78660','Saint Martin De Bréthencourt',31732),(31768,'78470','Saint Lambert',31733),(31769,'78660','Paray Douaville',31734),(31770,'78124','Montainville',31735),(31771,'78440','Porcheville',31736),(31772,'78200','Jouy Mauvoisin',31737),(31773,'78390','Bois D\'Arcy',31738),(31774,'78200','Flacourt',31739),(31775,'78510','Triel Sur Seine',31740),(31776,'78440','Lainville En Vexin',31741),(31777,'78770','Autouillet',31742),(31778,'78320','Lévis Saint Nom',31743),(31779,'78790','Courgent',31744),(31780,'78920','Ecquevilly',31745),(31781,'78630','Morainvilliers',31746),(31782,'78200','Ménerville',31747),(31783,'78260','Achères',31748),(31784,'78980','Neauphlette',31749),(31785,'78840','Freneuse',31750),(31786,'78750','Mareil Marly',31751),(31787,'78270','Bennecourt',31752),(31788,'78200','Boinvilliers',31753),(31789,'78410','Bouafle',31754),(31790,'78490','Mareil Le Guyon',31755),(31791,'78955','Carrières Sous Poissy',31756),(31792,'78125','Orphin',31757),(31793,'78860','Saint Nom La Bretèche',31758),(31794,'78440','Fontenay Saint Père',31759),(31795,'78200','Perdreauville',31760),(31796,'78520','Follainville Dennemont',31761),(31797,'78270','Blaru',31762),(31798,'78930','Auffreville Brasseuil',31763),(31799,'78940','Millemont',31764),(31800,'78300','Poissy',31765),(31801,'78790','Arnouville Lès Mantes',31766),(31802,'78690','Essarts Le Roi',31767),(31803,'78660','Prunay En Yvelines',31768),(31804,'78160','Marly Le Roi',31769),(31805,'78910','Boissets',31770),(31806,'78810','Davron',31771),(31807,'78420','Carrières Sur Seine',31772),(31808,'78440','Sailly',31773),(31809,'78200','Buchelay',31774),(31810,'78980','Longnes',31775),(31811,'78113','Grandchamp',31776),(31812,'78980','Saint Illiers Le Bois',31777),(31813,'78950','Gambais',31778),(31814,'78660','Ablis',31779),(31815,'78480','Verneuil Sur Seine',31780),(31816,'78790','Tilly',31781),(31817,'78250','Mézy Sur Seine',31782),(31818,'78640','Saint Germain De La Grange',31783),(31819,'78570','Andrésy',31784),(31820,'78350','Loges En Josas',31785),(31821,'78680','Épône',31786),(31822,'78490','Bazoches Sur Guyonne',31787),(31823,'78440','Jambville',31788),(31824,'78490','Montfort L\'Amaury',31789),(31825,'78125','Hermeray',31790),(31826,'78370','Plaisir',31791),(31827,'78114','Magny Les Hameaux',31792),(31828,'78790','Mulcent',31793),(31829,'78270','Mousseaux Sur Seine',31794),(31830,'78200','Mantes La Ville',31795),(31831,'78940','La Queue Les Yvelines',31796),(31832,'78440','Gargenville',31797),(31833,'78580','Jumeauville',31798),(31834,'78270','La Villeneuve En Chevrie',31799),(31835,'78790','Flins Neuve Église',31800),(31836,'78970','Mézières Sur Seine',31801),(31837,'78460','Choisel',31802),(31838,'78270','Limetz Villez',31803),(31839,'78770','Goupillières',31804),(31840,'78620','L\'Étang La Ville',31805),(31841,'78980','Mondreville',31806),(31842,'78124','Mareil Sur Mauldre',31807),(31843,'78550','Gressey',31808),(31844,'78270','Port Villez',31809),(31845,'78710','Rosny Sur Seine',31810),(31846,'78450','Chavenay',31811),(31847,'78690','Saint Rémy L\'Honoré',31812),(31848,'78490','Vicq',31813),(31849,'78210','Saint Cyr L\'École',31814),(31850,'78550','Maulette',31815),(31851,'78125','La Boissière École',31816),(31852,'78640','Neauphle Le Vieux',31817),(31853,'78830','Bonnelles',31818),(31854,'78910','Orgerus',31819),(31855,'78890','Garancières',31820),(31856,'78000','Versailles',31821),(31857,'78740','Vaux Sur Seine',31822),(31858,'78490','Gambaiseuil',31823),(31859,'78280','Guyancourt',31824),(31860,'78530','Buc',31825),(31861,'78830','Bullion',31826),(31862,'78400','Chatou',31827),(31863,'78610','Auffargis',31828),(31864,'78520','Guernes',31829),(31865,'78190','Trappes',31830),(31866,'78270','Gommecourt',31831),(31867,'78770','Thoiry',31832),(31868,'78120','Sonchamp',31833),(31869,'78117','Toussus Le Noble',31834),(31870,'78540','Vernouillet',31835),(31871,'78580','Alluets Le Roi',31836),(31872,'78200','Favrieux',31837),(31873,'78330','Fontenay Le Fleury',31838),(31874,'78121','Crespières',31839),(31875,'78150','Le Chesnay',31840),(31876,'78270','Méricourt',31841),(31877,'78650','Beynes',31842),(31878,'78380','Bougival',31843),(31879,'78150','Rocquencourt',31844),(31880,'78430','Louveciennes',31845),(31881,'78440','Guitrancourt',31846),(31882,'78440','Drocourt',31847),(31883,'78200','Magnanville',31848),(31884,'78580','Maule',31849),(31885,'78490','Mesnuls',31850),(31886,'78700','Conflans Sainte Honorine',31851),(31887,'78410','Flins Sur Seine',31852),(31888,'78790','Septeuil',31853),(31889,'78125','Raizeux',31854),(31890,'78490','Boissy Sans Avoir',31855),(31891,'78910','Prunay Le Temple',31856),(31892,'78200','Mantes La Jolie',31857),(31893,'78111','Dammartin En Serve',31858),(31894,'78580','Bazemont',31859),(31895,'78470','Milon La Chapelle',31860),(31896,'78100','Saint Germain En Laye',31861),(31897,'78440','Montalet Le Bois',31862),(31898,'78410','Aubergenville',31863),(31899,'78960','Voisins Le Bretonneux',31864),(31900,'78125','Poigny La Forêt',31865),(31901,'78910','Orvilliers',31866),(31902,'78125','Mittainville',31867),(31903,'78780','Maurecourt',31868),(31904,'78340','Clayes Sous Bois',31869),(31905,'78270','Cravent',31870),(31906,'78230','Le Pecq',31871),(31907,'78610','Le Perray En Yvelines',31872),(31908,'78640','Neauphle Le Château',31873),(31909,'78770','Auteuil',31874),(31910,'78450','Villepreux',31875),(31911,'78910','Osmoy',31876),(31912,'78180','Montigny Le Bretonneux',31877),(31913,'78590','Noisy Le Roi',31878),(31914,'78990','Élancourt',31879),(31915,'78930','Vert',31880),(31916,'78580','Herbeville',31881),(31917,'78720','Saint Forget',31882),(31918,'78350','Jouy En Josas',31883),(31919,'78820','Juziers',31884),(31920,'78730','Longvilliers',31885),(31921,'78250','Hardricourt',31886),(31922,'78980','Saint Illiers La Ville',31887),(31923,'78250','Gaillon Sur Montcient',31888),(31924,'78220','Viroflay',31889),(31925,'78670','Villennes Sur Seine',31890),(31926,'78630','Orgeval',31891),(31927,'78520','Limay',31892),(31928,'78760','Jouars Pontchartrain',31893),(31929,'78720','Senlisse',31894),(31930,'78200','Fontenay Mauvoisin',31895),(31931,'78600','Le Mesnil Le Roi',31896),(31932,'78460','Chevreuse',31897),(31933,'78520','Saint Martin La Garenne',31898),(31934,'78170','La Celle Saint Cloud',31899),(31935,'78850','Thiverval Grignon',31900),(31936,'78490','Le Tremblay Sur Mauldre',31901),(31937,'78140','Vélizy Villacoublay',31902),(31938,'78720','Dampierre En Yvelines',31903),(31939,'78125','Saint Hilarion',31904),(31940,'78120','Clairefontaine En Yvelines',31905),(31941,'78240','Aigremont',31906),(31942,'78490','Méré',31907),(31943,'78490','Grosrouvre',31908),(31944,'78320','Le Mesnil Saint Denis',31909),(31945,'78790','Saint Martin Des Champs',31910),(31946,'78270','Rolleboise',31911),(31947,'78440','Issou',31912),(31948,'78270','Lommoye',31913),(31949,'78650','Saulx Marchais',31914),(31950,'78113','La Hauteville',31915),(31951,'78470','Saint Rémy Lès Chevreuse',31916),(31952,'78550','Houdan',31917),(31953,'78730','Saint Arnoult En Yvelines',31918),(31954,'78730','Rochefort En Yvelines',31919),(31955,'78117','Châteaufort',31920),(31956,'78730','Ponthévrard',31921),(31957,'78930','Villette',31922),(31958,'78130','Chapet',31923),(31959,'78770','Andelu',31924),(31960,'79130','Allonne',31925),(31961,'79270','Frontenay Rohan Rohan',31926),(31962,'79120','Chenay',31927),(31963,'79100','Louzy',31928),(31964,'79410','Échiré',31929),(31965,'79150','Saint Clémentin',31930),(31966,'79240','L\'Absie',31931),(31967,'79360','Fosses',31932),(31968,'79440','Courlay',31933),(31969,'79170','Ensigné',31934),(31970,'79300','Boismé',31935),(31971,'79210','Prin Deyrançon',31936),(31972,'79130','Le Beugnon',31937),(31973,'79190','Montalembert',31938),(31974,'79290','Bouillé Loretz',31939),(31975,'79120','Lezay',31940),(31976,'79220','Groseillers',31941),(31977,'79340','Ménigoute',31942),(31978,'79110','Loubillé',31943),(31979,'79370','Mougon',31944),(31980,'79230','Fors',31945),(31981,'79350','Chiché',31946),(31982,'79410','Saint Rémy',31947),(31983,'79460','Magné',31948),(31984,'79190','Limalonges',31949),(31985,'79800','Avon',31950),(31986,'79140','Bretignolles',31951),(31987,'79420','Clavé',31952),(31988,'79140','Cerizay',31953),(31989,'79600','Availles Thouarsais',31954),(31990,'79340','Fomperron',31955),(31991,'79370','Vitré',31956),(31992,'79190','La Chapelle Pouilloux',31957),(31993,'79200','Parthenay',31958),(31994,'79110','Chef Boutonne',31959),(31995,'79230','Juscorps',31960),(31996,'79150','Saint Maurice La Fougereuse',31961),(31997,'79400','Auge',31962),(31998,'79100','Missé',31963),(31999,'79340','Saint Germier',31964),(32000,'79200','Pompaire',31965),(32001,'79360','Marigny',31966),(32002,'79500','Saint Génard',31967),(32003,'79170','Séligné',31968),(32004,'79000','Niort',31969),(32005,'79700','La Petite Boissière',31970),(32006,'79600','Assais Les Jumeaux',31971),(32007,'79500','Saint Léger De La Martinière',31972),(32008,'79240','Saint Paul En Gâtine',31973),(32009,'79350','Faye L\'Abbesse',31974),(32010,'79370','Aigonnay',31975),(32011,'79400','Saint Georges De Noisné',31976),(32012,'79210','Saint Georges De Rex',31977),(32013,'79370','Celles Sur Belle',31978),(32014,'79340','Vasles',31979),(32015,'79170','Villefollet',31980),(32016,'79260','Sainte Néomaye',31981),(32017,'79360','Beauvoir Sur Niort',31982),(32018,'79200','Saint Germain De Longue Chaume',31983),(32019,'79270','Sansais',31984),(32020,'79600','Saint Loup Lamairé',31985),(32021,'79100','Saint Jean De Thouars',31986),(32022,'79130','Neuvy Bouin',31987),(32023,'79100','Tourtenay',31988),(32024,'79380','Saint André Sur Sèvre',31989),(32025,'79390','Lhoumois',31990),(32026,'79150','Ulcot',31991),(32027,'79390','Oroux',31992),(32028,'79110','Fontenille Saint Martin D\'Entraigues',31993),(32029,'79600','Saint Généroux',31994),(32030,'79370','Fressines',31995),(32031,'79200','Gourgé',31996),(32032,'79220','Saint Christophe Sur Roc',31997),(32033,'79110','Tillou',31998),(32034,'79360','La Foye Monjault',31999),(32035,'79220','Xaintray',32000),(32036,'79180','Chauray',32001),(32037,'79400','Saint Maixent L\'École',32002),(32038,'79420','Saint Martin Du Fouilloux',32003),(32039,'79160','Fenioux',32004),(32040,'79120','Chey',32005),(32041,'79230','Aiffres',32006),(32042,'79360','Belleville',32007),(32043,'79370','Beaussais',32008),(32044,'79210','Amuré',32009),(32045,'79370','Saint Médard',32010),(32046,'79300','La Chapelle Gaudin',32011),(32047,'79190','Melleran',32012),(32048,'79600','Louin',32013),(32049,'79150','Massais',32014),(32050,'79260','La Crèche',32015),(32051,'79600','Le Chillou',32016),(32052,'79220','Sainte Ouenne',32017),(32053,'79210','Saint Hilaire La Palud',32018),(32054,'79110','Gournay Loizé',32019),(32055,'79500','Chail',32020),(32056,'79370','Thorigné',32021),(32057,'79270','Épannes',32022),(32058,'79400','Saint Martin De Saint Maixent',32023),(32059,'79190','Sauzé Vaussais',32024),(32060,'79800','La Mothe Saint Héray',32025),(32061,'79170','Lusseray',32026),(32062,'79100','Mauzé Thouarsais',32027),(32063,'79120','Sepvret',32028),(32064,'79340','Coutières',32029),(32065,'79510','Coulon',32030),(32066,'79500','Saint Romans Lès Melle',32031),(32067,'79370','Prailles',32032),(32068,'79170','Juillé',32033),(32069,'79210','Mauzé Sur Le Mignon',32034),(32070,'79100','Saint Léger De Montbrun',32035),(32071,'79380','Saint Jouin De Milly',32036),(32072,'79230','Brûlain',32037),(32073,'79190','Lorigné',32038),(32074,'79600','Boussais',32039),(32075,'79360','Prissé La Charrière',32040),(32076,'79170','Vernoux Sur Boutonne',32041),(32077,'79500','Mazières Sur Béronne',32042),(32078,'79360','Villiers En Bois',32043),(32079,'79800','Sainte Eanne',32044),(32080,'79600','Airvault',32045),(32081,'79290','Brion Près Thouet',32046),(32082,'79240','Le Busseau',32047),(32083,'79310','Saint Marc La Lande',32048),(32084,'79360','Saint Étienne La Cigogne',32049),(32085,'79260','Romans',32050),(32086,'79130','Azay Sur Thouet',32051),(32087,'79190','Alleuds',32052),(32088,'79350','Amailloux',32053),(32089,'79800','Bougon',32054),(32090,'79160','Saint Maixent De Beugné',32055),(32091,'79400','Nanteuil',32056),(32092,'79160','Coulonges Sur L\'Autize',32057),(32093,'79110','Villemain',32058),(32094,'79390','La Ferrière En Parthenay',32059),(32095,'79160','La Chapelle Thireuil',32060),(32096,'79110','Hanc',32061),(32097,'79140','Cirières',32062),(32098,'79130','Le Retail',32063),(32099,'79330','Saint Varent',32064),(32100,'79390','Thénezay',32065),(32101,'79420','Vausseroux',32066),(32102,'79110','Pioussay',32067),(32103,'79110','Ardilleux',32068),(32104,'79100','Pas De Jeu',32069),(32105,'79110','Loubigné',32070),(32106,'79310','Mazières En Gâtine',32071),(32107,'79320','Moncoutant',32072),(32108,'79160','Saint Laurs',32073),(32109,'79100','Taizé',32074),(32110,'79100','Sainte Radegonde',32075),(32111,'79130','Secondigny',32076),(32112,'79320','Pugny',32077),(32113,'79310','Saint Pardoux',32078),(32114,'79240','Vernoux En Gâtine',32079),(32115,'79600','Irais',32080),(32116,'79220','Surin',32081),(32117,'79200','Lageon',32082),(32118,'79170','Brioux Sur Boutonne',32083),(32119,'79240','Scillé',32084),(32120,'79150','Moutiers Sous Argenton',32085),(32121,'79300','Bressuire',32086),(32122,'79150','Genneton',32087),(32123,'79320','Le Breuil Bernard',32088),(32124,'79500','Saint Martin Lès Melle',32089),(32125,'79410','Cherveux',32090),(32126,'79220','La Chapelle Bâton',32091),(32127,'79100','Saint Jacques De Thouars',32092),(32128,'79210','Usseau',32093),(32129,'79370','Sainte Blandine',32094),(32130,'79120','Vanzay',32095),(32131,'79220','Pamplie',32096),(32132,'79330','Glénay',32097),(32133,'79150','Le Breuil Sous Argenton',32098),(32134,'79100','Saint Martin De Mâcon',32099),(32135,'79240','Largeasse',32100),(32136,'79200','Châtillon Sur Thouet',32101),(32137,'79290','Bouillé Saint Paul',32102),(32138,'79290','Argenton L\'Église',32103),(32139,'79300','Saint Aubin Du Plain',32104),(32140,'79170','Villiers Sur Chizé',32105),(32141,'79420','Reffannes',32106),(32142,'79200','Saurais',32107),(32143,'79160','Villiers En Plaine',32108),(32144,'79320','Chanteloup',32109),(32145,'79340','Forges',32110),(32146,'79600','Marnes',32111),(32147,'79330','Geay',32112),(32148,'79230','Saint Martin De Bernegoue',32113),(32149,'79310','Verruyes',32114),(32150,'79200','La Peyratte',32115),(32151,'79100','Thouars',32116),(32152,'79200','Le Tallud',32117),(32153,'79000','Sciecq',32118),(32154,'79800','Souvigné',32119),(32155,'79420','Saint Lin',32120),(32156,'79290','Saint Martin De Sanzay',32121),(32157,'79110','Bouin',32122),(32158,'79500','Pouffonds',32123),(32159,'79310','La Boissière En Gâtine',32124),(32160,'79600','Maisontiers',32125),(32161,'79260','François',32126),(32162,'79150','Voultegon',32127),(32163,'79160','Puihardy',32128),(32164,'79320','Moutiers Sous Chantemerle',32129),(32165,'79240','La Chapelle Saint Étienne',32130),(32166,'79250','Nueil Les Aubiers',32131),(32167,'79400','Saivres',32132),(32168,'79290','Cersay',32133),(32169,'79420','Beaulieu Sous Parthenay',32134),(32170,'79110','Couture D\'Argenson',32135),(32171,'79450','Saint Aubin Le Cloud',32136),(32172,'79190','Mairé Levescault',32137),(32173,'79100','Luzay',32138),(32174,'79170','Chérigné',32139),(32175,'79140','Combrand',32140),(32176,'79360','Boisserolles',32141),(32177,'79700','Saint Pierre Des Échaubrognes',32142),(32178,'79230','Vouillé',32143),(32179,'79200','Adilly',32144),(32180,'79700','Saint Amand Sur Sèvre',32145),(32181,'79120','Vançais',32146),(32182,'79150','La Coudre',32147),(32183,'79600','Saint Jouin De Marnes',32148),(32184,'79210','Priaires',32149),(32185,'79330','Sainte Gemme',32150),(32186,'79150','Étusson',32151),(32187,'79800','Exoudun',32152),(32188,'79330','Coulonges Thouarsais',32153),(32189,'79400','Exireuil',32154),(32190,'79220','Germond Rouvre',32155),(32191,'79270','Vallans',32156),(32192,'79130','Pougne Hérisson',32157),(32193,'79500','Saint Vincent La Châtre',32158),(32194,'79390','Doux',32159),(32195,'79450','Fénery',32160),(32196,'79120','Messé',32161),(32197,'79360','Granzay Gript',32162),(32198,'79160','Ardin',32163),(32199,'79800','Pamproux',32164),(32200,'79190','Clussais La Pommeraie',32165),(32201,'79160','Saint Pompain',32166),(32202,'79110','La Bataille',32167),(32203,'79120','Saint Coutant',32168),(32204,'79700','Mauléon',32169),(32205,'79200','Viennay',32170),(32206,'79500','Paizay Le Tort',32171),(32207,'79800','Salles',32172),(32208,'79270','Le Vanneau Irleau',32173),(32209,'79210','Arçais',32174),(32210,'79210','Le Bourdet',32175),(32211,'79230','Saint Romans Des Champs',32176),(32212,'79340','Chantecorps',32177),(32213,'79190','Pliboux',32178),(32214,'79110','Aubigné',32179),(32215,'79170','Asnières En Poitou',32180),(32216,'79170','Chizé',32181),(32217,'79190','Pers',32182),(32218,'79100','Saint Cyr La Lande',32183),(32219,'79330','Luché Thouarsais',32184),(32220,'79800','Soudan',32185),(32221,'79140','Montravers',32186),(32222,'79140','Le Pin',32187),(32223,'79390','Pressigny',32188),(32224,'79800','La Couarde',32189),(32225,'79110','Sompt',32190),(32226,'79110','Crézières',32191),(32227,'79400','Azay Le Brûlé',32192),(32228,'79000','Bessines',32193),(32229,'79410','Saint Gelais',32194),(32230,'79160','Béceleuf',32195),(32231,'79330','Pierrefitte',32196),(32232,'79170','Brieuil Sur Chizé',32197),(32233,'79100','Brie',32198),(32234,'79100','Oiron',32199),(32235,'79240','Trayes',32200),(32236,'79200','La Chapelle Bertrand',32201),(32237,'79190','Caunay',32202),(32238,'79100','Sainte Verge',32203),(32239,'79170','Secondigné Sur Belle',32204),(32240,'79350','Clessé',32205),(32241,'79120','Rom',32206),(32242,'79430','La Chapelle Saint Laurent',32207),(32243,'79600','Tessonnière',32208),(32244,'79220','Cours',32209),(32245,'79170','Luché Sur Brioux',32210),(32246,'79170','Le Vert',32211),(32247,'79160','Faye Sur Ardin',32212),(32248,'79410','Saint Maxire',32213),(32249,'79220','Champdeniers Saint Denis',32214),(32250,'79270','Saint Symphorien',32215),(32251,'79120','Sainte Soline',32216),(32252,'79270','La Rochénard',32217),(32253,'79360','Thorigny Sur Le Mignon',32218),(32254,'79500','Maisonnay',32219),(32255,'79150','Argenton Les Vallées',32220),(32256,'79310','Soutiers',32221),(32257,'79230','Prahecq',32222),(32258,'79500','Mellé',32223),(32259,'79170','Périgné',32224),(32260,'79380','La Forêt Sur Sèvre',32225),(32261,'79390','Aubigny',32226),(32262,'79420','Vautebis',32227),(32263,'79310','Vouhé',32228),(32264,'79170','Paizay Le Chapt',32229),(32265,'80870','Moyenneville',32230),(32266,'80200','Bussu',32231),(32267,'80240','Marquaix',32232),(32268,'80310','Crouy Saint Pierre',32233),(32269,'80370','Beaumetz',32234),(32270,'80640','Méricourt En Vimeu',32235),(32271,'80240','Templeux Le Guérard',32236),(32272,'80110','Mailly Raineval',32237),(32273,'80290','Famechon',32238),(32274,'80150','Canchy',32239),(32275,'80140','Fontaine Le Sec',32240),(32276,'80113','Méricourt L\'Abbé',32241),(32277,'80600','Mézerolles',32242),(32278,'80560','Bus Lès Artois',32243),(32279,'80260','Villers Bocage',32244),(32280,'80700','Gruny',32245),(32281,'80700','Balâtre',32246),(32282,'80500','Warsy',32247),(32283,'80620','Vauchelles Lès Domart',32248),(32284,'80110','Mézières En Santerre',32249),(32285,'80150','Fontaine Sur Maye',32250),(32286,'80110','Morisel',32251),(32287,'80150','Vironchaux',32252),(32288,'80400','Croix Moligneaux',32253),(32289,'80200','Biaches',32254),(32290,'80720','Ignaucourt',32255),(32291,'80140','Saint Maulvis',32256),(32292,'80120','Bernay En Ponthieu',32257),(32293,'80710','Quevauvillers',32258),(32294,'80400','Hombleux',32259),(32295,'80800','Vecquemont',32260),(32296,'80135','Maison Roland',32261),(32297,'80800','Le Hamel',32262),(32298,'80620','Berneuil',32263),(32299,'80540','Clairy Saulchoix',32264),(32300,'80230','Vaudricourt',32265),(32301,'80140','Avesnes Chaussoy',32266),(32302,'80270','Tailly',32267),(32303,'80600','Barly',32268),(32304,'80210','Franleu',32269),(32305,'80240','Bernes',32270),(32306,'80150','Froyelles',32271),(32307,'80620','Lanches Saint Hilaire',32272),(32308,'80300','Englebelmer',32273),(32309,'80600','Doullens',32274),(32310,'80132','Miannay',32275),(32311,'80140','Aumâtre',32276),(32312,'80132','Vauchelles Les Quesnoy',32277),(32313,'80560','Marieux',32278),(32314,'80420','Flixecourt',32279),(32315,'80600','Lucheux',32280),(32316,'80300','Courcelette',32281),(32317,'80160','Nampty',32282),(32318,'80360','Maurepas',32283),(32319,'80580','Eaucourt Sur Somme',32284),(32320,'80260','Naours',32285),(32321,'80260','Béhencourt',32286),(32322,'80135','Saint Riquier',32287),(32323,'80250','Louvrechy',32288),(32324,'80560','Forceville',32289),(32325,'80120','Quend',32290),(32326,'80640','Aumont',32291),(32327,'80260','Saint Gratien',32292),(32328,'80140','Oisemont',32293),(32329,'80132','Port Le Grand',32294),(32330,'80150','Boufflers',32295),(32331,'80590','Bettembos',32296),(32332,'80240','Liéramont',32297),(32333,'80310','Cavillon',32298),(32334,'80300','Fricourt',32299),(32335,'80250','Malpart',32300),(32336,'80800','Vaux Sur Somme',32301),(32337,'80460','Woignarue',32302),(32338,'80260','Rainneville',32303),(32339,'80690','Mouflers',32304),(32340,'80200','Cartigny',32305),(32341,'80290','Équennes Éramecourt',32306),(32342,'80800','Cerisy',32307),(32343,'80260','Montigny Sur L\'Hallue',32308),(32344,'80320','Lihons',32309),(32345,'80530','Allenay',32310),(32346,'80720','Cayeux En Santerre',32311),(32347,'80560','Harponville',32312),(32348,'80190','Rouy Le Petit',32313),(32349,'80160','Fleury',32314),(32350,'80250','Guyencourt Sur Noye',32315),(32351,'80310','Bourdon',32316),(32352,'80160','Tilloy Lès Conty',32317),(32353,'80220','Frettemeule',32318),(32354,'80270','Allery',32319),(32355,'80120','Argoules',32320),(32356,'80700','Champien',32321),(32357,'80250','Folleville',32322),(32358,'80500','Contoire',32323),(32359,'80150','Le Boisle',32324),(32360,'80110','Sauvillers Mongival',32325),(32361,'80290','Namps Maisnil',32326),(32362,'80160','Sentelie',32327),(32363,'80110','Thézy Glimont',32328),(32364,'80140','Framicourt',32329),(32365,'80120','Dominois',32330),(32366,'80440','Blangy Tronville',32331),(32367,'80135','Millencourt En Ponthieu',32332),(32368,'80340','Bray Sur Somme',32333),(32369,'80230','Lanchères',32334),(32370,'80300','Bouzincourt',32335),(32371,'80320','Hallu',32336),(32372,'80300','Bazentin',32337),(32373,'80480','Bacouel Sur Selle',32338),(32374,'80170','Guillaucourt',32339),(32375,'80700','Tilloloy',32340),(32376,'80120','Vron',32341),(32377,'80600','Hem Hardinval',32342),(32378,'80200','Cizancourt',32343),(32379,'80430','Inval Boiron',32344),(32380,'80230','Boismont',32345),(32381,'80320','Chaulnes',32346),(32382,'80200','Monchy Lagache',32347),(32383,'80140','Saint Maxent',32348),(32384,'80132','Neufmoulin',32349),(32385,'80700','Villers Lès Roye',32350),(32386,'80820','Arrest',32351),(32387,'80260','Hérissart',32352),(32388,'80670','Halloy Lès Pernois',32353),(32389,'80360','Guillemont',32354),(32390,'80370','Béalcourt',32355),(32391,'80600','Bouquemaison',32356),(32392,'80132','Bellancourt',32357),(32393,'80700','Fonches Fonchette',32358),(32394,'80210','Ercourt',32359),(32395,'80160','Rogy',32360),(32396,'80150','Noyelles En Chaussée',32361),(32397,'80370','Gorges',32362),(32398,'80360','Sailly Saillisel',32363),(32399,'80590','Morvillers Saint Saturnin',32364),(32400,'80300','Senlis Le Sec',32365),(32401,'80600','Outrebois',32366),(32402,'80300','Ville Sur Ancre',32367),(32403,'80310','Saint Vaast En Chaussée',32368),(32404,'80580','Bray Lès Mareuil',32369),(32405,'80150','Yvrench',32370),(32406,'80340','Chuignolles',32371),(32407,'80560','Louvencourt',32372),(32408,'80600','Brévillers',32373),(32409,'80300','Treux',32374),(32410,'80680','Grattepanche',32375),(32411,'80200','Péronne',32376),(32412,'80260','Montonvillers',32377),(32413,'80240','Hervilly',32378),(32414,'80320','Pertain',32379),(32415,'80600','Autheux',32380),(32416,'80720','Marcelcave',32381),(32417,'80800','Daours',32382),(32418,'80490','Limeux',32383),(32419,'80190','Y',32384),(32420,'80260','Cardonnette',32385),(32421,'80160','Bosquel',32386),(32422,'80430','Beaucamps Le Jeune',32387),(32423,'80460','Ault',32388),(32424,'80140','Biencourt',32389),(32425,'80130','Friville Escarbotin',32390),(32426,'80370','Bernaville',32391),(32427,'80300','Morlancourt',32392),(32428,'80400','Breuil',32393),(32429,'80430','Beaucamps Le Vieux',32394),(32430,'80400','Buverchy',32395),(32431,'80670','Havernas',32396),(32432,'80430','Neuville Coppegueule',32397),(32433,'80480','Pont De Metz',32398),(32434,'80540','Guignemicourt',32399),(32435,'80250','Esclainvillers',32400),(32436,'80200','Soyécourt',32401),(32437,'80700','Grivillers',32402),(32438,'80320','Fresnes Mazancourt',32403),(32439,'80320','Vermandovillers',32404),(32440,'80400','Matigny',32405),(32441,'80131','Framerville Rainecourt',32406),(32442,'80120','Arry',32407),(32443,'80260','Talmas',32408),(32444,'80110','Le Plessier Rozainvillers',32409),(32445,'80200','Athies',32410),(32446,'80150','Forest L\'Abbaye',32411),(32447,'80700','Verpillières',32412),(32448,'80260','Coisy',32413),(32449,'80750','Fienvillers',32414),(32450,'80260','Rubempré',32415),(32451,'80250','Chaussoy Epagny',32416),(32452,'80300','Ovillers La Boisselle',32417),(32453,'80210','Aigneville',32418),(32454,'80540','Saint Aubin Montenoy',32419),(32455,'80490','Hallencourt',32420),(32456,'80150','Domvast',32421),(32457,'80500','Le Cardonnois',32422),(32458,'80190','Béthencourt Sur Somme',32423),(32459,'80830','L\'Étoile',32424),(32460,'80190','Nesle',32425),(32461,'80500','Montdidier',32426),(32462,'80610','Bettencourt Saint Ouen',32427),(32463,'80700','Laucourt',32428),(32464,'80510','Fontaine Sur Somme',32429),(32465,'80310','Picquigny',32430),(32466,'80240','Tincourt Boucly',32431),(32467,'80340','Éclusier Vaux',32432),(32468,'80930','Ercheu',32433),(32469,'80115','Querrieu',32434),(32470,'80400','Grécourt',32435),(32471,'80270','Heucourt Croquoison',32436),(32472,'80220','Gamaches',32437),(32473,'80320','Omiécourt',32438),(32474,'80160','Brassy',32439),(32475,'80340','Herleville',32440),(32476,'80131','Harbonnières',32441),(32477,'80700','Roye',32442),(32478,'80160','Courcelles Sous Thoix',32443),(32479,'80240','Hancourt',32444),(32480,'80700','Crémery',32445),(32481,'80200','Buire Courcelles',32446),(32482,'80140','Villers Campsart',32447),(32483,'80700','Marquivillers',32448),(32484,'80700','Carrépuis',32449),(32485,'80800','Bussy Lès Daours',32450),(32486,'80640','Hornoy Le Bourg',32451),(32487,'80320','Licourt',32452),(32488,'80500','Faverolles',32453),(32489,'80110','Thennes',32454),(32490,'80290','Méréaucourt',32455),(32491,'80480','Salouël',32456),(32492,'80360','Rancourt',32457),(32493,'80160','Lœuilly',32458),(32494,'80200','Éterpigny',32459),(32495,'80430','Le Mazis',32460),(32496,'80560','Puchevillers',32461),(32497,'80290','Moyencourt Lès Poix',32462),(32498,'80500','Remaugies',32463),(32499,'80250','Estrées Sur Noye',32464),(32500,'80800','Sailly Le Sec',32465),(32501,'80170','Beaufort En Santerre',32466),(32502,'80190','Rouy Le Grand',32467),(32503,'80290','Fricamps',32468),(32504,'80250','Thory',32469),(32505,'80140','Grébault Mesnil',32470),(32506,'80500','Rollot',32471),(32507,'80220','Maisnières',32472),(32508,'80250','Jumel',32473),(32509,'80700','Roiglise',32474),(32510,'80500','Villers Tournelle',32475),(32511,'80500','Courtemanche',32476),(32512,'80500','Marestmontiers',32477),(32513,'80250','Sourdon',32478),(32514,'80800','Aubigny',32479),(32515,'80132','Abbeville',32480),(32516,'80200','Cléry Sur Somme',32481),(32517,'80270','Bettencourt Rivière',32482),(32518,'80560','Bayencourt',32483),(32519,'80140','Cerisy Buleux',32484),(32520,'80380','Cachy',32485),(32521,'80500','Ételfay',32486),(32522,'80500','Boussicourt',32487),(32523,'80620','Franqueville',32488),(32524,'80110','Berteaucourt Lès Thennes',32489),(32525,'80670','Bonneville',32490),(32526,'80200','Tertry',32491),(32527,'80300','Miraumont',32492),(32528,'80580','Épagne Épagnette',32493),(32529,'80370','Cramont',32494),(32530,'80480','Saleux',32495),(32531,'80160','Conty',32496),(32532,'80160','Plachy Buyon',32497),(32533,'80220','Bouvaincourt Sur Bresle',32498),(32534,'80290','Guizancourt',32499),(32535,'80122','Heudicourt',32500),(32536,'80440','Boves',32501),(32537,'80140','Nesle L\'Hôpital',32502),(32538,'80670','Wargnies',32503),(32539,'80310','La Chaussée Tirancourt',32504),(32540,'80380','Villers Bretonneux',32505),(32541,'80260','Vaux En Amiénois',32506),(32542,'80136','Rivery',32507),(32543,'80300','Bécordel Bécourt',32508),(32544,'80230','Saigneville',32509),(32545,'80270','Vergies',32510),(32546,'80580','Liercourt',32511),(32547,'80300','Carnoy',32512),(32548,'80190','Herly',32513),(32549,'80310','Riencourt',32514),(32550,'80880','Saint Quentin La Motte Croix Au Bailly',32515),(32551,'80400','Quivières',32516),(32552,'80150','Estrées Lès Crécy',32517),(32553,'80500','Hargicourt',32518),(32554,'80360','Curlu',32519),(32555,'80126','Thieulloy L\'Abbaye',32520),(32556,'80220','Buigny Lès Gamaches',32521),(32557,'80290','Éplessier',32522),(32558,'80520','Woincourt',32523),(32559,'80440','Cottenchy',32524),(32560,'80470','Ferrières',32525),(32561,'80400','Sancourt',32526),(32562,'80150','Yvrencheux',32527),(32563,'80250','Rouvrel',32528),(32564,'80340','Foucaucourt En Santerre',32529),(32565,'80320','Puzeaux',32530),(32566,'80800','Bonnay',32531),(32567,'80190','Pargny',32532),(32568,'80370','Montigny Les Jongleurs',32533),(32569,'80170','Rouvroy En Santerre',32534),(32570,'80640','Vraignes Lès Hornoy',32535),(32571,'80140','Villeroy',32536),(32572,'80730','Saveuse',32537),(32573,'80160','Contré',32538),(32574,'80340','Chuignes',32539),(32575,'80121','Proyart',32540),(32576,'80120','Nampont',32541),(32577,'80540','Camps En Amiénois',32542),(32578,'80370','Le Meillard',32543),(32579,'80430','Saint Aubin Rivière',32544),(32580,'80980','Dompierre Becquincourt',32545),(32581,'80140','Foucaucourt Hors Nesle',32546),(32582,'80600','Longuevillette',32547),(32583,'80530','Tully',32548),(32584,'80200','Allaines',32549),(32585,'80360','Lesbœufs',32550),(32586,'80560','Authie',32551),(32587,'80170','Vrély',32552),(32588,'80370','Domléger Longvillers',32553),(32589,'80170','Caix',32554),(32590,'80860','Nouvion',32555),(32591,'80570','Embreville',32556),(32592,'80290','Thieulloy La Ville',32557),(32593,'80500','Davenescourt',32558),(32594,'80160','Saint Sauflieu',32559),(32595,'80290','Hescamps',32560),(32596,'80700','Damery',32561),(32597,'80560','Toutencourt',32562),(32598,'80560','Hédauville',32563),(32599,'80300','Hénencourt',32564),(32600,'80500','Bouillancourt La Bataille',32565),(32601,'80300','Bresle',32566),(32602,'80700','Fresnoy Lès Roye',32567),(32603,'80140','Cannessières',32568),(32604,'80560','Courcelles Au Bois',32569),(32605,'80200','Villers Carbonnel',32570),(32606,'80770','Beauchamps',32571),(32607,'80140','Lignières En Vimeu',32572),(32608,'80400','Esmery Hallon',32573),(32609,'80500','Cantigny',32574),(32610,'80360','Gueudecourt',32575),(32611,'80540','Bovelles',32576),(32612,'80115','Pont Noyelles',32577),(32613,'80700','Beuvraignes',32578),(32614,'80560','Coigneux',32579),(32615,'80400','Voyennes',32580),(32616,'80240','Roisel',32581),(32617,'80140','Ramburelles',32582),(32618,'80200','Doingt',32583),(32619,'80190','Languevoisin Quiquery',32584),(32620,'80470','Ailly Sur Somme',32585),(32621,'80790','Fort Mahon Plage',32586),(32622,'80132','Huchenneville',32587),(32623,'80500','Gratibus',32588),(32624,'80690','Ailly Le Haut Clocher',32589),(32625,'80113','Heilly',32590),(32626,'80200','Fay',32591),(32627,'80230','Brutelles',32592),(32628,'80370','Maizicourt',32593),(32629,'80700','Bus La Mésière',32594),(32630,'80600','Boisbergues',32595),(32631,'80620','Fransu',32596),(32632,'80300','Mesnil Martinsart',32597),(32633,'80120','Rue',32598),(32634,'80680','Saint Fuscien',32599),(32635,'80230','Saint Valery Sur Somme',32600),(32636,'80160','Fossemanant',32601),(32637,'80132','Caours',32602),(32638,'80480','Dury',32603),(32639,'80132','Buigny L\'Abbé',32604),(32640,'80160','Prouzel',32605),(32641,'80340','Frise',32606),(32642,'80290','Courcelles Sous Moyencourt',32607),(32643,'80300','Dernancourt',32608),(32644,'80560','Léalvillers',32609),(32645,'80135','Bussus Bussuel',32610),(32646,'80690','Villers Sous Ailly',32611),(32647,'80750','Candas',32612),(32648,'80360','Longueval',32613),(32649,'80210','Chepy',32614),(32650,'80260','Mirvaux',32615),(32651,'80360','Flers',32616),(32652,'80260','Flesselles',32617),(32653,'80420','Ville Le Marclet',32618),(32654,'80200','Estrées Deniécourt',32619),(32655,'80490','Bailleul',32620),(32656,'80910','Arvillers',32621),(32657,'80110','Démuin',32622),(32658,'80170','Folies',32623),(32659,'80110','Domart Sur La Luce',32624),(32660,'80290','Saulchoy Sous Poix',32625),(32661,'80540','Briquemesnil Floxicourt',32626),(32662,'80240','Driencourt',32627),(32663,'80370','Heuzecourt',32628),(32664,'80800','Sailly Laurette',32629),(32665,'80500','Erches',32630),(32666,'80450','Camon',32631),(32667,'80300','Warloy Baillon',32632),(32668,'80170','Rosières En Santerre',32633),(32669,'80170','Méharicourt',32634),(32670,'80710','Fresnoy Au Val',32635),(32671,'80310','Belloy Sur Somme',32636),(32672,'80400','Muille Villette',32637),(32673,'80270','Warlus',32638),(32674,'80700','Dancourt Popincourt',32639),(32675,'80150','Lamotte Buleux',32640),(32676,'80250','Hallivillers',32641),(32677,'80500','Lignières',32642),(32678,'80135','Oneux',32643),(32679,'80110','Hailles',32644),(32680,'80120','Villers Sur Authie',32645),(32681,'80200','Bouchavesnes Bergen',32646),(32682,'80290','Croixrault',32647),(32683,'80910','Bouchoir',32648),(32684,'80150','Brailly Cornehotte',32649),(32685,'80132','Drucat',32650),(32686,'80190','Billancourt',32651),(32687,'80600','Authieule',32652),(32688,'80300','Irles',32653),(32689,'80140','Forceville En Vimeu',32654),(32690,'80400','Ham',32655),(32691,'80170','Fouquescourt',32656),(32692,'80130','Bourseville',32657),(32693,'80270','Métigny',32658),(32694,'80560','Mailly Maillet',32659),(32695,'80450','Lamotte Brebière',32660),(32696,'80240','Aizecourt Le Bas',32661),(32697,'80310','Hangest Sur Somme',32662),(32698,'80760','Moislains',32663),(32699,'80140','Huppy',32664),(32700,'80510','Longpré Les Corps Saints',32665),(32701,'80150','Crécy En Ponthieu',32666),(32702,'80240','Longavesnes',32667),(32703,'80320','Hyencourt Le Grand',32668),(32704,'80800','Houssoye',32669),(32705,'80160','Frémontiers',32670),(32706,'80400','Moyencourt',32671),(32707,'80700','Marché Allouarde',32672),(32708,'80310','Yzeux',32673),(32709,'80510','Cocquerel',32674),(32710,'80200','Berny En Santerre',32675),(32711,'80200','Brie',32676),(32712,'80140','Andainville',32677),(32713,'80340','Fontaine Lès Cappy',32678),(32714,'80210','Mons Boubert',32679),(32715,'80140','Fresnoy Andainville',32680),(32716,'80140','Saint Léger Sur Bresle',32681),(32717,'80300','Baizieux',32682),(32718,'80200','Marchélepot',32683),(32719,'80110','Fresnoy En Chaussée',32684),(32720,'80960','Saint Blimont',32685),(32721,'80590','Gauville',32686),(32722,'80170','Wiencourt L\'Équipée',32687),(32723,'80780','Saint Léger Lès Domart',32688),(32724,'80800','Franvillers',32689),(32725,'80131','Vauvillers',32690),(32726,'62760','Thièvres',32691),(32727,'80160','Neuville Lès Lœuilly',32692),(32728,'80590','Fourcigny',32693),(32729,'80800','Ribemont Sur Ancre',32694),(32730,'80700','Armancourt',32695),(32731,'80320','Misery',32696),(32732,'80940','Friaucourt',32697),(32733,'80690','Francières',32698),(32734,'80260','Pierregot',32699),(32735,'80270','Wiry Au Mont',32700),(32736,'80500','Mesnil Saint Georges',32701),(32737,'80590','Offignies',32702),(32738,'80150','Machy',32703),(32739,'80700','Andechy',32704),(32740,'80132','Yonval',32705),(32741,'80150','Agenvillers',32706),(32742,'80470','Saint Sauveur',32707),(32743,'80120','Favières',32708),(32744,'80560','Auchonvillers',32709),(32745,'80250','Chirmont',32710),(32746,'80500','Laboissière En Santerre',32711),(32747,'80600','Occoches',32712),(32748,'80620','Domart En Ponthieu',32713),(32749,'80300','Thiepval',32714),(32750,'80560','Bertrancourt',32715),(32751,'80690','Gorenflos',32716),(32752,'80830','Bouchon',32717),(32753,'80370','Agenville',32718),(32754,'80210','Acheux En Vimeu',32719),(32755,'80140','Mouflières',32720),(32756,'80360','Étricourt Manancourt',32721),(32757,'80510','Long',32722),(32758,'80390','Fressenneville',32723),(32759,'80200','Herbécourt',32724),(32760,'80560','Arquèves',32725),(32761,'80160','Thoix',32726),(32762,'80430','Le Quesne',32727),(32763,'80200','Aizecourt Le Haut',32728),(32764,'80140','Étréjust',32729),(32765,'80150','Gapennes',32730),(32766,'80340','Morcourt',32731),(32767,'80700','Rethonvillers',32732),(32768,'80500','Fescamps',32733),(32769,'80140','Neslette',32734),(32770,'80200','Devise',32735),(32771,'80380','Gentelles',32736),(32772,'80620','Ribeaucourt',32737),(32773,'80320','Punchy',32738),(32774,'80500','Piennes Onvillers',32739),(32775,'80250','Ailly Sur Noye',32740),(32776,'80250','Grivesnes',32741),(32777,'80132','Hautvillers Ouville',32742),(32778,'80360','Fins',32743),(32779,'80500','Rubescourt',32744),(32780,'80150','Machiel',32745),(32781,'80870','Béhen',32746),(32782,'80150','Ponches Estruval',32747),(32783,'80250','Remiencourt',32748),(32784,'80300','Mametz',32749),(32785,'80370','Saint Acheul',32750),(32786,'80620','Surcamps',32751),(32787,'80160','Belleuse',32752),(32788,'80330','Longueau',32753),(32789,'80870','Tœufles',32754),(32790,'80270','Avelesges',32755),(32791,'80140','Martainneville',32756),(32792,'80440','Dommartin',32757),(32793,'80120','Forest Montiers',32758),(32794,'80320','Ablaincourt Pressoir',32759),(32795,'80690','Brucamps',32760),(32796,'80400','Douilly',32761),(32797,'80800','Corbie',32762),(32798,'80118','Le Quesnel',32763),(32799,'80140','Le Translay',32764),(32800,'80590','Caulières',32765),(32801,'80250','Coullemelle',32766),(32802,'80500','Becquigny',32767),(32803,'80150','Maison Ponthieu',32768),(32804,'80600','Neuvillette',32769),(32805,'80270','Belloy Saint Léonard',32770),(32806,'80135','Yaucourt Bussus',32771),(32807,'80110','Braches',32772),(32808,'80230','Pendé',32773),(32809,'80132','Cambron',32774),(32810,'80132','Le Titre',32775),(32811,'80590','Meigneux',32776),(32812,'80200','Barleux',32777),(32813,'80140','Woirel',32778),(32814,'80970','Sailly Flibeaucourt',32779),(32815,'80500','Assainvillers',32780),(32816,'80150','Ligescourt',32781),(32817,'80540','Oissy',32782),(32818,'80500','Guerbigny',32783),(32819,'80430','Lafresguimont Saint Martin',32784),(32820,'80200','Mesnil Bruntel',32785),(32821,'80132','Buigny Saint Maclou',32786),(32822,'80300','Contalmaison',32787),(32823,'80680','Rumigny',32788),(32824,'80200','Bouvincourt En Vermandois',32789),(32825,'80800','Chipilly',32790),(32826,'80300','Millencourt',32791),(32827,'80300','Montauban De Picardie',32792),(32828,'80370','Hiermont',32793),(32829,'80430','Saint Germain Sur Bresle',32794),(32830,'80340','Méricourt Sur Somme',32795),(32831,'80160','Oresmaux',32796),(32832,'80140','Fresneville',32797),(32833,'80430','Liomer',32798),(32834,'80300','Pys',32799),(32835,'80132','Cahon',32800),(32836,'80400','Brouchy',32801),(32837,'80560','Acheux En Amiénois',32802),(32838,'80540','Fluy',32803),(32839,'80132','Grand Laviers',32804),(32840,'80160','Fransures',32805),(32841,'80500','Fontaine Sous Montdidier',32806),(32842,'80200','Belloy En Santerre',32807),(32843,'80700','Hattencourt',32808),(32844,'80290','Poix De Picardie',32809),(32845,'80290','Bergicourt',32810),(32846,'80700','Parvillers Le Quesnoy',32811),(32847,'80800','Vaire Sous Corbie',32812),(32848,'80120','Regnière Écluse',32813),(32849,'80260','Bavelincourt',32814),(32850,'80500','Pierrepont Sur Avre',32815),(32851,'80370','Épécamps',32816),(32852,'80360','Combles',32817),(32853,'80110','Villers Aux Érables',32818),(32854,'80160','Monsures',32819),(32855,'80260','Molliens Au Bois',32820),(32856,'80110','La Neuville Sire Bernard',32821),(32857,'80360','Hardecourt Aux Bois',32822),(32858,'80370','Domesmont',32823),(32859,'80140','Arguel',32824),(32860,'80230','Estrébœuf',32825),(32861,'80330','Cagny',32826),(32862,'80110','Beaucourt En Santerre',32827),(32863,'80850','Berteaucourt Les Dames',32828),(32864,'80210','Valines',32829),(32865,'80630','Beauval',32830),(32866,'80590','Marlers',32831),(32867,'80270','Laleu',32832),(32868,'80360','Mesnil En Arrouaise',32833),(32869,'80700','L\'Échelle Saint Aurin',32834),(32870,'80610','Saint Ouen',32835),(32871,'80300','Beaucourt Sur L\'Ancre',32836),(32872,'80340','Suzanne',32837),(32873,'80270','Airaines',32838),(32874,'80700','Goyencourt',32839),(32875,'80490','Mérélessart',32840),(32876,'80210','Tours En Vimeu',32841),(32877,'80220','Bouillancourt En Séry',32842),(32878,'80140','Doudelainville',32843),(32879,'80140','Rambures',32844),(32880,'80300','Grandcourt',32845),(32881,'80400','Ugny L\'Équipée',32846),(32882,'80200','Feuillères',32847),(32883,'80690','Ergnies',32848),(32884,'80260','Beaucourt Sur L\'Hallue',32849),(32885,'80300','Buire Sur L\'Ancre',32850),(32886,'80640','Dromesnil',32851),(32887,'80470','Breilly',32852),(32888,'80800','Fouilloy',32853),(32889,'80600','Beauquesne',32854),(32890,'80600','Remaisnil',32855),(32891,'80190','Mesnil Saint Nicaise',32856),(32892,'80190','Étalon',32857),(32893,'80440','Fouencamps',32858),(32894,'80400','Eppeville',32859),(32895,'80160','Velennes',32860),(32896,'80300','Beaumont Hamel',32861),(32897,'80120','Saint Quentin En Tourmont',32862),(32898,'80270','Quesnoy Sur Airaines',32863),(32899,'80620','Mesnil Domqueur',32864),(32900,'80860','Noyelles Sur Mer',32865),(32901,'80200','Saint Christ Briost',32866),(32902,'80730','Arg?oeuves',32867),(32903,'80560','Colincamps',32868),(32904,'80700','Fransart',32869),(32905,'80600','Gézaincourt',32870),(32906,'80132','Mareuil Caubert',32871),(32907,'80300','Aveluy',32872),(32908,'80140','Fresnes Tilloloy',32873),(32909,'80600','Terramesnil',32874),(32910,'80132','Quesnoy Le Montant',32875),(32911,'80440','Glisy',32876),(32912,'80560','Saint Léger Lès Authie',32877),(32913,'80140','Senarpont',32878),(32914,'80170','Bayonvillers',32879),(32915,'80390','Nibas',32880),(32916,'80300','Laviéville',32881),(32917,'80190','Cressy Omencourt',32882),(32918,'80480','Creuse',32883),(32919,'80430','Brocourt',32884),(32920,'80600','Grouches Luchuel',32885),(32921,'80190','Potte',32886),(32922,'80200','Flaucourt',32887),(32923,'80240','Sorel',32888),(32924,'80300','Authuille',32889),(32925,'80160','Essertaux',32890),(32926,'80150','Gueschart',32891),(32927,'80370','Prouville',32892),(32928,'80250','Lawarde Mauger L\'Hortoy',32893),(32929,'80110','Moreuil',32894),(32930,'80120','Vercourt',32895),(32931,'80132','Neuilly L\'Hôpital',32896),(32932,'80560','Varennes',32897),(32934,'80200','Assevillers',32898),(32935,'80260','Fréchencourt',32899),(32936,'80400','Offoy',32900),(32937,'80210','Feuquières En Vimeu',32901),(32938,'80520','Yzengremer',32902),(32939,'80890','Condé Folie',32903),(32940,'80370','Conteville',32904),(32941,'80140','Neuville Au Bois',32905),(32942,'80480','Vers Sur Selles',32906),(32943,'80310','Soues',32907),(32944,'80810','Méaulte',32908),(32945,'80300','Albert',32909),(32946,'80170','Warvillers',32910),(32947,'80540','Bougainville',32911),(32948,'80190','Falvy',32912),(32949,'80240','Pœuilly',32913),(32950,'80540','Revelles',32914),(32951,'80340','La Neuville Lès Bray',32915),(32952,'80460','Oust Marest',32916),(32953,'80410','Cayeux Sur Mer',32917),(32954,'80500','Ayencourt',32918),(32955,'80340','Étinehem',32919),(32956,'80370','Frohen Sur Authie',32920),(32957,'80520','Méneslies',32921),(32958,'80135','Coulonvillers',32922),(32959,'80530','Béthencourt Sur Mer',32923),(32960,'80140','Bermesnil',32924),(32961,'80260','Poulainville',32925),(32962,'80560','Vauchelles Lès Authie',32926),(32963,'80670','Fieffes Montrelet',32927),(32964,'80600','Raincheval',32928),(32965,'80112','Villers Faucon',32929),(32966,'80140','Épaumesnil',32930),(32967,'80240','Hesbécourt',32931),(32968,'80590','Lamaronde',32932),(32969,'80240','Nurlu',32933),(32970,'80110','Aubercourt',32934),(32971,'80370','Bernâtre',32935),(32972,'80540','Pissy',32936),(32973,'80240','Guyencourt Saulcourt',32937),(32974,'80360','Équancourt',32938),(32975,'80360','Hem Monacu',32939),(32976,'80190','Épénancourt',32940),(32977,'80740','Ronssoy',32941),(32978,'80490','Frucourt',32942),(32979,'80650','Vignacourt',32943),(32980,'80290','Bussy Lès Poix',32944),(32981,'80360','Ginchy',32945),(32982,'80560','Vadencourt',32946),(32983,'80140','Vaux Marquenneville',32947),(32984,'80360','Maricourt',32948),(32985,'80290','Blangy Sous Poix',32949),(32986,'80190','Morchain',32950),(32987,'80740','Épehy',32951),(32988,'80700','Saint Mard',32952),(32989,'80800','Hamelet',32953),(32990,'80670','Pernois',32954),(32991,'80300','Pozières',32955),(32992,'80310','Le Mesge',32956),(32993,'80140','Frettecuisse',32957),(32994,'80540','Montagne Fayel',32958),(32995,'80260','Allonville',32959),(32996,'80220','Bouttencourt',32960),(32997,'80240','Vraignes En Vermandois',32961),(32998,'80150','Vitz Sur Authie',32962),(32999,'80620','Domqueur',32963),(33000,'80160','Flers Sur Noye',32964),(33001,'80800','Lamotte Warfusée',32965),(33002,'80310','Fourdrinoy',32966),(33003,'80110','Hangard',32967),(33004,'80680','Hébécourt',32968),(33005,'80150','Neuilly Le Dien',32969),(33006,'80680','Sains En Amiénois',32970),(33007,'80540','Molliens Dreuil',32971),(33008,'80170','Chilly',32972),(33009,'80500','Fignières',32973),(33010,'80210','Ochancourt',32974),(33011,'80570','Dargnies',32975),(33012,'80670','Canaples',32976),(33013,'80860','Ponthoile',32977),(33014,'80600','Humbercourt',32978),(33015,'80590','Lignières Châtelain',32979),(33016,'80250','Quiry Le Sec',32980),(33017,'80730','Dreuil Lès Amiens',32981),(33018,'80220','Tilloy Floriville',32982),(33019,'80250','La Faloise',32983),(33020,'80290','Sainte Segrée',32984),(33021,'80700','La Chavatte',32985),(33022,'80290','Chapelle',32986),(33023,'80560','Contay',32987),(33024,'80134','Hangest En Santerre',32988),(33025,'80340','Cappy',32989),(33026,'80550','Le Crotoy',32990),(33027,'80170','Maucourt',32991),(33028,'80150','Dompierre Sur Authie',32992),(33029,'80490','Citerne',32993),(33030,'80350','Mers Les Bains',32994),(33031,'80540','Saisseval',32995),(33032,'80190','Biarre',32996),(33033,'80580','Pont Remy',32997),(33034,'80580','Érondelle',32998),(33035,'80260','La Vicogne',32999),(33036,'80700','Liancourt Fosse',33000),(33037,'80140','Vismes',33001),(33038,'80200','Estrées Mons',33002),(33039,'80110','Aubvillers',33003),(33040,'80190','Curchy',33004),(33041,'80260','Bertangles',33005),(33042,'80240','Templeux La Fosse',33006),(33043,'80190','Villecourt',33007),(33044,'80540','Seux',33008),(33045,'80490','Sorel En Vimeu',33009),(33046,'80200','Ennemain',33010),(33047,'81110','Saint Avit',33011),(33048,'81300','Moulayrès',33012),(33049,'81640','Virac',33013),(33050,'81240','Rouairoux',33014),(33051,'81170','Lacapelle Ségalar',33015),(33052,'81700','Appelle',33016),(33053,'81430','Villefranche D\'Albigeois',33017),(33054,'81630','Montgaillard',33018),(33055,'81700','Garrevaques',33019),(33056,'81990','Albi',33020),(33057,'81350','Saint Jean De Marcel',33021),(33058,'81340','Trébas',33022),(33059,'81140','Larroque',33023),(33060,'81390','Saint Gauzens',33024),(33061,'81150','Castelnau De Lévis',33025),(33062,'81260','Ferrières',33026),(33063,'81130','Taïx',33027),(33064,'81710','Naves',33028),(33065,'81500','Veilhes',33029),(33066,'81530','Le Masnau Massuguiès',33030),(33067,'81140','Cahuzac Sur Vère',33031),(33068,'81220','Teyssode',33032),(33069,'81150','Terssac',33033),(33070,'81320','Nages',33034),(33071,'81240','Albine',33035),(33072,'81260','Lasfaillades',33036),(33073,'81140','Castelnau De Montmiral',33037),(33074,'81600','Gaillac',33038),(33075,'81440','Montdragon',33039),(33076,'81540','Durfort',33040),(33077,'81260','Lamontélarié',33041),(33078,'81440','Jonquières',33042),(33079,'81170','Milhars',33043),(33080,'81340','Lédas Et Penthiès',33044),(33081,'81800','Grazac',33045),(33082,'81190','Montauriol',33046),(33083,'81300','Busque',33047),(33084,'81120','Roumégoux',33048),(33085,'81160','Saint Juéry',33049),(33086,'81190','Almayrac',33050),(33087,'81140','Roussayrolles',33051),(33088,'81170','Frausseilles',33052),(33089,'81630','Montvalen',33053),(33090,'81310','Lisle Sur Tarn',33054),(33091,'81120','Saint Lieux Lafenasse',33055),(33092,'81220','Magrin',33056),(33093,'81700','Lempaut',33057),(33094,'81260','Le Margnès',33058),(33095,'81160','Arthès',33059),(33096,'81450','Le Garric',33060),(33097,'81630','Beauvais Sur Tescou',33061),(33098,'81570','Sémalens',33062),(33099,'81150','Marssac Sur Tarn',33063),(33100,'81630','La Sauzière Saint Jean',33064),(33101,'81170','Donnazac',33065),(33102,'81200','Mazamet',33066),(33103,'81300','Labessière Candeil',33067),(33104,'81600','Montans',33068),(33105,'81340','Lacapelle Pinet',33069),(33106,'81470','Algans',33070),(33107,'81440','Vénès',33071),(33108,'81200','Caucalières',33072),(33109,'81470','Montgey',33073),(33110,'81220','Prades',33074),(33111,'81140','Sainte Cécile Du Cayrou',33075),(33112,'81330','Lacaze',33076),(33113,'81250','Saint André',33077),(33114,'81240','Saint Amans Valtoret',33078),(33115,'81140','Vieux',33079),(33116,'81260','Espérausses',33080),(33117,'81140','Campagnac',33081),(33118,'81110','Saint Amancet',33082),(33119,'81340','Fraissines',33083),(33120,'81490','Noailhac',33084),(33121,'81330','Rayssac',33085),(33122,'81990','Fréjairolles',33086),(33123,'81500','Lugan',33087),(33124,'81630','Tauriac',33088),(33125,'81500','Cabanès',33089),(33126,'81120','Mont Roc',33090),(33127,'81110','Lagardiolle',33091),(33128,'81120','Saint Antonin De Lacalm',33092),(33129,'81400','Labastide Gabausse',33093),(33130,'81130','Mailhoc',33094),(33131,'81540','Sorèze',33095),(33132,'81170','Cordes Sur Ciel',33096),(33133,'81440','Lautrec',33097),(33134,'81570','Fréjeville',33098),(33135,'81190','Treban',33099),(33136,'81500','Garrigues',33100),(33137,'81340','Valence D\'Albigeois',33101),(33138,'81440','Brousse',33102),(33139,'81150','Rouffiac',33103),(33140,'81800','Mézens',33104),(33141,'81170','Marnaves',33105),(33142,'81500','Saint Lieux Lès Lavaur',33106),(33143,'81360','Montredon Labessonnié',33107),(33144,'81130','Milhavet',33108),(33145,'81660','Bout Du Pont De Larn',33109),(33146,'81500','Marzens',33110),(33147,'81170','Saint Marcel Campes',33111),(33148,'81120','Lamillarié',33112),(33149,'81600','Brens',33113),(33150,'81500','Lacougotte Cadoul',33114),(33151,'81430','Ambialet',33115),(33152,'81260','Castelnau De Brassac',33116),(33153,'81500','Montcabrier',33117),(33154,'81110','Dourgne',33118),(33155,'81120','Réalmont',33119),(33156,'81190','Trévien',33120),(33157,'81500','Saint Jean De Rives',33121),(33158,'81340','Cadix',33122),(33159,'81470','Aguts',33123),(33160,'81120','Dénat',33124),(33161,'81470','Cambon Lès Lavaur',33125),(33162,'81440','Puycalvel',33126),(33163,'81120','Sieurac',33127),(33164,'81260','Brassac',33128),(33165,'81350','Sérénac',33129),(33166,'81500','Saint Agnan',33130),(33167,'81140','Montels',33131),(33168,'81990','Puygouzon',33132),(33169,'81660','Payrin Augmontel',33133),(33170,'81700','Blan',33134),(33171,'81800','Rabastens',33135),(33172,'81470','Cuq Toulza',33136),(33173,'81120','Fauch',33137),(33174,'81470','Mouzens',33138),(33175,'81170','Montrosier',33139),(33176,'81270','Labastide Rouairoux',33140),(33177,'81320','Murat Sur Vèbre',33141),(33178,'81600','Técou',33142),(33179,'81500','Ambres',33143),(33180,'81240','Lacabarède',33144),(33181,'81210','Saint Jean De Vals',33145),(33182,'81430','Mouzieys Teulet',33146),(33183,'81290','Viviers Lès Montagnes',33147),(33184,'81220','Viterbe',33148),(33185,'81540','Belleserre',33149),(33186,'81170','Saint Martin Laguépie',33150),(33187,'81400','Rosières',33151),(33188,'81240','Sauveterre',33152),(33189,'81500','Labastide Saint Georges',33153),(33190,'81530','Senaux',33154),(33191,'81200','Aiguefonde',33155),(33192,'81170','Livers Cazelles',33156),(33193,'81300','Lasgraisses',33157),(33194,'81220','Guitalens L\'Albarède',33158),(33195,'81430','Bellegarde',33159),(33196,'81190','Montirat',33160),(33197,'81640','Salles',33161),(33198,'81320','Moulin Mage',33162),(33199,'81170','Tonnac',33163),(33200,'81390','Briatexte',33164),(33201,'81230','Lacaune',33165),(33202,'81140','Saint Beauzile',33166),(33203,'81150','Labastide De Lévis',33167),(33204,'81140','Vaour',33168),(33205,'81530','Gijounet',33169),(33206,'81350','Andouque',33170),(33207,'81440','Montpinier',33171),(33208,'81570','Vielmur Sur Agout',33172),(33209,'81140','Alos',33173),(33210,'81700','Puylaurens',33174),(33211,'81500','Lavaur',33175),(33212,'81220','Serviès',33176),(33213,'81310','Peyrole',33177),(33214,'81350','Crespin',33178),(33215,'81640','Combefa',33179),(33216,'81170','Itzac',33180),(33217,'81150','Castanet',33181),(33218,'81210','Lacrouzette',33182),(33219,'81570','Carbes',33183),(33220,'81190','Sainte Gemme',33184),(33221,'81130','Villeneuve Sur Vère',33185),(33222,'81600','Fénols',33186),(33223,'81350','Saussenac',33187),(33224,'81570','Cuq',33188),(33225,'81140','Puycelsi',33189),(33226,'81340','Padiès',33190),(33227,'81250','Curvalle',33191),(33228,'81990','Saliès',33192),(33229,'81600','Cadalen',33193),(33230,'81500','Pratviel',33194),(33231,'81350','Saint Grégoire',33195),(33232,'81320','Barre',33196),(33233,'81110','Verdalle',33197),(33234,'81530','Escroux',33198),(33235,'81340','Saint Cirgue',33199),(33236,'81530','Viane',33200),(33237,'81540','Cahuzac',33201),(33238,'81440','Saint Genest De Contest',33202),(33239,'81800','Loupiac',33203),(33240,'81440','Saint Julien Du Puy',33204),(33241,'81400','Blaye Les Mines',33205),(33242,'81500','Villeneuve Lès Lavaur',33206),(33243,'81240','Le Rialet',33207),(33244,'81140','Andillac',33208),(33245,'81170','Bournazel',33209),(33246,'81170','Labarthe Bleys',33210),(33247,'81470','Roquevidal',33211),(33248,'81250','Alban',33212),(33249,'81150','Grave',33213),(33250,'81110','Massaguel',33214),(33251,'81500','Bannières',33215),(33252,'81250','Paulinet',33216),(33253,'81300','Graulhet',33217),(33254,'81800','Coufouleux',33218),(33255,'81240','Saint Amans Soult',33219),(33256,'81120','Teillet',33220),(33257,'81330','Saint Pierre De Trivisy',33221),(33258,'81660','Pont De Larn',33222),(33259,'81500','Viviers Lès Lavaur',33223),(33260,'81500','Massac Séran',33224),(33261,'81260','Angles',33225),(33262,'81140','Saint Michel De Vax',33226),(33263,'81340','Assac',33227),(33264,'81530','Saint Salvi De Carcavès',33228),(33265,'81120','Ronel',33229),(33266,'81200','Aussillon',33230),(33267,'81140','Penne',33231),(33268,'81700','Saint Sernin Lès Lavaur',33232),(33269,'81140','Le Verdier',33233),(33270,'81990','Cunac',33234),(33271,'81220','Damiatte',33235),(33272,'81640','Laparrouquial',33236),(33273,'81580','Cambounet Sur Le Sor',33237),(33274,'81400','Saint Benoît De Carmaux',33238),(33275,'81710','Saïx',33239),(33276,'81190','Moularès',33240),(33277,'81170','Vindrac Alayrac',33241),(33278,'81990','Carlus',33242),(33279,'81370','Saint Sulpice',33243),(33280,'81260','Le Bez',33244),(33281,'81150','Sainte Croix',33245),(33282,'81120','Orban',33246),(33283,'81470','Puéchoursi',33247),(33284,'81600','Senouillac',33248),(33285,'81190','Mirandol Bourgnounac',33249),(33286,'81390','Puybegon',33250),(33287,'81470','Péchaudier',33251),(33288,'81350','Crespinet',33252),(33289,'81210','Montfa',33253),(33290,'81120','Labastide Dénat',33254),(33291,'81290','Saint Affrique Les Montagnes',33255),(33292,'81120','Laboutarie',33256),(33293,'81250','Massals',33257),(33294,'81310','Parisot',33258),(33295,'81360','Arifat',33259),(33296,'81290','Bruguière',33260),(33297,'81700','Saint Germain Des Prés',33261),(33298,'81600','Broze',33262),(33299,'81470','Croisille',33263),(33300,'81170','Le Riols',33264),(33301,'81340','Courris',33265),(33302,'81340','Saint Michel Labadié',33266),(33303,'81990','Le Sequestre',33267),(33304,'81340','Faussergues',33268),(33305,'81120','Terre Clapier',33269),(33306,'81240','Le Vintrou',33270),(33307,'81430','Le Fraysse',33271),(33308,'81300','Missècle',33272),(33309,'81090','Lagarrigue',33273),(33310,'81210','Saint Germier',33274),(33311,'81700','Bertre',33275),(33312,'81100','Burlats',33276),(33313,'81260','Berlats',33277),(33314,'81380','Lescure D\'Albigeois',33278),(33315,'81190','Pampelonne',33279),(33316,'81170','Amarens',33280),(33317,'81500','Fiac',33281),(33318,'81490','Saint Salvy De La Balme',33282),(33319,'81640','Le Ségur',33283),(33320,'81580','Soual',33284),(33321,'81190','Tanus',33285),(33322,'81150','Fayssac',33286),(33323,'81110','Arfons',33287),(33324,'81250','Miolles',33288),(33325,'81170','Cabannes',33289),(33326,'81130','Cagnac Les Mines',33290),(33327,'81150','Cestayrols',33291),(33328,'81700','Palleville',33292),(33329,'81430','Marsal',33293),(33330,'81400','Carmaux',33294),(33331,'81260','Cambounès',33295),(33332,'81600','Aussac',33296),(33333,'81120','Poulan Pouzols',33297),(33334,'81170','Souel',33298),(33335,'81100','Castres',33299),(33336,'81330','Vabre',33300),(33337,'81340','Saint Julien Gaulène',33301),(33338,'81440','Peyregoux',33302),(33339,'81800','Roquemaure',33303),(33340,'81210','Roquecourbe',33304),(33341,'81630','Salvagnac',33305),(33342,'81190','Saint Christophe',33306),(33343,'81490','Boissezon',33307),(33344,'81990','Cambon',33308),(33345,'81150','Bernac',33309),(33346,'81170','Loubers',33310),(33347,'81640','Monestiés',33311),(33348,'81350','Valderiès',33312),(33349,'81340','Le Dourn',33313),(33350,'81630','Saint Urcisse',33314),(33351,'81220','Saint Paul Cap De Joux',33315),(33352,'81170','Mouzieys Panens',33316),(33353,'81170','Noailles',33317),(33354,'81540','Cammazes',33318),(33355,'81090','Valdurenque',33319),(33356,'81290','Escoussens',33320),(33357,'81150','Florentin',33321),(33358,'81110','Lescout',33322),(33359,'81190','Jouqueviel',33323),(33360,'81500','Giroussens',33324),(33361,'81500','Belcastel',33325),(33362,'81470','Maurens Scopont',33326),(33363,'81700','Poudis',33327),(33364,'81600','Rivières',33328),(33365,'81630','Montdurausse',33329),(33366,'81100','Laboulbène',33330),(33367,'81120','Le Travet',33331),(33368,'81120','Lombers',33332),(33369,'81500','Teulat',33333),(33370,'82300','Saint Vincent',33334),(33371,'82110','Montagudet',33335),(33372,'82290','Meauzac',33336),(33373,'82340','Saint Michel',33337),(33374,'82500','Gimat',33338),(33375,'82440','Cayrac',33339),(33376,'82400','Montjoi',33340),(33377,'82160','Saint Projet',33341),(33378,'82400','Golfech',33342),(33379,'82400','Saint Paul D\'Espis',33343),(33380,'82800','Montricoux',33344),(33381,'82290','Albefeuille Lagarde',33345),(33382,'82220','Puycornet',33346),(33383,'82440','Mirabel',33347),(33384,'82230','Génébrières',33348),(33385,'82340','Saint Cirice',33349),(33386,'82410','Saint Étienne De Tulmont',33350),(33387,'82600','Saint Sardos',33351),(33388,'82290','Montbeton',33352),(33389,'82120','Maumusson',33353),(33390,'82100','Castelsarrasin',33354),(33391,'82500','Marignac',33355),(33392,'82500','Escazeaux',33356),(33393,'82220','Auty',33357),(33394,'82370','Saint Nauphary',33358),(33395,'82500','Auterive',33359),(33396,'82210','Fajolles',33360),(33397,'82300','Saint Cirq',33361),(33398,'82710','Bressols',33362),(33399,'82210','Caumont',33363),(33400,'82210','Coutures',33364),(33401,'82100','Lafitte',33365),(33402,'82240','Saint Georges',33366),(33403,'82390','Durfort Lacapelette',33367),(33404,'82150','Saint Amans Du Pech',33368),(33405,'82120','Mansonville',33369),(33406,'82370','Reyniès',33370),(33407,'82170','Canals',33371),(33408,'82220','Labarthe',33372),(33409,'82400','Valence',33373),(33410,'82370','Nohic',33374),(33411,'82800','Bruniquel',33375),(33412,'82500','Maubec',33376),(33413,'82100','Saint Aignan',33377),(33414,'82340','Donzac',33378),(33415,'82500','Cumont',33379),(33416,'82340','Bardigues',33380),(33417,'82600','Mas Grenier',33381),(33418,'82370','Varennes',33382),(33419,'82140','Saint Antonin Noble Val',33383),(33420,'82400','Castelsagrat',33384),(33421,'82210','Merles',33385),(33422,'82130','Lafrançaise',33386),(33423,'82370','Labastide Saint Pierre',33387),(33424,'82120','Balignac',33388),(33425,'82400','Saint Vincent Lespinasse',33389),(33426,'82270','Montalzat',33390),(33427,'82240','Labastide De Penne',33391),(33428,'82100','Labourgade',33392),(33429,'82110','Montbarla',33393),(33430,'82290','Barry D\'Islemade',33394),(33431,'82160','Loze',33395),(33432,'82130','Lamothe Capdeville',33396),(33433,'82800','Bioule',33397),(33434,'82170','Grisolles',33398),(33435,'82340','Saint Loup',33399),(33436,'82150','Saint Beauzeil',33400),(33437,'82250','Laguépie',33401),(33438,'82120','Chapelle',33402),(33439,'82400','Goudourville',33403),(33440,'82290','Lacourt Saint Pierre',33404),(33441,'82200','Moissac',33405),(33442,'82210','Angeville',33406),(33443,'82200','Malause',33407),(33444,'82220','Vazerac',33408),(33445,'82150','Montaigu De Quercy',33409),(33446,'82700','Saint Porquier',33410),(33447,'82800','Puygaillard De Quercy',33411),(33448,'82400','Espalais',33412),(33449,'82600','Comberouger',33413),(33450,'82130','Piquecos',33414),(33451,'82120','Poupas',33415),(33452,'82400','Perville',33416),(33453,'82270','Montfermier',33417),(33454,'82500','Sérignac',33418),(33455,'82160','Espinas',33419),(33456,'82370','Campsas',33420),(33457,'82370','Orgueil',33421),(33458,'82120','Marsac',33422),(33459,'82700','Finhan',33423),(33460,'82290','La Ville Dieu Du Temple',33424),(33461,'82370','Corbarieu',33425),(33462,'82500','Lamothe Cumont',33426),(33463,'82120','Lavit',33427),(33464,'82150','Roquecor',33428),(33465,'82500','Le Causé',33429),(33466,'82190','Saint Nazaire De Valentane',33430),(33467,'82170','Pompignan',33431),(33468,'82190','Brassac',33432),(33469,'82210','Saint Arroumex',33433),(33470,'82200','Lizac',33434),(33471,'82140','Cazals',33435),(33472,'82240','Lavaurette',33436),(33473,'82500','Goas',33437),(33474,'82400','Pommevic',33438),(33475,'82230','La Salvetat Belmontet',33439),(33476,'82700','Escatalens',33440),(33477,'82400','Gasques',33441),(33478,'82120','Castéra Bouzet',33442),(33479,'82500','Esparsac',33443),(33480,'82130','L\'Honor De Cos',33444),(33481,'82600','Savenès',33445),(33482,'82800','Vaïssac',33446),(33483,'82120','Montgaillard',33447),(33484,'82300','Caussade',33448),(33485,'82400','Saint Clair',33449),(33486,'82100','Labastide Du Temple',33450),(33487,'82500','Faudoas',33451),(33488,'82700','Bourret',33452),(33489,'82330','Verfeil',33453),(33490,'82120','Gramont',33454),(33491,'82350','Albias',33455),(33492,'82500','Vigueron',33456),(33493,'82130','Montastruc',33457),(33494,'82500','Belbèse',33458),(33495,'82190','Touffailles',33459),(33496,'82140','Féneyrols',33460),(33497,'82100','Montain',33461),(33498,'82240','Septfonds',33462),(33499,'82230','Monclar De Quercy',33463),(33500,'82110','Saint Amans De Pellagal',33464),(33501,'82600','Verdun Sur Garonne',33465),(33502,'82170','Fabas',33466),(33503,'82170','Bessens',33467),(33504,'82700','Montech',33468),(33505,'82600','Bouillac',33469),(33506,'82110','Cazes Mondenard',33470),(33507,'82500','Gariès',33471),(33508,'82110','Sainte Juliette',33472),(33509,'82220','Molières',33473),(33510,'82340','Dunes',33474),(33511,'82120','Gensac',33475),(33512,'82100','Barthes',33476),(33513,'82340','Auvillar',33477),(33514,'82240','Cayriech',33478),(33515,'82190','Lacour',33479),(33516,'82230','Léojac',33480),(33517,'82330','Varen',33481),(33518,'82160','Lacapelle Livron',33482),(33519,'82130','Villemade',33483),(33520,'82160','Puylagarde',33484),(33521,'82240','Puylaroque',33485),(33522,'82110','Sauveterre',33486),(33523,'82270','Montpezat De Quercy',33487),(33524,'82700','Cordes Tolosannes',33488),(33525,'82240','Lapenche',33489),(33526,'82500','Beaumont De Lomagne',33490),(33527,'82210','Castelmayran',33491),(33528,'82120','Puygaillard De Lomagne',33492),(33529,'82120','Saint Jean Du Bouzet',33493),(33530,'82230','Verlhac Tescou',33494),(33531,'82160','Parisot',33495),(33532,'82110','Bouloc',33496),(33533,'82110','Tréjouls',33497),(33534,'82160','Caylus',33498),(33535,'82210','Saint Nicolas De La Grave',33499),(33536,'82200','Montesquieu',33500),(33537,'82370','Villebrumier',33501),(33538,'82600','Beaupuy',33502),(33539,'82340','Sistels',33503),(33540,'82440','Réalville',33504),(33541,'82330','Ginals',33505),(33542,'82170','Dieupentale',33506),(33543,'82190','Bourg De Visa',33507),(33544,'82700','Montbartier',33508),(33545,'82120','Asques',33509),(33546,'82150','Belvèze',33510),(33547,'82100','Garganvillar',33511),(33548,'82800','Nègrepelisse',33512),(33549,'82360','Lamagistère',33513),(33550,'82500','Glatens',33514),(33551,'82170','Monbéqui',33515),(33552,'82150','Valeilles',33516),(33553,'82600','Aucamville',33517),(33554,'82190','Miramont De Quercy',33518),(33555,'82160','Mouillac',33519),(33556,'82110','Lauzerte',33520),(33557,'82000','Montauban',33521),(33558,'82100','Castelferrus',33522),(33559,'82160','Castanet',33523),(33560,'82190','Fauroux',33524),(33561,'82200','Boudou',33525),(33562,'82300','Monteils',33526),(33563,'82340','Le Pin',33527),(33564,'82500','Larrazet',33528),(33565,'83470','Seillons Source D\'Argens',33529),(33566,'83136','Néoules',33530),(33567,'83210','Solliès Toucas',33531),(33568,'83310','Cogolin',33532),(33569,'83690','Villecroze',33533),(33570,'83340','Le Cannet Des Maures',33534),(33571,'83830','Claviers',33535),(33572,'83250','La Londe Les Maures',33536),(33573,'83670','Pontevès',33537),(33574,'83119','Brue Auriac',33538),(33575,'83630','Régusse',33539),(33576,'83640','Plan D\'Aups Sainte Baume',33540),(33577,'83830','Figanières',33541),(33578,'83120','Sainte Maxime',33542),(33579,'83210','Solliès Pont',33543),(33580,'83560','Rians',33544),(33581,'83270','Saint Cyr Sur Mer',33545),(33582,'83136','Mazaugues',33546),(33583,'83340','Cabasse',33547),(33584,'83860','Nans Les Pins',33548),(33585,'83240','Cavalaire Sur Mer',33549),(33586,'83340','Flassans Sur Issole',33550),(33587,'83350','Ramatuelle',33551),(33588,'83340','Le Thoronet',33552),(33589,'83640','Saint Zacharie',33553),(33590,'83840','Le Bourguet',33554),(33591,'83130','La Garde',33555),(33592,'83480','Puget Sur Argens',33556),(33593,'83110','Sanary Sur Mer',33557),(33594,'83149','Bras',33558),(33595,'83400','Hyères',33559),(33596,'83160','La Valette Du Var',33560),(33597,'83136','Méounes Lès Montrieux',33561),(33598,'83190','Ollioules',33562),(33599,'83690','Sillans La Cascade',33563),(33600,'83470','Saint Maximin La Sainte Baume',33564),(33601,'83510','Saint Antonin Du Var',33565),(33602,'83440','Callian',33566),(33603,'83210','Solliès Ville',33567),(33604,'83820','Rayol Canadel Sur Mer',33568),(33605,'83170','La Celle',33569),(33606,'83120','Le Plan De La Tour',33570),(33607,'83170','Vins Sur Caramy',33571),(33608,'83780','Flayosc',33572),(33609,'83630','Bauduen',33573),(33610,'83170','Camps La Source',33574),(33611,'83830','Bargemon',33575),(33612,'83440','Tanneron',33576),(33613,'83670','Fox Amphoux',33577),(33614,'83630','Aups',33578),(33615,'83460','Taradeau',33579),(33616,'83560','Saint Julien',33580),(33617,'83840','La Martre',33581),(33618,'83510','Lorgues',33582),(33619,'83460','Arcs',33583),(33620,'83520','Roquebrune Sur Argens',33584),(33621,'83570','Entrecasteaux',33585),(33622,'83830','Callas',33586),(33623,'83470','Ollières',33587),(33624,'83170','Rougiers',33588),(33625,'83470','Pourcieux',33589),(33626,'83330','Évenos',33590),(33627,'83660','Carnoules',33591),(33628,'83220','Le Pradet',33592),(33629,'83840','Bargème',33593),(33630,'83230','Bormes Les Mimosas',33594),(33631,'83440','Seillans',33595),(33632,'83910','Pourrières',33596),(33633,'83790','Pignans',33597),(33634,'83320','Carqueiranne',33598),(33635,'83670','Tavernes',33599),(33636,'83600','Adrets De L\'Estérel',33600),(33637,'83440','Fayence',33601),(33638,'83140','Six Fours Les Plages',33602),(33639,'83840','Châteauvieux',33603),(33640,'83570','Carcès',33604),(33641,'83550','Vidauban',33605),(33642,'83136','Garéoult',33606),(33643,'83670','Varages',33607),(33644,'83300','Draguignan',33608),(33645,'83560','Saint Martin',33609),(33646,'83560','Esparron',33610),(33647,'83670','Barjols',33611),(33648,'83440','Montauroux',33612),(33649,'83440','Saint Paul En Forêt',33613),(33650,'83630','Moissac Bellevue',33614),(33651,'83143','Le Val',33615),(33652,'83720','Trans En Provence',33616),(33653,'83490','Le Muy',33617),(33655,'83570','Correns',33618),(33656,'83870','Signes',33619),(33657,'83136','La Roquebrussanne',33620),(33658,'13780','Riboux',33621),(33659,'83670','Châteauvert',33622),(33660,'83670','Montmeyan',33623),(33661,'83131','Montferrat',33624),(33662,'83630','Vérignon',33625),(33663,'83390','Cuers',33626),(33664,'83310','Grimaud',33627),(33665,'83890','Besse Sur Issole',33628),(33666,'83440','Mons',33629),(33667,'83840','Comps Sur Artuby',33630),(33668,'83260','La Crau',33631),(33669,'83440','Tourrettes',33632),(33670,'83980','Le Lavandou',33633),(33671,'83690','Salernes',33634),(33672,'83630','Salles Sur Verdon',33635),(33673,'83580','Gassin',33636),(33674,'83630','Baudinard Sur Verdon',33637),(33675,'83136','Forcalqueiret',33638),(33676,'83920','La Motte',33639),(33678,'83310','La Môle',33640),(33679,'83390','Puget Ville',33641),(33680,'83330','Le Beausset',33642),(33681,'83560','La Verdière',33643),(33682,'83740','La Cadière D\'Azur',33644),(33683,'83210','Belgentier',33645),(33684,'83300','Châteaudouble',33646),(33685,'83630','Aiguines',33647),(33686,'83690','Tourtour',33648),(33687,'83170','Brignoles',33649),(33689,'83610','Collobrières',33650),(33690,'83136','Sainte Anastasie Sur Issole',33651),(33691,'83680','La Garde Freinet',33652),(33692,'83420','La Croix Valmer',33653),(33693,'83136','Rocbaron',33654),(33694,'83340','Le Luc',33655),(33695,'83840','La Bastide',33656),(33696,'83840','Brenon',33657),(33697,'83630','Artignosc Sur Verdon',33658),(33698,'83570','Montfort Sur Argens',33659),(33699,'83560','Artigues',33660),(33700,'83590','Gonfaron',33661),(33701,'83570','Cotignac',33662),(33702,'83170','Tourves',33663),(33703,'83990','Saint Tropez',33664),(33704,'83390','Pierrefeu Du Var',33665),(33705,'83200','Le Revest Les Eaux',33666),(33706,'83210','La Farlède',33667),(33707,'83430','Saint Mandrier Sur Mer',33668),(33708,'83330','Le Castellet',33669),(33709,'83150','Bandol',33670),(33710,'83111','Ampus',33671),(33711,'83500','La Seyne Sur Mer',33672),(33712,'83840','La Roque Esclapon',33673),(33713,'83560','Vinon Sur Verdon',33674),(33714,'83600','Bagnols En Forêt',33675),(33715,'83340','Mayons',33676),(33716,'83840','Trigance',33677),(33717,'83560','Ginasservis',33678),(33718,'84570','Villes Sur Auzon',33679),(33719,'84820','Visan',33680),(33720,'84110','Rasteau',33681),(33721,'84490','Saint Saturnin Lès Apt',33682),(33722,'84370','Bédarrides',33683),(33723,'84390','Brantes',33684),(33724,'84580','Oppède',33685),(33725,'84100','Uchaux',33686),(33726,'84400','Saignon',33687),(33727,'84410','Bédoin',33688),(33728,'84750','Saint Martin De Castillon',33689),(33729,'84330','Caromb',33690),(33730,'84340','Malaucène',33691),(33731,'84600','Grillon',33692),(33732,'84330','Saint Pierre De Vassols',33693),(33733,'84220','Lioux',33694),(33734,'84400','Castellet',33695),(33735,'84240','Cabrières D\'Aigues',33696),(33736,'84570','Mormoiron',33697),(33737,'84530','Villelaure',33698),(33738,'84130','Le Pontet',33699),(33739,'84390','Saint Trinit',33700),(33740,'84110','Faucon',33701),(33741,'84390','Saint Christol',33702),(33742,'84360','Mérindol',33703),(33743,'84230','Châteauneuf Du Pape',33704),(33744,'84300','Cavaillon',33705),(33745,'84190','Beaumes De Venise',33706),(33746,'84330','Modène',33707),(33747,'84570','Méthamis',33708),(33748,'84840','Lamotte Du Rhône',33709),(33749,'84270','Vedène',33710),(33750,'84160','Cadenet',33711),(33751,'84240','La Tour D\'Aigues',33712),(33752,'84210','Althen Des Paluds',33713),(33753,'84310','Morières Lès Avignon',33714),(33754,'84110','Puyméras',33715),(33755,'84510','Caumont Sur Durance',33716),(33756,'84150','Jonquières',33717),(33757,'84600','Richerenches',33718),(33758,'84240','Peypin D\'Aigues',33719),(33759,'84210','Pernes Les Fontaines',33720),(33760,'84240','Sannes',33721),(33761,'84330','Le Barroux',33722),(33762,'84190','Lafare',33723),(33763,'84260','Sarrians',33724),(33764,'84700','Sorgues',33725),(33765,'84240','La Bastide Des Jourdans',33726),(33766,'84150','Violès',33727),(33767,'84750','Viens',33728),(33768,'84850','Camaret Sur Aigues',33729),(33769,'84570','Blauvac',33730),(33770,'84240','Vitrolles En Lubéron',33731),(33771,'84290','Lagarde Paréol',33732),(33772,'84800','Lagnes',33733),(33773,'84190','Vacqueyras',33734),(33774,'84360','Puget',33735),(33775,'84570','Malemort Du Comtat',33736),(33776,'84400','Auribeau',33737),(33777,'84190','Gigondas',33738),(33778,'84400','Villars',33739),(33779,'84400','Rustrel',33740),(33780,'84110','Séguret',33741),(33781,'84110','Saint Marcellin Lès Vaison',33742),(33782,'84430','Mondragon',33743),(33783,'84220','Cabrières D\'Avignon',33744),(33784,'84450','Saint Saturnin Lès Avignon',33745),(33785,'84390','Savoillan',33746),(33786,'84470','Châteauneuf De Gadagne',33747),(33787,'84440','Robion',33748),(33788,'84340','Entrechaux',33749),(33789,'84110','Roaix',33750),(33790,'84220','Gordes',33751),(33791,'84290','Saint Roman De Malegarde',33752),(33792,'84550','Mornas',33753),(33793,'84390','Sault',33754),(33794,'84240','Ansouis',33755),(33795,'84800','L\'Isle Sur La Sorgue',33756),(33796,'84220','Goult',33757),(33797,'84420','Piolenc',33758),(33798,'84160','Lourmarin',33759),(33799,'84110','Saint Romain En Viennois',33760),(33800,'84560','Ménerbes',33761),(33801,'84600','Valréas',33762),(33802,'84400','Gignac',33763),(33803,'84480','Bonnieux',33764),(33804,'84480','Buoux',33765),(33805,'84160','Vaugines',33766),(33806,'84160','Puyvert',33767),(33807,'84200','Carpentras',33768),(33808,'84350','Courthézon',33769),(33809,'84340','Beaumont Du Ventoux',33770),(33810,'84110','Buisson',33771),(33811,'84110','Sablet',33772),(33812,'84320','Entraigues Sur La Sorgue',33773),(33813,'84220','Saint Pantaléon',33774),(33814,'84220','Murs',33775),(33815,'84120','Mirabeau',33776),(33816,'84400','Lagarde D\'Apt',33777),(33817,'84800','Saumane De Vaucluse',33778),(33818,'84210','Venasque',33779),(33819,'84740','Velleron',33780),(33820,'84380','Mazan',33781),(33821,'84750','Caseneuve',33782),(33822,'84210','Le Beaucet',33783),(33823,'84830','Sérignan Du Comtat',33784),(33824,'84300','Taillades',33785),(33825,'84810','Aubignan',33786),(33826,'84800','Fontaine De Vaucluse',33787),(33827,'84240','La Motte D\'Aigues',33788),(33828,'84390','Monieux',33789),(33829,'84120','La Bastidonne',33790),(33830,'84120','Beaumont De Pertuis',33791),(33831,'84500','Bollène',33792),(33832,'84110','Villedieu',33793),(33833,'84170','Monteux',33794),(33834,'84410','Flassan',33795),(33835,'84210','La Roque Sur Pernes',33796),(33836,'84220','Roussillon',33797),(33837,'84100','Orange',33798),(33838,'84000','Avignon',33799),(33839,'84390','Aurel',33800),(33840,'84390','Saint Léger Du Ventoux',33801),(33841,'84190','La Roque Alric',33802),(33842,'84760','Saint Martin De La Brasque',33803),(33843,'84400','Sivergues',33804),(33844,'84450','Jonquerettes',33805),(33845,'84220','Beaumettes',33806),(33846,'84290','Cairanne',33807),(33847,'84120','Pertuis',33808),(33848,'84660','Maubec',33809),(33849,'84250','Le Thor',33810),(33850,'84190','Suzette',33811),(33851,'84480','Lacoste',33812),(33852,'84240','Grambois',33813),(33853,'84850','Travaillan',33814),(33854,'84400','Apt',33815),(33855,'84290','Sainte Cécile Les Vignes',33816),(33856,'84360','Lauris',33817),(33857,'84110','Vaison La Romaine',33818),(33858,'84160','Cucuron',33819),(33859,'84840','Lapalud',33820),(33860,'84860','Caderousse',33821),(33861,'84870','Loriol Du Comtat',33822),(33862,'84110','Crestet',33823),(33863,'84330','Saint Hippolyte Le Graveyron',33824),(33864,'84410','Crillon Le Brave',33825),(33865,'84220','Joucas',33826),(33866,'84400','Gargas',33827),(33867,'84210','Saint Didier',33828),(33868,'84460','Cheval Blanc',33829),(33869,'85130','La Gaubretière',33830),(33870,'85420','Damvix',33831),(33871,'85600','Saint Hilaire De Loulay',33832),(33872,'85450','Sainte Radégonde Des Noyers',33833),(33873,'85470','Bretignolles Sur Mer',33834),(33874,'85260','Mormaison',33835),(33875,'85540','La Jonchère',33836),(33876,'85420','Liez',33837),(33877,'85150','Vairé',33838),(33878,'85200','Saint Martin De Fraigneau',33839),(33879,'85120','Vouvant',33840),(33880,'85110','Saint Vincent Sterlanges',33841),(33881,'85120','Breuil Barret',33842),(33882,'85440','Poiroux',33843),(33883,'85210','Saint Jean De Beugné',33844),(33884,'85120','Loge Fougereuse',33845),(33885,'85400','Lairoux',33846),(33886,'85540','Saint Vincent Sur Graon',33847),(33887,'85110','Saint Germain De Prinçay',33848),(33888,'85600','La Guyonnière',33849),(33889,'85770','Le Poiré Sur Velluire',33850),(33890,'85170','Saligny',33851),(33891,'85410','Saint Sulpice En Pareds',33852),(33892,'85150','Landeronde',33853),(33893,'85440','Talmont Saint Hilaire',33854),(33894,'85570','Saint Valérien',33855),(33895,'85200','Fontaines',33856),(33896,'85200','Auzay',33857),(33897,'85170','Le Poiré Sur Vie',33858),(33898,'85540','Saint Benoist Sur Mer',33859),(33899,'85700','Réaumur',33860),(33900,'85600','Saint Georges De Montaigu',33861),(33901,'85420','Maillezais',33862),(33902,'85290','Saint Laurent Sur Sèvre',33863),(33903,'85620','Rocheservière',33864),(33904,'85710','Bois De Céné',33865),(33905,'85150','Saint Georges De Pointindoux',33866),(33906,'85260','Saint André Treize Voies',33867),(33907,'85590','Mallièvre',33868),(33908,'85170','Belleville Sur Vie',33869),(33909,'85500','Mesnard La Barotière',33870),(33910,'85210','Saint Juire Champgillon',33871),(33911,'85210','La Chapelle Thémer',33872),(33912,'85670','Saint Paul Mont Penit',33873),(33913,'85540','Moutiers Les Mauxfaits',33874),(33914,'85320','La Couture',33875),(33915,'85180','Château D\'Olonne',33876),(33916,'85590','Saint Mars La Réorthe',33877),(33917,'85220','Coëx',33878),(33918,'85390','Cheffois',33879),(33919,'85260','Saint Sulpice Le Verdon',33880),(33920,'85540','Le Givre',33881),(33921,'85770','Velluire',33882),(33922,'85220','Saint Maixent Sur Vie',33883),(33923,'85770','L\'Île D\'Elle',33884),(33924,'85200','Saint Michel Le Cloucq',33885),(33925,'85320','Mareuil Sur Lay Dissais',33886),(33926,'85160','Saint Jean De Monts',33887),(33927,'85150','Saint Mathurin',33888),(33928,'85320','Rosnay',33889),(33929,'85190','La Genétouze',33890),(33930,'85260','La Copechagnière',33891),(33931,'85200','Mervent',33892),(33932,'85130','Saint Aubin Des Ormeaux',33893),(33933,'85150','La Chapelle Achard',33894),(33934,'85320','Pineaux',33895),(33935,'85800','Le Fenouiller',33896),(33936,'85440','Saint Hilaire La Forêt',33897),(33937,'85150','Sainte Foy',33898),(33938,'85190','Beaulieu Sous La Roche',33899),(33939,'85360','La Tranche Sur Mer',33900),(33940,'85110','Monsireigne',33901),(33941,'85320','Sainte Pexine',33902),(33942,'85580','Saint Denis Du Payré',33903),(33943,'85210','La Réorthe',33904),(33944,'85770','Vix',33905),(33945,'85250','Saint André Goule D\'Oie',33906),(33946,'85250','Chavagnes En Paillers',33907),(33947,'85670','Grand\'Landes',33908),(33948,'85170','Saint Denis La Chevasse',33909),(33949,'85440','Grosbreuil',33910),(33950,'85130','Bazoges En Paillers',33911),(33951,'85610','La Bernardière',33912),(33952,'85260','L\'Herbergement',33913),(33953,'85700','La Pommeraie Sur Sèvre',33914),(33954,'85310','Chaillé Sous Les Ormeaux',33915),(33955,'85200','Longèves',33916),(33956,'85450','Moreilles',33917),(33957,'85430','Nieul Le Dolent',33918),(33958,'85230','Bouin',33919),(33959,'85200','Fontenay Le Comte',33920),(33960,'85270','Notre Dame De Riez',33921),(33961,'85320','Péault',33922),(33962,'85580','Saint Michel En L\'Herm',33923),(33963,'85150','Le Girouard',33924),(33964,'85140','Sainte Florence',33925),(33965,'85250','La Rabatelière',33926),(33966,'85120','La Tardière',33927),(33967,'85670','Palluau',33928),(33968,'85340','L\'Île D\'Olonne',33929),(33969,'85130','Saint Martin Des Tilleuls',33930),(33970,'85320','La Bretonnière La Claye',33931),(33971,'85590','Saint Malô Du Bois',33932),(33972,'85340','Olonne Sur Mer',33933),(33973,'85120','Saint Hilaire De Voust',33934),(33974,'85460','L\'Aiguillon Sur Mer',33935),(33975,'85210','Saint Martin Lars En Sainte Hermine',33936),(33976,'85420','Bouillé Courdault',33937),(33977,'85410','La Caillère Saint Hilaire',33938),(33978,'85700','Pouzauges',33939),(33979,'85140','Essarts',33940),(33980,'85000','Mouilleron Le Captif',33941),(33981,'85240','Foussais Payré',33942),(33982,'85170','Dompierre Sur Yon',33943),(33983,'85300','Challans',33944),(33984,'85220','La Chapelle Hermier',33945),(33985,'85200','Doix',33946),(33986,'85390','Saint Germain L\'Aiguiller',33947),(33987,'85450','La Taillée',33948),(33988,'85220','La Chaize Giraud',33949),(33989,'85300','Sallertaine',33950),(33990,'85800','Givrand',33951),(33991,'85570','Saint Martin Des Fontaines',33952),(33992,'85710','Châteauneuf',33953),(33993,'85230','Saint Urbain',33954),(33994,'85220','Apremont',33955),(33995,'85210','Sainte Hermine',33956),(33996,'85200','Sérigné',33957),(33997,'85710','La Garnache',33958),(33998,'85520','Saint Vincent Sur Jard',33959),(33999,'85140','L\'Oie',33960),(34000,'85590','Treize Vents',33961),(34001,'85130','La Verrie',33962),(34002,'85410','Saint Cyr Des Gâts',33963),(34003,'85220','Commequiers',33964),(34004,'85320','Corpe',33965),(34005,'85510','Rochetrejoux',33966),(34006,'85400','Luçon',33967),(34007,'85740','L\'Épine',33968),(34008,'85420','Oulmes',33969),(34009,'85110','Sainte Cécile',33970),(34010,'85410','Thouarsais Bouildroux',33971),(34011,'85560','Longeville Sur Mer',33972),(34012,'85180','Sables D\'Olonne',33973),(34013,'85480','Bournezeau',33974),(34014,'85410','Saint Laurent De La Salle',33975),(34015,'85390','Saint Maurice Le Girard',33976),(34016,'85240','Faymoreau',33977),(34017,'85430','Clouzeaux',33978),(34018,'85000','La Roche Sur Yon',33979),(34019,'85120','Antigny',33980),(34020,'85480','Thorigny',33981),(34021,'85700','La Flocellière',33982),(34022,'85800','Saint Gilles Croix De Vie',33983),(34023,'85260','Brouzils',33984),(34024,'85750','Angles',33985),(34025,'85210','Saint Aubin La Plaine',33986),(34026,'85670','Falleron',33987),(34027,'85200','Chaix',33988),(34028,'85240','Marillet',33989),(34029,'85700','La Meilleraie Tillay',33990),(34030,'85190','Maché',33991),(34031,'85400','Chasnais',33992),(34032,'85120','Saint Maurice Des Noues',33993),(34033,'85570','Marsais Sainte Radégonde',33994),(34034,'85770','Le Gué De Velluire',33995),(34035,'85300','Soullans',33996),(34036,'85470','Brem Sur Mer',33997),(34037,'85140','Chauché',33998),(34038,'85540','Saint Cyr En Talmondais',33999),(34039,'85230','Saint Gervais',34000),(34040,'85150','La Mothe Achard',34001),(34041,'85250','Saint Fulgent',34002),(34042,'85130','Landes Genusson',34003),(34043,'85420','Saint Pierre Le Vieux',34004),(34044,'85240','Xanton Chassenon',34005),(34045,'85320','Moutiers Sur Le Lay',34006),(34046,'85110','Chantonnay',34007),(34047,'85170','Lucs Sur Boulogne',34008),(34048,'85290','Mortagne Sur Sèvre',34009),(34049,'85220','Saint Révérend',34010),(34050,'85700','Montournais',34011),(34051,'85310','Saint Florent Des Bois',34012),(34052,'85300','Froidfond',34013),(34053,'85220','Landevieille',34014),(34054,'85500','Chambretaud',34015),(34055,'85110','La Jaudonnière',34016),(34056,'85270','Saint Hilaire De Riez',34017),(34057,'85420','Le Mazeau',34018),(34058,'85400','Magnils Reigniers',34019),(34059,'85150','Saint Julien Des Landes',34020),(34060,'85660','Saint Philbert De Bouaine',34021),(34061,'85420','Saint Sigismond',34022),(34062,'85540','Le Champ Saint Père',34023),(34063,'85450','Chaillé Les Marais',34024),(34064,'85520','Jard Sur Mer',34025),(34065,'85590','Epesses',34026),(34066,'85450','Vouillé Les Marais',34027),(34067,'85670','La Chapelle Palluau',34028),(34068,'85540','Saint Avaugourd Des Landes',34029),(34069,'85120','La Châtaigneraie',34030),(34070,'85350','L\'Île D\'Yeu',34031),(34071,'85190','Venansault',34032),(34072,'85600','Treize Septiers',34033),(34073,'85670','Saint Christophe Du Ligneron',34034),(34074,'85230','Beauvoir Sur Mer',34035),(34075,'85120','La Chapelle Aux Lys',34036),(34076,'85390','Tallud Sainte Gemme',34037),(34077,'85310','La Chaize Le Vicomte',34038),(34078,'85310','Nesmy',34039),(34079,'85390','Bazoges En Pareds',34040),(34080,'85500','Herbiers',34041),(34081,'85700','Châtelliers Châteaumur',34042),(34082,'85700','Saint Mesmin',34043),(34083,'85570','L\'Hermenault',34044),(34084,'85110','Sigournais',34045),(34085,'85390','Chavagnes Les Redoux',34046),(34086,'85320','Château Guibert',34047),(34087,'85570','Pouillé',34048),(34088,'85370','Nalliers',34049),(34089,'85440','Avrillé',34050),(34090,'85200','Bourneau',34051),(34091,'85200','Montreuil',34052),(34092,'85390','Mouilleron En Pareds',34053),(34093,'85700','Menomblet',34054),(34094,'85140','Boulogne',34055),(34095,'85460','La Faute Sur Mer',34056),(34096,'85580','Grues',34057),(34097,'85560','Le Bernard',34058),(34098,'85600','Montaigu',34059),(34099,'85600','La Boissière De Montaigu',34060),(34100,'85200','L\'Orbrie',34061),(34101,'85150','Sainte Flaive Des Loups',34062),(34102,'85420','Maillé',34063),(34103,'85450','Puyravault',34064),(34104,'85530','La Bruffière',34065),(34105,'85680','La Guérinière',34066),(34106,'85200','Pissotte',34067),(34107,'85150','Martinet',34068),(34108,'85410','Cezais',34069),(34109,'85430','Aubigny',34070),(34110,'85210','Saint Étienne De Brillouet',34071),(34111,'85540','Curzon',34072),(34112,'85580','Triaize',34073),(34113,'85450','Champagné Les Marais',34074),(34114,'85640','Mouchamps',34075),(34115,'85400','Sainte Gemme La Plaine',34076),(34116,'85500','Beaurepaire',34077),(34117,'85370','Le Langon',34078),(34118,'85300','Le Perrier',34079),(34119,'85500','Saint Paul En Pareds',34080),(34120,'85370','Mouzeuil Saint Martin',34081),(34121,'85240','Puy De Serre',34082),(34122,'85130','Tiffauges',34083),(34123,'85330','Noirmoutier En L\'Île',34084),(34124,'85310','Le Tablier',34085),(34125,'85240','Saint Hilaire Des Loges',34086),(34126,'85240','Nieul Sur L\'Autise',34087),(34127,'85110','Saint Prouant',34088),(34128,'85250','Vendrennes',34089),(34129,'85510','Le Boupère',34090),(34130,'85190','Aizenay',34091),(34131,'85430','La Boissière Des Landes',34092),(34132,'85480','Fougeré',34093),(34133,'85490','Benet',34094),(34134,'85610','Cugand',34095),(34135,'85670','Saint Étienne Du Bois',34096),(34136,'85140','Saint Martin Des Noyers',34097),(34137,'85480','Saint Hilaire Le Vouhis',34098),(34138,'85120','Saint Pierre Du Chemin',34099),(34139,'85170','Beaufou',34100),(34140,'85570','Petosse',34101),(34141,'85210','Thiré',34102),(34142,'85320','Bessay',34103),(34143,'85140','La Merlatière',34104),(34144,'85690','Notre Dame De Monts',34105),(34145,'85600','Boufféré',34106),(34146,'85630','Barbâtre',34107),(34147,'85550','La Barre De Monts',34108),(34148,'85700','Saint Michel Mont Mercure',34109),(34149,'85280','La Ferrière',34110),(34150,'85220','L\'Aiguillon Sur Vie',34111),(34151,'86300','Paizay Le Sec',34112),(34152,'86550','Mignaloux Beauvoir',34113),(34153,'86120','Saïx',34114),(34154,'86240','Ligugé',34115),(34155,'86170','Vouzailles',34116),(34156,'86260','La Puye',34117),(34157,'86700','Voulon',34118),(34158,'86600','Celle Lévescault',34119),(34159,'86110','Coussay',34120),(34160,'86700','Payré',34121),(34161,'86600','Coulombiers',34122),(34162,'86250','Chatain',34123),(34163,'86110','Craon',34124),(34164,'86410','Dienne',34125),(34165,'86700','Ceaux En Couhé',34126),(34166,'86310','La Bussière',34127),(34167,'86160','Magné',34128),(34168,'86330','Aulnay',34129),(34169,'86500','Pindray',34130),(34170,'86380','Ouzilly',34131),(34171,'86270','Mairé',34132),(34172,'86110','Amberre',34133),(34173,'86220','Saint Rémy Sur Creuse',34134),(34174,'86190','Chalandray',34135),(34175,'86120','Trois Moutiers',34136),(34176,'86190','Chiré En Montreuil',34137),(34177,'86220','Leugny',34138),(34178,'86340','Vernon',34139),(34179,'86100','Antran',34140),(34180,'86170','Le Rochereau',34141),(34181,'86150','Millac',34142),(34182,'86150','Le Vigeant',34143),(34183,'86110','Mazeuil',34144),(34184,'86250','La Chapelle Bâton',34145),(34185,'86170','Cherves',34146),(34186,'86340','Gizay',34147),(34187,'86430','Luchapt',34148),(34188,'86800','Jardres',34149),(34189,'86220','Port De Piles',34150),(34190,'86500','Montmorillon',34151),(34191,'86200','Ceaux En Loudun',34152),(34192,'86220','Ormes',34153),(34193,'86380','Chabournay',34154),(34194,'86530','Availles En Châtellerault',34155),(34195,'86450','Pleumartin',34156),(34196,'86170','Avanton',34157),(34197,'86200','La Roche Rigault',34158),(34198,'86400','Voulême',34159),(34199,'86290','La Trimouille',34160),(34200,'86120','Roiffé',34161),(34201,'86300','Chapelle Viviers',34162),(34202,'86400','Saint Saviol',34163),(34203,'86420','Berthegon',34164),(34204,'86420','Prinçay',34165),(34205,'86380','Vendeuvre Du Poitou',34166),(34206,'86120','Morton',34167),(34207,'86700','Châtillon',34168),(34208,'86230','Leigné Sur Usseau',34169),(34209,'86330','Saint Clair',34170),(34210,'86250','Genouillé',34171),(34211,'86150','Moussac',34172),(34212,'86330','La Chaussée',34173),(34213,'86580','Vouneuil Sous Biard',34174),(34214,'86400','Saint Macoux',34175),(34215,'86360','Chasseneuil Du Poitou',34176),(34216,'86800','Lavoux',34177),(34217,'86470','Montreuil Bonnin',34178),(34218,'86270','Lésigny',34179),(34219,'86330','La Grimaudière',34180),(34220,'86600','Jazeneuil',34181),(34221,'86200','Pouant',34182),(34222,'86600','Lusignan',34183),(34223,'86180','Buxerolles',34184),(34224,'86290','Liglet',34185),(34225,'86130','Jaunay Clan',34186),(34226,'86310','Béthines',34187),(34227,'86300','Leignes Sur Fontaine',34188),(34228,'86230','Sérigny',34189),(34229,'86400','Civray',34190),(34230,'86540','Thuré',34191),(34231,'86160','Brion',34192),(34232,'86120','Saint Léger De Montbrillais',34193),(34233,'86150','Queaux',34194),(34234,'86530','Naintré',34195),(34235,'86400','Blanzay',34196),(34236,'86130','Dissay',34197),(34237,'86800','Liniers',34198),(34238,'86170','Maisonneuve',34199),(34239,'86270','La Roche Posay',34200),(34240,'86110','Chouppes',34201),(34241,'86400','Linazay',34202),(34242,'86120','Bournand',34203),(34243,'86000','Poitiers',34204),(34244,'86240','Fontaine Le Comte',34205),(34245,'86340','Nouaillé Maupertuis',34206),(34246,'86250','Saint Romain',34207),(34247,'86160','Champagné Saint Hilaire',34208),(34248,'86170','Charrais',34209),(34249,'86320','Civaux',34210),(34250,'86500','Moulismes',34211),(34251,'86160','Gençay',34212),(34252,'86110','Cuhon',34213),(34253,'86160','Marnay',34214),(34254,'86290','Journet',34215),(34255,'86190','Vouillé',34216),(34256,'86410','Saint Laurent De Jourdes',34217),(34257,'86200','Maulay',34218),(34258,'86400','Saint Gaudent',34219),(34259,'86310','Saint Savin',34220),(34260,'86250','Surin',34221),(34261,'86110','Mirebeau',34222),(34262,'86200','Messemé',34223),(34263,'86420','Saires',34224),(34264,'86210','Bellefonds',34225),(34265,'86140','Scorbé Clairvaux',34226),(34266,'86350','Joussé',34227),(34267,'86250','Charroux',34228),(34268,'86160','Saint Maurice La Clouère',34229),(34269,'86250','Asnois',34230),(34270,'86200','Sammarçolles',34231),(34271,'86500','Jouhet',34232),(34272,'86210','Bonneuil Matours',34233),(34273,'86200','Ranton',34234),(34274,'86800','Savigny Lévescault',34235),(34275,'86200','Chalais',34236),(34276,'86200','Loudun',34237),(34277,'86210','Archigny',34238),(34278,'86200','Arçay',34239),(34279,'86470','Benassay',34240),(34280,'86220','Vaux Sur Vienne',34241),(34281,'86410','Bouresse',34242),(34282,'86290','Coulonges',34243),(34283,'86700','Couhé',34244),(34284,'86320','Gouex',34245),(34285,'86500','Plaisance',34246),(34286,'86350','Payroux',34247),(34287,'86490','Beaumont',34248),(34288,'86430','Asnières Sur Blour',34249),(34289,'86360','Montamisé',34250),(34290,'86220','Oyré',34251),(34291,'86330','Martaizé',34252),(34292,'86450','Chenevelles',34253),(34293,'86600','Curzay Sur Vonne',34254),(34294,'86700','Romagne',34255),(34295,'86260','Saint Pierre De Maillé',34256),(34296,'86350','Château Garnier',34257),(34297,'86390','Bourg Archambault',34258),(34298,'86120','Vézières',34259),(34299,'86700','Anché',34260),(34300,'86510','Champagné Le Sec',34261),(34301,'86340','Aslonnes',34262),(34302,'86320','Persac',34263),(34303,'86200','Saint Laon',34264),(34304,'86450','Leigné Les Bois',34265),(34305,'86120','Pouançay',34266),(34306,'86160','La Ferrière Airoux',34267),(34307,'86350','Usson Du Poitou',34268),(34308,'86170','Cissé',34269),(34309,'86430','Mouterre Sur Blourde',34270),(34310,'86220','Dangé Saint Romain',34271),(34311,'86510','Brux',34272),(34312,'86190','Villiers',34273),(34313,'86230','Mondion',34274),(34314,'86190','Frozes',34275),(34315,'86270','Coussay Les Bois',34276),(34316,'86420','Guesnes',34277),(34317,'86230','Saint Gervais Les Trois Clochers',34278),(34318,'86200','Nueil Sous Faye',34279),(34319,'86310','Villemort',34280),(34320,'86190','Latillé',34281),(34321,'86490','Colombiers',34282),(34322,'86800','Pouillé',34283),(34323,'86130','Saint Georges Lès Baillargeaux',34284),(34324,'86290','Brigueil Le Chantre',34285),(34325,'86200','Mouterre Silly',34286),(34326,'86410','Verrières',34287),(34327,'86300','Fleix',34288),(34328,'86150','L\'Isle Jourdain',34289),(34329,'86460','Availles Limouzine',34290),(34330,'86170','Blaslay',34291),(34331,'86170','Neuville De Poitou',34292),(34332,'86280','Saint Benoît',34293),(34333,'86230','Usseau',34294),(34334,'86120','Beuxes',34295),(34335,'86300','Lauthiers',34296),(34336,'86230','Vellèches',34297),(34337,'86190','Maillé',34298),(34338,'86330','Saint Jean De Sauves',34299),(34339,'86110','Thurageau',34300),(34340,'86300','Sainte Radegonde',34301),(34341,'86430','Adriers',34302),(34342,'86230','Orches',34303),(34343,'86100','Senillé',34304),(34344,'86600','Sanxay',34305),(34345,'86140','Savigny Sous Faye',34306),(34346,'86190','Quinçay',34307),(34347,'86500','Saulgé',34308),(34348,'86800','Sèvres Anxaumont',34309),(34349,'86340','Nieuil L\'Espoir',34310),(34350,'86410','Lhommaizé',34311),(34351,'86160','Sommières Du Clain',34312),(34352,'86100','Saint Sauveur',34313),(34353,'86210','La Chapelle Moulière',34314),(34354,'86100','Châtellerault',34315),(34355,'86340','Roches Prémarie Andillé',34316),(34356,'86260','Vicq Sur Gartempe',34317),(34357,'86400','Saint Pierre D\'Exideuil',34318),(34358,'86220','Ingrandes',34319),(34359,'86350','Saint Martin L\'Ars',34320),(34360,'86400','Lizant',34321),(34361,'86120','Curçay Sur Dive',34322),(34362,'86460','Pressac',34323),(34363,'86260','Angles Sur L\'Anglin',34324),(34364,'86600','Saint Sauvant',34325),(34365,'86420','Verrue',34326),(34366,'86700','Vaux',34327),(34367,'86170','Massognes',34328),(34368,'86470','Lavausseau',34329),(34369,'86170','Yversay',34330),(34370,'86110','Varennes',34331),(34371,'86230','Saint Christophe',34332),(34372,'86000','Biard',34333),(34373,'86120','Berrie',34334),(34374,'86120','Ternay',34335),(34375,'86310','Saint Germain',34336),(34376,'86390','Lathus Saint Rémy',34337),(34377,'86240','Croutelle',34338),(34378,'86370','Marigny Chemereau',34339),(34379,'86310','Nalliers',34340),(34380,'86480','Rouillé',34341),(34381,'86320','Mazerolles',34342),(34382,'86370','Marçay',34343),(34383,'86600','Cloué',34344),(34384,'86150','Nérignac',34345),(34385,'86400','Champniers',34346),(34386,'86290','Saint Léomer',34347),(34387,'86290','Thollet',34348),(34388,'86370','Château Larcher',34349),(34389,'86510','Chaunay',34350),(34390,'86440','Migné Auxances',34351),(34391,'86330','Moncontour',34352),(34392,'86460','Mauprévoir',34353),(34393,'86420','Dercé',34354),(34394,'86170','Champigny Le Sec',34355),(34395,'86140','Lencloître',34356),(34396,'86340','La Villedieu Du Clain',34357),(34397,'86800','Saint Julien L\'Ars',34358),(34398,'86470','La Chapelle Montreuil',34359),(34399,'86420','Monts Sur Guesnes',34360),(34400,'86320','Sillars',34361),(34401,'86190','Ayron',34362),(34402,'86240','Iteuil',34363),(34403,'86190','Béruges',34364),(34404,'86310','Antigny',34365),(34405,'86340','Fleuré',34366),(34406,'86330','Angliers',34367),(34407,'86140','Cernay',34368),(34408,'86310','Haims',34369),(34409,'86370','Vivonne',34370),(34410,'86350','Saint Secondin',34371),(34411,'86230','Sossais',34372),(34412,'86400','Savigné',34373),(34413,'86120','Raslay',34374),(34414,'86300','Bonnes',34375),(34415,'86800','Bignoux',34376),(34416,'86130','Saint Cyr',34377),(34417,'86530','Cenon Sur Vienne',34378),(34418,'86140','Doussay',34379),(34419,'37160','Buxeuil',34380),(34420,'86200','Glénouze',34381),(34421,'86200','Basses',34382),(34422,'86210','Vouneuil Sur Vienne',34383),(34423,'86800','Tercé',34384),(34424,'86320','Lussac Les Châteaux',34385),(34425,'86300','Chauvigny',34386),(34426,'86300','Valdivienne',34387),(34427,'86380','Cheneché',34388),(34428,'86140','Saint Genest D\'Ambière',34389),(34429,'86210','Monthoiron',34390),(34430,'86240','Smarves',34391),(34431,'86380','Marigny Brizay',34392),(34432,'87290','Saint Sornin Leulac',34393),(34433,'87440','Salles Lavauguyon',34394),(34434,'87300','Saint Ouen Sur Gartempe',34395),(34435,'87330','Saint Martial Sur Isop',34396),(34436,'87500','Ladignac Le Long',34397),(34437,'87250','Saint Pardoux',34398),(34438,'87520','Javerdat',34399),(34439,'87230','Lavignac',34400),(34440,'87150','Saint Bazile',34401),(34441,'87230','Chalus',34402),(34442,'87310','Saint Auvent',34403),(34443,'87290','Saint Amand Magnazeix',34404),(34444,'87600','Rochechouart',34405),(34445,'87290','Balledent',34406),(34446,'87380','Saint Germain Les Belles',34407),(34447,'87700','Saint Yrieix Sous Aixe',34408),(34448,'87110','Le Vigen',34409),(34449,'87570','Rilhac Rancon',34410),(34450,'87500','Coussac Bonneval',34411),(34451,'87230','Champsac',34412),(34452,'87380','Meuzac',34413),(34453,'87230','Bussière Galant',34414),(34454,'87130','Surdoux',34415),(34455,'87480','Saint Priest Taurion',34416),(34456,'87120','Nedde',34417),(34457,'87260','Saint Jean Ligoure',34418),(34458,'87120','Rempnat',34419),(34459,'87170','Isle',34420),(34460,'87330','Saint Barbant',34421),(34461,'87600','Videix',34422),(34462,'87400','Moissannes',34423),(34463,'87700','Beynac',34424),(34464,'87380','Saint Vitte Sur Briance',34425),(34465,'87130','Neuvic Entier',34426),(34466,'87200','Saint Junien',34427),(34467,'87210','Le Dorat',34428),(34468,'87160','Grands Chézeaux',34429),(34469,'87190','Saint Hilaire La Treille',34430),(34470,'87460','Bujaleuf',34431),(34471,'87800','Janailhac',34432),(34472,'87230','Pageas',34433),(34473,'87520','Veyrac',34434),(34474,'87220','Feytiat',34435),(34475,'87720','Saillat Sur Vienne',34436),(34476,'87400','La Geneytouse',34437),(34477,'87380','Glanges',34438),(34478,'87270','Bonnac La Côte',34439),(34479,'87260','Saint Bonnet Briance',34440),(34480,'87150','Champagnac La Rivière',34441),(34481,'87130','Linards',34442),(34482,'87140','Le Buis',34443),(34483,'87380','Magnac Bourg',34444),(34484,'87220','Eyjeaux',34445),(34485,'87250','Fromental',34446),(34486,'87290','Châteauponsac',34447),(34487,'87330','Mézières Sur Issoire',34448),(34489,'87510','Saint Gence',34449),(34490,'87310','Saint Cyr',34450),(34491,'87500','Saint Yrieix La Perche',34451),(34492,'87150','Oradour Sur Vayres',34452),(34493,'87190','Droux',34453),(34494,'87160','Mailhac Sur Benaize',34454),(34495,'87440','Maisonnais Sur Tardoire',34455),(34496,'87250','Folles',34456),(34497,'87230','Flavignac',34457),(34498,'87220','Boisseuil',34458),(34499,'87440','La Chapelle Montbrandeix',34459),(34500,'87300','Blanzac',34460),(34501,'87260','Saint Genest Sur Roselle',34461),(34502,'87210','Saint Sornin La Marche',34462),(34503,'87260','Pierre Buffière',34463),(34504,'87210','Dinsac',34464),(34505,'87800','Rilhac Lastours',34465),(34506,'87210','Oradour Saint Genest',34466),(34507,'87160','Saint Sulpice Les Feuilles',34467),(34508,'87220','Aureil',34468),(34509,'87260','Vicq Sur Breuilh',34469),(34510,'87440','Saint Mathieu',34470),(34511,'87320','Bussière Poitevine',34471),(34512,'87120','Beaumont Du Lac',34472),(34513,'87920','Condat Sur Vienne',34473),(34514,'87890','Jouac',34474),(34515,'87700','Saint Priest Sous Aixe',34475),(34516,'87310','Gorre',34476),(34517,'87260','Saint Paul',34477),(34518,'87360','Saint Martin Le Mault',34478),(34519,'87330','Bussière Boffy',34479),(34520,'87500','Glandon',34480),(34521,'87370','Laurière',34481),(34522,'87520','Cieux',34482),(34523,'87190','Magnac Laval',34483),(34524,'87210','La Bazeuge',34484),(34525,'87800','Saint Hilaire Les Places',34485),(34526,'87640','Razès',34486),(34527,'87510','Saint Jouvent',34487),(34528,'87800','Saint Maurice Les Brousses',34488),(34529,'87300','Blond',34489),(34530,'87300','Breuilaufa',34490),(34531,'87800','La Meyze',34491),(34532,'87430','Verneuil Sur Vienne',34492),(34533,'87370','Bersac Sur Rivalier',34493),(34534,'87320','Thiat',34494),(34535,'87300','Berneuil',34495),(34536,'87360','Verneuil Moustiers',34496),(34537,'87800','Jourgnac',34497),(34538,'87300','Peyrat De Bellac',34498),(34539,'87800','Saint Priest Ligoure',34499),(34540,'87380','La Porcherie',34500),(34541,'87230','Dournazac',34501),(34542,'87500','Le Chalard',34502),(34543,'87120','Eymoutiers',34503),(34544,'87290','Rancon',34504),(34545,'87140','Thouron',34505),(34546,'87400','Royères',34506),(34547,'87800','Nexon',34507),(34548,'87190','Dompierre Les Églises',34508),(34549,'87440','Marval',34509),(34550,'87340','La Jonchère Saint Maurice',34510),(34551,'87140','Chamboret',34511),(34552,'87330','Nouic',34512),(34553,'87400','Saint Martin Terressus',34513),(34554,'87420','Sainte Marie De Vaux',34514),(34555,'87420','Saint Victurnien',34515),(34556,'87240','Saint Sylvestre',34516),(34557,'87600','Vayres',34517),(34558,'87700','Saint Martin Le Vieux',34518),(34559,'87200','Saint Martin De Jussac',34519),(34560,'87620','Séreilhac',34520),(34561,'87140','Compreignac',34521),(34562,'87120','Domps',34522),(34563,'87370','Jabreilles Les Bordes',34523),(34564,'87130','Châteauneuf La Forêt',34524),(34565,'87360','Lussac Les Églises',34525),(34566,'87200','Saint Brice Sur Vienne',34526),(34567,'87330','Montrol Sénard',34527),(34568,'87310','Saint Laurent Sur Gorre',34528),(34569,'87300','Saint Junien Les Combes',34529),(34570,'87230','Cars',34530),(34571,'87400','Le Châtenet En Dognon',34531),(34572,'87370','Saint Sulpice Laurière',34532),(34573,'87340','Saint Laurent Les Églises',34533),(34574,'87800','La Roche L\'Abeille',34534),(34575,'87200','Chaillac Sur Vienne',34535),(34576,'87400','Sauviat Sur Vige',34536),(34577,'87140','Nantiat',34537),(34578,'87150','Cussac',34538),(34579,'87250','Bessines Sur Gartempe',34539),(34580,'87130','Saint Gilles Les Forêts',34540),(34581,'87190','Saint Léger Magnazeix',34541),(34582,'87310','Cognac La Forêt',34542),(34583,'87460','Cheissoux',34543),(34584,'87110','Bosmie L\'Aiguille',34544),(34585,'87700','Aixe Sur Vienne',34545),(34586,'87130','La Croisille Sur Briance',34546),(34587,'87210','La Croix Sur Gartempe',34547),(34588,'87240','Ambazac',34548),(34589,'87400','Saint Léonard De Noblat',34549),(34590,'87130','Masléon',34550),(34591,'87330','Mortemart',34551),(34592,'87270','Chaptelat',34552),(34593,'87600','Chéronnac',34553),(34594,'87380','Château Chervix',34554),(34595,'87160','Cromac',34555),(34596,'87160','Saint Georges Les Landes',34556),(34597,'87400','Eybouleuf',34557),(34598,'87270','Couzeix',34558),(34599,'87160','Arnac La Poste',34559),(34600,'87340','Saint Léger La Montagne',34560),(34601,'87320','Darnac',34561),(34602,'87140','Saint Symphorien Sur Couze',34562),(34603,'87110','Solignac',34563),(34604,'87130','Saint Méard',34564),(34605,'87440','Pensol',34565),(34606,'87800','Burgnac',34566),(34607,'87510','Nieul',34567),(34608,'87400','Saint Denis Des Murs',34568),(34609,'87360','Azat Le Ris',34569),(34610,'87120','Saint Amand Le Petit',34570),(34611,'87340','Billanges',34571),(34612,'87130','Sussac',34572),(34613,'87120','Augne',34573),(34614,'87360','Tersannes',34574),(34615,'87510','Peyrilhac',34575),(34616,'87350','Panazol',34576),(34617,'87140','Roussac',34577),(34618,'87300','Bellac',34578),(34619,'87590','Saint Just Le Martel',34579),(34620,'87140','Vaulry',34580),(34621,'87120','Sainte Anne Saint Priest',34581),(34622,'87300','Saint Bonnet De Bellac',34582),(34623,'87410','Le Palais Sur Vienne',34583),(34624,'87470','Peyrat Le Château',34584),(34625,'87260','Saint Hilaire Bonneval',34585),(34626,'87520','Oradour Sur Glane',34586),(34627,'87130','Roziers Saint Georges',34587),(34628,'87190','Villefavard',34588),(34629,'87460','Saint Julien Le Petit',34589),(34630,'87330','Gajoubert',34590),(34631,'87400','Champnétery',34591),(34632,'87800','Meilhac',34592),(34633,'88520','La Croix Aux Mines',34593),(34634,'88120','Le Syndicat',34594),(34635,'88300','Harmonville',34595),(34636,'88260','Hennezel',34596),(34637,'88260','Senonges',34597),(34638,'88140','Malaincourt',34598),(34639,'88000','Dinozé',34599),(34640,'88800','Haréville',34600),(34641,'88170','Morelmaison',34601),(34642,'88150','Villoncourt',34602),(34643,'88140','La Vacheresse Et La Rouillie',34603),(34644,'88270','Frénois',34604),(34645,'88510','Éloyes',34605),(34646,'88100','Pair Et Grandrupt',34606),(34647,'88390','Forges',34607),(34648,'88300','Mont Lès Neufchâteau',34608),(34649,'88240','La Haye',34609),(34650,'88130','Brantigny',34610),(34651,'88140','Morville',34611),(34652,'88230','Le Valtin',34612),(34653,'88140','Gendreville',34613),(34654,'88140','Crainvilliers',34614),(34655,'88270','Madonne Et Lamerey',34615),(34656,'88000','Jeuxey',34616),(34657,'88120','Rochesson',34617),(34658,'88650','Entre Deux Eaux',34618),(34659,'88600','Bruyères',34619),(34660,'88220','Uzemain',34620),(34661,'88240','Grandrupt De Bains',34621),(34662,'88800','Domjulien',34622),(34663,'88240','La Chapelle Aux Bois',34623),(34664,'88390','Renauvoid',34624),(34665,'88220','Uriménil',34625),(34666,'88640','Rehaupal',34626),(34667,'88410','Thons',34627),(34668,'88000','Vaudeville',34628),(34669,'88640','Granges Sur Vologne',34629),(34670,'88500','Rozerotte',34630),(34671,'88630','Jubainville',34631),(34672,'88630','Ruppes',34632),(34673,'88210','Le Mont',34633),(34674,'88270','Légéville Et Bonfays',34634),(34675,'88700','Deinvillers',34635),(34676,'88460','La Baffe',34636),(34677,'88550','Pouxeux',34637),(34678,'88600','Fiménil',34638),(34679,'88800','Mandres Sur Vair',34639),(34680,'88110','Allarmont',34640),(34681,'88600','Rouges Eaux',34641),(34682,'88300','Hagnéville Et Roncourt',34642),(34683,'88600','Pierrepont Sur L\'Arentèle',34643),(34684,'88630','Domrémy La Pucelle',34644),(34685,'88640','Aumontzey',34645),(34686,'88500','Oëlleville',34646),(34687,'88490','Colroy La Grande',34647),(34688,'88300','Rollainville',34648),(34689,'88500','Vomécourt Sur Madon',34649),(34690,'88500','Pont Sur Madon',34650),(34691,'88170','Châtenois',34651),(34692,'88460','Tendon',34652),(34693,'88270','Bouzemont',34653),(34694,'88600','La Neuveville Devant Lépanges',34654),(34695,'88700','Autrey',34655),(34696,'88200','Saint Nabord',34656),(34697,'88460','Xamontarupt',34657),(34698,'88500','Vroville',34658),(34699,'88410','Bleurville',34659),(34700,'88270','Bocquegney',34660),(34701,'88270','Begnécourt',34661),(34702,'88120','Saint Amé',34662),(34703,'88140','Bulgnéville',34663),(34704,'88290','Thiéfosse',34664),(34705,'88260','Darney',34665),(34706,'88260','Pont Lès Bonfays',34666),(34707,'88460','Docelles',34667),(34708,'88500','Hymont',34668),(34709,'88800','Norroy',34669),(34710,'88320','Tignécourt',34670),(34711,'88470','Saint Michel Sur Meurthe',34671),(34712,'88410','Saint Julien',34672),(34713,'88700','Brû',34673),(34714,'88240','Trémonzey',34674),(34715,'88250','La Bresse',34675),(34716,'88220','Raon Aux Bois',34676),(34717,'88350','Trampot',34677),(34718,'88120','Vagney',34678),(34719,'88450','Vincey',34679),(34720,'88260','Saint Baslemont',34680),(34721,'88330','Moriville',34681),(34722,'88240','Voivres',34682),(34723,'88490','Le Beulay',34683),(34724,'88320','Rocourt',34684),(34725,'88410','Godoncourt',34685),(34726,'88700','Ménil Sur Belvitte',34686),(34727,'88370','Bellefontaine',34687),(34728,'88130','Socourt',34688),(34729,'88170','Dombrot Sur Vair',34689),(34730,'88450','Évaux Et Ménil',34690),(34731,'88300','Autreville',34691),(34732,'88340','Le Val D\'Ajol',34692),(34733,'88500','Mattaincourt',34693),(34734,'88320','Robécourt',34694),(34735,'88170','Saint Paul',34695),(34736,'88630','Seraumont',34696),(34737,'88520','Bertrimoutier',34697),(34738,'88330','Rehaincourt',34698),(34739,'88800','Saint Remimont',34699),(34740,'88800','Vittel',34700),(34741,'88130','Xaronval',34701),(34742,'88210','Ménil De Senones',34702),(34743,'88270','Racécourt',34703),(34744,'88300','Autigny La Tour',34704),(34745,'88450','Madegney',34705),(34746,'88630','Chermisey',34706),(34747,'88700','Doncières',34707),(34748,'88130','Marainville Sur Madon',34708),(34749,'88700','Roville Aux Chênes',34709),(34750,'88330','Damas Aux Bois',34710),(34751,'88270','Harol',34711),(34752,'88110','Celles Sur Plaine',34712),(34753,'88140','Dombrot Le Sec',34713),(34754,'88100','Coinches',34714),(34755,'88000','Épinal',34715),(34756,'88500','Villers',34716),(34757,'88100','Remomeix',34717),(34758,'88520','Raves',34718),(34759,'88190','Golbey',34719),(34760,'88500','Vaubexy',34720),(34761,'88460','Cheniménil',34721),(34762,'88150','Thaon Les Vosges',34722),(34763,'88360','Ferdrupt',34723),(34764,'88290','Saulxures Sur Moselotte',34724),(34765,'88270','Bainville Aux Saules',34725),(34766,'88300','Beaufremont',34726),(34767,'88320','Mont Lès Lamarche',34727),(34768,'88270','Gorhey',34728),(34769,'88170','Gemmelaincourt',34729),(34770,'88700','Padoux',34730),(34771,'88100','Sainte Marguerite',34731),(34772,'88390','Dommartin Aux Bois',34732),(34773,'88430','Gerbépal',34733),(34774,'88170','Ollainville',34734),(34775,'88380','Archettes',34735),(34776,'88330','Portieux',34736),(34777,'88300','Harchéchamp',34737),(34778,'88800','Remoncourt',34738),(34779,'88260','Dombasle Devant Darney',34739),(34780,'88270','Velotte Et Tatignécourt',34740),(34781,'88450','Gugney Aux Aulx',34741),(34782,'88170','Dommartin Sur Vraine',34742),(34783,'88600','Bois De Champ',34743),(34784,'88170','Vouxey',34744),(34785,'88300','Houéville',34745),(34786,'88160','Fresse Sur Moselle',34746),(34787,'88400','Liézey',34747),(34788,'88110','Raon Sur Plaine',34748),(34789,'88410','Lironcourt',34749),(34790,'88500','Frenelle La Petite',34750),(34791,'88410','Ameuvelle',34751),(34792,'88410','Châtillon Sur Saône',34752),(34793,'88640','Jussarupt',34753),(34794,'88140','Vrécourt',34754),(34795,'88430','Vienville',34755),(34796,'88600','Fremifontaine',34756),(34797,'88230','Plainfaing',34757),(34798,'88420','Moyenmoutier',34758),(34799,'88500','Ambacourt',34759),(34800,'88210','Vieux Moulin',34760),(34801,'88120','Gerbamont',34761),(34802,'88140','Vaudoncourt',34762),(34803,'88160','Ramonchamp',34763),(34804,'88640','Champdray',34764),(34805,'88430','Arrentès De Corcieux',34765),(34806,'88100','Neuvillers Sur Fave',34766),(34807,'88170','Rainville',34767),(34808,'88700','Ortoncourt',34768),(34809,'88630','Coussey',34769),(34810,'88270','Maroncourt',34770),(34811,'88320','Isches',34771),(34812,'88600','Laveline Devant Bruyères',34772),(34813,'88490','La Petite Fosse',34773),(34814,'88300','Martigny Les Gerbonvaux',34774),(34815,'88410','Fignévelle',34775),(34816,'88600','Méménil',34776),(34817,'88320','Ainvelle',34777),(34818,'88100','Nayemont Les Fosses',34778),(34819,'88170','Aroffe',34779),(34820,'88320','Marey',34780),(34821,'88150','Bayecourt',34781),(34822,'88150','Mazeley',34782),(34823,'88260','Vallois',34783),(34824,'88550','Jarménil',34784),(34825,'88400','Xonrupt Longemer',34785),(34826,'88140','Saint Ouen Lès Parey',34786),(34827,'88210','Hurbache',34787),(34828,'88300','Tranqueville Graux',34788),(34829,'88210','Saint Jean D\'Ormont',34789),(34830,'88260','Esley',34790),(34831,'88490','Provenchères Sur Fave',34791),(34832,'88170','Maconcourt',34792),(34833,'88700','Saint Pierremont',34793),(34834,'88600','Viménil',34794),(34835,'88630','Soulosse Sous Saint Élophe',34795),(34836,'88170','Removille',34796),(34837,'88490','Lesseux',34797),(34838,'88300','Rebeuville',34798),(34839,'88000','Dogneville',34799),(34840,'88700','Ménarmont',34800),(34841,'88170','Gironcourt Sur Vraine',34801),(34842,'88330','Châtel Sur Moselle',34802),(34843,'88500','Estrennes',34803),(34844,'88500','Domvallier',34804),(34845,'88600','Herpelmont',34805),(34846,'88500','Boulaincourt',34806),(34847,'88600','Poulières',34807),(34848,'88500','Puzieux',34808),(34849,'88600','Mortagne',34809),(34850,'88500','Poussay',34810),(34851,'88270','Bazegney',34811),(34852,'88240','Le Magny',34812),(34853,'88600','Domfaing',34813),(34854,'88130','Florémont',34814),(34855,'88650','Anould',34815),(34856,'88450','Regney',34816),(34857,'88170','Vicherey',34817),(34858,'88490','La Grande Fosse',34818),(34859,'88170','Longchamp Sous Châtenois',34819),(34860,'88270','Dompaire',34820),(34861,'88270','Bouxières Aux Bois',34821),(34862,'88700','Clézentaine',34822),(34863,'88140','Urville',34823),(34864,'88600','Gugnécourt',34824),(34865,'88800','Monthureux Le Sec',34825),(34866,'88210','Saint Stail',34826),(34867,'88390','Sanchey',34827),(34868,'88300','Certilleux',34828),(34869,'88600','Fays',34829),(34870,'88440','Frizon',34830),(34871,'88130','Langley',34831),(34872,'88300','Landaville',34832),(34873,'88240','Le Clerjus',34833),(34874,'88390','Gigney',34834),(34875,'88440','Nomexy',34835),(34876,'88490','Frapelle',34836),(34877,'88300','Pompierre',34837),(34878,'88130','Battexey',34838),(34879,'88380','Arches',34839),(34880,'88170','Darney Aux Chênes',34840),(34881,'88320','Blevaincourt',34841),(34882,'88470','La Bourgonce',34842),(34883,'88260','Relanges',34843),(34884,'88300','Attignéville',34844),(34885,'88170','Dolaincourt',34845),(34886,'88270','Pierrefitte',34846),(34887,'88700','Sainte Barbe',34847),(34888,'88700','Saint Maurice Sur Mortagne',34848),(34889,'88110','Raon L\'Étape',34849),(34890,'88270','Gelvécourt Et Adompt',34850),(34891,'88500','Ahéville',34851),(34892,'88560','Saint Maurice Sur Moselle',34852),(34893,'88500','Jorxey',34853),(34894,'88500','Chauffecourt',34854),(34895,'88310','Cornimont',34855),(34896,'88630','Avranville',34856),(34897,'88430','La Houssière',34857),(34898,'88470','La Salle',34858),(34899,'88130','Avrainville',34859),(34900,'88500','Avillers',34860),(34901,'88210','Denipaire',34861),(34902,'88800','Parey Sous Montfort',34862),(34903,'88210','Le Saulcy',34863),(34904,'88800','Lignéville',34864),(34905,'88130','Charmes',34865),(34906,'88700','Bazien',34866),(34907,'88500','Baudricourt',34867),(34908,'88170','Balléville',34868),(34909,'88500','Ménil En Xaintois',34869),(34910,'88500','Repel',34870),(34911,'88300','Bazoilles Sur Meuse',34871),(34912,'88330','Haillainville',34872),(34913,'88210','La Petite Raon',34873),(34914,'88130','Savigny',34874),(34915,'88600','Grandvillers',34875),(34916,'88320','Senaide',34876),(34917,'88150','Oncourt',34877),(34918,'88130','Ubexy',34878),(34919,'88600','Beauménil',34879),(34920,'88800','They Sous Montfort',34880),(34921,'88600','Deycimont',34881),(34922,'88260','Belrupt',34882),(34923,'88600','Lépanges Sur Vologne',34883),(34924,'88200','Saint Étienne Lès Remiremont',34884),(34925,'88270','Ableuvenettes',34885),(34926,'88390','Fomerey',34886),(34927,'88260','Bonvillet',34887),(34928,'88700','Housseras',34888),(34929,'88410','Martinvelle',34889),(34930,'88600','Sercœur',34890),(34931,'88170','La Neuveville Sous Châtenois',34891),(34932,'88500','Frenelle La Grande',34892),(34933,'88490','Lusse',34893),(34934,'88500','Mazirot',34894),(34935,'88630','Punerot',34895),(34936,'88120','Sapois',34896),(34937,'88700','Romont',34897),(34938,'88300','Aulnois',34898),(34939,'88330','Zincourt',34899),(34940,'88540','Bussang',34900),(34941,'88150','Girmont',34901),(34942,'88400','Gérardmer',34902),(34943,'88140','Aingeville',34903),(34944,'88270','Madecourt',34904),(34945,'88800','Valleroy Le Sec',34905),(34946,'88120','Basse Sur Le Rupt',34906),(34947,'88240','Fontenoy Le Château',34907),(34948,'88270','Hennecourt',34908),(34949,'88350','Pargny Sous Mureau',34909),(34950,'88650','Mandray',34910),(34951,'88390','Chaumousey',34911),(34952,'88500','Gircourt Lès Viéville',34912),(34953,'88300','Sartes',34913),(34954,'88270','Hagécourt',34914),(34955,'88340','Girmont Val D\'Ajol',34915),(34956,'88500','Juvaincourt',34916),(34957,'88600','Girecourt Sur Durbion',34917),(34958,'88320','Fouchécourt',34918),(34959,'88170','Pleuvezain',34919),(34960,'88210','Senones',34920),(34961,'88300','Jainvillotte',34921),(34962,'88350','Liffol Le Grand',34922),(34963,'88390','Uxegney',34923),(34964,'88630','Frebécourt',34924),(34965,'88320','Morizécourt',34925),(34966,'88230','Fraize',34926),(34967,'88140','Saulxures Lès Bulgnéville',34927),(34968,'88170','Biécourt',34928),(34969,'88700','Domptail',34929),(34970,'88240','Montmotier',34930),(34971,'88330','Domèvre Sur Durbion',34931),(34972,'88600','Vervezelle',34932),(34973,'88700','Saint Benoît La Chipotte',34933),(34974,'88580','Saulcy Sur Meurthe',34934),(34975,'88130','Hergugney',34935),(34976,'88270','Damas Et Bettegney',34936),(34977,'88270','Saint Vallier',34937),(34978,'88500','Mirecourt',34938),(34979,'88170','Houécourt',34939),(34980,'88160','Le Ménil',34940),(34981,'88270','Valfroicourt',34941),(34982,'88210','Belval',34942),(34983,'88450','Varmonzey',34943),(34984,'88150','Chavelot',34944),(34985,'88700','Hardancourt',34945),(34986,'88630','Sionne',34946),(34987,'88130','Rugney',34947),(34988,'88210','Grandrupt',34948),(34989,'88170','Soncourt',34949),(34990,'88100','Saint Dié Des Vosges',34950),(34991,'88650','Saint Léonard',34951),(34992,'88390','Domèvre Sur Avière',34952),(34993,'88700','Saint Genest',34953),(34994,'88640','Laveline Du Houx',34954),(34995,'88260','Dommartin Lès Vallois',34955),(34996,'88320','Rozières Sur Mouzon',34956),(34997,'88270','Charmois L\'Orgueilleux',34957),(34998,'88220','Hadol',34958),(34999,'88530','La Forge',34959),(35000,'88200','Vecoux',34960),(35001,'88500','Offroicourt',34961),(35002,'88200','Remiremont',34962),(35003,'88300','Lemmecourt',34963),(35004,'88230','Ban Sur Meurthe Clefcy',34964),(35005,'88210','Châtas',34965),(35006,'88700','Vomécourt',34966),(35007,'88520','Gemaingoutte',34967),(35008,'88310','Ventron',34968),(35009,'88370','Plombières Les Bains',34969),(35010,'88410','Regnévelle',34970),(35011,'88600','La Chapelle Devant Bruyères',34971),(35012,'88110','Vexaincourt',34972),(35013,'88640','Barbey Seroux',34973),(35014,'88160','Le Thillot',34974),(35015,'88110','Luvigny',34975),(35016,'88480','Saint Rémy',34976),(35017,'88600','Fontenay',34977),(35018,'88600','Dompierre',34978),(35019,'88120','Cleurie',34979),(35020,'88700','Jeanménil',34980),(35021,'88140','Contrexéville',34981),(35022,'88700','Nossoncourt',34982),(35023,'88490','Combrimont',34983),(35024,'88130','Rapey',34984),(35025,'88350','Fréville',34985),(35026,'88270','Circourt',34986),(35027,'88630','Clérey La Côte',34987),(35028,'88700','Bult',34988),(35029,'88600','Belmont Sur Buttant',34989),(35030,'88350','Brechainville',34990),(35031,'88270','Valleroy Aux Saules',34991),(35032,'88500','Bazoilles Et Ménil',34992),(35033,'88150','Igney',34993),(35034,'88800','Belmont Sur Vair',34994),(35035,'88200','Dommartin Lès Remiremont',34995),(35036,'88600','Brouvelieures',34996),(35037,'88270','Rancourt',34997),(35038,'88800','La Neuveville Sous Montfort',34998),(35039,'88140','Auzainvilliers',34999),(35040,'88500','Thiraucourt',35000),(35041,'88000','Chantraine',35001),(35042,'88480','Étival Clairefontaine',35002),(35043,'88220','Dounoux',35003),(35044,'88240','Gruey Lès Surance',35004),(35045,'88260','Belmont Lès Darney',35005),(35046,'88320','Villotte',35006),(35047,'88320','Romain Aux Bois',35007),(35048,'88500','Ramecourt',35008),(35049,'88240','Hautmougey',35009),(35050,'88140','Médonville',35010),(35051,'88320','Gignéville',35011),(35052,'88240','Harsault',35012),(35053,'88260','Attigny',35013),(35054,'88000','Longchamp',35014),(35055,'88430','Biffontaine',35015),(35056,'88430','Corcieux',35016),(35057,'88500','Viviers Lès Offroicourt',35017),(35058,'88500','Blémerey',35018),(35059,'88210','Le Puid',35019),(35060,'88600','Champ Le Duc',35020),(35061,'88500','Dombasle En Xaintois',35021),(35062,'88700','Fauconcourt',35022),(35063,'88350','Grand',35023),(35064,'88600','Nonzeville',35024),(35065,'88140','Suriauville',35025),(35066,'88330','Hadigny Les Verrières',35026),(35067,'88520','Ban De Laveline',35027),(35068,'88470','Nompatelize',35028),(35069,'88500','Totainville',35029),(35070,'88700','Xaffévillers',35030),(35071,'88210','Le Vermont',35031),(35072,'88600','Destord',35032),(35073,'88600','Laval Sur Vologne',35033),(35074,'88490','Lubine',35034),(35075,'88330','Badménil Aux Bois',35035),(35076,'88170','Aouze',35036),(35077,'88320','Tollaincourt',35037),(35078,'88350','Villouxel',35038),(35079,'88170','Saint Menge',35039),(35080,'88390','Darnieulles',35040),(35081,'88700','Rambervillers',35041),(35082,'88130','Essegney',35042),(35083,'88130','Bouxurulles',35043),(35084,'88500','Bettoncourt',35044),(35085,'88260','Vioménil',35045),(35086,'88260','Jésonville',35046),(35087,'88260','Viviers Le Gras',35047),(35088,'88520','Wisembach',35048),(35089,'88260','Sans Vallois',35049),(35090,'88700','Sainte Hélène',35050),(35091,'88100','Taintrux',35051),(35092,'88700','Saint Gorgon',35052),(35093,'88330','Pallegney',35053),(35094,'88260','Nonville',35054),(35095,'88460','Le Roulier',35055),(35096,'88260','Escles',35056),(35097,'88260','Thuillières',35057),(35098,'88210','Ban De Sapt',35058),(35099,'88500','Rouvres En Xaintois',35059),(35100,'88170','Viocourt',35060),(35101,'88300','Tilleux',35061),(35102,'88300','Circourt Sur Mouzon',35062),(35103,'88000','Deyvillers',35063),(35104,'88000','Dignonville',35064),(35105,'88500','Domèvre Sous Montfort',35065),(35106,'88170','Sandaucourt',35066),(35107,'88300','Neufchâteau',35067),(35108,'88220','Xertigny',35068),(35109,'88320','Serécourt',35069),(35110,'88270','Derbamont',35070),(35111,'88500','Saint Prancher',35071),(35112,'88410','Monthureux Sur Saône',35072),(35113,'88320','Serocourt',35073),(35114,'88700','Moyemont',35074),(35115,'88450','Bettegney Saint Brice',35075),(35116,'88130','Chamagne',35076),(35117,'88270','Ville Sur Illon',35077),(35118,'88530','Le Tholy',35078),(35119,'88630','Midrevaux',35079),(35120,'88300','Barville',35080),(35121,'88330','Vaxoncourt',35081),(35122,'88390','Girancourt',35082),(35123,'88700','Anglemont',35083),(35124,'88170','Rouvres La Chétive',35084),(35125,'88500','Chef Haut',35085),(35126,'88500','Remicourt',35086),(35127,'88410','Grignoncourt',35087),(35128,'88460','Charmois Devant Bruyères',35088),(35129,'88630','Greux',35089),(35130,'88320','Martigny Les Bains',35090),(35131,'88140','Sauville',35091),(35132,'88260','Provenchères Lès Darney',35092),(35133,'88320','Damblain',35093),(35134,'88240','Bains Les Bains',35094),(35135,'88410','Claudon',35095),(35136,'88470','La Voivre',35096),(35137,'88170','Courcelles Sous Châtenois',35097),(35138,'88600','Prey',35098),(35139,'88630','Moncel Sur Vair',35099),(35140,'88260','Lerrain',35100),(35141,'88360','Rupt Sur Moselle',35101),(35142,'88630','Maxey Sur Meuse',35102),(35143,'88460','Faucompierre',35103),(35144,'88600','Aydoilles',35104),(35145,'88320','Marche',35105),(35146,'88210','Moussey',35106),(35147,'88320','Frain',35107),(35148,'89360','Bernouil',35108),(35149,'89150','Jouy',35109),(35150,'89460','Sainte Pallaye',35110),(35151,'89170','Ronchères',35111),(35152,'89140','Villenavotte',35112),(35153,'89190','Molinons',35113),(35154,'89310','Nitry',35114),(35155,'89760','Noé',35115),(35156,'89110','Merry La Vallée',35116),(35157,'89570','Lasson',35117),(35158,'89700','Tonnerre',35118),(35159,'89330','Verlin',35119),(35160,'89120','Dicy',35120),(35161,'89740','Cruzy Le Châtel',35121),(35162,'89290','Irancy',35122),(35163,'89700','Saint Martin Sur Armançon',35123),(35164,'89700','Viviers',35124),(35165,'89250','Chemilly Sur Yonne',35125),(35166,'89160','Fulvy',35126),(35167,'89110','Poilly Sur Tholon',35127),(35168,'89120','Chambeugle',35128),(35169,'89740','Gland',35129),(35170,'89220','Bléneau',35130),(35171,'89630','Saint Germain Des Champs',35131),(35172,'89390','Cry',35132),(35173,'89290','Augy',35133),(35174,'89190','Foissy Sur Vanne',35134),(35175,'89310','Annay Sur Serein',35135),(35176,'89170','Saint Martin Des Champs',35136),(35177,'89290','Vincelottes',35137),(35178,'89530','Saint Bris Le Vineux',35138),(35179,'89140','Villeperrot',35139),(35180,'89450','Saint Père',35140),(35181,'89190','Flacy',35141),(35182,'89110','Ormes',35142),(35183,'89630','Saint Léger Vauban',35143),(35184,'89520','Moutiers En Puisaye',35144),(35185,'89350','Tannerre En Puisaye',35145),(35186,'89660','Fontenay Sous Fouronnes',35146),(35187,'89110','Saint Maurice Thizouaille',35147),(35188,'89200','Domecy Sur Le Vault',35148),(35189,'89460','Prégilbert',35149),(35190,'89770','Bœurs En Othe',35150),(35191,'89130','Moulins Sur Ouanne',35151),(35192,'89100','Maillot',35152),(35193,'89140','Évry',35153),(35194,'89240','Chevannes',35154),(35195,'89150','Dollot',35155),(35196,'89450','Fontenay Près Vézelay',35156),(35197,'89240','Lindry',35157),(35198,'89300','Paroy Sur Tholon',35158),(35199,'89370','Chaumont',35159),(35200,'89100','Saint Martin Du Tertre',35160),(35201,'89100','Saligny',35161),(35202,'89700','Béru',35162),(35203,'89520','Thury',35163),(35204,'89530','Chitry',35164),(35205,'89700','Épineuil',35165),(35206,'89290','Quenne',35166),(35207,'89100','Gron',35167),(35208,'89480','Étais La Sauvin',35168),(35209,'89310','Noyers',35169),(35210,'89560','Mouffy',35170),(35211,'89440','Sainte Colombe',35171),(35212,'89520','Levis',35172),(35213,'89140','Serbonnes',35173),(35214,'89350','Grandchamp',35174),(35215,'89200','Annéot',35175),(35216,'89210','Venizy',35176),(35217,'89760','Villiers Louis',35177),(35218,'89800','Villy',35178),(35219,'89100','Paron',35179),(35220,'89560','Fontenailles',35180),(35221,'89700','Cheney',35181),(35222,'89560','Molesmes',35182),(35223,'89800','Fontenay Près Chablis',35183),(35224,'89700','Yrouerre',35184),(35225,'89160','Ancy Le Franc',35185),(35226,'89340','Champigny',35186),(35227,'89440','Angely',35187),(35228,'89130','Leugny',35188),(35229,'89470','Monéteau',35189),(35230,'89290','Escolives Sainte Camille',35190),(35231,'89360','Percey',35191),(35232,'89110','Saint Martin Sur Ocre',35192),(35233,'89450','Asquins',35193),(35234,'89500','Bordes',35194),(35235,'89270','Bessy Sur Cure',35195),(35236,'89160','Ancy Le Libre',35196),(35237,'89500','Villeneuve Sur Yonne',35197),(35238,'89200','Girolles',35198),(35239,'89420','Montréal',35199),(35240,'89240','Diges',35200),(35241,'89113','Villemer',35201),(35242,'89260','Perceneige',35202),(35243,'89320','Vaudeurs',35203),(35244,'89270','Saint Moré',35204),(35245,'89220','Saint Privé',35205),(35246,'89140','Pont Sur Yonne',35206),(35247,'89290','Vincelles',35207),(35248,'89420','Cussy Les Forges',35208),(35249,'89580','Vallan',35209),(35250,'89800','Préhy',35210),(35251,'89200','Island',35211),(35252,'89420','Trévilly',35212),(35253,'89630','Beauvilliers',35213),(35254,'89800','Maligny',35214),(35255,'89260','Thorigny Sur Oreuse',35215),(35256,'89740','Quincerot',35216),(35257,'89700','Vézinnes',35217),(35258,'89660','Mailly Le Château',35218),(35259,'89660','Montillot',35219),(35260,'89210','Paroy En Othe',35220),(35261,'89380','Appoigny',35221),(35262,'89116','Saint Romain Le Preux',35222),(35263,'89400','Chichery',35223),(35264,'89710','Champvallon',35224),(35265,'89360','Jaulges',35225),(35266,'89630','Bussières',35226),(35267,'89200','Lucy Le Bois',35227),(35268,'89140','Courlon Sur Yonne',35228),(35269,'89300','Villecien',35229),(35270,'89100','Malay Le Grand',35230),(35271,'89520','Saints',35231),(35272,'89420','Pisy',35232),(35273,'89240','Parly',35233),(35274,'89160','Lézinnes',35234),(35275,'89110','Saint Aubin Château Neuf',35235),(35276,'89150','Savigny Sur Clairis',35236),(35277,'89520','Fontenoy',35237),(35278,'89130','Toucy',35238),(35279,'89710','Volgré',35239),(35280,'89450','Foissy Lès Vézelay',35240),(35281,'89100','Saint Clément',35241),(35282,'89240','Escamps',35242),(35283,'89800','Chichée',35243),(35284,'89420','Thizy',35244),(35285,'89410','Béon',35245),(35286,'89100','Courtois Sur Yonne',35246),(35287,'89310','Sarry',35247),(35288,'89100','Villeroy',35248),(35289,'89270','Vermenton',35249),(35290,'89450','Domecy Sur Cure',35250),(35291,'89600','Vergigny',35251),(35292,'89570','Beugnon',35252),(35293,'89140','Plessis Saint Jean',35253),(35294,'89340','Saint Agnan',35254),(35295,'89770','Chailley',35255),(35296,'89360','Butteaux',35256),(35297,'89660','Chamoux',35257),(35298,'89440','Coutarnoux',35258),(35299,'89320','Vaumort',35259),(35300,'89200','Pontaubert',35260),(35301,'89630','Saint Brancher',35261),(35302,'89230','Venouse',35262),(35303,'89460','Accolay',35263),(35304,'89510','Passy',35264),(35305,'89240','Villefargeau',35265),(35306,'89140','Villethierry',35266),(35307,'89450','Vézelay',35267),(35308,'89500','Marsangy',35268),(35309,'89320','Coulours',35269),(35310,'89210','Esnon',35270),(35311,'89160','Sambourg',35271),(35312,'89520','Saint Sauveur En Puisaye',35272),(35313,'89110','Sommecaise',35273),(35314,'89120','Villefranche',35274),(35315,'89460','Cravant',35275),(35316,'89250','Beaumont',35276),(35317,'89100','Malay Le Petit',35277),(35318,'89200','Avallon',35278),(35319,'89140','Villemanoche',35279),(35320,'89110','Chassy',35280),(35321,'89190','Lailly',35281),(35322,'89690','Chéroy',35282),(35323,'89200','Sauvigny Le Bois',35283),(35324,'89150','Montacher Villegardin',35284),(35325,'89400','Bassou',35285),(35326,'89500','Chaumot',35286),(35327,'89350','Champignelles',35287),(35328,'89400','Cheny',35288),(35329,'89144','Méré',35289),(35330,'89410','Cézy',35290),(35331,'89144','Ligny Le Châtel',35291),(35332,'89420','Vignes',35292),(35333,'89260','Voisines',35293),(35334,'89120','Charny',35294),(35335,'89700','Molosmes',35295),(35336,'89360','Dyé',35296),(35337,'89130','Lalande',35297),(35338,'89210','Mercy',35298),(35339,'89560','Fouronnes',35299),(35340,'89390','Aisy Sur Armançon',35300),(35341,'89150','Villebougis',35301),(35342,'89160','Gigny',35302),(35343,'89480','Crain',35303),(35344,'89510','Étigny',35304),(35345,'89140','Pailly',35305),(35346,'89800','Fleys',35306),(35347,'89580','Coulanges La Vineuse',35307),(35348,'89220','Rogny Les Sept Écluses',35308),(35349,'89570','Neuvy Sautour',35309),(35350,'89320','Villechétive',35310),(35351,'89310','Sainte Vertu',35311),(35352,'89740','Arthonnay',35312),(35353,'89800','Lignorelles',35313),(35354,'89570','Turny',35314),(35355,'89330','Saint Martin D\'Ordon',35315),(35356,'89400','Bonnard',35316),(35357,'89110','Laduz',35317),(35358,'89116','Cudot',35318),(35359,'89400','Épineau Les Voves',35319),(35360,'89310','Fresnes',35320),(35361,'89230','Pontigny',35321),(35362,'89400','Bussy En Othe',35322),(35363,'89310','Molay',35323),(35364,'89270','Voutenay Sur Cure',35324),(35365,'89160','Argenteuil Sur Armançon',35325),(35366,'89210','Brienon Sur Armançon',35326),(35367,'89550','Héry',35327),(35368,'89250','Gurgy',35328),(35369,'89290','Champs Sur Yonne',35329),(35370,'89160','Stigny',35330),(35371,'89100','Soucy',35331),(35372,'89100','Nailly',35332),(35373,'89430','Tanlay',35333),(35374,'89270','Sacy',35334),(35375,'89270','Mailly La Ville',35335),(35376,'89120','Marchais Beton',35336),(35377,'89430','Baon',35337),(35378,'89310','Censy',35338),(35379,'89420','Cisery',35339),(35380,'89700','Collan',35340),(35381,'89200','Tharot',35341),(35382,'89500','Armeau',35342),(35383,'89116','Précy Sur Vrin',35343),(35384,'89440','Athie',35344),(35385,'89520','Sainpuits',35345),(35386,'89330','Saint Loup D\'Ordon',35346),(35387,'89150','Fouchères',35347),(35388,'89240','Beauvoir',35348),(35389,'89440','Annoux',35349),(35390,'89700','Dannemoine',35350),(35391,'89190','Saint Maurice Aux Riches Hommes',35351),(35392,'89270','Arcy Sur Cure',35352),(35393,'89320','Cérilly',35353),(35394,'89800','Lichères Près Aigremont',35354),(35395,'89120','Prunoy',35355),(35396,'89430','Mélisey',35356),(35397,'89760','Theil Sur Vanne',35357),(35398,'89440','Précy Le Sec',35358),(35399,'89310','Moulins En Tonnerrois',35359),(35400,'89360','Flogny La Chapelle',35360),(35401,'89100','Subligny',35361),(35402,'89740','Pimelles',35362),(35403,'89420','Guillon',35363),(35404,'89460','Bazarnes',35364),(35405,'89350','Villeneuve Les Genêts',35365),(35406,'89170','Lavau',35366),(35407,'89800','Chemilly Sur Serein',35367),(35408,'89420','Sauvigny Le Beuréal',35368),(35409,'89130','Dracy',35369),(35410,'89120','Chevillon',35370),(35411,'89580','Val De Mercy',35371),(35412,'89390','Ravières',35372),(35413,'89170','Saint Fargeau',35373),(35414,'89160','Pacy Sur Armançon',35374),(35415,'89420','Marmeaux',35375),(35416,'89510','Véron',35376),(35417,'89100','Saint Denis',35377),(35418,'89210','Bellechaume',35378),(35419,'89113','Branches',35379),(35420,'89660','Lichères Sur Yonne',35380),(35421,'89210','Champlost',35381),(35422,'89116','Sépeaux',35382),(35423,'89440','L\'Isle Sur Serein',35383),(35424,'89160','Sennevoy Le Haut',35384),(35425,'89230','Montigny La Resle',35385),(35426,'89130','Villiers Saint Benoît',35386),(35427,'89600','Chéu',35387),(35428,'89140','Cuy',35388),(35429,'89800','La Chapelle Vaupelteigne',35389),(35430,'89700','Tronchoy',35390),(35431,'89113','Fleury La Vallée',35391),(35432,'89450','Pierre Perthuis',35392),(35433,'89420','Sainte Magnance',35393),(35434,'89500','Rousson',35394),(35435,'89290','Venoy',35395),(35436,'89400','Laroche Saint Cydroine',35396),(35437,'89450','Tharoiseau',35397),(35438,'89120','Fontenouilles',35398),(35439,'89700','Roffey',35399),(35440,'89230','Villeneuve Saint Salves',35400),(35441,'89330','Villevallier',35401),(35442,'89560','Sementron',35402),(35443,'89430','Trichey',35403),(35444,'89420','Sceaux',35404),(35445,'89400','Brion',35405),(35446,'89500','Cornant',35406),(35447,'89150','Domats',35407),(35448,'89113','Charbuy',35408),(35449,'89500','Bussy Le Repos',35409),(35450,'89190','Bagneaux',35410),(35451,'89720','Villeblevin',35411),(35452,'89440','Dissangis',35412),(35453,'89400','Migennes',35413),(35454,'89660','Châtel Censoir',35414),(35455,'89300','Looze',35415),(35456,'89140','Vinneuf',35416),(35457,'89310','Étivey',35417),(35458,'89200','Étaule',35418),(35459,'89560','Merry Sec',35419),(35460,'89144','Varennes',35420),(35461,'89660','Brosses',35421),(35462,'89160','Chassignelles',35422),(35463,'89580','Coulangeron',35423),(35464,'89420','Santigny',35424),(35465,'89200','Magny',35425),(35466,'89740','Villon',35426),(35467,'89460','Trucy Sur Yonne',35427),(35468,'89200','Sermizelles',35428),(35469,'89630','Chastellux Sur Cure',35429),(35470,'89440','Massangis',35430),(35471,'89520','Sougères En Puisaye',35431),(35472,'89230','Rouvray',35432),(35473,'89200','Blannay',35433),(35474,'89200','Provency',35434),(35475,'89440','Joux La Ville',35435),(35476,'89450','Menades',35436),(35477,'89160','Argentenay',35437),(35478,'89520','Lainsecq',35438),(35479,'89580','Migé',35439),(35480,'89290','Jussy',35440),(35481,'89560','Courson Les Carrières',35441),(35482,'89160','Villiers Les Hauts',35442),(35483,'89660','Merry Sur Yonne',35443),(35484,'89340','Villeneuve La Guyard',35444),(35485,'89480','Coulanges Sur Yonne',35445),(35486,'89100','Rosoy',35446),(35487,'89330','Piffonds',35447),(35488,'89430','Thorey',35448),(35489,'89320','Cerisiers',35449),(35490,'89560','Taingy',35450),(35491,'89560','Druyes Les Belles Fontaines',35451),(35492,'89200','Annay La Côte',35452),(35493,'89113','Guerchy',35453),(35494,'89580','Charentenay',35454),(35495,'89500','Dixmont',35455),(35496,'89660','Asnières Sous Bois',35456),(35497,'89100','Collemiers',35457),(35498,'89630','Quarré Les Tombes',35458),(35499,'89140','Lixy',35459),(35500,'89160','Vireaux',35460),(35501,'89320','Arces Dilo',35461),(35502,'89570','Sormery',35462),(35503,'89500','Égriselles Le Bocage',35463),(35504,'89330','Saint Julien Du Sault',35464),(35505,'89570','Soumaintrain',35465),(35506,'89240','Égleny',35466),(35507,'89430','Rugny',35467),(35508,'89110','Saint Maurice Le Vieil',35468),(35509,'89260','La Postolle',35469),(35510,'89150','Saint Valérien',35470),(35511,'89250','Seignelay',35471),(35512,'89250','Hauterive',35472),(35513,'89140','Compigny',35473),(35514,'89190','Sièges',35474),(35515,'89190','Clérimois',35475),(35516,'89160','Sennevoy Le Bas',35476),(35517,'89110','La Ferté Loupière',35477),(35518,'89200','Vault De Lugny',35478),(35519,'89300','Chamvres',35479),(35520,'89390','Perrigny Sur Armançon',35480),(35521,'89250','Mont Saint Sulpice',35481),(35522,'89100','Sens',35482),(35523,'89190','Pont Sur Vanne',35483),(35524,'89270','Sery',35484),(35525,'89580','Gy L\'Évêque',35485),(35526,'89130','Mézilles',35486),(35527,'89150','La Belliole',35487),(35528,'89220','Champcevrais',35488),(35529,'89310','Pasilly',35489),(35530,'89480','Lucy Sur Yonne',35490),(35531,'89400','Charmoy',35491),(35532,'89200','Givry',35492),(35533,'89190','Chigy',35493),(35534,'89140','Sergines',35494),(35535,'89116','La Celle Saint Cyr',35495),(35536,'89400','Ormoy',35496),(35537,'89800','Beine',35497),(35538,'89113','Neuilly',35498),(35539,'89700','Junay',35499),(35540,'89480','Festigny',35500),(35541,'89800','Chablis',35501),(35542,'89660','Bois D\'Arcy',35502),(35543,'89420','Saint André En Terre Plaine',35503),(35544,'89800','Saint Cyr Les Colons',35504),(35545,'89150','Villeneuve La Dondagre',35505),(35546,'89520','Treigny',35506),(35547,'89480','Andryes',35507),(35548,'89150','Courtoin',35508),(35549,'89310','Grimault',35509),(35550,'89110','Villiers Sur Tholon',35510),(35551,'89150','Vernoy',35511),(35552,'89800','Courgis',35512),(35553,'89310','Poilly Sur Serein',35513),(35554,'89360','Villiers Vineux',35514),(35555,'89390','Nuits',35515),(35556,'89260','La Chapelle Sur Oreuse',35516),(35557,'89300','Joigny',35517),(35558,'89150','Brannay',35518),(35559,'89420','Savigny En Terre Plaine',35519),(35560,'89130','Fontaines',35520),(35561,'89190','Villeneuve L\'Archevêque',35521),(35562,'89240','Pourrain',35522),(35563,'89320','Fournaudin',35523),(35564,'89310','Jouancy',35524),(35565,'89150','Vallery',35525),(35566,'89230','Bleigny Le Carreau',35526),(35567,'89560','Ouanne',35527),(35568,'89700','Serrigny',35528),(35569,'89520','Sainte Colombe Sur Loing',35529),(35571,'89120','Malicorne',35530),(35572,'89000','Saint Georges Sur Baulche',35531),(35573,'89300','Champlay',35532),(35574,'89190','Courgenay',35533),(35575,'89120','Chêne Arnoult',35534),(35576,'89700','Vézannes',35535),(35577,'89140','Saint Sérotin',35536),(35578,'89700','Tissey',35537),(35579,'89270','Lucy Sur Cure',35538),(35580,'89800','Aigremont',35539),(35581,'89710','Senan',35540),(35582,'89310','Châtel Gérard',35541),(35583,'89140','Michery',35542),(35584,'89200','Thory',35543),(35585,'89300','Saint Aubin Sur Yonne',35544),(35586,'89120','Saint Martin Sur Ouanne',35545),(35587,'89420','Talcy',35546),(35588,'89120','Perreux',35547),(35589,'89000','Perrigny',35548),(35590,'89360','Carisey',35549),(35591,'89120','Saint Denis Sur Ouanne',35550),(35592,'89140','Gisy Les Nobles',35551),(35593,'89100','Fontaine La Gaillarde',35552),(35594,'89110','Aillant Sur Tholon',35553),(35595,'89160','Jully',35554),(35596,'89600','Saint Florentin',35555),(35597,'89760','Vareilles',35556),(35598,'89420','Bierry Les Belles Fontaines',35557),(35599,'89600','Germigny',35558),(35600,'89420','Vassy Sous Pisy',35559),(35601,'89440','Blacy',35560),(35602,'89560','Lain',35561),(35603,'90100','Courtelevant',35562),(35604,'90120','Méziré',35563),(35605,'90150','Reppe',35564),(35606,'90300','Sermamagny',35565),(35607,'90000','Belfort',35566),(35608,'90150','Vauthiermont',35567),(35609,'90110','Saint Germain Le Châtelet',35568),(35610,'90400','Meroux',35569),(35611,'90110','Felon',35570),(35612,'90160','Bessoncourt',35571),(35613,'90140','Bourogne',35572),(35614,'90100','Grosne',35573),(35615,'90150','Phaffans',35574),(35616,'90130','Montreux Château',35575),(35617,'90200','Riervescemont',35576),(35618,'90400','Danjoutin',35577),(35619,'90150','Béthonvilliers',35578),(35620,'90170','Lamadeleine Val Des Anges',35579),(35621,'90150','Angeot',35580),(35622,'90400','Bermont',35581),(35623,'90160','Denney',35582),(35624,'90140','Autrechêne',35583),(35625,'90150','Menoncourt',35584),(35626,'90340','Novillard',35585),(35627,'90300','Offemont',35586),(35628,'90200','Grosmagny',35587),(35629,'90400','Vézelois',35588),(35630,'90700','Châtenois Les Forges',35589),(35631,'90130','Petit Croix',35590),(35632,'90100','Joncherey',35591),(35633,'90340','Chèvremont',35592),(35634,'90150','Rivière',35593),(35635,'90200','Lepuix',35594),(35636,'90140','Charmois',35595),(35637,'90150','Fontaine',35596),(35638,'90200','Auxelles Bas',35597),(35639,'90140','Froidefontaine',35598),(35640,'90300','Cravanche',35599),(35641,'90380','Roppe',35600),(35642,'90100','Fêche L\'Église',35601),(35643,'90200','Auxelles Haut',35602),(35644,'90360','Lachapelle Sous Rougemont',35603),(35645,'90400','Trévenans',35604),(35646,'90800','Argiésans',35605),(35647,'90110','Rougemont Le Château',35606),(35648,'90120','Morvillars',35607),(35649,'90200','Giromagny',35608),(35650,'90100','Delle',35609),(35651,'90300','Valdoie',35610),(35652,'90100','Boron',35611),(35653,'90100','Croix',35612),(35654,'90400','Moval',35613),(35655,'90170','Étueffont',35614),(35656,'90600','Grandvillars',35615),(35657,'90100','Suarce',35616),(35658,'90160','Pérouse',35617),(35659,'90100','Courcelles',35618),(35660,'90400','Botans',35619),(35661,'90350','Évette Salbert',35620),(35662,'90370','Réchésy',35621),(35663,'90110','Bourg Sous Châtelet',35622),(35664,'90150','Cunelières',35623),(35665,'90150','Frais',35624),(35666,'90110','Leval',35625),(35667,'90850','Bavilliers',35626),(35668,'90800','Banvillars',35627),(35669,'90300','Éloie',35628),(35670,'90150','Foussemagne',35629),(35671,'90200','Vescemont',35630),(35672,'90140','Brebotte',35631),(35673,'90100','Vellescot',35632),(35674,'90100','Chavanatte',35633),(35675,'90850','Essert',35634),(35676,'90800','Urcerey',35635),(35677,'90200','Rougegoutte',35636),(35678,'90110','Romagny Sous Rougemont',35637),(35679,'90360','Petitefontaine',35638),(35680,'90170','Petitmagny',35639),(35681,'90400','Andelnans',35640),(35682,'90100','Saint Dizier L\'Évêque',35641),(35683,'90400','Sevenans',35642),(35684,'90100','Lebetain',35643),(35685,'90300','Lachapelle Sous Chaux',35644),(35686,'90800','Buc',35645),(35687,'90150','Grange',35646),(35688,'90400','Dorans',35647),(35689,'90100','Thiancourt',35648),(35690,'90150','Eguenigue',35649),(35691,'90100','Faverois',35650),(35692,'90170','Anjoutey',35651),(35693,'90100','Villars Le Sec',35652),(35694,'90330','Chaux',35653),(35695,'90100','Florimont',35654),(35696,'90500','Beaucourt',35655),(35697,'90300','Vétrigne',35656),(35698,'90500','Montbouton',35657),(35699,'90340','Fontenelle',35658),(35700,'90100','Chavannes Les Grands',35659),(35701,'90150','Lacollonge',35660),(35702,'90130','Bretagne',35661),(35703,'90100','Lepuix Neuf',35662),(35704,'90140','Recouvrance',35663),(35705,'91640','Janvry',35664),(35706,'91800','Brunoy',35665),(35707,'91790','Boissy Sous Saint Yon',35666),(35708,'91940','Villebon Sur Yvette',35667),(35709,'91930','Monnerville',35668),(35710,'91720','Gironville Sur Essonne',35669),(35711,'91780','Saint Hilaire',35670),(35712,'91090','Évry',35671),(35713,'91630','Leudeville',35672),(35714,'91720','Valpuiseaux',35673),(35715,'91410','Dourdan',35674),(35716,'91660','Estouches',35675),(35717,'91210','Draveil',35676),(35718,'91150','Marolles En Beauce',35677),(35719,'91540','Mennecy',35678),(35720,'91350','Grigny',35679),(35721,'91710','Vert Le Petit',35680),(35722,'91490','Oncy Sur École',35681),(35723,'91690','Guillerval',35682),(35724,'91320','Wissous',35683),(35725,'91820','Vayres Sur Essonne',35684),(35726,'91150','Abbéville La Rivière',35685),(35727,'91630','Avrainville',35686),(35728,'91000','Ris Orangis',35687),(35729,'91440','Bures Sur Yvette',35688),(35730,'91120','Palaiseau',35689),(35731,'91290','Arpajon',35690),(35732,'91590','Guigneville Sur Essonne',35691),(35733,'91360','Épinay Sur Orge',35692),(35734,'91150','Blandy',35693),(35735,'91800','Boussy Saint Antoine',35694),(35736,'91100','Villabé',35695),(35737,'91620','La Ville Du Bois',35696),(35738,'91470','Angervilliers',35697),(35739,'91540','Écharcon',35698),(35740,'91540','Ormoy',35699),(35741,'91590','Cerny',35700),(35742,'91370','Verrières Le Buisson',35701),(35743,'91590','Boissy Le Cutté',35702),(35744,'91560','Crosne',35703),(35745,'91490','Moigny Sur École',35704),(35746,'91310','Longpont Sur Orge',35705),(35747,'91590','Mondeville',35706),(35748,'91240','Saint Michel Sur Orge',35707),(35749,'91160','Ballainvilliers',35708),(35750,'91140','Villejust',35709),(35751,'91410','Saint Escobille',35710),(35752,'91280','Saint Pierre Du Perray',35711),(35753,'91780','Mérobert',35712),(35754,'91610','Ballancourt Sur Essonne',35713),(35755,'91720','Maisse',35714),(35756,'91730','Chamarande',35715),(35757,'91490','Milly La Forêt',35716),(35758,'91650','Breux Jouy',35717),(35759,'91220','Le Plessis Pâté',35718),(35760,'91580','Auvers Saint Georges',35719),(35761,'91830','Auvernaux',35720),(35762,'91250','Morsang Sur Seine',35721),(35763,'91270','Vigneux Sur Seine',35722),(35764,'91750','Champcueil',35723),(35765,'91080','Courcouronnes',35724),(35766,'91720','Boigneville',35725),(35767,'91580','Étréchy',35726),(35768,'91410','Authon La Plaine',35727),(35769,'91690','Boissy La Rivière',35728),(35770,'91250','Saintry Sur Seine',35729),(35771,'91310','Montlhéry',35730),(35772,'91700','Fleury Mérogis',35731),(35773,'91910','Saint Sulpice De Favières',35732),(35774,'91480','Varennes Jarcy',35733),(35775,'91890','Videlles',35734),(35776,'91480','Quincy Sous Sénart',35735),(35777,'91590','Orveau',35736),(35778,'91410','Granges Le Roi',35737),(35779,'91940','Gometz Le Châtel',35738),(35780,'91820','Boutigny Sur Essonne',35739),(35781,'91660','Méréville',35740),(35782,'91150','Boutervilliers',35741),(35783,'91730','Mauchamps',35742),(35784,'91430','Igny',35743),(35785,'91170','Viry Châtillon',35744),(35786,'91880','Bouville',35745),(35787,'91150','Étampes',35746),(35788,'91400','Gometz La Ville',35747),(35789,'91690','Arrancourt',35748),(35790,'91570','Bièvres',35749),(35791,'91590','D\'Huison Longueville',35750),(35792,'91410','Chatignonville',35751),(35793,'91490','Dannemois',35752),(35794,'91750','Chevannes',35753),(35795,'91470','Forges Les Bains',35754),(35796,'91670','Angerville',35755),(35797,'91100','Corbeil Essonnes',35756),(35798,'91530','Le Val Saint Germain',35757),(35799,'91150','Puiselet Le Marais',35758),(35800,'91150','Bois Herpin',35759),(35801,'91400','Orsay',35760),(35802,'91250','Tigery',35761),(35803,'91540','Fontenay Le Vicomte',35762),(35804,'91300','Massy',35763),(35805,'91590','La Ferté Alais',35764),(35806,'91330','Yerres',35765),(35807,'91550','Paray Vieille Poste',35766),(35808,'91180','Saint Germain Lès Arpajon',35767),(35809,'91530','Saint Maurice Montcouronne',35768),(35810,'91190','Gif Sur Yvette',35769),(35811,'91740','Pussay',35770),(35812,'91420','Morangis',35771),(35813,'91700','Villiers Sur Orge',35772),(35814,'91150','La Forêt Sainte Croix',35773),(35815,'91630','Guibeville',35774),(35816,'91380','Chilly Mazarin',35775),(35817,'91150','Champmotteux',35776),(35818,'91850','Bouray Sur Juine',35777),(35819,'91840','Soisy Sur École',35778),(35820,'91580','Souzy La Briche',35779),(35821,'91290','La Norville',35780),(35822,'91860','Épinay Sous Sénart',35781),(35823,'91150','Brières Les Scellés',35782),(35824,'91750','Nainville Les Roches',35783),(35825,'91940','Ulis',35784),(35826,'91200','Athis Mons',35785),(35827,'91310','Leuville Sur Orge',35786),(35828,'91450','Soisy Sur Seine',35787),(35829,'91640','Fontenay Lès Briis',35788),(35830,'91690','Saint Cyr La Rivière',35789),(35831,'91090','Lisses',35790),(35832,'91590','Baulne',35791),(35833,'91640','Briis Sous Forges',35792),(35834,'91620','Nozay',35793),(35835,'91150','Ormoy La Rivière',35794),(35836,'91160','Champlan',35795),(35837,'91150','Roinvilliers',35796),(35838,'91410','Richarville',35797),(35839,'91680','Courson Monteloup',35798),(35840,'91740','Congerville Thionville',35799),(35841,'91460','Marcoussis',35800),(35842,'91470','Boullay Les Troux',35801),(35843,'91410','La Forêt Le Roi',35802),(35844,'91640','Vaugrigneuse',35803),(35845,'91510','Janville Sur Juine',35804),(35846,'91450','Étiolles',35805),(35847,'91310','Linas',35806),(35848,'91690','Saclas',35807),(35849,'91580','Chauffour Lès Étréchy',35808),(35850,'91940','Saint Jean De Beauregard',35809),(35851,'91390','Morsang Sur Orge',35810),(35852,'91260','Juvisy Sur Orge',35811),(35853,'91780','Chalo Saint Mars',35812),(35854,'91430','Vauhallan',35813),(35855,'91740','Chalou Moulineux',35814),(35856,'91810','Vert Le Grand',35815),(35857,'91230','Montgeron',35816),(35858,'91160','Saulx Les Chartreux',35817),(35859,'91470','Pecqueuse',35818),(35860,'91410','Corbreuse',35819),(35861,'91220','Brétigny Sur Orge',35820),(35862,'91870','Boissy Le Sec',35821),(35863,'91360','Villemoisson Sur Orge',35822),(35864,'91530','Saint Chéron',35823),(35865,'91070','Bondoufle',35824),(35866,'91830','Le Coudray Montceaux',35825),(35867,'91410','Roinville',35826),(35868,'91150','Brouy',35827),(35869,'91770','Saint Vrain',35828),(35870,'91530','Sermaise',35829),(35871,'91190','Saint Aubin',35830),(35872,'91580','Villeneuve Sur Auvers',35831),(35873,'91400','Saclay',35832),(35874,'91520','Égly',35833),(35875,'91150','Morigny Champigny',35834),(35876,'91720','Prunay Sur Essonne',35835),(35877,'91250','Saint Germain Lès Corbeil',35836),(35878,'91720','Buno Bonnevaux',35837),(35879,'91730','Torfou',35838),(35880,'91690','Fontaine La Rivière',35839),(35881,'91760','Itteville',35840),(35882,'91650','Breuillet',35841),(35883,'91190','Villiers Le Bâcle',35842),(35884,'91630','Cheptainville',35843),(35885,'91510','Lardy',35844),(35886,'91630','Marolles En Hurepoix',35845),(35887,'91580','Villeconin',35846),(35888,'91700','Sainte Geneviève Des Bois',35847),(35889,'91680','Bruyères Le Châtel',35848),(35890,'91600','Savigny Sur Orge',35849),(35891,'91410','Saint Cyr Sous Dourdan',35850),(35892,'91290','Ollainville',35851),(35893,'91150','Mespuits',35852),(35894,'91410','Plessis Saint Benoist',35853),(35895,'91720','Courdimanche Sur Essonne',35854),(35896,'91490','Courances',35855),(35897,'91470','Limours',35856),(35898,'91470','Molières',35857),(35899,'91160','Longjumeau',35858),(35900,'91650','Saint Yon',35859),(35901,'92200','Neuilly Sur Seine',35860),(35902,'92320','Châtillon',35861),(35903,'92270','Bois Colombes',35862),(35904,'92800','Puteaux',35863),(35905,'92140','Clamart',35864),(35907,'92430','Marnes La Coquette',35865),(35908,'92130','Issy Les Moulineaux',35866),(35909,'92420','Vaucresson',35867),(35910,'92500','Rueil Malmaison',35868),(35911,'92160','Antony',35869),(35912,'92350','Le Plessis Robinson',35870),(35913,'92300','Levallois Perret',35871),(35914,'92100','Boulogne Billancourt',35872),(35915,'92600','Asnières Sur Seine',35873),(35916,'92700','Colombes',35874),(35917,'92260','Fontenay Aux Roses',35875),(35918,'92380','Garches',35876),(35919,'92390','Villeneuve La Garenne',35877),(35920,'92400','Courbevoie',35878),(35921,'92120','Montrouge',35879),(35922,'92290','Châtenay Malabry',35880),(35923,'92110','Clichy',35881),(35924,'92170','Vanves',35882),(35925,'92410','Ville D\'Avray',35883),(35926,'92150','Suresnes',35884),(35927,'92310','Sèvres',35885),(35928,'92330','Sceaux',35886),(35929,'92370','Chaville',35887),(35930,'92250','La Garenne Colombes',35888),(35931,'92230','Gennevilliers',35889),(35932,'92000','Nanterre',35890),(35933,'92210','Saint Cloud',35891),(35934,'92240','Malakoff',35892),(35935,'92220','Bagneux',35893),(35936,'92340','Bourg La Reine',35894),(35937,'93350','Le Bourget',35895),(35938,'93170','Bagnolet',35896),(35939,'93120','La Courneuve',35897),(35940,'93320','Pavillons Sous Bois',35898),(35941,'93270','Sevran',35899),(35942,'93250','Villemomble',35900),(35943,'93100','Montreuil',35901),(35944,'93190','Livry Gargan',35902),(35945,'93600','Aulnay Sous Bois',35903),(35946,'93440','Dugny',35904),(35947,'93470','Coubron',35905),(35948,'93430','Villetaneuse',35906),(35949,'93340','Le Raincy',35907),(35951,'93260','Lilas',35908),(35952,'93390','Clichy Sous Bois',35909),(35953,'93160','Noisy Le Grand',35910),(35954,'93230','Romainville',35911),(35955,'93300','Aubervilliers',35912),(35956,'93130','Noisy Le Sec',35913),(35957,'93420','Villepinte',35914),(35958,'93000','Bobigny',35915),(35959,'93380','Pierrefitte Sur Seine',35916),(35960,'93290','Tremblay En France',35917),(35961,'93410','Vaujours',35918),(35962,'93370','Montfermeil',35919),(35963,'93450','L\'Île Saint Denis',35920),(35964,'93310','Le Pré Saint Gervais',35921),(35965,'93240','Stains',35922),(35966,'93500','Pantin',35923),(35967,'93360','Neuilly Plaisance',35924),(35968,'93110','Rosny Sous Bois',35925),(35969,'93400','Saint Ouen',35926),(35970,'93460','Gournay Sur Marne',35927),(35971,'93140','Bondy',35928),(35972,'93800','Épinay Sur Seine',35929),(35973,'93330','Neuilly Sur Marne',35930),(35974,'93700','Drancy',35931),(35975,'93150','Le Blanc Mesnil',35932),(35976,'93220','Gagny',35933),(35977,'94120','Fontenay Sous Bois',35934),(35978,'94440','Santeny',35935),(35979,'94240','L\'Haÿ Les Roses',35936),(35980,'94450','Limeil Brévannes',35937),(35981,'94140','Alfortville',35938),(35982,'94420','Le Plessis Trévise',35939),(35983,'94600','Choisy Le Roi',35940),(35984,'94160','Saint Mandé',35941),(35985,'94260','Fresnes',35942),(35986,'94350','Villiers Sur Marne',35943),(35987,'94270','Le Kremlin Bicêtre',35944),(35988,'94470','Boissy Saint Léger',35945),(35989,'94510','La Queue En Brie',35946),(35990,'94490','Ormesson Sur Marne',35947),(35991,'94110','Arcueil',35948),(35992,'94440','Marolles En Brie',35949),(35993,'94440','Villecresnes',35950),(35994,'94170','Le Perreux Sur Marne',35951),(35995,'94460','Valenton',35952),(35996,'94130','Nogent Sur Marne',35953),(35997,'94230','Cachan',35954),(35999,'94150','Rungis',35955),(36000,'94320','Thiais',35956),(36001,'94880','Sucy En Brie',35957),(36002,'94520','Mandres Les Roses',35958),(36003,'94300','Vincennes',35959),(36004,'94220','Charenton Le Pont',35960),(36005,'94410','Saint Maurice',35961),(36006,'94360','Bry Sur Marne',35962),(36007,'94380','Bonneuil Sur Marne',35963),(36008,'94340','Joinville Le Pont',35964),(36009,'94480','Ablon Sur Seine',35965),(36010,'94880','Noiseau',35966),(36011,'94250','Gentilly',35967),(36012,'94800','Villejuif',35968),(36013,'94400','Vitry Sur Seine',35969),(36014,'94550','Chevilly Larue',35970),(36015,'94430','Chennevières Sur Marne',35971),(36016,'94520','Périgny',35972),(36017,'94500','Champigny Sur Marne',35973),(36018,'94200','Ivry Sur Seine',35974),(36019,'94700','Maisons Alfort',35975),(36020,'94310','Orly',35976),(36021,'94290','Villeneuve Le Roi',35977),(36022,'94190','Villeneuve Saint Georges',35978),(36023,'94000','Créteil',35979),(36024,'95560','Baillet En France',35980),(36025,'95520','Osny',35981),(36026,'95420','Hodent',35982),(36027,'95770','Montreuil Sur Epte',35983),(36029,'95380','Chennevières Lès Louvres',35984),(36030,'95680','Montlignon',35985),(36031,'95190','Fontenay En Parisis',35986),(36032,'95460','Ézanville',35987),(36033,'95000','Neuville Sur Oise',35988),(36034,'95450','Sagy',35989),(36035,'95450','Théméricourt',35990),(36036,'95430','Butry Sur Oise',35991),(36037,'95270','Le Plessis Luzarches',35992),(36038,'95280','Jouy Le Moutier',35993),(36039,'95850','Mareil En France',35994),(36040,'95640','Bréançon',35995),(36041,'95710','Chaussy',35996),(36042,'95810','Vallangoujard',35997),(36043,'95420','Magny En Vexin',35998),(36044,'95270','Bellefontaine',35999),(36045,'95640','Haravilliers',36000),(36046,'95470','Survilliers',36001),(36047,'95640','Le Heaulme',36002),(36048,'95650','Courcelles Sur Viosne',36003),(36049,'95640','Brignancourt',36004),(36050,'95450','Seraincourt',36005),(36051,'95470','Vémars',36006),(36052,'95330','Domont',36007),(36053,'95500','Bonneuil En France',36008),(36054,'95160','Montmorency',36009),(36055,'95820','Bruyères Sur Oise',36010),(36056,'95380','Épiais Lès Louvres',36011),(36057,'95650','Montgeroult',36012),(36058,'95580','Margency',36013),(36059,'95300','Pontoise',36014),(36060,'95810','Menouville',36015),(36061,'95420','Cléry En Vexin',36016),(36062,'95450','Commeny',36017),(36063,'95810','Épiais Rhus',36018),(36064,'95490','Vauréal',36019),(36065,'95710','Bray Et Lû',36020),(36066,'95670','Marly La Ville',36021),(36067,'95450','Le Perchay',36022),(36068,'95650','Génicourt',36023),(36069,'95510','Amenucourt',36024),(36070,'95450','Condécourt',36025),(36071,'95410','Groslay',36026),(36072,'95180','Menucourt',36027),(36073,'95470','Saint Witz',36028),(36074,'95350','Piscop',36029),(36075,'95420','Nucourt',36030),(36076,'95810','Arronville',36031),(36077,'95220','Herblay',36032),(36078,'95270','Asnières Sur Oise',36033),(36079,'95590','Presles',36034),(36080,'95270','Lassy',36035),(36081,'95580','Andilly',36036),(36082,'95780','Haute Isle',36037),(36083,'95270','Chaumontel',36038),(36084,'95570','Villaines Sous Bois',36039),(36085,'95120','Ermont',36040),(36086,'95760','Auvers Sur Oise',36041),(36087,'95350','Saint Brice Sous Forêt',36042),(36088,'95420','Arthies',36043),(36089,'95810','Grisy Les Plâtres',36044),(36090,'95380','Puiseux En France',36045),(36091,'95190','Goussainville',36046),(36092,'95640','Moussy',36047),(36093,'95480','Pierrelaye',36048),(36094,'95130','Franconville',36049),(36095,'95380','Louvres',36050),(36096,'95450','Gouzangrez',36051),(36097,'95750','Le Bellay En Vexin',36052),(36098,'95500','Gonesse',36053),(36099,'95420','La Chapelle En Vexin',36054),(36100,'95690','Hédouville',36055),(36101,'95510','Villers En Arthies',36056),(36102,'95270','Saint Martin Du Tertre',36057),(36103,'95270','Seugy',36058),(36104,'95700','Roissy En France',36059),(36105,'95650','Boissy L\'Aillerie',36060),(36106,'95530','La Frette Sur Seine',36061),(36107,'95420','Wy Dit Joli Village',36062),(36108,'95170','Deuil La Barre',36063),(36109,'95870','Bezons',36064),(36110,'95800','Courdimanche',36065),(36111,'95340','Ronquerolles',36066),(36112,'95210','Saint Gratien',36067),(36113,'95340','Bernes Sur Oise',36068),(36114,'95690','Nesles La Vallée',36069),(36115,'95750','Chars',36070),(36116,'95270','Viarmes',36071),(36117,'95640','Neuilly En Vexin',36072),(36118,'95150','Taverny',36073),(36119,'95550','Bessancourt',36074),(36120,'95450','Vigny',36075),(36121,'95450','Ableiges',36076),(36122,'95260','Beaumont Sur Oise',36077),(36123,'95810','Theuville',36078),(36124,'95770','Saint Clair Sur Epte',36079),(36125,'95510','Vienne En Arthies',36080),(36126,'95240','Cormeilles En Parisis',36081),(36127,'95690','Labbeville',36082),(36128,'95300','Livilliers',36083),(36129,'95420','Charmont',36084),(36130,'95570','Bouffémont',36085),(36131,'95810','Berville',36086),(36132,'95110','Sannois',36087),(36133,'95380','Villeron',36088),(36134,'95440','Écouen',36089),(36135,'95510','Saint Cyr En Arthies',36090),(36136,'95390','Saint Prix',36091),(36137,'95300','Ennery',36092),(36138,'95320','Saint Leu La Forêt',36093),(36139,'95570','Attainville',36094),(36140,'95270','Belloy En France',36095),(36141,'95690','Frouville',36096),(36142,'95450','Us',36097),(36143,'95660','Champagne Sur Oise',36098),(36144,'95000','Boisemont',36099),(36145,'95560','Chauvry',36100),(36146,'95710','Ambleville',36101),(36147,'95840','Béthemont La Forêt',36102),(36148,'95500','Le Thillay',36103),(36149,'95310','Saint Ouen L\'Aumône',36104),(36150,'95560','Maffliers',36105),(36151,'95270','Noisy Sur Oise',36106),(36152,'95590','Nerville La Forêt',36107),(36153,'95340','Persan',36108),(36154,'95290','L\'Isle Adam',36109),(36155,'95140','Garges Lès Gonesse',36110),(36156,'95360','Montmagny',36111),(36157,'95370','Montigny Lès Cormeilles',36112),(36158,'95830','Cormeilles En Vexin',36113),(36159,'95510','Chérence',36114),(36160,'95420','Omerville',36115),(36161,'95270','Luzarches',36116),(36162,'95510','Aincourt',36117),(36163,'95450','Avernes',36118),(36164,'95300','Hérouville',36119),(36165,'95830','Frémécourt',36120),(36166,'95450','Frémainville',36121),(36167,'95420','Saint Gervais',36122),(36168,'95770','Buhy',36123),(36169,'95600','Eaubonne',36124),(36170,'95760','Valmondois',36125),(36171,'95560','Montsoult',36126),(36172,'95620','Parmain',36127),(36173,'95780','La Roche Guyon',36128),(36174,'95100','Argenteuil',36129),(36175,'95130','Le Plessis Bouchard',36130),(36176,'95400','Villiers Le Bel',36131),(36177,'95610','Éragny',36132),(36178,'95500','Vaudherland',36133),(36179,'95450','Gadancourt',36134),(36180,'95200','Sarcelles',36135),(36181,'95450','Longuesse',36136),(36182,'95590','Nointel',36137),(36183,'95720','Le Plessis Gassot',36138),(36184,'95540','Méry Sur Oise',36139),(36185,'95630','Mériel',36140),(36186,'95230','Soisy Sous Montmorency',36141),(36187,'95420','Banthelu',36142),(36188,'95450','Guiry En Vexin',36143),(36189,'95640','Santeuil',36144),(36190,'95740','Frépillon',36145),(36191,'95720','Bouqueval',36146),(36192,'95270','Épinay Champlâtreux',36147),(36193,'95720','Villiers Le Sec',36148),(36194,'95250','Beauchamp',36149),(36195,'95720','Le Mesnil Aubry',36150),(36196,'95190','Châtenay En France',36151),(36197,'95880','Enghien Les Bains',36152),(36198,'95420','Genainville',36153),(36199,'95640','Marines',36154),(36200,'95260','Mours',36155),(36201,'95400','Arnouville',36156),(36202,'95850','Jagny Sous Bois',36157),(36203,'95650','Puiseux Pontoise',36158),(36204,'95570','Moisselles',36159),(36205,'95780','Vétheuil',36160),(36206,'95840','Villiers Adam',36161),(36207,'95420','Maudétour En Vexin',36162),(36208,'95470','Fosses',36163),(36209,'20126','Cristinacce',36164),(36210,'20126','Évisa',36165),(36211,'20147','Serriera',36166),(36212,'20160','Guagno',36167),(36213,'20121','Azzana',36168),(36214,'20121','Pastricciola',36169),(36215,'20121','Rezza',36170),(36216,'20121','Rosazia',36171),(36217,'20121','Salice',36172),(36218,'20160','Balogna',36173),(36219,'20160','Murzo',36174),(36220,'20160','Arbori',36175),(36221,'20160','Vico',36176),(36222,'20130','Cargèse',36177),(36223,'20150','Ota',36178),(36224,'20147','Partinello',36179),(36225,'20163','Tavera',36180),(36226,'20136','Bocognano',36181),(36227,'20172','Vero',36182),(36228,'20139','Lopigna',36183),(36229,'20151','Arro',36184),(36230,'20111','Casaglione',36185),(36231,'20151','Ambiegna',36186),(36233,'20125','Orto',36187),(36235,'20125','Soccia',36188),(36236,'20141','Marignana',36189),(36237,'20160','Renno',36190),(36238,'20119','Bastelica',36191),(36239,'20167','Peri',36192),(36240,'20133','Ucciani',36193),(36241,'20133','Carbuccia',36194),(36242,'20167','Sarrola Carcopino',36195),(36243,'20167','Tavaco',36196),(36244,'20151','Cannelle',36197),(36245,'20151','Sari D\'Orcino',36198),(36246,'20111','Calcatoggio',36199),(36247,'20167','Valle Di Mezzana',36200),(36248,'20167','Appietto',36201),(36249,'20151','Sant\'Andréa D\'Orcino',36202),(36250,'20160','Letia',36203),(36251,'20115','Piana',36204),(36252,'20134','Palneca',36205),(36253,'20134','Ciamannacce',36206),(36254,'20148','Cozzano',36207),(36255,'20134','Tasso',36208),(36256,'20134','Sampolo',36209),(36257,'20117','Tolla',36210),(36258,'20117','Ocana',36211),(36259,'20167','Cuttoli Corticchiato',36212),(36260,'20167','Afa',36213),(36261,'20167','Alata',36214),(36262,'20167','Villanova',36215),(36263,'20147','Osani',36216),(36264,'20168','Corrano',36217),(36265,'20132','Zicavo',36218),(36266,'20153','Guitera Les Bains',36219),(36267,'20190','Santa Maria Siché',36220),(36268,'20142','Quasquara',36221),(36269,'20173','Zévaco',36222),(36270,'20142','Campo',36223),(36271,'20157','Frasseto',36224),(36272,'20117','Cauro',36225),(36273,'20117','Eccica Suarella',36226),(36274,'20129','Bastelicaccia',36227),(36276,'20145','Sari Solenzara',36228),(36277,'20140','Olivese',36229),(36278,'20190','Forciolo',36230),(36279,'20190','Azilone Ampaza',36231),(36280,'20190','Zigliara',36232),(36281,'20140','Argiusta Moriccio',36233),(36282,'20190','Cardo Torgia',36234),(36284,'20123','Cognocoli Monticchi',36235),(36285,'20128','Guargualé',36236),(36286,'20128','Urbalacone',36237),(36287,'20128','Albitreccia',36238),(36288,'20166','Pietrosella',36239),(36289,'20135','Conca',36240),(36290,'20122','Quenza',36241),(36292,'20127','Serra Di Scopamène',36242),(36293,'20152','Sorbollano',36243),(36294,'20116','Aullène',36244),(36295,'20116','Zérubia',36245),(36296,'20140','Petreto Bicchisano',36246),(36297,'20140','Moca Croce',36247),(36298,'20123','Pila Canale',36248),(36299,'20138','Coti Chiavari',36249),(36300,'20137','Lecci',36250),(36301,'20170','San Gavino Di Carbini',36251),(36302,'20170','Levie',36252),(36303,'20112','Olmiccia',36253),(36304,'20112','Sainte Lucie De Tallano',36254),(36305,'20112','Altagène',36255),(36306,'20164','Cargiaca',36256),(36307,'20165','Loreto Di Tallano',36257),(36308,'20112','Mela',36258),(36309,'20112','Zoza',36259),(36310,'20143','Fozzano',36260),(36311,'20143','Santa Maria Figaniella',36261),(36312,'20140','Casalabriva',36262),(36313,'20113','Olmeto',36263),(36314,'20140','Sollacaro',36264),(36315,'20140','Serra Di Ferro',36265),(36316,'20170','Carbini',36266),(36317,'20110','Arbellara',36267),(36318,'20100','Granace',36268),(36319,'20110','Viggianello',36269),(36320,'20110','Propriano',36270),(36321,'20137','Porto Vecchio',36271),(36322,'20100','Foce',36272),(36323,'20100','Sartène',36273),(36324,'20100','Giuncheto',36274),(36325,'20100','Grossa',36275),(36326,'20100','Bilia',36276),(36327,'20110','Belvédère Campomoro',36277),(36328,'20146','Sotta',36278),(36329,'20114','Figari',36279),(36330,'20131','Pianottoli Caldarello',36280),(36331,'20171','Monacia D\'Aullène',36281),(36332,'20169','Bonifacio',36282),(36333,'20229','Campana',36283),(36334,'20218','Castineta',36284),(36335,'20229','Nocario',36285),(36336,'20218','Saliceto',36286),(36337,'20218','Gavignano',36287),(36338,'20237','Poggio Marinaccio',36288),(36339,'20237','Quercitello',36289),(36340,'20237','La Porta',36290),(36341,'20218','Morosaglia',36291),(36342,'20244','Aiti',36292),(36343,'20218','Piedigriggio',36293),(36344,'20218','Prato Di Giovellina',36294),(36345,'20218','Popolasca',36295),(36346,'20218','Castiglione',36296),(36347,'20276','Asco',36297),(36348,'20221','Santa Maria Poggio',36298),(36349,'20221','Cervione',36299),(36350,'20230','San Giuliano',36300),(36351,'20221','Valle Di Campoloro',36301),(36352,'20230','Santa Reparata Di Moriani',36302),(36353,'20229','Piedipartino',36303),(36354,'20229','Piedicroce',36304),(36355,'20229','Carpineto',36305),(36356,'20229','Valle D\'Orezza',36306),(36357,'20229','Parata',36307),(36358,'20234','Felce',36308),(36359,'20234','Perelli',36309),(36360,'20234','Piobetta',36310),(36361,'20234','Pietricaggio',36311),(36362,'20234','Tarrano',36312),(36363,'20229','Rapaggio',36313),(36364,'20229','Stazzona',36314),(36365,'20234','Valle D\'Alesani',36315),(36366,'20229','Carcheto Brustico',36316),(36367,'20229','Pie D\'Orezza',36317),(36368,'20244','San Lorenzo',36318),(36369,'20244','Carticasi',36319),(36370,'20244','Cambia',36320),(36371,'20244','Érone',36321),(36372,'20244','Lano',36322),(36373,'20244','Rusio',36323),(36374,'20250','Tralonca',36324),(36375,'20236','Omessa',36325),(36376,'20236','Castirla',36326),(36377,'20250','Soveria',36327),(36378,'20224','Corscia',36328),(36379,'20245','Manso',36329),(36380,'20245','Galéria',36330),(36381,'20230','Canale Di Verde',36331),(36382,'20234','Ortale',36332),(36383,'20230','Pietra Di Verde',36333),(36384,'20221','Sant\'Andréa Di Cotone',36334),(36385,'20270','Campi',36335),(36386,'20230','Linguizzetta',36336),(36387,'20230','Chiatra',36337),(36388,'20272','Pianello',36338),(36389,'20270','Matra',36339),(36390,'20270','Moïta',36340),(36391,'20234','Novale',36341),(36392,'20234','Piazzali',36342),(36393,'20272','Zuani',36343),(36394,'20212','Sermano',36344),(36395,'20212','Bustanico',36345),(36396,'20212','Alzi',36346),(36397,'20212','Alando',36347),(36398,'20212','Mazzola',36348),(36399,'20212','Sant\'Andréa Di Bozio',36349),(36400,'20212','Favalello',36350),(36401,'20212','Castellare Di Mercurio',36351),(36402,'20250','Santa Lucia Di Mercurio',36352),(36403,'20250','Corte',36353),(36404,'20224','Albertacce',36354),(36405,'20224','Casamaccioli',36355),(36406,'20224','Lozzi',36356),(36407,'20224','Calacuccia',36357),(36408,'20270','Tallone',36358),(36409,'20270','Tox',36359),(36410,'20251','Giuncaggio',36360),(36411,'20251','Pietraserena',36361),(36412,'20272','Ampriani',36362),(36413,'20251','Pancheraccia',36363),(36414,'20272','Zalana',36364),(36415,'20212','Erbajolo',36365),(36416,'20212','Focicchia',36366),(36417,'20251','Altiani',36367),(36418,'20251','Piedicorte Di Gaggio',36368),(36419,'20250','Poggio Di Venaco',36369),(36420,'20250','Riventosa',36370),(36421,'20231','Venaco',36371),(36422,'20250','Santo Pietro Di Venaco',36372),(36423,'20250','Casanova',36373),(36424,'20270','Antisanti',36374),(36425,'20242','Pietroso',36375),(36426,'20242','Rospigliani',36376),(36427,'20242','Vezzani',36377),(36428,'20275','Ersa',36378),(36429,'20219','Vivario',36379),(36430,'20219','Muracciole',36380),(36431,'20270','Aléria',36381),(36432,'20270','Aghione',36382),(36433,'20270','Casevecchie',36383),(36434,'20227','Ghisoni',36384),(36435,'20240','Poggio Di Nazza',36385),(36436,'20240','Lugo Di Nazza',36386),(36437,'20240','Ghisonaccia',36387),(36438,'20243','Serra Di Fiumorbo',36388),(36439,'20243','Prunelli Di Fiumorbo',36389),(36440,'20243','San Gavino Di Fiumorbo',36390),(36441,'20243','Isolaccio Di Fiumorbo',36391),(36442,'20240','Ventiseri',36392),(36443,'20240','Chisa',36393),(36444,'20240','Solaro',36394),(36445,'20242','Noceta',36395),(36446,'20287','Meria',36396),(36447,'20248','Tomino',36397),(36448,'20238','Morsiglia',36398),(36449,'20238','Centuri',36399),(36451,'20228','Cagnano',36400),(36452,'20228','Barrettali',36401),(36453,'20228','Pino',36402),(36454,'20228','Luri',36403),(36455,'20233','Pietracorbara',36404),(36456,'20233','Sisco',36405),(36457,'20217','Olcani',36406),(36458,'20217','Canari',36407),(36459,'20217','Ogliastro',36408),(36460,'20222','Brando',36409),(36461,'20200','Santa Maria Di Lota',36410),(36462,'20217','Olmeta Di Capocorso',36411),(36463,'20217','Nonza',36412),(36465,'20200','San Martino Di Lota',36413),(36466,'20200','Ville Di Pietrabugno',36414),(36467,'20253','Barbaggio',36415),(36468,'20253','Patrimonio',36416),(36469,'20253','Farinole',36417),(36470,'20620','Biguglia',36418),(36471,'20600','Furiani',36419),(36472,'20232','Poggio D\'Oletta',36420),(36473,'20232','Oletta',36421),(36474,'20217','Saint Florent',36422),(36475,'20232','Vallecalle',36423),(36476,'20246','Rapale',36424),(36477,'20232','Olmeta Di Tuda',36425),(36478,'20239','Rutali',36426),(36479,'20239','Murato',36427),(36480,'20246','San Gavino Di Tenda',36428),(36481,'20246','Santo Pietro Di Tenda',36429),(36482,'20246','Piève',36430),(36483,'20246','Sorio',36431),(36484,'20218','Urtaca',36432),(36485,'20218','Lama',36433),(36486,'20226','Novella',36434),(36487,'20226','Belgodère',36435),(36488,'20226','Palasca',36436),(36489,'20220','L\'Île Rousse',36437),(36490,'20220','Pigna',36438),(36491,'20220','Monticello',36439),(36492,'20220','Sant\'Antonino',36440),(36493,'20220','Santa Reparata Di Balagna',36441),(36495,'20220','Algajola',36442),(36496,'20290','Vignale',36443),(36497,'20290','Lucciana',36444),(36498,'20290','Borgo',36445),(36499,'20290','Prunelli Di Casacconi',36446),(36500,'20290','Scolca',36447),(36501,'20290','Volpajola',36448),(36502,'20252','Campitello',36449),(36503,'20252','Bigorno',36450),(36504,'20252','Lento',36451),(36505,'20218','Pietralba',36452),(36506,'20259','Vallica',36453),(36507,'20259','Olmi Cappella',36454),(36508,'20226','Speloncato',36455),(36509,'20259','Pioggiola',36456),(36510,'20226','Costa',36457),(36511,'20279','Ville Di Paraso',36458),(36512,'20226','Occhiatana',36459),(36513,'20225','Avapessa',36460),(36514,'20225','Muro',36461),(36515,'20214','Zilia',36462),(36516,'20225','Nessa',36463),(36517,'20225','Feliceto',36464),(36518,'20214','Montegrosso',36465),(36519,'20225','Lavatoggio',36466),(36520,'20225','Cateri',36467),(36521,'20260','Lumio',36468),(36522,'20220','Aregno',36469),(36523,'20260','Calvi',36470),(36524,'20215','Venzolasca',36471),(36525,'20230','Taglio Isolaccio',36472),(36526,'20213','Sorbo Ocagnano',36473),(36527,'20213','Castellare Di Casinca',36474),(36528,'20213','Penta Di Casinca',36475),(36529,'20215','Porri',36476),(36530,'20215','Vescovato',36477),(36531,'20237','Casabianca',36478),(36532,'20290','Penta Acquatella',36479),(36533,'20215','Piano',36480),(36534,'20290','Monte',36481),(36535,'20215','Loreto Di Casinca',36482),(36536,'20290','Olmo',36483),(36537,'20215','Silvareccio',36484),(36538,'20215','Casalta',36485),(36539,'20235','Castello Di Rostino',36486),(36540,'20237','Giocatojo',36487),(36541,'20235','Bisinchi',36488),(36542,'20290','Campile',36489),(36543,'20290','Ortiporio',36490),(36544,'20290','Crocicchia',36491),(36545,'20235','Valle Di Rostino',36492),(36546,'20235','Canavaggia',36493),(36547,'20218','Moltifao',36494),(36548,'20218','Castifao',36495),(36549,'20259','Mausoléo',36496),(36550,'20214','Calenzana',36497),(36551,'20214','Moncale',36498),(36552,'20230','Santa Lucia Di Moriani',36499),(36553,'20230','San Nicolao',36500),(36554,'20230','Talasani',36501),(36555,'20230','Pero Casevecchie',36502),(36556,'20230','Velone Orneto',36503),(36557,'20213','Pruno',36504),(36558,'20230','Poggio Mezzana',36505),(36559,'20230','San Giovanni Di Moriani',36506),(36560,'20237','Croce',36507),(36561,'20237','Ficaja',36508),(36562,'20213','San Damiano',36509),(36563,'20229','Monacia D\'Orezza',36510),(36564,'20229','Piazzole',36511),(36565,'20213','San Gavino D\'Ampugnani',36512),(36566,'20229','Verdèse',36513),(36567,'20229','Polveroso',36514),(36568,'20213','Scata',36515),(36569,'97142','Abymes',36516),(36570,'97121','Anse Bertrand',36517),(36571,'97122','Baie Mahault',36518),(36572,'97123','Baillif',36519),(36573,'97100','Basse Terre',36520),(36574,'97132','Bouillante',36521),(36575,'97130','Capesterre Belle Eau',36522),(36576,'97140','Capesterre De Marie Galante',36523),(36577,'97113','Gourbeyre',36524),(36578,'97127','Désirade',36525),(36579,'97126','Deshaies',36526),(36580,'97112','Grand Bourg',36527),(36581,'97190','Gosier',36528),(36582,'97128','Goyave',36529),(36583,'97129','Lamentin',36530),(36584,'97111','Morne À L\'Eau',36531),(36585,'97160','Moule',36532),(36586,'97170','Petit Bourg',36533),(36587,'97131','Petit Canal',36534),(36588,'97110','Pointe À Pitre',36535),(36589,'97116','Pointe Noire',36536),(36590,'97117','Port Louis',36537),(36591,'97120','Saint Claude',36538),(36592,'97118','Saint François',36539),(36593,'97134','Saint Louis',36540),(36594,'97180','Sainte Anne',36541),(36595,'97115','Sainte Rose',36542),(36596,'97136','Terre De Bas',36543),(36597,'97137','Terre De Haut',36544),(36598,'97114','Trois Rivières',36545),(36599,'97141','Vieux Fort',36546),(36600,'97119','Vieux Habitants',36547),(36601,'97216','Ajoupa Bouillon',36548),(36602,'97217','Les Anses D\'Arlet',36549),(36603,'97218','Basse Pointe',36550),(36604,'97221','Carbet',36551),(36605,'97222','Case Pilote',36552),(36606,'97223','Diamant',36553),(36607,'97224','Ducos',36554),(36608,'97250','Fonds Saint Denis',36555),(36609,'97234','Fort De France',36556),(36610,'97240','François',36557),(36611,'97218','Grand\'Rivière',36558),(36612,'97213','Gros Morne',36559),(36613,'97232','Lamentin',36560),(36614,'97214','Lorrain',36561),(36615,'97218','Macouba',36562),(36616,'97225','Marigot',36563),(36617,'97290','Marin',36564),(36618,'97260','Morne Rouge',36565),(36619,'97250','Prêcheur',36566),(36620,'97211','Rivière Pilote',36567),(36621,'97215','Rivière Salée',36568),(36622,'97231','Robert',36569),(36623,'97270','Saint Esprit',36570),(36624,'97212','Saint Joseph',36571),(36625,'97250','Saint Pierre',36572),(36626,'97227','Sainte Anne',36573),(36627,'97228','Sainte Luce',36574),(36628,'97230','Sainte Marie',36575),(36629,'97233','Shoelcher',36576),(36630,'97220','Trinité',36577),(36631,'97229','Trois Îlets',36578),(36632,'97280','Vauclin',36579),(36633,'97226','Morne Vert',36580),(36634,'97222','Bellefontaine',36581),(36635,'97390','Régina',36582),(36636,'97300','Cayenne',36583),(36637,'97350','Iracoubo',36584),(36638,'97310','Kourou',36585),(36639,'97355','Macouria Tonate',36586),(36640,'97360','Mana',36587),(36641,'97351','Matoury',36588),(36642,'97313','Saint Georges',36589),(36643,'97354','Remire Montjoly',36590),(36644,'97352','Roura',36591),(36645,'97320','Saint Laurent Du Maroni',36592),(36646,'97315','Sinnamary',36593),(36647,'97356','Montsinéry Tonnegrande',36594),(36648,'97380','Ouanary',36595),(36649,'97314','Saül',36596),(36650,'97370','Maripasoula',36597),(36651,'97330','Camopi',36598),(36652,'97340','Grand Santi',36599),(36653,'97312','Saint Élie',36600),(36654,'97317','Apatou',36601),(36655,'97319','Awala Yalimapo',36602),(36656,'97316','Pompidou Papa Ichton',36603),(36657,'97425','Avirons',36604),(36658,'97412','Bras Panon',36605),(36659,'97414','Entre Deux',36606),(36660,'97427','Étang Salé',36607),(36661,'97429','Petite Île',36608),(36662,'97431','Plaine Des Palmistes',36609),(36663,'97420','Port',36610),(36664,'97419','Possession',36611),(36665,'97440','Saint André',36612),(36666,'97470','Saint Benoît',36613),(36667,'97490','Saint Denis',36614),(36668,'97480','Saint Joseph',36615),(36669,'97436','Saint Leu',36616),(36670,'97450','Saint Louis',36617),(36671,'97460','Saint Paul',36618),(36672,'97432','Saint Pierre',36619),(36673,'97442','Saint Philippe',36620),(36674,'97438','Sainte Marie',36621),(36675,'97439','Sainte Rose',36622),(36676,'97441','Sainte Suzanne',36623),(36677,'97433','Salazie',36624),(36678,'97430','Tampon',36625),(36679,'97434','Trois Bassins',36626),(36680,'97413','Cilaos',36627),(36810,'97630','Acoua',36628),(36811,'97650','Bandraboua',36629),(36812,'97620','Bandrele',36630),(36813,'97620','Bouéni',36631),(36814,'97670','Chiconi',36632),(36815,'97620','Chirongui',36633),(36816,'97660','Dembeni',36634),(36817,'97610','Dzaoudzi',36635),(36818,'97625','Kani Kéli',36636),(36819,'97600','Koungou',36637),(36820,'97600','Mamoudzou',36638),(36821,'97630','Mtsamboro',36639),(36822,'97650','M\'Tsangamouji',36640),(36823,'97670','Ouangani',36641),(36824,'97610','Pamandzi',36642),(36825,'97640','Sada',36643),(36826,'97680','Tsingoni',36644),(36827,'97133','Saint Barthélemy',36645),(36828,'97150','Saint Martin',36646),(36830,'97500','Saint Pierre Et Miquelon',36647),(2050,'06000','Nice',36648),(2050,'06100','Nice',36649),(2050,'06200','Nice',36650),(2050,'06300','Nice',36651),(1941,'06130','Grasse',36652),(1941,'06520','Grasse',36653),(2003,'06400','Cannes',36654),(2003,'06150','Cannes',36655),(2000,'06600','Antibes',36656),(2000,'06160','Antibes',36657),(4440,'13001','Marseille',36658),(4440,'13002','Marseille',36659),(4440,'13003','Marseille',36660),(4440,'13004','Marseille',36661),(4440,'13005','Marseille',36662),(4440,'13006','Marseille',36663),(4440,'13007','Marseille',36664),(4440,'13008','Marseille',36665),(4440,'13009','Marseille',36666),(4440,'13010','Marseille',36667),(4440,'13011','Marseille',36668),(4440,'13012','Marseille',36669),(4440,'13013','Marseille',36670),(4440,'13014','Marseille',36671),(4440,'13015','Marseille',36672),(4440,'13016','Marseille',36673),(4421,'13080','Aix En Provence',36674),(4421,'13090','Aix En Provence',36675),(4421,'13100','Aix En Provence',36676),(4421,'13290','Les Milles',36677),(4421,'13540','Aix En Provence',36678),(4459,'13104','Arles',36679),(4459,'13123','Arles',36680),(4459,'13129','Arles',36681),(4459,'13200','Arles',36682),(4459,'13280','Arles',36683),(4463,'13117','Martigues',36684),(4463,'13500','Martigues',36685),(4418,'13118','Istres',36686),(4418,'13800','Istres',36687),(36275,'20000','Ajaccio',36688),(36275,'20090','Ajaccio',36689),(36291,'20124','Zonza',36690),(36291,'20144','Zonza',36691),(36234,'20125','Poggiolo',36692),(36234,'20160','Poggiolo',36693),(36283,'20128','Grosseto Prugna',36694),(36283,'20166','Grosseto Prugna',36695),(36232,'20160','Coggia',36696),(36232,'20118','Coggia',36697),(36464,'20200','Bastia',36698),(36464,'20600','Bastia',36699),(36494,'20220','Corbara',36700),(36494,'20256','Corbara',36701),(36450,'20247','Rogliano',36702),(36450,'20248','Rogliano',36703),(7233,'21000','Dijon',36704),(7233,'21100','Dijon',36705),(11336,'30000','Nîmes',36706),(11336,'30900','Nîmes',36707),(11719,'31000','Toulouse',36708),(11719,'31100','Toulouse',36709),(11719,'31200','Toulouse',36710),(11719,'31300','Toulouse',36711),(11719,'31400','Toulouse',36712),(11719,'31500','Toulouse',36713),(12679,'33000','Bordeaux',36714),(12679,'33100','Bordeaux',36715),(12679,'33200','Bordeaux',36716),(12679,'33300','Bordeaux',36717),(12679,'33800','Bordeaux',36718),(13339,'34000','Montpellier',36719),(13339,'34070','Montpellier',36720),(13339,'34080','Montpellier',36721),(13339,'34090','Montpellier',36722),(13468,'35000','Rennes',36723),(13468,'35200','Rennes',36724),(13468,'35700','Rennes',36725),(14124,'37000','Tours',36726),(14124,'37100','Tours',36727),(14124,'37200','Tours',36728),(14505,'38000','Grenoble',36729),(14505,'38100','Grenoble',36730),(16124,'42000','Saint Étienne',36731),(16124,'42100','Saint Étienne',36732),(16124,'42230','Saint Étienne',36733),(16756,'44000','Nantes',36734),(16756,'44100','Nantes',36735),(16756,'44200','Nantes',36736),(16756,'44300','Nantes',36737),(17162,'45000','Orléans',36738),(17162,'45100','Orléans',36739),(18073,'49000','Angers',36740),(18073,'49100','Angers',36741),(18722,'50100','Cherbourg Octeville',36742),(18722,'50130','Cherbourg Octeville',36743),(21914,'57000','Metz',36744),(21914,'57050','Metz',36745),(21914,'57070','Metz',36746),(22745,'59000','Lille',36747),(22745,'59160','Lille',36748),(22745,'59260','Lille',36749),(22745,'59777','Lille',36750),(22745,'59800','Lille',36751),(23100,'59140','Dunkerque',36752),(23100,'59240','Dunkerque',36753),(23100,'59430','Dunkerque',36754),(23100,'59640','Dunkerque',36755),(23100,'59279','Dunkerque',36756),(22729,'59491','Villeneuve D\'Ascq',36757),(22729,'59493','Villeneuve D\'Ascq',36758),(22729,'59650','Villeneuve D\'Ascq',36759),(25485,'63000','Clermont Ferrand',36760),(25485,'63100','Clermont Ferrand',36761),(27144,'66000','Perpignan',36762),(27144,'66100','Perpignan',36763),(27304,'67000','Strasbourg',36764),(27304,'67100','Strasbourg',36765),(27304,'67200','Strasbourg',36766),(28049,'68100','Mulhouse',36767),(28049,'68200','Mulhouse',36768),(28153,'69001','Lyon',36769),(28153,'69002','Lyon',36770),(28153,'69003','Lyon',36771),(28153,'69004','Lyon',36772),(28153,'69005','Lyon',36773),(28153,'69006','Lyon',36774),(28153,'69007','Lyon',36775),(28153,'69008','Lyon',36776),(28153,'69009','Lyon',36777),(29483,'72000','Le Mans',36778),(29483,'72100','Le Mans',36779),(30438,'75001','Paris',36780),(30438,'75002','Paris',36781),(30438,'75003','Paris',36782),(30438,'75004','Paris',36783),(30438,'75005','Paris',36784),(30438,'75006','Paris',36785),(30438,'75007','Paris',36786),(30438,'75008','Paris',36787),(30438,'75009','Paris',36788),(30438,'75010','Paris',36789),(30438,'75011','Paris',36790),(30438,'75012','Paris',36791),(30438,'75013','Paris',36792),(30438,'75014','Paris',36793),(30438,'75015','Paris',36794),(30438,'75016','Paris',36795),(30438,'75017','Paris',36796),(30438,'75018','Paris',36797),(30438,'75019','Paris',36798),(30438,'75020','Paris',36799),(30438,'75116','Paris',36800),(30899,'76000','Rouen',36801),(30899,'76100','Rouen',36802),(31166,'76600','Le Havre',36803),(31166,'76610','Le Havre',36804),(31166,'76620','Le Havre',36805),(32933,'80000','Amiens',36806),(32933,'80080','Amiens',36807),(32933,'80090','Amiens',36808),(33677,'83000','Toulon',36809),(33677,'83100','Toulon',36810),(33677,'83200','Toulon',36811),(33654,'83600','Fréjus',36812),(33654,'83370','Fréjus',36813),(33688,'83700','Saint Raphaël',36814),(33688,'83530','Saint Raphaël',36815),(34488,'87000','Limoges',36816),(34488,'87100','Limoges',36817),(34488,'87280','Limoges',36818),(35570,'89000','Auxerre',36819),(35570,'89290','Auxerre',36820),(35906,'92190','Meudon',36821),(35906,'92360','Meudon',36822),(35950,'93200','Saint Denis',36823),(35950,'93210','Saint Denis',36824),(35998,'94100','Saint Maur Des Fossés',36825),(35998,'94210','Saint Maur Des Fossés',36826),(36028,'95000','Cergy',36827),(36028,'95800','Cergy',36828);
/*!40000 ALTER TABLE `Villes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `appareilsconnectescentre`
--

DROP TABLE IF EXISTS `appareilsconnectescentre`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `appareilsconnectescentre` (
  `idAppareil` int(11) NOT NULL,
  `idLieu` int(11) DEFAULT NULL COMMENT 'Lieu ou se trouve l appareil'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `appareilsconnectescentre`
--

LOCK TABLES `appareilsconnectescentre` WRITE;
/*!40000 ALTER TABLE `appareilsconnectescentre` DISABLE KEYS */;
/*!40000 ALTER TABLE `appareilsconnectescentre` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ccam`
--

DROP TABLE IF EXISTS `ccam`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ccam` (
  `idccam` int(11) NOT NULL AUTO_INCREMENT,
  `codeccam` varchar(7) DEFAULT NULL,
  `nom` varchar(512) DEFAULT NULL,
  `optam` decimal(7,2) DEFAULT NULL,
  `nonoptam` decimal(7,2) DEFAULT NULL,
  PRIMARY KEY (`idccam`)
) ENGINE=InnoDB AUTO_INCREMENT=8704 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ccam`
--

LOCK TABLES `ccam` WRITE;
/*!40000 ALTER TABLE `ccam` DISABLE KEYS */;
INSERT INTO `ccam` VALUES (1,'AAFA001','Exérèse de tumeur intraparenchymateuse du cervelet, par craniotomie',647.32,594.89),(2,'AAFA002','Exérèse de tumeur intraparenchymateuse du cerveau, par craniotomie',603.36,525.51),(3,'AAFA003','Exérèse de lésion du tronc cérébral, par craniotomie',947.93,813.14),(4,'AAFA004','Hémisphérectomie fonctionnelle, par craniotomie',850.16,850.16),(5,'AAFA005','Exérèse de lésion du corps calleux, du fornix hypothalamique ou du septum pellucide, par craniotomie',676.39,655.65),(6,'AAFA006','Résection de parenchyme cérébral pour infarctus expansif, par craniotomie',418.00,418.00),(7,'AAFA007','Excision d\'une zone épileptogène, par craniotomie',601.23,524.28),(8,'AAFA008','Résection de parenchyme cérébelleux pour infarctus expansif, par craniotomie',418.00,418.00),(9,'AAGA900','Ablation d\'électrode corticale cérébrale, par craniotomie',0.00,0.00),(10,'AAGB001','Ablation d\'électrode intracérébrale, par voie transcutanée',131.17,93.63),(11,'AAGB001','Ablation d\'électrode intracérébrale',131.17,93.63),(12,'AAJA001','Évacuation de collection intracérébrale, par craniotomie',523.24,408.82),(13,'AAJA002','Évacuation d\'hématome intracérébral traumatique [contusion], par craniotomie',305.58,282.57),(14,'AAJA003','Évacuation d\'hématome intracérébelleux, par craniotomie',418.00,418.00),(15,'AAJA004','Évacuation d\'hématome intracérébral non traumatique, par craniotomie',283.60,269.82),(16,'AAJA005','Évacuation de collection intracrânienne postopératoire, par reprise de la craniotomie précédente',250.99,215.80),(17,'AAJA006','Parage de plaie craniocérébrale',433.91,383.33),(18,'AAJH001','Évacuation de collection intracérébrale, par voie transcrânienne avec guidage scanographique',167.20,167.20),(19,'AAJH002','Évacuation d\'hématome intracérébral non traumatique, par voie transcrânienne avec guidage scanographique',250.80,250.80),(20,'AAJH003','Évacuation de collection intracérébrale, par voie transcrânienne avec guidage radiologique',167.20,167.20),(21,'AAJH004','Évacuation d\'hématome intracérébral non traumatique, par voie transcrânienne avec guidage radiologique',250.80,250.80),(22,'AAKA001','Changement d\'un générateur souscutané de stimulation cérébrale',104.50,104.50),(23,'AALA002','Implantation d\'électrode subdurale pour enregistrement électrocorticographique, par craniotomie',272.83,272.83),(24,'AALA004','Implantation souscutanée d\'un générateur de stimulation cérébrale',104.50,104.50),(25,'AALA900','Implantation d\'électrode de stimulation corticale cérébrale à visée thérapeutique, par craniotomie',0.00,0.00),(26,'AALB001','Implantation d\'électrode de stimulation intracérébrale à visée thérapeutique, par voie stéréotaxique',916.03,794.64),(27,'AALB002','Implantation d\'électrode intracérébrale pour enregistrement électroencéphalographique, par voie stéréotaxique',627.00,627.00),(28,'AALF002','Perfusion peropératoire de protection du parenchyme encéphalique, au cours d\'une intervention avec CEC',0.00,0.00),(29,'AAMP003','Réglage secondaire des paramètres de chaque plot de système de stimulation cérébrale profonde [cartographie]',0.00,0.00),(30,'AAMP173','Réglage secondaire de plusieurs paramètres de système de stimulation cérébrale profonde',102.81,102.81),(31,'AAMP387','Réglage secondaire d\'un paramètre de système de stimulation cérébrale profonde',60.48,60.48),(32,'AANB001','Destruction d\'une cible intracérébrale à visée fonctionnelle, par voie stéréotaxique',695.53,695.53),(33,'AANL001','Irradiation encéphalique en conditions stéréotaxiques avec cadre effractif, en dose unique',0.00,0.00),(34,'AANL002','Séance d\'irradiation encéphalique en conditions stéréotaxiques avec cadre non effractif, à dose fractionnée',0.00,0.00),(35,'AAPA900','Déconnexion d\'une zone épileptogène, par craniotomie',0.00,0.00),(36,'AAQM002','Échographie transfontanellaire de l\'encéphale',37.80,37.80),(37,'AAQN002','Spectroscopie par résonance magnétique cérébrale protonique localisée',0.00,0.00),(38,'AAQN004','Remnographie [IRM] fonctionnelle du cerveau pour étude des fonctions motrices',69.00,69.00),(39,'AAQN900','Remnographie [IRM] fonctionnelle du cerveau pour étude des fonctions visuelles',0.00,0.00),(40,'AAQN901','Remnographie [IRM] fonctionnelle du cerveau pour étude des fonctions phasiques',0.00,0.00),(41,'AAQN902','Spectroscopie par résonance magnétique cérébrale protonique [Chemical shift imaging] [CSI]',0.00,0.00),(42,'AAQN903','Spectroscopie par résonance magnétique cérébrale du phosphore',0.00,0.00),(43,'AAQP002','Électroencéphalographie continue ambulatoire sur au moins 8 dérivations, pendant au moins 24 heures [Holter EEG]',209.95,145.97),(44,'AAQP002','Electroencéphalographie continue ambulatoire sur 8 dérivations ou plus, pendant au moins 24 heures [Holter EEG]',209.95,145.97),(45,'AAQP003','Surveillance électroencéphalographique continue sans enregistrement vidéo, par 24 heures',80.35,70.80),(46,'AAQP004','Surveillance électroencéphalographique peropératoire sur au moins 8 dérivations, pendant moins de 4 heures',0.00,0.00),(47,'AAQP005','Surveillance électrocorticographique peropératoire de l\'activité encéphalique spontanée et/ou provoquée',0.00,0.00),(48,'AAQP006','Électroencéphalographie de longue durée de 1 à 4 heures sur au moins 8 dérivations, avec enregistrement vidéo',139.97,105.37),(49,'AAQP006','Electroencéphalographie de longue durée de 1 à 4 heures sur 8 dérivation ou plus, avec enregistrement vidéo',139.97,105.37),(50,'AAQP007','Électroencéphalographie sur au moins 8 dérivations, avec enregistrement d\'une durée minimale de 20 minutes',57.60,57.60),(51,'AAQP007','Électroencéphalographie sur 8 dérivations ou plus avec enregistrement d\'une durée minimale de 20 minutes sans numérisation et sans enregistrement vidéo',57.60,57.60),(52,'AAQP008','Surveillance électroencéphalographique peropératoire sur au moins 8 dérivations, pendant 4 heures ou plus',0.00,0.00),(53,'AAQP009','Électroencéphalographie avec quantification, sur au moins 32 dérivations',93.31,78.31),(54,'AAQP009','Electroencéphalographie avec quantification sur 32 dérivations ou plus',93.31,78.31),(55,'AAQP010','Électroencéphalographie de longue durée de plus de 4 heures sur au moins 8 dérivations, avec enregistrement vidéo',233.28,159.49),(56,'AAQP010','Electroencéphalographie de longue durée de plus de 4 heures sur 8 dérivations ou plus, avec enregistrement vidéo',233.28,159.49),(57,'AAQP011','Électroencéphalographie sur au moins 8 dérivations avec enregistrement d\'une durée minimale de 20 minutes, au lit du malade',84.67,73.30),(58,'AAQP011','Electroencéphalographie sur 8 dérivations ou plus avec enregistrement d\'une durée minimale de 20 minutes, au lit du malade',84.67,73.30),(59,'AAQP012','Surveillance électroencéphalographique continue avec enregistrement vidéo, par 24 heures',345.60,256.90),(60,'AAQP013','Surveillance électrocorticographique continue avec enregistrement vidéo, par 24 heures',345.60,256.90),(61,'AAQP129','Electroencéphalographie sur 8 dérivations ou plus avec enregistrement d\'une durée minimale de 30 minutes, avec numérisation et enregistrement vidéo, chez un patient de moins de 6 ans',152.93,152.93),(62,'AAQP350','Electroencéphalographie sur 14 dérivations ou plus avec enregistrement d\'une durée minimale de 20 minutes, avec numérisation chez un patient de 6 ans ou plus',130.46,130.46),(63,'AAQP900','Électroencéphalographie avec modélisation de sources, sur au moins 32 dérivations',0.00,0.00),(64,'AAQP900','Electroencéphalographie avec modélisation de sources, sur 32 dérivations ou plus',0.00,0.00),(65,'ABCA001','Ventriculoventriculostomie, ventriculocisternostomie, kystocisternostomie ou kystoventriculostomie, par craniotomie',421.86,376.35),(66,'ABCA002','Dérivation péritonéale ou atriale du liquide cérébrospinal ventriculaire, par abord direct',261.62,257.08),(67,'ABCA003','Dérivation péritonéale d\'une collection subdurale du liquide cérébrospinal crânien, par abord direct',261.62,257.08),(68,'ABCA004','Dérivation péritonéale ou atriale de kyste intracrânien, par abord direct',268.00,260.78),(69,'ABCB001','Dérivation externe du liquide cérébrospinal ventriculaire ou subdural, par voie transcrânienne',145.35,119.42),(70,'ABCC001','Ventriculoventriculostomie, ventriculocisternostomie, kystocisternostomie ou kystoventriculostomie, par vidéochirurgie intracrânienne',366.55,344.27),(71,'ABFA001','Exérèse et/ou fermeture de méningoencéphalocèle de la base du crâne, sans rapprochement orbitaire',617.54,445.95),(72,'ABFA002','Exérèse de lésion du troisième ventricule, par craniotomie',1000.40,843.57),(73,'ABFA003','Exérèse et/ou fermeture de méningoencéphalocèle de la voûte crânienne',282.29,282.29),(74,'ABFA004','Exérèse et/ou fermeture de méningoencéphalocèle de la base du crâne, avec rapprochement orbitaire',891.92,666.55),(75,'ABFA005','Exérèse de lésion d\'un ventricule latéral cérébral, par craniotomie',811.10,733.77),(76,'ABFA006','Exérèse de lésion du quatrième ventricule, par craniotomie',884.83,732.65),(77,'ABFA007','Exérèse d\'une fistule dermique avec prolongement intradural occipital',244.87,244.87),(78,'ABFA008','Exérèse de tumeur de la tente du cervelet, par craniotomie soustentorielle',792.66,723.09),(79,'ABFA009','Exérèse de tumeur de l\'incisure de la tente, par craniotomie sustentorielle',1006.78,935.06),(80,'ABFA010','Exérèse de tumeur de la faux du cerveau, par craniotomie',725.31,684.02),(81,'ABFC001','Exérèse de lésion du troisième ventricule, par vidéochirurgie intracrânienne',651.57,641.25),(82,'ABFC002','Exérèse de lésion d\'un ventricule latéral cérébral, par vidéochirurgie intracrânienne',627.00,627.00),(83,'ABGA001','Ablation d\'un capteur de pression intracrânienne',0.00,0.00),(84,'ABGA002','Ablation d\'une dérivation interne du liquide cérébrospinal intracrânien, par abord direct',91.46,70.61),(85,'ABGA003','Ablation d\'un système diffuseur implanté et du cathéter intraventriculaire ou intrakystique cérébral',65.23,55.39),(86,'ABHB001','Ponction de liquide cérébrospinal ventriculaire, par voie transcrânienne',92.88,86.13),(87,'ABHB002','Ponction de liquide cérébrospinal ou de collection intracrânienne, par voie transfontanellaire',39.00,34.71),(88,'ABJA001','Évacuation d\'une hémorragie intraventriculaire cérébrale, par craniotomie',259.96,259.96),(89,'ABJA002','Évacuation d\'un hématome subdural aigu, par craniotomie',250.80,250.80),(90,'ABJA003','Évacuation d\'un hématome subdural chronique unilatéral, par craniotomie',194.27,182.90),(91,'ABJA004','Évacuation d\'un hématome extradural infratentoriel, par craniotomie',313.50,313.50),(92,'ABJA005','Évacuation d\'un hématome extradural supratentoriel, par craniotomie',313.50,313.50),(93,'ABJA006','Évacuation d\'un hématome subdural chronique bilatéral, par craniotomie',250.80,250.80),(94,'ABJA007','Évacuation d\'un hématome extradural plurifocal supratentoriel et/ou infratentoriel, par craniotomie',324.72,320.01),(95,'ABJA008','Évacuation d\'un empyème intracrânien extracérébral, par craniotomie',254.53,235.41),(96,'ABJB001','Évacuation de liquide cérébrospinal ventriculaire avec injection à visée thérapeutique, par voie transcrânienne',102.10,91.47),(97,'ABJB002','Évacuation de liquide cérébrospinal ou de collection intracrânienne, par voie transfontanellaire',34.71,34.71),(98,'ABJC900','Évacuation d\'une hémorragie intraventriculaire cérébrale non traumatique, par vidéochirurgie',0.00,0.00),(99,'ABLA001','Pose d\'un cathéter intraventriculaire ou intrakystique cérébral par voie transcrânienne, avec pose d\'un système diffuseur ou d\'une pompe implantable souscutané',156.69,125.99),(100,'ABLB001','Pose d\'un cathéter ventriculaire cérébral par voie transcrânienne, avec mesure instantanée de la pression intracrânienne et tests dynamiques',110.60,99.26),(101,'ABLB002','Pose d\'un capteur ventriculaire de pression intracrânienne, par voie transcrânienne',116.99,102.97),(102,'ABLB003','Pose d\'un capteur extraventriculaire de pression intracrânienne, par voie transcrânienne',96.42,91.04),(103,'ABLB006','Séance d\'administration intraventriculaire ou intrakystique cérébrale d\'agent pharmacologique anticancéreux, par un dispositif implanté',0.00,0.00),(104,'ABMA002','Révision ou changement d\'élément d\'une dérivation interne du liquide cérébrospinal, par abord direct',255.24,183.15),(105,'ABMA003','Révision ou changement d\'élément d\'une dérivation interne du liquide cérébrospinal, par craniotomie',262.33,239.93),(106,'ABML001','Vérification radio-isotopique d\'une dérivation du liquide cérébrospinal',138.15,138.15),(107,'ABMP001','Contrôle et/ou réglage secondaire transcutané d\'une valve de dérivation de liquide cérébrospinal à pression d\'ouverture réglable',0.00,0.00),(108,'ABQL002','Cisternographie radio-isotopique',279.63,279.63),(109,'ABQL003','Recherche radio-isotopique d\'une brèche ostéoméningée',138.15,138.15),(110,'ABQP001','Surveillance continue de la pression intracrânienne, par 24 heures',0.00,0.00),(111,'ABSA001','Fermeture d\'une brèche ostéodurale de l\'étage moyen de la base du crâne, par craniotomie',419.02,418.59),(112,'ABSA002','Fermeture d\'une brèche ostéodurale de l\'étage moyen de la base du crâne, par abord translabyrinthique',589.82,517.66),(113,'ABSA003','Fermeture d\'une brèche ostéodurale du sinus frontal, par abord coronal',501.58,501.58),(114,'ABSA004','Fermeture d\'une brèche ostéodurale de l\'étage moyen de la base du crâne, par abord mastoïdoattical',418.00,418.00),(115,'ABSA005','Fermeture d\'une brèche ostéodurale ou d\'une méningocèle de l\'étage antérieur de la base du crâne, par abord orbitaire',470.32,470.32),(116,'ABSA006','Fermeture d\'une brèche ostéodurale de l\'étage moyen de la base du crâne, par abord suprapétreux',589.82,517.66),(117,'ABSA007','Fermeture d\'une brèche ostéodurale ou d\'une méningocèle de l\'étage antérieur de la base du crâne, par craniotomie',517.57,475.75),(118,'ABSA008','Fermeture d\'une fistule postopératoire de liquide cérébrospinal de la base du crâne',418.00,418.00),(119,'ABSA009','Fermeture d\'une fistule de liquide cérébrospinal ou d\'une méningocèle postopératoire de la voûte crânienne, par craniotomie',418.00,418.00),(120,'ABSA010','Fermeture d\'une brèche ostéodurale ou d\'une méningocèle de l\'étage antérieur de la base du crâne, par abord paralatéronasal',518.55,518.55),(121,'ABSA011','Fermeture d\'une brèche ostéodurale ou d\'une méningocèle de l\'étage antérieur de la base du crâne, par abord nasosphénoïdal',455.84,439.95),(122,'ABSA012','Fermeture d\'une brèche ostéodurale ou d\'une méningocèle de l\'étage antérieur de la base du crâne, par endoscopie',418.00,418.00),(123,'ACFA001','Exérèse de tumeur de l\'étage antérieur de la base du crâne, par craniotomie frontale unilatérale',699.07,668.80),(124,'ACFA002','Exérèse de tumeur extraparenchymateuse de la convexité du cerveau sans atteinte de sinus veineux dural, par craniotomie',621.08,535.79),(125,'ACFA003','Exérèse de tumeur de la pointe du rocher, par abord translabyrinthique',715.05,715.05),(126,'ACFA004','Exérèse de tumeur du clivus, par craniotomie',1159.22,1023.46),(127,'ACFA005','Exérèse de tumeur de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne], par abord rétrolabyrinthique présigmoïdien',1228.92,1107.79),(128,'ACFA006','Exérèse de tumeur de la pointe du rocher sans déroutement du nerf facial, par abord transpétreux',741.51,605.64),(129,'ACFA007','Exérèse de tumeur de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne], par abord translabyrinthique',1256.64,1123.87),(130,'ACFA008','Exérèse de tumeur extraparenchymateuse de la convexité du cervelet sans atteinte de sinus veineux dural, par craniotomie',571.45,550.89),(131,'ACFA009','Exérèse de tumeur de la pointe du rocher, par abord suprapétreux',963.27,734.26),(132,'ACFA010','Exérèse de tumeur de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne], par abord infraoccipital rétrosigmoïdien',1228.92,1107.79),(133,'ACFA011','Exérèse de tumeur de l\'étage moyen de la base du crâne, par craniotomie',706.16,672.91),(134,'ACFA012','Exérèse de tumeur de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne], par abord suprapétreux',940.50,940.50),(135,'ACFA013','Exérèse de tumeur du tiers interne de l\'étage moyen de la base du crâne intéressant l\'angle sphénoorbitaire, par craniotomie',1177.65,946.37),(136,'ACFA014','Exérèse de tumeur de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne], par deux abords',1205.14,1205.14),(137,'ACFA015','Exérèse de tumeur de l\'étage antérieur de la base du crâne, par craniotomie frontale bilatérale',787.70,720.20),(138,'ACFA016','Exérèse de tumeur de la région pétroclivale sans déroutement du nerf facial, par abord transpétreux',1214.52,1055.54),(139,'ACFA018','Exérèse de tumeur extraparenchymateuse de la convexité du cervelet envahissant un sinus veineux dural, par craniotomie',761.47,661.10),(140,'ACFA019','Exérèse de tumeur du foramen magnum avec déroutement de l\'artère vertébrale, par craniotomie',989.76,837.40),(141,'ACFA020','Exérèse de tumeur du clivus, par abord transoral ou nasosphénoïdal',942.26,897.64),(142,'ACFA022','Exérèse de tumeur de la région optochiasmatique et/ou hypothalamique, par craniotomie',1046.48,870.30),(143,'ACFA023','Exérèse de tumeur du foramen jugulaire, par craniotomie',1041.52,867.42),(144,'ACFA024','Exérèse de tumeur du foramen magnum sans déroutement de l\'artère vertébrale, par craniotomie',808.97,732.54),(145,'ACFA025','Exérèse de tumeur de la région pétroclivale avec déroutement du nerf facial, par abord transpétreux',1238.54,1238.54),(146,'ACFA026','Exérèse de tumeur de l\'étage antérieur de la base du crâne, par craniotomie frontale bilatérale et abord ethmoïdal',991.89,838.63),(147,'ACFA027','Exérèse de tumeur de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne], par abord transotique',1370.60,1189.96),(148,'ACFA028','Exérèse de tumeur extraparenchymateuse de la convexité du cerveau envahissant un sinus veineux dural, par craniotomie',773.52,624.20),(149,'ACFA029','Exérèse de tumeur de la pointe du rocher avec déroutement du nerf facial, par abord transpétreux',944.79,723.54),(150,'ACHA001','Biopsie de lésion de la base du crâne, par abord transoral ou nasosphénoïdal',369.39,284.47),(151,'ACHA002','Biopsie de lésion intracrânienne, par craniotomie',231.13,204.28),(152,'ACHA003','Biopsie de lésion de la base du crâne, par endoscopie buccale ou nasale',220.73,220.73),(153,'ACHB001','Biopsie de lésion intracrânienne, par voie transcrânienne stéréotaxique',522.50,522.50),(154,'ACHH001','Ponction ou cytoponction de lésion intracrânienne, par voie transcutanée avec guidage scanographique',104.50,104.50),(155,'ACHJ001','Ponction ou cytoponction de lésion intracrânienne, par voie transcutanée avec guidage remnographique [IRM]',104.50,104.50),(156,'ACPA001','Libération d\'un conflit vasculonerveux intracrânien, par craniotomie',596.27,521.40),(157,'ACQC001','Exploration intracrânienne, par vidéochirurgie',0.00,0.00),(158,'ACQH001','Scanographie du crâne et de son contenu, avec injection intrathécale de produit de contraste [Cysternoscanner]',25.27,25.27),(159,'ACQH002','Scanographie du crâne, de son contenu et du thorax, avec injection intraveineuse de produit de contraste',50.54,50.54),(160,'ACQH003','Scanographie du crâne et de son contenu, avec injection intraveineuse de produit de contraste',25.27,25.27),(161,'ACQH004','Scanographie du crâne, de son contenu et du tronc, avec injection intraveineuse de produit de contraste',50.54,50.54),(162,'ACQJ001','Remnographie [IRM] du crâne et de son contenu avec étude de la viabilité du parenchyme cérébral par imagerie de diffusion et de perfusion, avec remnographie des vaisseaux [angio-IRM] cervicocéphaliques',69.00,69.00),(163,'ACQJ002','Remnographie [IRM] du crâne et de son contenu, avec injection intraveineuse de produit de contraste',69.00,69.00),(164,'ACQK001','Scanographie du crâne et de son contenu, sans injection de produit de contraste',25.27,25.27),(165,'ACQK002','Scanographie du crâne et de son contenu et/ou du massif facial pour planification dosimétrique',25.27,25.27),(166,'ACQK003','Scanographie du crâne et de son contenu et/ou du massif facial pour repérage stéréotaxique',25.27,25.27),(167,'ACQL001','Tomoscintigraphie cérébrale à l\'aide de marqueur de la neurotransmission et/ou du métabolisme',268.87,268.87),(168,'ACQL002','Tomoscintigraphie cérébrale par émission de positons, avec tépographe [caméra TEP] dédié',89.54,89.54),(169,'ACQL003','Tomoscintigraphie cérébrale pour diagnostic et bilan de tumeur cérébrale',268.87,268.87),(170,'ACQL004','Tomoscintigraphie de perfusion cérébrale en période critique',274.25,274.25),(171,'ACQL005','Tomoscintigraphie de perfusion cérébrale avec test d\'activation et quantification complexe',327.30,327.30),(172,'ACQL007','Tomoscintigraphie de perfusion cérébrale sans test d\'activation',274.25,274.25),(173,'ACQL008','Tomoscintigraphie de perfusion cérébrale après épreuve pharmacodynamique',274.25,274.25),(174,'ACQN001','Remnographie [IRM] du crâne et de son contenu, sans injection intraveineuse de produit de contraste',69.00,69.00),(175,'ACQN002','Remnographie [IRM] du crâne et de son contenu et/ou du massif facial pour planification dosimétrique',69.00,69.00),(176,'ACQN003','Remnographie [IRM] du crâne et de son contenu pour procédure stéréotaxique',69.00,69.00),(177,'ACQN004','Remnographie [IRM] du crâne et de son contenu, avec étude de la viabilité du parenchyme cérébral par imagerie de diffusion et de perfusion',69.00,69.00),(178,'ACQP002','Repérage de structure nerveuse et/ou osseuse et guidage peropératoires assistés par ordinateur [Navigation]',203.04,125.40),(179,'ADCA001','Déroutement et suture du nerf facial, par abord transmastoïdien',440.58,440.58),(180,'ADCA002','Suture de plaie du nerf facial extrapétreux',343.42,264.65),(181,'ADCA003','Déroutement et suture du nerf facial, par abord suprapétreux',672.66,672.66),(182,'ADCA004','Déroutement du nerf alvéolaire inférieur [dentaire inférieur], par abord intrabuccal',104.50,104.50),(183,'ADCA005','Anastomose extracrânienne entre deux nerfs crâniens',374.48,374.48),(184,'ADCA006','Suture de plaie d\'un nerf crânien, par craniotomie',497.70,497.70),(185,'ADCA007','Déroutement et suture du nerf facial, par abord translabyrinthique',707.49,707.49),(186,'ADEA001','Autogreffe du nerf facial, par abord transmastoïdien',481.23,481.23),(187,'ADEA002','Autogreffe du nerf facial extrapétreux',349.93,349.93),(188,'ADEA003','Autogreffe du nerf facial avec déroutement, par abord translabyrinthique',990.99,692.92),(189,'ADEA004','Autogreffe du nerf facial, par abord suprapétreux et/ou par abord rétrosigmoïdien',654.51,654.51),(190,'ADEA005','Autogreffe de nerf crânien, par craniotomie',573.36,573.36),(191,'ADFA002','Exérèse de lésion extracrânienne d\'un nerf crânien avec réparation immédiate par autogreffe',420.55,420.55),(192,'ADFA003','Exérèse de lésion du nerf facial extrapétreux sans réparation immédiate',257.66,257.66),(193,'ADFA004','Exérèse de lésion du nerf facial intrapétreux avec réparation immédiate',746.79,746.79),(194,'ADFA005','Exérèse de lésion extracrânienne d\'un nerf crânien sans réparation immédiate',248.15,226.96),(195,'ADFA006','Exérèse de lésion du nerf facial extrapétreux avec réparation immédiate',443.27,443.27),(196,'ADGA001','Ablation d\'un générateur de stimulation du nerf vague, par abord direct',56.72,56.72),(197,'ADKA001','Changement d\'un générateur de stimulation du nerf vague, par abord direct',63.81,63.81),(198,'ADLA001','Implantation d\'un stimulateur du nerf vague, par abord direct',226.88,226.88),(199,'ADLB001','Infiltration thérapeutique de branche terminale du nerf trijumeau',35.45,24.59),(200,'ADLH001','Infiltration anesthésique du ganglion trigéminal avec évaluation diagnostique et pronostique, avec guidage radiologique',44.87,38.40),(201,'ADLH002','Infiltration anesthésique d\'une branche de division du nerf trijumeau avec évaluation diagnostique et pronostique, avec guidage radiologique',13.90,9.60),(202,'ADLH003','Infiltration anesthésique du nerf glossopharyngien avec évaluation diagnostique et pronostique, avec guidage radiologique',59.41,9.60),(203,'ADNB001','Destruction sélective de branche terminale du nerf trijumeau, par voie transcutanée ou transmuqueuse sans guidage',34.03,23.77),(204,'ADNH001','Destruction sélective du nerf glossopharyngien, par voie transcutanée avec guidage radiologique',209.00,209.00),(205,'ADNH002','Destruction sélective de branche terminale du nerf trijumeau, par voie transcutanée avec guidage radiologique',209.00,209.00),(206,'ADPA001','Décompression du nerf optique, par craniotomie',522.50,522.50),(207,'ADPA002','Vagotomie tronculaire postérieure avec séromyotomie oesogastrique antérieure, par laparotomie',374.48,374.48),(208,'ADPA003','Section d\'une branche extracrânienne du nerf trijumeau, par abord direct',83.60,83.60),(209,'ADPA004','Décompression du nerf alvéolaire inférieur [dentaire inférieur], par abord intrabuccal',134.00,121.62),(210,'ADPA005','Neurotomie vestibulaire, par abord translabyrinthique',634.69,634.69),(211,'ADPA007','Neurotomie vestibulaire, par abord suprapétreux',614.60,614.60),(212,'ADPA008','Décompression du nerf facial, par abord transmastoïdien',410.41,356.18),(213,'ADPA009','Section des nerfs pétreux, par abord suprapétreux',347.73,347.73),(214,'ADPA010','Neurotomie vestibulaire, par abord rétrolabyrinthique',909.37,684.71),(215,'ADPA011','Décompression du nerf facial, par abord suprapétreux',773.08,623.95),(216,'ADPA012','Section du nerf ampullaire postérieur',202.59,202.59),(217,'ADPA013','Section de nerf crânien, par abord infraoccipital rétrosigmoïdien',570.75,436.37),(218,'ADPA014','Vagotomie tronculaire, par thoracotomie',313.50,313.50),(219,'ADPA015','Section du nerf du canal ptérygoïdien [Neurotomie vidienne]',121.76,121.76),(220,'ADPA016','Décompression du nerf infraorbitaire, par abord direct',113.44,109.69),(221,'ADPA017','Section du nerf tympanique [de Jacobson] dans le cavum tympanique',92.72,92.72),(222,'ADPA018','Vagotomie tronculaire avec gastrojéjunostomie, par laparotomie',374.48,374.48),(223,'ADPA019','Vagotomie suprasélective, par laparotomie',393.50,385.50),(224,'ADPA020','Décompression du nerf optique, par abord orbitaire',227.59,227.59),(225,'ADPA021','Décompression du nerf facial, par abord transmastoïdien et par abord suprapétreux',702.55,702.55),(226,'ADPA022','Vagotomie tronculaire, par laparotomie',374.48,374.48),(227,'ADPA023','Décompression du nerf optique, par abord transsinusien [transethmoïdal]',468.72,447.42),(228,'ADPA024','Vagotomie tronculaire avec antrectomie gastrique, par laparotomie',423.98,403.20),(229,'ADPC001','Vagotomie tronculaire, par coelioscopie',403.28,403.28),(230,'ADPC002','Vagotomie suprasélective, par coelioscopie',448.09,429.27),(231,'ADPC003','Vagotomie tronculaire postérieure avec séromyotomie oesogastrique antérieure, par coelioscopie',404.18,404.18),(232,'ADPC004','Vagotomie tronculaire, par thoracoscopie',313.50,313.50),(233,'ADPC900','Section de nerf crânien, par vidéochirurgie intracrânienne',0.00,0.00),(234,'ADQB001','Électromyographie de détection du muscle ptérygoïdien latéral, par électrode aiguille',42.08,42.08),(235,'ADQB002','Électromyographie [EMG] unilatérale ou bilatérale de détection du muscle releveur de la paupière supérieure et/ou des muscles oculomoteurs, par électrode aiguille',44.58,44.58),(236,'ADQP002','Électrooculographie sensorielle [EOG sensorielle]',53.76,53.76),(237,'ADQP003','Électrooculographie motrice [EOG motrice]',58.03,56.24),(238,'ADQP007','Électrorétinographie [ERG] par flash lumineux, avec mesure des amplitudes et latences des réponses, et étude des potentiels évoqués visuels [PEV]',80.64,80.64),(239,'ADQP014','Mesure du réflexe trigéminopalpébral [réflexe de clignement] et/ou du réflexe massétérin',50.11,43.58),(240,'AEFA001','Exérèse de lésion de la moelle épinière sur un étage vertébral, par abord postérieur',733.11,688.54),(241,'AEFA002','Exérèse de lésion de la moelle épinière sur plusieurs étages vertébraux, par abord postérieur',1046.48,1001.97),(242,'AEFA003','Exérèse de lésion du cône médullaire, par abord postérieur',737.36,691.01),(243,'AEGA001','Ablation d\'électrode de stimulation de la moelle épinière, par abord direct',182.92,123.65),(244,'AEGB001','Ablation d\'électrode de stimulation de la moelle épinière, par voie transcutanée',63.10,54.16),(245,'AEJA001','Parage et fermeture de plaie pénétrante vertébrospinale, par abord antérieur ou antérolatéral',476.45,408.01),(246,'AEJA002','Parage et fermeture de plaie pénétrante vertébrospinale avec ostéosynthèse vertébrale, par abord antérieur ou antérolatéral',494.67,494.67),(247,'AEJA003','Évacuation d\'hématome intraspinal [hématomyélie]',453.05,394.44),(248,'AEJA004','Parage et fermeture de plaie pénétrante vertébrospinale, par abord postérieur',395.62,334.80),(249,'AEJA005','Parage et fermeture de plaie pénétrante vertébrospinale avec ostéosynthèse vertébrale, par abord postérieur',428.99,428.99),(250,'AEKA001','Changement d\'un générateur souscutané de stimulation de la moelle épinière',104.50,104.50),(251,'AELA001','Implantation d\'électrode de stimulation de la moelle épinière à visée thérapeutique, par abord direct',265.17,259.13),(252,'AELA002','Implantation souscutanée d\'un générateur de stimulation de la moelle épinière',104.50,104.50),(253,'AELB001','Implantation d\'électrode de stimulation de la moelle épinière à visée thérapeutique par voie transcutanée, avec implantation souscutanée d\'un générateur de stimulation neurologique',167.20,167.20),(254,'AELB002','Implantation d\'électrode de stimulation de la moelle épinière à visée thérapeutique, par voie transcutanée',168.74,132.99),(255,'AEMP491','Réglage secondaire ou reprogrammation d\'un générateur souscutané de stimulation de la moelle épinière',0.00,0.00),(256,'AENA001','Destruction sélective de la corne postérieure de la moelle épinière ou de la jonction radicellospinale, par abord postérieur',550.59,550.59),(257,'AEPA001','Libération de moelle attachée, par abord postérieur',541.68,445.84),(258,'AEPA002','Myélotomie, commissurotomie ou cordotomie spinale, par abord postérieur',521.82,434.33),(259,'AEPA004','Libération d\'une diastématomyélie, par abord postérieur',458.58,458.58),(260,'AEPB001','Cordotomie spinale, par voie transcutanée',366.07,366.07),(261,'AEQH001','Myélographie dorsale et/ou lombale',106.40,106.40),(262,'AEQH002','Myélographie cervicale',106.40,106.40),(263,'AEQM001','Échographie transcutanée de la moelle épinière',37.80,37.80),(264,'AFCA001','Dérivation d\'une cavité liquidienne intraspinale [syringomyélique] ou périspinale dans l\'espace subarachnoïdien rachidien, par abord direct',470.78,404.72),(265,'AFCA002','Dérivation lombopéritonéale du liquide cérébrospinal subarachnoïdien rachidien, par abord direct',248.86,179.45),(266,'AFCA003','Dérivation d\'une cavité liquidienne intraspinale [syringomyélique] ou périspinale en dehors de l\'espace subarachnoïdien rachidien, par abord direct',523.24,435.15),(267,'AFCA004','Dérivation externe du liquide cérébrospinal subarachnoïdien rachidien',116.99,102.97),(268,'AFFA001','Exérèse de tumeur intradurale extraspinale sans reconstruction vertébrale, par abord antérieur ou antérolatéral',705.46,567.16),(269,'AFFA002','Exérèse de tumeur en sablier extracanalaire et intracanalaire vertébrale avec reconstruction vertébrale, par abord postérieur ou postérolatéral',752.25,721.59),(270,'AFFA003','Exérèse de tumeur en sablier extracanalaire et intracanalaire vertébrale sans reconstruction vertébrale, par abord postérieur ou postérolatéral',657.95,601.06),(271,'AFFA004','Exérèse de kyste méningé intracanalaire vertébral, par abord postérieur',376.20,376.20),(272,'AFFA005','Exérèse de tumeur épidurale rachidienne avec ostéosynthèse vertébrale, par abord postérieur',504.10,489.88),(273,'AFFA006','Exérèse d\'une fistule dermique avec prolongement intradural rachidien',270.84,209.75),(274,'AFFA007','Exérèse de tumeur intradurale extraspinale, par abord postérieur ou postérolatéral',635.26,526.46),(275,'AFFA008','Exérèse de tumeur en sablier extracanalaire et intracanalaire vertébrale sans reconstruction vertébrale, par abord antérieur ou antérolatéral',742.32,650.00),(276,'AFFA009','Exérèse de tumeur intradurale extraspinale avec reconstruction vertébrale, par abord antérieur ou antérolatéral',806.84,691.80),(277,'AFFA010','Exérèse de tumeur épidurale rachidienne, par abord postérieur',417.60,373.88),(278,'AFFA011','Exérèse de tumeur en sablier extracanalaire et intracanalaire vertébrale avec reconstruction vertébrale, par abord antérieur ou antérolatéral',871.36,724.84),(279,'AFGA001','Ablation d\'un système diffuseur ou d\'une pompe implanté souscutané et du cathéter péridural [épidural] ou intrathécal spinal',65.23,55.39),(280,'AFGA002','Ablation d\'une dérivation interne intraspinale du liquide cérébrospinal rachidien, par abord direct',126.20,90.75),(281,'AFHB001','Ponction de liquide cérébrospinal, par voie infraoccipitale ou latérocervicale transcutanée [Ponction sousoccipitale]',63.94,43.53),(282,'AFHB002','Ponction de liquide cérébrospinal, par voie lombale transcutanée [Ponction lombaire]',34.56,26.50),(283,'AFJA001','Évacuation d\'hématome péridural [épidural] rachidien, par abord direct',314.09,313.84),(284,'AFJA002','Parage d\'une épidurite et/ou d\'une spondylodiscite sans reconstruction vertébrale, par abord direct',348.12,307.25),(285,'AFJA003','Évacuation d\'hématome intradural rachidien, par abord direct',361.59,341.39),(286,'AFJA004','Évacuation d\'hématome péridural [épidural] rachidien postopératoire, par abord direct',313.50,313.50),(287,'AFJA005','Parage d\'une épidurite et/ou d\'une spondylodiscite avec reconstruction vertébrale par greffe et/ou ostéosynthèse, par abord direct',516.86,431.45),(288,'AFJB002','Évacuation de liquide cérébrospinal, par voie transcutanée lombale',52.70,37.02),(289,'AFKB001','Changement d\'un cathéter intrathécal spinal relié à un système diffuseur ou une pompe implanté souscutané',125.40,125.40),(290,'AFKB002','Changement d\'un cathéter péridural [épidural] relié à un système diffuseur ou à une pompe implanté souscutané',104.50,104.50),(291,'AFLA003','Pose d\'un cathéter intrathécal ou intrakystique spinal, avec pose d\'un système diffuseur ou d\'une pompe implantable souscutané',184.34,172.75),(292,'AFLB001','Injection péridurale [épidurale] de sang autologue [Blood patch]',50.56,35.78),(293,'AFLB003','Séance d\'injection intrathécale d\'agent pharmacologique anticancéreux, par voie transcutanée',0.00,0.00),(294,'AFLB004','Pose d\'un cathéter intrathécal spinal par voie lombale transcutanée, avec mesure instantanée de la pression du liquide cérébrospinal et tests dynamiques',104.50,104.50),(295,'AFLB006','Injection thérapeutique intrathécale d\'agent pharmacologique, par voie transcutanée sans guidage',35.39,26.98),(296,'AFLB007','Injection thérapeutique péridurale [épidurale] d\'agent pharmacologique, sans guidage',44.90,44.90),(297,'AFLB008','Pose d\'un cathéter péridural [épidural], avec pose d\'un système diffuseur ou d\'une pompe implantable souscutané',183.63,163.57),(298,'AFLB010','Anesthésie rachidienne au cours d\'un accouchement par voie basse',0.00,0.00),(299,'AFLB013','Séance d\'administration intrathécale d\'agent pharmacologique anticancéreux, par un dispositif implanté',0.00,0.00),(300,'AFLB016','Administration intrathécale ou intrakystique spinale d\'agent pharmacologique au long cours',106.81,97.06),(301,'AFLB017','Administration péridurale [épidurale] d\'agent pharmacologique au long cours',106.81,97.06),(302,'AFLH001','Injection thérapeutique péridurale [épidurale] d\'agent pharmacologique, par voie transcutanée avec guidage radiologique',68.26,28.80),(303,'AFLH002','Injection thérapeutique intrathécale d\'agent pharmacologique, par voie transcutanée avec guidage radiologique',47.40,28.80),(304,'AFPA001','Mise à plat de lésion infectieuse péridurale rachidienne et/ou paravertébrale postopératoire [sepsis], par abord direct',250.80,250.80),(305,'AFQH001','Saccoradiculographie avec scanographie de la colonne vertébrale',106.40,106.40),(306,'AFQH002','Saccoradiculographie',106.40,106.40),(307,'AFQH003','Myélographie avec scanographie de la colonne vertébrale [Myéloscanner]',106.40,106.40),(308,'AFSA001','Fermeture d\'un spina bifida avec myéloméningocèle, par abord postérieur',359.48,359.48),(309,'AFSA002','Fermeture d\'un spina bifida avec méningocèle, par abord postérieur',313.50,313.50),(310,'AFSA003','Fermeture d\'une fistule de liquide cérébrospinal ou d\'une méningocèle postopératoire spinale',258.79,255.44),(311,'AGLB001','Injection péridurale [épidurale] d\'agent pharmacologique à visée antalgique, avec évaluation diagnostique et pronostique',65.73,62.31),(312,'AGMA001','Réparation de perte de substance durale de plus de 10 cm² par greffe ou substitut, au cours d\'une intervention intracrânienne ou intrarachidienne',0.00,0.00),(313,'AGMP001','Préparation à une irradiation externe du névraxe [irradiation craniospinale]',668.00,668.00),(314,'AGQC001','Endoscopie intradurale peropératoire',0.00,0.00),(315,'AGQP004','Surveillance peropératoire des potentiels évoqués moteurs, sensoriels ou somesthésiques, pendant plus de 4 heures',0.00,0.00),(316,'AGQP005','Surveillance peropératoire des potentiels évoqués moteurs, sensoriels ou somesthésiques pendant 2 à 4 heures',0.00,0.00),(317,'AGQP006','Surveillance peropératoire des potentiels évoqués moteurs, sensoriels ou somesthésiques, pendant moins de 2 heures',0.00,0.00),(318,'AHCA001','Suture, autogreffe non pédiculée et/ou neurotisation du plexus brachial, par abord supraclaviculaire',737.77,737.77),(319,'AHCA002','Suture de plaies de 2 nerfs digitaux palmaires et d\'une artère digitale palmaire, sur un rayon de la main',396.24,396.24),(320,'AHCA003','Suture de plaie de nerf à la cheville ou au pied, par abord direct',286.44,231.61),(321,'AHCA004','Suture de plaie du nerf fémoral [crural], par abord direct',288.56,232.84),(322,'AHCA005','Suture de plaie du nerf musculocutané, par abord direct',164.49,160.88),(323,'AHCA006','Suture de plaies du nerf médian et du nerf ulnaire au poignet, par abord direct',370.81,320.05),(324,'AHCA007','Suture de plaie d\'un nerf cervicofacial, par abord direct',179.38,169.51),(325,'AHCA008','Suture de plaies du nerf médian et du nerf ulnaire au poignet avec suture de plaie de l\'artère radiale ou de l\'artère ulnaire, par abord direct',514.73,416.69),(326,'AHCA009','Suture de plaie du nerf radial au bras ou au coude, par abord direct',294.94,236.54),(327,'AHCA010','Suture de plaie du nerf sciatique à la cuisse, par abord direct',340.17,340.17),(328,'AHCA011','Suture de plaie du nerf tibial [sciatique poplité interne], par abord direct',288.56,232.84),(329,'AHCA012','Suture de plaie du nerf médian ou du nerf ulnaire au poignet avec suture de plaie de l\'artère radiale ou de l\'artère ulnaire, par abord direct',387.11,309.75),(330,'AHCA013','Suture de plaies de 2 nerfs digitaux palmaires, sur un rayon de la main',249.94,249.94),(331,'AHCA014','Suture, greffe et/ou neurotisation du plexus lombosacral, par abord direct',787.70,766.73),(332,'AHCA015','Suture de plaies d\'un nerf digital palmaire et d\'une artère digitale palmaire, sur un rayon de la main',333.54,333.54),(333,'AHCA016','Suture de plaie de nerf profond du membre supérieur en amont du poignet, par abord direct',287.85,232.43),(334,'AHCA017','Suture de plaies du nerf médian et du nerf ulnaire au poignet avec suture de plaies de l\'artère radiale et de l\'artère ulnaire, par abord direct',554.44,439.72),(335,'AHCA018','Suture de plaie du nerf médian ou du nerf ulnaire au poignet, par abord direct',287.15,232.01),(336,'AHCA019','Suture de plaie du nerf circonflexe, par abord direct',323.72,323.72),(337,'AHCA020','Suture, autogreffe non pédiculée et/ou neurotisation du plexus brachial, par abord supraclaviculaire et par abord infraclaviculaire',828.11,790.17),(338,'AHCA021','Suture de plaie du nerf fibulaire commun [sciatique poplité externe], par abord direct',288.56,232.84),(339,'AHCA022','Suture, autogreffe non pédiculée et/ou neurotisation du plexus brachial, par abord infraclaviculaire',737.77,737.77),(340,'AHCA023','Suture de plaie d\'un nerf digital palmaire, sur un rayon de la main',158.11,157.17),(341,'AHEA001','Autogreffe pédiculée d\'un nerf spinal profond, par abord direct',281.29,281.29),(342,'AHEA002','Autogreffe du nerf musculocutané, par abord direct',387.08,387.08),(343,'AHEA003','Autogreffe nerveuse à la cheville ou au pied, par abord direct',383.57,340.61),(344,'AHEA004','Autogreffe du nerf médian à l\'avant-bras, par abord direct',443.83,375.57),(345,'AHEA005','Autogreffe du nerf médian et du nerf ulnaire au poignet, par abord direct',521.12,473.06),(346,'AHEA006','Autogreffe du nerf sciatique à la cuisse, par abord direct',387.49,387.49),(347,'AHEA007','Neurotisation d\'un nerf spinal profond sans libération nerveuse, par abord direct',281.29,281.29),(348,'AHEA008','Autogreffe du nerf médian ou du nerf ulnaire au poignet, par abord direct',379.32,338.15),(349,'AHEA009','Autogreffe du nerf tibial [sciatique poplité interne] ou du nerf fibulaire commun [sciatique poplité externe], par abord direct',460.85,385.43),(350,'AHEA010','Autogreffe du nerf circonflexe, par abord direct',516.86,417.92),(351,'AHEA011','Autogreffe du nerf ulnaire à l\'avant-bras, par abord direct',443.83,375.57),(352,'AHEA012','Autogreffe d\'un nerf cervicofacial, par abord direct',281.29,281.29),(353,'AHEA013','Autogreffe du nerf fémoral [crural], par abord direct',387.90,387.90),(354,'AHEA014','Autogreffe du nerf radial, par abord direct',433.91,369.80),(355,'AHEA015','Neurotisation d\'un nerf spinal profond avec libération nerveuse, par abord direct',333.54,333.54),(356,'AHEA016','Autogreffe nerveuse à la main, par abord direct',372.23,334.03),(357,'AHEA017','Autogreffe du nerf sciatique à la fesse, par abord direct',431.08,431.08),(358,'AHEA018','Autogreffe pédiculée du plexus brachial, par abord supraclaviculaire et par abord infraclaviculaire',954.31,863.37),(359,'AHFA001','Exérèse de tumeur d\'un nerf spinal avec réparation immédiate, par abord direct',392.79,310.84),(360,'AHFA002','Exérèse de tumeur nerveuse cervicale superficielle, par cervicotomie',197.69,197.69),(361,'AHFA003','Exérèse de lésion de la queue de cheval étendue sur plusieurs étages vertébraux [lésion géante de la queue de cheval], par abord postérieur',836.00,836.00),(362,'AHFA004','Exérèse de tumeur d\'un nerf spinal sans réparation immédiate, par abord direct',197.69,197.69),(363,'AHFA005','Résection du nerf présacral, par laparotomie',250.80,250.80),(364,'AHFA007','Exérèse de lésion de la queue de cheval sur un étage vertébral, par abord postérieur',704.04,566.35),(365,'AHFA008','Exérèse de tumeur du plexus brachial ou du plexus lombosacral avec réparation immédiate, par abord direct',617.54,441.20),(366,'AHFA009','Prélèvement peropératoire d\'autogreffe nerveuse sur un membre différent du membre opéré',0.00,0.00),(367,'AHFA010','Exérèse de tumeur nerveuse cervicale profonde, par cervicotomie',572.87,415.30),(368,'AHFA011','Exérèse de tumeur nerveuse cervicale profonde, par cervicotomie et par thoracotomie',444.08,444.08),(369,'AHFA012','Exérèse de lipome de la queue de cheval avec fermeture de méningocèle ou de myéloméningocèle, par abord postérieur',813.93,669.59),(370,'AHGA001','Ablation d\'électrode de stimulation du nerf phrénique, par thoracotomie',0.00,0.00),(371,'AHGA002','Ablation d\'un stimulateur électrique de restauration de la motricité du membre supérieur',0.00,0.00),(372,'AHHA001','Biopsie de nerf périphérique, par abord direct',51.76,47.58),(373,'AHHA002','Biopsie neuromusculaire, par abord direct',65.94,55.80),(374,'AHHB001','Biopsie de nerf périphérique, par voie transcutanée',44.61,44.61),(375,'AHKA001','Changement d\'électrode de stimulation du nerf phrénique, par thoracotomie',0.00,0.00),(376,'AHKA002','Changement d\'électrode d\'un stimulateur électrique de restauration de la motricité du membre supérieur',0.00,0.00),(377,'AHKA003','Changement du générateur d\'un stimulateur électrique de restauration de la motricité du membre supérieur',0.00,0.00),(378,'AHLA001','Implantation d\'un stimulateur électrique pour restauration de la motricité du membre supérieur',0.00,0.00),(379,'AHLA002','Implantation d\'électrode de stimulation du nerf phrénique par thoracotomie, avec pose d\'un stimulateur externe',0.00,0.00),(380,'AHLA003','Implantation d\'une électrode définitive sur une racine nerveuse sacrale par abord direct, avec implantation souscutanée d\'un générateur de neuromodulation',205.61,189.48),(381,'AHLB001','Bloc anesthésique continu du plexus brachial',83.60,83.60),(382,'AHLB002','Infiltration thérapeutique de nerf superficiel d\'un membre, avec stimulodétection électrique',28.80,28.80),(383,'AHLB003','Infiltration thérapeutique unilatérale ou bilatérale du nerf grand occipital [grand nerf occipital d\'Arnold]',34.13,27.86),(384,'AHLB004','Infiltration thérapeutique d\'un nerf profond dans un canal ostéofibreux, sans guidage',28.44,24.56),(385,'AHLB005','Infiltration anesthésique de tronc nerveux profond avec évaluation diagnostique et pronostique, sans guidage',60.67,43.26),(386,'AHLB006','Infiltration thérapeutique du nerf médian dans le canal carpien',29.48,29.48),(387,'AHLB007','Infiltration anesthésique de tronc nerveux superficiel avec évaluation diagnostique et pronostique, sans stimulodétection électrique',25.91,23.09),(388,'AHLB008','Infiltration anesthésique du plexus brachial, avec évaluation diagnostique et pronostique',54.98,39.96),(389,'AHLB009','Bloc anesthésique continu d\'un nerf profond d\'un membre',83.60,83.60),(390,'AHLB010','Infiltration thérapeutique de nerf de la paroi du tronc, avec stimulodétection',39.18,30.79),(391,'AHLB011','Infiltration thérapeutique de nerf spinal à l\'émergence rachidienne, sans guidage',37.29,29.69),(392,'AHLB012','Infiltration thérapeutique de nerf profond d\'un membre, sans guidage',61.30,43.62),(393,'AHLB013','Bloc anesthésique continu du plexus lombosacral, sans guidage',83.60,83.60),(394,'AHLB014','Infiltration thérapeutique de nerf superficiel d\'un membre, sans stimulodétection électrique',19.20,19.20),(395,'AHLB015','Infiltration thérapeutique de nerf de la paroi du tronc, sans stimulodétection',22.12,20.89),(396,'AHLB016','Infiltration thérapeutique du plexus brachial',57.60,57.60),(397,'AHLB017','Infiltration anesthésique de tronc nerveux superficiel avec évaluation diagnostique et pronostique, avec stimulodétection électrique',32.86,31.16),(398,'AHLB018','Implantation d\'une électrode test sur une racine nerveuse sacrale pour neuromodulation, par voie transcutanée',163.07,129.70),(399,'AHLH001','Infiltration anesthésique de nerf spinal à son émergence rachidienne avec évaluation diagnostique et pronostique, avec guidage radiologique',42.34,19.20),(400,'AHLH002','Infiltration thérapeutique du plexus lombosacral, avec guidage radiologique',42.34,19.20),(401,'AHLH003','Infiltration thérapeutique du plexus lombosacral, avec guidage scanographique',29.76,19.20),(402,'AHLH004','Infiltration thérapeutique de nerf pelvien profond, avec guidage scanographique',28.80,28.80),(403,'AHLH005','Infiltration anesthésique du plexus lombosacral avec évaluation diagnostique et pronostique, avec guidage scanographique',33.12,19.20),(404,'AHLH006','Infiltration thérapeutique de nerf profond d\'un membre, avec guidage radiologique',28.44,19.20),(405,'AHLH007','Infiltration thérapeutique de nerf spinal à l\'émergence rachidienne, avec guidage scanographique',28.80,28.80),(406,'AHLH008','Infiltration anesthésique unilatérale ou bilatérale du nerf grand occipital [d\'Arnold] avec évaluation diagnostique et pronostique, avec guidage radiologique',19.20,19.20),(407,'AHLH009','Infiltration anesthésique de tronc nerveux profond avec évaluation diagnostique et pronostique, avec guidage radiologique',41.08,19.20),(408,'AHLH010','Infiltration thérapeutique de nerf pelvien profond, avec guidage radiologique',32.23,28.80),(409,'AHLH011','Infiltration anesthésique de branche dorsale de nerf spinal avec évaluation diagnostique et pronostique, avec guidage radiologique',32.86,19.20),(410,'AHLH012','Bloc anesthésique continu d\'un nerf spinal à son émergence rachidienne, avec guidage radiologique',83.60,83.60),(411,'AHLH013','Bloc anesthésique continu d\'un nerf spinal à son émergence rachidienne, avec guidage scanographique',83.60,83.60),(412,'AHLH014','Infiltration thérapeutique de nerf spinal à l\'émergence rachidienne, avec guidage radiologique',34.76,28.80),(413,'AHLH015','Infiltration thérapeutique d\'un nerf profond dans un canal ostéofibreux, avec guidage scanographique',28.80,28.80),(414,'AHLH016','Infiltration anesthésique du plexus lombosacral avec évaluation diagnostique et pronostique, avec guidage radiologique',46.77,19.20),(415,'AHLH017','Infiltration thérapeutique de rameau dorsal de nerf spinal, avec guidage scanographique',28.80,28.80),(416,'AHLH018','Infiltration thérapeutique de rameau dorsal de nerf spinal, avec guidage radiologique',44.87,28.80),(417,'AHLH019','Bloc anesthésique continu du plexus lombosacral, avec guidage scanographique',83.60,83.60),(418,'AHLH020','Infiltration anesthésique de tronc nerveux profond avec évaluation diagnostique et pronostique, avec guidage scanographique',26.88,19.20),(419,'AHNB001','Destruction de nerf de la paroi du tronc, par voie transcutanée',61.30,43.62),(420,'AHNB002','Destruction sélective unilatérale ou bilatérale du nerf grand occipital [grand nerf occipital d\'Arnold], par voie transcutanée',83.60,83.60),(421,'AHNH001','Destruction du rameau dorsal d\'un nerf spinal, par voie transcutanée avec guidage radiologique',59.41,28.80),(422,'AHNH002','Destruction du rameau dorsal d\'un nerf spinal, par voie transcutanée avec guidage scanographique',28.80,28.80),(423,'AHPA001','Libération de nerf à la cheville et/ou au pied, par abord direct',125.40,125.40),(424,'AHPA002','Libération du plexus lombosacral, par abord direct',455.18,329.84),(425,'AHPA003','Section de nerf spinal profond avec déroutement, par abord direct',102.81,94.74),(426,'AHPA004','Libération du plexus brachial avec scalénotomie, par abord supraclaviculaire',437.45,376.61),(427,'AHPA005','Libération du plexus brachial avec scalénotomie et ablation de côte cervicale, par abord supraclaviculaire',531.04,439.68),(428,'AHPA006','Libération du plexus brachial, par abord supraclaviculaire et par abord infraclaviculaire',544.51,421.15),(429,'AHPA007','Neurotomie ou neurectomie intrafasciculaire ou extrafasciculaire des troncs et/ou des rameaux moteurs au membre supérieur, pour hyponeurotisation',220.50,163.00),(430,'AHPA008','Libération du nerf tibial [sciatique poplité interne] à la jambe et/ou au canal calcanéen, par abord direct',125.40,125.40),(431,'AHPA009','Libération du nerf médian au canal carpien, par abord direct',104.50,104.50),(432,'AHPA010','Libération du nerf fibulaire commun [sciatique poplité externe] au genou, par abord direct',197.10,158.21),(433,'AHPA011','Libération ou résection d\'un nerf digital plantaire, par abord direct',116.99,111.74),(434,'AHPA012','Libération du nerf supraclaviculaire et/ou de ses branches, par abord direct',331.81,236.34),(435,'AHPA013','Libération du nerf musculocutané, par abord direct',113.44,109.69),(436,'AHPA014','Libération de nerf de la paroi du tronc, par abord direct',182.92,149.99),(437,'AHPA015','Neurotomie ou neurectomie intrafasciculaire ou extrafasciculaire des troncs ou des rameaux moteurs au membre inférieur, pour hyponeurotisation',117.69,103.37),(438,'AHPA016','Libération du nerf circonflexe, par abord direct',402.00,277.06),(439,'AHPA017','Libération du nerf fémoral [crural], du nerf sciatique et/ou de leurs branches à la racine du membre inférieur ou à la cuisse, par abord direct',334.65,246.76),(440,'AHPA018','Section de nerf spinal superficiel avec déroutement, par abord direct',102.81,94.74),(441,'AHPA019','Section, résection ou destruction de nerf spinal superficiel, par abord direct',117.69,103.37),(442,'AHPA020','Libération du plexus brachial, par abord infraclaviculaire',415.47,346.31),(443,'AHPA021','Libération du nerf ulnaire au poignet et/ou à la main, par abord direct',120.53,113.80),(444,'AHPA022','Libération du nerf ulnaire au coude, par abord direct',138.96,124.49),(445,'AHPA023','Libération du nerf radial au coude, par abord direct',172.29,143.82),(446,'AHPA024','Libération de nerf spinal superficiel des membres, par abord direct',104.50,104.50),(447,'AHPA025','Radicotomie spinale, par abord postérieur',386.41,355.79),(448,'AHPA026','Dénervation complète du poignet, par abord direct',297.07,224.97),(449,'AHPA027','Libération du nerf radial au bras, par abord direct',172.29,143.82),(450,'AHPA028','Libération de nerf digital par abord direct, sur un rayon de la main',104.50,104.50),(451,'AHPC001','Libération du nerf médian au canal carpien, par vidéochirurgie',113.44,109.69),(452,'AHQB001','Électromyographie, au lit du malade',69.12,61.86),(453,'AHQB002','Électromyographie analytique du périnée avec étude de la latence du réflexe bulbocaverneux et des potentiels évoqués somesthésiques cérébraux par stimulation du nerf pudendal [nerf honteux]',120.96,120.96),(454,'AHQB003','Électromyographie analytique du périnée avec étude de la latence motrice du nerf pudendal [nerf honteux], par électrode aiguille',86.40,86.40),(455,'AHQB006','Macroélectromyographie, par électrode aiguille',139.97,102.95),(456,'AHQB008','Électromyographie analytique du périnée par électrode aiguille',63.07,58.36),(457,'AHQB013','Électromyographie de 7 muscles striés ou plus au repos et à l\'effort, par électrode aiguille',73.44,64.37),(458,'AHQB015','Électromyographie de fibre unique, par électrode aiguille',139.97,102.95),(459,'AHQB016','Électromyographie analytique du périnée, avec étude des latences des réflexes sacraux, de la vitesse de conduction sensitive du nerf dorsal du pénis, des potentiels évoqués somesthésiques cérébraux et des réponses cutanées sympathiques périnéales',120.96,120.96),(460,'AHQB019','Mesure des latences des réflexes sacraux',68.26,54.10),(461,'AHQB020','Électromyographie de fibre unique du périnée avec étude de 20 paires de fibres, par électrode aiguille',139.97,102.95),(462,'AHQB024','Électromyographie de 3 à 6 muscles striés au repos et à l\'effort sans stimulodétection, par électrode aiguille',64.80,59.36),(463,'AHQB025','Électromyographie de 1 ou 2 muscles striés au repos et à l\'effort avec stimulodétection, par électrode aiguille',86.40,86.40),(464,'AHQB026','Électromyographie de 3 à 6 muscles striés au repos et à l\'effort avec stimulodétection, par électrode aiguille',86.40,86.40),(465,'AHQB027','Électromyographie de 1 ou 2 muscles striés au repos et à l\'effort sans stimulodétection, par électrode aiguille',51.84,51.84),(466,'AHQB028','Électromyographie analytique du périnée avec étude des latences des réflexes sacraux, par électrode aiguille',86.40,86.40),(467,'AHQB030','Électromyographie du diaphragme par électrodes aiguilles, sans épreuve de stimulation du nerf phrénique',51.84,51.84),(468,'AHQB031','Électromyographie du diaphragme par électrodes aiguilles, avec épreuve de stimulation du nerf phrénique',178.85,140.02),(469,'AHQB032','Électromyographie de 3 à 6 muscles striés au repos et à l\'effort par électrode aiguille, avec mesure des vitesses de conduction motrice et de l\'amplitude des réponses musculaires de 2 à 4 nerfs sans étude de la conduction proximale par électrode de surfa',122.69,121.96),(470,'AHQB033','Électromyographie de 7 muscles striés ou plus au repos et à l\'effort par électrode aiguille, avec mesure des vitesses de conduction motrice et de l\'amplitude des réponses musculaires de 5 nerfs ou plus avec étude de la conduction proximale par électrode',144.29,134.49),(471,'AHQD001','Électromyographie analytique du périnée, avec étude des latences des réflexes sacraux et des latences distales du nerf pudendal [nerf honteux] par stimulation intrarectale',120.96,120.96),(472,'AHQD002','Électromyographie analytique du périnée, avec étude des latences des réflexes sacraux, des latences distales du nerf pudendal [nerf honteux] par stimulation intrarectale et des potentiels évoqués somesthésiques cérébraux par stimulation du nerf pudendal',120.96,120.96),(473,'AHQD003','Mesure des latences distales du nerf pudendal [nerf honteux], par stimulation intrarectale',80.35,61.12),(474,'AHQE002','Électromyographie de détection des muscles du larynx par électrode aiguille, par laryngoscopie',123.97,93.67),(475,'AHQJ021','Guidage échographique pour anesthésie locorégionale périphérique de membre ou de la paroi abdominale',0.00,0.00),(476,'AHQP001','Électromyographie par électrode de surface, sans enregistrement vidéo',0.00,0.00),(477,'AHQP002','Électromyographie par électrode de surface, avec enregistrement vidéo',0.00,0.00),(478,'AHQP003','Mesure des vitesses de conduction motrice et de l\'amplitude des réponses musculaires de 2 à 4 nerfs, sans étude de la conduction proximale',55.30,46.58),(479,'AHQP004','Enregistrement des potentiels moteurs par stimulation corticale et/ou spinale',73.44,66.79),(480,'AHQP005','Électromyographie du diaphragme par électrodes de surface, sans épreuve de stimulation du nerf phrénique',0.00,0.00),(481,'AHQP006','Électromyographie de détection des muscles du larynx par électrode externe',54.67,53.48),(482,'AHQP007','Électromyographie du diaphragme par électrodes de surface, avec épreuve de stimulation du nerf phrénique',0.00,0.00),(483,'AHQP008','Mesure des vitesses de conduction motrice et de l\'amplitude des réponses musculaires de 2 à 4 nerfs, avec étude de la conduction proximale sur au moins 2 nerfs',65.66,52.60),(484,'AHQP009','Mesure des vitesses de conduction motrice et de l\'amplitude des réponses musculaires de 5 nerfs ou plus, avec étude de la conduction proximale sur au moins 4 nerfs',76.90,59.11),(485,'AHQP010','Mesure des vitesses de conduction motrice et de l\'amplitude des réponses musculaires de 5 nerfs ou plus, sans étude de la conduction proximale',67.39,53.60),(486,'AHQP011','Mesure des vitesses de la conduction sensitive et de l\'amplitude du potentiel sensitif de 2 à 4 nerfs',60.48,49.59),(487,'AHQP012','Mesure des vitesses de la conduction sensitive et de l\'amplitude du potentiel sensitif de 5 nerfs ou plus',71.71,56.11),(488,'AHQP013','Mesure des vitesses de conduction sensitive du nerf dorsal du pénis',42.34,39.07),(489,'AHQP016','Mesure des réflexes H et/ou T',0.00,0.00),(490,'AHQP900','Mesure du réflexe nociceptif R III',0.00,0.00),(491,'AHRP001','Épreuve de stimulation répétitive d\'au moins 2 nerfs pour recherche de bloc de la jonction neuromusculaire',90.72,67.13),(492,'AJFA001','Sympathectomie lombale, par laparotomie',250.80,250.80),(493,'AJFA002','Sympathectomie des artères métacarpiennes et digitales, par abord direct',202.07,143.53),(494,'AJFA003','Sympathectomie cervicothoracique ou thoracique, par thoracotomie',285.73,271.06),(495,'AJFC001','Sympathectomie lombale, par coelioscopie ou par rétropéritonéoscopie',322.60,304.54),(496,'AJFC002','Sympathectomie cervicothoracique ou thoracique, par thoracoscopie',289.20,289.20),(497,'AJLB001','Infiltration thérapeutique du ganglion cervicothoracique [stellaire], sans guidage',43.61,37.39),(498,'AJLB002','Infiltration anesthésique du ganglion cervicothoracique [stellaire], avec évaluation diagnostique et pronostique',54.98,39.96),(499,'AJLF001','Bloc sympathique médicamenteux périphérique, par injection intraveineuse transcutanée sous garrot ischémique',57.60,57.60),(500,'AJLH001','Infiltration anesthésique de la chaîne sympathique lombale avec évaluation diagnostique et pronostique, avec guidage scanographique',57.60,57.60),(501,'AJLH002','Infiltration anesthésique du plexus hypogastrique ou sacral avec évaluation diagnostique et pronostique, avec guidage radiologique',50.56,28.80),(502,'AJLH003','Infiltration thérapeutique du plexus hypogastrique ou sacral, avec guidage radiologique',60.67,19.20),(503,'AJLH004','Infiltration anesthésique du ganglion ptérygopalatin avec évaluation diagnostique et pronostique, avec guidage radiologique',19.20,19.20),(504,'AJLH005','Bloc anesthésique continu de la chaîne sympathique lombale, avec guidage radiologique',83.60,83.60),(505,'AJLH006','Infiltration anesthésique des nerfs splanchniques avec évaluation diagnostique et pronostique, avec guidage radiologique',28.80,28.80),(506,'AJLH007','Infiltration anesthésique du plexus coeliaque avec évaluation diagnostique et pronostique, avec guidage radiologique',76.47,57.60),(507,'AJLH008','Infiltration thérapeutique du plexus hypogastrique ou sacral, avec guidage scanographique',44.16,19.20),(508,'AJLH009','Infiltration thérapeutique de la chaîne sympathique lombale, avec guidage scanographique',57.60,57.60),(509,'AJLH010','Infiltration anesthésique du plexus hypogastrique ou sacral avec évaluation diagnostique et pronostique, avec guidage scanographique',28.80,28.80),(510,'AJLH011','Bloc anesthésique continu du plexus coeliaque et/ou de la chaîne splanchnique, avec guidage scanographique',83.60,83.60),(511,'AJLH012','Infiltration anesthésique du ganglion ptérygopalatin avec évaluation diagnostique et pronostique, avec guidage scanographique',19.20,19.20),(512,'AJLH013','Bloc anesthésique continu de la chaîne sympathique lombale, avec guidage scanographique',83.60,83.60),(513,'AJLH014','Infiltration anesthésique de la chaîne sympathique thoracique avec évaluation diagnostique et pronostique, avec guidage radiologique',68.26,28.80),(514,'AJLH015','Infiltration anesthésique de la chaîne sympathique lombale avec évaluation diagnostique et pronostique, avec guidage radiologique',70.15,57.60),(515,'AJLH016','Infiltration thérapeutique de la chaîne sympathique lombale, avec guidage radiologique',70.15,57.60),(516,'AJLH017','Infiltration thérapeutique du plexus coeliaque et/ou de la chaîne splanchnique, avec guidage scanographique',57.60,57.60),(517,'AJLH018','Infiltration anesthésique de la chaîne sympathique thoracique avec évaluation diagnostique et pronostique, avec guidage scanographique',49.44,28.80),(518,'AJLH019','Infiltration thérapeutique du ganglion ptérygopalatin, avec guidage radiologique',28.80,28.80),(519,'AJLH020','Infiltration thérapeutique du ganglion cervicothoracique [stellaire], avec guidage radiologique',32.86,28.80),(520,'AJLJ001','Infiltration anesthésique des nerfs splanchniques avec évaluation diagnostique et pronostique, avec guidage échographique',61.94,28.80),(521,'AJLJ002','Infiltration thérapeutique transgastrique des nerfs splanchniques, avec guidage échoendoscopique',186.20,186.20),(522,'AJLJ003','Infiltration anesthésique du plexus coeliaque avec évaluation diagnostique et pronostique, avec guidage échographique',61.94,57.60),(523,'AJNA001','Destruction chimique unilatérale ou bilatérale de la chaîne splanchnique, par laparotomie',387.11,329.86),(524,'AJNC001','Destruction chimique unilatérale ou bilatérale de la chaîne splanchnique, par coelioscopie',359.23,359.23),(525,'AJNC002','Destruction chimique unilatérale ou bilatérale de la chaîne splanchnique, par thoracoscopie',467.94,419.20),(526,'AJNH001','Destruction chimique de la chaîne sympathique cervicale ou thoracique, par voie transcutanée avec guidage scanographique',42.24,19.20),(527,'AJNH002','Destruction chimique de la chaîne sympathique cervicale ou thoracique, par voie transcutanée avec guidage radiologique',19.20,19.20),(528,'AJNH003','Destruction chimique de la chaîne ganglionnaire sympathique lombale, par voie transcutanée avec guidage radiologique',94.05,94.05),(529,'AJNH004','Destruction chimique de la chaîne ganglionnaire sympathique lombale, par voie transcutanée avec guidage scanographique',94.05,94.05),(530,'AJNH005','Destruction chimique du ganglion ptérygopalatin, par voie transcutanée avec guidage radiologique',19.20,19.20),(531,'AJNH006','Destruction chimique du plexus hypogastrique ou sacral, par voie transcutanée avec guidage radiologique',87.85,19.20),(532,'AJNH007','Destruction chimique du plexus hypogastrique ou sacral, par voie transcutanée avec guidage scanographique',64.80,19.20),(533,'AJNH008','Destruction chimique du plexus coeliaque et/ou de la chaîne splanchnique, par voie transcutanée avec guidage scanographique',53.76,19.20),(534,'AJNH009','Thermocoagulation du ganglion cervicothoracique [stellaire], par voie transcutanée avec guidage radiologique',42.34,19.20),(535,'AJNJ001','Destruction chimique du plexus coeliaque et/ou de la chaîne splanchnique, par voie transcutanée avec guidage échographique',61.94,19.20),(536,'AJQP001','Mesure des réponses cutanées sympathiques par électrode de surface',0.00,0.00),(537,'ALQP001','Enregistrement des potentiels évoqués cognitifs événementiels',0.00,0.00),(538,'ALQP002','Test d\'évaluation de l\'efficience intellectuelle de l\'enfant',69.12,69.12),(539,'ALQP003','Test d\'évaluation d\'une dépression',69.12,69.12),(540,'ALQP004','Test d\'évaluation des aspects psychopathologiques de la personnalité',69.12,69.12),(541,'ALQP005','Test d\'évaluation de l\'efficience intellectuelle de l\'adulte',69.12,69.12),(542,'ALQP006','Test d\'évaluation d\'un déficit cognitif',69.12,69.12),(543,'AMQP009','Évaluation diurne de la vigilance ou de l\'endormissement par épreuves itératives',120.96,106.44),(544,'AMQP010','Polysomnographie de 4 à 8 heures, sans enregistrement vidéo',136.32,136.32),(545,'AMQP011','Polysomnographie de 4 à 8 heures, avec enregistrement vidéo',136.32,136.32),(546,'AMQP012','Polysomnographie de 8 à 12 heures, sans enregistrement vidéo',214.27,181.53),(547,'AMQP013','Polysomnographie de 8 à 12 heures, avec enregistrement vidéo',214.27,181.53),(548,'AMQP014','Polysomnographie de 12 à 24 heures, sans enregistrement vidéo',246.24,200.07),(549,'AMQP015','Polysomnographie de 12 à 24 heures, avec enregistrement vidéo',246.24,200.07),(550,'ANLB003','Séance de mésothérapie à visée antalgique',0.00,0.00),(551,'ANLB004','Injection intrathécale d\'agent pharmacologique à visée antalgique, avec évaluation diagnostique et pronostique',57.60,57.60),(552,'ANLP002','Pose d\'un stimulateur électrique externe à visée antalgique',0.00,0.00),(553,'ANMP001','Mise en place et surveillance d\'une analgésie contrôlée par le patient [ACP] [PAC]',83.60,83.60),(554,'ANQP002','Enregistrement des potentiels évoqués somesthésiques cérébraux par stimulation des nerfs pudendaux [nerfs honteux]',65.66,62.28),(555,'ANQP004','Enregistrement des potentiels évoqués somesthésiques cérébraux par stimulation bilatérale d\'un ou de 2 nerfs des membres supérieurs ou inférieurs',80.35,70.80),(556,'ANQP005','Enregistrement des potentiels évoqués nociceptifs avec mesure des amplitudes et des latences des réponses corticales, par stimulation au laser',0.00,0.00),(557,'ANQP005','Enregistrement des potentiels évoqués nociceptifs avec mesure des amplitudes et des latences des réponses corticales, par stimulation laser',0.00,0.00),(558,'ANQP006','Enregistrement des potentiels évoqués somesthésiques cérébraux par stimulation bilatérale de 3 nerfs ou plus des membres supérieurs et inférieurs',132.19,100.87),(559,'ANRP001','Séance d\'hypnose à visée antalgique',0.00,0.00),(560,'AZGA001','Ablation d\'un générateur souscutané de stimulation du système nerveux central',49.63,46.34),(561,'AZMP001','Préparation à une irradiation externe du névraxe [irradiation craniospinale]',668.00,668.00),(562,'AZMP002','Réglage secondaire ou reprogrammation transcutané d\'un générateur souscutané de stimulation du système nerveux central',0.00,0.00),(563,'AZNL001','Séance d\'irradiation externe du névraxe [irradiation craniospinale]',0.00,0.00),(564,'AZQP001','Actimétrie de longue durée',0.00,0.00),(565,'AZQP002','Enregistrement de potentiels évoqués, au lit du malade',95.90,78.21),(566,'AZQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de tumeur de l\'encéphale, de la moelle épinière, ou des méninges',92.09,92.09),(567,'AZRP001','Séance d\'électroconvulsivothérapie [sismothérapie]',39.18,29.18),(568,'BAAA001','Allongement du muscle releveur de la paupière supérieure et/ou section de sa lame profonde [muscle de Müller], avec interposition de matériau inerte ou autogreffe',175.09,175.09),(569,'BAAA002','Allongement du muscle releveur de la paupière supérieure et/ou section de sa lame profonde [muscle de Müller], sans interposition de matériau inerte ni autogreffe',167.20,167.20),(570,'BABA001','Raccourcissement du muscle releveur de la paupière supérieure',180.79,175.09),(571,'BACA001','Suture de plaies cutanées multiples unilatérales ou bilatérales des paupières avec atteinte du bord libre, du tarse et/ou du muscle releveur de la paupière supérieure, avec repositionnement du ligament palpébral',134.66,117.60),(572,'BACA002','Suture d\'une plaie cutanée d\'une paupière, sans atteinte du bord libre',29.07,25.64),(573,'BACA003','Suture partielle ou totale des bords libres des paupières supérieure et inférieure',71.42,58.99),(574,'BACA004','Ouverture partielle ou totale de blépharorraphie ou de tarsorraphie',41.80,41.80),(575,'BACA005','Suture d\'une plaie cutanée d\'une paupière, avec atteinte du bord libre',62.70,62.70),(576,'BACA006','Suture de plaies cutanées multiples unilatérales ou bilatérales des paupières avec atteinte du bord libre, du tarse et/ou du muscle releveur de la paupière supérieure, sans repositionnement du ligament palpébral',148.06,125.37),(577,'BACA007','Suture de plaies cutanées multiples unilatérales ou bilatérales des paupières, sans atteinte du bord libre',104.90,87.18),(578,'BACA008','Suture de plaie du sourcil',29.07,25.64),(579,'BADA001','Canthopexie médiale pour dystopie traumatique',140.25,140.25),(580,'BADA002','Suspension bilatérale de la paupière supérieure au muscle frontal, avec autogreffe',268.58,261.12),(581,'BADA003','Canthopexie latérale',88.54,68.90),(582,'BADA004','Suspension de la paupière supérieure au muscle frontal, sans autogreffe',167.20,167.20),(583,'BADA005','Canthopexie médiale pour dystopie congénitale',125.40,125.40),(584,'BADA006','Suspension unilatérale de la paupière supérieure au muscle frontal, avec autogreffe',260.39,260.39),(585,'BADA007','Fixation du sourcil au rebord supraorbitaire',0.00,0.00),(586,'BAEA001','Repositionnement du bord libre de la paupière, sans autogreffe ni lambeau',132.43,111.92),(587,'BAEA002','Repositionnement du bord libre de la paupière, avec autogreffe ou lambeau',215.76,204.15),(588,'BAEA003','Transfert de muscle temporal pour réanimation palpébrale',306.29,247.87),(589,'BAFA001','Résection du muscle orbiculaire de l\'oeil',125.40,125.40),(590,'BAFA002','Exérèse transfixiante de lésion d\'une paupière, avec libération du canthus latéral',142.85,135.52),(591,'BAFA003','Résection cutanée suprasourcilière bilatérale',0.00,0.00),(592,'BAFA004','Résection de la lame profonde du muscle releveur de la paupière supérieure [muscle de Müller] et/ou résection tarsoconjonctivale',167.20,167.20),(593,'BAFA005','Exérèse non transfixiante de lésions multiples unilatérales de paupière',94.49,81.14),(594,'BAFA006','Exérèse non transfixiante d\'une lésion d\'une paupière',53.57,48.62),(595,'BAFA007','Résection unilatérale cutanée, musculaire et/ou graisseuse au niveau des paupières, par abord cutané',125.40,125.40),(596,'BAFA008','Résection bilatérale cutanée, musculaire et/ou graisseuse au niveau des paupières supérieures, par abord cutané',188.10,188.10),(597,'BAFA009','Résection bilatérale cutanée, musculaire et/ou graisseuse au niveau des paupières, par abord cutané',191.43,190.03),(598,'BAFA010','Exérèse de lésion souscutanée du sourcil',42.41,37.76),(599,'BAFA011','Résection bilatérale cutanée, musculaire et/ou graisseuse au niveau des paupières inférieures, par abord cutané',188.10,188.10),(600,'BAFA012','Exérèse de lésion cutanée du sourcil',34.97,33.44),(601,'BAFA013','Exérèse de chalazion',32.74,32.16),(602,'BAFA014','Exérèse transfixiante de lésion d\'une paupière, sans libération du canthus latéral',63.24,54.24),(603,'BAFA015','Résection cutanée, musculaire et/ou graisseuse au niveau d\'une paupière, par abord cutané',125.40,125.40),(604,'BAFA016','Résection graisseuse unilatérale des paupières, par abord conjonctival',0.00,0.00),(605,'BAFA017','Résection graisseuse bilatérale des paupières, par abord conjonctival',0.00,0.00),(606,'BAFA018','Résection cutanée suprasourcilière unilatérale',0.00,0.00),(607,'BAFA019','Exérèse d\'un kyste de la queue du sourcil',94.05,94.05),(608,'BAGA001','Ablation secondaire de corps étranger de la paupière',31.99,31.72),(609,'BAHA001','Biopsie unilatérale ou bilatérale de paupière',29.02,24.89),(610,'BALA001','Insertion d\'un dispositif intrapalpébral pour correction de lagophtalmie',190.01,180.43),(611,'BALB001','Séance d\'injection unilatérale ou bilatérale de toxine botulique au niveau des paupières',31.99,25.01),(612,'BAMA001','Réparation de perte de substance de la paupière inférieure par lambeau frontal, avec autogreffe muqueuse ou chondromuqueuse',270.07,235.64),(613,'BAMA002','Canthoplastie médiale avec rétablissement de la continuité des voies lacrymales',207.17,207.17),(614,'BAMA003','Plastie en Z de la paupière pour correction de l\'épicanthus, sans autogreffe de peau',191.24,191.24),(615,'BAMA004','Réparation de perte de substance cutanée de la paupière par lambeau local ou autogreffe',188.10,188.10),(616,'BAMA005','Reconstruction d\'un sourcil par autogreffe de cuir chevelu ou de sourcil opposé',218.59,218.59),(617,'BAMA007','Plastie en Z bilatérale de la paupière pour correction de l\'épicanthus, avec autogreffe de peau',282.15,282.15),(618,'BAMA008','Réparation de perte de substance de la paupière supérieure par lambeau palpébral inférieur, avec réparation de la zone de prélèvement par lambeau cutané et autogreffe muqueuse ou chondromuqueuse',296.86,251.18),(619,'BAMA009','Canthoplastie latérale',137.64,97.39),(620,'BAMA010','Réparation de perte de substance de la paupière inférieure par lambeau de rotation temporojugal',237.34,216.66),(621,'BAMA011','Reconstruction d\'un sourcil par lambeau pédiculé de cuir chevelu ou de sourcil opposé',236.81,217.66),(622,'BAMA012','Reconstruction du bord libre de la paupière avec repositionnement des cils, sans autogreffe ni lambeau',83.60,83.60),(623,'BAMA013','Réparation de perte de substance de la paupière inférieure par lambeau régional, avec autogreffe',276.77,239.53),(624,'BAMA015','Réparation de perte de substance de la paupière supérieure par lambeau palpébral inférieur, avec réparation de la zone de prélèvement par suture directe',256.68,227.88),(625,'BAMA016','Reconstruction du bord libre de la paupière avec repositionnement des cils, avec autogreffe ou lambeau',106.39,96.82),(626,'BAMA017','Reformation du pli palpébral supérieur',125.40,125.40),(627,'BAMA018','Réparation de perte de substance de la paupière supérieure par lambeau palpébral inférieur, avec réparation de la zone de prélèvement par lambeau cutané',270.07,235.64),(628,'BAMA019','Réparation de perte de substance de la paupière par autogreffe composée',217.99,205.43),(629,'BAMA020','Canthoplastie médiale sans rétablissement de la continuité des voies lacrymales',106.88,106.88),(630,'BAMB001','Séance de réfection de l\'aspect du sourcil par dermopigmentation',0.00,0.00),(631,'BANP001','Destruction de lésions multiples unilatérales ou bilatérales des paupières avec laser',55.54,49.76),(632,'BANP003','Destruction d\'une lésion d\'une paupière avec laser',41.80,41.80),(633,'BANP004','Séance d\'épilation ciliaire électrique unilatérale ou bilatérale',21.36,18.84),(634,'BAPA001','Section du pédicule [Sevrage] d\'un lambeau hétéropalpébral',0.00,0.00),(635,'BAPA002','Incision unilatérale ou bilatérale de collection de paupière',62.70,62.70),(636,'BAPA003','Désinsertion musculaire sans autogreffe, pour correction de rétraction de la paupière inférieure',167.20,167.20),(637,'BAPA004','Canthotomie latérale',31.35,31.35),(638,'BAPA005','Désinsertion musculaire avec autogreffe, pour correction de rétraction de la paupière inférieure',167.20,167.20),(639,'BAQP001','Examen fonctionnel de la motricité palpébrale avec épreuves pharmacologiques',29.76,24.52),(640,'BASA001','Fermeture de colobome palpébral',207.17,207.17),(641,'BBCA001','Laco-dacryo-cysto-rhinostomie sans laser',209.00,209.00),(642,'BBCA003','Dacryo-cysto-rhinostomie [DCR], par abord facial',209.00,209.00),(643,'BBCE001','Dacryo-cysto-rhinostomie [DCR], par endoscopie nasale',209.00,209.00),(644,'BBFA001','Exérèse totale de la glande lacrymale avec ostéotomie',284.56,284.56),(645,'BBFA002','Exérèse et/ou plastie d\'un point lacrymal',83.60,83.60),(646,'BBFA003','Exérèse du sac lacrymal',83.60,83.60),(647,'BBFA004','Exérèse totale de la glande lacrymale sans ostéotomie',142.13,142.13),(648,'BBGA001','Ablation de corps étranger des voies lacrymales, par abord direct',83.60,83.60),(649,'BBHA001','Biopsie de glande lacrymale',31.72,31.72),(650,'BBHA002','Biopsie de sac lacrymal',31.72,31.72),(651,'BBJD001','Lavage des voies lacrymales',19.34,19.29),(652,'BBLA001','Pose de pompe à larmes',0.00,0.00),(653,'BBLD001','Intubation bicanaliculaire homolatérale des voies lacrymales',83.60,83.60),(654,'BBLD002','Pose d\'obturateur ou de clou-trou méatique sur un point lacrymal',52.25,52.25),(655,'BBLD003','Sondage des voies lacrymales',23.81,21.87),(656,'BBLD004','Intubation monocanaliculaire unilatérale ou bilatérale des voies lacrymales',40.18,35.39),(657,'BBMA002','Rétablissement de la continuité des canalicules lacrymaux pour rupture',167.20,167.20),(658,'BBMA003','Rétablissement de la continuité des canalicules lacrymaux pour sténose, avec intubation canaliculaire',167.20,167.20),(659,'BBMA004','Rétablissement de la continuité des canalicules lacrymaux pour rupture, avec intubation canaliculaire',167.20,167.20),(660,'BBPA001','Incision ou exérèse partielle de la glande lacrymale',83.60,83.60),(661,'BBPA002','Incision des points et/ou des canalicules lacrymaux',35.71,33.88),(662,'BBPA003','Incision du sac lacrymal',31.35,31.35),(663,'BBQE900','Endoscopie des voies lacrymales',0.00,0.00),(664,'BBQH001','Lacrymo-dacryo-cystographie unilatérale ou bilatérale',39.90,39.90),(665,'BBQL001','Scintigraphie unilatérale ou bilatérale des voies lacrymales',176.85,176.85),(666,'BBQP001','Exploration fonctionnelle des flux lacrymaux',19.20,19.20),(667,'BBSP001','Fermeture d\'un point lacrymal, par cautérisation ou avec laser',23.17,23.17),(668,'BCBP001','Recouvrement conjonctival partiel ou total de la cornée',45.17,45.17),(669,'BCCA001','Suture de plaie de la conjonctive',52.25,52.25),(670,'BCFA003','Exérèse primitive de ptérygion, avec autogreffe de conjonctive ou de muqueuse',106.39,105.59),(671,'BCFA004','Exérèse de lésion de la conjonctive, avec autogreffe de muqueuse',104.50,104.50),(672,'BCFA005','Exérèse de ptérygion récidivant, avec autogreffe de conjonctive ou de muqueuse',133.18,121.13),(673,'BCFA006','Exérèse de ptérygion récidivant, sans autogreffe',122.02,92.71),(674,'BCFA007','Exérèse primitive de ptérygion, avec greffe lamellaire de cornée',276.93,276.93),(675,'BCFA008','Exérèse de lésion de la conjonctive, sans autogreffe',52.25,52.25),(676,'BCFA009','Exérèse primitive de ptérygion, sans autogreffe',76.63,66.40),(677,'BCHA001','Biopsie de la conjonctive',16.98,16.98),(678,'BCHP001','Empreintes diagnostiques sur la conjonctive oculaire',19.20,19.20),(679,'BCLA001','Autohémothérapie ou libération d\'adhérence subconjonctivale après opération fistulisante',19.20,19.20),(680,'BCLB001','Injection subconjonctivale ou subtenonienne unilatérale ou bilatérale d\'agent pharmacologique',16.37,15.94),(681,'BCMA001','Conjonctivoplastie par autogreffe de conjonctive ou de muqueuse',104.50,104.50),(682,'BCNP001','Destruction de lésion de la conjonctive par agent physique',33.48,27.48),(683,'BCPA001','Incision de la conjonctive',34.22,28.63),(684,'BCPA002','Libération de symblépharon, avec autogreffe de conjonctive ou de muqueuse',104.50,104.50),(685,'BCPA003','Désinsertion de la conjonctive oculaire au limbe [Péritomie], avec autogreffe muqueuse',59.52,52.08),(686,'BCPA004','Libération de symblépharon, sans autogreffe',52.25,52.25),(687,'BCPA005','Désinsertion de la conjonctive oculaire au limbe [Péritomie], sans autogreffe',35.71,33.88),(688,'BCQP001','Capillaroscopie conjonctivale',16.37,14.33),(689,'BDCA001','Suture d\'une plaie non linéaire de la cornée',150.29,131.06),(690,'BDCA002','Suture de plaies multiples unilatérales ou bilatérales de la cornée',171.12,165.08),(691,'BDCA003','Suture d\'une plaie linéaire non transfixiante de la cornée',104.50,104.50),(692,'BDCA004','Suture d\'une plaie linéaire transfixiante de la cornée',116.81,111.64),(693,'BDCB001','Microponctions [Micropunctures] mécaniques antérieures de la cornée, à visée thérapeutique',21.87,21.87),(694,'BDEA002','Épikératophakie',0.00,0.00),(695,'BDFA001','Exérèse de tumeur du limbe de la cornée avec greffe de cornée',250.80,250.80),(696,'BDFA002','Kératectomie lamellaire',104.50,104.50),(697,'BDFA003','Exérèse de tumeur du limbe de la cornée sans greffe de cornée',54.74,54.74),(698,'BDFA004','Excision de fistule du limbe de la cornée',104.50,104.50),(699,'BDFA006','Prélèvement unilatéral ou bilatéral de cornée avec collerette sclérale sur un sujet décédé, avec pose de prothèse',0.00,0.00),(700,'BDFA007','Prélèvement unilatéral ou bilatéral de cornée avec collerette sclérale au cours d\'un prélèvement multiorgane sur un sujet en état de mort encéphalique, avec pose de prothèse',0.00,0.00),(701,'BDFL001','Exérèse de tumeur du limbe de la cornée avec implantation de source de rayonnement',235.13,235.13),(702,'BDFP001','Photokératectomie réfractive [de confort] avec laser excimère',0.00,0.00),(703,'BDFP002','Photokératectomie avec laser excimère',104.50,104.50),(704,'BDFP003','Kératomileusis in situ avec laser excimère',0.00,0.00),(705,'BDGA002','Ablation de corps étrangers profonds [stromaux] multiples unilatéraux ou bilatéraux de la cornée',78.38,78.38),(706,'BDGA004','Ablation de corps étrangers superficiels et profonds multiples unilatéraux ou bilatéraux de la cornée',78.38,78.38),(707,'BDGA005','Ablation d\'un corps étranger profond [stromal] de la cornée',52.25,52.25),(708,'BDGP002','Ablation d\'un corps étranger superficiel de la cornée',20.90,20.90),(709,'BDGP003','Ablation de corps étrangers superficiels multiples unilatéraux ou bilatéraux de la cornée',26.78,24.31),(710,'BDHA001','Biopsie de la cornée',31.35,31.35),(711,'BDHP001','Prélèvement superficiel unilatéral ou bilatéral de la cornée pour frottis et/ou culture',13.10,13.10),(712,'BDJP001','Irrigation continue de la cornée et/ou de la conjonctive',0.00,0.00),(713,'BDLA002','Pose de kératoprothèse en un temps',250.80,250.80),(714,'BDLA003','Pose de kératoprothèse biocolonisable',0.00,0.00),(715,'BDLA005','Pose d\'implant intracornéen [anneau] à but réfractif',139.13,139.13),(716,'BDLA005','Pose d\'anneaux intracornéens à but thérapeutique',139.13,139.13),(717,'BDMA001','Autokératoplastie par rotation',250.80,250.80),(718,'BDMA002','Kératoplastie lamellaire profonde [Transplantation cornéenne lamellaire]',250.80,250.80),(719,'BDMA003','Kératoplastie transfixiante [Transplantation cornéenne transfixiante], avec extraction extracapsulaire du cristallin',355.30,355.30),(720,'BDMA006','Conjonctivokératoplastie par greffe de membrane amniotique humaine',250.80,250.80),(721,'BDMA008','Kératoplastie transfixiante [Transplantation cornéenne transfixiante]',271.70,271.70),(722,'BDMA900','Kératoplastie lamellaire avec conjonctivoplastie [Transplantation cornéoconjonctivale]',0.00,0.00),(723,'BDMP002','Adaptation unilatérale ou bilatérale de lentille cornéenne thérapeutique ou de lentille-pansement',44.16,44.16),(724,'BDNP001','Destruction de lésion superficielle de la cornée par moyen physique',29.02,24.89),(725,'BDNP002','Abrasion mécanique de l\'épithélium de la cornée sans laser',28.27,25.17),(726,'BDNP003','Abrasion mécanique de l\'épithélium de la cornée avec laser',104.50,104.50),(727,'BDPA001','Kératotomie relaxante pour correction de l\'astigmatisme cornéen induit',0.00,0.00),(728,'BDQP001','Kératoesthésiométrie topographique et quantitative [kératesthésie quantitative]',17.28,17.28),(729,'BDQP002','Vidéo-photo-kératographie topographique',23.81,21.87),(730,'BDQP003','Pachymétrie cornéenne',21.58,19.77),(731,'BDQP004','Microscopie spéculaire de la cornée, avec analyse morphométrique et/ou quantitative numérisée de l\'endothélium cornéen',43.15,35.51),(732,'BDRP027','Photopolymérisation de la cornée [crosslinking]',112.34,112.34),(733,'BEEA001','Corépraxie',83.60,83.60),(734,'BEEA002','Réinsertion de la racine de l\'iris',107.14,97.25),(735,'BEFA001','Exérèse de lésion de l\'iris',134.66,113.22),(736,'BEFA003','Exérèse d\'une invasion épithéliale de la chambre antérieure de l\'oeil, sans autogreffe',128.75,128.75),(737,'BEFA004','Exérèse de lésion du corps ciliaire',249.98,232.77),(738,'BEFA005','Exérèse d\'une invasion épithéliale de la chambre antérieure de l\'oeil, avec autogreffe cornéenne ou cornéosclérale',250.80,250.80),(739,'BEFA007','Résection ou réintégration secondaire de hernie de l\'iris',125.40,125.40),(740,'BEFA008','Trabéculectomie [Sclérectomie transfixiante]',209.00,209.00),(741,'BEFA009','Iridocyclectomie pour tumeur du corps ciliaire',336.29,282.83),(742,'BEGA002','Ablation de système mécanique de drainage de l\'humeur aqueuse',84.48,84.48),(743,'BEGA003','Ablation de corps étranger intraoculaire du segment antérieur avec réparation de plaie perforante de l\'oeil intéressant au moins 2 des structures suivantes : cornée, iris, cristallin',302.06,300.28),(744,'BEGA004','Ablation secondaire de corps étranger du segment antérieur de l\'oeil',120.53,104.50),(745,'BEHB001','Ponction de la chambre antérieure de l\'oeil [humeur aqueuse]',39.43,36.04),(746,'BEJB001','Évacuation de collection de la chambre antérieure de l\'oeil, par voie transsclérale ou par voie transcornéenne avec irrigation-aspiration automatisée',99.70,70.99),(747,'BEJB002','Évacuation de collection de la chambre antérieure de l\'oeil, par voie transsclérale ou par voie transcornéenne sans irrigation-aspiration automatisée',62.50,49.42),(748,'BEJB004','Drainage de l\'humeur aqueuse de l\'oeil',241.06,227.59),(749,'BELA001','Pose de repère radioopaque du segment antérieur de l\'oeil',104.50,104.50),(750,'BELA002','Pose d\'implant à but réfractif dans la chambre antérieure de l\'oeil',0.00,0.00),(751,'BELB001','Injection de substance inerte ou organique dans la chambre antérieure de l\'oeil, par voie transcornéenne [Reformation de la chambre antérieure]',49.42,49.42),(752,'BEMA002','Plastie de la pupille ou de l\'iris, sans laser',89.28,86.89),(753,'BEMA008','Correction chirurgicale d\'une fistule ou d\'un drainage de l\'humeur aqueuse',136.81,136.81),(754,'BEMP001','Plastie de la pupille ou de l\'iris, avec laser',83.60,83.60),(755,'BENA001','Destruction de lésion de l\'iris ou du corps ciliaire',90.77,87.76),(756,'BENA002','Destruction partielle du corps ciliaire',125.40,125.40),(757,'BENP001','Séance de photocoagulation de l\'angle iridocornéen avec laser',125.40,125.40),(758,'BEPA001','Libération de synéchies et/ou de brides du segment antérieur de l\'oeil, par kératotomie',83.60,83.60),(759,'BEPA002','Décollement du corps ciliaire [Cyclodialyse]',125.40,125.40),(760,'BEPA003','Trabéculotomie, par sclérotomie',174.10,153.64),(761,'BEPA004','Iridotomie ou iridectomie périphérique ou sectorielle sans laser',83.60,83.60),(762,'BEPB001','Goniotomie oculaire, par voie transsclérale',174.84,154.08),(763,'BEPP001','Section de synéchies et/ou de brides du segment antérieur de l\'oeil avec laser',104.50,104.50),(764,'BEPP002','Iridotomie avec laser',83.60,83.60),(765,'BEQP001','Fluorométrie de la chambre antérieure de l\'oeil',68.45,62.28),(766,'BEQP002','Photographies diagnostiques du segment antérieur de l\'oeil après instillation de colorants vitaux',0.00,0.00),(767,'BEQP004','Photographies diagnostiques du segment antérieur de l\'oeil en biomicroscopie',24.96,24.96),(768,'BEQP007','Photographies diagnostiques du segment antérieur de l\'oeil',0.00,0.00),(769,'BEQP900','Tyndallométrie oculaire [Laser cell flare meter]',0.00,0.00),(770,'BFEA001','Repositionnement de cristallin artificiel ou de lentille intraoculaire',125.40,125.40),(771,'BFGA001','Extraction de cristallin luxé',251.47,233.64),(772,'BFGA002','Extraction extracapsulaire manuelle du cristallin, avec implantation de cristallin artificiel dans la chambre postérieure de l\'oeil',271.70,271.70),(773,'BFGA003','Extraction extracapsulaire manuelle du cristallin, sans implantation de cristallin artificiel',209.00,209.00),(774,'BFGA004','Extraction extracapsulaire du cristallin par phakoémulsification, avec implantation de cristallin artificiel dans la chambre postérieure de l\'oeil',271.70,271.70),(775,'BFGA005','Ablation de matériel implanté dans le segment antérieur de l\'oeil',141.36,125.40),(776,'BFGA006','Extraction intracapsulaire ou extracapsulaire du cristallin, avec implantation de cristallin artificiel dans la chambre antérieure de l\'oeil en cas d\'impossibilité d\'implantation dans la chambre postérieure',271.70,271.70),(777,'BFGA007','Extraction de cristallin subluxé ou ectopique',231.38,221.99),(778,'BFGA008','Extraction extracapsulaire du cristallin par phakoémulsification, sans implantation de cristallin artificiel',209.00,209.00),(779,'BFGA009','Extraction intracapsulaire du cristallin, sans implantation de cristallin artificiel',209.00,209.00),(780,'BFGA010','Extraction du cristallin par sclérotomie postérieure [pars plana] [Phakophagie]',212.06,212.06),(781,'BFKA001','Changement de matériel implanté dans le segment antérieur de l\'oeil',180.79,156.75),(782,'BFLA001','Implantation secondaire d\'un cristallin artificiel non suturé',140.62,125.40),(783,'BFLA002','Insertion d\'un anneau de contention intrasacculaire, au cours d\'une extraction du cristallin',0.00,0.00),(784,'BFLA003','Implantation secondaire d\'un cristallin artificiel suturé',200.88,145.88),(785,'BFLA004','Implantation secondaire de cristallin artificiel sur un oeil pseudophake',136.15,125.40),(786,'BFLA900','Insertion d\'un deuxième système optique intraoculaire, au cours d\'une extraction du cristallin',0.00,0.00),(787,'BFPA001','Capsulotomie cornéenne pour cataracte secondaire, avec laser',83.60,83.60),(788,'BFPA002','Capsulotomie cornéenne ou exérèse partielle ou totale de reliquats de la capsule du cristallin, par kératotomie',94.66,94.66),(789,'BFPA002','Capsulotomie ou exérèse partielle ou totale de reliquats de la capsule du cristallin, par kératotomie',94.66,94.66),(790,'BFPP001','Capsulotomie du cristallin pour cataracte secondaire, avec laser',83.60,83.60),(791,'BFQM001','Biométrie oculaire par échographie avec mesure des différents paramètres oculaires pour détermination de la puissance d\'un implant',33.22,33.22),(792,'BGBA001','Tamponnement interne du segment postérieur de l\'oeil par fossette colobomateuse ou par trou maculaire, pour décollement de rétine',295.37,259.09),(793,'BGBA002','Tamponnement intraoculaire provisoire par utilisation peropératoire de perfluorocarbone',0.00,0.00),(794,'BGCA002','Suture de plaie de la sclère',104.50,104.50),(795,'BGDA001','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire avec indentation sclérale sur plus d\'un quadrant, avec tamponnement interne par gaz',313.50,313.50),(796,'BGDA002','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire avec indentation sclérale sur plus d\'un quadrant, sans tamponnement',313.50,313.50),(797,'BGDA003','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire avec indentation sclérale limitée à un quadrant, avec tamponnement interne par gaz',237.34,225.43),(798,'BGDA004','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire avec indentation sclérale limitée à un quadrant, sans tamponnement',209.00,209.00),(799,'BGDA005','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire avec indentation sclérale sur 360° [cerclage], sans tamponnement',313.50,313.50),(800,'BGDA006','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire avec indentation sclérale sur 360° [cerclage], avec tamponnement interne par gaz',313.50,313.50),(801,'BGDA007','Indentation transsclérale par ballonnet',313.50,313.50),(802,'BGDA008','Rétinopexie par coagulation par cryoapplication ou avec laser extraoculaire sans indentation, avec tamponnement interne par gaz',200.88,169.18),(803,'BGFA001','Vitrectomie par sclérotomie postérieure, sans coagulation de la rétine',220.97,215.94),(804,'BGFA002','Exérèse de néovaisseaux choroïdiens de topographie maculaire, par rétinotomie',348.19,333.62),(805,'BGFA003','Vitrectomie avec dissection des membranes, coagulation et tamponnement intraoculaire ou indentation transsclérale, pour rétinopathie du prématuré',550.86,550.86),(806,'BGFA004','Exérèse de tumeur de la choroïde sans iridocyclectomie',382.42,353.47),(807,'BGFA005','Vitrectomie par sclérotomie postérieure, avec dissection du cortex vitréen [pelage] et tamponnement interne par gaz',278.26,275.50),(808,'BGFA006','Vitrectomie par sclérotomie postérieure, avec coagulation transsclérale de la rétine sans tamponnement',271.70,271.70),(809,'BGFA007','Exérèse de tumeur de la choroïde avec iridocyclectomie',462.77,400.08),(810,'BGFA008','Vitrectomie mécanique complémentaire, par abord antérieur',0.00,0.00),(811,'BGFA009','Vitrectomie par sclérotomie postérieure, avec endocoagulation de la rétine avec laser ou par diathermie sans tamponnement',271.70,271.70),(812,'BGFA010','Vitrectomie par sclérotomie postérieure, avec coagulation de la rétine et tamponnement interne provisoire',302.06,289.31),(813,'BGFA011','Vitrectomie par sclérotomie postérieure, avec extraction du cristallin',330.34,305.71),(814,'BGFA012','Exérèse de lésion de la sclère',104.50,104.50),(815,'BGFA014','Sclérectomie profonde non transfixiante ou sclérokératectomie profonde, sans viscocanaliculoplastie',209.00,209.00),(816,'BGFA900','Sclérectomie profonde non transfixiante ou sclérokératectomie profonde, avec viscocanaliculoplastie',0.00,0.00),(817,'BGGA001','Ablation secondaire de corps étranger du segment postérieur de l\'oeil avec électroaimant',209.00,209.00),(818,'BGGA002','Ablation secondaire de corps étranger du segment postérieur de l\'oeil sans électroaimant',263.38,240.53),(819,'BGGA003','Ablation de matériel implanté ou de matériel d\'indentation du segment postérieur de l\'oeil, extériorisé',83.60,83.60),(820,'BGGA004','Ablation de matériel implanté ou de matériel d\'indentation du segment postérieur de l\'oeil, non extériorisé',83.60,83.60),(821,'BGGA005','Ablation d\'huile de silicone intravitréenne',209.00,209.00),(822,'BGHA001','Biopsie rétinochoroïdienne',251.32,251.32),(823,'BGHA002','Biopsie de la sclère [sclérotique]',43.81,43.81),(824,'BGHB001','Ponction du corps vitré à l\'aiguille',52.82,43.81),(825,'BGHB002','Ponction de la choroïde',48.12,48.12),(826,'BGHB003','Ponction du corps vitré par aspiration-section automatisée',122.76,106.31),(827,'BGJA001','Évacuation d\'hématome prérétinien avec laser',125.40,125.40),(828,'BGJA002','Évacuation de collection subrétinienne, par rétinotomie',330.17,330.17),(829,'BGJB001','Évacuation de collection de la choroïde, par voie transsclérale',83.60,83.60),(830,'BGLA001','Pose de repère radioopaque du segment postérieur de l\'oeil',209.00,209.00),(831,'BGLA002','Pose d\'un système de repérage d\'une lésion choriorétinienne préalable à sa destruction par radiothérapie externe ou protonthérapie',313.50,313.50),(832,'BGLB001','Injection d\'agent pharmacologique dans le corps vitré',83.60,83.60),(833,'BGLB002','Injection de gaz dans le corps vitré',83.60,83.60),(834,'BGLP001','Séance de cryoapplication transsclérale pour rétinopathie du prématuré',127.22,117.68),(835,'BGMA001','Opération rétinovitréenne associant une indentation et au moins 4 des actes suivants : coagulation, vitrectomie, endocoagulation avec laser, rétinotomie, tamponnement interne, échange fluide-gaz, dissection de brides',563.06,502.13),(836,'BGMA002','Opération rétinovitréenne associant au moins 4 des actes suivants : coagulation, vitrectomie, endocoagulation avec laser, rétinotomie, tamponnement interne, échange fluide-gaz, dissection de brides, rétinectomie',514.85,474.17),(837,'BGMA002','Opération rétinovitréenne associant au moins 4 des actes suivants : coagulation, vitrectomie, endocoagulation au laser, rétinotomie, tamponnement interne, échange fluide-gaz, dissection de brides, rétinectomie',514.85,474.17),(838,'BGMA003','Modification d\'indentation sclérale pour décollement de rétine persistant',391.88,391.88),(839,'BGMA900','Renforcement scléral postérieur de l\'oeil par autogreffe tissulaire',0.00,0.00),(840,'BGMA901','Renforcement scléral postérieur de l\'oeil par matériau de synthèse',0.00,0.00),(841,'BGNA001','Destruction de lésion choriorétinienne par agent physique, par sclérotomie',233.64,233.64),(842,'BGNP001','Séance de photocoagulation choriorétinienne du pôle postérieur, avec laser monochromatique ou laser à colorants',146.30,146.30),(843,'BGNP002','Séance de destruction de lésion choriorétinienne par cryoapplication transsclérale',109.37,107.33),(844,'BGNP003','Séance de destruction de lésion choriorétinienne par photocoagulation avec laser, à l\'aide de verre de contact',101.16,101.16),(845,'BGNP004','Séance de destruction de lésion choriorétinienne par photocoagulation transpupillaire avec laser',119.78,113.36),(846,'BGNP005','Séance de photocoagulation transpupillaire pour rétinopathie du prématuré',126.48,126.03),(847,'BGNP006','Destruction de lésion choriorétinienne par photocoagulation transsclérale',123.83,123.83),(848,'BGNP007','Séance de destruction de lésion choriorétinienne par photocoagulation avec laser, à l\'aide d\'ophtalmoscope indirect',83.60,83.60),(849,'BGNP008','Séance de photocoagulation choriorétinienne du pôle postérieur, avec laser à argon ou diode',125.40,125.40),(850,'BGPA001','Rétinotomie relaxante et/ou dissection de membrane rétrorétinienne',348.19,333.62),(851,'BGPA002','Dissection de la membrane épirétinienne et/ou de la membrane vitrée [hyaloïde]',271.70,271.70),(852,'BGPA003','Section ou libération de brides, de membranes et/ou d\'adhérences vitréorétiniennes postopératoires',146.42,146.42),(853,'BGPP002','Vitréosection avec laser',105.65,105.17),(854,'BGQP001','Transillumination transsclérale de lésion du segment postérieur de l\'oeil, sans désinsertion conjonctivale',0.00,0.00),(855,'BGQP002','Examen du fond d\'oeil par biomicroscopie avec verre de contact',28.29,28.29),(856,'BGQP003','Examen du fond d\'oeil, au lit du malade',21.12,21.12),(857,'BGQP004','Examen du fond d\'oeil par ophtalmoscopie indirecte à image inversée, chez le prématuré ou le nouveau-né',48.36,36.92),(858,'BGQP005','Transillumination transsclérale de lésion du segment postérieur de l\'oeil, avec désinsertion conjonctivale',0.00,0.00),(859,'BGQP006','Rétinographie par stéréophotographie, clichés composés de la périphérie rétinienne ou cliché grand champ supérieur à 60°',0.00,0.00),(860,'BGQP007','Rétinographie en couleur ou en lumière monochromatique, sans injection [Photographie du segment postérieur de l\'oeil, sans injection]',20.83,19.34),(861,'BGQP008','Fluorométrie du corps vitré et du segment postérieur de l\'oeil',68.32,68.32),(862,'BGQP009','Rétinographie en lumière bleue avec analyse des fibres optiques',26.78,22.80),(863,'BGQP010','Électrorétinographie [ERG] par flash lumineux, avec mesure des amplitudes et latences des réponses',53.76,53.76),(864,'BGQP011','Électrorétinographie [ERG] avec enregistrement des potentiels évoqués visuels [PEV] et électrooculographie [EOG]',112.34,102.26),(865,'BGQP012','Électrorétinographie [ERG] avec adaptation à l\'obscurité',55.80,54.94),(866,'BGQP140','Lecture différée d\'une rétinographie en couleur, sans la présence du patient',12.00,12.00),(867,'BGRF001','Séance de photothérapie dynamique de la région maculaire avec injection de produit photosensibilisant',146.30,146.30),(868,'BGSA002','Fermeture de fistule de la sclère',104.50,104.50),(869,'BHFA001','Prélèvement unilatéral ou bilatéral du bulbe [globe] oculaire, au cours d\'un prélèvement multiorgane sur un sujet en état de mort encéphalique',0.00,0.00),(870,'BHGA001','Énucléation du bulbe [globe] oculaire, sans insertion d\'implant ni autogreffe',106.47,106.47),(871,'BHGA002','Éviscération du bulbe [globe] oculaire, sans comblement de la cavité sclérale',110.35,110.35),(872,'BHGA003','Énucléation du bulbe [globe] oculaire, avec insertion d\'un implant habillé dans la gaine du bulbe [capsule de Tenon]',167.20,167.20),(873,'BHGA004','Énucléation du bulbe [globe] oculaire sans mobilisation [no touch]',125.45,125.45),(874,'BHGA005','Énucléation du bulbe [globe] oculaire, avec insertion d\'un implant nu dans la gaine du bulbe [capsule de Tenon]',167.20,167.20),(875,'BHGA006','Éviscération du bulbe [globe] oculaire, avec comblement de la cavité sclérale',167.20,167.20),(876,'BHGA007','Énucléation du bulbe [globe] oculaire, avec insertion d\'un implant biocolonisable dans la gaine du bulbe [capsule de Tenon]',167.20,167.20),(877,'BHMA001','Réparation de plaie linéaire perforante du bulbe [globe] oculaire, avec suture cornéosclérale',188.10,188.10),(878,'BHMA002','Réparation de plaie non linéaire perforante du bulbe [globe] oculaire intéressant au moins 3 des structures suivantes : cornée, sclère, iris, corps ciliaire, cristallin, corps vitré, rétine',240.31,218.38),(879,'BHNL001','Curiethérapie transsclérale du bulbe [globe] oculaire',0.00,0.00),(880,'BHQB001','Mesure de la pression [tension] intraoculaire [Tonométrie intraoculaire], sous anesthésie générale',0.00,0.00),(881,'BHQP001','Mesure de la pression [tension] intraoculaire avec courbe nycthémérale comportant au moins 6 mesures',41.66,34.65),(882,'BHQP002','Gonioscopie oculaire',17.28,17.28),(883,'BHQX005','Examen anatomopathologique à visée carcinologique de pièce d\'énucléation du bulbe [globe] oculaire',92.09,92.09),(884,'BHRP001','Épreuve de provocation du glaucome',45.38,41.65),(885,'BJCA001','Suture de plaie des muscles oculomoteurs',125.40,125.40),(886,'BJDA001','Myopexie bilatérale rétroéquatoriale des muscles oculomoteurs',218.59,218.59),(887,'BJDA002','Myopexie unilatérale rétroéquatoriale des muscles oculomoteurs',155.89,155.89),(888,'BJEA001','Transposition de muscles oculomoteurs pour suppléance',188.10,188.10),(889,'BJEA002','Réinsertion posttraumatique de muscle oculomoteur',129.48,129.48),(890,'BJLB001','Injection unilatérale ou bilatérale de toxine botulique dans les muscles oculomoteurs',53.42,53.42),(891,'BJLB901','Injection unilatérale ou bilatérale de toxine botulique dans les muscles oculomoteurs',0.00,0.00),(892,'BJMA001','Renforcement ou affaiblissement unilatéral ou bilatéral de muscle oculomoteur, avec suture ajustable',187.24,187.24),(893,'BJMA002','Renforcement, affaiblissement ou déplacement de l\'insertion d\'un muscle oculomoteur droit',155.89,155.89),(894,'BJMA003','Renforcement, affaiblissement ou déplacement bilatéral de l\'insertion d\'un muscle oculomoteur',218.59,218.59),(895,'BJMA004','Renforcement, affaiblissement ou déplacement de l\'insertion d\'un muscle oculomoteur oblique',155.89,155.89),(896,'BJMA005','Renforcement, affaiblissement ou déplacement unilatéral de l\'insertion de 2 muscles oculomoteurs',155.89,155.89),(897,'BJMA006','Renforcement, affaiblissement ou déplacement de l\'insertion de 2 muscles oculomoteurs d\'un côté et d\'un muscle oculomoteur de l\'autre',218.59,218.59),(898,'BJMA007','Renforcement, affaiblissement ou déplacement de l\'insertion de 4 muscles oculomoteurs ou plus',218.59,218.59),(899,'BJMA008','Renforcement, affaiblissement ou déplacement itératif de l\'insertion de 2 muscles oculomoteurs',188.10,188.10),(900,'BJMA009','Renforcement, affaiblissement ou déplacement itératif de l\'insertion d\'un muscle oculomoteur',177.65,177.65),(901,'BJQP001','Photographies diagnostiques du regard dans ses différentes positions et au cours d\'épreuves de duction',0.00,0.00),(902,'BJQP002','Examen fonctionnel de la motricité oculaire',26.24,26.24),(903,'BJQP003','Enregistrement de la cinétique du regard [motricité oculopalpébrale]',23.66,23.66),(904,'BJQP004','Nystagmographie optocinétique sans étude des poursuites et des saccades',0.00,0.00),(905,'BJQP005','Vidéonystagmoscopie',57.60,57.60),(906,'BJQP006','Nystagmographie optocinétique avec étude des poursuites et des saccades',0.00,0.00),(907,'BKBA001','Comblement de cavité d\'exentération de l\'orbite par autogreffe cutanée et lambeau musculaire temporal',246.26,230.62),(908,'BKCP001','Forage secondaire d\'un implant intraorbitaire pour fixation d\'une prothèse oculaire',35.60,35.60),(909,'BKFA001','Exérèse de lésion de l\'orbite, par abord latéral',248.87,248.87),(910,'BKFA002','Exérèse de lésion de l\'orbite, par abord conjonctivopalpébral',167.20,167.20),(911,'BKFA003','Exérèse de lésion de l\'orbite, par abord coronal',389.84,389.84),(912,'BKFA004','Résection de graisse orbitaire pour décompression de l\'orbite, par voie palpébrale',302.06,245.43),(913,'BKGA001','Ablation d\'un implant intraorbitaire, après énucléation ou éviscération du bulbe [globe] oculaire',98.21,92.07),(914,'BKGA002','Ablation de corps étranger de l\'orbite avec électroaimant, avec orbitotomie osseuse',217.38,217.38),(915,'BKGA003','Ablation de corps étranger de l\'orbite sans électroaimant, avec orbitotomie osseuse',274.54,229.45),(916,'BKGA004','Exentération de l\'orbite étendue aux structures musculaires adjacentes et/ou aux parois osseuses, avec comblement par autogreffe cutanée et lambeau musculaire temporal',415.15,368.07),(917,'BKGA005','Ablation de corps étranger de l\'orbite sans électroaimant, sans orbitotomie osseuse',167.20,167.20),(918,'BKGA006','Exentération de l\'orbite étendue aux structures musculaires adjacentes et/ou aux parois osseuses, sans comblement',328.85,269.74),(919,'BKGA007','Exentération de l\'orbite',242.54,219.68),(920,'BKGA008','Ablation de corps étranger de l\'orbite avec électroaimant, sans orbitotomie osseuse',167.20,167.20),(921,'BKHA002','Biopsie de lésion de l\'orbite, par abord conjonctivopalpébral',70.20,70.20),(922,'BKHA003','Biopsie de lésion de l\'orbite, par abord latéral ou par abord ethmoïdal',154.01,133.22),(923,'BKHB002','Biopsie des organes accessoires de l\'oeil, par voie orbitaire avec guidage échographique',31.35,31.35),(924,'BKHB003','Biopsie des organes accessoires de l\'oeil, par voie orbitaire sans guidage',52.58,52.58),(925,'BKHB004','Biopsie des organes accessoires de l\'oeil, par voie orbitaire avec guidage radiologique',31.35,31.35),(926,'BKJA001','Évacuation de collection de l\'orbite',74.40,60.71),(927,'BKKP003','Changement d\'un implant intraorbitaire, après énucléation ou éviscération du bulbe [globe] oculaire',167.20,167.20),(928,'BKLA001','Pose de matériau inerte intraorbitaire pour correction d\'énophtalmie',283.39,283.39),(929,'BKLA002','Insertion secondaire d\'un implant intraorbitaire, après énucléation ou éviscération du bulbe [globe] oculaire',122.71,122.71),(930,'BKLA003','Pose d\'autogreffe intraorbitaire pour correction d\'énophtalmie',367.54,283.39),(931,'BKLB001','Injection thérapeutique intraorbitaire, rétrobulbaire ou latérobulbaire, d\'agent pharmacologique',20.09,18.10),(932,'BKLP001','Pose ou changement de conformateur ou de prothèse d\'expansion orbitaire',23.02,23.02),(933,'BKLP002','Pose d\'une épithèse orbitopalpébrale',0.00,0.00),(934,'BKMA001','Reconstruction totale de la cavité orbitaire par autogreffe',294.79,294.79),(935,'BKMA002','Reconstruction orbitopalpébrale par matériau inerte et/ou autogreffe, après exentération de l\'orbite',329.24,329.24),(936,'BKMA003','Reconstruction partielle de la cavité orbitaire par autogreffe',257.00,257.00),(937,'BKMA004','Restauration du volume orbitaire par matériau inerte et/ou autogreffe',230.18,230.18),(938,'BKMP001','Moulage de la cavité de l\'orbite pour fabrication de conformateur ou de prothèse d\'expansion orbitaire, sous anesthésie générale ou locorégionale',51.09,51.09),(939,'BKQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exentération de l\'orbite',89.44,89.44),(940,'BLMP001','Adaptation bilatérale de lentille de contact pour kératocône ou astigmatisme irrégulier',88.32,88.32),(941,'BLMP002','Adaptation unilatérale ou bilatérale de lentille de contact souple',81.60,81.60),(942,'BLMP003','Adaptation unilatérale de lentille de contact pour kératocône ou astigmatisme irrégulier',71.04,71.04),(943,'BLMP005','Adaptation unilatérale ou bilatérale de lentille de contact rigide',88.32,88.32),(944,'BLMP006','Adaptation bilatérale de verre scléral obtenu par moulage',88.32,88.32),(945,'BLMP007','Adaptation unilatérale de verre scléral obtenu par moulage',71.04,71.04),(946,'BLQP001','Enregistrement des potentiels évoqués visuels avec stimulation par flash lumineux',53.76,53.76),(947,'BLQP002','Campimétrie ou périmétrie manuelle ou automatisée, sans programme spécifique de mesure de seuils',35.71,31.20),(948,'BLQP003','Mesure de l\'acuité visuelle, par étude de la sensibilité au contraste',0.00,0.00),(949,'BLQP004','Campimétrie ou périmétrie manuelle ou automatisée, avec programmes spécifiques de mesure de seuils',39.43,33.36),(950,'BLQP005','Mesure de l\'adaptation visuelle à l\'obscurité avec courbe d\'adaptation',39.43,33.36),(951,'BLQP007','Exploration du sens chromatique [vision des couleurs] par assortiment',60.26,42.21),(952,'BLQP008','Exploration du sens chromatique [vision des couleurs] par épreuves pseudo-isochromatiques',18.60,18.05),(953,'BLQP009','Enregistrement des potentiels évoqués visuels par inversion du stimulus de contraste',64.80,60.16),(954,'BLQP010','Examen de la vision binoculaire',25.32,25.32),(955,'BLQP011','Mesure de l\'acuité visuelle potentielle par interférométrie au laser',0.00,0.00),(956,'BLQP012','Évaluation de l\'acuité visuelle par la technique du regard préférentiel, avant l\'âge de 2 ans',25.30,22.73),(957,'BLQP014','Détermination objective de l\'acuité visuelle par étude des potentiels évoqués visuels [PEV]',57.29,55.80),(958,'BLQP015','Mesure de la fonction visuelle centrale et scotométrie par ophtalmoscope à balayage laser',0.00,0.00),(959,'BLQP016','Exploration du sens chromatique [vision des couleurs] assistée par ordinateur avec enregistrement et mesures',48.36,38.53),(960,'BLRP001','Séance de stimulation de la vision binoculaire et de l\'amblyopie',23.89,23.89),(961,'BZQK001','Tomographie unilatérale ou bilatérale de l\'oeil par scanographie à cohérence optique',56.54,47.88),(962,'BZQM001','Échographie de l\'oeil et/ou de l\'orbite en mode B',56.54,47.88),(963,'BZQM002','Échographie de l\'oeil et/ou de l\'orbite avec biométrie',37.20,36.66),(964,'BZQM003','Échographie-doppler unilatérale ou bilatérale de l\'oeil et/ou de l\'orbite',69.93,69.93),(965,'BZQP002','Fluoroscopie de l\'oeil',27.54,27.54),(966,'BZQP003','Biomicroscopie de l\'oeil aux ultrasons',54.31,46.58),(967,'BZQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse d\'organe accessoire de l\'oeil',51.28,51.28),(968,'CAEA001','Transposition du lobule de l\'auricule',131.87,102.82),(969,'CAEA002','Repositionnement de tout ou partie de l\'auricule, sans anastomose vasculaire',125.40,125.40),(970,'CAEA003','Réimplantation de tout ou partie de l\'auricule avec anastomoses vasculaires',380.86,380.86),(971,'CAFA001','Exérèse de l\'oreille externe élargie au rocher',770.77,648.94),(972,'CAFA002','Exérèse partielle non transfixiante de l\'auricule',46.79,44.70),(973,'CAFA003','Exérèse totale de l\'auricule, sans exérèse du cartilage du méat acoustique externe',125.40,125.40),(974,'CAFA004','Exérèse de l\'oreille externe élargie à l\'oreille moyenne',364.98,308.25),(975,'CAFA005','Exérèse partielle transfixiante de l\'auricule',95.72,73.07),(976,'CAFA006','Excision de chondrite de l\'auricule',78.54,63.11),(977,'CAFA007','Exérèse totale de l\'auricule et du cartilage du méat acoustique externe',166.32,149.13),(978,'CAFA008','Exérèse de l\'oreille externe élargie au rocher, à la glande parotide et à la fosse infratemporale',950.18,818.11),(979,'CAFA009','Exérèse de lésion osseuse oblitérante du méat acoustique externe',298.76,225.95),(980,'CAFA010','Exérèse de l\'oreille externe élargie à la glande parotide et à la fosse infratemporale',786.17,639.60),(981,'CAFA011','Exérèse partielle du méat acoustique externe',83.16,65.79),(982,'CAGD001','Ablation unilatérale ou bilatérale de bouchon de cérumen ou de corps étranger du méat acoustique externe',19.25,17.21),(983,'CAGD002','Extraction unilatérale ou bilatérale de bouchon épidermique du méat acoustique externe',30.03,21.45),(984,'CAHA001','Biopsie unilatérale ou bilatérale de la peau de l\'oreille externe',29.90,25.41),(985,'CAHA002','Biopsie unilatérale ou bilatérale du cartilage de l\'oreille externe',32.04,26.65),(986,'CAJA001','Évacuation de collection de l\'auricule',65.45,42.35),(987,'CAJA002','Parage et/ou suture de plaie de l\'auricule',46.79,33.72),(988,'CAJD001','Soin instrumental unilatéral ou bilatéral d\'oreille externe, sous microscope',0.00,0.00),(989,'CALD001','Pose d\'un conformateur du méat acoustique externe',91.63,79.48),(990,'CALP001','Pose d\'une épithèse auriculaire',0.00,0.00),(991,'CAMA001','Reconstruction totale de l\'auricule en un temps',665.75,491.47),(992,'CAMA002','Reconstruction du tragus par lambeau cutané et autogreffe de peau',191.24,191.24),(993,'CAMA003','Reconstruction du sillon rétroauriculaire par lambeau cutané d\'avancement et autogreffe de peau',194.27,193.00),(994,'CAMA004','Reconstruction totale de l\'auricule par autogreffe de cartilage costal',601.23,454.05),(995,'CAMA005','Réparation de perte de substance partielle de l\'auricule par autogreffe de cartilage costal',333.23,298.61),(996,'CAMA006','Reconstruction de l\'auricule par lambeau pédiculé de fascia temporal, avec autogreffe chondrocutanée et autogreffe de peau',713.96,563.33),(997,'CAMA007','Correction secondaire du résultat esthétique d\'une reconstruction totale de l\'auricule',407.55,407.55),(998,'CAMA008','Plastie unilatérale d\'oreille décollée',143.93,118.59),(999,'CAMA009','Reconstruction du méat acoustique externe par lambeau cutané et/ou autogreffe de peau, avec myringoplastie et ossiculoplastie, avec ouverture du labyrinthe, avec laser',549.78,516.31),(1000,'CAMA010','Reconstruction du méat acoustique externe par lambeau cutané et/ou autogreffe de peau, sans temps de caisse',231.77,214.74),(1001,'CAMA011','Plastie du pore acoustique externe cartilagineux [Méatoplastie]',166.32,149.13),(1002,'CAMA012','Reconstruction du tragus par autogreffe chondrocutanée de conque controlatérale et autogreffe de peau',191.24,191.24),(1003,'CAMA013','Plastie bilatérale d\'oreille décollée',236.81,190.01),(1004,'CAMA014','Reconstruction du sillon rétroauriculaire par lambeau de fascia temporal ou occipital, et autogreffe de peau',287.85,247.27),(1005,'CAMA015','Reconstruction du méat acoustique externe par lambeau cutané et/ou autogreffe de peau, avec myringoplastie et ossiculoplastie, avec ouverture du labyrinthe, sans laser',539.00,510.07),(1006,'CAMA016','Reconstruction du méat acoustique externe par lambeau cutané et/ou autogreffe de peau, avec myringoplastie et ossiculoplastie, sans ouverture du labyrinthe',560.56,496.95),(1007,'CAMA017','Réparation de perte de substance partielle de l\'auricule par autogreffe de cartilage de l\'auricule controlatéral ou du septum nasal',250.80,250.80),(1008,'CAMA018','Reconstruction du méat acoustique externe par lambeau cutané et/ou autogreffe de peau, avec myringoplastie',522.83,418.67),(1009,'CAMA019','Réparation de perte de substance partielle de l\'auricule par puits de bourgeonnement chondrocutané',44.67,39.07),(1010,'CAMA020','Reconstruction du méat acoustique externe par lambeau de fascia temporal et autogreffe de peau, sans temps de caisse',318.01,264.76),(1011,'CAMA021','Réparation de perte de substance partielle de l\'auricule par autogreffe chondrocutanée',250.80,250.80),(1012,'CAMA022','Réparation de perte de substance partielle de l\'auricule par lambeau local cutané ou chondrocutané',250.80,250.80),(1013,'CAPA001','Incision de collection du méat acoustique externe',33.11,23.60),(1014,'CASA001','Hémostase secondaire à un acte sur l\'oreille externe ou l\'oreille moyenne',56.21,41.38),(1015,'CASA002','Fermeture de l\'oreille externe et de l\'oreille moyenne avec suture du pore acoustique externe',398.09,336.23),(1016,'CBFA001','Exérèse de tympanosclérose sans ouverture du labyrinthe, avec ossiculoplastie',313.50,313.50),(1017,'CBFA002','Exérèse de cholestéatome avec tympanoplastie en technique fermée et ossiculoplastie',597.52,478.24),(1018,'CBFA003','Exérèse de cholestéatome avec tympanoplastie en technique ouverte et ossiculoplastie',560.56,456.80),(1019,'CBFA004','Exérèse de tympanosclérose sans ouverture du labyrinthe',199.43,185.90),(1020,'CBFA005','Exérèse de cholestéatome limitée au cavum tympanique, sans exploration antroatticale',281.29,281.29),(1021,'CBFA006','Exérèse de cholestéatome avec tympanoplastie en technique fermée',560.56,456.80),(1022,'CBFA007','Exérèse de cholestéatome avec tympanoplastie en technique ouverte',520.52,433.58),(1023,'CBFA008','Exérèse de tumeur non cholestéatomateuse de l\'oreille moyenne, étendue à l\'ensemble des cavités de l\'oreille moyenne, sans laser',560.56,500.68),(1024,'CBFA009','Exérèse de tumeur non cholestéatomateuse de l\'oreille moyenne, étendue à l\'ensemble des cavités de l\'oreille moyenne, avec laser',560.56,500.68),(1025,'CBFA010','Exérèse de tumeur non cholestéatomateuse de l\'oreille moyenne, limitée au cavum tympanique',281.29,281.29),(1026,'CBFA012','Exérèse de tympanosclérose avec ouverture du labyrinthe et rétablissement de l\'effet columellaire, avec laser',468.93,429.26),(1027,'CBFA013','Exérèse de tympanosclérose avec ouverture du labyrinthe et rétablissement de l\'effet columellaire, sans laser',468.93,429.26),(1028,'CBGA001','Ablation de corps étranger de l\'oreille moyenne avec décollement du lambeau tympanoméatal',167.20,167.20),(1029,'CBGA003','Ablation d\'une prothèse auditive implantée ou d\'un appareillage auditif ostéo-intégré',88.55,68.92),(1030,'CBGD001','Ablation unilatérale ou bilatérale d\'aérateur transtympanique en place sur le tympan, sous anesthésie générale',62.70,62.70),(1031,'CBJD001','Soin instrumental unilatéral ou bilatéral d\'oreille moyenne sous microscope',36.19,29.06),(1032,'CBKA001','Changement ou repositionnement de prothèse ossiculaire après platinotomie ou platinectomie',374.48,374.48),(1033,'CBLA001','Pose d\'une prothèse auditive implantable dans l\'oreille moyenne',248.71,223.25),(1034,'CBLA002','Pose d\'un appareillage auditif ostéo-intégré dans l\'oreille moyenne, en un temps',250.80,250.80),(1035,'CBLD001','Pose bilatérale d\'aérateur transtympanique',86.40,86.40),(1036,'CBLD002','Insufflation unilatérale ou bilatérale de trompe auditive',0.00,0.00),(1037,'CBLD003','Pose unilatérale d\'aérateur transtympanique',57.60,57.60),(1038,'CBMA001','Ossiculoplastie',313.50,313.50),(1039,'CBMA002','Tympanoplastie secondaire sur technique ouverte, sans reconstruction de cadre',313.50,313.50),(1040,'CBMA003','Ossiculoplastie pour malformation ossiculaire avec ouverture du labyrinthe, avec laser',374.48,374.48),(1041,'CBMA004','Tympanoplastie secondaire sur technique ouverte, avec reconstruction de cadre',344.19,331.30),(1042,'CBMA005','Myringoplastie avec ossiculoplastie, sans exploration mastoïdoatticale',313.50,313.50),(1043,'CBMA006','Ossiculoplastie pour malformation ossiculaire sans ouverture du labyrinthe',313.50,313.50),(1044,'CBMA007','Myringoplastie avec ossiculoplastie et exploration mastoïdoatticale',333.41,325.05),(1045,'CBMA008','Myringoplastie sans décollement du lambeau tympanoméatal',167.20,167.20),(1046,'CBMA009','Myringoplastie avec décollement du lambeau tympanoméatal, sans exploration mastoïdoatticale',167.20,167.20),(1047,'CBMA010','Ossiculoplastie pour malformation ossiculaire avec ouverture du labyrinthe, sans laser',374.48,374.48),(1048,'CBMA011','Myringoplastie avec décollement du lambeau tympanoméatal et exploration mastoïdoatticale',313.50,313.50),(1049,'CBMD001','Tympanoplastie en technique fermée, avec tympanotomie postérieure',560.56,456.80),(1050,'CBMD002','Tympanoplastie secondaire en technique fermée',313.50,313.50),(1051,'CBMD003','Tympanoplastie secondaire en technique fermée, avec ossiculoplastie',313.50,313.50),(1052,'CBMP001','Séance d\'adaptation et de réglage secondaires d\'une prothèse auditive implantée dans l\'oreille moyenne',0.00,0.00),(1053,'CBPA001','Déblocage d\'une ankylose ossiculaire atticale',313.50,313.50),(1054,'CBPA002','Platinotomie sans laser ou platinectomie, avec rétablissement de l\'effet columellaire',388.85,382.81),(1055,'CBPA003','Platinotomie avec laser, avec rétablissement de l\'effet columellaire',381.15,378.35),(1056,'CBPD001','Myringotomie unilatérale ou bilatérale',35.42,32.64),(1057,'CBQA001','Exploration du cavum tympanique [caisse du tympan], avec décollement du lambeau tympanoméatal',167.20,167.20),(1058,'CBQD001','Tympanométrie',22.33,21.01),(1059,'CBQE001','Examen unilatéral ou bilatéral de l\'oreille externe et/ou moyenne, sous microscope ou par endoscopie méatale',0.00,0.00),(1060,'CBQE900','Fibroendoscopie de l\'oreille moyenne, par voie tubaire',0.00,0.00),(1061,'CCCA001','Ouverture avec laser et occlusion du conduit semicirculaire postérieur',374.48,374.48),(1062,'CCCA002','Ouverture sans laser et occlusion du conduit semicirculaire postérieur',374.48,374.48),(1063,'CCFA001','Labyrinthectomie partielle ou totale, par abord direct',374.48,374.48),(1064,'CCGA001','Ablation d\'un implant cochléaire',0.00,0.00),(1065,'CCNB001','Destruction du labyrinthe par injection d\'agent pharmacologique, par voie transtympanique',41.58,32.19),(1066,'CCPA001','Décompression intralabyrinthique par abord des fenêtres, sans laser',374.48,374.48),(1067,'CCPA002','Décompression intralabyrinthique par abord des fenêtres, avec laser',374.48,374.48),(1068,'CCPA003','Décompression ou dérivation du sac endolymphatique',374.48,374.48),(1069,'CCRA001','Électrostimulation de l\'oreille interne avec décollement du lambeau tympanoméatal',0.00,0.00),(1070,'CCRD001','Électrostimulation transtympanique de l\'oreille interne sous anesthésie générale, avec enregistrement',0.00,0.00),(1071,'CCRD002','Électrostimulation transtympanique de l\'oreille interne sans anesthésie générale',0.00,0.00),(1072,'CCSA001','Fermeture de fistule de périlymphe',374.48,374.48),(1073,'CDGA001','Ablation d\'un implant auditif à électrodes intracochléaires',169.45,169.45),(1074,'CDLA002','Pose d\'un implant auditif à électrodes du tronc cérébral',764.30,764.30),(1075,'CDLA003','Pose d\'un implant auditif à électrodes intracochléaires',497.72,497.72),(1076,'CDLA004','Pose d\'un implant auditif à électrodes extracochléaires',0.00,0.00),(1077,'CDMP001','Conditionnement d\'un enfant pour test audiométrique sans mesure',0.00,0.00),(1078,'CDMP002','Séance d\'adaptation et de réglage secondaires d\'implant cochléaire',91.46,91.46),(1079,'CDMP002','Séance d\'adaptation et de réglage secondaires d\'implant auditif à électrodes intracochléaires ou à électrodes du tronc cérébral',91.46,91.46),(1080,'CDQD001','Tubomanométrie auditive [Sonotubomanométrie]',0.00,0.00),(1081,'CDQD002','Sonomanométrie',0.00,0.00),(1082,'CDQP002','Audiométrie tonale et vocale avec tympanométrie',53.13,52.25),(1083,'CDQP004','Enregistrement des produits de distorsion des otoémissions',0.00,0.00),(1084,'CDQP005','Audiométrie en hautes fréquences',0.00,0.00),(1085,'CDQP006','Enregistrement des potentiels évoqués auditifs précoces pour recherche de seuil, étude des temps de conduction et mesure des amplitudes, sans anesthésie générale',96.00,96.00),(1086,'CDQP007','Audiométrie en champ libre et en cabine chez l\'enfant [tests conditionnés]',53.13,42.91),(1087,'CDQP008','Enregistrement des potentiels évoqués auditifs de moyennes et de longues latences avec mesure des amplitudes et latences des réponses',96.00,96.00),(1088,'CDQP009','Enregistrement des otoémissions',0.00,0.00),(1089,'CDQP010','Audiométrie tonale ou vocale',26.18,23.25),(1090,'CDQP011','Audiométrie vocale dans le bruit',33.11,31.30),(1091,'CDQP012','Audiométrie tonale et vocale',39.27,34.88),(1092,'CDQP013','Audiométrie avec tests osmotiques',0.00,0.00),(1093,'CDQP014','Enregistrement des potentiels évoqués auditifs précoces pour recherche de seuil, étude des temps de conduction et mesure des amplitudes, sous anesthésie générale',96.00,96.00),(1094,'CDQP015','Audiométrie tonale avec tympanométrie',40.81,40.81),(1095,'CDQP016','Audiométrie automatique',0.00,0.00),(1096,'CDQP017','Enregistrement des potentiels évoqués auditifs précoces pour étude des temps de conduction et mesure des amplitudes',57.60,57.60),(1097,'CDRP001','Électrostimulation des acouphènes',0.00,0.00),(1098,'CDRP002','Épreuves de dépistage de surdité avant l\'âge de 3 ans',48.51,40.23),(1099,'CEQP001','Électrocochléographie sans anesthésie générale',57.60,57.60),(1100,'CEQP002','Statokinésimétrie avec stabilométrie',0.00,0.00),(1101,'CEQP005','Analyse de la posture verticale statique et/ou dynamique sur plateforme de force [Posturographie]',0.00,0.00),(1102,'CEQP006','Électrocochléographie sous anesthésie générale',80.85,71.08),(1103,'CEQP008','Enregistrement des potentiels évoqués vestibulaires d\'origine sacculaire [potentiels évoqués otolithiques] [potentiels évoqués sacculocolliques] par électromyographie',57.60,57.60),(1104,'CERP001','Épreuve vestibulaire bicalorique calibrée avec électronystagmographie ou vidéonystagmographie',57.60,57.60),(1105,'CERP002','Séance de rééducation de la fonction vestibulaire labyrinthique',48.51,33.78),(1106,'CERP003','Épreuve vestibulaire bicalorique calibrée, pendulaire ou rotatoire avec électronystagmographie ou vidéonystagmographie, et tests oculographiques',84.48,84.48),(1107,'CERP004','Épreuve vestibulaire pendulaire ou rotatoire avec électronystagmographie ou vidéonystagmographie',57.60,57.60),(1108,'CERP005','Épreuve vestibulaire bicalorique calibrée sans enregistrement [clinique]',0.00,0.00),(1109,'DAAA001','Agrandissement d\'une communication interventriculaire ou du foramen bulboventriculaire, par thoracotomie avec CEC',978.75,978.75),(1110,'DAAA002','Plastie d\'agrandissement de l\'infundibulum pulmonaire avec section de l\'anneau pulmonaire, par thoracotomie avec CEC',940.50,940.50),(1111,'DAAA003','Plastie d\'agrandissement de l\'infundibulum pulmonaire, par thoracotomie avec CEC',789.83,765.33),(1112,'DAAF001','Dilatation intraluminale de la voie d\'éjection du ventricule droit et du tronc de l\'artère pulmonaire, par voie veineuse transcutanée',397.10,397.10),(1113,'DAAF002','Dilatation intraluminale de la voie d\'éjection infraaortique, par voie artérielle transcutanée',397.10,397.10),(1114,'DAAF003','Agrandissement d\'une communication interatriale, par voie veineuse transcutanée',595.65,595.65),(1115,'DACA001','Suture de plaie du coeur, par thoracotomie sans CEC',650.15,596.54),(1116,'DAFA001','Exérèse d\'un diverticule du coeur, par thoracotomie sans CEC',566.49,548.02),(1117,'DAFA002','Résection ou consolidation d\'une zone myocardique infarcie, par thoracotomie sans CEC',844.42,709.21),(1118,'DAFA003','Résection d\'un anévrisme de la paroi ventriculaire du coeur, par thoracotomie avec CEC',989.76,881.30),(1119,'DAFA005','Exérèse d\'une tumeur du coeur, par thoracotomie sans CEC',704.04,627.79),(1120,'DAFA006','Résection d\'un bourrelet musculaire infraaortique pour cardiomyopathie obstructive, par thoracotomie avec CEC',858.60,805.21),(1121,'DAFA007','Résection musculaire cardiaque intraventriculaire, par thoracotomie avec CEC',1157.80,978.75),(1122,'DAFA008','Résection ou consolidation d\'une zone myocardique infarcie, par thoracotomie avec CEC',1090.44,939.69),(1123,'DAFA009','Exérèse d\'une tumeur du coeur, par thoracotomie avec CEC',940.50,940.50),(1124,'DAFA010','Résection d\'une sténose congénitale infraorificielle de l\'aorte, par thoracotomie avec CEC',843.00,796.18),(1125,'DAGA001','Ablation de corps étranger ou exérèse de végétation ou de caillot intracardiaque, par thoracotomie avec CEC',755.79,745.59),(1126,'DAGA002','Ablation d\'électrode intracardiaque de stimulation ou de défibrillation, par thoracotomie sans CEC',643.06,592.43),(1127,'DAGF001','Ablation de corps étranger intracardiaque ou intravasculaire, par voie vasculaire transcutanée',209.00,209.00),(1128,'DAHF001','Biopsie de l\'endocarde et du myocarde, par voie vasculaire transcutanée',158.70,158.70),(1129,'DAMA003','Création d\'une communication interatriale, par thoracotomie',592.72,563.23),(1130,'DAMA005','Correction d\'une malformation sténosante intraatriale droite ou gauche congénitale, par thoracotomie avec CEC',947.93,857.03),(1131,'DAMA900','Cardiomyoplastie de substitution ventriculaire, par thoracotomie avec CEC',0.00,0.00),(1132,'DAMA901','Cardiomyoplastie de substitution ventriculaire, par thoracotomie sans CEC',0.00,0.00),(1133,'DAMF001','Création d\'une communication interatriale, par voie veineuse transcutanée',595.65,595.65),(1134,'DAPA001','Interruption du conduit artériel, par thoracotomie sans CEC',538.13,531.57),(1135,'DAPC001','Interruption du conduit artériel, par thoracoscopie sans CEC',627.79,627.79),(1136,'DAQL001','Tomoscintigraphie de perfusion myocardique après épreuve d\'effort ou épreuve pharmacologique, sans synchronisation à l\'électrocardiogramme',261.91,261.91),(1137,'DAQL002','Scintigraphie des cavités cardiaques au repos selon 1 incidence',266.19,266.19),(1138,'DAQL003','Tomoscintigraphie de perfusion myocardique de repos, sans synchronisation à l\'électrocardiogramme',256.77,256.77),(1139,'DAQL004','Scintigraphie des cavités cardiaques pendant une épreuve d\'effort ou une épreuve pharmacologique',395.43,395.43),(1140,'DAQL005','Recherche radio-isotopique de thrombose intracardiaque',268.87,268.87),(1141,'DAQL006','Tomoscintigraphie myocardique par émission de positons, avec tépographe [caméra TEP] dédié',0.00,0.00),(1142,'DAQL007','Scintigraphie myocardique sans utilisation de traceur de perfusion',172.32,172.32),(1143,'DAQL008','Scintigraphie des cavités cardiaques au repos selon plusieurs incidences',266.19,266.19),(1144,'DAQL009','Tomoscintigraphie de perfusion myocardique de repos, avec tomoscintigraphie de perfusion myocardique après épreuve d\'effort ou épreuve pharmacologique avec synchronisation à l\'électrocardiogramme',472.72,472.72),(1145,'DAQL010','Tomoscintigraphie de perfusion myocardique après épreuve d\'effort ou épreuve pharmacologique, avec synchronisation à l\'électrocardiogramme',319.42,319.42),(1146,'DAQL011','Tomoscintigraphie de perfusion myocardique de repos, avec tomoscintigraphie de perfusion myocardique après épreuve d\'effort ou épreuve pharmacologique sans synchronisation à l\'électrocardiogramme',390.29,390.29),(1147,'DAQL012','Scintigraphie des cavités cardiaques à visée rythmologique',395.43,395.43),(1148,'DAQL014','Tomoscintigraphie de perfusion myocardique de repos, avec synchronisation à l\'électrocardiogramme',316.85,316.85),(1149,'DAQL015','Tomoscintigraphie des cavités cardiaques au repos, avec synchronisation à l\'électrocardiogramme',266.19,266.19),(1150,'DAQL900','Tomoscintigraphie des cavités cardiaques après épreuve d\'effort ou épreuve pharmacologique, avec synchronisation à l\'électrocardiogramme',0.00,0.00),(1151,'DAQM003','Échocardiographie transthoracique continue avec épreuve pharmacologique de stress, pour étude de la viabilité et/ou de l\'ischémie du myocarde',165.31,165.31),(1152,'DAQM900','Vidéodensitométrie pour analyse tissulaire du myocarde, au cours d\'une échographie du coeur et des vaisseaux intrathoraciques',0.00,0.00),(1153,'DAQM901','Échographie harmonique avec injection intraveineuse transcutanée d\'un produit de contraste ultrasonore pour étude de la perfusion du myocarde, au cours d\'une échographie du coeur et des vaisseaux intrathoraciques',0.00,0.00),(1154,'DASA001','Fermeture d\'une communication interventriculaire avec pose d\'un conduit extracardiaque, par thoracotomie avec CEC',2010.72,1649.01),(1155,'DASA002','Fermeture d\'une communication atrioventriculaire sans geste sur le septum interventriculaire, par thoracotomie avec CEC',1164.89,1070.65),(1156,'DASA003','Fermeture d\'une communication interatriale, par thoracotomie avec CEC',731.50,731.50),(1157,'DASA004','Fermeture d\'une communication interventriculaire pour discordance atrioventriculaire et transposition ou malposition des gros vaisseaux, par thoracotomie avec CEC',1315.51,1315.51),(1158,'DASA006','Fermeture d\'une rupture du septum interventriculaire cardiaque, par thoracotomie avec CEC',1693.80,1289.64),(1159,'DASA007','Fermeture d\'une communication interventriculaire avec correction d\'une sténose de l\'aorte thoracique horizontale et/ou de l\'isthme aortique, avec commissurotomie ou valvectomie pulmonaire, par thoracotomie avec CEC',1605.16,1605.16),(1160,'DASA008','Fermeture d\'une communication atrioventriculaire avec geste sur le septum interventriculaire, par thoracotomie avec CEC',1672.53,1452.86),(1161,'DASA009','Fermeture d\'une communication interventriculaire avec correction d\'une sténose de l\'aorte thoracique horizontale et/ou de l\'isthme aortique, par thoracotomie avec CEC',1480.37,1480.37),(1162,'DASA010','Fermeture de communications interventriculaires multiples, avec résection musculaire cardiaque intraventriculaire, par thoracotomie avec CEC',1615.10,1419.55),(1163,'DASA011','Fermeture de communications interventriculaires multiples, par thoracotomie avec CEC',1444.94,1233.08),(1164,'DASA012','Fermeture d\'une communication interventriculaire sans pose d\'un conduit extracardiaque, par thoracotomie avec CEC',1106.04,948.74),(1165,'DASA013','Fermeture d\'une communication atrioventriculaire, avec geste sur le septum interventriculaire et correction d\'une sténose de la voie pulmonaire, par thoracotomie avec CEC',1597.61,1597.61),(1166,'DASA014','Fermeture d\'une communication interventriculaire avec résection musculaire cardiaque intraventriculaire, par thoracotomie avec CEC',1184.03,1081.74),(1167,'DASF001','Fermeture du conduit artériel, par voie vasculaire transcutanée',595.65,595.65),(1168,'DASF002','Fermeture d\'une déhiscence d\'une prothèse de cloisonnement intraatrial, par voie vasculaire transcutanée',397.10,397.10),(1169,'DASF003','Fermeture de communication interventriculaire, par voie veineuse transcutanée',595.65,595.65),(1170,'DASF004','Fermeture d\'une communication interatriale, par voie veineuse transcutanée',595.65,595.65),(1171,'DASF005','Fermeture d\'un foramen ovale perméable, par voie veineuse transcutanée',819.46,819.46),(1172,'DASF074','Fermeture de l\'appendice atrial [auricule] gauche par dispositif par voie veineuse transcutanée et voie transseptale avec guidage échographie-doppler par voie transoesophagienne',1510.21,1510.21),(1173,'DASF074','Fermeture de l\'appendice atrial [auricule] gauche par voie veineuse transcutanée et voie transseptale par guidage échographie-doppler par voie transoesophagienne',1510.21,1510.21),(1174,'DBAF001','Dilatation intraluminale de l\'orifice aortique, par voie artérielle transcutanée',397.10,397.10),(1175,'DBAF002','Dilatation intraluminale de l\'orifice pulmonaire sans perforation de la valve atrésique, par voie veineuse transcutanée',397.10,397.10),(1176,'DBAF003','Dilatation intraluminale de l\'orifice atrioventriculaire droit, par voie veineuse transcutanée',679.73,397.10),(1177,'DBAF004','Dilatation intraluminale de l\'orifice atrioventriculaire gauche, par voie veineuse transcutanée avec perforation du septum interatrial',397.10,397.10),(1178,'DBAF005','Dilatation intraluminale de l\'orifice pulmonaire avec perforation de la valve atrésique, par voie veineuse transcutanée',397.10,397.10),(1179,'DBBF198','Rétrécissement de l\'orifice atrioventriculaire gauche par dispositif par voie veineuse transcutanée et voie transseptale avec guidage par échographie-doppler par voie transoesophagienne',2194.00,2194.00),(1180,'DBEA001','Réinsertion d\'une prothèse orificielle cardiaque, par thoracotomie avec CEC',940.13,852.51),(1181,'DBEA001','Réinsertion d\'une prothèse orificielle cardiaque, par thoracotomie avec CE',940.13,852.51),(1182,'DBFA001','Résection d\'une fibrose endocardique, par thoracotomie avec CEC',1175.52,989.04),(1183,'DBFA002','Thrombectomie de prothèse orificielle cardiaque, par thoracotomie avec CEC',915.32,838.11),(1184,'DBKA001','Remplacement de la valve aortique par homogreffe, par thoracotomie avec CEC',1286.13,1053.19),(1185,'DBKA002','Remplacement de la valve atrioventriculaire gauche par prothèse en position non anatomique, par thoracotomie avec CEC',1532.15,1195.87),(1186,'DBKA003','Remplacement de la valve aortique par bioprothèse sans armature, par thoracotomie avec CEC',789.83,765.33),(1187,'DBKA004','Remplacement de la valve atrioventriculaire droite par prothèse mécanique ou bioprothèse avec armature, par thoracotomie avec CEC',769.97,753.82),(1188,'DBKA005','Remplacement de la valve atrioventriculaire gauche par homogreffe, par thoracotomie avec CEC',1046.19,1046.19),(1189,'DBKA006','Remplacement de la valve aortique par prothèse mécanique ou bioprothèse avec armature, par thoracotomie avec CEC',789.83,765.33),(1190,'DBKA007','Remplacement de la valve pulmonaire par prothèse mécanique ou bioprothèse avec armature, par thoracotomie avec CEC',773.52,755.87),(1191,'DBKA008','Remplacement de la valve atrioventriculaire droite par homogreffe, par thoracotomie avec CEC',1108.17,949.97),(1192,'DBKA009','Remplacement de la valve aortique et de la valve atrioventriculaire gauche par prothèse mécanique ou par bioprothèse avec armature, par thoracotomie avec CEC',1556.26,1297.64),(1193,'DBKA010','Remplacement de la valve atrioventriculaire gauche par prothèse mécanique ou bioprothèse avec armature, par thoracotomie avec CEC',832.37,790.01),(1194,'DBKA011','Remplacement de la valve aortique par prothèse en position non anatomique, par thoracotomie avec CEC',1532.15,1195.87),(1195,'DBKA012','Remplacement de la valve pulmonaire par homogreffe ou bioprothèse sans armature, par thoracotomie avec CEC',1030.89,905.15),(1196,'DBLA001','Pose d\'un tube valvé ou non entre un ventricule et l\'artère pulmonaire, par thoracotomie avec CEC',1074.84,974.53),(1197,'DBLA002','Pose d\'un tube valvé entre un ventricule et l\'aorte, par thoracotomie avec CEC',1123.77,1002.90),(1198,'DBLA003','Pose d\'un tube valvé entre le ventricule gauche et l\'aorte [tube apicoaortique], par thoraco-phréno-laparotomie avec CEC',1268.55,1268.55),(1199,'DBLA004','Pose d\'une bioprothèse de la valve aortique, par abord de l\'apex du coeur par thoracotomie sans CEC',2040.60,2040.60),(1200,'DBLA004','Pose d\'une bioprothèse de la valve aortique, par abord de l\'apex du coeur par thoracotomie sans CE',2040.60,2040.60),(1201,'DBLF001','Pose d\'une bioprothèse de la valve aortique, par voie artérielle transcutanée',2040.60,2040.60),(1202,'DBLF001','Pose d\'une bioprothèse de la valve aortique, par voie artérielle transcutané',2040.60,2040.60),(1203,'DBLF009','Pose d\'une bioprothèse de la valve pulmonaire dans un conduit prothétique, par voie veineuse transcutanée',2757.95,2757.95),(1204,'DBMA001','Reconstruction de la voie aortique par élargissement antérodroit de l\'anneau avec remplacement de la valve, par thoracotomie avec CEC',1312.36,1156.17),(1205,'DBMA002','Valvoplastie atrioventriculaire gauche, par thoracotomie avec CEC',1372.62,1103.35),(1206,'DBMA003','Annuloplastie atrioventriculaire gauche, par thoracotomie avec CEC',804.72,773.96),(1207,'DBMA004','Reconstruction de la voie aortique par transfert de la valve pulmonaire en position aortique avec reconstruction de la voie pulmonaire, par thoracotomie avec CEC',2006.47,1646.54),(1208,'DBMA005','Reconstruction de l\'anneau atrioventriculaire gauche avec remplacement de la valve par homogreffe, par thoracotomie avec CEC',1386.46,1386.46),(1209,'DBMA006','Reconstruction de l\'anneau aortique avec remplacement de la valve par bioprothèse sans armature, par thoracotomie avec CEC',964.24,954.27),(1210,'DBMA007','Reconstruction de l\'anneau atrioventriculaire gauche avec valvoplastie, par thoracotomie avec CEC',1598.80,1234.53),(1211,'DBMA008','Annuloplastie atrioventriculaire droite, par thoracotomie avec CEC',745.16,739.42),(1212,'DBMA009','Reconstruction de l\'anneau aortique avec remplacement de la valve par prothèse mécanique ou bioprothèse avec armature, par thoracotomie avec CEC',1449.91,1235.95),(1213,'DBMA010','Reconstruction de l\'anneau aortique avec remplacement de la valve par homogreffe, par thoracotomie avec CEC',1570.44,1305.86),(1214,'DBMA011','Valvoplastie aortique, par thoracotomie avec CEC',1184.74,994.38),(1215,'DBMA012','Valvoplastie atrioventriculaire droite, par thoracotomie avec CEC',833.78,790.82),(1216,'DBMA013','Reconstruction de l\'anneau atrioventriculaire gauche avec remplacement de la valve par prothèse mécanique ou bioprothèse avec armature, par thoracotomie avec CEC',1498.12,1263.91),(1217,'DBMA015','Reconstruction de la voie aortique par élargissement antérogauche de l\'anneau et ouverture de l\'infundibulum pulmonaire, avec remplacement de la valve, par thoracotomie avec CEC',1672.53,1452.86),(1218,'DBPA001','Commissurotomie [Valvulotomie] ou valvectomie [valvulectomie] pulmonaire avec fermeture d\'une communication interatriale, par thoracotomie avec CEC',940.50,940.50),(1219,'DBPA002','Commissurotomie ou valvectomie atrioventriculaire droite, par thoracotomie avec CEC',731.50,731.50),(1220,'DBPA003','Commissurotomie [Valvulotomie] ou valvectomie [valvulectomie] pulmonaire, par thoracotomie avec clampage cave',618.03,618.03),(1221,'DBPA004','Commissurotomie ou valvectomie pulmonaire, par thoracotomie avec CEC',731.50,731.50),(1222,'DBPA005','Commissurotomie de la valve atrioventriculaire gauche, par thoracotomie sans CEC',541.96,541.96),(1223,'DBPA006','Commissurotomie de la valve atrioventriculaire gauche, par thoracotomie avec CEC',735.23,733.66),(1224,'DBPA007','Commissurotomie de la valve aortique, par thoracotomie avec CEC',750.83,742.71),(1225,'DBQM001','Échographie-doppler transthoracique continue du coeur avec épreuve pharmacologique de stress, pour étude de valvopathie [valvulopathie]',166.28,166.28),(1226,'DBSF001','Fermeture d\'une déhiscence par désinsertion de prothèse orificielle cardiaque, par voie vasculaire transcutanée',397.10,397.10),(1227,'DBSF001','Fermeture d\'une déhiscence par désinsertion de prothèse orificielle cardiaque, par voie vasculaire transcutané',397.10,397.10),(1228,'DCFA001','Péricardectomie subtotale, par thoracotomie',828.11,699.75),(1229,'DCJA001','Drainage d\'une collection du péricarde, par thoracotomie ou par abord infraxiphoïdien',210.57,209.91),(1230,'DCJB001','Drainage d\'une collection du péricarde, par voie transcutanée',28.80,28.80),(1231,'DCJB002','Évacuation d\'une collection du péricarde, par voie transcutanée',28.80,28.80),(1232,'DCMA001','Création d\'une fenêtre péricardopéritonéale, par abord infraxiphoïdien',298.49,260.90),(1233,'DCMC001','Création d\'une fenêtre péricardopleurale, par thoracoscopie',265.88,241.99),(1234,'DDAA002','Angioplastie d\'élargissement du tronc commun de l\'artère coronaire gauche, par thoracotomie avec CEC',1115.26,954.08),(1235,'DDAF001','Dilatation intraluminale d\'un vaisseau coronaire sans pose d\'endoprothèse, par voie artérielle transcutanée',386.38,386.38),(1236,'DDAF003','Dilatation intraluminale de 3 vaisseaux coronaires ou plus avec pose d\'endoprothèse, par voie artérielle transcutanée',579.57,579.57),(1237,'DDAF004','Dilatation intraluminale de 2 vaisseaux coronaires avec pose d\'endoprothèse, par voie artérielle transcutanée',579.57,579.57),(1238,'DDAF006','Dilatation intraluminale d\'un vaisseau coronaire avec pose d\'endoprothèse, par voie artérielle transcutanée',386.38,386.38),(1239,'DDAF007','Dilatation intraluminale de 2 vaisseaux coronaires avec artériographie coronaire, avec pose d\'endoprothèse, par voie artérielle transcutanée',719.68,719.68),(1240,'DDAF008','Dilatation intraluminale d\'un vaisseau coronaire avec artériographie coronaire, avec pose d\'endoprothèse, par voie artérielle transcutanée',526.49,526.49),(1241,'DDAF009','Dilatation intraluminale de 3 vaisseaux coronaires ou plus avec artériographie coronaire, avec pose d\'endoprothèse, par voie artérielle transcutanée',719.68,719.68),(1242,'DDAF010','Dilatation intraluminale d\'un vaisseau coronaire avec artériographie coronaire, sans pose d\'endoprothèse, par voie artérielle transcutanée',526.49,526.49),(1243,'DDEA001','Réimplantation d\'une artère coronaire pour anomalie congénitale d\'origine, par thoracotomie avec CEC',1386.10,1286.73),(1244,'DDFF001','Athérectomie intraluminale d\'artère coronaire par méthode rotatoire [rotationnelle], par voie artérielle transcutanée',397.10,397.10),(1245,'DDFF002','Athérectomie intraluminale d\'artère coronaire, par voie artérielle transcutanée',397.10,397.10),(1246,'DDLF001','Injection in situ d\'agent pharmacologique dans une branche d\'artère coronaire pour réduction de l\'épaisseur du septum interventriculaire, par voie artérielle transcutanée',899.13,899.13),(1247,'DDMA003','Revascularisation coronaire par 3 greffons artériels avec 3 anastomoses distales, par thoracotomie avec CEC',1627.86,1466.45),(1248,'DDMA004','Revascularisation coronaire par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie avec CEC',1503.79,1407.65),(1249,'DDMA005','Revascularisation coronaire par 2 greffons artériels et par greffon veineux avec 3 anastomoses distales, par thoracotomie avec CEC',1427.93,1403.15),(1250,'DDMA006','Revascularisation coronaire par 2 greffons artériels avec 3 anastomoses distales, par thoracotomie avec CEC',1461.25,1369.81),(1251,'DDMA007','Revascularisation coronaire par greffon veineux avec une anastomose distale, par thoracotomie avec CEC',856.90,856.90),(1252,'DDMA008','Revascularisation coronaire par 2 greffons artériels avec 4 anastomoses distales ou plus, par thoracotomie avec CEC',1694.51,1505.11),(1253,'DDMA009','Revascularisation coronaire par 2 greffons artériels et par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie avec CEC',1684.58,1552.02),(1254,'DDMA011','Revascularisation coronaire par un greffon artériel et par greffon veineux avec 2 anastomoses distales, par thoracotomie avec CEC',1159.95,1159.95),(1255,'DDMA012','Revascularisation coronaire par 3 greffons artériels et par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie avec CEC',1892.32,1672.50),(1256,'DDMA013','Revascularisation coronaire par 3 greffons artériels avec 4 anastomoses distales ou plus, par thoracotomie avec CEC',1844.11,1591.87),(1257,'DDMA015','Revascularisation coronaire par un greffon artériel avec une anastomose distale, par thoracotomie avec CEC',825.55,825.55),(1258,'DDMA016','Revascularisation coronaire par greffon veineux avec 3 anastomoses distales, par thoracotomie avec CEC',1274.90,1274.90),(1259,'DDMA017','Revascularisation coronaire par un greffon artériel avec 2 anastomoses distales, par thoracotomie avec CEC',1050.74,1043.94),(1260,'DDMA018','Revascularisation coronaire par un greffon artériel et par greffon veineux avec 3 anastomoses distales, par thoracotomie avec CEC',1368.95,1368.95),(1261,'DDMA019','Revascularisation coronaire par greffon veineux avec 2 anastomoses distales, par thoracotomie avec CEC',1065.90,1065.90),(1262,'DDMA020','Revascularisation coronaire par 2 greffons artériels avec 2 anastomoses distales, par thoracotomie avec CEC',1210.97,1136.88),(1263,'DDMA021','Revascularisation coronaire par un greffon artériel et par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie avec CEC',1610.85,1509.25),(1264,'DDMA022','Revascularisation coronaire par 2 greffons artériels et par greffon veineux avec 3 anastomoses distales, par thoracotomie sans CEC',1427.93,1271.49),(1265,'DDMA023','Revascularisation coronaire par un greffon artériel avec 2 anastomoses distales, par thoracotomie sans CEC',1050.74,912.27),(1266,'DDMA024','Revascularisation coronaire par greffon veineux avec 2 anastomoses distales, par thoracotomie sans CEC',1034.43,915.98),(1267,'DDMA025','Revascularisation coronaire par un greffon artériel avec une anastomose distale, par thoracotomie sans CEC',789.83,673.16),(1268,'DDMA026','Revascularisation coronaire par 2 greffons artériels avec 2 anastomoses distales, par thoracotomie sans CEC',1210.97,1005.20),(1269,'DDMA027','Revascularisation coronaire par greffon veineux avec 3 anastomoses distales, par thoracotomie sans CEC',1272.66,1141.92),(1270,'DDMA028','Revascularisation coronaire par greffon veineux avec une anastomose distale, par thoracotomie sans CEC',783.45,682.62),(1271,'DDMA029','Revascularisation coronaire par un greffon artériel et par greffon veineux avec 3 anastomoses distales, par thoracotomie sans CEC',1342.85,1222.14),(1272,'DDMA030','Revascularisation coronaire par 3 greffons artériels avec 3 anastomoses distales, par thoracotomie sans CEC',1334.78,1334.78),(1273,'DDMA031','Revascularisation coronaire par 2 greffons artériels avec 3 anastomoses distales, par thoracotomie sans CEC',1461.25,1238.15),(1274,'DDMA032','Revascularisation coronaire par un greffon artériel et par greffon veineux avec 2 anastomoses distales, par thoracotomie sans CEC',1064.21,972.75),(1275,'DDMA033','Revascularisation coronaire par 2 greffons artériels avec 4 anastomoses distales ou plus, par thoracotomie sans CEC',1694.51,1373.44),(1276,'DDMA034','Revascularisation coronaire par 2 greffons artériels et par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie sans CEC',1684.58,1420.34),(1277,'DDMA035','Revascularisation coronaire par 3 greffons artériels avec 4 anastomoses distales ou plus, par thoracotomie sans CEC',1844.11,1460.20),(1278,'DDMA036','Revascularisation coronaire par 3 greffons artériels et par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie sans CEC',1892.32,1540.84),(1279,'DDMA037','Revascularisation coronaire par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie sans CEC',1275.99,1275.99),(1280,'DDMA038','Revascularisation coronaire par un greffon artériel et par greffon veineux avec 4 anastomoses distales ou plus, par thoracotomie sans CEC',1610.85,1377.58),(1281,'DDPF002','Recanalisation d\'artère coronaire avec pose d\'endoprothèse, par voie artérielle transcutanée',909.73,909.73),(1282,'DDQF202','Mesure du flux de réserve coronarien [FFR] au cours d\'une artériographie coronaire',148.00,148.00),(1283,'DDQF202','Mesure du flux¦de réserve coronarien [FFR] au cours d\'une artériographie coronaire',148.00,148.00),(1284,'DDQH006','Angiographie de pontage coronaire, par voie artérielle transcutanée',172.80,172.80),(1285,'DDQH009','Artériographie coronaire sans ventriculographie gauche, par voie artérielle transcutanée',259.20,259.20),(1286,'DDQH010','Artériographie coronaire avec ventriculographie gauche et artériographie thoracique [mammaire] interne unilatérale ou bilatérale, par voie artérielle transcutanée',259.20,259.20),(1287,'DDQH011','Artériographie coronaire avec angiographie d\'un pontage coronaire et ventriculographie gauche, par voie artérielle transcutanée',259.20,259.20),(1288,'DDQH012','Artériographie coronaire avec ventriculographie gauche, par voie artérielle transcutanée',259.20,259.20),(1289,'DDQH013','Artériographie coronaire avec angiographie de plusieurs pontages coronaires sans ventriculographie gauche, par voie artérielle transcutanée',259.20,259.20),(1290,'DDQH014','Artériographie coronaire avec angiographie d\'un pontage coronaire sans ventriculographie gauche, par voie artérielle transcutanée',259.20,259.20),(1291,'DDQH015','Artériographie coronaire avec angiographie de plusieurs pontages coronaires et ventriculographie gauche, par voie artérielle transcutanée',259.20,259.20),(1292,'DDQJ001','Échographie et/ou échographie-doppler intraartérielle coronaire, au cours d\'un acte par voie vasculaire transcutanée',0.00,0.00),(1293,'DDRH001','Épreuve pharmacodynamique de provocation de spasme coronaire, au cours d\'une artériographie coronaire',0.00,0.00),(1294,'DDSA001','Fermeture de fistule coronarocardiaque, par thoracotomie avec CEC',894.76,826.19),(1295,'DDSA002','Fermeture de fistule coronarocardiaque, par thoracotomie sans CEC',638.48,638.48),(1296,'DDSF001','Embolisation ou fermeture d\'une fistule ou d\'un anévrisme coronaire, par voie vasculaire transcutanée',397.10,397.10),(1297,'DEEA001','Repositionnement d\'un générateur implantable de stimulation ou de défibrillation cardiaque',125.87,125.87),(1298,'DEEA001','Repositionnement souscutané d\'un générateur implantable de stimulation ou de défibrillation cardiaque',125.87,125.87),(1299,'DEEF001','Repositionnement de sonde définitive intracavitaire de stimulation cardiaque, par voie veineuse transcutanée',105.87,105.87),(1300,'DEEF002','Repositionnement de sonde définitive intracavitaire de défibrillation cardiaque, par voie veineuse transcutanée',121.86,121.86),(1301,'DEFA001','Exérèse ou destruction de foyer arythmogène pour tachycardie ventriculaire, par thoracotomie avec CEC',1059.96,928.10),(1302,'DEFA002','Exérèse ou destruction de foyer arythmogène ou de faisceau cardionecteur pour tachycardie supraventriculaire, par thoracotomie avec CEC',850.50,850.50),(1303,'DEGA002','Ablation d\'électrode épicardique définitive, par thoracotomie',292.82,257.61),(1304,'DEGA003','Ablation d\'un générateur de stimulation ou de défibrillation cardiaque implantable',61.63,61.63),(1305,'DEGA003','Ablation d\'un générateur souscutané de stimulation ou de défibrillation cardiaque implantable',61.63,61.63),(1306,'DEGF001','Ablation d\'une sonde définitive intracavitaire de stimulation ou de défibrillation cardiaque avec utilisation de dispositif spécifique, par voie veineuse transcutanée',319.04,319.04),(1307,'DEGF002','Ablation de plusieurs sondes définitives intracavitaires de stimulation cardiaque sans utilisation de dispositif spécifique, par voie veineuse transcutanée',470.25,470.25),(1308,'DEGF003','Ablation de plusieurs sondes définitives intracavitaires de stimulation cardiaque avec utilisation de dispositif spécifique, par voie veineuse transcutanée',470.25,470.25),(1309,'DEGF004','Ablation d\'une sonde définitive intracavitaire de stimulation ou de défibrillation cardiaque sans utilisation de dispositif spécifique, par voie veineuse transcutanée',313.50,313.50),(1310,'DEGF005','Ablation d\'une sonde définitive intracavitaire de défibrillation et d\'une sonde définitive intracavitaire de stimulation cardiaque avec utilisation de dispositif spécifique, par voie veineuse transcutanée',470.25,470.25),(1311,'DEGF006','Ablation d\'une sonde définitive intracavitaire de défibrillation et d\'une sonde définitive intracavitaire de stimulation cardiaque sans utilisation de dispositif spécifique, par voie veineuse transcutanée',470.25,470.25),(1312,'DEGF207','Ablation d\'un stimulateur cardiaque définitif implanté dans le ventricule droit par voie veineuse transcutanée',832.00,832.00),(1313,'DEKA001','Changement d\'un générateur de stimulation cardiaque implantable',118.18,118.18),(1314,'DEKA001','Changement d\'un générateur souscutané de stimulation cardiaque implantable',118.18,118.18),(1315,'DEKA002','Changement d\'un générateur de défibrillation cardiaque implantable',119.06,119.06),(1316,'DEKA002','Changement d\'un générateur souscutané de défibrillation cardiaque implantable',119.06,119.06),(1317,'DELA001','Implantation d\'un stimulateur cardiaque avec pose d\'électrodes épicardiques atriale et ventriculaire pour stimulation définitive, par abord direct',313.50,313.50),(1318,'DELA001','Implantation souscutanée d\'un stimulateur cardiaque avec pose d\'électrodes épicardiques atriale et ventriculaire pour stimulation définitive, par abord direct',313.50,313.50),(1319,'DELA002','Pose peropératoire d\'électrode épicardique sans pose de générateur',0.00,0.00),(1320,'DELA003','Implantation souscutanée d\'un stimulateur cardiaque avec pose d\'électrode épicardique ventriculaire pour stimulation définitive, par abord direct',313.50,313.50),(1321,'DELA003','Implantation d\'un stimulateur cardiaque avec pose d\'électrode épicardique ventriculaire pour stimulation définitive, par abord direct',313.50,313.50),(1322,'DELA004','Implantation souscutanée d\'un défibrillateur cardiaque avec pose d\'électrode épicardique, par abord direct',313.50,313.50),(1323,'DELA004','Implantation d\'un défibrillateur cardiaque avec pose d\'électrode épicardique, par abord direct',313.50,313.50),(1324,'DELA006','Implantation d\'un générateur de stimulation cardiaque',117.43,117.43),(1325,'DELA006','Implantation souscutanée d\'un générateur de stimulation cardiaque',117.43,117.43),(1326,'DELA007','Implantation souscutanée d\'un générateur de défibrillation cardiaque',222.09,117.43),(1327,'DELA007','Implantation d\'un générateur de défibrillation cardiaque',222.09,117.43),(1328,'DELF001','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale ou intraventriculaire droite, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',281.83,281.83),(1329,'DELF001','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale ou intraventriculaire droite, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',281.83,281.83),(1330,'DELF005','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',277.98,277.98),(1331,'DELF005','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',277.98,277.98),(1332,'DELF006','Pose d\'une sonde intraventriculaire droite et d\'une sonde dans le sinus coronaire ou l\'oreillette droite pour stimulation cardiaque temporaire, par voie veineuse transcutanée',109.38,109.38),(1333,'DELF007','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale ou intraventriculaire droite par voie veineuse transcutanée',238.62,238.62),(1334,'DELF007','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale ou intraventriculaire droite par voie veineuse transcutanée',238.62,238.62),(1335,'DELF010','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et intraventriculaire droite unique par voie veineuse transcutanée',277.98,277.98),(1336,'DELF010','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et intraventriculaire droite unique par voie veineuse transcutanée',277.98,277.98),(1337,'DELF011','Pose d\'une sonde intraventriculaire droite pour stimulation cardiaque temporaire, par voie veineuse transcutanée',100.79,100.79),(1338,'DELF012','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',239.50,239.50),(1339,'DELF012','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',239.50,239.50),(1340,'DELF013','Implantation d\'un défibrillateur cardiaque automatique, avec pose d\'une sonde intraventriculaire droite par voie veineuse transcutanée',306.71,306.71),(1341,'DELF013','Implantation souscutanée d\'un défibrillateur cardiaque automatique, avec pose d\'une sonde intraventriculaire droite par voie veineuse transcutanée',306.71,306.71),(1342,'DELF014','Implantation d\'un défibrillateur cardiaque automatique, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',320.33,320.33),(1343,'DELF014','Implantation souscutanée d\'un défibrillateur cardiaque automatique, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',320.33,320.33),(1344,'DELF015','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',284.94,284.94),(1345,'DELF015','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',284.94,284.94),(1346,'DELF016','Implantation d\'un défibrillateur cardiaque automatique sans fonction de défibrillation atriale, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',312.93,312.93),(1347,'DELF016','Implantation souscutanée d\'un défibrillateur cardiaque automatique sans fonction de défibrillation atriale, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',312.93,312.93),(1348,'DELF017','Pose d\'une sonde supplémentaire de stimulation cardiaque, par voie veineuse transcutanée',123.05,123.05),(1349,'DELF018','Pose d\'une sonde supplémentaire de défibrillation cardiaque, par voie veineuse transcutanée',157.10,157.10),(1350,'DELF019','Pose de plusieurs sondes supplémentaires de stimulation cardiaque, par voie veineuse transcutanée',169.91,169.91),(1351,'DELF020','Implantation d\'un défibrillateur cardiaque automatique, avec pose d\'une sonde intraventriculaire droite et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',312.93,312.93),(1352,'DELF020','Implantation souscutanée d\'un défibrillateur cardiaque automatique, avec pose d\'une sonde intraventriculaire droite et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',312.93,312.93),(1353,'DELF086','Implantation souscutanée d\'un défibrillateur cardiaque avec pose d\'une sonde souscutanée',670.30,670.30),(1354,'DELF223','Implantation d\'un stimulateur cardiaque définitif dans le ventricule droit par voie veineuse transcutanée',763.00,763.00),(1355,'DELF900','Implantation d\'un défibrillateur cardiaque automatique avec fonction de défibrillation atriale, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',0.00,0.00),(1356,'DELF900','Implantation souscutanée d\'un défibrillateur cardiaque automatique avec fonction de défibrillation atriale, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',0.00,0.00),(1357,'DELF901','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde dans le sinus coronaire et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',0.00,0.00),(1358,'DELF901','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde dans le sinus coronaire et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',0.00,0.00),(1359,'DELF902','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, et d\'une sonde dans le sinus coronaire par voie veineuse transcutanée',0.00,0.00),(1360,'DELF902','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, et d\'une sonde dans le sinus coronaire par voie veineuse transcutanée',0.00,0.00),(1361,'DELF903','Implantation d\'un stimulateur cardiaque définitif, avec pose de 2 sondes intraatriales et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',0.00,0.00),(1362,'DELF903','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose de 2 sondes intraatriales et d\'une sonde intraventriculaire droites par voie veineuse transcutanée',0.00,0.00),(1363,'DELF904','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale ou intraventriculaire droite, d\'une sonde dans le sinus coronaire et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',0.00,0.00),(1364,'DELF904','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale ou intraventriculaire droite, d\'une sonde dans le sinus coronaire et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',0.00,0.00),(1365,'DELF905','Implantation d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, d\'une sonde dans le sinus coronaire, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutanée',0.00,0.00),(1366,'DELF905','Implantation souscutanée d\'un stimulateur cardiaque définitif, avec pose d\'une sonde intraatriale et d\'une sonde intraventriculaire droites, d\'une sonde dans le sinus coronaire, et d\'une sonde dans une veine cardiaque gauche par voie veineuse transcutané',0.00,0.00),(1367,'DEMP001','Contrôle et réglage transcutané secondaires d\'un défibrillateur cardiaque',70.48,61.04),(1368,'DEMP002','Contrôle et réglage transcutané secondaires d\'un stimulateur cardiaque',60.41,55.19),(1369,'DENF001','Destruction de foyer arythmogène atrial droit par méthode physique, par voie veineuse transcutanée',376.20,376.20),(1370,'DENF002','Destruction de foyer arythmogène ventriculaire par méthode physique, par voie vasculaire transcutanée',487.07,487.07),(1371,'DENF003','Destruction de foyer arythmogène atrial gauche par méthode physique, par voie veineuse transcutanée',520.53,520.53),(1372,'DENF014','Destruction d\'un foyer arythmogène atrial avec courant de radiofréquence, par voie veineuse transcutanée et voie transseptale',1015.55,1015.55),(1373,'DENF015','Destruction d\'un foyer ou interruption d\'un circuit arythmogène ventriculaire avec courant de radiofréquence, par voie vasculaire transcutanée',858.15,858.15),(1374,'DENF017','Destruction d\'un foyer arythmogène atrial avec courant de radiofréquence, par voie veineuse transcutanée',667.33,667.33),(1375,'DENF018','Destruction de plusieurs foyers arythmogènes atriaux avec courant de radiofréquence, par voie veineuse transcutanée et voie transseptale',1453.25,1453.25),(1376,'DENF021','Destruction de plusieurs foyers arythmogènes atriaux avec courant de radiofréquence, par voie veineuse transcutanée',988.60,988.60),(1377,'DENF035','Destruction de plusieurs foyers et/ou interruption de plusieurs circuits arythmogènes ventriculaires avec courant de radiofréquence, par voie vasculaire transcutanée',1509.31,1509.31),(1378,'DEPF001','Interruption complète du tissu nodal de la jonction atrioventriculaire par méthode physique, par voie veineuse transcutanée',418.00,418.00),(1379,'DEPF002','Interruption complète de plusieurs voies accessoires de conduction cardiaque par méthode physique, par voie vasculaire transcutanée',487.07,487.07),(1380,'DEPF003','Interruption complète d\'une voie accessoire de conduction cardiaque par méthode physique, par voie vasculaire transcutanée',437.28,437.28),(1381,'DEPF004','Interruption complète de plusieurs voies accessoires de conduction cardiaque avec courant de radiofréquence, par voie vasculaire transcutanée',487.07,487.07),(1382,'DEPF005','Interruption complète d\'une voie accessoire de conduction cardiaque avec courant de radiofréquence, par voie vasculaire transcutanée',437.28,437.28),(1383,'DEPF006','Interruption complète du tissu nodal de la jonction atrioventriculaire avec courant de radiofréquence, par voie veineuse transcutanée',418.00,418.00),(1384,'DEPF010','Interruption de la voie lente ou de la voie rapide de la jonction atrioventriculaire avec courant de radiofréquence, par voie veineuse transcutanée',647.92,647.92),(1385,'DEPF012','Interruption complète de circuit arythmogène au niveau de l\'isthme cavotricuspidien avec courant de radiofréquence, par voie veineuse transcutanée',467.89,467.89),(1386,'DEPF014','Interruption complète de circuit arythmogène en dehors de l\'isthme cavotricuspidien avec courant de radiofréquence, par voie veineuse transcutanée et voie transseptale',1358.38,1358.38),(1387,'DEPF025','Interruption complète de circuit arythmogène en dehors de l\'isthme cavotricuspidien avec courant de radiofréquence, par voie veineuse transcutanée',878.63,878.63),(1388,'DEPF033','Interruption complète de circuit arythmogène au niveau de l\'ostium des veines pulmonaires avec courant de radiofréquence, par voie veineuse transcutanée et voie transseptale',1529.79,1529.79),(1389,'DEQA001','Électrocardiographie avec implantation souscutanée d\'un dispositif d\'enregistrement continu',0.00,0.00),(1390,'DEQD001','Exploration électrophysiologique de l\'oreillette, par voie oesophagienne',77.68,77.68),(1391,'DEQF001','Exploration électrophysiologique cardiaque par sonde intracavitaire droite par voie veineuse transcutanée, avec manoeuvres provocatrices d\'une tachycardie à l\'étage ventriculaire',237.97,237.97),(1392,'DEQF002','Exploration électrophysiologique cardiaque par sonde intracavitaire droite par voie veineuse transcutanée, avec manoeuvres provocatrices d\'une tachycardie à l\'étage atrial et à l\'étage ventriculaire',241.97,241.97),(1393,'DEQF003','Exploration électrophysiologique cardiaque par sonde intracavitaire droite, par voie veineuse transcutanée',179.95,179.95),(1394,'DEQF004','Exploration électrophysiologique cardiaque par sonde intracavitaire droite par voie veineuse transcutanée, avec manoeuvres provocatrices d\'une tachycardie à l\'étage atrial',232.79,232.79),(1395,'DEQF005','Exploration électrophysiologique cardiaque par sondes intracavitaires droite et gauche par voie vasculaire transcutanée, avec manoeuvres provocatrices d\'une tachycardie',250.41,250.41),(1396,'DEQP001','Électrocardiographie, avec enregistrement événementiel déclenché et télétransmission',14.26,13.52),(1397,'DEQP002','Électrocardiographie à haute amplification',14.26,13.52),(1398,'DEQP003','Électrocardiographie sur au moins 12 dérivations',14.26,13.52),(1399,'DEQP004','Surveillance continue de l\'électrocardiogramme par oscilloscopie et/ou télésurveillance, par 24 heures',0.00,0.00),(1400,'DEQP005','Électrocardiographie sur au moins 2 dérivations, avec enregistrement continu pendant au moins 24 heures',77.01,77.01),(1401,'DEQP006','Vectocardiographie',42.79,30.06),(1402,'DEQP007','Surveillance continue de l\'électrocardiogramme par oscilloscopie et/ou télésurveillance, avec surveillance continue de la pression intraartérielle et/ou de la saturation artérielle en oxygène par méthodes non effractives, par 24 heures',0.00,0.00),(1403,'DEQP008','Restitution tridimensionnelle informatisée de l\'activité électrophysiologique cardiaque [Cartographie cardiaque tridimensionnelle], au cours d\'une intervention sur le système cardionecteur',0.00,0.00),(1404,'DERD001','Stimulation électrique temporaire de l\'oreillette par voie oesophagienne, pour interrompre une tachycardie supraventriculaire',80.05,80.05),(1405,'DERF001','Choc électrique cardiaque à basse énergie, par voie vasculaire transcutanée',82.50,82.50),(1406,'DERF002','Choc électrique cardiaque à haute énergie, par voie vasculaire transcutanée',76.14,76.14),(1407,'DERF003','Stimulation électrique temporaire de l\'oreillette pour interrompre une tachycardie supraventriculaire, par voie veineuse transcutanée',104.98,104.98),(1408,'DERF004','Stimulation électrique temporaire de l\'oreillette et/ou du ventricule pour interrompre une tachycardie ventriculaire, par voie vasculaire transcutanée',109.72,109.72),(1409,'DERP001','Déclenchement de fibrillation ou de tachycardie ventriculaire, pour contrôle et mesure du seuil de défibrillation chez un porteur de défibrillateur',141.79,89.27),(1410,'DERP003','Choc électrique cardiaque transcutané [Cardioversion externe], en dehors de l\'urgence',73.83,67.02),(1411,'DERP004','Choc électrique cardiaque transcutané [Cardioversion externe], en urgence',65.44,62.15),(1412,'DERP005','Stimulation cardiaque temporaire transcutanée',96.00,96.00),(1413,'DFAA002','Angioplastie d\'élargissement d\'une sténose congénitale d\'une branche de l\'artère pulmonaire, par thoracotomie avec CEC',1054.28,962.60),(1414,'DFAA003','Angioplastie d\'élargissement d\'une sténose congénitale du tronc de l\'artère pulmonaire, par thoracotomie avec CEC',836.00,836.00),(1415,'DFAA004','Angioplastie d\'élargissement d\'une sténose congénitale de la bifurcation de l\'artère pulmonaire, par thoracotomie avec CEC',1149.50,1149.50),(1416,'DFAA005','Angioplastie d\'élargissement d\'une sténose congénitale d\'une branche de l\'artère pulmonaire, par thoracotomie sans CEC',779.19,671.38),(1417,'DFAF001','Dilatation intraluminale de plusieurs branches de l\'artère pulmonaire avec pose d\'endoprothèse, par voie veineuse transcutanée',532.95,532.95),(1418,'DFAF002','Dilatation intraluminale d\'une branche de l\'artère pulmonaire sans pose d\'endoprothèse, par voie veineuse transcutanée',355.30,355.30),(1419,'DFAF003','Dilatation intraluminale d\'une branche de l\'artère pulmonaire avec pose d\'endoprothèse, par voie veineuse transcutanée',355.30,355.30),(1420,'DFAF004','Dilatation intraluminale de plusieurs branches de l\'artère pulmonaire sans pose d\'endoprothèse, par voie veineuse transcutanée',532.95,532.95),(1421,'DFBA001','Cerclage de l\'artère pulmonaire, par thoracotomie sans CEC',645.19,593.66),(1422,'DFCA001','Suture de plaie d\'artère pulmonaire ou de veine pulmonaire, par thoracotomie sans CEC',672.13,609.29),(1423,'DFCA002','Anastomose cavopulmonaire fonctionnellement terminoterminale, par thoracotomie sans CEC',1048.61,827.65),(1424,'DFCA003','Anastomose artérielle systémicopulmonaire avec prothèse, par thoracotomie sans CEC',777.06,714.04),(1425,'DFCA004','Anastomose cavopulmonaire ou atriopulmonaire totale, par thoracotomie avec CEC',1615.81,1419.96),(1426,'DFCA005','Anastomose cavopulmonaire bidirectionnelle, par thoracotomie sans CEC',884.81,884.81),(1427,'DFCA006','Anastomose entre le tronc de l\'artère pulmonaire et l\'aorte thoracique ascendante, par thoracotomie avec CEC',1579.65,1267.32),(1428,'DFCA007','Anastomose cavopulmonaire bidirectionnelle, par thoracotomie avec CEC',1221.61,1059.65),(1429,'DFCA008','Anastomose cavopulmonaire fonctionnellement terminoterminale, par thoracotomie avec CEC',1081.45,1081.45),(1430,'DFCA009','Anastomose artérielle systémicopulmonaire sans prothèse, par thoracotomie sans CEC',743.76,743.76),(1431,'DFCA010','Anastomose entre le tronc pulmonaire et l\'aorte avec anastomose systémicopulmonaire, par thoracotomie avec CEC',1691.22,1691.22),(1432,'DFEA001','Réimplantation d\'une artère pulmonaire pour anomalie d\'origine, par thoracotomie',1184.74,906.60),(1433,'DFFA001','Embolectomie de l\'artère pulmonaire, par thoracotomie avec CEC',983.38,921.49),(1434,'DFFA002','Embolectomie de l\'artère pulmonaire, par thoracotomie sans CEC',806.13,687.01),(1435,'DFFA003','Thromboendartériectomie du tronc et/ou des branches de l\'artère pulmonaire, par thoracotomie avec CEC',2127.00,1584.78),(1436,'DFFA004','Exérèse de tumeur des vaisseaux pulmonaires, par thoracotomie sans CEC',757.21,702.52),(1437,'DFGA001','Ablation d\'un cerclage pulmonaire, par thoracotomie avec CEC',749.71,749.71),(1438,'DFGA002','Ablation d\'un cerclage pulmonaire avec fermeture de communications interventriculaires multiples, par thoracotomie avec CEC',1444.94,1320.86),(1439,'DFGA003','Ablation d\'un cerclage pulmonaire, par thoracotomie sans CEC',637.39,545.25),(1440,'DFGA004','Ablation d\'un cerclage pulmonaire avec fermeture d\'une communication interventriculaire unique, par thoracotomie avec CEC',1302.43,1150.42),(1441,'DFMA001','Réparation d\'une obstruction du retour veineux pulmonaire, par thoracotomie avec CEC',1574.69,1264.44),(1442,'DFMA003','Unifocalisation artérielle pulmonaire, par thoracotomie sans CEC',1023.39,1023.39),(1443,'DFMA004','Réparation du retour veineux pulmonaire anormal total, par thoracotomie avec CEC',1691.67,1463.96),(1444,'DFMA006','Unifocalisation artérielle pulmonaire, par thoracotomie avec CEC',1701.60,1469.72),(1445,'DFMA008','Réparation du retour veineux pulmonaire anormal partiel, par thoracotomie avec CEC',969.20,913.26),(1446,'DFMA010','Démontage d\'une anastomose cavopulmonaire totale, par thoracotomie avec CEC',1414.54,1414.54),(1447,'DFMA011','Réparation d\'une atrésie de l\'artère pulmonaire avec fermeture d\'une communication interventriculaire avec prothèse [tube valvé ou non], par thoracotomie avec CEC',1863.25,1497.65),(1448,'DFMA012','Réparation d\'une atrésie de l\'artère pulmonaire avec fermeture d\'une communication interventriculaire sans prothèse [tube valvé ou non], par thoracotomie avec CEC',1302.31,1302.31),(1449,'DFNF001','Fibrinolyse in situ de l\'artère pulmonaire, par voie veineuse transcutanée',313.50,313.50),(1450,'DFNF002','Thrombolyse mécanique ou thromboaspiration de l\'artère pulmonaire, par voie veineuse transcutanée',313.50,313.50),(1451,'DFQH001','Artériographie sélective du tronc et/ou des branches de l\'artère pulmonaire, par voie veineuse transcutanée',192.00,192.00),(1452,'DFQH002','Artériographie hypersélective des artères pulmonaires, par voie veineuse transcutanée',192.00,192.00),(1453,'DFQL001','Recherche d\'une thrombose artérielle pulmonaire, par injection de traceur radio-isotopique spécifique',180.44,180.44),(1454,'DFSA001','Suppression de circulation systémique pulmonaire, par thoracotomie',644.65,644.65),(1455,'DFSA002','Fermeture de fistule ou exclusion d\'anévrisme artérioveineux pulmonaire, par thoracotomie sans CEC',643.06,592.43),(1456,'DFSF001','Oblitération d\'anévrisme sacculaire de l\'artère pulmonaire, par voie veineuse transcutanée',355.30,355.30),(1457,'DFSF002','Embolisation de fistule artérioveineuse intrathoracique, par voie artérielle transcutanée',355.30,355.30),(1458,'DGAA002','Angioplastie d\'élargissement ou résection-anastomose d\'une sténose de l\'aorte thoracique horizontale et de l\'isthme aortique avec réparation de lésion intracardiaque, par thoracotomie avec CEC',1317.32,1268.78),(1459,'DGAA003','Angioplastie d\'élargissement de l\'aorte thoracique horizontale avec réimplantation des troncs supraaortiques, par thoracotomie avec CEC',1474.39,1474.39),(1460,'DGAA004','Angioplastie d\'élargissement ou résection-anastomose d\'une sténose de l\'aorte thoracique horizontale et de l\'isthme aortique, par thoracotomie avec CEC',992.60,970.72),(1461,'DGAA005','Angioplastie d\'élargissement ou résection-anastomose d\'une sténose de l\'aorte thoracique horizontale et de l\'isthme aortique, par thoracotomie sans CEC',888.38,734.71),(1462,'DGAA006','Angioplastie d\'élargissement de l\'aorte thoracique horizontale sans réimplantation des troncs supraaortiques, par thoracotomie avec CEC',1529.31,1282.01),(1463,'DGAF001','Dilatation intraluminale de l\'aorte thoracique sans pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1464,'DGAF003','Dilatation intraluminale d\'une coarctation de l\'aorte abdominale, par voie artérielle transcutanée',850.67,355.30),(1465,'DGAF004','Dilatation intraluminale d\'une coarctation de l\'aorte thoracique avec pose d\'endoprothèse, par voie artérielle transcutanée',397.10,397.10),(1466,'DGAF005','Dilatation intraluminale de l\'aorte abdominale avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1467,'DGAF006','Dilatation intraluminale d\'une coarctation de l\'aorte thoracique sans pose d\'endoprothèse, par voie artérielle transcutanée',397.10,397.10),(1468,'DGAF007','Dilatation intraluminale de l\'aorte thoracique avec pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1469,'DGAF008','Dilatation intraluminale de l\'aorte abdominale sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1470,'DGCA001','Suture de plaie de l\'aorte abdominale, d\'une artère iliaque commune et/ou d\'une artère iliaque externe, par laparotomie',571.45,401.66),(1471,'DGCA002','Suture d\'une rupture de l\'isthme de l\'aorte, par thoracotomie sans CEC',890.97,890.97),(1472,'DGCA003','Pontage rétropéritonéal entre l\'aorte thoracique descendante et les artères fémorales, par abord direct',1252.09,1055.39),(1473,'DGCA004','Pontage bifurqué aortobifémoral, par laparotomie avec clampage infrarénal',1001.82,910.23),(1474,'DGCA005','Pontage aortohépatique, par laparotomie',878.45,728.95),(1475,'DGCA006','Suture d\'une rupture de l\'isthme de l\'aorte, par thoracotomie avec CEC',1214.69,1214.69),(1476,'DGCA007','Pontage aortoaortique infrarénal par laparotomie, avec clampage infrarénal',788.41,702.34),(1477,'DGCA008','Pontage entre l\'aorte thoracique ascendante et l\'aorte abdominale avec exclusion de l\'aorte thoracique descendante, par thoracotomie et par laparotomie sans CEC',1047.28,1047.28),(1478,'DGCA009','Pontage aortofémoral unilatéral, par laparotomie avec clampage infrarénal',785.57,700.69),(1479,'DGCA010','Pontage bifurqué aortobifémoral, par laparotomie avec clampage suprarénal',1108.17,971.91),(1480,'DGCA011','Pontages multiples entre l\'aorte et les troncs supraaortiques, par thoracotomie avec CEC',1671.82,1474.39),(1481,'DGCA012','Pontage aortoaortique infrarénal par laparotomie, avec clampage suprarénal',894.76,764.02),(1482,'DGCA013','Pontages multiples entre l\'aorte et les troncs supraaortiques, par thoracotomie sans CEC',1465.50,1223.05),(1483,'DGCA014','Pontage rétrograde aortomésentérique ou iliomésentérique supérieur, par laparotomie',817.48,693.58),(1484,'DGCA015','Pontage entre l\'aorte thoracique ascendante et l\'aorte abdominale sans exclusion de l\'aorte thoracique descendante, par thoracotomie et par laparotomie sans CEC',1074.84,921.86),(1485,'DGCA016','Pontage antérograde aortomésentérique supérieur, par laparotomie',916.03,750.74),(1486,'DGCA017','Suture latérale de plaie de l\'aorte thoracique, par thoracotomie avec CEC',1076.97,975.76),(1487,'DGCA018','Pontage aortorénal antérograde unilatéral, par laparotomie ou par lombotomie',926.66,756.91),(1488,'DGCA019','Pontage aortofémoral unilatéral, par laparotomie avec clampage suprarénal',891.92,762.38),(1489,'DGCA020','Pontage bifurqué aorto-ilio-fémoral, par laparotomie avec clampage suprarénal',1110.29,998.76),(1490,'DGCA021','Pontage aortobirénal, par laparotomie',1108.17,971.91),(1491,'DGCA022','Pontage bifurqué aortobisiliaque, par laparotomie avec clampage infrarénal',960.70,911.99),(1492,'DGCA023','Pontage entre l\'aorte thoracique descendante ou l\'aorte juxtadiaphragmatique et l\'aorte abdominale infrarénale, par thoraco-phréno-laparotomie sans CEC',1373.33,1094.98),(1493,'DGCA024','Pontage aortorénal rétrograde unilatéral, par laparotomie ou par lombotomie',801.88,684.54),(1494,'DGCA025','Suture latérale de plaie de l\'aorte thoracique, par thoracotomie sans CEC',858.60,717.43),(1495,'DGCA026','Pontage bifurqué aortobisiliaque, par laparotomie avec clampage suprarénal',1067.05,973.67),(1496,'DGCA027','Pontage entre l\'aorte thoracique ascendante et l\'aorte abdominale sans exclusion de l\'aorte thoracique descendante, par thoracotomie et par laparotomie avec CEC',1115.21,1115.21),(1497,'DGCA028','Pontage entre l\'aorte thoracique ascendante et l\'aorte thoracique descendante, par thoracotomie avec CEC',1037.75,1037.75),(1498,'DGCA029','Pontage bifurqué aorto-ilio-fémoral, par laparotomie avec clampage infrarénal',1003.94,937.07),(1499,'DGCA030','Pontage bifurqué aortobifémoral itératif [redux] sans ablation de prothèse, par laparotomie',1302.43,1084.59),(1500,'DGCA031','Pontage entre l\'aorte thoracique ascendante et l\'aorte thoracique descendante, par thoracotomie sans CEC',1006.07,846.86),(1501,'DGCA032','Pontage entre l\'aorte et le tronc artériel brachiocéphalique, par thoracotomie',1052.16,873.59),(1502,'DGDA001','Aortopexie rétrosternale',522.50,522.50),(1503,'DGFA001','Thromboendartériectomie du tronc de l\'aorte abdominale, par laparotomie',807.55,687.83),(1504,'DGFA002','Thromboendartériectomie de l\'aorte thoracique horizontale et des troncs supraaortiques, par thoracotomie avec CEC',1844.11,1530.42),(1505,'DGFA003','Thromboendartériectomie aortobisiliaque, par laparotomie',1011.74,915.99),(1506,'DGFA004','Thrombectomie de l\'aorte abdominale, de l\'artère iliaque commune et/ou de l\'artère iliaque externe, par abord inguinofémoral bilatéral',548.63,548.63),(1507,'DGFA005','Thrombectomie d\'un pontage ou d\'une thromboendartériectomie de l\'aorte abdominale ou de ses branches, par laparotomie',625.34,494.37),(1508,'DGFA006','Prélèvement de greffe artérielle aorto-iliaque par laparotomie, sur un sujet en état de mort encéphalique',0.00,0.00),(1509,'DGFA007','Thromboendartériectomie aorto-ilio-fémorale unilatérale, par laparotomie',879.16,795.20),(1510,'DGFA008','Thromboendartériectomie aorto-ilio-fémorale bilatérale, par laparotomie',1264.86,1117.65),(1511,'DGFA009','Thromboendartériectomie aorto-iliaque unilatérale, par laparotomie',763.59,662.33),(1512,'DGFA010','Thrombectomie de l\'aorte abdominale, de l\'artère iliaque commune et/ou de l\'artère iliaque externe, par laparotomie',607.61,549.92),(1513,'DGFA011','Thromboendartériectomie du tronc et de branche viscérale de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie sans CEC',1645.59,1327.50),(1514,'DGFA012','Thrombectomie d\'un pontage ou d\'une thromboendartériectomie de l\'aorte abdominale ou de ses branches, par abord inguinofémoral',490.63,416.23),(1515,'DGFA013','Résection-anastomose de l\'isthme de l\'aorte, par thoracotomie avec dérivation vasculaire',917.45,751.57),(1516,'DGFA014','Résection-anastomose de l\'aorte thoracique descendante ou de l\'aorte juxtadiaphragmatique, par thoracotomie avec dérivation vasculaire',1157.09,1022.23),(1517,'DGFA015','Résection-anastomose de l\'aorte abdominale ou de l\'artère iliaque commune, par laparotomie',604.78,570.22),(1518,'DGFA016','Résection-anastomose de l\'isthme de l\'aorte, par thoracotomie sans dérivation vasculaire ni CEC, après l\'âge de 3 ans',738.78,647.94),(1519,'DGFA017','Résection-anastomose de l\'aorte thoracique descendante ou de l\'aorte juxtadiaphragmatique, par thoracotomie avec CEC',1157.09,1022.23),(1520,'DGFA018','Résection-anastomose de l\'isthme de l\'aorte, par thoracotomie avec CEC',871.73,871.73),(1521,'DGFA019','Résection-anastomose de l\'aorte thoracique descendante ou de l\'aorte juxtadiaphragmatique, par thoracotomie sans dérivation vasculaire ni CEC',841.62,841.62),(1522,'DGFA020','Résection-anastomose de l\'isthme de l\'aorte, par thoracotomie sans CEC, avant l\'âge de 3 ans',604.07,569.81),(1523,'DGGA001','Ablation d\'un dispositif de contrepulsion diastolique intraaortique, par thoracotomie',271.18,271.18),(1524,'DGGA002','Ablation de prothèse de l\'aorte abdominale avec pontage axillobifémoral, par abord direct',1896.58,1429.19),(1525,'DGGA003','Ablation de prothèse de l\'aorte abdominale avec pontage aortobisiliaque ou aortobifémoral, par laparotomie',1738.47,1396.01),(1526,'DGGA004','Ablation d\'un dispositif de contrepulsion diastolique intraaortique avec rétablissement de la continuité artérielle, par abord artériel périphérique',313.50,313.50),(1527,'DGKA001','Remplacement de l\'aorte thoracique ascendante et de l\'aorte horizontale sans remplacement de la valve aortique, sans réimplantation des artères coronaires, par thoracotomie avec CEC',1932.03,1625.31),(1528,'DGKA002','Remplacement de l\'isthme de l\'aorte, par thoracotomie sans dérivation vasculaire ni CEC',856.73,856.73),(1529,'DGKA003','Remplacement de l\'aorte thoracique ascendante sans remplacement de la valve aortique, avec réimplantation des artères coronaires, par thoracotomie avec CEC',2038.38,1708.93),(1530,'DGKA004','Remplacement de l\'aorte abdominale ou de l\'artère iliaque commune, par laparotomie',665.04,605.18),(1531,'DGKA005','Remplacement de l\'aorte thoracique horizontale, par thoracotomie avec CEC',1846.95,1575.96),(1532,'DGKA006','Remplacement de l\'aorte thoracique descendante et de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie sans dérivation vasculaire ni CEC',1958.26,1508.85),(1533,'DGKA007','Remplacement de l\'aorte thoracique descendante, par thoracotomie avec CEC',1264.15,1128.21),(1534,'DGKA008','Remplacement de l\'aorte thoracique descendante et de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie avec CEC',2369.48,1879.03),(1535,'DGKA009','Remplacement de l\'aorte thoracique descendante, par thoracotomie sans CEC',1073.43,885.93),(1536,'DGKA010','Remplacement de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie avec CEC',2063.19,1701.39),(1537,'DGKA011','Remplacement de l\'aorte thoracique ascendante avec remplacement de la valve aortique, sans réimplantation des artères coronaires, par thoracotomie avec CEC',1381.84,1240.37),(1538,'DGKA012','Remplacement de l\'ensemble de l\'aorte thoracique, par thoraco-phréno-laparotomie avec CEC',2828.91,2145.50),(1539,'DGKA013','Remplacement de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie sans dérivation vasculaire ni CEC',1824.97,1431.55),(1540,'DGKA014','Remplacement de l\'aorte thoracique ascendante et de l\'aorte horizontale avec remplacement de la valve aortique, avec réimplantation des artères coronaires, par thoracotomie avec CEC',2304.25,2060.65),(1541,'DGKA015','Remplacement de l\'aorte thoracique ascendante avec remplacement de la valve aortique, avec réimplantation des artères coronaires, par thoracotomie avec CEC',1895.87,1714.07),(1542,'DGKA016','Remplacement de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie avec dérivation vasculaire',2063.19,1701.39),(1543,'DGKA017','Remplacement de l\'aorte thoracique descendante pour sténose congénitale, par thoracotomie sans CEC',752.28,752.28),(1544,'DGKA018','Remplacement de l\'aorte thoracique ascendante et de l\'aorte horizontale avec remplacement de la valve aortique, sans réimplantation des artères coronaires, par thoracotomie avec CEC',2132.67,1829.46),(1545,'DGKA019','Remplacement de l\'isthme de l\'aorte, par thoracotomie avec dérivation vasculaire',1142.20,1142.20),(1546,'DGKA020','Remplacement de l\'aorte thoracique descendante et de l\'aorte juxtadiaphragmatique, par thoraco-phréno-laparotomie avec dérivation vasculaire',2369.48,1879.03),(1547,'DGKA021','Remplacement de l\'aorte thoracique descendante pour sténose congénitale, par thoracotomie avec CEC',1081.23,1022.12),(1548,'DGKA022','Remplacement de l\'isthme de l\'aorte pour coarctation, par thoracotomie sans CEC',752.28,752.28),(1549,'DGKA023','Remplacement de l\'isthme de l\'aorte, par thoracotomie avec CEC',1288.25,1142.20),(1550,'DGKA024','Remplacement de l\'isthme de l\'aorte pour coarctation, par thoracotomie avec CEC',994.98,994.98),(1551,'DGKA025','Remplacement de l\'aorte thoracique ascendante sans remplacement de la valve aortique, sans réimplantation des artères coronaires, par thoracotomie avec CEC',1028.76,991.69),(1552,'DGKA026','Remplacement de l\'aorte thoracique ascendante et de l\'aorte horizontale sans remplacement de la valve aortique, avec réimplantation des artères coronaires, par thoracotomie avec CEC',2358.13,2004.12),(1553,'DGKA027','Remplacement de l\'aorte thoracique descendante pour rupture d\'anévrisme, par thoracotomie avec CEC',1807.95,1443.62),(1554,'DGKA028','Remplacement de l\'aorte thoracique ascendante pour rupture d\'anévrisme, par thoracotomie avec CEC',2715.47,1969.98),(1555,'DGKA029','Remplacement de l\'aorte juxtadiaphragmatique pour rupture d\'anévrisme, par thoraco-phréno-laparotomie avec CEC',2215.82,2215.82),(1556,'DGLA001','Pose d\'un dispositif de contrepulsion diastolique intraaortique, au cours d\'une intervention par thoracotomie avec CEC',0.00,0.00),(1557,'DGLA002','Pose d\'un ballon de contrepulsion diastolique intraaortique, par abord artériel périphérique',209.00,209.00),(1558,'DGLF001','Pose d\'endoprothèse couverte bifurquée aortobisiliaque, par voie artérielle transcutanée',522.50,522.50),(1559,'DGLF002','Pose d\'endoprothèse couverte aorto-uniiliaque, par voie artérielle transcutanée',522.50,522.50),(1560,'DGLF003','Pose d\'endoprothèse couverte dans l\'aorte thoracique, par voie artérielle transcutanée',355.30,355.30),(1561,'DGLF005','Pose d\'endoprothèse couverte rectiligne dans l\'aorte abdominale infrarénale, par voie artérielle transcutanée',522.50,522.50),(1562,'DGLF006','Pose d\'un ballon de contrepulsion diastolique intraaortique, par voie artérielle transcutanée',209.00,209.00),(1563,'DGLF012','Pose d\'endoprothèse fenêtrée ou multibranche dans l\'aorte abdominale pour anévrisme complexe, par voie artérielle transcutanée',1693.09,1693.09),(1564,'DGLF012','Pose d\'endoprothèse fenêtrée ou multibranches dans l\'aorte abdominale pour anévrisme complexe, par voie artérielle transcutanée',1693.09,1693.09),(1565,'DGMA001','Correction d\'une interruption de l\'aorte thoracique horizontale avec prothèse, par thoracotomie sans CEC',843.16,843.16),(1566,'DGMA002','Correction d\'une interruption de l\'aorte thoracique horizontale sans prothèse, avec réparation du tronc artériel commun [truncus arteriosus], par thoracotomie avec CEC',1379.40,1379.40),(1567,'DGMA005','Correction d\'une interruption de l\'aorte thoracique horizontale avec réparation de lésion intracardiaque associée, par thoracotomie avec CEC',1400.28,1229.11),(1568,'DGMA009','Plastie d\'une sténose supraorificielle de l\'aorte, par thoracotomie avec CEC',1184.74,1169.94),(1569,'DGMA010','Correction d\'une interruption de l\'aorte thoracique horizontale avec prothèse, par thoracotomie avec CEC',1109.71,1109.71),(1570,'DGMA011','Correction d\'une interruption de l\'aorte thoracique horizontale sans prothèse, par thoracotomie sans CEC',799.27,799.27),(1571,'DGMA012','Correction d\'une interruption de l\'aorte thoracique horizontale sans prothèse, par thoracotomie avec CEC',1189.70,1041.15),(1572,'DGPA001','Mise à plat d\'un anévrisme aorto-ilio-fémoral avec remplacement prothétique bifurqué aorto-ilio-fémoral, par laparotomie avec clampage suprarénal',1220.19,1062.49),(1573,'DGPA005','Mise à plat d\'un anévrisme aortique infrarénal non rompu avec remplacement prothétique aortoaortique infrarénal, par laparotomie avec clampage infrarénal',845.13,735.23),(1574,'DGPA008','Mise à plat d\'un anévrisme aortique infrarénal ou aortobisiliaque non rompu avec remplacement prothétique aortobisiliaque, par laparotomie avec clampage suprarénal',1347.10,1136.10),(1575,'DGPA010','Mise à plat d\'un anévrisme aortique infrarénal ou aortobisiliaque non rompu avec remplacement prothétique aortobifémoral, par laparotomie avec clampage infrarénal',1188.99,1018.79),(1576,'DGPA012','Mise à plat d\'un anévrisme aortique infrarénal ou aortobisiliaque non rompu avec remplacement prothétique aortobisiliaque, par laparotomie avec clampage infrarénal',1240.75,1074.43),(1577,'DGPA013','Mise à plat d\'un anévrisme aortique infrarénal ou aortobisiliaque non rompu avec remplacement prothétique aortobifémoral, par laparotomie avec clampage suprarénal',1295.34,1106.08),(1578,'DGPA014','Désobstruction d\'une prothèse de l\'aorte thoracique, par thoracotomie',263.78,263.78),(1579,'DGPA016','Mise à plat d\'un anévrisme aorto-ilio-fémoral avec remplacement prothétique bifurqué aorto-ilio-fémoral, par laparotomie avec clampage infrarénal',1113.84,1000.82),(1580,'DGPA017','Mise à plat d\'un anévrisme aortique infrarénal non rompu avec remplacement prothétique aortoaortique infrarénal, par laparotomie avec clampage suprarénal',951.48,796.92),(1581,'DGPA018','Mise à plat d\'un anévrisme aortique infrarénal ou aortobisiliaque rompu avec remplacement prothétique, par laparotomie',1644.88,1308.82),(1582,'DGPF001','Désobstruction de la bifurcation aortique, par voie artérielle transcutanée',512.05,512.05),(1583,'DGPF002','Recanalisation de la bifurcation aortique avec pose d\'endoprothèse, par voie artérielle transcutanée bilatérale',512.05,512.05),(1584,'DGQH001','Artériographie globale de l\'aorte abdominale et des membres inférieurs, par voie artérielle transcutanée',240.00,240.00),(1585,'DGQH002','Artériographie globale de l\'aorte abdominale, par voie artérielle transcutanée',144.00,144.00),(1586,'DGQH003','Artériographie de l\'aorte abdominale et des membres inférieurs, par injection intraaortique transcutanée lombale',240.00,240.00),(1587,'DGQH004','Artériographie de l\'aorte et de ses branches, par injection intraveineuse transcutanée',144.00,144.00),(1588,'DGQH005','Artériographie globale de l\'aorte thoracique et abdominale, par voie artérielle transcutanée',144.00,144.00),(1589,'DGQH006','Artériographie globale de l\'aorte thoracique, par voie artérielle transcutanée',144.00,144.00),(1590,'DGQH007','Artériographie globale de la crosse de l\'aorte et de ses branches cervicocéphaliques [Gerbe aortique], par voie artérielle transcutanée',144.00,144.00),(1591,'DGQM001','Échographie-doppler de l\'aorte abdominale, de ses branches viscérales, des artères iliaques et des artères des membres inférieurs',76.59,76.59),(1592,'DGQM002','Échographie-doppler de l\'aorte abdominale, de ses branches viscérales et des artères iliaques',75.60,75.60),(1593,'DGSA001','Fermeture de fistule aortodigestive ou iliodigestive avec pontage non anatomique de l\'aorte abdominale, par abord direct',1820.71,1319.35),(1594,'DGSA002','Fermeture de fistule artérioveineuse aortocave, iliocave ou ilio-iliaque avec pontage artériel, par laparotomie',1161.60,1161.60),(1595,'DGSA003','Fermeture d\'une fenêtre [fistule] aortopulmonaire, par thoracotomie avec CEC',1099.66,988.92),(1596,'DGSA004','Fermeture de fistule aortodigestive ou iliodigestive avec pontage aortoaortique abdominal, par laparotomie',1820.71,1319.35),(1597,'DGSA005','Hémostase secondaire à un acte sur l\'aorte abdominale ou ses branches, par laparotomie',423.98,316.14),(1598,'DHAF001','Dilatation intraluminale de la veine cave supérieure avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(1599,'DHAF002','Dilatation intraluminale de la veine cave inférieure sans pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(1600,'DHAF003','Dilatation intraluminale de la veine cave supérieure sans pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(1601,'DHAF004','Dilatation intraluminale de la veine cave inférieure avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(1602,'DHCA001','Suture de plaie de la veine cave inférieure rétrohépatique ou suprahépatique, ou des veines hépatiques, par laparotomie',942.26,765.96),(1603,'DHCA002','Pontage de la veine brachiocéphalique ou de la veine cave supérieure, par thoracotomie',941.55,809.44),(1604,'DHCA003','Suture de plaie de la veine brachiocéphalique ou de la veine cave supérieure, par thoracotomie',689.15,619.15),(1605,'DHCA004','Pontage veineux ilio-iliaque ou iliocave, par laparotomie',579.25,555.42),(1606,'DHFA001','Résection de la veine cave inférieure suprarénale rétrohépatique et/ou suprahépatique avec reconstruction, par laparotomie',1454.16,1062.86),(1607,'DHFA002','Résection de la veine cave inférieure infrarénale sans reconstruction, par laparotomie',740.20,499.54),(1608,'DHFA003','Thrombectomie des veines iliaques et/ou de la veine cave inférieure, par laparotomie',606.90,536.34),(1609,'DHFA004','Résection de la veine cave inférieure suprarénale infrahépatique sans reconstruction, par laparotomie',962.82,628.67),(1610,'DHFA005','Résection de la veine cave inférieure suprarénale rétrohépatique et/ou suprahépatique sans reconstruction, par laparotomie',1111.00,714.60),(1611,'DHFA006','Résection de la veine cave inférieure suprarénale infrahépatique avec reconstruction, par laparotomie',1260.60,950.60),(1612,'DHFA007','Résection de la veine cave inférieure infrarénale avec reconstruction, par laparotomie',969.91,782.00),(1613,'DHGA001','Ablation d\'un filtre de la veine cave inférieure sans reconstruction de la veine, par laparotomie',697.66,474.86),(1614,'DHGA002','Ablation d\'un filtre de la veine cave inférieure avec reconstruction de la veine, par laparotomie',1011.74,806.26),(1615,'DHGF001','Ablation d\'un filtre temporaire de la veine cave inférieure, par voie veineuse transcutanée',209.00,209.00),(1616,'DHLF001','Pose d\'un cathéter épicutanéocave, par voie transcutanée',0.00,0.00),(1617,'DHNF001','Thrombolyse mécanique ou thromboaspiration de la veine cave supérieure, par voie veineuse transcutanée',261.25,261.25),(1618,'DHNF002','Fibrinolyse in situ fémoro-ilio-cave, par voie veineuse transcutanée',366.11,209.00),(1619,'DHNF003','Thrombolyse mécanique ou thromboaspiration de la veine cave inférieure, par voie veineuse transcutanée',329.77,209.00),(1620,'DHNF004','Fibrinolyse in situ de la veine cave inférieure, par voie veineuse transcutanée',366.11,209.00),(1621,'DHNF005','Fibrinolyse in situ de la veine cave supérieure, par voie veineuse transcutanée',209.00,209.00),(1622,'DHNF006','Fibrinolyse in situ fémoro-ilio-cave avec oblitération partielle de la veine cave inférieure [pose d\'un filtre cave], par voie veineuse transcutanée',292.60,292.60),(1623,'DHPA001','Désobstruction de la veine cave supérieure, par thoracotomie',655.12,599.41),(1624,'DHPF001','Recanalisation de la veine cave supérieure sans pose d\'endoprothèse, par voie veineuse transcutanée',0.00,0.00),(1625,'DHPF002','Recanalisation de la veine cave supérieure avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(1626,'DHPF003','Recanalisation de la veine cave inférieure sans pose d\'endoprothèse, par voie veineuse transcutanée',355.30,355.30),(1627,'DHQH001','Phlébographie sélective de plusieurs branches des veines iliaques communes et/ou de la veine cave inférieure, par voie veineuse transcutanée',86.40,86.40),(1628,'DHQH002','Phlébographie de la veine cave inférieure [Cavographie inférieure], par voie veineuse transcutanée',86.40,86.40),(1629,'DHQH003','Phlébographie de la veine cave supérieure [Cavographie supérieure], par injection intraveineuse transcutanée',86.40,86.40),(1630,'DHQH004','Phlébographie sélective d\'une branche de la veine iliaque commune ou de la veine cave inférieure, par voie veineuse transcutanée',86.40,86.40),(1631,'DHQH005','Phlébographie des veines iliaque et cave inférieure [Iliocavographie], par injection intraveineuse transcutanée fémorale unilatérale ou bilatérale',86.40,86.40),(1632,'DHQH006','Phlébographie globale de la veine cave supérieure [Cavographie supérieure], par voie veineuse transcutanée',86.40,86.40),(1633,'DHQH007','Phlébographie hypersélective d\'une branche de la veine iliaque commune ou de la veine cave inférieure, par voie veineuse transcutanée',192.00,192.00),(1634,'DHQM001','Échographie-doppler transthoracique de la veine cave supérieure et de ses affluents chez l\'enfant',69.93,69.93),(1635,'DHQM002','Échographie-doppler de la veine cave inférieure et de ses affluents',69.93,69.93),(1636,'DHSA001','Oblitération partielle de la veine cave inférieure, par laparotomie',285.02,235.53),(1637,'DHSA002','Ligature de la veine cave inférieure et/ou de l\'une de ses branches viscérales, par laparotomie',339.61,267.20),(1638,'DHSF001','Oblitération partielle temporaire de la veine cave inférieure, par voie veineuse transcutanée',167.20,167.20),(1639,'DHSF002','Oblitération partielle définitive de la veine cave inférieure, par voie veineuse transcutanée',167.20,167.20),(1640,'DKMD001','Ressuscitation cardiorespiratoire avec intubation trachéale, en dehors d\'un bloc médicotechnique',0.00,0.00),(1641,'DKMD002','Ressuscitation cardiorespiratoire avec intubation trachéale, dans un bloc médicotechnique',0.00,0.00),(1642,'DKRP001','Séance de réentraînement cardiaque et/ou vasculaire progressif à l\'effort sur machine et à la réalisation de tâches de la vie quotidienne',28.80,28.80),(1643,'DKRP002','Séance de réentraînement cardiaque et/ou vasculaire progressif à l\'effort sur machine, à la réalisation de tâches de la vie quotidienne et à l\'activité sportive collective',28.80,28.80),(1644,'DKRP003','Séance de réentraînement cardiaque et/ou vasculaire progressif à l\'effort sur machine et à l\'activité sportive collective',28.80,28.80),(1645,'DKRP004','Épreuve d\'effort sur tapis roulant ou bicyclette ergométrique, avec électrocardiographie discontinue',76.80,76.80),(1646,'DKRP005','Séance de réentraînement d\'un insuffisant cardiaque à l\'effort sur machine',28.80,28.80),(1647,'DZEA001','Transplantation itérative du coeur, par thoracotomie avec CEC',0.00,0.00),(1648,'DZEA002','Transplantation orthotopique du coeur, par thoracotomie avec CEC',0.00,0.00),(1649,'DZEA003','Transplantation hétérotopique du coeur, par thoracotomie avec CEC',0.00,0.00),(1650,'DZEA004','Transplantation du bloc coeur-poumons, par thoracotomie avec CEC',0.00,0.00),(1651,'DZFA001','Prélèvement du coeur, au cours d\'un prélèvement multiorgane sur un sujet en état de mort encéphalique',0.00,0.00),(1652,'DZFA002','Prélèvement du coeur pour préparation de greffe orificielle, au cours d\'un prélèvement multiorgane sur un sujet en état de mort encéphalique',0.00,0.00),(1653,'DZFA003','Prélèvement du bloc coeur-poumons, au cours d\'un prélèvement multiorgane sur un sujet en état de mort encéphalique',0.00,0.00),(1654,'DZFA004','Exérèse d\'un greffon de transplantation du coeur avec pose d\'une assistance circulatoire mécanique biventriculaire interne, par thoracotomie avec CEC',0.00,0.00),(1655,'DZMA001','Réparation d\'une malposition des gros vaisseaux avec communication interventriculaire, sans conduit extracardiaque ni mobilisation de l\'artère pulmonaire, par thoracotomie avec CEC',2085.17,1692.19),(1656,'DZMA002','Réparation anatomique de la discordance atrioventriculaire et de la transposition ou malposition des gros vaisseaux avec communication interventriculaire et sténose pulmonaire à l\'étage ventriculaire et atrial, par thoracotomie avec CEC',1857.08,1857.08),(1657,'DZMA003','Réparation anatomique à l\'étage artériel et atrial de la discordance atrioventriculaire et de la transposition ou malposition des gros vaisseaux avec communication interventriculaire, par thoracotomie avec CEC',1857.08,1857.08),(1658,'DZMA004','Réparation à l\'étage artériel d\'une transposition ou d\'une malposition des gros vaisseaux avec fermeture d\'une communication interventriculaire, par thoracotomie avec CEC',2212.08,1765.80),(1659,'DZMA005','Réparation de la tétralogie de Fallot sans section de l\'anneau pulmonaire, par thoracotomie avec CEC',1499.54,1352.52),(1660,'DZMA006','Réparation à l\'étage atrial d\'une transposition ou d\'une malposition des gros vaisseaux avec fermeture d\'une communication interventriculaire, par thoracotomie avec CEC',2088.71,1606.46),(1661,'DZMA007','Réparation à l\'étage artériel de la transposition des gros vaisseaux, par thoracotomie avec CEC',2031.29,1660.94),(1662,'DZMA009','Réparation du tronc artériel commun [truncus arteriosus], par thoracotomie avec CEC',1958.26,1618.58),(1663,'DZMA010','Réparation d\'une malposition des gros vaisseaux avec communication interventriculaire, par pose de conduit extracardiaque ou mobilisation de l\'artère pulmonaire, par thoracotomie avec CEC',2087.30,1693.42),(1664,'DZMA011','Réparation de la tétralogie de Fallot avec section de l\'anneau pulmonaire, par thoracotomie avec CEC',1460.54,1329.90),(1665,'DZMA012','Réparation à l\'étage atrial de la transposition des gros vaisseaux, par thoracotomie avec CEC',1783.14,1429.23),(1666,'DZQJ001','Échographie-doppler du coeur et des vaisseaux intrathoraciques, par voie oesophagienne [Échocardiographie-doppler transoesophagienne]',143.08,143.08),(1667,'DZQJ002','Échographie-doppler peropératoire du coeur et des vaisseaux intrathoraciques par voie oesophagienne, pour contrôle de la correction chirurgicale d\'une cardiopathie congénitale ou d\'une valvopathie [valvulopathie]',122.85,122.85),(1668,'DZQJ006','Échographie-doppler du coeur et des vaisseaux intrathoraciques par voie oesophagienne, au lit du malade',158.16,158.16),(1669,'DZQJ007','Échographie-doppler peropératoire du coeur et des vaisseaux intrathoraciques par voie oesophagienne, pour surveillance de défaillance cardiocirculatoire à l\'issue d\'une CEC',122.85,122.85),(1670,'DZQJ008','Échographie-doppler transthoracique et échographie-doppler par voie oesophagienne du coeur et des vaisseaux intrathoraciques',160.11,160.11),(1671,'DZQJ009','Échographie-doppler transthoracique du coeur et des vaisseaux intrathoraciques, avec injection intraveineuse de produit de contraste ultrasonore ne franchissant pas le poumon',107.65,107.65),(1672,'DZQJ010','Échographie-doppler transthoracique et échographie-doppler par voie oesophagienne du coeur et des vaisseaux intrathoraciques, avec injection intraveineuse de produit de contraste ultrasonore ne franchissant pas le poumon',168.39,168.39),(1673,'DZQJ011','Échographie-doppler du coeur et des vaisseaux intrathoraciques par voie oesophagienne, avec injection intraveineuse de produit de contraste ultrasonore ne franchissant pas le poumon',152.16,152.16),(1674,'DZQJ012','Échographie-doppler du coeur et des vaisseaux intrathoraciques par voie oesophagienne, au cours d\'un acte thérapeutique intracavitaire cardiaque par voie vasculaire transcutanée',0.00,0.00),(1675,'DZQJ900','Restitution tridimensionnelle informatisée des structures cardiaques et des flux, au cours d\'une échographie du coeur et des vaisseaux intrathoraciques',0.00,0.00),(1676,'DZQM002','Échocardiographie transthoracique continue avec épreuve de stress sur lit ergométrique',170.66,170.66),(1677,'DZQM003','Échographie-doppler transthoracique du coeur et des vaisseaux intrathoraciques, au cours d\'un acte thérapeutique intracavitaire cardiaque par voie vasculaire transcutanée',0.00,0.00),(1678,'DZQM005','Échographie-doppler transthoracique du coeur et des vaisseaux intrathoraciques, au lit du malade',111.71,111.71),(1679,'DZQM006','Échographie-doppler transthoracique du coeur et des vaisseaux intrathoraciques',96.49,96.49),(1680,'DZQM008','Remnographie [IRM] fonctionnelle du coeur, avec épreuve pharmacologique de stress',69.00,69.00),(1681,'DZQN001','Remnographie [IRM] morphologique du coeur',69.00,69.00),(1682,'DZQN002','Remnographie [IRM] fonctionnelle du coeur, sans épreuve pharmacologique de stress',69.00,69.00),(1683,'DZQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de tumeur du coeur',62.15,62.15),(1684,'DZSA001','Suppression d\'une anastomose palliative pour cardiopathie congénitale, avec angioplastie d\'agrandissement d\'une branche de l\'artère pulmonaire, par thoracotomie avec CEC',1154.96,1021.00),(1685,'DZSA002','Hémostase secondaire à un acte sur le coeur et/ou les vaisseaux intrathoraciques, par thoracotomie',447.38,347.26),(1686,'DZSA900','Suppression d\'une anastomose palliative au cours d\'une correction chirurgicale secondaire de cardiopathie congénitale, avec CEC',0.00,0.00),(1687,'EAAF002','Dilatation intraluminale du tronc de l\'artère carotide interne intracrânienne avec pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1688,'EAAF004','Dilatation intraluminale du tronc de l\'artère carotide interne intracrânienne sans pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1689,'EAAF900','Dilatation intraluminale de branche de l\'artère carotide interne avec pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1690,'EAAF901','Dilatation intraluminale de branche de l\'artère carotide interne sans pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1691,'EAAF902','Dilatation intraluminale de l\'artère vertébrale intracrânienne ou de l\'artère basilaire avec pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1692,'EAAF903','Dilatation intraluminale de l\'artère vertébrale intracrânienne ou de l\'artère basilaire sans pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1693,'EABA001','Enrobage d\'un anévrisme artériel intracrânien, par craniotomie',730.89,730.89),(1694,'EACA001','Exclusion de fistule artérioveineuse de la faux du cerveau ou de la tente du cervelet, par craniotomie',711.84,588.43),(1695,'EACA002','Exclusion d\'anévrismes artériels intracrâniens multiples, par craniotomie unique',1098.24,944.21),(1696,'EACA003','Exclusion d\'un anévrisme artériel intracrânien d\'un diamètre supérieur à 20 mm, par craniotomie',1349.94,1046.30),(1697,'EACA004','Exclusion d\'un anévrisme artériel vertébrobasilaire d\'un diamètre inférieur ou égal à 20 mm, par craniotomie',1046.30,1046.30),(1698,'EACA005','Exclusion de fistule artérioveineuse d\'un sinus veineux dural [fistule ostéodurale], par craniotomie',563.66,502.48),(1699,'EACA006','Exclusion de fistule artérioveineuse durale de la convexité, par craniotomie',418.00,418.00),(1700,'EACA007','Exclusion d\'un anévrisme artériel supratentoriel d\'un diamètre inférieur ou égal à 20 mm, par craniotomie',846.55,754.34),(1701,'EACF001','Inversion du flux d\'un anévrisme artériel intracrânien en période aigüe hémorragique, par voie artérielle transcutanée',0.00,0.00),(1702,'EACF002','Inversion du flux d\'un anévrisme artériel intracrânien en dehors d\'une période aigüe hémorragique, par voie artérielle transcutanée',0.00,0.00),(1703,'EAFA001','Embolectomie ou thromboendartériectomie de vaisseau intracrânien, par craniotomie',535.90,535.90),(1704,'EAFA001','Embolectomie ou thromboendartériectomie de vaisseau intracrânien, par craniotomi',535.90,535.90),(1705,'EAFA002','Exérèse d\'une tumeur du glomus [corpuscule] tympanojugulaire par abord transpétreux, avec déroutement du nerf facial',919.66,919.66),(1706,'EAFA003','Exérèse de malformation artérioveineuse cérébrale superficielle supratentorielle d\'un diamètre inférieur ou égal à 30 mm, par craniotomie',912.48,704.80),(1707,'EAFA004','Exérèse d\'une tumeur du glomus [corpuscule] tympanojugulaire étendue à la fosse postérieure, par craniotomie',1243.56,1243.56),(1708,'EAFA005','Exérèse de malformation artérioveineuse encéphalique infratentorielle, par craniotomie',1028.76,860.02),(1709,'EAFA006','Exérèse d\'une tumeur du glomus [corpuscule] tympanojugulaire par abord transpétreux, sans déroutement du nerf facial',1164.24,850.82),(1710,'EAFA007','Exérèse d\'une tumeur du glomus [corpuscule] tympanojugulaire étendue aux structures cervicales, par craniocervicotomie',713.71,713.71),(1711,'EAFA008','Exérèse de malformation artérioveineuse cérébrale profonde supratentorielle, par craniotomie',1150.71,930.75),(1712,'EAFA009','Exérèse de malformation artérioveineuse cérébrale superficielle supratentorielle d\'un diamètre supérieur à 30 mm, par craniotomie',1139.36,924.17),(1713,'EAHF001','Prélèvements sanguins hypersélectifs étagés des sinus pétreux, par voie veineuse transcutanée',320.35,288.00),(1714,'EAJF341','Évacuation de thrombus d\'artère intracrânienne par voie artérielle transcutanée',942.20,942.20),(1715,'EALB002','Pose d\'une voie d\'abord vasculaire intraosseuse ou dans le sinus veineux sagittal [longitudinal] supérieur',0.00,0.00),(1716,'EAMA001','Reconstruction d\'un sinus veineux de la dure-mère ou d\'une artère intracrânienne par autogreffe, au cours d\'une intervention intracrânienne',0.00,0.00),(1717,'EAMA002','Réparation de plaie d\'un sinus veineux de la dure-mère par suture ou angioplastie [patch], au cours d\'une intervention intracrânienne',0.00,0.00),(1718,'EANF002','Fibrinolyse in situ suprasélective d\'artère intracrânienne, par voie artérielle transcutanée',313.50,313.50),(1719,'EAQH001','Artériographie cérébrale sélective, avec exploration comparative des fonctions cognitives des hémisphères cérébraux par injection intracarotidienne de barbiturique à action rapide [test de Wada]',288.00,288.00),(1720,'EAQH002','Scanographie des vaisseaux encéphaliques [Angioscanner cérébral]',25.27,25.27),(1721,'EAQJ001','Remnographie des vaisseaux encéphaliques [Angio-IRM cérébrale]',69.00,69.00),(1722,'EAQM001','Surveillance continue de la circulation artérielle intracrânienne par doppler transcrânien, par 24 heures',0.00,0.00),(1723,'EAQM002','Monitorage de la circulation artérielle intracrânienne par doppler pulsé transcrânien',43.62,43.62),(1724,'EAQM003','Échographie-doppler transcrânienne des vaisseaux intracrâniens, avec épreuve pharmacodynamique',54.99,54.99),(1725,'EAQM004','Échographie-doppler transcrânienne des vaisseaux intracrâniens, sans épreuve pharmacodynamique',54.99,54.99),(1726,'EAQM005','Échographie-doppler transfontanellaire des vaisseaux intracrâniens',69.93,69.93),(1727,'EASA001','Ligature de vaisseau intracrânien supratentoriel, par craniotomie',313.50,313.50),(1728,'EASA002','Ligature de vaisseau intracrânien infratentoriel, par craniotomie',313.50,313.50),(1729,'EASF001','Oblitération de plusieurs anévrismes sacculaires artériels intracrâniens en dehors d\'une période aigüe hémorragique, par voie artérielle transcutanée',522.50,522.50),(1730,'EASF002','Occlusion intraluminale d\'un vaisseau intracrânien afférent à une tumeur, par voie vasculaire transcutanée',522.50,522.50),(1731,'EASF003','Occlusion intraluminale de plusieurs vaisseaux intracrâniens afférents à une tumeur, par voie vasculaire transcutanée',522.50,522.50),(1732,'EASF004','Embolisation suprasélective unilatérale ou bilatérale de branche de l\'artère carotide interne, par voie artérielle transcutanée',522.50,522.50),(1733,'EASF005','Embolisation d\'une fistule artérioveineuse durale cranioencéphalique multipédiculaire, par voie artérielle et par voie veineuse transcutanées',522.50,522.50),(1734,'EASF006','Embolisation d\'une fistule artérioveineuse durale cranioencéphalique unipédiculaire, par voie artérielle ou veineuse transcutanée',522.50,522.50),(1735,'EASF007','Oblitération intraluminale d\'une artère intracrânienne porteuse d\'un anévrisme en période aigüe hémorragique, par voie artérielle transcutanée',522.50,522.50),(1736,'EASF008','Oblitération intraluminale d\'une artère intracrânienne porteuse d\'un anévrisme en dehors d\'une période aigüe hémorragique, par voie artérielle transcutanée',522.50,522.50),(1737,'EASF009','Embolisation d\'une fistule artérioveineuse durale cranioencéphalique unipédiculaire, par voie artérielle et par voie veineuse transcutanées',522.50,522.50),(1738,'EASF010','Oblitération d\'un anévrisme sacculaire artériel intracrânien en période aigüe hémorragique, par voie artérielle transcutanée',522.50,522.50),(1739,'EASF011','Oblitération d\'un anévrisme sacculaire artériel intracrânien en dehors d\'une période aigüe hémorragique, par voie artérielle transcutanée',522.50,522.50),(1740,'EASF012','Occlusion intraluminale d\'un vaisseau intracrânien, par voie vasculaire transcutanée',522.50,522.50),(1741,'EASF013','Oblitération de plusieurs anévrismes sacculaires artériels intracrâniens en période aigüe hémorragique, par voie artérielle transcutanée',522.50,522.50),(1742,'EASF014','Embolisation sélective ou hypersélective unilatérale ou bilatérale de branche de l\'artère carotide interne, par voie artérielle transcutanée',522.50,522.50),(1743,'EASF015','Embolisation d\'une fistule artérioveineuse durale cranioencéphalique multipédiculaire, par voie artérielle ou veineuse transcutanée',522.50,522.50),(1744,'EBAA002','Angioplastie d\'élargissement de la bifurcation carotidienne sans thromboendartériectomie, par cervicotomie',571.45,550.89),(1745,'EBAF001','Dilatation intraluminale de l\'artère carotide interne extracrânienne avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1746,'EBAF003','Dilatation intraluminale de l\'artère carotide interne extracrânienne sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1747,'EBAF004','Dilatation intraluminale de l\'artère carotide commune cervicale sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1748,'EBAF005','Dilatation intraluminale de l\'artère carotide externe sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1749,'EBAF006','Dilatation intraluminale de l\'artère carotide externe avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1750,'EBAF009','Dilatation intraluminale de la bifurcation carotidienne sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1751,'EBAF010','Dilatation intraluminale de l\'artère carotide commune cervicale avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1752,'EBAF011','Dilatation intraluminale de la bifurcation carotidienne avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1753,'EBAF013','Dilatation intraluminale de l\'artère vertébrale extracrânienne sans pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1754,'EBAF014','Dilatation intraluminale de l\'artère vertébrale extracrânienne avec pose d\'endoprothèse, par voie artérielle transcutanée',0.00,0.00),(1755,'EBCA001','Pontage croisé carotidosubclavier ou carotidoaxillaire, par cervicotomie',850.09,712.51),(1756,'EBCA002','Pontage de l\'artère carotide externe, par cervicotomie',522.50,522.50),(1757,'EBCA003','Suture de plaie de l\'artère carotide commune, par cervicotomie et par thoracotomie',596.98,565.70),(1758,'EBCA004','Pontage croisé intercarotidien, par cervicotomie',796.92,681.66),(1759,'EBCA005','Pontage carotidovertébral distal ou subclaviovertébral distal, par cervicotomie',1042.23,823.94),(1760,'EBCA006','Suture de plaie de l\'artère carotide externe, par cervicotomie',253.11,190.69),(1761,'EBCA007','Suture de plaie de l\'artère carotide interne extracrânienne, par cervicotomie',592.02,387.26),(1762,'EBCA008','Pontage homolatéral carotidosubclavier ou carotidoaxillaire, par cervicotomie',801.88,684.54),(1763,'EBCA009','Suture de plaie de l\'artère carotide commune, par cervicotomie',458.72,309.95),(1764,'EBCA010','Pontage artériel extra-intracrânien sans autogreffe, par craniotomie et par cervicotomie',526.22,526.22),(1765,'EBCA011','Pontage artériel extra-intracrânien avec autogreffe, par craniotomie et par cervicotomie',750.12,707.19),(1766,'EBCA012','Pontage veineux juguloaxillaire, par cervicotomie',522.50,522.50),(1767,'EBCA013','Pontage carotidohuméral ou subclaviohuméral, par abord direct',623.92,581.33),(1768,'EBCA014','Pontage carotidovertébral proximal ou subclaviovertébral proximal, par cervicotomie',808.26,688.24),(1769,'EBCA015','Pontage aortocarotidien, par cervicotomie et par thoracotomie',1065.63,881.41),(1770,'EBCA016','Suture de plaie de l\'artère vertébrale proximale, par cervicotomie',708.29,454.70),(1771,'EBCA017','Pontage entre l\'artère carotide commune et l\'artère carotide interne homolatérale, par cervicotomie',801.88,684.54),(1772,'EBEA001','Réimplantation de la veine jugulaire interne dans la veine axillaire, par abord direct',522.50,522.50),(1773,'EBEA002','Réimplantation de l\'artère vertébrale proximale dans l\'artère subclavière ou dans l\'artère carotide commune, par cervicotomie',867.11,722.37),(1774,'EBEA003','Réimplantation de l\'artère subclavière dans l\'artère carotide commune, par cervicotomie',852.22,713.74),(1775,'EBEA004','Réimplantation de l\'artère vertébrale distale dans l\'artère carotide interne ou dans l\'artère carotide externe, par cervicotomie',1057.83,832.99),(1776,'EBEA005','Réimplantation de l\'artère carotide commune dans l\'artère subclavière, par cervicotomie',826.69,698.93),(1777,'EBFA001','Exérèse d\'une tumeur du glomus [corpuscule] carotidien avec conservation de l\'axe carotidien, par cervicotomie',840.87,570.74),(1778,'EBFA002','Thromboendartériectomie de la bifurcation carotidienne avec angioplastie d\'élargissement, par cervicotomie avec dérivation vasculaire',650.86,640.84),(1779,'EBFA003','Thromboendartériectomie de l\'artère carotide commune, par cervicotomie',632.43,586.26),(1780,'EBFA004','Thrombectomie d\'un pontage ou d\'une thromboendartériectomie des troncs supraaortiques, par thoracotomie',522.50,522.50),(1781,'EBFA005','Thrombectomie de l\'artère carotide commune, par cervicotomie',505.52,424.87),(1782,'EBFA006','Thromboendartériectomie de la bifurcation carotidienne sans angioplastie d\'élargissement, par cervicotomie avec dérivation vasculaire',627.00,627.00),(1783,'EBFA007','Exérèse d\'une malformation vasculaire de la région parotidienne avec dissection du nerf facial, par abord direct',591.31,500.24),(1784,'EBFA008','Thromboendartériectomie de la bifurcation carotidienne par retournement, par cervicotomie sans dérivation vasculaire',627.00,627.00),(1785,'EBFA009','Thromboendartériectomie de l\'artère carotide externe, par cervicotomie',522.50,522.50),(1786,'EBFA010','Thromboendartériectomie de l\'artère carotide commune, par cervicotomie et par thoracotomie',777.77,714.45),(1787,'EBFA011','Exérèse d\'une tumeur du glomus [corpuscule] carotidien avec reconstruction de l\'axe carotidien, par cervicotomie',1101.79,902.38),(1788,'EBFA012','Thromboendartériectomie de la bifurcation carotidienne sans angioplastie d\'élargissement, par cervicotomie sans dérivation vasculaire',627.00,627.00),(1789,'EBFA013','Thrombectomie d\'un pontage ou d\'une thromboendartériectomie d\'artère à destination cervicocéphalique, par cervicotomie',313.50,313.50),(1790,'EBFA014','Résection de l\'artère carotide interne avec réimplantation dans l\'artère carotide commune, par cervicotomie',771.39,666.85),(1791,'EBFA015','Thromboendartériectomie de la bifurcation carotidienne par retournement, par cervicotomie avec dérivation vasculaire',627.00,627.00),(1792,'EBFA016','Thromboendartériectomie de la bifurcation carotidienne avec angioplastie d\'élargissement, par cervicotomie sans dérivation vasculaire',632.43,630.15),(1793,'EBFA017','Thromboendartériectomie de l\'artère vertébrale proximale, par cervicotomie',807.55,687.83),(1794,'EBFA018','Résection-anastomose ou remplacement de l\'artère vertébrale proximale, par cervicotomie',813.93,691.53),(1795,'EBFA019','Résection-anastomose de l\'artère carotide interne, par cervicotomie',757.92,659.05),(1796,'EBFA020','Résection-anastomose de l\'artère carotide commune, par cervicotomie et par thoracotomie',621.79,580.09),(1797,'EBFA021','Résection-anastomose de l\'artère carotide commune, par cervicotomie',522.50,522.50),(1798,'EBGA001','Ablation d\'un système diffuseur implanté et du cathéter relié à une veine profonde du membre supérieur ou du cou',72.32,59.50),(1799,'EBHA001','Biopsie unilatérale ou bilatérale de l\'artère temporale superficielle, par abord direct',52.25,52.25),(1800,'EBHA002','Biopsie d\'artère des membres ou du cou, par abord direct',116.28,102.55),(1801,'EBKA001','Remplacement de l\'artère carotide commune, par cervicotomie',708.29,630.26),(1802,'EBKA002','Remplacement de l\'artère carotide interne, par cervicotomie',894.05,738.00),(1803,'EBKA003','Remplacement de l\'artère carotide commune, par cervicotomie et par thoracotomie',848.10,848.10),(1804,'EBKA004','Remplacement de la bifurcation carotidienne ou de l\'artère carotide interne extracrânienne, par cervicotomie',708.29,674.15),(1805,'EBLA001','Pose d\'un cathéter dans une artère cervicocéphalique pour chimiothérapie, par cervicotomie',145.35,128.19),(1806,'EBLA002','Pose d\'un cathéter dans la veine jugulaire interne, par cervicotomie',104.50,104.50),(1807,'EBLA003','Pose d\'un cathéter relié à une veine profonde du membre supérieur ou du cou par voie transcutanée, avec pose d\'un système diffuseur implantable souscutané',138.96,125.40),(1808,'EBLF002','Injection intraartérielle cervicocéphalique in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux, par voie artérielle transcutanée',153.60,153.60),(1809,'EBLF003','Injection intraartérielle cervicocéphalique in situ suprasélective d\'agent pharmacologique anticancéreux, par voie artérielle transcutanée',153.60,153.60),(1810,'EBNE001','Coagulation bilatérale de l\'artère sphénopalatine, par endoscopie nasale',224.07,195.80),(1811,'EBNE002','Coagulation unilatérale de l\'artère sphénopalatine, par endoscopie nasale',150.15,130.97),(1812,'EBNF001','Fibrinolyse in situ sélective ou hypersélective d\'une artère extracrânienne à destination cervicocéphalique, par voie artérielle transcutanée',313.50,313.50),(1813,'EBNF002','Fibrinolyse in situ suprasélective d\'une artère extracrânienne à destination cervicocéphalique, par voie artérielle transcutanée',313.50,313.50),(1814,'EBNH001','Sclérose d\'une malformation vasculaire cervicale et/ou faciale, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage radiologique',199.82,104.50),(1815,'EBPA003','Décompression de l\'artère vertébrale intratransversaire, par cervicotomie',659.45,659.45),(1816,'EBQF001','Angiographie unilatérale ou bilatérale du segment postérieur de l\'oeil par injection intraveineuse transcutanée de fluorescéine, avec examen à l\'ophtalmoscope à balayage laser',72.17,67.66),(1817,'EBQF001','Angiographie du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de fluorescéine, avec examen à l\'ophtalmoscope à balayage laser',72.17,67.66),(1818,'EBQF002','Angiographie unilatérale ou bilatérale du segment postérieur de l\'oeil par injection intraveineuse transcutanée de fluorescéine, avec superposition d\'images',80.35,72.41),(1819,'EBQF002','Angiographie du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de fluorescéine, avec superposition d\'images',80.35,72.41),(1820,'EBQF003','Angiographie unilatérale ou bilatérale du segment antérieur de l\'oeil, par injection intraveineuse transcutanée de fluorescéine',61.44,61.44),(1821,'EBQF003','Angiographie du segment antérieur de l\'oeil, par injection intraveineuse transcutanée de fluorescéine',61.44,61.44),(1822,'EBQF004','Angiographie unilatérale ou bilatérale du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de fluorescéine',64.07,64.07),(1823,'EBQF004','Angiographie du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de fluorescéine',64.07,64.07),(1824,'EBQF005','Angiographie unilatérale ou bilatérale du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de vert d\'indocyanine',73.66,72.55),(1825,'EBQF005','Angiographie du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de vert d\'indocyanine',73.66,72.55),(1826,'EBQF006','Angiographie unilatérale ou bilatérale du segment postérieur de l\'oeil par injection intraveineuse transcutanée de vert d\'indocyanine, avec examen à l\'ophtalmoscope à balayage laser',78.86,75.58),(1827,'EBQF006','Angiographie du segment postérieur de l\'oeil, par injection intraveineuse transcutanée de vert d\'indocyanine, avec examen à l\'ophtalmoscope à balayage laser',78.86,75.58),(1828,'EBQH001','Phlébographie globale d\'un axe cervicocéphalique, par voie veineuse transcutanée',57.60,57.60),(1829,'EBQH002','Artériographie sélective de 3 axes cervicocéphaliques ou plus, par voie artérielle transcutanée',288.00,288.00),(1830,'EBQH003','Artériographie cervicocéphalique par voie vasculaire transcutanée, pour diagnostic de mort cérébrale',288.00,288.00),(1831,'EBQH004','Scanographie des vaisseaux cervicocéphaliques [Angioscanner cervicocérébral]',25.27,25.27),(1832,'EBQH005','Artériographie hypersélective cervicocéphalique, par voie artérielle transcutanée',288.00,288.00),(1833,'EBQH006','Scanographie des vaisseaux cervicaux [Angioscanner cervical]',25.27,25.27),(1834,'EBQH007','Artériographie suprasélective cervicocéphalique, par voie artérielle transcutanée',288.00,288.00),(1835,'EBQH008','Artériographie de plusieurs axes cervicocéphaliques, par injections intraartérielles transcutanées multiples',288.00,288.00),(1836,'EBQH009','Phlébographie d\'un axe cervicocéphalique, par injection intrajugulaire transcutanée',57.60,57.60),(1837,'EBQH010','Artériographie d\'un axe cervicocéphalique, par injection intraartérielle transcutanée unique',288.00,288.00),(1838,'EBQH011','Artériographie sélective d\'un ou 2 axes cervicocéphaliques, par voie artérielle transcutanée',240.00,240.00),(1839,'EBQJ001','Remnographie des vaisseaux cervicocéphaliques [Angio-IRM cervicocérébrale]',69.00,69.00),(1840,'EBQJ002','Remnographie des vaisseaux cervicaux [Angio-IRM cervicale]',69.00,69.00),(1841,'EBQM001','Échographie-doppler des artères cervicocéphaliques extracrâniennes, sans mesure de l\'épaisseur de l\'intima-média',69.93,69.93),(1842,'EBQM002','Échographie-doppler des artères cervicocéphaliques extracrâniennes, avec échographie-doppler des artères des membres inférieurs',104.90,104.90),(1843,'EBQM003','Échographie-doppler des vaisseaux cervicocéphaliques extracrâniens avec échographie-doppler transcrânienne des vaisseaux intracrâniens',94.16,94.16),(1844,'EBQM900','Échographie-doppler des artères cervicocéphaliques extracrâniennes, avec mesure de l\'épaisseur de l\'intima-média',0.00,0.00),(1845,'EBSA001','Ligature de l\'artère sphénopalatine ou de l\'artère maxillaire, par abord transnasal ou transantral',203.28,161.80),(1846,'EBSA002','Ligature de l\'artère vertébrale distale, par cervicotomie',272.12,272.12),(1847,'EBSA003','Ligature de l\'artère carotide commune, par cervicotomie',154.56,133.54),(1848,'EBSA004','Ligature bilatérale de l\'artère ethmoïdale antérieure et/ou de l\'artère ethmoïdale postérieure',210.09,210.09),(1849,'EBSA005','Occlusion progressive de l\'artère carotide commune ou de l\'artère carotide interne par pose de clamp, par cervicotomie',177.96,147.10),(1850,'EBSA006','Ligature de l\'artère carotide interne, par cervicotomie',205.61,163.15),(1851,'EBSA007','Ligature de l\'artère vertébrale proximale, par cervicotomie',200.57,200.57),(1852,'EBSA008','Ligature unilatérale de l\'artère ethmoïdale antérieure et/ou de l\'artère ethmoïdale postérieure',166.32,140.36),(1853,'EBSA009','Ligature de l\'artère sphénopalatine et de l\'artère ethmoïdale',248.71,210.09),(1854,'EBSA010','Ligature du tronc ou de branche de l\'artère carotide externe, par cervicotomie',192.85,155.74),(1855,'EBSA011','Hémostase secondaire, par reprise de cervicotomie',199.43,159.56),(1856,'EBSA012','Hémostase secondaire à un acte sur les vaisseaux cervicocéphaliques, par cervicotomie',315.51,226.88),(1857,'EBSF001','Occlusion d\'une fistule artérioveineuse directe cervicale ou crânienne, par voie vasculaire transcutanée',522.50,522.50),(1858,'EBSF003','Embolisation sélective ou hypersélective unilatérale ou bilatérale de branche de l\'artère carotide externe, par voie artérielle transcutanée',522.50,522.50),(1859,'EBSF004','Embolisation suprasélective unilatérale ou bilatérale de branche de l\'artère carotide externe, par voie artérielle transcutanée',522.50,522.50),(1860,'EBSH001','Occlusion d\'une malformation vasculaire cervicale et/ou faciale, par injection transcutanée intralésionnelle de colle avec guidage radiologique',375.41,104.50),(1861,'ECAF001','Dilatation intraluminale d\'une artère du membre supérieur avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1862,'ECAF002','Dilatation intraluminale d\'une artère du membre supérieur sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1863,'ECAF003','Dilatation intraluminale du tronc artériel brachiocéphalique ou de l\'artère carotide commune intrathoracique sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1864,'ECAF004','Dilatation intraluminale du tronc artériel brachiocéphalique ou de l\'artère carotide commune intrathoracique avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1865,'ECCA001','Suture de plaies de 2 artères, sur un rayon de la main',365.75,365.75),(1866,'ECCA002','Pontage d\'une artère de la main, par abord direct',462.27,399.78),(1867,'ECCA003','Pontage d\'une artère du membre supérieur, par abord direct',319.05,316.72),(1868,'ECCA004','Suture de plaie d\'une artère du membre supérieur, par abord direct',216.25,151.76),(1869,'ECCA005','Suture de plaie d\'une artère, sur un rayon de la main',209.00,209.00),(1870,'ECCA006','Suture de plaie du tronc artériel brachiocéphalique, par thoracotomie',1031.60,817.77),(1871,'ECCA007','Pontage homolatéral subclavioaxillaire, par abord direct',525.37,524.17),(1872,'ECCA009','Pontage croisé intersubclavier, interaxillaire ou intersubclavioaxillaire, par cervicotomie',850.09,712.51),(1873,'ECCA010','Suture de plaie de l\'artère subclavière, par cervicotomie',708.29,454.70),(1874,'ECFA001','Thromboendartériectomie du tronc artériel brachiocéphalique, par thoracotomie',1008.20,804.20),(1875,'ECFA002','Thrombectomie d\'une artère du membre supérieur, par abord direct',209.86,209.51),(1876,'ECFA003','Thromboendartériectomie de l\'artère subclavière, par thoracotomie',710.03,710.03),(1877,'ECFA004','Thromboendartériectomie de l\'artère subclavière, par cervicotomie',569.33,549.66),(1878,'ECFA005','Résection-anastomose d\'artère du membre supérieur, par abord direct',313.50,313.50),(1879,'ECFA006','Résection-anastomose de l\'artère subclavière, par cervicotomie',758.63,659.45),(1880,'ECJF001','Thromboaspiration d\'artère ou de pontage artériel du membre supérieur, par voie artérielle transcutanée',209.00,209.00),(1881,'ECKA001','Remplacement du tronc artériel brachiocéphalique, par thoracotomie',1031.60,861.67),(1882,'ECKA002','Remplacement de l\'artère subclavière, par cervicotomie',808.97,688.65),(1883,'ECLF003','Pose d\'endoprothèse couverte dans une artère du membre supérieur, par voie artérielle transcutanée',313.50,313.50),(1884,'ECLF004','Pose d\'endoprothèse couverte dans le tronc artériel brachiocéphalique ou l\'artère carotide commune intrathoracique, par voie artérielle transcutanée',313.50,313.50),(1885,'ECLF005','Injection intraartérielle in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux au membre supérieur, par voie artérielle transcutanée',153.60,153.60),(1886,'ECLF006','Injection intraartérielle in situ suprasélective d\'agent pharmacologique anticancéreux au membre supérieur, par voie artérielle transcutanée',153.60,153.60),(1887,'ECMA001','Reconstruction de l\'artère et/ou de la veine subclavière avec résection de côte, par abord direct',834.49,729.79),(1888,'ECNF001','Fibrinolyse in situ suprasélective d\'une artère ou d\'un pontage artériel du membre supérieur, par voie artérielle transcutanée',313.50,313.50),(1889,'ECNF002','Fibrinolyse in situ sélective ou hypersélective d\'une artère ou d\'un pontage artériel du membre supérieur, par voie artérielle transcutanée',313.50,313.50),(1890,'ECNH001','Sclérose d\'une tumeur ou d\'une malformation vasculaire du membre supérieur, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage radiologique',381.47,104.50),(1891,'ECPA003','Section-anastomose d\'un vaisseau pour anomalie des arcs aortiques, par thoracotomie sans CEC',762.88,661.93),(1892,'ECPF001','Recanalisation d\'une artère du membre supérieur avec pose d\'endoprothèse couverte, par voie artérielle transcutanée',313.50,313.50),(1893,'ECPF002','Recanalisation d\'une artère du membre supérieur avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1894,'ECPF003','Recanalisation d\'une artère du membre supérieur sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1895,'ECPF004','Recanalisation de l\'artère subclavière en amont de l\'ostium de l\'artère vertébrale sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1896,'ECPF005','Recanalisation de l\'artère subclavière en amont de l\'ostium de l\'artère vertébrale avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1897,'ECQH001','Artériographie bilatérale du membre supérieur par voie artérielle ou injection intraartérielle transcutanée, avec manoeuvre positionnelle',240.00,240.00),(1898,'ECQH002','Artériographie suprasélective du membre supérieur, par voie artérielle transcutanée',192.00,192.00),(1899,'ECQH003','Artériographie unilatérale de la main, par injection intraartérielle transcutanée',96.00,96.00),(1900,'ECQH004','Artériographie unilatérale du membre supérieur par voie artérielle ou injection intraartérielle transcutanée, avec manoeuvre positionnelle',96.00,96.00),(1901,'ECQH005','Artériographie sélective ou hypersélective du membre supérieur, par voie artérielle transcutanée',192.00,192.00),(1902,'ECQH006','Artériographie du membre supérieur par injection intraartérielle transcutanée, sans manoeuvre positionnelle',96.00,96.00),(1903,'ECQH007','Artériographie bilatérale de la main, par injection intraartérielle transcutanée',240.00,240.00),(1904,'ECQH010','Scanographie des vaisseaux du thorax et/ou du coeur [Angioscanner thoracique]',25.27,25.27),(1905,'ECQH011','Scanographie des vaisseaux du thorax et/ou du coeur, avec scanographie des vaisseaux de l\'abdomen et/ou du petit bassin [Angioscanner thoracique avec angioscanner de l\'abdomen et/ou du pelvis]',50.54,50.54),(1906,'ECQH012','Artériographie sélective ou hypersélective de la totalité de la moelle épinière, par voie artérielle transcutanée',288.00,288.00),(1907,'ECQH013','Artériographie sélective ou hypersélective d\'un segment de la moelle épinière, par voie artérielle transcutanée',288.00,288.00),(1908,'ECQH014','Artériographie suprasélective de la moelle épinière, par voie artérielle transcutanée',288.00,288.00),(1909,'ECQH015','Artériographie sélective ou hypersélective d\'artère intrathoracique à destination pariétale et/ou viscérale, par voie artérielle transcutanée',288.00,288.00),(1910,'ECQH016','Artériographie suprasélective d\'artère intrathoracique à destination pariétale et/ou viscérale, par voie artérielle transcutanée',288.00,288.00),(1911,'ECQJ001','Remnographie des vaisseaux du thorax [Angio-IRM thoracique]',69.00,69.00),(1912,'ECQM001','Examen doppler continu des artères des membres supérieurs avec épreuve dynamique [test d\'Allen] et manoeuvres positionnelles',69.93,69.93),(1913,'ECQM002','Échographie-doppler des artères des membres supérieurs',69.93,69.93),(1914,'ECSA001','Ligature de l\'artère subclavière, par cervicotomie',199.74,199.74),(1915,'ECSA002','Ligature du tronc artériel brachiocéphalique, par thoracotomie',524.57,524.57),(1916,'ECSA003','Ligature d\'une artère du membre supérieur, par abord direct',131.87,102.82),(1917,'ECSF001','Oblitération de plusieurs anévrismes sacculaires artériels du membre supérieur, par voie artérielle transcutanée',535.71,355.30),(1918,'ECSF002','Embolisation suprasélective d\'une artère du membre supérieur, par voie artérielle transcutanée',355.30,355.30),(1919,'ECSF003','Oblitération d\'un anévrisme sacculaire artériel du membre supérieur, par voie artérielle transcutanée',355.30,355.30),(1920,'ECSF004','Embolisation sélective ou hypersélective d\'artère à destination bronchique ou pleuropulmonaire, par voie artérielle transcutanée',355.30,355.30),(1921,'ECSF006','Embolisation suprasélective d\'artère à destination bronchique ou pleuropulmonaire, par voie artérielle transcutanée',355.30,355.30),(1922,'ECSF008','Embolisation sélective ou hypersélective d\'une artère du membre supérieur, par voie artérielle transcutanée',355.30,355.30),(1923,'EDAA002','Angioplastie de l\'artère rénale, par laparotomie ou par lombotomie',687.83,687.83),(1924,'EDAA003','Dilatation intraluminale de l\'artère iliaque et/ou de l\'artère fémorale, au cours d\'une intervention restauratrice de l\'aorte, de l\'artère iliaque ou de l\'artère fémorale',156.75,156.75),(1925,'EDAF001','Dilatation intraluminale sélective ou hypersélective de l\'artère rénale avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1926,'EDAF002','Dilatation intraluminale de l\'artère iliaque commune et/ou de l\'artère iliaque externe sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1927,'EDAF003','Dilatation intraluminale de l\'artère iliaque commune et/ou de l\'artère iliaque externe avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1928,'EDAF004','Dilatation intraluminale de l\'artère iliaque interne sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1929,'EDAF005','Dilatation intraluminale d\'une artère digestive avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1930,'EDAF006','Dilatation intraluminale de l\'artère iliaque interne avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1931,'EDAF007','Dilatation intraluminale sélective ou hypersélective de l\'artère rénale sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1932,'EDAF008','Dilatation intraluminale d\'une artère digestive sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1933,'EDAF009','Dilatation intraluminale suprasélective de l\'artère rénale sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1934,'EDAF010','Dilatation intraluminale suprasélective de l\'artère rénale avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1935,'EDCA001','Suture de plaie d\'artère digestive, par laparotomie',743.74,501.60),(1936,'EDCA002','Suture de plaie de l\'artère rénale, par laparotomie ou par lombotomie',758.63,510.23),(1937,'EDCA003','Pontage artériel croisé ilio-iliaque, iliofémoral ou fémorofémoral, par abord direct',551.60,539.38),(1938,'EDCA004','Pontage artériel iliofémoral pour complication anastomotique sur prothèse de la bifurcation fémorale, par abord direct',583.48,583.48),(1939,'EDCA005','Pontage artériel iliofémoral homolatéral, par abord direct',587.05,585.55),(1940,'EDCC015','Suture de plaie d\'artère digestive, par coelioscopie',772.55,530.40),(1941,'EDEA001','Réimplantation ou pontage de l\'artère iliaque interne ou d\'une de ses branches, par laparotomie',796.92,681.66),(1942,'EDEA002','Réimplantation ou pontage de l\'artère mésentérique inférieure, au cours d\'une intervention sur l\'aorte',261.25,261.25),(1943,'EDEA003','Réimplantation ou pontage de l\'artère iliaque interne, au cours d\'une intervention sur l\'aorte',261.25,261.25),(1944,'EDEA004','Réimplantation de l\'artère rénale dans l\'aorte, par laparotomie ou par lombotomie',859.31,717.85),(1945,'EDEA005','Réimplantation d\'une artère digestive dans l\'aorte, par laparotomie',865.69,721.55),(1946,'EDFA001','Thromboendartériectomie de l\'artère rénale par artériotomie rénale, par laparotomie ou par lombotomie',845.84,710.03),(1947,'EDFA002','Thrombectomie d\'artère digestive, par laparotomie',650.86,509.17),(1948,'EDFA003','Thromboendartériectomie iliofémorale, par laparotomie',651.57,597.36),(1949,'EDFA004','Thromboendartériectomie des artères rénales par aortotomie, par laparotomie',983.38,899.54),(1950,'EDFA005','Thromboendartériectomie de l\'artère mésentérique supérieure et/ou du tronc coeliaque ou de ses branches, par thoraco-phréno-laparotomie',1329.38,1025.60),(1951,'EDFA006','Thromboendartériectomie iliaque, par laparotomie',606.20,571.04),(1952,'EDFA007','Thromboendartériectomie iliofémorale, par abord inguinofémoral',418.00,418.00),(1953,'EDFA008','Thrombectomie de l\'artère rénale, par laparotomie ou par lombotomie',794.79,592.65),(1954,'EDFA009','Résection-anastomose de l\'artère rénale, par laparotomie ou par lombotomie',780.61,672.21),(1955,'EDFA010','Résection-anastomose d\'une artère digestive, par laparotomie',799.75,683.30),(1956,'EDJF001','Thromboaspiration de l\'artère rénale, par voie artérielle transcutanée',313.50,313.50),(1957,'EDJF002','Thromboaspiration d\'artère digestive, par voie artérielle transcutanée',549.17,355.30),(1958,'EDKA002','Remplacement de l\'artère rénale, par laparotomie ou par lombotomie',885.54,733.06),(1959,'EDKA003','Remplacement d\'une artère digestive, par laparotomie',866.40,721.96),(1960,'EDLA001','Pose d\'un cathéter dans une artère digestive, par laparotomie',303.45,246.22),(1961,'EDLF002','Pose d\'un cathéter artériel ombilical',0.00,0.00),(1962,'EDLF004','Pose d\'endoprothèse couverte dans l\'artère iliaque commune et/ou l\'artère iliaque externe avec embolisation de l\'artère iliaque interne, par voie artérielle transcutanée',574.75,574.75),(1963,'EDLF005','Pose d\'endoprothèse couverte dans l\'artère iliaque commune et/ou l\'artère iliaque externe, par voie artérielle transcutanée',397.10,397.10),(1964,'EDLF006','Pose d\'endoprothèse couverte dans une artère digestive, par voie artérielle transcutanée',355.30,355.30),(1965,'EDLF007','Pose d\'endoprothèse couverte dans l\'artère iliaque interne ou une branche extradigestive de l\'aorte abdominale, par voie artérielle transcutanée',397.10,397.10),(1966,'EDLF008','Pose d\'endoprothèse couverte dans plusieurs artères digestives, par voie artérielle transcutanée',607.05,532.95),(1967,'EDLF013','Pose d\'endoprothèse couverte dans l\'artère rénale, par voie artérielle transcutanée',355.30,355.30),(1968,'EDLF014','Injection intraartérielle hépatique in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux non radio-isotopique sans embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1969,'EDLF015','Injection intraartérielle hépatique in situ suprasélective d\'agent pharmacologique anticancéreux non radio-isotopique sans embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1970,'EDLF016','Injection intraartérielle hépatique in situ suprasélective d\'agent pharmacologique anticancéreux non radio-isotopique avec embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1971,'EDLF017','Injection intraartérielle hépatique in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux non radio-isotopique avec embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1972,'EDLF018','Injection intraartérielle rénale in situ suprasélective d\'agent pharmacologique anticancéreux avec embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1973,'EDLF019','Injection intraartérielle rénale in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux avec embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1974,'EDLF020','Injection intraartérielle rénale in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux sans embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1975,'EDLF021','Injection intraartérielle rénale in situ suprasélective d\'agent pharmacologique anticancéreux sans embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1976,'EDLL001','Injection intraartérielle hépatique in situ d\'agent pharmacologique radio-isotopique avec embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1977,'EDLL002','Injection intraartérielle hépatique in situ d\'agent pharmacologique radio-isotopique sans embolisation de particules, par voie artérielle transcutanée',153.60,153.60),(1978,'EDMA001','Revascularisation de l\'artère rénale à partir d\'une artère digestive, par laparotomie ou par lombotomie',880.58,730.19),(1979,'EDMA003','Revascularisation des branches de l\'artère rénale sur le rein in situ, par laparotomie ou par lombotomie',1136.53,878.64),(1980,'EDMA004','Réparation de l\'artère rénale et/ou de ses branches sur le rein ex situ avec autotransplantation du rein, par laparotomie ou par lombotomie',1321.58,1051.44),(1981,'EDNF001','Fibrinolyse in situ suprasélective de l\'artère rénale, par voie artérielle transcutanée',313.50,313.50),(1982,'EDNF002','Fibrinolyse in situ sélective ou hypersélective de l\'artère rénale, par voie artérielle transcutanée',313.50,313.50),(1983,'EDNF003','Fibrinolyse in situ d\'une artère digestive, par voie artérielle transcutanée',313.50,313.50),(1984,'EDPA001','Mise à plat d\'un anévrisme iliaque avec remplacement prothétique ilio-iliaque ou iliofémoral unilatéral, par laparotomie',723.89,664.91),(1985,'EDPA002','Libération d\'une artère digestive, par laparotomie',691.28,471.16),(1986,'EDPA005','Mise à plat d\'un anévrisme iliaque avec remplacement prothétique aorto-iliaque ou aortofémoral unilatéral, par laparotomie',856.47,741.82),(1987,'EDPF001','Recanalisation de l\'artère iliaque interne avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1988,'EDPF002','Recanalisation de l\'artère rénale sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1989,'EDPF003','Recanalisation d\'une artère digestive sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1990,'EDPF004','Recanalisation d\'une artère digestive avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1991,'EDPF005','Recanalisation de l\'artère rénale avec pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1992,'EDPF006','Recanalisation de l\'artère iliaque commune et/ou de l\'artère iliaque externe avec pose d\'endoprothèse couverte, par voie artérielle transcutanée',313.50,313.50),(1993,'EDPF007','Recanalisation de l\'artère iliaque interne sans pose d\'endoprothèse, par voie artérielle transcutanée',355.30,355.30),(1994,'EDPF008','Recanalisation de l\'artère iliaque commune et/ou de l\'artère iliaque externe sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1995,'EDPF009','Recanalisation de l\'artère iliaque commune et/ou de l\'artère iliaque externe avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(1996,'EDQH001','Artériographie suprasélective de branche extradigestive de l\'aorte abdominale ou de branche de l\'artère iliaque interne, par voie artérielle transcutanée',240.00,240.00),(1997,'EDQH003','Artériographie sélective ou hypersélective d\'une branche extradigestive de l\'aorte abdominale ou d\'une branche de l\'artère iliaque interne, par voie artérielle transcutanée',240.00,240.00),(1998,'EDQH005','Artériographie sélective et/ou hypersélective de plusieurs branches extradigestives de l\'aorte abdominale ou de plusieurs branches de l\'artère iliaque interne, par voie artérielle transcutanée',240.00,240.00),(1999,'EDQH006','Artériographie sélective et/ou hypersélective de plusieurs branches digestives de l\'aorte abdominale, par voie artérielle transcutanée',240.00,240.00),(2000,'EDQH007','Artériographie suprasélective de branche digestive de l\'aorte abdominale, par voie artérielle transcutanée',240.00,240.00),(2001,'EDQH008','Artériographie sélective ou hypersélective d\'une branche digestive de l\'aorte abdominale, par voie artérielle transcutanée',240.00,240.00),(2002,'EDQJ900','Échographie et/ou échographie-doppler intraartérielle aortique ou rénale, au cours d\'un acte par voie vasculaire transcutanée',0.00,0.00),(2003,'EDQM001','Échographie-doppler des artères iliaques et des artères des membres inférieurs',69.93,69.93),(2004,'EDSA001','Ligature d\'une artère digestive, par laparotomie',360.17,279.12),(2005,'EDSA002','Ligature des artères iliaques internes [hypogastriques] pour hémorragie du post-partum, par laparotomie',344.62,270.10),(2006,'EDSA003','Ligature des artères iliaques internes, par laparotomie',372.23,321.23),(2007,'EDSF001','Oblitération suprasélective de plusieurs anévrismes sacculaires d\'artère digestive, par voie artérielle transcutanée',355.30,355.30),(2008,'EDSF002','Oblitération sélective ou hypersélective d\'un anévrisme sacculaire de l\'artère iliaque interne ou d\'une branche extradigestive de l\'aorte abdominale, par voie artérielle transcutanée',355.30,355.30),(2009,'EDSF003','Embolisation sélective ou hypersélective de l\'artère rénale, par voie artérielle transcutanée',355.30,355.30),(2010,'EDSF004','Embolisation suprasélective de branche de l\'artère iliaque interne ou de branche extradigestive de l\'aorte abdominale, par voie artérielle transcutanée',355.30,355.30),(2011,'EDSF005','Embolisation sélective ou hypersélective d\'une artère digestive, par voie artérielle transcutanée',355.30,355.30),(2012,'EDSF006','Embolisation suprasélective d\'une artère digestive, par voie artérielle transcutanée',355.30,355.30),(2013,'EDSF007','Oblitération sélective ou hypersélective d\'un anévrisme sacculaire de l\'artère rénale, par voie artérielle transcutanée',355.30,355.30),(2014,'EDSF008','Embolisation suprasélective de l\'artère rénale, par voie artérielle transcutanée',355.30,355.30),(2015,'EDSF009','Oblitération suprasélective d\'un anévrisme sacculaire d\'une artère digestive, par voie artérielle transcutanée',355.30,355.30),(2016,'EDSF010','Oblitération suprasélective d\'un anévrisme sacculaire de l\'artère iliaque interne ou d\'une branche extradigestive de l\'aorte abdominale, par voie artérielle transcutanée',355.30,355.30),(2017,'EDSF011','Embolisation des artères iliaques internes [hypogastriques] et/ou de ses branches pour hémorragie du post-partum, par voie artérielle transcutanée',355.30,355.30),(2018,'EDSF012','Embolisation sélective et/ou hypersélective de plusieurs artères digestives, par voie artérielle transcutanée',355.30,355.30),(2019,'EDSF013','Oblitération suprasélective d\'un anévrisme sacculaire de l\'artère rénale, par voie artérielle transcutanée',355.30,355.30),(2020,'EDSF014','Embolisation sélective et/ou hypersélective de plusieurs branches de l\'artère iliaque interne ou de plusieurs branches extradigestives de l\'aorte abdominale, par voie artérielle transcutanée',355.30,355.30),(2021,'EDSF015','Embolisation suprasélective de plusieurs artères digestives, par voie artérielle transcutanée',355.30,355.30),(2022,'EDSF016','Embolisation sélective ou hypersélective de l\'artère iliaque interne ou d\'une branche extradigestive de l\'aorte abdominale, par voie artérielle transcutanée',355.30,355.30),(2023,'EEAA002','Angioplastie d\'élargissement d\'un pontage artériel du membre inférieur, par abord direct',313.50,313.50),(2024,'EEAF001','Dilatation intraluminale de plusieurs artères du membre inférieur sans pose d\'endoprothèse, par voie artérielle transcutanée',334.40,334.40),(2025,'EEAF002','Dilatation intraluminale d\'une artère du membre inférieur avec dilatation intraluminale de l\'artère iliaque commune et/ou de l\'artère iliaque externe homolatérale avec pose d\'endoprothèse, par voie artérielle transcutanée',491.15,491.15),(2026,'EEAF003','Dilatation intraluminale d\'une artère du membre inférieur sans pose d\'endoprothèse, par voie artérielle transcutanée',334.40,334.40),(2027,'EEAF004','Dilatation intraluminale d\'une artère du membre inférieur avec pose d\'endoprothèse, par voie artérielle transcutanée',334.40,334.40),(2028,'EEAF005','Dilatation intraluminale d\'une artère du membre inférieur avec dilatation intraluminale de l\'artère iliaque commune et/ou de l\'artère iliaque externe homolatérale sans pose d\'endoprothèse, par voie artérielle transcutanée',491.15,491.15),(2029,'EEAF006','Dilatation intraluminale de plusieurs artères du membre inférieur avec pose d\'endoprothèse, par voie artérielle transcutanée',501.60,501.60),(2030,'EECA001','Pontage artériel fémoropoplité au-dessus de l\'interligne articulaire du genou, par abord direct',313.50,313.50),(2031,'EECA002','Pontage artériel fémorofémoral homolatéral, par abord direct',313.50,313.50),(2032,'EECA003','Pontage artériel fémoropoplité au-dessous de l\'interligne articulaire du genou, par abord direct',363.72,342.62),(2033,'EECA005','Pontage d\'une artère du pied, par abord direct',749.41,591.94),(2034,'EECA006','Pontage artériel subclaviofémoral ou axillobifémoral, par abord direct',661.50,603.12),(2035,'EECA007','Pontage artériel subclaviofémoral ou axillofémoral, par abord direct',522.50,522.50),(2036,'EECA008','Pontage artériel fémorotibial ou fémoropéronier sans collier veineux, par abord direct',507.64,451.71),(2037,'EECA009','Suture de plaie d\'artère du membre inférieur, par abord direct',211.28,148.88),(2038,'EECA010','Pontage artériel fémorotibial ou fémoropéronier avec collier veineux, par abord direct',618.96,516.28),(2039,'EECA012','Pontage multiple étagé [séquentiel] ou bifurqué des artères des membres inférieurs, par abord direct',798.33,655.42),(2040,'EEFA001','Thromboendartériectomie de l\'artère fémorale et/ou de ses branches, par abord direct',313.50,313.50),(2041,'EEFA002','Thrombectomie d\'artère du membre inférieur, par abord poplité',270.13,244.45),(2042,'EEFA003','Thromboendartériectomie de l\'artère poplitée, par abord direct',313.50,313.50),(2043,'EEFA004','Thrombectomie d\'artère du membre inférieur, par abord inguinofémoral',228.30,220.19),(2044,'EEFA005','Résection d\'un kyste adventiciel d\'une artère du membre inférieur, par abord direct',313.50,313.50),(2045,'EEFA006','Résection-anastomose d\'une artère du membre inférieur, par abord direct',313.50,313.50),(2046,'EEGA001','Ablation d\'une prothèse artérielle du membre inférieur sans revascularisation, par abord direct',336.07,234.42),(2047,'EEGA002','Ablation d\'une prothèse artérielle du membre inférieur avec revascularisation, par abord direct',746.58,577.85),(2048,'EEJF001','Thromboaspiration d\'artère ou de pontage artériel du membre inférieur, par voie artérielle transcutanée',209.00,209.00),(2049,'EEKA001','Remplacement ou mise à plat d\'une artère du membre inférieur, par abord direct',355.30,355.30),(2050,'EELF002','Pose d\'endoprothèse couverte dans une artère du membre inférieur, par voie artérielle transcutanée',334.40,334.40),(2051,'EELF004','Injection intraartérielle in situ suprasélective d\'agent pharmacologique anticancéreux au membre inférieur, par voie artérielle transcutanée',153.60,153.60),(2052,'EELF005','Injection intraartérielle in situ sélective ou hypersélective d\'agent pharmacologique anticancéreux au membre inférieur, par voie artérielle transcutanée',153.60,153.60),(2053,'EENF001','Fibrinolyse in situ suprasélective d\'une artère ou d\'un pontage artériel du membre inférieur, par voie artérielle transcutanée',313.50,313.50),(2054,'EENF002','Fibrinolyse in situ sélective ou hypersélective d\'une artère ou d\'un pontage artériel du membre inférieur, par voie artérielle transcutanée',313.50,313.50),(2055,'EEPF001','Recanalisation d\'une artère du membre inférieur avec pose d\'endoprothèse, par voie artérielle transcutanée',334.40,334.40),(2056,'EEPF002','Recanalisation d\'une artère du membre inférieur sans pose d\'endoprothèse, par voie artérielle transcutanée',334.40,334.40),(2057,'EEQH001','Artériographie bilatérale de membre inférieur, par injection intraartérielle fémorale transcutanée bilatérale',86.40,86.40),(2058,'EEQH002','Artériographie sélective ou hypersélective du membre inférieur, par voie artérielle transcutanée',57.60,57.60),(2059,'EEQH003','Artériographie du pied, par injection intraartérielle ou voie artérielle transcutanée',57.60,57.60),(2060,'EEQH004','Artériographie suprasélective du membre inférieur, par voie artérielle transcutanée',57.60,57.60),(2061,'EEQH005','Artériographie globale du membre inférieur, par voie artérielle transcutanée',57.60,57.60),(2062,'EEQH006','Artériographie unilatérale du membre inférieur, par injection intraartérielle fémorale transcutanée',57.60,57.60),(2063,'EESA001','Ligature d\'une artère de la cuisse ou de la jambe, par abord direct',62.70,62.70),(2064,'EESF001','Oblitération d\'un anévrisme sacculaire artériel du membre inférieur, par voie artérielle transcutanée',355.30,355.30),(2065,'EESF004','Embolisation hypersélective de plusieurs artères du membre inférieur, par voie artérielle transcutanée',355.30,355.30),(2066,'EESF005','Oblitération de plusieurs anévrismes sacculaires artériels du membre inférieur, par voie artérielle transcutanée',355.30,355.30),(2067,'EESF006','Embolisation suprasélective d\'une artère du membre inférieur, par voie artérielle transcutanée',355.30,355.30),(2068,'EESF007','Embolisation sélective ou hypersélective d\'une artère du membre inférieur, par voie artérielle transcutanée',355.30,355.30),(2069,'EFAF001','Dilatation intraluminale d\'une veine du membre supérieur avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2070,'EFAF002','Dilatation intraluminale d\'une veine du membre supérieur sans pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2071,'EFCA001','Suture de plaie de veine profonde du membre supérieur ou du cou, par abord direct',177.96,138.33),(2072,'EFCA002','Suture de plaie de veine superficielle des membres ou du cou, par abord direct',80.12,64.02),(2073,'EFFA001','Résection ou ligature d\'une veine profonde du membre supérieur ou du cou, par abord direct',117.69,103.37),(2074,'EFFA002','Résection de la veine brachiocéphalique, par thoracotomie',536.71,530.74),(2075,'EFFA003','Thrombectomie de veine superficielle des membres ou du cou, par abord direct',18.83,18.83),(2076,'EFJF001','Thromboaspiration de la veine subclavière et/ou de la veine brachiocéphalique, par voie veineuse transcutanée',209.00,209.00),(2077,'EFLF001','Pose d\'endoprothèse couverte dans une veine du membre supérieur, par voie veineuse transcutanée',313.50,313.50),(2078,'EFNF001','Fibrinolyse in situ de la veine subclavière et/ou de la veine brachiocéphalique, par voie veineuse transcutanée',313.50,313.50),(2079,'EFPF001','Recanalisation d\'une veine du membre supérieur avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2080,'EFPF002','Recanalisation d\'une veine du membre supérieur sans pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2081,'EFQH001','Phlébographie sélective du membre supérieur par voie veineuse transcutanée, sans étude des troncs veineux proximaux',57.60,57.60),(2082,'EFQH002','Phlébographie sélective de la veine brachiocéphalique ou de la veine cave supérieure, par voie veineuse transcutanée',57.60,57.60),(2083,'EFQH003','Phlébographie bilatérale du membre supérieur par injection intraveineuse transcutanée, avec étude des troncs veineux proximaux et de la veine cave supérieure',129.60,129.60),(2084,'EFQH004','Phlébographie bilatérale du membre supérieur par injection intraveineuse transcutanée, sans étude des troncs veineux proximaux',86.40,86.40),(2085,'EFQH005','Phlébographie unilatérale du membre supérieur par injection intraveineuse ou voie veineuse transcutanée, avec étude des troncs veineux proximaux et de la veine cave supérieure',115.20,115.20),(2086,'EFQH006','Phlébographie unilatérale du membre supérieur par injection intraveineuse transcutanée, sans étude des troncs veineux proximaux',57.60,57.60),(2087,'EFQH007','Phlébographie hypersélective de la veine brachiocéphalique ou de la veine cave supérieure, par voie veineuse transcutanée',57.60,57.60),(2088,'EFQM001','Échographie-doppler des veines des membres supérieurs',69.93,69.93),(2089,'EFSA001','Ligature de veine superficielle des membres ou du cou, par abord direct',83.60,83.60),(2090,'EGAF001','Dilatation intraluminale de la veine rénale sans pose d\'endoprothèse, par voie veineuse transcutanée',366.11,355.30),(2091,'EGAF002','Dilatation intraluminale de la veine iliaque externe et/ou de la veine iliaque commune avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2092,'EGAF003','Dilatation intraluminale de la veine iliaque externe et/ou de la veine iliaque commune sans pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2093,'EGAF004','Dilatation intraluminale de la veine rénale avec pose d\'endoprothèse, par voie veineuse transcutanée',355.30,355.30),(2094,'EGCA002','Suture de plaie du tronc ou des branches viscérales de la veine iliaque et/ou de la veine cave inférieure infrahépatique, par laparotomie',505.52,363.42),(2095,'EGCA003','Pontage veineux fémoro-iliaque homolatéral, fémorocave ou fémororénal, par abord direct',573.58,552.13),(2096,'EGCA004','Anastomose saphénocaverneuse',313.50,313.50),(2097,'EGED001','Réduction de procidence hémorroïdaire interne par agrafage circulaire, par voie anale',194.27,157.55),(2098,'EGFA001','Hémorroïdectomie pédiculaire semifermée ou fermée',229.72,188.10),(2099,'EGFA002','Hémorroïdectomie pédiculaire par résection sousmuqueuse avec anoplastie muqueuse postérieure et sphinctérotomie [léiomyotomie] interne',219.08,192.90),(2100,'EGFA003','Hémorroïdectomie pédiculaire par résection sousmuqueuse',190.01,154.10),(2101,'EGFA004','Thrombectomie veineuse fémoro-iliaque, par abord fémoral',273.67,246.51),(2102,'EGFA005','Résection d\'un paquet hémorroïdaire isolé',62.70,62.70),(2103,'EGFA006','Résection de la veine fémorale et/ou de la veine iliaque avec reconstruction, par abord direct',736.65,558.93),(2104,'EGFA007','Excision d\'une thrombose hémorroïdaire',62.70,62.70),(2105,'EGFA008','Résection ou ligature de la veine testiculaire par abord direct, avec embolisation intraveineuse',240.35,209.63),(2106,'EGFA009','Résection de la veine fémorale et/ou de la veine iliaque sans reconstruction, par abord direct',648.74,446.49),(2107,'EGFA010','Résection ou ligature de la veine testiculaire, par abord direct',167.20,167.20),(2108,'EGFC001','Résection ou ligature de la veine testiculaire, par coelioscopie',196.00,196.00),(2109,'EGHF001','Prélèvements sanguins bilatéraux étagés ou simultanés des veines rénales, par voie veineuse transcutanée',96.00,96.00),(2110,'EGHF002','Prélèvements sanguins bilatéraux étagés ou simultanés des veines gonadiques, par voie veineuse transcutanée',192.00,192.00),(2111,'EGHF003','Prélèvements sanguins bilatéraux étagés ou simultanés des veines surrénales, par voie veineuse transcutanée',240.00,240.00),(2112,'EGJA001','Évacuation d\'une thrombose hémorroïdaire externe',62.70,62.70),(2113,'EGJF001','Thromboaspiration de la veine rénale, par voie veineuse transcutanée',549.17,209.00),(2114,'EGJF002','Thromboaspiration de la veine iliaque externe et/ou de la veine iliaque commune, par voie veineuse transcutanée',209.00,209.00),(2115,'EGLF001','Pose d\'un cathéter veineux ombilical',0.00,0.00),(2116,'EGLF002','Séance d\'injection sclérosante des hémorroïdes',24.45,18.21),(2117,'EGNF001','Fibrinolyse in situ de la veine rénale, par voie veineuse transcutanée',209.00,209.00),(2118,'EGNF002','Fibrinolyse in situ de la veine iliaque externe et/ou de la veine iliaque commune, par voie veineuse transcutanée',209.00,209.00),(2119,'EGNP001','Séance de traitement instrumental des hémorroïdes par procédé physique',52.42,52.42),(2120,'EGPA001','Décompression de la veine iliaque, par laparotomie',623.92,432.10),(2121,'EGPF001','Recanalisation de la veine iliaque externe et/ou de la veine iliaque commune avec pose d\'endoprothèse, par voie veineuse transcutanée',313.50,313.50),(2122,'EGSA001','Interruption des veines de drainage du pénis, par abord direct',167.20,167.20),(2123,'EGSA002','Ligature du plexus pampiniforme ou de la veine testiculaire, par abord scrotal',167.20,167.20),(2124,'EGSF001','Embolisation suprasélective de la veine testiculaire ou ovarique, par voie veineuse transcutanée',209.00,209.00),(2125,'EGSF002','Embolisation sélective ou hypersélective de la veine testiculaire ou ovarique, par voie veineuse transcutanée',209.00,209.00),(2126,'EGSF003','Embolisation des veines de drainage du pénis, par injection intraveineuse transcutanée',209.00,209.00),(2127,'EGSP001','Séance de ligature élastique des hémorroïdes',27.38,23.95),(2128,'EHAA001','Recalibrage d\'une anastomose portocave, par laparotomie',522.50,522.50),(2129,'EHAF001','Dilatation intraluminale de la veine porte ou d\'une anastomose portocave avec pose d\'endoprothèse, par voie veineuse transcutanée',355.30,355.30),(2130,'EHAF002','Dilatation intraluminale de la veine porte ou d\'une anastomose portocave sans pose d\'endoprothèse, par voie veineuse transcutanée',450.91,355.30),(2131,'EHAF003','Dilatation intraluminale de veine hépatique [veine sushépatique] sans pose d\'endoprothèse, par voie veineuse transcutanée',355.30,355.30),(2132,'EHAF004','Dilatation intraluminale d\'une endoprothèse vasculaire intrahépatique pour court-circuit [shunt] vasculaire portosystémique, par voie veineuse transcutanée',355.30,355.30),(2133,'EHBD001','Tamponnement de varices oesogastriques par sonde à ballonnet',37.02,37.02),(2134,'EHCA001','Pontage veineux mésentéricoatrial, par thoracotomie et par laparotomie',807.91,807.91),(2135,'EHCA002','Anastomose veineuse splénorénale distale sélective avec déconnexion portosystémique, par laparotomie',904.54,904.54),(2136,'EHCA003','Anastomose portocave tronculaire ou portorénale, par laparotomie',816.06,692.76),(2137,'EHCA004','Anastomose veineuse splénorénale distale sélective sans déconnexion portosystémique, par laparotomie',791.46,791.46),(2138,'EHCA005','Anastomose entre une branche du système porte autre que la veine splénique ou la veine mésentérique supérieure et le système cave inférieur, par laparotomie',1052.16,829.70),(2139,'EHCA006','Anastomose mésentéricocave inférieure, par laparotomie',924.54,755.68),(2140,'EHCA007','Anastomose veineuse splénorénale centrale avec splénectomie, par laparotomie',948.64,813.55),(2141,'EHCA008','Suture de plaie de la veine porte et/ou de l\'une de ses branches principales, par laparotomie',505.52,363.42),(2142,'EHCA009','Anastomose mésentérico-ilio-cave, par laparotomie',741.70,741.70),(2143,'EHCA010','Anastomose entre une branche du système porte et le système cave supérieur, par abord direct',841.62,841.62),(2144,'EHCF002','Création d\'un court-circuit [shunt] portosystémique intrahépatique par pose d\'endoprothèse, par voie veineuse transcutanée',522.50,522.50),(2145,'EHFA001','Thrombectomie de la veine porte et/ou de l\'un de ses affluents principaux, par laparotomie',694.11,534.25),(2146,'EHHF001','Prélèvements sanguins veineux étagés sélectifs ou hypersélectifs de vaisseau affluent de la veine porte, par voie veineuse transhépatique transcutanée',288.00,288.00),(2147,'EHHF002','Prélèvements sanguins veineux étagés suprasélectifs de vaisseau affluent de la veine porte, par voie veineuse transhépatique transcutanée',288.00,288.00),(2148,'EHLA001','Pose d\'un système diffuseur implantable souscutané avec cathéter relié à une branche de la veine porte, par laparotomie',397.10,397.10),(2149,'EHNE001','Séance de sclérose et/ou de ligature de varices oesogastriques en dehors de la période hémorragique, par endoscopie',116.33,116.33),(2150,'EHNE002','Sclérose et/ou ligature de varices oesogastriques en période hémorragique, par endoscopie',132.78,132.78),(2151,'EHNF001','Fibrinolyse in situ de la veine porte et/ou de ses affluents ou d\'un court-circuit [shunt] vasculaire portosystémique, par voie veineuse transcutanée',209.00,209.00),(2152,'EHPF001','Recanalisation d\'un court-circuit [shunt] vasculaire portosystémique, par voie veineuse transcutanée',386.30,209.00),(2153,'EHQH001','Phlébographie sélective de veine hépatique [sushépatique], par voie veineuse transcutanée',192.00,192.00),(2154,'EHSF001','Embolisation de varices oesogastriques ou des branches intrahépatiques de la veine porte, par voie veineuse transcutanée ou transpariétohépatique',209.00,209.00),(2155,'EJBA001','Interposition d\'un segment veineux valvulé sur la veine poplitée ou la veine fémorale, par abord direct',405.55,366.89),(2156,'EJCA001','Suture de plaie de veine profonde de la jambe et/ou de la cuisse, par abord direct',264.46,179.72),(2157,'EJCA002','Pontage veineux poplité-fémoral, par abord direct',366.55,344.27),(2158,'EJCA003','Pontage veineux croisé fémorofémoral ou fémoro-iliaque, par abord direct',418.00,418.00),(2159,'EJEA001','Réimplantation de la veine fémorale dans la veine grande saphène ou dans la veine profonde de la cuisse [veine fémorale profonde], par abord direct',364.43,343.04),(2160,'EJFA002','Exérèses multiples de branches de la grande veine saphène et/ou de la petite veine saphène sous anesthésie générale ou locorégionale, par abord direct',143.22,122.57),(2161,'EJFA004','Exérèse de la crosse de la petite veine saphène, par abord direct',107.06,88.43),(2162,'EJFA006','Exérèse secondaire de la crosse de la grande veine saphène ou de la petite veine saphène, par abord direct',285.73,235.06),(2163,'EJFA007','Exérèse de la crosse de la grande veine saphène, par abord direct',101.39,85.14),(2164,'EJFA008','Exérèse de la grande veine saphène sans exérèse de la crosse, par abords directs multiples sous anesthésie locale',94.05,94.05),(2165,'EJFA009','Exérèse de la petite veine saphène sans exérèse de la crosse, par abords directs multiples sous anesthésie locale',94.05,94.05),(2166,'EJFB001','Séance d\'exérèse de segment de varice ou de veine perforante du membre inférieur, par voie transcutanée sous anesthésie locale',70.10,66.99),(2167,'EJGA001','Extraction [Stripping] de la petite veine saphène, par abord direct',167.20,167.20),(2168,'EJGA002','Extraction [Stripping] de la grande veine saphène, par abord direct',167.20,167.20),(2169,'EJGA003','Extraction [Stripping] de la grande veine saphène et de la petite veine saphène, par abord direct',213.41,194.00),(2170,'EJMA900','Valvuloplastie de veine profonde du membre inférieur, par abord direct',0.00,0.00),(2171,'EJMA901','Valvuloplastie de veine superficielle du membre inférieur, par abord direct',0.00,0.00),(2172,'EJNF001','Fibrinolyse in situ d\'une veine du membre inférieur, par injection transcutanée dans une veine du dos du pied',209.00,209.00),(2173,'EJNF002','Séance de sclérose de varice du membre inférieur, par injection intraveineuse transcutanée sans guidage',18.93,18.93),(2174,'EJNJ001','Séance de sclérose de veine du membre inférieur, par injection intraveineuse transcutanée avec guidage échographique',37.46,37.46),(2175,'EJQH001','Varicographie du membre inférieur, par injection intraveineuse transcutanée',57.60,57.60),(2176,'EJQH002','Phlébographie bilatérale du membre inférieur par injection intraveineuse transcutanée au pied, avec iliocavographie par injection intraveineuse transcutanée fémorale bilatérale',86.40,86.40),(2177,'EJQH003','Phlébographie rétrograde du membre inférieur, par injection intraveineuse transcutanée fémorale homolatérale ou par voie veineuse fémorale controlatérale',57.60,57.60),(2178,'EJQH004','Phlébographie bilatérale du membre inférieur, par injection intraveineuse transcutanée au pied',86.40,86.40),(2179,'EJQH005','Phlébographie rétrograde du membre inférieur, par injection intraveineuse transcutanée poplitée',57.60,57.60),(2180,'EJQH006','Phlébographie unilatérale du membre inférieur, par injection intraveineuse transcutanée au pied',57.60,57.60),(2181,'EJQM001','Échographie-doppler des veines des membres inférieurs, avec marquage cutané ou cartographie hémodynamique',75.60,75.60),(2182,'EJQM003','Échographie-doppler des veines des membres inférieurs et des veines iliaques, pour recherche de thrombose veineuse profonde',75.60,75.60),(2183,'EJQM004','Échographie-doppler des veines des membres inférieurs et des veines iliaques, sans marquage cutané',75.60,75.60),(2184,'EJQP001','Pléthysmographie veineuse des membres inférieurs',23.13,19.87),(2185,'EJSA001','Ligature de plusieurs veines perforantes jambières, par abord direct',185.05,133.67),(2186,'EJSA003','Ligature d\'une veine profonde du membre inférieur, par abord direct',138.96,106.94),(2187,'EJSC001','Ligature de veine perforante du membre inférieur, par vidéochirurgie',0.00,0.00),(2188,'EJSC001','Ligature de veine perforante du membre inférieur, par vidéochirurgie',0.00,0.00),(2189,'EJSF008','Occlusion de la grande veine saphène au-dessus du tiers moyen de la jambe par radiofréquence, par voie veineuse transcutanée avec guidage échographique',147.21,107.88),(2190,'EJSF032','Occlusion de la grande veine saphène au-dessus du tiers moyen de la jambe par radiofréquence, par voie veineuse transcutanée avec guidage échographique et phlébectomie homolatérale, et/ou ligature de veine perforante de la grande veine saphène homolatéra',191.43,138.71),(2191,'EJSF900','Occlusion de veine saphène par laser, par voie veineuse transcutanée',0.00,0.00),(2192,'EJSF901','Occlusion de la grande veine saphène par radiofréquence, par voie veineuse transcutanée',0.00,0.00),(2193,'EKLA001','Pose d\'une dérivation artérioveineuse au membre supérieur, par abord direct',167.20,167.20),(2194,'EKQH001','Scanographie des vaisseaux des membres supérieurs [Angioscanner des membres supérieurs]',25.27,25.27),(2195,'EKQH002','Angiographie d\'un accès vasculaire artérioveineux du membre supérieur avec exploration des troncs veineux profonds proximaux et de la veine cave supérieure, par injection intravasculaire transcutanée',115.20,115.20),(2196,'EKQJ001','Remnographie des vaisseaux des membres supérieurs [Angio-IRM des membres supérieurs]',69.00,69.00),(2197,'EKSA001','Fermeture de fistule artérioveineuse traumatique du membre supérieur avec reconstruction de l\'axe artériel, par abord direct',505.52,459.98),(2198,'EKSA002','Fermeture de fistule artérioveineuse traumatique du membre supérieur sans reconstruction vasculaire, par abord direct',204.90,189.07),(2199,'ELCA002','Exclusion vasculaire totale, au cours d\'une hépatectomie',0.00,0.00),(2200,'ELCA003','Anastomose entre l\'artère ou la veine dorsale du pénis et l\'artère fémorale, par abord direct',309.84,309.84),(2201,'ELCA004','Anastomose entre l\'artère ou la veine dorsale du pénis et l\'artère épigastrique inférieure, par abord direct',452.34,350.14),(2202,'ELFA001','Résection du tronc de la veine porte, des vaisseaux mésentériques supérieurs et/ou de l\'artère hépatique avec rétablissement de la continuité vasculaire, au cours d\'une exérèse du foie ou du pancréas',0.00,0.00),(2203,'ELGA001','Ablation d\'un cathéter intravasculaire abdominal, par laparotomie',174.41,171.38),(2204,'ELQH001','Scanographie des vaisseaux du foie pour étude de la vascularisation à au moins 3 temps différents',25.27,25.27),(2205,'ELQH002','Scanographie des vaisseaux de l\'abdomen et/ou du petit bassin [Angioscanner abdominopelvien]',25.27,25.27),(2206,'ELQJ001','Remnographie des vaisseaux de l\'abdomen et/ou du petit bassin [Angio-IRM abdominopelvien]',69.00,69.00),(2207,'ELQJ002','Échographie-doppler des vaisseaux pelviens et péniens, avec épreuve pharmacodynamique par injection transcutanée intracaverneuse',69.93,69.93),(2208,'ELQJ003','Remnographie des vaisseaux [Angio-IRM] de l\'abdomen et/ou du petit bassin, avec remnographie des vaisseaux [angio-IRM] des membres',69.00,69.00),(2209,'ELQM001','Échographie-doppler des vaisseaux digestifs',69.93,69.93),(2210,'ELQM002','Échographie-doppler unilatérale ou bilatérale des vaisseaux des bourses et du cordon spermatique',37.05,37.05),(2211,'ELSA001','Ligature ou section du pédicule testiculaire [spermatique] pour cryptorchidie, par laparotomie',198.52,185.37),(2212,'ELSA002','Ligature des pédicules vasculaires de l\'utérus pour hémorragie du post-partum, par laparotomie',249.81,215.11),(2213,'ELSC001','Ligature ou section du pédicule testiculaire [spermatique] pour cryptorchidie, par coelioscopie',199.23,197.88),(2214,'ELSF001','Embolisation d\'une fistule artérioveineuse rénale, par voie vasculaire transcutanée',464.37,355.30),(2215,'EMLA001','Pose d\'une dérivation artérioveineuse fémorale, par abord direct',167.20,167.20),(2216,'EMMA001','Création d\'une fistule artérioveineuse pour augmentation locale du débit, au cours d\'un pontage artériel des membres inférieurs',131.87,104.50),(2217,'EMNH001','Sclérose d\'une tumeur ou d\'une malformation vasculaire du membre inférieur, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage radiologique',348.77,104.50),(2218,'EMPA001','Libération d\'une artère et/ou d\'une veine poplitée piégée, par abord direct',267.29,194.53),(2219,'EMQH001','Scanographie des vaisseaux des membres inférieurs [Angioscanner des membres inférieurs]',25.27,25.27),(2220,'EMQJ001','Remnographie des vaisseaux des membres inférieurs [Angio-IRM des membres inférieurs]',69.00,69.00),(2221,'EMSA001','Fermeture d\'une fistule artérioveineuse traumatique du membre inférieur avec reconstruction vasculaire, par abord direct',479.28,444.77),(2222,'EMSA002','Fermeture d\'une fistule artérioveineuse traumatique du membre inférieur sans reconstruction vasculaire, par abord direct',252.40,216.62),(2223,'ENAF001','Dilatation intraluminale d\'un pontage artériel non anatomique des membres avec pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(2224,'ENAF002','Dilatation intraluminale d\'un pontage artériel non anatomique des membres sans pose d\'endoprothèse, par voie artérielle transcutanée',313.50,313.50),(2225,'ENCA001','Exclusion de malformation artérioveineuse durale rachidienne, par abord direct',419.02,374.70),(2226,'ENFA001','Thrombectomie de pontage artériel d\'un membre avec réfection d\'anastomose sans prolongement du pontage, par abord direct',418.00,418.00),(2227,'ENFA002','Prélèvement de greffe artérielle des membres, sur un sujet en état de mort encéphalique',0.00,0.00),(2228,'ENFA003','Prélèvement peropératoire d\'autogreffe artérielle pour pontage vasculaire',0.00,0.00),(2229,'ENFA004','Thrombectomie de pontage artériel d\'un membre avec réfection d\'anastomose et prolongement du pontage, par abord direct',577.84,510.71),(2230,'ENFA005','Changement d\'un pontage artériel d\'un membre avec thrombectomie de l\'axe artériel, par abord direct',557.27,498.78),(2231,'ENFA006','Thrombectomie de pontage artériel d\'un membre sans réfection d\'anastomose, par abord direct',243.90,229.24),(2232,'ENFA007','Exérèse de malformation artérioveineuse intraparenchymateuse de la moelle épinière, par abord direct',836.00,836.00),(2233,'ENFF001','Thrombectomie ou embolectomie mécanique d\'un pontage artériel non anatomique des membres, par voie artérielle transcutanée',313.50,313.50),(2234,'ENLF001','Pose de dispositif intraartériel de surveillance de la pression intraartérielle',0.00,0.00),(2235,'ENNF001','Fibrinolyse in situ d\'un pontage artériel non anatomique des membres, par voie artérielle transcutanée',313.50,313.50),(2236,'ENNH001','Sclérose d\'une malformation vasculaire ou d\'une lésion vertébrale, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage radiologique',394.79,104.50),(2237,'ENNH002','Sclérose d\'une lésion vasculaire vertébrale, par injection intralésionnelle d\'agent pharmacologique par voie transcutanée avec guidage scanographique',104.64,104.50),(2238,'ENQX011','Examen histopathologique de biopsie d\'artère avec coloration spéciale',28.00,28.00),(2239,'ENSF001','Embolisation d\'une malformation vasculaire ou d\'une lésion vertébrale, par voie vasculaire transcutanée',104.50,104.50),(2240,'ENSF002','Embolisation de malformation artérioveineuse intraparenchymateuse de la moelle épinière, par voie vasculaire transcutanée',522.50,522.50),(2241,'ENSF003','Embolisation de malformation artérioveineuse durale spinale, par voie vasculaire transcutanée',522.50,522.50),(2242,'EPCA001','Superficialisation veineuse après création d\'une fistule artérioveineuse, par abord direct',292.60,292.60),(2243,'EPCA002','Pontage ou angioplastie d\'élargissement du tronc veineux axillosubclavier ou fémoral en aval d\'un accès vasculaire artérioveineux, par abord direct',367.97,345.10),(2244,'EPCA003','Suture complémentaire d\'une veine de drainage sur un lambeau pédiculé',0.00,0.00),(2245,'EPFA001','Exérèse d\'une malformation veineuse étendue, avec reconstruction tissulaire par greffe ou lambeau',709.00,482.32),(2246,'EPFA003','Prélèvement de greffe veineuse des membres, sur un sujet en état de mort encéphalique',0.00,0.00),(2247,'EPFA004','Exérèse de malformation veineuse musculaire ou osseuse, sans reconstruction',505.52,328.31),(2248,'EPFA005','Exérèse de malformation veineuse cutanée et/ou souscutanée, sans reconstruction',75.86,57.17),(2249,'EPFA006','Prélèvement peropératoire d\'autogreffe veineuse pour pontage vasculaire',0.00,0.00),(2250,'EPJB001','Évacuation de thrombus veineux d\'un membre, par voie transcutanée',13.38,13.38),(2251,'EPJB015','Évacuation de thrombus de veine superficielle des membres ou du cou, par voie transcutanée',23.51,23.51),(2252,'EPLA002','Pose d\'un cathéter veineux central tunnellisé à double courant pour circulation extracorporelle, par abord direct',146.76,120.23),(2253,'EPLB002','Pose d\'un cathéter central dans 2 veines différentes pour circulation extracorporelle, par voie transcutanée',106.86,98.27),(2254,'EPLF001','Administration intraveineuse d\'agent pharmacologique et/ou de soluté chez le nouveau-né à la naissance',0.00,0.00),(2255,'EPLF002','Pose d\'un cathéter veineux central, par voie transcutanée',63.20,60.85),(2256,'EPLF003','Pose d\'un cathéter veineux central tunnellisé pour circulation extracorporelle, par voie transcutanée',89.55,76.13),(2257,'EPLF004','Pose de 2 cathéters centraux tunnellisés dans une seule veine pour circulation extracorporelle, par voie transcutanée',167.20,167.20),(2258,'EPLF005','Pose d\'un cathéter veineux central non tunnellisé pour circulation extracorporelle, par voie transcutanée',61.59,61.59),(2259,'EPMA001','Correction d\'une anomalie du retour veineux systémique sans prothèse, par thoracotomie avec CEC',967.96,967.96),(2260,'EPMA002','Correction d\'une anomalie du retour veineux systémique avec prothèse, par thoracotomie avec CEC',1011.84,1011.84),(2261,'EPNF001','Séance de sclérose de varicosités et télangiectasies des veines, par injection intraveineuse transcutanée',0.00,0.00),(2262,'EPPF001','Recanalisation de la veine de drainage d\'un accès vasculaire artérioveineux sans pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2263,'EPPF003','Recanalisation de la veine de drainage d\'un accès vasculaire artérioveineux avec pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2264,'EPPP002','Désobstruction de site implantable ou de voie veineuse centrale tunnellisée par agent thrombolytique',19.20,19.20),(2265,'EPPP003','Désobstruction locale d\'un cathéter veineux pour circulation extracorporelle',20.90,20.90),(2266,'EPQL001','Recherche radio-isotopique de thrombose veineuse périphérique',268.87,268.87),(2267,'EQBP001','Contention veineuse fixe prenant au moins 2 segments de membre, par pose de bande collante ou cohésive',14.02,12.17),(2268,'EQCF001','Circulation extracorporelle pour réchauffement d\'une hypothermie accidentelle',0.00,0.00),(2269,'EQCF002','Prolongation ou reprise d\'assistance circulatoire par circulation extracorporelle au bloc opératoire à la fin d\'une intervention cardiovasculaire, pendant plus d\'une demiheure',0.00,0.00),(2270,'EQGA001','Ablation d\'une circulation extracorporelle [CEC] établie sur les vaisseaux périphériques',236.81,163.68),(2271,'EQGA002','Ablation d\'une circulation extracorporelle [CEC] pour assistance circulatoire de longue durée, par thoracotomie',394.91,316.83),(2272,'EQGA003','Ablation d\'un dispositif d\'assistance circulatoire interne ou externe, en dehors d\'un dispositif de contrepulsion diastolique intraaortique, par thoracotomie sans CEC',0.00,0.00),(2273,'EQGA004','Ablation d\'un dispositif d\'assistance circulatoire interne ou externe, en dehors d\'un dispositif de contrepulsion diastolique intraaortique, par thoracotomie avec CEC',0.00,0.00),(2274,'EQKA002','Changement d\'un système d\'assistance circulatoire mécanique ventriculaire, par thoracotomie avec CEC',0.00,0.00),(2275,'EQKA003','Changement d\'un système d\'assistance circulatoire mécanique ventriculaire, par thoracotomie sans CEC',0.00,0.00),(2276,'EQLA001','Pose d\'une circulation extracorporelle pour assistance circulatoire de longue durée, par thoracotomie',394.91,360.72),(2277,'EQLA002','Pose d\'une circulation extracorporelle en urgence pour assistance circulatoire, par abord vasculaire périphérique',0.00,0.00),(2278,'EQLA003','Pose d\'une assistance circulatoire mécanique monoventriculaire externe, par thoracotomie sans CEC',0.00,0.00),(2279,'EQLA004','Pose d\'une assistance circulatoire mécanique monoventriculaire externe, par thoracotomie avec CEC',0.00,0.00),(2280,'EQLA005','Pose d\'une assistance circulatoire mécanique biventriculaire externe, par thoracotomie sans CEC',0.00,0.00),(2281,'EQLA006','Pose d\'une assistance circulatoire mécanique biventriculaire externe, par thoracotomie avec CEC',0.00,0.00),(2282,'EQLA007','Pose d\'une assistance circulatoire mécanique monoventriculaire interne, par thoracotomie sans CEC',0.00,0.00),(2283,'EQLA008','Pose d\'une assistance circulatoire mécanique monoventriculaire interne, par thoracotomie avec CEC',0.00,0.00),(2284,'EQLA009','Pose d\'une assistance circulatoire mécanique biventriculaire interne, par thoracotomie sans CEC',0.00,0.00),(2285,'EQLA010','Pose d\'une prothèse mécanique biventriculaire orthotopique, par thoracotomie avec CEC',0.00,0.00),(2286,'EQLA011','Pose d\'un dispositif interne d\'assistance circulatoire, en dehors de la circulation extracorporelle [CEC] et de ventricule artificiel, par thoracotomie sans CEC',0.00,0.00),(2287,'EQLF001','Injection intraveineuse continue de dobutamine ou de dopamine à débit inférieur à 8 microgrammes par kilogramme par minute [µg/kg/min], ou de dopexamine en dehors de la période néonatale, par 24 heures',0.00,0.00),(2288,'EQLF002','Perfusion intraveineuse de produit de remplissage à un débit supérieur à 50 millilitres par kilogramme [ml/kg] en moins de 24 heures chez, l\'adulte',0.00,0.00),(2289,'EQLF002','Perfusion intraveineuse de produit de remplissage à un débit supérieur à 50 millilitres par kilogramme [ml/kg] en moins de 24 heures, chez l\'adulte',0.00,0.00),(2290,'EQLF003','Injection intraveineuse continue de dobutamine ou de dopamine à débit supérieur à 8 microgrammes par kilogramme par minute [µg/kg/min], d\'adrénaline ou de noradrénaline en dehors de la période néonatale, par 24 heures',0.00,0.00),(2291,'EQLF004','Pose de dispositif de mesure des pressions du coeur droit et du débit cardiaque, par voie veineuse transcutanée',94.80,71.11),(2292,'EQLF005','Administration intraveineuse continue d\'agent pharmacologique vasoactif chez le nouveau-né pour suppléance hémodynamique, par 24 heures',0.00,0.00),(2293,'EQMF003','Suppléance hémodynamique et ventilatoire d\'un patient en état de mort encéphalique, en vue de prélèvement d\'organe',0.00,0.00),(2294,'EQMP001','Suppléance hémodynamique par dispositif de contrepulsion diastolique intraaortique, par 24 heures',0.00,0.00),(2295,'EQQF001','Mesure et enregistrement des pressions du coeur droit, de l\'artère pulmonaire et du coeur gauche, sans injection de produit de contraste, par voie veineuse transcutanée et par voie artérielle transcutanée ou cathétérisme du foramen ovale',240.00,240.00),(2296,'EQQF002','Mesure et enregistrement des pressions du coeur gauche et de l\'aorte, sans injection de produit de contraste, par voie artérielle transcutanée',144.00,144.00),(2297,'EQQF003','Mesure et enregistrement des pressions intravasculaires pulmonaires et systémiques et des différences artérioveineuses des contenus artériels en oxygène, à l\'état basal et après administration d\'agent pharmacologique vasodilatateur, par voie vasculaire t',240.00,240.00),(2298,'EQQF004','Mesure et enregistrement des pressions du coeur droit, de l\'artère pulmonaire et du coeur gauche, sans injection de produit de contraste, par voie veineuse transcutanée avec perforation du septum interatrial',240.00,240.00),(2299,'EQQF006','Mesure et enregistrement des pressions du coeur droit et de l\'artère pulmonaire, sans injection de produit de contraste, par voie veineuse transcutanée',96.00,96.00),(2300,'EQQF007','Mesure directe unilatérale ou bilatérale de la pression intraveineuse, par ponction transcutanée d\'une veine du pied',32.25,21.93),(2301,'EQQH001','Mesure et enregistrement des pressions du coeur droit et de l\'artère pulmonaire, avec injection de produit de contraste, par voie veineuse transcutanée',96.00,96.00),(2302,'EQQH002','Mesure et enregistrement des pressions du coeur gauche et de l\'aorte, avec injection de produit de contraste, par voie artérielle transcutanée',144.00,144.00),(2303,'EQQH004','Mesure et enregistrement des pressions du coeur droit, de l\'artère pulmonaire et du coeur gauche, avec injection de produit de contraste, par voie veineuse transcutanée avec perforation du septum interatrial',240.00,240.00),(2304,'EQQH005','Mesure et enregistrement des pressions du coeur droit, de l\'artère pulmonaire et du coeur gauche, avec injection de produit de contraste, par voie veineuse transcutanée et par voie artérielle transcutanée ou cathétérisme du foramen ovale, avant l\'âge de',288.00,288.00),(2305,'EQQH006','Mesure et enregistrement des pressions du coeur droit, de l\'artère pulmonaire et du coeur gauche, avec injection de produit de contraste, par voie veineuse transcutanée et par voie artérielle transcutanée ou cathétérisme du foramen ovale, à l\'âge de 24 m',240.00,240.00),(2306,'EQQJ001','Surveillance hémodynamique continue par doppler par voie oesophagienne, par 24 heures',0.00,0.00),(2307,'EQQM001','Surveillance hémodynamique continue par échocardiographie transthoracique itérative, par 24 heures',0.00,0.00),(2308,'EQQM003','Étude dynamique de la microcirculation digitale, par pléthysmographie, laser-doppler, thermométrie ou mesure transcutanée de la pression partielle en oxygène [TcPO2]',18.93,15.01),(2309,'EQQM004','Mesure de la distance de marche sur tapis roulant ou par enregistrement électromagnétique, avec mesures de la pression systolique résiduelle de cheville et du temps de récupération [test de Strandness] par doppler continu transcutané ou pléthysmographie',0.00,0.00),(2310,'EQQM005','Étude de la fréquence cardiaque et des vitesses circulatoires par doppler pulsé transcrânien, avec épreuve dynamique',104.54,92.39),(2311,'EQQM006','Mesure de la pression intraartérielle d\'un membre en au moins 3 points, par doppler transcutané ou pléthysmographie',21.12,21.12),(2312,'EQQP001','Mesure de la distance de marche sur tapis roulant ou par enregistrement électromagnétique',0.00,0.00),(2313,'EQQP002','Mesure de la distance de marche en terrain plat en 6 minutes, avec surveillance de la saturation en oxygène par mesure transcutanée et mesure du débit d\'oxygène utile',28.80,28.80),(2314,'EQQP003','Mesure de la distance de marche en terrain plat en 6 minutes, avec surveillance de la saturation en oxygène par mesure transcutanée',28.80,28.80),(2315,'EQQP004','Suppléance hémodynamique par circulation extracorporelle, par 24 heures',0.00,0.00),(2316,'EQQP005','Capillaroscopie périunguéale',25.24,19.48),(2317,'EQQP007','Mesure de la pression intraartérielle digitale à la main et/ou au pied',0.00,0.00),(2318,'EQQP008','Enregistrement ambulatoire discontinu de la pression intraartérielle par méthode non effractive pendant au moins 24 heures [MAPA] [Holter tensionnel]',0.00,0.00),(2319,'EQQP009','Mesure de la pulsatilité artérielle par débitmétrie électromagnétique ou par impédance [irrigraphie]',0.00,0.00),(2320,'EQQP010','Mesure de la compliance artérielle',0.00,0.00),(2321,'EQQP011','Surveillance continue de la pression intraartérielle et/ou de la pression intraveineuse centrale par méthodes effractives, par 24 heures',0.00,0.00),(2322,'EQQP012','Surveillance continue des pressions du coeur droit avec mesure du débit cardiaque ou de la fraction d\'éjection du ventricule droit, par 24 heures',0.00,0.00),(2323,'EQQP013','Suppléance hémodynamique par assistance circulatoire mécanique ventriculaire, par 24 heures',0.00,0.00),(2324,'EQQP014','Surveillance continue des pressions du coeur droit avec mesure du débit cardiaque ou de la fraction d\'éjection du ventricule droit, avec surveillance continue de la pression intraartérielle par méthode effractive, par 24 heures',0.00,0.00),(2325,'EQRM001','Épreuve d\'effort sur tapis roulant, avec électrocardiographie discontinue, examen doppler continu des artères des membres inférieurs et mesure de l\'index de pression systolique',0.00,0.00),(2326,'EQRP001','Séance de réentraînement cardiaque et/ou vasculaire progressif à l\'effort sur machine',28.80,28.80),(2327,'EQRP002','Épreuve d\'effort sur tapis roulant ou bicyclette ergométrique, avec électrocardiographie discontinue et mesure du débit d\'oxygène consommé [VO2]',106.55,94.06),(2328,'EQRP008','Épreuve d\'inclinaison [Tilt test] avec étude des variations de la pression intraartérielle et de la fréquence cardiaque',62.09,50.91),(2329,'EZAF001','Dilatation intraluminale d\'un accès vasculaire artérioveineux d\'un membre sans pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2330,'EZAF002','Dilatation intraluminale d\'un accès vasculaire artérioveineux d\'un membre avec pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2331,'EZBA001','Réduction du débit d\'un accès vasculaire artérioveineux avec réfection de l\'anastomose artérielle',277.22,248.56),(2332,'EZBA002','Réduction du volume d\'un anévrisme d\'un accès vasculaire artérioveineux',209.00,209.00),(2333,'EZBA003','Réduction du débit d\'un accès vasculaire artérioveineux par ligature ou réduction de calibre de l\'artère',209.00,209.00),(2334,'EZCA001','Pontages artériel et veineux, au cours d\'une réparation par lambeau libre',0.00,0.00),(2335,'EZCA002','Exclusion d\'un accès vasculaire artérioveineux avec pontage, par abord direct',375.77,349.62),(2336,'EZCA003','Pontage artérioveineux pour accès vasculaire, par abord direct',313.50,313.50),(2337,'EZCA004','Pontage ou angioplastie d\'élargissement d\'un accès vasculaire artérioveineux, par abord direct',313.50,313.50),(2338,'EZCA005','Pontage artériel ou veineux, au cours d\'une réparation par lambeau libre',0.00,0.00),(2339,'EZFA001','Exérèse de malformation artérioveineuse cutanée et/ou souscutanée',253.11,217.03),(2340,'EZFA002','Exérèse d\'un accès vasculaire artérioveineux sans reconstruction vasculaire',179.38,143.54),(2341,'EZFA003','Exérèse d\'un accès vasculaire artérioveineux avec reconstruction vasculaire',377.19,350.44),(2342,'EZFA004','Exérèse de malformation artérioveineuse musculaire ou osseuse',709.00,511.81),(2343,'EZGF001','Ablation d\'une endoprothèse vasculaire ou d\'un filtre cave ayant migré en position intracardiaque ou intravasculaire, par voie vasculaire transcutanée',209.00,209.00),(2344,'EZJF001','Thromboaspiration d\'un accès vasculaire artérioveineux d\'un membre avec dilatation intraluminale et pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2345,'EZJF002','Thromboaspiration d\'un accès vasculaire artérioveineux d\'un membre avec dilatation intraluminale sans pose d\'endoprothèse, par voie vasculaire transcutanée',313.50,313.50),(2346,'EZKA001','Changement de la membrane d\'un site d\'accès vasculaire implanté pour circulation extracorporelle',0.00,0.00),(2347,'EZLA001','Implantation souscutanée d\'un site d\'accès vasculaire pour circulation extracorporelle',0.00,0.00),(2348,'EZMA001','Création d\'une fistule artérioveineuse pour accès vasculaire par abord direct sans superficialisation veineuse, chez un sujet de plus de 20 kg',220.50,215.66),(2349,'EZMA002','Création d\'une fistule artérioveineuse pour accès vasculaire par abord direct avec superficialisation veineuse, chez un sujet de moins de 20 kg',579.25,458.86),(2350,'EZMA003','Création d\'une fistule artérioveineuse pour accès vasculaire par abord direct avec superficialisation veineuse, chez un sujet de plus de 20 kg',292.60,292.60),(2351,'EZMA004','Création d\'une fistule artérioveineuse pour accès vasculaire par abord direct sans superficialisation veineuse, chez un sujet de moins de 20 kg',536.71,442.96),(2352,'EZMH001','Contrôle radiologique secondaire de perméabilité et/ou de position d\'un dispositif d\'accès vasculaire ou d\'une endoprothèse vasculaire, par injection de produit de contraste',21.28,21.28),(2353,'EZNF001','Fibrinolyse in situ d\'un accès vasculaire artérioveineux d\'un membre avec dilatation intraluminale sans pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2354,'EZNF002','Fibrinolyse in situ d\'un accès vasculaire artérioveineux d\'un membre avec dilatation intraluminale et pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2355,'EZNF004','Fibrinolyse in situ d\'un accès vasculaire artérioveineux des membres, par injection intravasculaire transcutanée',209.00,209.00),(2356,'EZNF900','Irradiation intravasculaire, au décours d\'une dilatation de vaisseau par voie vasculaire transcutanée',0.00,0.00),(2357,'EZNH001','Sclérose d\'une lésion vasculaire ostéoarticulaire d\'un membre, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage scanographique',104.50,104.50),(2358,'EZNH002','Sclérose d\'une lésion vasculaire ostéoarticulaire d\'un membre, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage radiologique',231.30,104.50),(2359,'EZPA001','Désobstruction d\'un accès vasculaire artérioveineux, par abord direct',418.00,418.00),(2360,'EZPF003','Désobstruction mécanique d\'un accès vasculaire artérioveineux avec dilatation intraluminale et pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2361,'EZPF004','Désobstruction mécanique d\'un accès vasculaire artérioveineux avec dilatation intraluminale sans pose d\'endoprothèse, par voie vasculaire transcutanée',209.00,209.00),(2362,'EZPP002','Désobstruction locale d\'un dispositif de dérivation artérioveineuse des membres',209.00,209.00),(2363,'EZQA001','Exploration d\'un axe vasculonerveux des membres ou du cou, par abord direct',95.01,90.21),(2364,'EZQH002','Angiographie d\'un accès vasculaire artérioveineux d\'un membre, par voie vasculaire transcutanée',57.60,57.60),(2365,'EZQH003','Angiographie d\'un accès vasculaire artérioveineux d\'un membre, par injection intravasculaire transcutanée',57.60,57.60),(2366,'EZQH004','Angiographie peropératoire',0.00,0.00),(2367,'EZQJ900','Restitution tridimensionnelle informatisée, au cours d\'une échographie-doppler des vaisseaux périphériques',0.00,0.00),(2368,'EZQL001','Phlébographie radio-isotopique des membres',268.87,268.87),(2369,'EZQL002','Mesure de la perméabilité capillaire par méthode radio-isotopique',268.87,268.87),(2370,'EZQM001','Échographie-doppler d\'une fistule artérioveineuse pour circulation extracorporelle',69.93,69.93),(2371,'EZQM002','Échographie-doppler pour repérage préopératoire de pédicule vasculaire d\'un lambeau de réparation',39.45,39.45),(2372,'EZSA001','Fermeture d\'un accès vasculaire artérioveineux, par abord direct',164.49,121.74),(2373,'EZSA002','Hémostase d\'un accès vasculaire artérioveineux, par abord direct',228.30,180.69),(2374,'EZSA003','Fermeture d\'un faux anévrisme d\'un accès vasculaire artérioveineux avec reconstruction des axes vasculaires, par abord direct',397.10,397.10),(2375,'EZSA004','Hémostase secondaire à un acte sur les vaisseaux des membres, par abord direct',246.73,169.44),(2376,'EZSA005','Fermeture d\'une communication artérioveineuse tronculaire congénitale [d\'un shunt artérioveineux tronculaire congénital], par abord direct',522.50,522.50),(2377,'EZSF001','Occlusion définitive peropératoire d\'un tronc vasculaire par ballonnet ou embolisation',0.00,0.00),(2378,'EZSM001','Fermeture d\'un faux anévrisme ou d\'une fistule artérioveineuse, par compression transcutanée avec guidage échographique',9.60,9.60),(2379,'FAFA001','Adénoïdectomie avec pose unilatérale d\'aérateur transtympanique',78.50,78.50),(2380,'FAFA002','Adénoïdectomie avec pose bilatérale d\'aérateur transtympanique',86.40,86.40),(2381,'FAFA003','Amygdalectomie à l\'amygdalotome, avec adénoïdectomie et myringotomie unilatérale ou bilatérale',91.50,91.50),(2382,'FAFA004','Amygdalectomie à l\'amygdalotome, avec adénoïdectomie',66.40,66.40),(2383,'FAFA005','Amygdalectomie par dissection, avec adénoïdectomie et pose unilatérale d\'aérateur transtympanique',112.40,112.40),(2384,'FAFA006','Amygdalectomie par dissection, avec adénoïdectomie et myringotomie unilatérale ou bilatérale',112.40,112.40),(2385,'FAFA007','Exérèse de moignon amygdalien',65.45,64.30),(2386,'FAFA008','Adénoïdectomie',44.66,43.46),(2387,'FAFA009','Amygdalectomie à l\'amygdalotome, avec adénoïdectomie et pose bilatérale d\'aérateur transtympanique',112.40,112.40),(2388,'FAFA010','Amygdalectomie par dissection, avec adénoïdectomie et pose bilatérale d\'aérateur transtympanique',120.89,117.32),(2389,'FAFA011','Amygdalectomie à l\'amygdalotome',64.88,64.88),(2390,'FAFA012','Amygdalectomie à l\'amygdalotome, avec adénoïdectomie et pose unilatérale d\'aérateur transtympanique',92.56,92.56),(2391,'FAFA013','Adénoïdectomie avec myringotomie unilatérale ou bilatérale',64.68,59.10),(2392,'FAFA014','Amygdalectomie par dissection',88.55,86.47),(2393,'FAFA015','Amygdalectomie par dissection, avec adénoïdectomie',91.63,88.26),(2394,'FAND001','Séance de destruction de tissu amygdalien pharyngien ou lingual',46.97,31.27),(2395,'FAQX004','Examen anatomopathologique à visée carcinologique de pièce d\'amygdalectomie',64.20,64.20),(2396,'FASD001','Hémostase secondaire à une amygdalectomie ou une adénoïdectomie',70.07,58.20),(2397,'FBFA001','Exérèse du thymus vestigial, par cervicotomie',365.14,343.45),(2398,'FBFA003','Exérèse du thymus vestigial, par thoracotomie',409.09,368.95),(2399,'FBFA900','Exérèse du thymus vestigial, par thoracotomie avec préparation par thoracoscopie',0.00,0.00),(2400,'FBFC900','Exérèse du thymus vestigial, par thoracoscopie',0.00,0.00),(2401,'FBQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse du thymus ou de vestiges thymiques',116.48,116.48),(2402,'FCBP001','Séance de compression [pressothérapie] mercurielle d\'un membre',28.80,28.80),(2403,'FCBP002','Séance de compression [pressothérapie] pneumatique unilatérale ou bilatérale d\'un membre',28.80,28.80),(2404,'FCCA001','Dérivation lympholymphatique ou lymphoveineuse d\'un membre, par abord direct',505.52,380.98),(2405,'FCFA001','Exérèse de lymphangiome cervical',425.04,316.75),(2406,'FCFA002','Curage lymphonodal [ganglionnaire] médiastinal supérieur, par cervicotomie',209.00,209.00),(2407,'FCFA003','Exérèse de lymphangiome cervical avec extension médiastinale, par cervicotomie',560.56,395.35),(2408,'FCFA004','Curage lymphonodal [ganglionnaire] médiastinal unilatéral ou bilatéral, par thoracotomie',327.56,321.65),(2409,'FCFA005','Curage lymphonodal [ganglionnaire] cervical complet et médiastinorécurrentiel unilatéral, par cervicotomie',468.93,416.46),(2410,'FCFA006','Curage lymphonodal [ganglionnaire] pelvien, par laparotomie',248.15,231.71),(2411,'FCFA007','Lymphangectomie partielle ou totale d\'un membre, par abord direct',505.52,380.98),(2412,'FCFA008','Curage lymphonodal [ganglionnaire] cervical complet unilatéral, par cervicotomie',340.34,315.54),(2413,'FCFA009','Curage lymphonodal [ganglionnaire] cervical complet et médiastinorécurrentiel bilatéral, par cervicotomie',811.58,615.19),(2414,'FCFA010','Curage lymphonodal [ganglionnaire] lomboaortique, par laparotomie',368.68,345.51),(2415,'FCFA011','Curage lymphonodal [ganglionnaire] inguinal, par abord direct',191.43,163.70),(2416,'FCFA012','Exérèse de noeud [ganglion] lymphatique du cou à visée diagnostique, par cervicotomie',106.26,79.19),(2417,'FCFA013','Curage lymphonodal [ganglionnaire] cervical complet bilatéral, par cervicotomie',644.49,544.61),(2418,'FCFA014','Exérèse de lymphangiome cervicoparotidien avec extension buccopharyngée',830.06,586.78),(2419,'FCFA015','Exérèse de lymphangiome cervicoparotidien',642.18,442.69),(2420,'FCFA016','Curage lymphonodal [ganglionnaire] cervical partiel unilatéral, par cervicotomie',220.99,180.84),(2421,'FCFA017','Curage lymphonodal du hile du poumon et du médiastin, au cours d\'une intervention pleuropulmonaire',0.00,0.00),(2422,'FCFA018','Exérèse de noeud [ganglion] lymphatique des membres à visée thérapeutique, par abord direct',97.84,74.30),(2423,'FCFA019','Curage lymphonodal [ganglionnaire] iliaque unilatéral ou bilatéral, par laparotomie',283.60,252.27),(2424,'FCFA020','Curage lymphonodal [ganglionnaire] cervical partiel bilatéral, par cervicotomie',343.42,286.97),(2425,'FCFA021','Exérèse de noeud [ganglion] lymphatique des membres à visée diagnostique, par abord direct',106.26,79.19),(2426,'FCFA022','Curage lymphonodal [ganglionnaire] lomboaortique avec curage iliaque unilatéral ou bilatéral, par laparotomie',459.43,442.03),(2427,'FCFA023','Exérèse de lymphangiome cervicoparotidien avec extension buccopharyngée et médiastinale, par cervicotomie',1094.94,740.41),(2428,'FCFA024','Exérèse d\'un lymphangiome superficiel',314.09,217.28),(2429,'FCFA025','Curage lymphonodal [ganglionnaire] cervical complet unilatéral avec curage partiel controlatéral, par cervicotomie',558.25,468.27),(2430,'FCFA026','Exérèse de lymphangiome cervicofacial sans dissection du nerf facial',539.00,382.84),(2431,'FCFA027','Curage lymphonodal [ganglionnaire] cervical complet unilatéral, élargi aux muscles profonds et/ou aux nerfs du cou, à l\'artère carotide externe, à la glande parotide, par cervicotomie',593.67,462.48),(2432,'FCFA028','Exérèse de noeud [ganglion] lymphatique du cou à visée thérapeutique, par cervicotomie',106.26,79.19),(2433,'FCFA029','Curage lymphonodal [ganglionnaire] axillaire, par abord direct',209.16,173.98),(2434,'FCFC001','Curage lymphonodal [ganglionnaire] iliaque, par coelioscopie ou par rétropéritonéoscopie',319.05,272.83),(2435,'FCFC002','Exérèse de noeud [ganglion] lymphatique du médiastin, par thoracoscopie ou par médiastinoscopie',277.93,248.98),(2436,'FCFC003','Curage lymphonodal [ganglionnaire] pelvien, par coelioscopie ou par rétropéritonéoscopie',272.97,258.19),(2437,'FCFC004','Curage lymphonodal [ganglionnaire] lomboaortique avec curage iliaque unilatéral ou bilatéral, par coelioscopie ou par rétropéritonéoscopie',623.21,537.02),(2438,'FCFC005','Curage lymphonodal [ganglionnaire] lomboaortique, par coelioscopie ou par rétropéritonéoscopie',382.86,353.73),(2439,'FCHB001','Ponction ou cytoponction de noeud [ganglion] lymphatique, par voie transcutanée sans guidage',5.76,5.76),(2440,'FCNB001','Sclérose de lymphangiome cervical ou cervicofacial, par injection transcutanée intralésionnelle d\'agent pharmacologique',104.93,76.99),(2441,'FCNH001','Sclérose de malformation lymphatique, par injection transcutanée intralésionnelle d\'agent pharmacologique avec guidage échographique et/ou radiologique',73.32,38.40),(2442,'FCPA001','Mise à plat d\'une lymphocèle d\'un membre avec lymphostase, par abord direct',169.45,168.50),(2443,'FCQH001','Lymphographie du membre supérieur',133.00,133.00),(2444,'FCQH002','Lymphographie des membres inférieurs',133.00,133.00),(2445,'FCQL001','Lymphoscintigraphie',268.87,268.87),(2446,'FCQX004','Examen anatomopathologique de pièce d\'exérèse de noeud [ganglion] lymphatique',55.30,55.30),(2447,'FCQX005','Examen anatomopathologique de pièce d\'exérèse d\'un noeud [ganglion] lymphatique sentinelle',42.59,42.59),(2448,'FCQX006','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse d\'un groupe lymphonodal [ganglionnaire lymphatique]',38.14,38.14),(2449,'FCQX007','Examen anatomopathologique de pièce d\'exérèse de 3 noeuds [ganglions] lymphatiques sentinelles',75.64,75.64),(2450,'FCQX008','Examen anatomopathologique de pièce d\'exérèse de 2 noeuds [ganglions] lymphatiques sentinelles',57.21,57.21),(2451,'FCQX010','Examen anatomopathologique à visée carcinologique de pièces d\'exérèse de 2 ou 3 groupes lymphonodaux [ganglionnaires lymphatiques]',66.11,66.11),(2452,'FCQX011','Examen anatomopathologique à visée carcinologique de pièces d\'exérèse de 7 groupes lymphonodaux [ganglionnaires lymphatiques] ou plus',124.58,124.58),(2453,'FCQX012','Examen anatomopathologique à visée carcinologique de pièces d\'exérèse de 4 à 6 groupes lymphonodaux [ganglionnaires lymphatiques]',102.34,102.34),(2454,'FCQX028','Examen histopathologique de biopsie de noeud [ganglion] lymphatique',71.00,71.00),(2455,'FCSA001','Fermeture de fistule ou ligature du conduit thoracique, par thoracotomie',409.09,368.95),(2456,'FCSA002','Ligature du conduit thoracique, par cervicotomie',257.37,193.17),(2457,'FCSC001','Fermeture de fistule ou ligature du conduit thoracique, par thoracoscopie',313.50,313.50),(2458,'FDFB001','Prélèvement de cellules souches hématopoïétiques médullaires [Prélèvement de moelle osseuse], pour thérapie cellulaire',0.00,0.00),(2459,'FDHB001','Ponction de moelle osseuse pour myélogramme dans un territoire, par voie transcutanée',9.60,9.60),(2460,'FDHB002','Biopsie ostéomédullaire, par voie transcutanée',62.70,62.70),(2461,'FDHB003','Ponction de moelle osseuse pour myélogramme et analyses biologiques dans plusieurs territoires sous anesthésie générale, par voie transcutanée',14.40,14.40),(2462,'FDHB004','Ponction de moelle osseuse pour myélogramme et analyses biologiques avec biopsie ostéomédullaire dans le même territoire, par voie transcutanée',67.50,67.50),(2463,'FDHB005','Ponction de moelle osseuse pour myélogramme dans plusieurs territoires sous anesthésie générale, par voie transcutanée',14.40,14.40),(2464,'FDHB006','Ponction de moelle osseuse pour myélogramme et analyses biologiques dans un territoire, par voie transcutanée',9.60,9.60),(2465,'FDQL001','Scintigraphie de la moelle osseuse',180.44,180.44),(2466,'FDQX007','Examen histopathologique de biopsie de moelle osseuse avec coloration spéciale',71.00,71.00),(2467,'FEFF001','Prélèvement de cellules mononucléées par cytaphérèse, pour thérapie cellulaire',50.59,50.59),(2468,'FEFF002','Prélèvement de cellules souches hématopoïétiques sanguines par cytaphérèse, pour thérapie cellulaire',0.00,0.00),(2469,'FEHB001','Prélèvement de sang artériel, par voie transcutanée',9.60,9.60),(2470,'FEJF001','Séance d\'épuration semisélective de substance plasmatique par double filtration [épuration en cascade]',221.20,136.36),(2471,'FEJF002','Séance non programmée de soustraction thérapeutique de plasma avec perfusion de produit de substitution [échange plasmatique] pour affection aigüe',189.60,174.48),(2472,'FEJF003','Saignée thérapeutique',25.28,18.69),(2473,'FEJF004','Séance programmée de soustraction thérapeutique de plasma avec perfusion de produit de substitution [échange plasmatique] pour affection chronique',153.60,153.60),(2474,'FEJF005','Séance d\'épuration chimique des lipoprotéines [LDLaphérèse] à partir du plasma ou du sang total',189.60,118.03),(2475,'FEJF006','Saignée thérapeutique, avec transfusion de concentré de globules rouges',55.62,42.33),(2476,'FEJF007','Séance d\'épuration immunologique de substance plasmatique [immunoadsorption]',136.36,136.36),(2477,'FEJF008','Saignée thérapeutique avec transfusion de concentré de globules rouges, chez le nouveau-né',60.30,60.30),(2478,'FEJF009','Séance d\'ultrafiltration plasmatique',52.46,44.53),(2479,'FELF001','Transfusion de concentré de globules rouges d\'un volume supérieur à une demimasse sanguine, au cours d\'une intervention sous anesthésie générale ou locorégionale',0.00,0.00),(2480,'FELF002','Transfusion de produit sanguin labile non érythrocytaire, chez le nouveau-né',55.62,40.32),(2481,'FELF003','Administration intraveineuse simultanée de deux des produits sanguins suivants : plasma frais congelé, plaquettes, facteur antihémophilique, fibrinogène, antithrombine III pour suppléance de coagulopathie, par 24 heures',0.00,0.00),(2482,'FELF004','Transfusion de concentré de globules rouges d\'un volume supérieur à une demimasse sanguine chez l\'adulte ou à 40 millilitres par kilogramme [ml/kg] chez le nouveau-né en moins de 24 heures',0.00,0.00),(2483,'FELF005','Exsanguinotransfusion d\'épuration ou de substitution, chez le nouveau-né',153.60,153.60),(2484,'FELF006','Transfusion de produit sanguin labile non érythrocytaire',46.14,34.82),(2485,'FELF007','Transfusion de concentré de globules rouges d\'un volume inférieur à 40 ml/kg, chez le nouveau-né',55.62,40.32),(2486,'FELF008','Transfusion de concentré de globules rouges, à domicile',61.22,61.22),(2487,'FELF009','Injection intraveineuse d\'un produit de thérapie cellulaire pour allogreffe',0.00,0.00),(2488,'FELF010','Injection intraveineuse d\'un produit de thérapie cellulaire pour autogreffe',0.00,0.00),(2489,'FELF011','Transfusion de concentré de globules rouges d\'un volume inférieur à une demimasse sanguine',46.14,34.82),(2490,'FELF012','Exsanguinotransfusion d\'épuration ou de substitution',203.50,182.55),(2491,'FENL001','Irradiation interne pour polyglobulie, par injection intraveineuse de phosphore 32',74.33,74.33),(2492,'FEPF001','Séance programmée de leucaphérèse thérapeutique pour affection chronique',50.59,50.59),(2493,'FEPF002','Séance de thrombocytaphérèse thérapeutique',73.31,50.59),(2494,'FEPF003','Séance d\'érythraphérèse thérapeutique avec transfusion de globules rouges [échange érythrocytaire]',86.58,62.32),(2495,'FEPF004','Séance non programmée de leucaphérèse thérapeutique pour affection aigüe',118.03,118.03),(2496,'FEPF005','Séance d\'érythraphérèse thérapeutique avec perfusion [hémodilution normovolémique intentionnelle]',64.46,48.68),(2497,'FEQL001','Mesure radio-isotopique de la durée de vie des hématies',123.80,123.80),(2498,'FEQL002','Mesure radio-isotopique de la durée de vie des plaquettes',123.80,123.80),(2499,'FEQL003','Recherche topographique d\'une déperdition sanguine digestive, par méthode radio-isotopique',270.66,270.66),(2500,'FEQL004','Mesure radio-isotopique de la disparition plasmatique du fer [fer rapide]',268.87,268.87),(2501,'FEQL005','Mesure radio-isotopique de la cinétique érythrocytaire',123.80,123.80),(2502,'FEQL006','Recherche radio-isotopique de sang dans les selles',53.06,53.06),(2503,'FEQL007','Mesure radio-isotopique du volume sanguin',56.65,56.65),(2504,'FERP001','Photochimiothérapie extracorporelle des cellules sanguines mononucléées',0.00,0.00),(2505,'FFFA001','Splénectomie totale, par laparotomie',305.58,277.82),(2506,'FFFA002','Splénectomie partielle, par laparotomie',350.96,304.14),(2507,'FFFC001','Splénectomie totale, par coelioscopie',484.25,393.55),(2508,'FFFC420','Splénectomie partielle, par coelioscopie',496.00,496.00),(2509,'FFJA001','Évacuation de collection de la rate, par laparotomie',259.49,251.09),(2510,'FFJC001','Évacuation de collection de la rate, par coelioscopie',272.97,271.00),(2511,'FFQL001','Scintigraphie de la rate, par injection de traceur radio-isotopique spécifique',162.76,162.76),(2512,'FFQX005','Examen anatomopathologique à visée carcinologique de pièce de splénectomie',69.92,69.92),(2513,'FFSA001','Hémostase splénique avec conservation de la rate, par laparotomie',399.17,332.10),(2514,'FFSC272','Hémostase splénique avec conservation de la rate, par coelioscopie',461.00,461.00),(2515,'FGLB001','Séance d\'injection d\'extrait allergénique à concentration donnée pour désensibilisation spécifique, par voie souscutanée',12.34,12.34),(2516,'FGLB002','Injection d\'extrait allergénique à concentration croissante par voie souscutanée, jusqu\'à obtention de la dose d\'entretien pour désensibilisation spécifique par méthode semiaccélérée ou accélérée [semirush ou rush]',85.15,53.02),(2517,'FGLB004','Séance d\'injection ou d\'ingestion d\'un médicament à concentration croissante pour accoutumance',112.91,67.91),(2518,'FGRB001','Test allergologique par injection intradermique de plusieurs substances administrées à concentration croissante avec au moins 2 dilutions',45.04,38.22),(2519,'FGRB002','Test allergologique par injection intradermique d\'une substance administrée à concentration croissante',37.02,33.57),(2520,'FGRB003','Test allergologique par piqûre épidermique avec des substances administrées à concentration fixe',28.80,28.80),(2521,'FGRB004','Test allergologique par piqûre épidermique avec des aliments natifs',37.02,33.57),(2522,'FGRB005','Test allergologique par injection intradermique de substances administrées à concentration fixe',33.94,31.77),(2523,'FGRB006','Test d\'introduction ou de réintroduction d\'un allergène par injection à concentration fixe',28.80,28.80),(2524,'FGRB007','Test d\'introduction ou de réintroduction d\'un allergène par injection à concentration croissante',59.85,46.81),(2525,'FGRD002','Test de provocation par ingestion d\'un allergène à concentration fixe',42.57,36.79),(2526,'FGRD003','Test de provocation par ingestion d\'un allergène administré à concentration croissante',59.23,46.45),(2527,'FGRD004','Test de provocation par allergène administré à concentration croissante par voie nasale',33.94,31.77),(2528,'FGRP003','Test allergologique épicutané en chambre close [Patch test] par tests orientés',37.64,29.89),(2529,'FGRP005','Test allergologique épicutané en chambre close [Patch test] par batterie standard et tests orientés',45.04,38.22),(2530,'FGRP006','Test allergologique de provocation par plusieurs aliments natifs administrés par contact labial',33.94,31.77),(2531,'FGRP007','Test allergologique épicutané en chambre close [Patch test] par batterie standard et/ou batterie complémentaire',30.85,25.95),(2532,'FGRP009','Test de provocation conjonctival par allergène administré à concentration croissante',28.80,28.80),(2533,'FGRP010','Tests vasomoteurs de stimulation cutanée pour rhinite',31.57,26.37),(2534,'GABD001','Tamponnement nasal antérieur et postérieur',56.21,40.66),(2535,'GABD002','Tamponnement nasal antérieur',27.72,24.14),(2536,'GAEA001','Repositionnement de fragment de nez amputé, sans anastomose vasculaire',133.29,103.65),(2537,'GAEA002','Réimplantation de fragment de nez, avec anastomoses vasculaires',475.03,380.86),(2538,'GAFA001','Excision ou décortication d\'un rhinophyma, avec laser',102.81,85.96),(2539,'GAFA002','Exérèse subtotale ou totale [amputation] de la pointe et/ou de l\'aile du nez',125.40,125.40),(2540,'GAFA003','Excision ou décortication d\'un rhinophyma, sans laser',102.81,85.96),(2541,'GAFA004','Amputation de la pyramide nasale étendue au philtrum et/ou à la joue',190.01,162.87),(2542,'GAFA005','Exérèse transfixiante de lésion de la peau du nez et/ou de la muqueuse narinaire',125.40,125.40),(2543,'GAFA006','Exérèse de lésion ou de malformation de la cavité nasale, par abord paralatéronasal',408.87,324.93),(2544,'GAFA007','Exérèse non transfixiante de lésion de la peau du nez ou de la muqueuse narinaire',49.13,40.59),(2545,'GAFA008','Amputation de la pyramide nasale',190.01,162.87),(2546,'GAFA009','Exérèse d\'une fistule congénitale de la columelle nasale ou de la lèvre supérieure [philtrum]',167.20,167.20),(2547,'GAFA010','Exérèse d\'une fistule ou d\'un kyste congénital du dos du nez avec prolongement intracrânien, par abord coronal',220.16,220.16),(2548,'GAFA011','Exérèse d\'une fistule ou d\'un kyste congénital du dos du nez, par abord facial',177.25,173.03),(2549,'GAFD001','Exérèse de lésion ou de malformation de la cavité nasale, par voie nasale',197.89,132.33),(2550,'GAFD002','Polypectomie intranasale',64.68,49.61),(2551,'GAGD001','Ablation unilatérale ou bilatérale de prothèse de calibrage de la cavité nasale',0.00,0.00),(2552,'GAGD002','Ablation de corps étranger de la cavité nasale',35.42,24.58),(2553,'GAHA001','Biopsie de la peau du nez et/ou de la muqueuse narinaire',30.40,25.70),(2554,'GAJA001','Évacuation de collection du septum nasal',53.13,39.60),(2555,'GAJA002','Parage et/ou suture de plaie du nez',53.88,37.83),(2556,'GALD001','Pose unilatérale ou bilatérale de prothèse de calibrage de la cavité nasale',0.00,0.00),(2557,'GALD002','Pose de conformateur d\'orifice narinaire',91.63,79.48),(2558,'GALP001','Pose d\'une épithèse nasale',0.00,0.00),(2559,'GALP002','Pose préopératoire d\'un appareillage orthopédique de correction d\'une déformation nasale, pour fente orofaciale',268.80,268.80),(2560,'GAMA001','Rhinoseptoplastie sans ostéotomie, sans autogreffe de cartilage',225.46,218.55),(2561,'GAMA002','Réparation de perte de substance du nez par lambeau frontal à pédicule inférieur',342.45,330.29),(2562,'GAMA003','Rhinoplastie sans ostéotomie, avec autogreffe de cartilage de septum nasal',257.37,254.61),(2563,'GAMA004','Rhinoseptoplastie avec ostéotomie, sans autogreffe de cartilage',282.89,251.85),(2564,'GAMA005','Plastie ostéo-cutanéo-cartilagineuse pour sténose narinaire',415.03,310.94),(2565,'GAMA006','Réparation de perte de substance du nez par lambeau scalpant doublé par lambeau en charnière, lambeau frontal, et/ou autogreffe',599.81,479.56),(2566,'GAMA007','Septoplastie nasale',175.56,154.49),(2567,'GAMA008','Rhinoplastie primitive de la pointe',209.00,209.00),(2568,'GAMA009','Plastie narinaire pour collapsus de la valve nasale interne, avec septoplastie',284.13,261.36),(2569,'GAMA010','Rhinoseptoplastie avec autogreffe osseuse et cartilagineuse',365.14,317.11),(2570,'GAMA011','Reconstruction de la cavité nasale pour hypoplasie ou aplasie, chez l\'enfant',560.56,430.46),(2571,'GAMA012','Réparation de perte de substance du nez par lambeau régional',210.57,202.45),(2572,'GAMA013','Rhinoplastie avec ostéotomie et autogreffe de cartilage de septum nasal',322.60,292.44),(2573,'GAMA014','Réparation de perte de substance du nez par lambeau scalpant',514.03,429.80),(2574,'GAMA015','Plastie narinaire pour collapsus de la valve nasale interne',181.72,175.62),(2575,'GAMA016','Rhinoseptoplastie avec ostéotomie et autogreffe de cartilage de septum nasal',347.41,306.83),(2576,'GAMA017','Plastie des orifices piriformes du nez chez le nourrisson',253.33,217.15),(2577,'GAMA018','Réparation de perte de substance du nez par lambeau local',191.24,191.24),(2578,'GAMA019','Réparation de perte de substance du nez par autogreffe composée d\'auricule',218.59,218.59),(2579,'GAMA020','Rhinoseptoplastie sans ostéotomie, avec autogreffe de cartilage de septum nasal',282.89,251.85),(2580,'GAMA021','Reconstruction du nez, de l\'héminez ou de la pointe de nez avec armature ostéochondrale, lambeau de couverture cutanée et lambeau de doublure muqueuse',684.89,542.73),(2581,'GAMA022','Correction secondaire du résultat esthétique d\'une rhinoplastie ou d\'une rhinoseptoplastie',143.93,136.14),(2582,'GAMA023','Réparation de perte de substance du nez par lambeau brachial ou antébrachial à pédicule transitoire',479.56,479.56),(2583,'GAMA024','Rhinoplastie avec ostéotomie, sans autogreffe de cartilage',257.37,237.05),(2584,'GAMA025','Correction de séquelle narinaire d\'une fente labio-maxillo-palatine unilatérale',209.86,191.95),(2585,'GAMA026','Correction de séquelle narinaire d\'une fente labio-maxillo-palatine bilatérale',248.15,214.15),(2586,'GAME001','Turbinoplastie ou turbinectomie inférieure et/ou moyenne unilatérale ou bilatérale, par endoscopie',77.00,61.12),(2587,'GAME002','Plastie unilatérale ou bilatérale de la cavité nasale pour rhinite atrophique, par endoscopie',206.36,203.08),(2588,'GAND001','Cautérisation unilatérale ou bilatérale de la muqueuse du cornet inférieur',34.65,28.16),(2589,'GAQD001','Rhinomanométrie postérieure avec test de provocation',46.97,39.34),(2590,'GAQD002','Rhinomanométrie antérieure avec test de provocation',38.50,34.43),(2591,'GAQD003','Mesure de la différence de potentiel des muqueuses nasales',0.00,0.00),(2592,'GAQD004','Rhinométrie acoustique sans test de provocation',30.80,29.96),(2593,'GAQD005','Rhinomanométrie postérieure sans test de provocation',37.73,33.98),(2594,'GAQD006','Rhinométrie acoustique avec test de provocation',42.35,36.66),(2595,'GAQD007','Rhinomanométrie antérieure sans test de provocation',28.80,28.80),(2596,'GAQE001','Endoscopie de la cavité nasale et du rhinopharynx [cavum], par voie nasale',30.80,30.46),(2597,'GAQE003','Endoscopie de la cavité nasale, par voie nasale',0.00,0.00),(2598,'GASA001','Fermeture de perforation du septum nasal',66.22,64.74),(2599,'GASE001','Hémostase intranasale par cautérisation ou électrocoagulation, par endoscopie',26.18,23.25),(2600,'GASE002','Hémostase intranasale par injection unilatérale ou bilatérale transmuqueuse d\'agent pharmacologique, par endoscopie',94.71,63.00),(2601,'GBBA001','Exclusion unilatérale ou bilatérale du sinus frontal par résection de la paroi postérieure [Cranialisation du sinus frontal]',104.50,104.50),(2602,'GBBA002','Comblement préimplantaire sousmuqueux du sinus maxillaire',240.35,240.35),(2603,'GBBA002','Comblement préimplantaire sousmuqueux unilatéral du sinus maxillaire',240.35,240.35),(2604,'GBBA364','Comblement préimplantaire sousmuqueux bilatéral du sinus maxillaire',360.53,360.53),(2605,'GBCA001','Exclusion unilatérale ou bilatérale de sinus frontal par comblement',331.87,280.27),(2606,'GBFA001','Exérèse de lésion du sinus frontal, par abord frontosourcilier',235.62,206.89),(2607,'GBFA002','Exérèse de lésion du sinus ethmoïdal, par abord paralatéronasal ou par abord bilatéral de la fosse canine [abord bivestibulaire]',270.74,270.74),(2608,'GBFA003','Exérèse de lésion du sinus frontal, par abord coronal',284.90,235.47),(2609,'GBFA004','Résection totale unilatérale du sinus ethmoïdal avec exérèse de la lame criblée et de méninge, par abord paralatéronasal',759.22,598.36),(2610,'GBFA005','Résection totale unilatérale du sinus ethmoïdal avec sinusotomie sphénoïdale et maxillaire, par abord paralatéronasal',508.97,453.20),(2611,'GBFA006','Résection totale bilatérale du sinus ethmoïdal avec sinusotomie sphénoïdale et maxillaire, par abord paralatéronasal et/ou par abord infrafronto-orbito-nasal',648.34,445.19),(2612,'GBFA007','Exérèse de lésion du sinus sphénoïdal, par endoscopie',246.40,195.58),(2613,'GBFA008','Ethmoïdectomie antérieure bilatérale avec septoplastie nasale, par endoscopie',487.41,361.70),(2614,'GBGD001','Déméchage et/ou nettoyage postopératoire de sinus paranasal, sous anesthésie générale',53.13,42.91),(2615,'GBJA001','Évacuation unilatérale ou bilatérale de collection du sinus frontal, par endoscopie nasale et par abord direct',235.62,206.89),(2616,'GBJA002','Évacuation de collection du sinus frontal, par abord direct',167.20,167.20),(2617,'GBJB001','Évacuation de collection du sinus frontal, par voie transcutanée',72.38,54.08),(2618,'GBJD001','Séance de lavage de sinus paranasal par méthode de déplacement',36.19,25.02),(2619,'GBJD002','Évacuation de collection du sinus maxillaire, par voie méatale inférieure',57.60,57.60),(2620,'GBJE001','Évacuation de collection du sinus frontal, par endoscopie nasale',161.70,105.89),(2621,'GBJE002','Évacuation de collection du sinus sphénoïdal, par endoscopie directe ou transethmoïdale',159.39,145.12),(2622,'GBPA001','Sinusotomie maxillaire par abord de la fosse canine [abord vestibulaire], avec sinusotomie ethmoïdale et/ou sphénoïdale',287.21,271.92),(2623,'GBPA002','Sinusotomie maxillaire, par abord de la fosse canine [abord vestibulaire] et par voie méatale moyenne',167.20,167.20),(2624,'GBPA003','Sinusotomie frontale unilatérale ou bilatérale avec résection du septum et du plancher nasaux, par endoscopie nasale ou par abord direct',560.56,430.46),(2625,'GBPA004','Sinusotomie maxillaire, par abord de la fosse canine [abord vestibulaire]',167.20,167.20),(2626,'GBPE001','Méatotomie nasale moyenne, par endoscopie',167.20,167.20),(2627,'GBPE002','Marsupialisation de mucocèle du sinus ethmoïdal et/ou du sinus frontal, par endoscopie',232.54,205.10),(2628,'GBPE003','Méatotomie nasale inférieure bilatérale, par endoscopie',250.80,250.80),(2629,'GBQA002','Sinusoscopie maxillaire, par voie méatale inférieure et/ou par abord de la fosse canine [abord vestibulaire]',57.75,57.69),(2630,'GBQD001','Manométrie des sinus paranasaux',61.60,47.82),(2631,'GBQE001','Sinusoscopie sphénoïdale',92.40,81.82),(2632,'GBQE002','Sinusoscopie frontale',77.77,73.33),(2633,'GBQM001','Échographie unilatérale ou bilatérale du sinus maxillaire et/ou du sinus frontal',34.97,34.97),(2634,'GCCD001','Perforation [Discision] unilatérale ou bilatérale des choanes',110.88,90.65),(2635,'GCFA001','Exérèse de lésion du rhinopharynx et/ou de la fosse infratemporale, par abord préauriculaire et/ou par abord transzygomatique',759.58,759.58),(2636,'GCFA002','Exérèse de lésion du rhinopharynx et/ou de la fosse infratemporale, par abord transpétreux antérieur',759.58,759.58),(2637,'GCFA003','Exérèse de lésion du rhinopharynx, par abord transpalatin avec laser',248.71,214.48),(2638,'GCFA004','Exérèse de lésion du rhinopharynx et/ou de la fosse infratemporale, par abord transmandibulaire',850.85,651.49),(2639,'GCFA005','Exérèse de lésion du rhinopharynx, par abord transpalatin sans laser',248.71,214.48),(2640,'GCFA006','Exérèse de lésion du rhinopharynx et/ou de la fosse infratemporale, par abord transmaxillaire et par abord transmandibulaire',1037.19,759.58),(2641,'GCFA007','Exérèse de lésion du rhinopharynx et/ou de la fosse infratemporale, par abord transmaxillaire',850.85,651.49),(2642,'GCFD001','Exérèse de lésion du rhinopharynx, par voie nasale et/ou par voie buccale sans laser',135.52,96.16),(2643,'GCFD002','Exérèse de lésion du rhinopharynx, par voie nasale et/ou par voie buccale avec laser',135.52,96.16),(2644,'GCMA001','Plastie des choanes par abord transpalatin, pour imperforation unilatérale ou bilatérale',313.50,313.50),(2645,'GCME001','Plastie des choanes par endoscopie nasale avec laser, pour imperforation bilatérale',313.50,313.50),(2646,'GCME002','Plastie des choanes par endoscopie nasale avec laser, pour imperforation unilatérale',209.00,209.00),(2647,'GCME003','Plastie des choanes par endoscopie nasale sans laser, pour imperforation bilatérale',305.00,305.00),(2648,'GCME004','Plastie des choanes par endoscopie nasale sans laser, pour imperforation unilatérale',209.00,209.00),(2649,'GCQE001','Fibroscopie du pharynx et du larynx, par voie nasale',28.80,28.80),(2650,'GCQE002','Endoscopie du rhinopharynx [cavum], par voie buccale sous anesthésie générale',42.35,36.66),(2651,'GCQE003','Fibroscopie du pharynx et du larynx par voie nasale, avec examen stroboscopique du larynx',33.11,31.30),(2652,'GCQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de cavité nasale [fosse nasale] et/ou de sinus paranasal',68.20,68.20),(2653,'GCQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse du rhinopharynx',66.45,66.45),(2654,'GDCA001','Suture de plaie du larynx',248.71,188.14),(2655,'GDCA002','Exclusion du larynx',216.37,169.39),(2656,'GDEA001','Médialisation du pli vocal [corde vocale], par cervicotomie',231.00,177.88),(2657,'GDFA001','Hyo-thyro-épiglottectomie',471.24,361.10),(2658,'GDFA002','Cordectomie laryngée bilatérale, par thyrotomie',238.70,226.23),(2659,'GDFA003','Glottectomie horizontale',485.87,369.59),(2660,'GDFA004','Cordectomie laryngée unilatérale, par thyrotomie',213.29,211.49),(2661,'GDFA005','Laryngectomie totale',493.57,469.89),(2662,'GDFA006','Laryngectomie partielle verticale',400.40,320.01),(2663,'GDFA007','Exérèse de lésion laryngée infraglottique, par laryngotomie',321.86,274.46),(2664,'GDFA008','Laryngectomie supraglottique étendue à la base de langue',555.94,506.06),(2665,'GDFA009','Laryngectomie supracricoïdienne avec cricohyoïdopexie',592.13,527.05),(2666,'GDFA010','Aryténoïdectomie ou aryténoïdopexie, par thyrotomie',271.04,227.43),(2667,'GDFA011','Laryngectomie supracricoïdienne avec crico-hyoïdo-épiglottopexie',592.13,527.05),(2668,'GDFA012','Laryngopharyngectomie supracricoïdienne avec cricohyoïdopexie',595.98,529.28),(2669,'GDFA013','Hémilaryngopharyngectomie',535.15,398.17),(2670,'GDFA014','Laryngectomie supraglottique',522.83,486.85),(2671,'GDFA015','Exérèse de lésion du larynx, par thyrotomie latérale extramuqueuse',226.38,219.09),(2672,'GDFA016','Laryngectomie frontale antérieure avec épiglottoplastie',522.83,391.02),(2673,'GDFA017','Laryngopharyngectomie supraglottique',560.56,508.75),(2674,'GDFA018','Laryngectomie totale étendue à la base de langue',565.95,511.86),(2675,'GDFE001','Aryténoïdectomie, par laryngoscopie directe',167.20,167.20),(2676,'GDFE002','Exérèse de lésion ou épluchage de la muqueuse du plan glottique, par laryngoscopie directe avec laser',110.88,108.21),(2677,'GDFE003','Cordectomie laryngée, par laryngoscopie directe avec laser',141.68,126.07),(2678,'GDFE004','Exérèse de lésion ou épluchage de la muqueuse du plan glottique, par laryngoscopie directe sans laser',109.34,107.31),(2679,'GDFE005','Résection ou section des plis aryépiglottiques, par laryngoscopie directe sans laser',110.88,88.50),(2680,'GDFE006','Exérèse de lésion laryngée infraglottique, par laryngoscopie directe avec laser',166.32,140.36),(2681,'GDFE007','Cordectomie laryngée, par laryngoscopie directe sans laser',141.68,126.07),(2682,'GDFE008','Épiglottectomie partielle, par laryngoscopie directe sans laser',149.38,110.84),(2683,'GDFE009','Épiglottectomie partielle, par laryngoscopie directe avec laser',149.38,110.84),(2684,'GDFE010','Exérèse du vestibule du larynx, par laryngoscopie directe avec laser',182.49,130.03),(2685,'GDFE011','Exérèse de lésion laryngée infraglottique, par laryngoscopie directe sans laser',166.32,140.36),(2686,'GDFE012','Dilatation et/ou résection de sténose du larynx, par endoscopie sans laser',195.58,157.33),(2687,'GDFE013','Résection ou section des plis aryépiglottiques, par laryngoscopie directe avec laser',110.88,88.50),(2688,'GDFE014','Exérèse de lésion sousmuqueuse du plan glottique, par laryngoscopie directe',129.36,118.92),(2689,'GDFE015','Exérèse du vestibule du larynx, par laryngoscopie directe sans laser',182.49,130.03),(2690,'GDFE016','Dilatation et/ou résection de sténose du larynx, par endoscopie avec laser',195.58,157.33),(2691,'GDGE001','Ablation de corps étranger du larynx, par laryngoscopie directe',182.49,123.40),(2692,'GDHE001','Biopsie oro-pharyngo-laryngée, par laryngoscopie indirecte',43.12,37.11),(2693,'GDLB001','Injection dans le pli vocal [corde vocale], par voie transcutanée',103.18,94.96),(2694,'GDLD001','Pose d\'un masque laryngé ou d\'un Combitube⌐',0.00,0.00),(2695,'GDLE001','Pose ou changement de prothèse de calibrage du larynx, par laryngoscopie directe',166.32,120.66),(2696,'GDLE003','Injection de graisse dans le pli vocal [corde vocale], par laryngoscopie directe',93.94,89.60),(2697,'GDLE004','Injection de substance hétérologue dans le pli vocal [corde vocale], par laryngoscopie directe',93.94,89.60),(2698,'GDMA001','Laryngoplastie, par cervicotomie',500.50,378.08),(2699,'GDMA002','Laryngotrachéoplastie, par cervicotomie',649.11,508.15),(2700,'GDMA003','Réparation de fracas du larynx',328.50,328.50),(2701,'GDNE001','Coagulation d\'un oedème du larynx, par laryngoscopie directe avec laser',87.01,74.66),(2702,'GDNE002','Destruction de lésion du larynx, par laryngoscopie directe sans laser',104.50,104.50),(2703,'GDNE003','Destruction de lésion du larynx, par laryngoscopie directe avec laser',104.50,104.50),(2704,'GDNE004','Coagulation d\'un oedème du larynx, par laryngoscopie directe sans laser',87.01,74.66),(2705,'GDPE001','Désobstruction du larynx, par laryngoscopie directe avec laser',182.49,149.74),(2706,'GDPE002','Cordotomie postérieure, par laryngoscopie directe sans laser',100.10,82.26),(2707,'GDPE003','Cordotomie postérieure, par laryngoscopie directe avec laser',116.27,91.63),(2708,'GDQE001','Laryngo-trachéo-bronchoscopie au tube rigide',83.93,76.90),(2709,'GDQE002','Laryngoscopie indirecte au laryngoscope rigide, avec examen stroboscopique du larynx',38.50,34.43),(2710,'GDQE003','Laryngoscopie indirecte au laryngoscope rigide',28.80,28.80),(2711,'GDQE004','Fibroscopie du larynx et de la trachée',44.66,44.61),(2712,'GDQE005','Laryngoscopie directe [Laryngoscopie en suspension]',73.92,67.07),(2713,'GDQE007','Exploration de pli vocal [corde vocale], par laryngoscopie directe [Cordotomie exploratrice endoscopique]',92.17,77.65),(2714,'GDQP001','Examen anatomopathologique d\'une pièce de laryngectomie ou de pharyngolaryngectomie',61.60,61.60),(2715,'GDQX004','Examen anatomopathologique à visée carcinologique de pièce de cordectomie laryngée',70.27,70.27),(2716,'GDQX005','Examen anatomopathologique à visée carcinologique de pièce de laryngectomie partielle verticale ou de laryngectomie totale',119.57,119.57),(2717,'GDQX008','Examen anatomopathologique à visée carcinologique de pièce de laryngectomie partielle et/ou de pharyngectomie partielle',108.23,108.23),(2718,'GDSA001','Fermeture d\'un diastème laryngé congénital',318.78,255.12),(2719,'GDSA002','Fermeture d\'un diastème laryngotrachéal congénital',491.63,491.63),(2720,'GDSA003','Fermeture d\'une fente laryngo-trachéo-pharyngo-oesophagienne congénitale, par cervicotomie et par thoracotomie',711.62,711.62),(2721,'GDSA004','Fermeture d\'une fente laryngo-trachéo-pharyngo-oesophagienne congénitale, par cervicotomie',498.48,498.48),(2722,'GECA001','Suture de plaie ou de rupture de bronche, par thoracotomie',671.42,564.99),(2723,'GECA002','Suture de plaie ou de rupture de la trachée, par cervicothoracotomie ou par thoracotomie',596.98,521.80),(2724,'GECA003','Suture de plaie ou de rupture de la trachée, par cervicotomie',407.68,280.34),(2725,'GEFA001','Résection-anastomose de la trachée sans mobilisation viscérale cardiopulmonaire par thoracotomie, avec abaissement du larynx par cervicotomie',1027.34,862.86),(2726,'GEFA002','Résection-anastomose cricotrachéale, par cervicotomie',771.39,648.58),(2727,'GEFA003','Résection-anastomose de la trachée avec abaissement du larynx, par cervicothoracotomie',822.98,822.98),(2728,'GEFA004','Résection-anastomose de la bifurcation trachéale, par thoracotomie',1005.36,828.17),(2729,'GEFA005','Résection-anastomose de la trachée avec mobilisation viscérale cardiopulmonaire par thoracotomie, avec abaissement du larynx par cervicotomie',968.85,968.85),(2730,'GEFA006','Résection-anastomose de la trachée sans abaissement du larynx, par thoracotomie',823.86,679.01),(2731,'GEFA007','Résection-anastomose de la trachée avec abaissement du larynx, par cervicotomie',838.04,687.23),(2732,'GEFA008','Résection-anastomose de la trachée sans abaissement du larynx, par cervicothoracotomie',782.03,654.75),(2733,'GEFA009','Résection-anastomose de la trachée avec mobilisation viscérale cardiopulmonaire sans abaissement du larynx, par thoracotomie',788.29,788.29),(2734,'GEFA010','Résection-anastomose thyrotrachéale, par cervicotomie',771.39,648.58),(2735,'GEFA011','Résection-anastomose bronchique, par thoracotomie',752.96,637.88),(2736,'GEFA012','Résection-anastomose de la trachée sans abaissement du larynx, par cervicotomie',633.14,568.39),(2737,'GEFA013','Résection-anastomose de la trachée pour sténose congénitale de la trachée, par thoracotomie avec CEC',1701.60,1418.52),(2738,'GEFE001','Séance de résection et/ou de dilatation de sténose de la trachée, par endoscopie avec laser',248.71,188.14),(2739,'GEFE002','Séance de résection et/ou de dilatation de sténose de la trachée, par endoscopie sans laser',248.71,188.14),(2740,'GEGA001','Ablation de corps étranger intrabronchique, par thoracotomie',526.79,393.32),(2741,'GEGE001','Ablation de corps étranger intratrachéal et/ou intrabronchique, par bronchoscopie au tube rigide',171.00,169.40),(2742,'GEGE003','Ablation de corps étranger intratrachéal et/ou intrabronchique, par fibroscopie',167.20,167.20),(2743,'GEHD001','Prélèvement intrabronchique distal protégé sur sonde d\'intubation ou sur trachéotomie, sans fibroscopie',0.00,0.00),(2744,'GEHE001','Biopsie trachéale et/ou bronchique, au cours d\'une endoscopie diagnostique des voies aériennes',0.00,0.00),(2745,'GEJD001','Aspiration intratrachéale d\'un nouveau-né à la naissance, en présence d\'un liquide amniotique méconial',0.00,0.00),(2746,'GEJD002','Lavage pulmonaire unilatéral à visée thérapeutique pour protéinose alvéolaire, par sonde d\'intubation à double lumière',153.92,153.92),(2747,'GEJE001','Aspiration intrabronchique à visée thérapeutique, par fibroscopie [Fibroaspiration bronchique]',81.32,63.29),(2748,'GEJE002','Lavage pulmonaire unilatéral à visée thérapeutique pour protéinose alvéolaire, par endoscopie',185.44,153.92),(2749,'GEJE003','Aspiration intrabronchique à visée thérapeutique chez un patient intubé ou trachéotomisé, par fibroscopie',76.00,60.21),(2750,'GEKA001','Remplacement de la trachée par prothèse, par cervicotomie ou par thoracotomie',0.00,0.00),(2751,'GELA001','Pose de tuteur trachéal, par cervicotomie',295.65,211.80),(2752,'GELD001','Instillation de surfactant exogène chez un nouveau-né en ventilation mécanique',0.00,0.00),(2753,'GELD002','Intubation trachéale en dehors d\'un bloc médicotechnique',19.20,19.20),(2754,'GELD003','Intubation trachéale avec instillation de surfactant exogène',0.00,0.00),(2755,'GELD004','Intubation trachéale',19.20,19.20),(2756,'GELD005','Nébulisation d\'agent thérapeutique à destination bronchique [aérosol] avec surveillance de la saturation en oxygène par mesure transcutanée [SpO2] et surveillance de la fréquence cardiaque, pendant au moins 2 heures',0.00,0.00),(2757,'GELE001','Intubation trachéale par fibroscopie ou dispositif laryngé particulier, au cours d\'une anesthésie générale',0.00,0.00),(2758,'GELE002','Instillation intrabronchique d\'agent pharmacologique à visée thérapeutique, par bronchoscopie au tube rigide',117.80,114.69),(2759,'GELE003','Pose intrabronchique de matériel à visée hémostatique, par fibroscopie',148.20,126.28),(2760,'GELE004','Intubation trachéale, par fibroscopie ou dispositif laryngé particulier',0.00,0.00),(2761,'GELE005','Instillation intrabronchique d\'agent pharmacologique à visée thérapeutique, par fibroscopie',110.40,110.40),(2762,'GELE006','Pose de tuteur trachéal, par endoscopie',296.36,212.21),(2763,'GELE007','Pose intrabronchique de matériel à visée hémostatique, par bronchoscopie au tube rigide',148.96,126.72),(2764,'GELE008','Pose d\'une endoprothèse trachéobronchique, par endoscopie',193.04,182.19),(2765,'GELE009','Pose de guide intrabronchique pour curiethérapie [endobrachytherapy], par fibroscopie',113.49,113.49),(2766,'GELE133','Pose de spirales intrabronchiques par endoscopie',304.00,304.00),(2767,'GELF001','Pose de cathéter laryngé ou de cathéter trachéal, par voie transcutanée',0.00,0.00),(2768,'GEMA001','Plastie d\'agrandissement d\'un orifice de trachéostomie ou de trachéotomie, par abord direct',192.14,155.33),(2769,'GEMA002','Plastie de la trachée par autogreffe ou lambeau, par cervicotomie ou par thoracotomie',478.98,478.98),(2770,'GEME121','Plastie des bronches par radiofréquence par endoscopie [Thermoplastie]',136.80,136.80),(2771,'GENE001','Destruction mécanique de lésion de l\'arbre trachéobronchique, par bronchoscopie au tube rigide',177.84,143.47),(2772,'GENE002','Destruction de lésion de l\'arbre trachéobronchique avec laser, par fibroscopie',136.04,119.22),(2773,'GENE003','Destruction tissulaire photodynamique de lésion de l\'arbre trachéobronchique avec laser, par fibroscopie',138.32,120.55),(2774,'GENE004','Destruction de lésion de l\'arbre trachéobronchique avec laser, par bronchoscopie au tube rigide',163.40,135.09),(2775,'GENE005','Destruction de lésion de l\'arbre trachéobronchique par cryothérapie ou thermocoagulation, par fibroscopie',123.12,111.73),(2776,'GENE006','Destruction de lésion de l\'arbre trachéobronchique par cryothérapie ou thermocoagulation, par bronchoscopie au tube rigide',158.84,132.45),(2777,'GENE008','Destruction mécanique de lésion de l\'arbre trachéobronchique, par fibroscopie',138.32,120.55),(2778,'GEPA004','Trachéotomie, par cervicotomie',142.45,126.51),(2779,'GEQE001','Bronchoscopie au tube rigide, avec prélèvement médiastinal à l\'aiguille par voie transbronchique',121.60,102.78),(2780,'GEQE002','Fibroscopie bronchique, avec prélèvement lymphonodal à l\'aiguille par voie transbronchique',104.88,101.15),(2781,'GEQE003','Fibroscopie trachéobronchique avec photodétection de lésion par autofluorescence avec laser',120.08,109.97),(2782,'GEQE004','Fibroscopie bronchique, avec lavage bronchioloalvéolaire à visée diagnostique',110.40,110.40),(2783,'GEQE005','Bronchoscopie au tube rigide, avec biopsie pulmonaire par voie transbronchique sans guidage',126.16,105.43),(2784,'GEQE006','Fibroscopie bronchique, avec biopsie pulmonaire par voie transbronchique sans guidage',110.96,104.68),(2785,'GEQE007','Fibroscopie bronchique',96.00,96.00),(2786,'GEQE008','Bronchoscopie au tube rigide',112.48,89.43),(2787,'GEQE009','Fibroscopie bronchique avec lavage bronchioloalvéolaire à visée diagnostique, chez un patient intubé ou trachéotomisé',110.40,110.40),(2788,'GEQE010','Fibroscopie trachéobronchique avec photodétection de lésion par autofluorescence sans laser',110.20,104.24),(2789,'GEQE011','Bronchoscopie au tube rigide, avec lavage bronchioloalvéolaire à visée diagnostique',92.13,92.13),(2790,'GEQE012','Fibroscopie bronchique, chez un patient intubé ou trachéotomisé',96.00,96.00),(2791,'GEQE013','Examen panendoscopique des voies aérodigestives supérieures avec trachéoscopie et oesophagoscopie',115.20,115.20),(2792,'GEQH001','Bronchographie',33.25,33.25),(2793,'GEQH002','Fibroscopie bronchique, avec biopsie pulmonaire par voie transbronchique avec guidage radiologique',96.00,96.00),(2794,'GEQH003','Bronchoscopie au tube rigide, avec biopsie pulmonaire par voie transbronchique avec guidage radiologique',104.12,76.80),(2795,'GEQJ237','Échoendoscopie bronchique, avec prélèvement médiastinal à l\'aiguille par voie transbronchique',171.76,171.76),(2796,'GEQL001','Scintigraphie de l\'épuration mucociliaire bronchique',265.28,265.28),(2797,'GEQP001','Examen cytopathologique de produit différencié de lavage bronchioloalvéolaire bilatéral, avec coloration spéciale',56.00,56.00),(2798,'GEQP002','Examen cytopathologique de produit de lavage bronchioloalvéolaire unilatéral, avec une coloration spéciale',28.00,28.00),(2799,'GEQX001','Examen cytopathologique de produit de lavage bronchioloalvéolaire, différencié, avec coloration spéciale',56.00,56.00),(2800,'GEQX002','Examen cytopathologique de produit de lavage bronchioloalvéolaire, non différencié, avec coloration spéciale',28.00,28.00),(2801,'GERD001','Épreuve pharmacodynamique par agent bronchodilatateur, au cours d\'une épreuve fonctionnelle respiratoire',0.00,0.00),(2802,'GERD002','Épreuve de provocation par agent bronchoconstricteur ou facteur physique, au cours d\'une épreuve fonctionnelle respiratoire',0.00,0.00),(2803,'GESA002','Fermeture de trachéotomie',153.23,132.76),(2804,'GESA003','Fermeture de fistule bronchique, par thoracotomie',622.50,562.22),(2805,'GFBA001','Réduction bilatérale de volume pulmonaire, par thoracotomie unique',810.39,671.19),(2806,'GFBA002','Réduction unilatérale de volume pulmonaire, par thoracotomie',555.86,479.67),(2807,'GFBA003','Réduction bilatérale de volume pulmonaire, par thoracotomie bilatérale',728.10,728.10),(2808,'GFBA004','Réduction de volume pulmonaire, par thoracoscopie ou par thoracotomie avec préparation par thoracoscopie',555.86,495.80),(2809,'GFCA001','Suture de plaie pleuropulmonaire, par thoracotomie',445.25,346.02),(2810,'GFCC001','Suture de plaie pleuropulmonaire, par thoracoscopie',324.01,275.70),(2811,'GFEA001','Transplantation séquentielle des 2 poumons, par thoracotomie avec CEC',0.00,0.00),(2812,'GFEA002','Transplantation de lobe pulmonaire, par thoracotomie avec CEC',0.00,0.00),(2813,'GFEA003','Transplantation d\'un poumon, par thoracotomie sans CEC',0.00,0.00),(2814,'GFEA004','Transplantation séquentielle des 2 poumons, par thoracotomie sans CEC',0.00,0.00),(2815,'GFEA005','Transplantation de lobe pulmonaire, par thoracotomie sans CEC',0.00,0.00),(2816,'GFEA006','Transplantation bipulmonaire, par thoracotomie avec CEC',0.00,0.00),(2817,'GFEA007','Transplantation d\'un poumon, par thoracotomie avec CEC',0.00,0.00),(2818,'GFFA001','Pneumonectomie avec exérèse totale de la plèvre [Pleuropneumonectomie], par thoracotomie',985.51,882.49),(2819,'GFFA002','Pneumonectomie avec résection et remplacement prothétique de la veine cave supérieure, par thoracotomie',1153.54,1000.31),(2820,'GFFA003','Exérèse de kyste bronchogénique, par thoracotomie',421.15,375.93),(2821,'GFFA004','Lobectomie pulmonaire avec résection-anastomose ou réimplantation de bronche, par thoracotomie',939.43,825.04),(2822,'GFFA005','Résection de bulle d\'emphysème pulmonaire, par thoracotomie',416.89,399.08),(2823,'GFFA006','Lobectomie pulmonaire avec résection et remplacement prothétique de la veine cave supérieure, par thoracotomie',1000.13,1000.13),(2824,'GFFA007','Pneumonectomie avec résection d\'organe et/ou de structure de voisinage, par thoracotomie',1038.69,924.30),(2825,'GFFA008','Lobectomie pulmonaire supérieure avec résection de côte et libération du plexus brachial, par thoracotomie',1042.23,915.39),(2826,'GFFA009','Lobectomie pulmonaire, par thoracotomie avec préparation par thoracoscopie',838.75,686.22),(2827,'GFFA010','Bilobectomie pulmonaire avec résection de la paroi thoracique, par thoracotomie',918.16,821.48),(2828,'GFFA011','Pneumonectomie avec résection-anastomose de la bifurcation trachéale, par thoracotomie',1066.34,885.48),(2829,'GFFA012','Pneumonectomie, par thoracotomie avec préparation par thoracoscopie',874.91,680.86),(2830,'GFFA013','Lobectomie pulmonaire, par thoracotomie',743.03,614.57),(2831,'GFFA014','Exérèse de kyste hydatique du poumon, par thoracotomie',556.57,480.09),(2832,'GFFA015','Bilobectomie pulmonaire avec résection et remplacement prothétique de la veine cave supérieure, par thoracotomie',1004.92,1004.92),(2833,'GFFA016','Lobectomie pulmonaire avec résection-anastomose de la veine cave supérieure ou résection de l\'oreillette gauche, par thoracotomie',1032.30,953.52),(2834,'GFFA017','Exérèse partielle non anatomique unique du poumon, par thoracotomie',374.48,374.48),(2835,'GFFA018','Bilobectomie pulmonaire, par thoracotomie',827.40,663.51),(2836,'GFFA019','Exérèse de lobe pulmonaire restant [Totalisation de pneumonectomie], par thoracotomie',996.15,761.38),(2837,'GFFA020','Prélèvement de poumon au cours d\'un prélèvement multiorgane, sur un sujet en état de mort encéphalique',0.00,0.00),(2838,'GFFA021','Exérèses partielles non anatomiques multiples du poumon, par thoracotomie',486.37,465.71),(2839,'GFFA022','Lobectomie pulmonaire avec résection d\'organe et/ou de structure de voisinage, par thoracotomie',944.39,869.62),(2840,'GFFA023','Bilobectomie pulmonaire avec résection-anastomose ou réimplantation de bronche, par thoracotomie',1040.10,883.44),(2841,'GFFA024','Pneumonectomie, par thoracotomie',776.36,607.57),(2842,'GFFA025','Pneumonectomie avec résection de la paroi thoracique, par thoracotomie',962.11,846.97),(2843,'GFFA026','Lobectomie pulmonaire avec résection-anastomose de la bifurcation trachéale, par thoracotomie',1004.65,862.87),(2844,'GFFA027','Lobectomie pulmonaire avec résection de la paroi thoracique, par thoracotomie',824.57,767.20),(2845,'GFFA028','Pneumonectomie avec résection-anastomose de la veine cave supérieure ou résection de l\'oreillette gauche, par thoracotomie',1052.87,965.44),(2846,'GFFA029','Segmentectomie pulmonaire unique ou multiple, par thoracotomie',680.64,578.39),(2847,'GFFA030','Lobectomie pulmonaire supérieure avec résection de côte et libération du plexus brachial, par cervicothoracotomie',1178.36,994.34),(2848,'GFFA031','Bilobectomie pulmonaire avec résection-anastomose de la veine cave supérieure ou résection de l\'oreillette gauche, par thoracotomie',1057.12,967.92),(2849,'GFFA032','Résection de bulle d\'emphysème avec réduction de volume pulmonaire, par thoracotomie',509.06,452.54),(2850,'GFFA033','Lobectomie pulmonaire supérieure avec résection de côte, de vertèbre, de vaisseau subclavier, exérèse de noeud [ganglion] lymphatique cervical et libération du plexus brachial, par cervicothoracotomie',1338.59,1087.28),(2851,'GFFA034','Bilobectomie pulmonaire avec résection d\'organe et/ou de structure de voisinage, par thoracotomie',984.80,893.05),(2852,'GFFA035','Exérèse de séquestration extralobaire, par thoracotomie',375.93,375.93),(2853,'GFFC002','Exérèse partielle non anatomique du poumon, par thoracoscopie',412.88,412.88),(2854,'GFFC003','Exérèse de séquestration extralobaire, par thoracoscopie',392.06,392.06),(2855,'GFFC004','Exérèse de kyste bronchogénique, par thoracoscopie',440.29,403.17),(2856,'GFFC005','Résection de bulle pulmonaire avec abrasion ou exérèse de la plèvre pariétale, par thoracoscopie',447.63,447.63),(2857,'GFFC006','Résection de bulle pulmonaire, par thoracoscopie',412.88,412.88),(2858,'GFQJ002','Échographie du médiastin et/ou du poumon, par voie oesophagienne ou par voie bronchique',37.80,37.80),(2859,'GFQL001','Tomoscintigraphie pulmonaire de ventilation',265.28,265.28),(2860,'GFQL002','Tomoscintigraphie pulmonaire de ventilation et de perfusion',534.15,534.15),(2861,'GFQL004','Scintigraphie pulmonaire de ventilation',176.85,176.85),(2862,'GFQL005','Tomoscintigraphie pulmonaire de perfusion',268.87,268.87),(2863,'GFQL006','Scintigraphie pulmonaire de ventilation et de perfusion',357.29,357.29),(2864,'GFQL007','Scintigraphie pulmonaire de perfusion',180.44,180.44),(2865,'GFQM001','Échographie transthoracique du médiastin, du poumon et/ou de la cavité pleurale',37.05,37.05),(2866,'GFQP001','Mesure de la compliance [de l\'élasticité] pulmonaire',64.60,59.24),(2867,'GFQP002','Examen anatomopathologique d\'une pièce de pneumonectomie ou de pièces de lobectomies pulmonaires multiples',61.60,61.60),(2868,'GFQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse d\'une lobectomie pulmonaire, sans résection de côte ni de vertèbre',116.35,116.35),(2869,'GFQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse d\'une lobectomie pulmonaire, avec résection de côte et/ou de vertèbre',142.24,142.24),(2870,'GFQX006','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse pulmonaire non anatomique et/ou de segmentectomie, non différenciées, sans résection de côte ni de vertèbre',68.45,68.45),(2871,'GFQX007','Examen anatomopathologique à visée carcinologique de pièce de pneumonectomie ou de lobectomies pulmonaires multiples, avec résection de côte et/ou de vertèbre',159.06,159.06),(2872,'GFQX008','Examen anatomopathologique à visée carcinologique de pièce de pneumonectomie ou de lobectomies pulmonaires multiples, sans résection de côte ni de vertèbre',132.60,132.60),(2873,'GFQX009','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse pulmonaire non anatomique et/ou de segmentectomie, différenciées, sans résection de côte ni de vertèbre',99.72,99.72),(2874,'GFQX010','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse pulmonaire non anatomique et/ou de segmentectomie, avec résection de côte et/ou de vertèbre',96.64,96.64),(2875,'GFQX020','Examen histopathologique de biopsie de poumon avec coloration spéciale pour diagnostic d\'affection non carcinologique',60.00,60.00),(2876,'GGBA001','Interposition ou apposition de lambeau pleural ou péricardique, au cours d\'une intervention intrathoracique',0.00,0.00),(2877,'GGCA001','Pleurostomie cutanée avec résection costale, par thoracotomie [Thoracostomie en gueule de four]',393.50,316.00),(2878,'GGFA001','Exérèse de tumeur de la plèvre, par thoracotomie avec préparation par thoracoscopie',411.22,355.22),(2879,'GGFA003','Exérèse de tumeur de la plèvre, par thoracotomie',436.04,353.49),(2880,'GGHB001','Ponction d\'un épanchement pleural, sans guidage',37.24,31.28),(2881,'GGHB002','Biopsie de la plèvre, par voie transcutanée sans guidage',79.04,57.94),(2882,'GGJA001','Évacuation de collection septique de la cavité pleurale avec débridement, par thoracotomie',354.50,293.40),(2883,'GGJA002','Évacuation de collection de la cavité pleurale, par thoracotomie',209.00,209.00),(2884,'GGJA003','Décaillotage de la cavité pleurale, par thoracotomie',294.94,258.85),(2885,'GGJA004','Évacuation de collection de la cavité pleurale avec résection costale, par thoracotomie',221.21,216.08),(2886,'GGJB001','Drainage d\'un épanchement de la cavité pleurale, par voie transcutanée sans guidage',83.60,64.62),(2887,'GGJB002','Évacuation d\'un épanchement de la cavité pleurale, par voie transcutanée sans guidage',47.88,37.45),(2888,'GGJB005','Pose de plusieurs drains thoraciques pour irrigation-lavage pleurale, par voie transcutanée',86.64,66.38),(2889,'GGJB006','Séance d\'irrigation-lavage pleurale',40.28,33.04),(2890,'GGJB007','Séance de lavage pleural, par un dispositif implanté',34.20,29.51),(2891,'GGJC001','Évacuation de collection septique de la cavité pleurale avec débridement, par thoracoscopie',254.53,235.41),(2892,'GGJC002','Évacuation d\'un hémothorax, par thoracoscopie',254.53,235.41),(2893,'GGLA001','Pose d\'un cathéter intrapleural par voie transcutanée, avec pose d\'un système diffuseur ou d\'une pompe implantable souscutané',141.80,126.14),(2894,'GGLB001','Séance d\'injection intrapleurale d\'agent pharmacologique anticancéreux, par voie transcutanée',0.00,0.00),(2895,'GGLB002','Injection intrapleurale d\'agent pharmacologique, par voie transcutanée',41.04,33.48),(2896,'GGLB006','Pose d\'un drain thoracique pour lavage pleural, par voie transcutanée',73.72,58.89),(2897,'GGLB008','Séance d\'administration intrapleurale d\'agent pharmacologique anticancéreux, par un dispositif implanté',0.00,0.00),(2898,'GGLB009','Administration intrapleurale d\'agent pharmacologique au long cours',128.44,92.05),(2899,'GGLC001','Instillation intrapleurale de substance irritante, par thoracoscopie',173.71,135.86),(2900,'GGNA001','Abrasion ou exérèse de la plèvre pariétale, par thoracotomie',265.88,254.80),(2901,'GGNC001','Abrasion ou exérèse de la plèvre pariétale, par thoracoscopie',289.27,284.50),(2902,'GGPA001','Décortication pleuropulmonaire, par thoracotomie',738.07,585.36),(2903,'GGPA002','Libération du poumon [Pneumolyse] pour symphyse pleurale',453.76,350.96),(2904,'GGQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de tumeur de plèvre',70.71,70.71),(2905,'GHFA001','Exérèse de tumeur du médiastin, par cervicotomie',474.32,406.78),(2906,'GHFA002','Exérèse de tumeur du médiastin, par thoracotomie avec préparation par thoracoscopie',497.72,436.47),(2907,'GHFA003','Exérèse de tumeur du médiastin avec résection d\'organe et/ou de structure de voisinage, par thoracotomie',984.09,834.11),(2908,'GHFA004','Exérèse de tumeur du médiastin, par thoracotomie',662.92,516.16),(2909,'GHJA001','Évacuation de collection du médiastin, par cervicotomie',313.50,313.50),(2910,'GHJA002','Évacuation de collection du médiastin, par thoracotomie',432.49,382.52),(2911,'GHQA001','Exploration du médiastin, par cervicotomie',313.50,313.50),(2912,'GHQC001','Exploration du médiastin, par médiastinoscopie',240.35,171.66),(2913,'GJQP001','Olfactométrie',0.00,0.00),(2914,'GKGD002','Ablation d\'un implant phonatoire oesotrachéal, sans endoscopie',30.03,25.48),(2915,'GKGE002','Ablation d\'implant phonatoire oesotrachéal ou de tube de calibrage intralaryngé, par endoscopie',57.75,57.69),(2916,'GKKD002','Changement d\'un implant phonatoire oesotrachéal, sans endoscopie',97.79,80.91),(2917,'GKKE002','Changement d\'implant phonatoire oesotrachéal, par endoscopie',98.56,81.36),(2918,'GKLD001','Pose d\'une prothèse phonatoire vélopalatine',192.00,192.00),(2919,'GKQE001','Bilan phonétique de la parole avec fibroscopie du pharynx et du larynx par voie nasale',61.60,47.82),(2920,'GKQP001','Analyse informatisée acoustique de la voix',40.04,35.32),(2921,'GKQP002','Évaluation phoniatrique de la communication chez l\'enfant malentendant',79.31,75.86),(2922,'GKQP005','Évaluation phoniatrique de la communication chez l\'adulte malentendant',60.06,60.06),(2923,'GKQP006','Analyse informatisée acoustique de la parole',46.20,38.89),(2924,'GKQP008','Analyse informatisée de la parole et/ou de la voix par électroglottographie',26.18,23.25),(2925,'GKQP010','Bilan instrumental de la phonation avec enregistrement vidéoscopique et/ou photographique, et examen stroboscopique du larynx',52.36,38.43),(2926,'GKQP011','Analyse informatisée aérodynamique de la phonation',40.04,35.32),(2927,'GKRP001','Séance de rééducation de la voix, de la parole et/ou du langage, avec contrôle instrumental',53.90,36.24),(2928,'GLBP001','Compression thérapeutique avec inhalation de mélange suroxygéné ou d\'oxygène pur à une pression initiale égale ou supérieure à 280 kilopascals [kPa], d\'une durée de 3 à 7 heures',259.32,233.39),(2929,'GLBP002','Compression thérapeutique avec inhalation de mélange suroxygéné ou d\'oxygène pur à une pression initiale égale ou supérieure à 280 kilopascals [kPa], d\'une durée de 1 à 3 heures',141.89,127.70),(2930,'GLBP003','Compression thérapeutique avec inhalation de mélange suroxygéné ou d\'oxygène pur à une pression initiale égale ou supérieure à 280 kilopascals [kPa], d\'une durée de 7 heures ou plus',293.57,264.21),(2931,'GLHF001','Prélèvement de sang artériel avec gazométrie sanguine et mesure du pH, sans épreuve d\'hyperoxie',36.48,36.48),(2932,'GLHF002','Prélèvement de sang artériel avec gazométrie sanguine et mesure du pH, avec épreuve d\'hyperoxie',54.72,54.72),(2933,'GLJF001','Épuration extracorporelle du dioxyde de carbone [CO2] par voie veinoveineuse, par 24 heures',0.00,0.00),(2934,'GLJF002','Épuration extracorporelle du dioxide de carbone [CO2] par voie veinoartérielle, par 24 heures',0.00,0.00),(2935,'GLJF010','Épuration extracorporelle du dioxyde de carbone [CO2], par 24 heures',0.00,0.00),(2936,'GLKP001','Changement du revêtement interne d\'un masque facial de ventilation nasale',0.00,0.00),(2937,'GLLB001','Pose d\'un dispositif de mesure de la saturation jugulaire en oxygène, par voie veineuse transcutanée',0.00,0.00),(2938,'GLLD001','Oxygénothérapie hyperbare avec utilisation de ventilation mécanique',0.00,0.00),(2939,'GLLD002','Ventilation mécanique discontinue au masque facial ou par embout buccal pour kinésithérapie, par 24 heures',0.00,0.00),(2940,'GLLD003','Ventilation spontanée au masque facial, par canule nasale ou par sonde nasopharyngée, sans aide inspiratoire, avec pression expiratoire positive [VS-PEP] [Continuous positive airway pressure] [CPAP], par 24 heures',0.00,0.00),(2941,'GLLD004','Ventilation mécanique intratrachéale avec pression expiratoire positive [PEP] supérieure à 6 et/ou FiO2 supérieure à 60%, avec technique de décubitus ventral alterné par 24 heures',0.00,0.00),(2942,'GLLD005','Administration de monoxyde d\'azote [NO] inhalé, chez un patient ventilé',0.00,0.00),(2943,'GLLD006','Ventilation spontanée sur sonde d\'intubation trachéale au cours du sevrage d\'une ventilation mécanique, par 24 heures',0.00,0.00),(2944,'GLLD007','Ventilation mécanique à poumons séparés, par 24 heures',0.00,0.00),(2945,'GLLD008','Ventilation mécanique intratrachéale avec pression expiratoire positive [PEP] supérieure à 6 et/ou FiO2 supérieure à 60%, par 24 heures',0.00,0.00),(2946,'GLLD009','Ventilation par oscillations à haute fréquence, par 24 heures',0.00,0.00),(2947,'GLLD010','Ventilation liquide, par 24 heures',0.00,0.00),(2948,'GLLD011','Ventilation à fréquence supérieure à 80 par minute [Ventilation à haute fréquence] [VHF], par 24 heures',0.00,0.00),(2949,'GLLD012','Ventilation mécanique continue au masque facial pour suppléance ventilatoire, par 24 heures',0.00,0.00),(2950,'GLLD013','Ventilation spontanée sur trachéotomie au cours du sevrage d\'une ventilation mécanique, par 24 heures',0.00,0.00),(2951,'GLLD015','Ventilation mécanique intratrachéale avec pression expiratoire positive [PEP] inférieure ou égale à 6 et FiO2 inférieure ou égale à 60%, par 24 heures',0.00,0.00),(2952,'GLLD016','Ventilation manuelle d\'un nouveau-né à la naissance, au masque facial, avec administration intraveineuse d\'agent pharmacologique et/ou de soluté',0.00,0.00),(2953,'GLLD017','Oxygénothérapie avec surveillance continue de l\'oxymétrie, en dehors de la ventilation mécanique, par 24 heures',0.00,0.00),(2954,'GLLD018','Ventilation manuelle d\'un nouveau-né à la naissance, au masque facial',0.00,0.00),(2955,'GLLD019','Ventilation barométrique ou volumétrique non effractive au masque facial pendant au moins 2 heures cumulées au cours des 12 heures, pour insuffisance respiratoire aigüe',0.00,0.00),(2956,'GLLD020','Oxygénothérapie hyperbare sans utilisation de ventilation mécanique',0.00,0.00),(2957,'GLLD021','Oxygénothérapie hyperbare avec inhalation d\'oxygène pur d\'une durée minimale de 60 minutes à une pression de 200 à 280 kilopascals [kPa], chez un patient en ventilation mécanique',122.32,110.09),(2958,'GLLP003','Pose d\'un masque facial de ventilation nasale',0.00,0.00),(2959,'GLLP006','Oxygénothérapie hyperbare avec inhalation d\'oxygène pur d\'une durée minimale de 60 minutes à une pression de 200 à 280 kilopascals [kPa] chez un patient en ventilation spontanée, pour affection en dehors de la phase aigüe',36.70,33.03),(2960,'GLLP007','Oxygénothérapie hyperbare avec inhalation d\'oxygène pur d\'une durée minimale de 60 minutes à une pression de 200 à 280 kilopascals [kPa] chez un patient en ventilation spontanée, pour affection en phase aigüe',61.16,55.04),(2961,'GLMF001','Adaptation des réglages d\'une ventilation non effractive par mesures répétées des gaz du sang, par 24 heures',0.00,0.00),(2962,'GLMP001','Adaptation d\'une pression positive continue [PPC] ventilatoire par système de pression autoadaptable avec enregistrement de la pression au masque, par 24 heures',0.00,0.00),(2963,'GLQD001','Mesure de la capacité de transfert pulmonaire du monoxyde de carbone [TLCO] ou d\'un autre gaz en apnée ou en état stable, au cours d\'une épreuve fonctionnelle respiratoire',0.00,0.00),(2964,'GLQD002','Mesure des compliances [de l\'élasticité] thoracopulmonaires avec mesure de la pression oesophagienne, avant l\'âge de 3 ans',117.80,90.10),(2965,'GLQD003','Mesure des volumes pulmonaires non mobilisables par dilution ou rinçage d\'un gaz indicateur, au cours d\'une épreuve fonctionnelle respiratoire',0.00,0.00),(2966,'GLQD004','Mesure de la différence alvéoloartérielle des pressions partielles en oxygène par analyse des gaz expirés et des gaz du sang',69.12,69.12),(2967,'GLQD006','Mesure de la pression d\'occlusion à la bouche à 0,1 seconde d\'inspiration [P 0,1]',0.00,0.00),(2968,'GLQD007','Mesure du volume capillaire pulmonaire par mesures de la capacité de transfert pulmonaire',54.72,47.87),(2969,'GLQF001','Réglage du débit d\'oxygène par mesures répétées des gaz du sang, pour instauration ou adaptation d\'une oxygénothérapie de débit défini, par 24 heures',69.12,69.12),(2970,'GLQL002','Mesure radio-isotopique de la perméabilité alvéolocapillaire',265.28,265.28),(2971,'GLQP001','Réglage du débit d\'oxygène par surveillance transcutanée de la saturation en oxygène, pour instauration ou adaptation d\'une oxygénothérapie de débit défini chez l\'enfant, par 24 heures',0.00,0.00),(2972,'GLQP002','Mesure de la capacité vitale lente et de l\'expiration forcée, avec mesure des volumes pulmonaires mobilisables et non mobilisables par pléthysmographie',76.80,76.80),(2973,'GLQP003','Mesure de l\'expiration forcée [Courbe débit-volume] avec enregistrement',0.00,0.00),(2974,'GLQP004','Surveillance continue transcutanée de la pression partielle sanguine en oxygène [PO2] et/ou en dioxyde de carbone [PCO2] chez le nouveau-né, par 24 heures',0.00,0.00),(2975,'GLQP005','Enregistrement continu de la saturation sanguine en oxygène par mesure transcutanée [SpO2] [Oxymétrie de pouls], pendant au moins 6 heures',0.00,0.00),(2976,'GLQP006','Mesure de la réponse au dioxyde de carbone [CO2] par établissement d\'une courbe réponse ventilatoire/concentration de CO2',0.00,0.00),(2977,'GLQP007','Polygraphie respiratoire nocturne',145.92,119.31),(2978,'GLQP008','Mesure de la capacité vitale lente et de l\'expiration forcée, avec gazométrie sanguine artérielle [Spirométrie standard avec gaz du sang]',67.20,67.20),(2979,'GLQP009','Mesure de la capacité vitale et du volume courant par pléthysmographie d\'inductance',34.56,34.56),(2980,'GLQP010','Mesure transcutanée de la tension partielle d\'oxygène [TcPO2] en hyperhémie',0.00,0.00),(2981,'GLQP011','Mesure des volumes pulmonaires mobilisables et non mobilisables par pléthysmographie',67.64,63.42),(2982,'GLQP012','Mesure de la capacité vitale lente et de l\'expiration forcée, avec enregistrement [Spirométrie standard]',40.28,37.88),(2983,'GLQP013','Mesure transcutanée de la tension partielle en oxygène [TcPO2] au repos',0.00,0.00),(2984,'GLQP014','Mesure du débit expiratoire maximal par technique de compression',0.00,0.00),(2985,'GLQP015','Surveillance continue de la saturation jugulaire en oxygène par dispositif intraveineux, par 24 heures',0.00,0.00),(2986,'GLQP016','Mesure des résistances des voies aériennes ou de l\'appareil respiratoire par interruption des débits ou des oscillations forcées',28.80,28.80),(2987,'GLQP017','Épreuve d\'oxygénothérapie hyperbare [OHB] avec mesure transcutanée de la pression partielle en oxygène [PtcO2]',24.46,22.01),(2988,'GLRP001','Séance de réentraînement à l\'exercice d\'un enfant asthmatique, sur machine',0.00,0.00),(2989,'GLRP002','Séance de réentraînement à l\'exercice d\'un insuffisant respiratoire chronique, sur machine',0.00,0.00),(2990,'GLRP003','Épreuve d\'effort sur tapis roulant ou bicyclette ergométrique, avec mesure des gaz du sang [Épreuve d\'effort simplifiée] [Gazométrie à l\'effort]',73.72,70.98),(2991,'GLRP004','Épreuve d\'effort sur tapis roulant ou bicyclette ergométrique, avec mesure des gaz du sang et du débit d\'oxygène consommé [VO2], et surveillance électrocardioscopique discontinue',121.60,114.88),(2992,'HAAA001','Approfondissement du vestibule oral [sillon gingivojugal] par section mucopériostée avec greffe cutanée ou muqueuse',119.82,104.61),(2993,'HAAA002','Approfondissement du vestibule oral [sillon gingivojugal] par section mucopériostée',83.60,83.60),(2994,'HAAA003','Approfondissement du plancher de la bouche par section musculaire',125.40,125.40),(2995,'HABA001','Cerclage des lèvres par greffe tendineuse ou aponévrotique et/ou suspension de la commissure labiale, pour traitement palliatif de la paralysie faciale',308.42,249.10),(2996,'HACA001','Adhésion labiale pour fente labio-maxillo-palatine unilatérale',159.53,145.19),(2997,'HACA002','Adhésion labiale pour fente labio-maxillo-palatine bilatérale',253.11,234.59),(2998,'HADA001','Labioglossopexie',154.00,141.99),(2999,'HADA002','Hyomandibulopexie',173.25,153.15),(3000,'HAFA001','Glossectomie partielle de base, par cervicotomie',326.48,259.58),(3001,'HAFA002','Pelvi-glosso-mandibulectomie non interruptrice, par abord intrabuccal',338.80,288.68),(3002,'HAFA003','Glossectomie totale de langue mobile, par abord cervicofacial',341.11,268.07),(3003,'HAFA004','Pelvimandibulectomie interruptrice, par abord cervicofacial',558.25,464.23),(3004,'HAFA005','Exérèse partielle de la base de la langue et/ou du sillon amygdaloglosse, par abord intrabuccal',193.27,182.32),(3005,'HAFA006','Pelviglossectomie de langue mobile, par abord intrabuccal',234.85,206.43),(3006,'HAFA007','Pelvectomie orale partielle, par abord intrabuccal',193.27,182.32),(3007,'HAFA008','Exérèse non transfixiante de lésion de lèvre',60.97,47.46),(3008,'HAFA009','Exérèse de kyste du plancher de la bouche, par abord intrabuccal et par abord facial',174.41,171.38),(3009,'HAFA011','Exérèse de kyste de lèvre',37.58,33.89),(3010,'HAFA012','Glossectomie totale de base',472.78,344.44),(3011,'HAFA013','Glossectomie totale de langue mobile, par abord intrabuccal',212.52,193.49),(3012,'HAFA014','Vermillonectomie avec reconstruction de lèvre par lambeau muqueux rétrolabial',136.13,131.62),(3013,'HAFA015','Exérèse de lésion de la muqueuse de la bouche ou de l\'oropharynx de moins de 2 cm de grand axe, par abord intrabuccal',41.12,37.01),(3014,'HAFA016','Glossectomie totale avec pharyngolaryngectomie totale',736.89,690.73),(3015,'HAFA017','Pelvi-glosso-mandibulectomie interruptrice, par abord cervicofacial',586.74,480.76),(3016,'HAFA019','Exérèse de lésion de la muqueuse de la bouche ou de l\'oropharynx de plus de 4 cm de grand axe, par abord intrabuccal',167.20,167.20),(3017,'HAFA020','Exérèse transfixiante de lésion de lèvre, ou exérèse d\'une commissure labiale',92.17,75.40),(3018,'HAFA021','Exérèse non transfixiante de lésion infiltrante de la joue, par abord intrabuccal',125.40,125.40),(3019,'HAFA022','Exérèse transfixiante de lésion de la joue, par abord facial',125.40,125.40),(3020,'HAFA023','Glossectomie partielle de langue mobile, par abord intrabuccal',116.27,111.32),(3021,'HAFA024','Pelvimandibulectomie non interruptrice, par abord cervicofacial',475.09,367.72),(3022,'HAFA026','Pelvi-glosso-mandibulectomie non interruptrice, par abord cervicofacial',475.09,367.72),(3023,'HAFA027','Pelviglossectomie de langue mobile, par abord cervicofacial',391.16,297.10),(3024,'HAFA028','Résection de cicatrice de lèvre',54.59,49.22),(3025,'HAFA029','Glossectomie totale de base de langue et de langue mobile',529.76,377.48),(3026,'HAFA030','Résection de lèvre, pour traitement palliatif de la paralysie faciale',167.20,167.20),(3027,'HAFA031','Exérèse d\'une lèvre débordant sur une ou plusieurs unités adjacentes',125.40,125.40),(3028,'HAFA032','Exérèse de lésion de la muqueuse de la bouche ou de l\'oropharynx de 2 cm à 4 cm de grand axe, par abord intrabuccal',104.50,104.50),(3029,'HAFA033','Pelvimandibulectomie non interruptrice, par abord intrabuccal',310.31,272.15),(3030,'HAFA034','Exérèse de kyste du plancher de la bouche, par abord intrabuccal',114.15,83.77),(3031,'HAHA002','Biopsie de lèvre',29.19,20.97),(3032,'HAHD001','Frottis et/ou prélèvement intrabuccal',10.64,10.20),(3033,'HAHD002','Biopsie de la cavité orale et/ou de l\'oropharynx, avec guidage par des colorations vitales',33.11,23.24),(3034,'HAHD003','Biopsie de la cavité orale et/ou de l\'oropharynx, sans coloration vitale',26.95,19.67),(3035,'HAJA002','Évacuation de collection pelvilinguale, par abord intrabuccal',41.80,41.80),(3036,'HAJA003','Parage et/ou suture de plaie cutanée non transfixiante de lèvre',34.03,26.32),(3037,'HAJA006','Parage et/ou suture de plaie transfixiante de lèvre',55.30,38.66),(3038,'HAJA007','Parage et/ou suture de plaies muqueuses intrabuccales multiples',44.67,32.49),(3039,'HAJA008','Parage et/ou suture de plaie du voile du palais',51.59,36.51),(3040,'HAJA009','Parage et/ou suture de plaie de la langue',41.58,28.50),(3041,'HAJA010','Parage et/ou suture d\'une plaie muqueuse intrabuccale',32.61,23.30),(3042,'HAJD003','Pansement intrabuccal sous anesthésie générale, dans les suites d\'un acte sur la cavité orale',43.96,38.66),(3043,'HAJD004','Évacuation de collection de la base de la langue',83.60,83.60),(3044,'HALD001','Pose de dispositif intrabuccal d\'expansion labiojugale',153.60,153.60),(3045,'HALD002','Pose d\'un appareillage antiautomorsure',0.00,0.00),(3046,'HALD003','Pose d\'une plaque palatine active [orthopédique] pour fente orofaciale',48.00,48.00),(3047,'HALD004','Pose d\'une plaque palatine non active [passive] pour fente orofaciale ou division palatine',48.00,48.00),(3048,'HALD005','Pose d\'une prothèse intrabuccale pour perte de substance du palais dur et du palais mou',192.00,192.00),(3049,'HAMA001','Glossoplastie de réduction',125.40,125.40),(3050,'HAMA002','Réparation de perte de substance de lèvre par lambeau bilatéral de lèvre ou de joue',250.80,250.80),(3051,'HAMA003','Réparation de perte de substance du vermillon labial par lambeau muqueux hétérolabial [lambeau en rideau]',167.20,167.20),(3052,'HAMA004','Réparation de perte de substance du vermillon labial par lambeau de langue',167.20,167.20),(3053,'HAMA005','Réparation de perte de substance de lèvre par lambeau libre',821.73,546.83),(3054,'HAMA006','Correction primaire unilatérale complète d\'une fente labioalvéolaire ou labiomaxillaire',304.16,246.64),(3055,'HAMA007','Reconstruction du philtrum par lambeau hétérolabial, pour séquelle d\'une fente orofaciale',0.00,0.00),(3056,'HAMA008','Réparation de perte de substance du vermillon labial par lambeau muqueux rétrolabial ou avancement du vermillon restant',167.20,167.20),(3057,'HAMA010','Réparation de perte de substance de la lèvre inférieure par lambeau de glissement ou de rotation mentonnier',250.80,250.80),(3058,'HAMA011','Réparation de perte de substance de lèvre par lambeau cutané deltopectoral',374.35,322.46),(3059,'HAMA012','Plastie cutanéomuqueuse de symétrisation labiale pour séquelle d\'une fente labio-maxillo-palatine',213.41,150.11),(3060,'HAMA014','Réparation de perte de substance de lèvre par lambeau musculocutané pédiculé',455.89,369.75),(3061,'HAMA015','Réanimation de la commissure labiale par transfert musculaire pédiculé, pour traitement palliatif de la paralysie faciale',409.80,307.91),(3062,'HAMA016','Réparation de perte de substance de lèvre par lambeau hétérolabial',192.85,182.07),(3063,'HAMA017','Correction primaire bilatérale complète d\'une fente labioalvéolaire ou labiomaxillaire',309.71,309.71),(3064,'HAMA018','Réparation de perte de substance de lèvre par lambeau hétérolabial et lambeau bilatéral de lèvre et/ou de joue',317.63,289.56),(3065,'HAMA020','Réparation de perte de substance de lèvre par lambeau de front et/ou de cuir chevelu',338.90,301.90),(3066,'HAMA021','Réparation de perte de substance de lèvre par lambeau hétérolabial et lambeau unilatéral de lèvre et/ou de joue',281.47,268.59),(3067,'HAMA023','Réparation de perte de substance de lèvre par lambeau nasogénien unilatéral et lambeau controlatéral de lèvre et/ou de joue',272.26,263.24),(3068,'HAMA024','Correction de séquelle labionarinaire d\'une fente labio-maxillo-palatine unilatérale',334.65,299.43),(3069,'HAMA025','Correction de séquelle labionarinaire d\'une fente labio-maxillo-palatine bilatérale',410.51,378.55),(3070,'HAMA026','Pelviglossoplastie',175.56,154.49),(3071,'HAMA027','Réparation de perte de substance de lèvre par lambeau cutané local',175.12,171.79),(3072,'HAMA028','Correction de rétraction de lèvre par autoplastie locale',104.50,104.50),(3073,'HAMA029','Réparation de perte de substance de lèvre par lambeau unilatéral de lèvre ou de joue',192.85,182.07),(3074,'HAMA030','Commissuroplastie labiale',167.20,167.20),(3075,'HAMB001','Réfection de l\'aspect du vermillon labial par dermopigmentation',0.00,0.00),(3076,'HAND001','Destruction de lésion de la muqueuse de la bouche ou de l\'oropharynx de 2 cm à 4 cm de grand axe, par voie buccale sans laser',44.67,29.94),(3077,'HAND002','Destruction de lésion de la muqueuse de la bouche ou de l\'oropharynx de moins de 2 cm de grand axe, par voie buccale sans laser',31.20,22.13),(3078,'HAND003','Destruction de lésion de la muqueuse de la bouche ou de l\'oropharynx de plus de 4 cm de grand axe, par voie buccale sans laser',104.50,104.50),(3079,'HAND004','Destruction de lésion de la muqueuse de la bouche ou de l\'oropharynx de moins de 2 cm de grand axe, par voie buccale avec laser',31.33,22.20),(3080,'HAND005','Destruction de lésion de la muqueuse de la bouche ou de l\'oropharynx de plus de 4 cm de grand axe, par voie buccale avec laser',104.50,104.50),(3081,'HAND006','Destruction de lésion de la muqueuse de la bouche ou de l\'oropharynx de 2 cm à 4 cm de grand axe, par voie buccale avec laser',44.86,30.04),(3082,'HANP001','Destruction de lésion du vermillon labial avec laser CO2',0.00,0.00),(3083,'HANP002','Abrasion de la muqueuse des lèvres et de la peau péribuccale avec laser',0.00,0.00),(3084,'HAPA001','Section de bride muqueuse ou de frein intrabuccal avec plastie par lambeau local',35.45,29.34),(3085,'HAPA002','Section du pédicule [Sevrage] d\'un lambeau hétérolabial ou d\'un lambeau de langue',0.00,0.00),(3086,'HAPA003','Libération musculaire et muqueuse d\'une ankyloglossie',62.70,62.70),(3087,'HAPA004','Marsupialisation d\'un kyste du plancher de la bouche',63.10,54.16),(3088,'HAPD001','Section de bride muqueuse ou de frein intrabuccal',20.90,20.90),(3089,'HAQX004','Examen anatomopathologique à visée carcinologique de pièce de pelvimandibulectomie, de pelvi-glosso-mandibulectomie ou d\'oropharyngectomie avec mandibulectomie',89.57,89.57),(3090,'HAQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de lèvre, de commissure labiale et/ou de muqueuse buccale',48.13,48.13),(3091,'HAQX017','Examen anatomopathologique à visée carcinologique de pièce de glossectomie, de pelvectomie buccale, de pelviglossectomie ou d\'oropharyngectomie sans mandibulectomie',69.12,69.12),(3092,'HASA001','Fermeture labiale primaire unilatérale d\'une fente labio-alvéolo-maxillaire, avec correction complète de la déformation nasale [Chéilorhinoplastie unilatérale pour fente labio-alvéolo-maxillaire]',418.31,347.96),(3093,'HASA002','Fermeture d\'une fistule bucconasale séquellaire d\'une fente orofaciale par plastie locale',238.70,199.89),(3094,'HASA003','Fermeture d\'une fistule bucconasale séquellaire d\'une fente orofaciale par plastie locorégionale ou lambeau de langue',275.66,221.33),(3095,'HASA004','Fermeture bilatérale de la lèvre et du palais osseux d\'une fente labio-maxillo-palatine, en un temps [Chéilo-rhino-uranoplastie bilatérale pour fente orofaciale]',529.34,529.34),(3096,'HASA005','Fermeture d\'une fente labiale inférieure médiane',234.84,234.84),(3097,'HASA006','Fermeture labiale primaire bilatérale d\'une fente labio-alvéolo-maxillaire, sans correction complète de la déformation nasale [Chéiloplastie bilatérale pour fente labio-alvéolo-maxillaire]',465.10,375.10),(3098,'HASA007','Fermeture unilatérale complète d\'une fente labio-maxillo-palatine, en un temps [Chéilo-rhino-urano-staphylorraphie unilatérale pour fente orofaciale]',535.30,459.70),(3099,'HASA008','Fermeture primaire bilatérale d\'une fente labiale sans fente osseuse alvéolomaxillaire, sans réparation complète de la déformation nasale [Chéiloplastie primaire bilatérale pour fente labiale]',433.91,330.67),(3100,'HASA009','Fermeture d\'une communication buccosinusienne et/ou bucconasale par lambeau de muscle temporal, par abord intrabuccal et par abord facial',219.45,219.45),(3101,'HASA010','Fermeture bilatérale complète d\'une fente labio-maxillo-palatine, en un temps [Chéilo-rhino-urano-staphylorraphie bilatérale pour fente orofaciale]',670.01,546.61),(3102,'HASA011','Fermeture d\'une macrostomie congénitale de 3 cm ou plus, avec reconstruction de la commissure labiale',230.60,230.60),(3103,'HASA012','Fermeture d\'orostome ou de pharyngostome',104.50,104.50),(3104,'HASA013','Fermeture d\'une communication buccosinusienne et/ou bucconasale par lambeau palatin, par abord intrabuccal',146.30,146.30),(3105,'HASA014','Fermeture primaire bilatérale d\'une fente labiale sans fente osseuse alvéolomaxillaire, avec réparation complète de la déformation nasale [Chéilorhinoplastie primaire bilatérale pour fente labiale]',496.30,384.41),(3106,'HASA015','Fermeture primaire unilatérale d\'une fente labiale sans fente osseuse alvéolomaxillaire, sans réparation complète de la déformation nasale [Chéiloplastie primaire unilatérale pour fente labiale]',275.09,212.22),(3107,'HASA016','Fermeture bilatérale de la lèvre et du voile du palais d\'une fente labio-maxillo-palatine, en un temps [Chéilorhinoplastie bilatérale avec staphylorraphie pour fente orofaciale]',643.06,530.98),(3108,'HASA017','Fermeture unilatérale de la lèvre et du palais osseux d\'une fente labio-maxillo-palatine, en un temps [Chéilo-rhino-uranoplastie unilatérale pour fente orofaciale]',505.52,442.42),(3109,'HASA018','Fermeture d\'une communication buccosinusienne par lambeau de glissement vestibulojugal, par abord intrabuccal',146.30,146.30),(3110,'HASA019','Fermeture labiale primaire unilatérale d\'une fente labio-alvéolo-maxillaire, sans correction complète de la déformation nasale [Chéiloplastie unilatérale pour fente labio-alvéolo-maxillaire]',281.59,281.59),(3111,'HASA020','Fermeture labiale primaire bilatérale d\'une fente labio-alvéolo-maxillaire, avec correction complète de la déformation nasale [Chéilorhinoplastie bilatérale pour fente labio-alvéolo-maxillaire]',553.02,426.09),(3112,'HASA021','Fermeture d\'une fente labiale supérieure médiane',359.46,261.16),(3113,'HASA022','Fermeture unilatérale de la lèvre et du voile du palais d\'une fente labio-maxillo-palatine, en un temps [Chéilorhinoplastie unilatérale avec staphylorraphie pour fente orofaciale]',508.35,444.07),(3114,'HASA023','Fermeture primaire unilatérale d\'une fente labiale sans fente osseuse alvéolomaxillaire, avec réparation complète de la déformation nasale [Chéilorhinoplastie primaire unilatérale pour fente labiale]',347.41,298.06),(3115,'HASA024','Fermeture d\'une macrostomie congénitale de moins de 3 cm, avec reconstruction de la commissure labiale',192.35,192.35),(3116,'HASA025','Fermeture d\'une communication buccosinusienne par lambeau de transposition du corps adipeux de la joue, par abord intrabuccal',146.30,146.30),(3117,'HASD001','Fermeture secondaire bilatérale d\'une fente alvéolaire par gingivopériostoplastie ou lambeau muqueux, avec autogreffe osseuse',397.04,361.96),(3118,'HASD002','Fermeture secondaire unilatérale d\'une fente alvéolaire par gingivopériostoplastie ou lambeau muqueux',235.39,224.31),(3119,'HASD003','Hémostase secondaire à une électrocoagulation intrabuccale',48.92,36.44),(3120,'HASD004','Fermeture secondaire bilatérale d\'une fente alvéolaire par gingivopériostoplastie ou lambeau muqueux',317.63,315.89),(3121,'HASD005','Fermeture secondaire unilatérale d\'une fente alvéolaire par gingivopériostoplastie ou lambeau muqueux, avec autogreffe osseuse',294.94,293.96),(3122,'HASD006','Fermeture primaire d\'une fente du palais osseux [Uranoplastie pour fente orofaciale]',249.57,232.53),(3123,'HASD007','Fermeture primaire d\'une fente palatovélaire [Uranostaphylorraphie pour fente orofaciale]',334.65,281.87),(3124,'HBAA338','Allongement coronaire par gingivectomie sur une dent',0.00,0.00),(3125,'HBBA001','Obturation d\'une résorption radiculaire dentaire externe, par abord parodontal',0.00,0.00),(3126,'HBBA002','Ostéoplastie additive de l\'arcade alvéolaire sur un secteur de 4 à 6 dents',269.61,269.61),(3127,'HBBA003','Ostéoplastie additive de l\'arcade alvéolaire sur un secteur de 1 à 3 dents',85.69,85.69),(3128,'HBBA004','Ostéoplastie additive de l\'arcade alvéolaire sur un secteur de 7 dents ou plus',298.87,298.87),(3129,'HBBD001','Obturation radiculaire d\'une prémolaire après apexification',48.20,48.20),(3130,'HBBD001','Obturation radiculaire d\'une prémolaire autre que la première prémolaire maxillaire après apexification',48.20,48.20),(3131,'HBBD002','Obturation radiculaire d\'une molaire après apexification',81.94,81.94),(3132,'HBBD003','Obturation radiculaire d\'une incisive ou d\'une canine après apexification',33.74,33.74),(3133,'HBBD004','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 4 dents',86.76,86.76),(3134,'HBBD005','Comblement [Scellement] prophylactique des puits, sillons et fissures sur une dent',21.69,21.69),(3135,'HBBD005','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 1 dent',21.69,21.69),(3136,'HBBD006','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 2 dents',43.38,43.38),(3137,'HBBD007','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 3 dents',65.07,65.07),(3138,'HBBD039','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 5 dents',108.45,108.45),(3139,'HBBD098','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 7 dents',151.83,151.83),(3140,'HBBD234','Obturation radiculaire d\'une première prémolaire maxillaire après apexification',48.20,48.20),(3141,'HBBD404','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 6 dents',130.14,130.14),(3142,'HBBD427','Comblement [Scellement] prophylactique des puits, sillons et fissures sur 8 dents',173.52,173.52),(3143,'HBDD001','Contention d\'une arcade dentaire par dispositif fixe, après traitement orthodontique',0.00,0.00),(3144,'HBDD002','Contention d\'une arcade dentaire par dispositif amovible, après traitement orthodontique',0.00,0.00),(3145,'HBDD007','Contention peropératoire des arcades dentaires par moyen autre qu\'un arc vestibulaire continu',0.00,0.00),(3146,'HBDD008','Contention peropératoire des arcades dentaires par arc vestibulaire continu',0.00,0.00),(3147,'HBDD009','Contention des arcades dentaires par dispositif amovible, après traitement orthodontique',0.00,0.00),(3148,'HBDD010','Contention des arcades dentaires par dispositif fixe, après traitement orthodontique',0.00,0.00),(3149,'HBDD011','Contention des arcades dentaires par dispositif amovible bimaxillaire monobloc [tooth positioner], après traitement orthodontique',0.00,0.00),(3150,'HBDD013','Contention des arcades dentaires par dispositif fixe sur l\'une et dispositif amovible sur l\'autre, après traitement orthodontique',0.00,0.00),(3151,'HBDD014','Contention peropératoire des arcades dentaires par un arc vestibulaire continu sur l\'une, par autre moyen sur l\'autre',0.00,0.00),(3152,'HBDD017','Contention des arcades dentaires par dispositif amovible bimaxillaire monobloc [tooth positioner] et dispositif fixe sur 1 arcade, après traitement orthodontique',0.00,0.00),(3153,'HBDD018','Contention des arcades dentaires par dispositif amovible bimaxillaire monobloc [tooth positioner] et dispositif fixe sur 2 arcades, après traitement orthodontique',0.00,0.00),(3154,'HBED001','Réimplantation d\'1 dent permanente expulsée',96.40,96.40),(3155,'HBED001','Réimplantation d\'une dent permanente expulsée',96.40,96.40),(3156,'HBED002','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 2 arcades, avec adjonction d\'un dispositif associé',0.00,0.00),(3157,'HBED003','Réimplantation de 2 dents permanentes expulsées',192.80,192.80),(3158,'HBED005','Autogreffe d\'une dent sur arcade, dans un site naturel ou préparé chirurgicalement',0.00,0.00),(3159,'HBED007','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 2 arcades, avec adjonction de 3 dispositifs associés',0.00,0.00),(3160,'HBED008','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe bibague sur 2 arcades',0.00,0.00),(3161,'HBED009','Réduction de fracture alvéolaire en denture permanente',104.50,104.50),(3162,'HBED010','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe bibague sur 1 arcade',0.00,0.00),(3163,'HBED011','Réduction de luxation d\'une dent',0.00,0.00),(3164,'HBED012','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 1 arcade, sans adjonction de dispositif associé',0.00,0.00),(3165,'HBED013','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 1 arcade, avec adjonction de dispositif associé',0.00,0.00),(3166,'HBED014','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 2 arcades, sans adjonction de dispositif associé',0.00,0.00),(3167,'HBED015','Réduction de fracture alvéolaire en denture mixte ou incomplète',104.50,104.50),(3168,'HBED016','Réduction de luxation de plusieurs dents',0.00,0.00),(3169,'HBED017','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par un dispositif amovible sur 1 arcade',0.00,0.00),(3170,'HBED018','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 2 arcades, avec adjonction de 2 dispositifs associés',0.00,0.00),(3171,'HBED019','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par un dispositif amovible sur 2 arcades',0.00,0.00),(3172,'HBED020','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache sectoriel',0.00,0.00),(3173,'HBED021','Réimplantation de 3 dents permanentes expulsées, ou plus',289.20,289.20),(3174,'HBED022','Autogreffe d\'un germe ou d\'une dent retenue, dans un site naturel ou préparé chirurgicalement',209.00,209.00),(3175,'HBED023','Greffe épithélioconjonctive ou conjonctive sur la gencive, sur un secteur de 1 à 3 dents',79.42,79.42),(3176,'HBED024','Greffe épithélioconjonctive ou conjonctive sur la gencive, sur un sextant',94.05,94.05),(3177,'HBED025','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 1 arcade avec adjonction de dispositif associé, avec contention de l\'autre arcade par dispositif fixe après traitement orthodontique',0.00,0.00),(3178,'HBED026','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 1 arcade sans adjonction de dispositif associé, avec contention de l\'autre arcade par dispositif amovible après traitement orthodontique',0.00,0.00),(3179,'HBED027','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 1 arcade avec adjonction de dispositif associé, avec contention de l\'autre arcade par dispositif amovible après traitement orthodontique',0.00,0.00),(3180,'HBED028','Réduction d\'une malocclusion et/ou d\'une malposition alvéolodentaire par dispositif fixe multiattache total sur 1 arcade sans adjonction de dispositif associé, avec contention de l\'autre arcade par dispositif fixe après traitement orthodontique',0.00,0.00),(3181,'HBFA003','Ostéoplastie soustractive de l\'arcade alvéolaire sur un secteur de 7 dents ou plus',0.00,0.00),(3182,'HBFA004','Ostéoplastie soustractive de l\'arcade alvéolaire sur un secteur de 4 à 6 dents',0.00,0.00),(3183,'HBFA005','Ostéoplastie soustractive de l\'arcade alvéolaire sur un secteur de 1 à 3 dents',0.00,0.00),(3184,'HBFA006','Gingivectomie à biseau externe sur un secteur de 1 à 3 dents',0.00,0.00),(3185,'HBFA006','Gingivectomie sur un secteur de 1 à 3 dents',0.00,0.00),(3186,'HBFA007','Gingivectomie sur un secteur de 4 à 6 dents',41.80,41.80),(3187,'HBFA007','Gingivectomie à biseau externe sur un secteur de 4 à 6 dents',41.80,41.80),(3188,'HBFA008','Gingivectomie à biseau externe sur un secteur de 7 dents ou plus',0.00,0.00),(3189,'HBFA008','Gingivectomie sur un secteur de 7 dents ou plus',0.00,0.00),(3190,'HBFA009','Gingivectomie à biseau interne sur un secteur de 1 à 3 dents',0.00,0.00),(3191,'HBFA010','Gingivectomie à biseau interne sur un secteur de 4 à 6 dents',0.00,0.00),(3192,'HBFA011','Gingivectomie à biseau interne sur un secteur de 7 dents ou plus',0.00,0.00),(3193,'HBFA012','Exérèse d\'hypertrophie gingivale ou de crête flottante sur une arcade maxillaire ou mandibulaire complète',0.00,0.00),(3194,'HBFA013','Exérèse d\'hypertrophie gingivale ou de crête flottante localisée',0.00,0.00),(3195,'HBFD001','Exérèse du contenu canalaire non vivant d\'une incisive ou d\'une canine permanente',33.74,33.74),(3196,'HBFD003','Exérèse du contenu canalaire non vivant d\'une prémolaire autre que la première prémolaire maxillaire',48.20,48.20),(3197,'HBFD003','Exérèse du contenu canalaire non vivant d\'une prémolaire',48.20,48.20),(3198,'HBFD006','Exérèse de la pulpe camérale [Biopulpotomie] d\'une dent temporaire',23.00,16.87),(3199,'HBFD008','Exérèse de la pulpe vivante d\'une molaire permanente',81.94,81.94),(3200,'HBFD010','Parage de plaie de la pulpe d\'une dent avec coiffage',60.00,60.00),(3201,'HBFD010','Parage de plaie de la pulpe d\'une dent avec coiffage direct',60.00,60.00),(3202,'HBFD011','Exérèse du contenu canalaire non vivant d\'une dent permanente immature',0.00,0.00),(3203,'HBFD014','Amputation et/ou séparation radiculaire ou coronoradiculaire d\'une dent',0.00,0.00),(3204,'HBFD015','Exérèse du contenu canalaire non vivant d\'une dent temporaire',33.74,33.74),(3205,'HBFD015','Exérèse du contenu canalaire non vivant d\'une incisive ou d\'une canine temporaire',33.74,33.74),(3206,'HBFD017','Exérèse de la pulpe vivante d\'une incisive ou d\'une canine temporaire',33.74,33.74),(3207,'HBFD019','Exérèse de la pulpe vivante d\'une molaire temporaire',81.94,81.94),(3208,'HBFD021','Exérèse de la pulpe vivante d\'une première prémolaire maxillaire',48.20,48.20),(3209,'HBFD024','Exérèse du contenu canalaire non vivant d\'une molaire permanente',81.94,81.94),(3210,'HBFD032','Exérèse partielle de la pulpe vivante d\'une dent permanente immature pour apexogénèse',0.00,0.00),(3211,'HBFD033','Exérèse de la pulpe vivante d\'une incisive ou d\'une canine permanente',33.74,33.74),(3212,'HBFD035','Exérèse de la pulpe vivante d\'une prémolaire autre que la première prémolaire maxillaire',48.20,48.20),(3213,'HBFD150','Exérèse du contenu canalaire non vivant d\'une molaire permanente immature',81.94,81.94),(3214,'HBFD297','Exérèse du contenu canalaire non vivant d\'une première prémolaire maxillaire',48.20,48.20),(3215,'HBFD326','Exérèse du contenu canalaire non vivant d\'une prémolaire immature autre que la première prémolaire maxillaire',48.20,48.20),(3216,'HBFD395','Exérèse du contenu canalaire non vivant d\'une première prémolaire maxillaire immature',48.20,48.20),(3217,'HBFD458','Exérèse du contenu canalaire non vivant d\'une incisive ou d\'une canine permanente immature',33.74,33.74),(3218,'HBFD474','Exérèse du contenu canalaire non vivant d\'une molaire temporaire',81.94,81.94),(3219,'HBGB001','Curetage d\'alvéole dentaire',0.00,0.00),(3220,'HBGB002','Curetage périapical avec résection de l\'apex et obturation radiculaire rétrograde d\'une prémolaire',98.36,98.36),(3221,'HBGB002','Curetage périapical avec résection de l\'apex et obturation radiculaire d\'une prémolaire',98.36,98.36),(3222,'HBGB003','Curetage périapical avec résection de l\'apex et obturation radiculaire rétrograde d\'une incisive ou d\'une canine',83.90,83.90),(3223,'HBGB003','Curetage périapical avec résection de l\'apex et obturation radiculaire d\'une incisive ou d\'une canine',83.90,83.90),(3224,'HBGB004','Curetage périapical avec résection de l\'apex et obturation radiculaire rétrograde d\'une molaire',132.10,132.10),(3225,'HBGB004','Curetage périapical avec résection de l\'apex et obturation radiculaire d\'une molaire',132.10,132.10),(3226,'HBGB005','Curetage périapical avec résection de l\'apex d\'une racine dentaire endodontiquement traitée',50.16,50.16),(3227,'HBGB006','Surfaçage radiculaire dentaire sur un sextant',0.00,0.00),(3228,'HBGD001','Désobturation endodontique d\'une prémolaire',0.00,0.00),(3229,'HBGD001','Désobturation endodontique d\'une prémolaire autre que la première prémolaire maxillaire',0.00,0.00),(3230,'HBGD002','Avulsion de 2 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',50.16,50.16),(3231,'HBGD003','Avulsion d\'un odontoïde inclus ou d\'une dent surnuméraire à l\'état de germe',83.60,83.60),(3232,'HBGD003','Avulsion d\'1 odontoïde inclus ou d\'1 dent surnuméraire à l\'état de germe',83.60,83.60),(3233,'HBGD003','Avulsion d\'1 odontoïde inclus ou d\'une dent surnuméraire à l\'état de germe',83.60,83.60),(3234,'HBGD004','Avulsion d\'une troisième molaire mandibulaire retenue ou à l\'état de germe',83.60,83.60),(3235,'HBGD004','Avulsion d\'1 troisième molaire mandibulaire retenue ou à l\'état de germe',83.60,83.60),(3236,'HBGD004','Avulsion d\'1 troisième molaire mandibulaire retenue',83.60,83.60),(3237,'HBGD005','Ablation d\'un ancrage coronoradiculaire',0.00,0.00),(3238,'HBGD007','Avulsion de 11 à 14 dents sur arcade, en un temps',0.00,0.00),(3239,'HBGD008','Avulsion de 3 à 5 dents sur arcade, en un temps',0.00,0.00),(3240,'HBGD009','Ablation d\'une prothèse dentaire implantoportée',0.00,0.00),(3241,'HBGD009','Ablation d\'une prothèse dentaire implantoportée',0.00,0.00),(3242,'HBGD010','Avulsion de 6 à 10 dents sur arcade, en un temps',0.00,0.00),(3243,'HBGD011','Ablation d\'un bloc métallique coulé ou d\'une prothèse dentaire à tenon radiculaire scellé',38.70,38.70),(3244,'HBGD011','Ablation d\'un bloc métallique coulé ou d\'une prothèse dentaire à tenon radiculaire scellé',38.70,38.70),(3245,'HBGD012','Ablation d\'un corps étranger métallique d\'un canal radiculaire d\'une dent',0.00,0.00),(3246,'HBGD012','Ablation de corps étranger d\'un canal radiculaire d\'une dent',0.00,0.00),(3247,'HBGD014','Avulsion d\'une canine permanente ou d\'une prémolaire retenue ou à l\'état de germe',104.50,104.50),(3248,'HBGD014','Avulsion d\'1 canine permanente retenue ou à l\'état de germe',104.50,104.50),(3249,'HBGD014','Avulsion d\'une canine permanente retenue ou à l\'état de germe',104.50,104.50),(3250,'HBGD015','Avulsion de 2 canines permanentes ou de 2 prémolaires retenues ou à l\'état de germe',156.75,156.75),(3251,'HBGD015','Avulsion de 2 canines permanentes retenues ou à l\'état de germe',156.75,156.75),(3252,'HBGD016','Avulsion d\'une racine incluse',83.60,83.60),(3253,'HBGD016','Avulsion d\'1 racine incluse',83.60,83.60),(3254,'HBGD017','Avulsion d\'une dent ectopique',167.20,167.20),(3255,'HBGD017','Avulsion d\'1 dent ectopique',167.20,167.20),(3256,'HBGD018','Avulsion d\'une troisième molaire maxillaire retenue ou à l\'état de germe',83.60,83.60),(3257,'HBGD018','Avulsion d\'1 troisième molaire maxillaire retenue ou à l\'état de germe',83.60,83.60),(3258,'HBGD021','Avulsion de 3 troisièmes molaires retenues ou à l\'état de germe',167.20,167.20),(3259,'HBGD022','Avulsion d\'une dent permanente sur arcade avec alvéolectomie',33.44,33.44),(3260,'HBGD022','Avulsion d\'1 dent permanente sur arcade avec alvéolectomie',33.44,33.44),(3261,'HBGD025','Avulsion de 2 troisièmes molaires retenues ou à l\'état de germe',125.40,125.40),(3262,'HBGD026','Avulsion de 2 dents temporaires retenues',125.40,125.40),(3263,'HBGD026','Avulsion de 2 dents temporaires retenues, incluses ou réincluses',125.40,125.40),(3264,'HBGD027','Ablation d\'une prothèse dentaire scellée unitaire ou plurale',38.70,38.70),(3265,'HBGD027','Ablation d\'une prothèse dentaire scellée unitaire',38.70,38.70),(3266,'HBGD028','Avulsion d\'une incisive permanente retenue ou à l\'état de germe',83.60,83.60),(3267,'HBGD028','Avulsion d\'1 incisive permanente retenue ou à l\'état de germe',83.60,83.60),(3268,'HBGD029','Avulsion de 15 à 20 dents sur arcade, en un temps',0.00,0.00),(3269,'HBGD030','Désobturation endodontique d\'une incisive ou d\'une canine',0.00,0.00),(3270,'HBGD031','Avulsion d\'une dent permanente sur arcade avec séparation des racines',33.44,33.44),(3271,'HBGD031','Avulsion d\'1 dent permanente sur arcade avec séparation des racines',33.44,33.44),(3272,'HBGD032','Avulsion de 2 dents permanentes sur arcade avec séparation des racines',50.16,50.16),(3273,'HBGD033','Désobturation endodontique d\'une molaire',0.00,0.00),(3274,'HBGD034','Avulsion de 2 dents permanentes sur arcade avec alvéolectomie',50.16,50.16),(3275,'HBGD035','Avulsion d\'une dent temporaire sur arcade',25.00,16.72),(3276,'HBGD035','Avulsion d\'1 dent temporaire sur arcade',25.00,16.72),(3277,'HBGD036','Avulsion d\'une dent permanente sur arcade sans alvéolectomie',33.44,33.44),(3278,'HBGD036','Avulsion d\'1 dent permanente sur arcade sans alvéolectomie',33.44,33.44),(3279,'HBGD037','Avulsion de 2 dents temporaires sur arcade',30.00,25.08),(3280,'HBGD038','Avulsion de 4 troisièmes molaires retenues ou à l\'état de germe',209.00,209.00),(3281,'HBGD039','Avulsion d\'une dent ankylosée sur arcade, avec section coronoradiculaire et séparation des racines',33.44,33.44),(3282,'HBGD039','Avulsion d\'1 dent ankylosée sur arcade, avec section coronoradiculaire et séparation des racines',33.44,33.44),(3283,'HBGD040','Avulsion de plusieurs dents surnuméraires à l\'état de germe ou de plusieurs odontoïdes',125.40,125.40),(3284,'HBGD042','Avulsion d\'une dent temporaire retenue',83.60,83.60),(3285,'HBGD042','Avulsion d\'1 dent temporaire retenue, incluse ou réincluse',83.60,83.60),(3286,'HBGD043','Avulsion de 2 dents permanentes sur arcade sans alvéolectomie',50.16,50.16),(3287,'HBGD044','Avulsion d\'une dent à couronne sousmuqueuse ou en désinclusion muqueuse',41.80,41.80),(3288,'HBGD044','Avulsion d\'1 dent à couronne sousmuqueuse ou en désinclusion muqueuse',41.80,41.80),(3289,'HBGD045','Avulsion de 21 dents sur arcade ou plus, en un temps',0.00,0.00),(3290,'HBGD047','Avulsion d\'une première ou d\'une deuxième molaire permanente retenue ou à l\'état de germe',83.60,83.60),(3291,'HBGD047','Avulsion d\'1 première ou d\'1 deuxième molaire permanente retenue ou à l\'état de germe',83.60,83.60),(3292,'HBGD047','Avulsion d\'1 première ou d\'une deuxième molaire permanente retenue ou à l\'état de germe',83.60,83.60),(3293,'HBGD054','Avulsion de 12 dents temporaires sur arcade',108.68,108.68),(3294,'HBGD057','Avulsion de 15 dents temporaires sur arcade',133.76,133.76),(3295,'HBGD060','Avulsion de 5 dents permanentes sur arcade avec alvéolectomie',100.32,100.32),(3296,'HBGD062','Avulsion de 3 incisives permanentes retenues ou à l\'état de germe',167.20,167.20),(3297,'HBGD064','Avulsion de 10 dents permanentes sur arcade sans alvéolectomie',183.92,183.92),(3298,'HBGD065','Avulsion de 5 dents temporaires sur arcade',50.16,50.16),(3299,'HBGD067','Avulsion de 14 dents à 16 dents permanentes sur arcade avec alvéolectomie',267.52,267.52),(3300,'HBGD076','Avulsion de 7 dents permanentes sur arcade sans alvéolectomie',133.76,133.76),(3301,'HBGD078','Avulsion de 4 dents permanentes sur arcade avec alvéolectomie',83.60,83.60),(3302,'HBGD080','Avulsion de 4 dents ectopiques',418.00,418.00),(3303,'HBGD093','Avulsion de 10 dents temporaires sur arcade',91.96,91.96),(3304,'HBGD102','Avulsion de 4 racines incluses',209.00,209.00),(3305,'HBGD105','Avulsion de 23 dents à 25 dents permanentes sur arcade avec alvéolectomie',418.00,418.00),(3306,'HBGD106','Avulsion de 6 dents permanentes sur arcade sans alvéolectomie',117.04,117.04),(3307,'HBGD111','Avulsion de 13 dents temporaires sur arcade',117.04,117.04),(3308,'HBGD113','Avulsion de 8 dents à 10 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',167.20,167.20),(3309,'HBGD117','Avulsion de 4 premières ou deuxièmes molaires permanentes retenues ou à l\'état de germe',209.00,209.00),(3310,'HBGD122','Avulsion de 14 dents à 16 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',267.52,267.52),(3311,'HBGD123','Avulsion de 17 dents temporaires sur arcade',150.48,150.48),(3312,'HBGD126','Avulsion de 2 incisives permanentes retenues ou à l\'état de germe',125.40,125.40),(3313,'HBGD133','Avulsion de 16 dents temporaires sur arcade',142.12,142.12),(3314,'HBGD142','Avulsion de 7 dents permanentes sur arcade avec alvéolectomie',133.76,133.76),(3315,'HBGD145','Avulsion de 3 canines permanentes retenues ou à l\'état de germe',209.00,209.00),(3316,'HBGD146','Avulsion de 12 dents permanentes sur arcade sans alvéolectomie',217.36,217.36),(3317,'HBGD148','Avulsion de 7 à 8 incisives permanentes retenues ou à l\'état de germe',355.30,355.30),(3318,'HBGD159','Avulsion de 5 racines incluses',250.80,250.80),(3319,'HBGD160','Avulsion de 3 dents à couronne sousmuqueuse ou en désinclusion muqueuse',83.60,83.60),(3320,'HBGD169','Avulsion de 4 dents permanentes sur arcade avec séparation des racines',83.60,83.60),(3321,'HBGD171','Avulsion de 4 odontoïdes inclus ou de 4 dents surnuméraires à l\'état de germe',209.00,209.00),(3322,'HBGD174','Avulsion de 14 dents temporaires sur arcade',125.40,125.40),(3323,'HBGD181','Avulsion de 5 à 6 premières ou deuxièmes molaires permanentes retenues ou à l\'état de germe',271.70,271.70),(3324,'HBGD190','Avulsion de 2 dents ectopiques',250.80,250.80),(3325,'HBGD191','Avulsion de 26 dents à 28 dents permanentes sur arcade avec alvéolectomie',468.16,468.16),(3326,'HBGD193','Avulsion de 28 dents permanentes sur arcade sans alvéolectomie',484.88,484.88),(3327,'HBGD197','Avulsion de 15 dents permanente sur arcade sans alvéolectomie',267.52,267.52),(3328,'HBGD199','Avulsion de 4 prémolaires retenues ou à l\'état de germe',209.00,209.00),(3329,'HBGD201','Avulsion de 20 dents temporaires sur arcade',175.56,175.56),(3330,'HBGD206','Avulsion de 6 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',117.04,117.04),(3331,'HBGD210','Avulsion de 7 à 8 premières ou deuxièmes molaires permanentes retenues ou à l\'état de germe',355.30,355.30),(3332,'HBGD218','Avulsion de 4 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',83.60,83.60),(3333,'HBGD231','Avulsion de 8 dents à 10 dents permanentes sur arcade avec alvéolectomie',167.20,167.20),(3334,'HBGD233','Désobturation endodontique d\'une première prémolaire maxillaire',0.00,0.00),(3335,'HBGD235','Avulsion de 23 dents permanentes sur arcade sans alvéolectomie',401.28,401.28),(3336,'HBGD245','Avulsion de 31 dents permanentes sur arcade sans alvéolectomie',535.04,535.04),(3337,'HBGD247','Avulsion de 14 dents permanentes sur arcade sans alvéolectomie',250.80,250.80),(3338,'HBGD258','Avulsion de 21 dents permanentes sur arcade sans alvéolectomie',367.84,367.84),(3339,'HBGD261','Avulsion de 17 dents permanentes sur arcade sans alvéolectomie',300.96,300.96),(3340,'HBGD262','Avulsion de 30 dents à 32 dents permanentes sur arcade avec alvéolectomie',526.68,526.68),(3341,'HBGD263','Avulsion de 8 dents temporaires sur arcade',75.24,75.24),(3342,'HBGD278','Avulsion de 20 dents permanentes sur arcade sans alvéolectomie',351.12,351.12),(3343,'HBGD279','Avulsion de 3 prémolaires retenues ou à l\'état de germe',167.20,167.20),(3344,'HBGD280','Avulsion de 9 dents temporaires sur arcade',83.60,83.60),(3345,'HBGD281','Avulsion de 3 odontoïdes inclus ou de 3 dents surnuméraires à l\'état de germe',167.20,167.20),(3346,'HBGD282','Avulsion de19 dents temporaires sur arcade',167.20,167.20),(3347,'HBGD283','Avulsion de 32 dents permanentes sur arcade sans alvéolectomie',551.76,551.76),(3348,'HBGD284','Avulsion de 4 dents temporaires sur arcade',41.80,41.80),(3349,'HBGD285','Avulsion de 26 dents permanentes sur arcade sans alvéolectomie',451.44,451.44),(3350,'HBGD287','Avulsion de 3 dents permanentes sur arcade avec alvéolectomie',66.88,66.88),(3351,'HBGD299','Avulsion de 3 racines incluses',167.20,167.20),(3352,'HBGD300','Avulsion d\'une dent en désinclusion avec couronne sous muqueuse en position palatine et/ou linguale',104.50,104.50),(3353,'HBGD300','Avulsion d\'une¦dent¦en¦désinclusion¦avec¦couronne sous muqueuse en position palatine et/ou linguale',104.50,104.50),(3354,'HBGD309','Avulsion de 3 dents temporaires sur arcade',33.44,33.44),(3355,'HBGD311','Avulsion de 22 dents permanentes sur arcade sans alvéolectomie',384.56,384.56),(3356,'HBGD312','Avulsion de 6 dents permanentes sur arcade avec alvéolectomie',117.04,117.04),(3357,'HBGD316','Avulsion de 3 premières ou deuxièmes molaires permanentes retenues ou à l\'état de germe',167.20,167.20),(3358,'HBGD319','Avulsion de 3 dents permanentes sur arcade sans alvéolectomie',66.88,66.88),(3359,'HBGD322','Avulsion de 2 dents à couronne sousmuqueuse ou en désinclusion muqueuse',62.70,62.70),(3360,'HBGD333','Avulsion de 16 dents permanente sur arcade sans alvéolectomie',284.24,284.24),(3361,'HBGD338','Avulsion de 27 dents permanentes sur arcade sans alvéolectomie',468.16,468.16),(3362,'HBGD345','Avulsion de 29 dents permanentes sur arcade sans alvéolectomie',501.60,501.60),(3363,'HBGD349','Avulsion de 11 dents à 13 dents permanentes sur arcade avec alvéolectomie',217.36,217.36),(3364,'HBGD356','Avulsion de 11 dents permanentes sur arcade sans alvéolectomie',200.64,200.64),(3365,'HBGD358','Avulsion de 2 dents en désinclusion avec couronnes sous muqueuses en position palatine et/ou linguale',156.75,156.75),(3366,'HBGD358','Avulsion de 2¦dents¦en¦désinclusion¦avec¦couronnes¦sous¦muqueuses ¦en¦position¦palatine¦et/ou¦linguale',156.75,156.75),(3367,'HBGD359','Avulsion de 7 à 8 prémolaires retenues ou à l\'état de germe',355.30,355.30),(3368,'HBGD362','Avulsion de 11 dents temporaires sur arcade',100.32,100.32),(3369,'HBGD372','Avulsion de 5 à 6 incisives permanentes retenues ou à l\'état de germe',271.70,271.70),(3370,'HBGD374','Avulsion de 24 dents permanentes sur arcade sans alvéolectomie',418.00,418.00),(3371,'HBGD382','Avulsion de 13 dents permanentes sur arcade sans alvéolectomie',234.08,234.08),(3372,'HBGD385','Avulsion de 5 à 6 prémolaires retenues ou à l\'état de germe',271.70,271.70),(3373,'HBGD386','Avulsion de 2 prémolaires retenues ou à l\'état de germe',125.40,125.40),(3374,'HBGD396','Avulsion de 7 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',133.76,133.76),(3375,'HBGD397','Avulsion de 3 dents ectopiques',334.40,334.40),(3376,'HBGD402','Avulsion de 2 odontoïdes inclus ou de 2 dents surnuméraires à l\'état de germe',125.40,125.40),(3377,'HBGD403','Avulsion de 4 dents à couronne sousmuqueuse ou en désinclusion muqueuse',104.50,104.50),(3378,'HBGD414','Avulsion de 30 dents permanentes sur arcade sans alvéolectomie',518.32,518.32),(3379,'HBGD415','Avulsion de 3 dents permanentes sur arcade avec séparation des racines',66.88,66.88),(3380,'HBGD416','Avulsion de 4 canines permanentes retenues ou à l\'état de germe',261.25,261.25),(3381,'HBGD418','Avulsion de 17 dents à 19 dents permanentes sur arcade avec alvéolectomie',317.68,317.68),(3382,'HBGD420','Avulsion de 9 dents permanentes sur arcade sans alvéolectomie',167.20,167.20),(3383,'HBGD422','Avulsion de 8 dents permanentes sur arcade sans alvéolectomie',150.48,150.48),(3384,'HBGD430','Avulsion de 4 incisives permanentes retenues ou à l\'état de germe',209.00,209.00),(3385,'HBGD438','Avulsion de 11 dents à 13 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',217.36,217.36),(3386,'HBGD441','Avulsion de 20 dents à 22 dents permanentes sur arcade avec alvéolectomie',367.84,367.84),(3387,'HBGD453','Avulsion de 3 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',66.88,66.88),(3388,'HBGD459','Avulsion d\'une prémolaire retenue ou à l\'état de germe',83.60,83.60),(3389,'HBGD459','Avulsion d\'1 prémolaire retenue ou à l\'état de germe',83.60,83.60),(3390,'HBGD461','Avulsion de 19 dents permanentes sur arcade sans alvéolectomie',334.40,334.40),(3391,'HBGD462','Avulsion de 6 dents temporaires sur arcade',58.52,58.52),(3392,'HBGD464','Avulsion de 7 dents temporaires sur arcade',66.88,66.88),(3393,'HBGD465','Avulsion de 6 racines incluses',292.60,292.60),(3394,'HBGD466','Avulsion de 2 racines incluses',125.40,125.40),(3395,'HBGD468','Avulsion de 18 dents temporaires sur arcade',158.84,158.84),(3396,'HBGD475','Avulsion de 25 dents permanentes sur arcade sans alvéolectomie',434.72,434.72),(3397,'HBGD480','Avulsion de 5 dents ankylosées sur arcade, avec section coronoradiculaire et séparation des racines',100.32,100.32),(3398,'HBGD489','Avulsion de 4 dents permanentes sur arcade sans alvéolectomie',83.60,83.60),(3399,'HBGD492','Avulsion de 2 premières ou deuxièmes molaires permanentes retenues ou à l\'état de germe',125.40,125.40),(3400,'HBGD497','Avulsion de 5 dents permanentes sur arcade sans alvéolectomie',100.32,100.32),(3401,'HBGD499','Avulsion de 18 dents permanentes sur arcade sans alvéolectomie',317.68,317.68),(3402,'HBJA003','Assainissement parodontal par lambeau sur un sextant',0.00,0.00),(3403,'HBJB001','Évacuation d\'abcès parodontal',40.00,40.00),(3404,'HBJD001','Détartrage et polissage des dents sur 2 arcades',28.92,28.92),(3405,'HBJD001','Détartrage et polissage des dents',28.92,28.92),(3406,'HBJD003','Détartrage et polissage des dents sur 1 arcade',0.00,0.00),(3407,'HBKD005','Changement d\'un dispositif d\'attachement d\'une prothèse dentaire amovible',32.25,32.25),(3408,'HBKD005','Changement de dispositif d\'attachement d\'une prothèse dentaire amovible',32.25,32.25),(3409,'HBKD005','Changement de dispositif d\'attachement d\'une prothèse dentaire amovible supra implantaire',32.25,32.25),(3410,'HBKD140','Changement de 7 facettes d\'une prothèse dentaire amovible',120.40,120.40),(3411,'HBKD212','Changement de 4 facettes d\'une prothèse dentaire amovible',68.80,68.80),(3412,'HBKD213','Changement de 6 facettes d\'une prothèse dentaire amovible',103.20,103.20),(3413,'HBKD244','Changement de 8 facettes d\'une prothèse dentaire amovible',137.60,137.60),(3414,'HBKD300','Changement de 3 facettes d\'une prothèse dentaire amovible',51.60,51.60),(3415,'HBKD396','Changement d\'1 facette d\'une prothèse dentaire amovible',17.20,17.20),(3416,'HBKD431','Changement de 2 facettes d\'une prothèse dentaire amovible',34.40,34.40),(3417,'HBKD462','Changement de 5 facettes d\'une prothèse dentaire amovible',86.00,86.00),(3418,'HBLD001','Pose d\'un arc de maintien d\'espace interdentaire sans dent prothétique',0.00,0.00),(3419,'HBLD002','Pose d\'un mainteneur d\'espace interdentaire amovible passif',0.00,0.00),(3420,'HBLD003','Pose d\'un arc de maintien d\'espace interdentaire avec dent prothétique',0.00,0.00),(3421,'HBLD004','Séance d\'application topique intrabuccale de fluorures',0.00,0.00),(3422,'HBLD004','Application topique intrabuccale de fluorures',0.00,0.00),(3423,'HBLD005','Pose d\'infrastructure coronaire sur 5 implants ou plus',0.00,0.00),(3424,'HBLD006','Pose d\'un mainteneur d\'espace interdentaire unitaire scellé',0.00,0.00),(3425,'HBLD007','Pose d\'une infrastructure coronoradiculaire sans clavette sur une dent [Inlay core]',122.55,122.55),(3426,'HBLD007','Pose d\'une infrastructure coronoradiculaire métallique coulée, sur une dent',122.55,122.55),(3427,'HBLD008','Pose d\'un attachement coronoradiculaire sur une dent',0.00,0.00),(3428,'HBLD009','Application d\'un topique pour hypersensibilité dentinaire',0.00,0.00),(3429,'HBLD012','Pose d\'une infrastructure coronaire sur 1 implant',0.00,0.00),(3430,'HBLD013','Pose d\'infrastructure coronaire sur 4 implants',0.00,0.00),(3431,'HBLD015','Pose d\'une coiffe de recouvrement d\'une racine dentaire [Coping]',0.00,0.00),(3432,'HBLD017','Pose d\'infrastructure coronaire sur 2 implants',0.00,0.00),(3433,'HBLD018','Pose d\'un plan de libération occlusale',172.80,172.80),(3434,'HBLD019','Pose d\'un plan de guidage des mouvements antéropostérieurs mandibulaires',0.00,0.00),(3435,'HBLD020','Pose d\'un appareil de posture mandibulaire [cale]',0.00,0.00),(3436,'HBLD021','Pose d\'infrastructure coronaire sur 3 implants',0.00,0.00),(3437,'HBLD022','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 9 à 13 dents',0.00,0.00),(3438,'HBLD023','Pose d\'une prothèse plurale [bridge] comportant 2 piliers d\'ancrage céramométalliques ou en équivalents minéraux et 1 élément intermédiaire céramométallique ou en équivalents minéraux',279.50,279.50),(3439,'HBLD023','Pose d\'une prothèse plurale dentoportée ou implantoportée comportant 2 piliers d\'ancrage céramométalliques ou en équivalents minéraux et un élément intermédiaire céramométallique ou en équivalents minéraux',279.50,279.50),(3440,'HBLD024','Pose d\'une prothèse amovible définitive à plaque base résine, comportant 9 à 13 dents',0.00,0.00),(3441,'HBLD025','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 5 à 8 dents',0.00,0.00),(3442,'HBLD026','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 1 à 4 dents',0.00,0.00),(3443,'HBLD027','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 5 à 8 dents',0.00,0.00),(3444,'HBLD028','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 1 à 4 dents',0.00,0.00),(3445,'HBLD029','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 9 à 13 dents',0.00,0.00),(3446,'HBLD030','Pose d\'une prothèse dentaire complète transvissée implantoportée',182.75,182.75),(3447,'HBLD031','Pose d\'une prothèse amovible définitive complète unimaxillaire à plaque base résine',182.75,182.75),(3448,'HBLD032','Pose d\'une prothèse amovible de transition complète unimaxillaire à plaque base résine',182.75,182.75),(3449,'HBLD033','Pose d\'une prothèse plurale [bridge] comportant 2 piliers d\'ancrage métalliques et 1 élément intermédiaire métallique',279.50,279.50),(3450,'HBLD033','Pose d\'une prothèse plurale dentoportée ou implantoportée comportant 2 piliers d\'ancrage métalliques et un élément intermédiaire métallique',279.50,279.50),(3451,'HBLD034','Pose d\'une prothèse dentaire plurale transitoire',0.00,0.00),(3452,'HBLD034','Pose d\'une prothèse dentaire plurale transitoire collée',0.00,0.00),(3453,'HBLD034','Pose d\'une prothèse dentaire plurale transitoire [bridge transitoire]',0.00,0.00),(3454,'HBLD035','Pose d\'une prothèse amovible définitive complète bimaxillaire à plaque base résine',365.50,365.50),(3455,'HBLD036','Pose d\'une couronne dentaire dentoportée céramométallique ou en équivalents minéraux',107.50,107.50),(3456,'HBLD036','Pose d\'une couronne dentaire céramométallique ou en équivalents minéraux',107.50,107.50),(3457,'HBLD037','Pose d\'une couronne dentaire transitoire',0.00,0.00),(3458,'HBLD038','Pose d\'une couronne dentaire dentoportée métallique',107.50,107.50),(3459,'HBLD038','Pose d\'une couronne dentaire métallique',107.50,107.50),(3460,'HBLD038','Pose d\'une couronne dentaire dentoportée en alliage non précieux',107.50,107.50),(3461,'HBLD039','Pose d\'une prothèse amovible de 3 à 10 dents en denture temporaire, mixte ou permanente incomplète',0.00,0.00),(3462,'HBLD040','Pose d\'une prothèse plurale [bridge] comportant 1 pilier d\'ancrage métallique, 1 pilier d\'ancrage céramométallique ou en équivalents minéraux, et 1 élément intermédiaire métallique',279.50,279.50),(3463,'HBLD040','Pose d\'une prothèse plurale dentoportée ou implantoportée comportant 1 pilier d\'ancrage métallique, 1 pilier d\'ancrage céramométallique ou en équivalents minéraux, et un élément intermédiaire métallique',279.50,279.50),(3464,'HBLD043','Pose d\'une prothèse plurale [bridge] comportant 1 pilier d\'ancrage métallique, 1 pilier d\'ancrage céramométallique ou en équivalents minéraux, et 1 élément intermédiaire céramométallique ou en équivalents minéraux',279.50,279.50),(3465,'HBLD043','Pose d\'une prothèse plurale dentoportée ou implantoportée comportant 1 pilier d\'ancrage métallique, 1 pilier d\'ancrage céramométallique ou en équivalents minéraux, et un élément intermédiaire céramométallique ou en équivalents minéraux',279.50,279.50),(3466,'HBLD045','Application dentaire d\'un vernis de reminéralisation sur une arcade',25.00,25.00),(3467,'HBLD045','Application de vernis fluoré sur les deux arcades dentaires',25.00,25.00),(3468,'HBLD046','Pose d\'une prothèse amovible définitive complète bimaxillaire à châssis métallique',623.50,623.50),(3469,'HBLD047','Pose d\'une prothèse amovible définitive complète unimaxillaire à châssis métallique',311.75,311.75),(3470,'HBLD048','Pose d\'une prothèse amovible définitive complète unimaxillaire à plaque base résine et d\'une prothèse amovible définitive complète unimaxillaire à châssis métallique',494.50,494.50),(3471,'HBLD049','Pose d\'une prothèse plurale dentoportée ou implantoportée comportant 2 piliers d\'ancrage métalliques et un élément intermédiaire céramométallique ou en équivalents minéraux',0.00,0.00),(3472,'HBLD050','Pose d\'un dispositif unimaxillaire de contention extracoronaire par attelle composite collée, sur 7 dents ou plus',0.00,0.00),(3473,'HBLD051','Pose d\'un dispositif unimaxillaire de contention extracoronaire par attelle métallique coulée et collée, sur 7 dents ou plus',96.40,96.40),(3474,'HBLD052','Pose d\'un dispositif unimaxillaire de contention extracoronaire par attelle composite collée, sur 1 à 6 dents',0.00,0.00),(3475,'HBLD053','Pose d\'un dispositif unimaxillaire de contention extracoronaire par attelle métallique coulée et collée, sur 1 à 6 dents',96.40,96.40),(3476,'HBLD056','Pose d\'une plaque base résine pour guide chirurgical préimplantaire dentaire, pour 1 arcade',94.08,94.08),(3477,'HBLD056','Pose d\'une plaque base résine pour guide chirurgical préimplantaire dentaire',94.08,94.08),(3478,'HBLD056','Pose d\'une plaque base résine pour guide chirurgical préimplantaire dentaire pour 1 arcade',94.08,94.08),(3479,'HBLD056','Pose d\'une plaque base résine pour guide chirurgical préimplantaire dentaire pour une arcade',94.08,94.08),(3480,'HBLD057','Pose d\'une plaque base résine pour guide radiologique préimplantaire dentaire, pour 1 arcade',140.16,140.16),(3481,'HBLD057','Pose d\'une plaque base résine pour guide radiologique préimplantaire dentaire',140.16,140.16),(3482,'HBLD057','Pose d\'une plaque base résine pour guide radiologique préimplantaire dentaire pour 1 arcade',140.16,140.16),(3483,'HBLD057','Pose d\'une plaque base résine pour guide radiologique préimplantaire dentaire pour une arcade',140.16,140.16),(3484,'HBLD073','Pose d\'une couronne dentaire dentoportée céramique monolithique (zircone) sur une molaire',107.50,107.50),(3485,'HBLD075','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 7 dents',236.50,236.50),(3486,'HBLD078','Pose d\'une plaque base résine pour guide radiologique préimplantaire dentaire pour 2 arcades',264.96,264.96),(3487,'HBLD078','Pose d\'une plaque base résine pour guide radiologique préimplantaire dentaire pour deux arcades',264.96,264.96),(3488,'HBLD079','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 10 dents',268.75,268.75),(3489,'HBLD083','Pose d\'une prothèse amovible définitive à plaque base résine, comportant 11 dents',150.50,150.50),(3490,'HBLD084','Pose d\'une plaque base résine pour guide chirurgical préimplantaire dentaire pour deux arcades',174.72,174.72),(3491,'HBLD084','Pose d\'une plaque base résine pour guide chirurgical préimplantaire dentaire pour 2 arcades',174.72,174.72),(3492,'HBLD088','Pose d\'une prothèse plurale en extension comportant 1 pilier d\'ancrage céramométallique ou en équivalents minéraux et 1 élément en extension céramométallique ou en équivalents minéraux [bridge cantilever 2 éléments], pour le remplacement d\'une incisive p',172.00,172.00),(3493,'HBLD090','Pose d\'une infrastructure coronoradiculaire [Inlay core] sous une couronne ou un pilier de bridge dentoportés sans ½ reste à charge ╗',90.00,90.00),(3494,'HBLD093','Pose d\'une prothèse plurale en extension collée [bridge cantilever collé] comportant 1 ancrage coronaire partiel et 1 élément en extension céramométallique ou en équivalents minéraux, pour le remplacement d\'une incisive permanente',83.78,83.78),(3495,'HBLD101','Pose d\'une prothèse amovible définitive à plaque base résine, comportant 9 dents',129.00,129.00),(3496,'HBLD112','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 12 dents',290.25,290.25),(3497,'HBLD118','Pose d\'une prothèse amovible supra-implantaire complète unimaxillaire à plaque base résine',182.75,182.75),(3498,'HBLD123','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 7 dents',107.50,107.50),(3499,'HBLD131','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 1 à 3 dents',193.50,193.50),(3500,'HBLD132','Pose d\'une prothèse amovible supra-implantaire à plaque résine comportant moins de 9 dents',102.13,102.13),(3501,'HBLD138','Pose d\'une prothèse amovible définitive à plaque base résine, comportant 10 dents',139.75,139.75),(3502,'HBLD148','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 9 dents',129.00,129.00),(3503,'HBLD158','Pose d\'une couronne dentaire dentoportée céramique monolithique autre que zircone sur deuxièmes prémolaires et molaires',107.50,107.50),(3504,'HBLD171','Pose d\'une prothèse amovible supra-implantaire complète bimaxillaire à chassis métallique',623.50,623.50),(3505,'HBLD178','Pose d\'une prothèse plurale [bridge] comportant 2 piliers d\'ancrage en alliage précieux et 1 élément intermédiaire en alliage précieux avec ou sans recouvrement céramocéramique',279.50,279.50),(3506,'HBLD179','Pose d\'une prothèse plurale collée [bridge collé] comportant 2 ancrages coronaires partiels ou plus et 1 élément intermédiaire métallique, pour le remplacement d\'une prémolaire ou d\'une molaire permanente',103.06,103.06),(3507,'HBLD199','Pose d\'une prothèse amovible supra-implantaire complète bimaxillaire à plaque base résine',365.50,365.50),(3508,'HBLD203','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 11 dents',279.50,279.50),(3509,'HBLD215','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 11 dents',150.50,150.50),(3510,'HBLD217','Pose d\'une prothèse amovible supra-implantaire complète unimaxillaire à chassis métallique',311.75,311.75),(3511,'HBLD224','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 5 dents',86.00,86.00),(3512,'HBLD227','Pose d\'une prothèse plurale [bridge] comportant 2 piliers d\'ancrage céramométalliques et 1 élément intermédiaire céramométallique pour le remplacement d\'une dent autre qu\'une incisive',279.50,279.50),(3513,'HBLD231','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 10 dents',139.75,139.75),(3514,'HBLD232','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 13 dents',172.00,172.00),(3515,'HBLD236','Pose d\'une prothèse amovible supra-implantaire à chassis métallique comportant de 9 à 13 dents',279.50,279.50),(3516,'HBLD240','Pose d\'une prothèse amovible supra-implantaire à chassis métallique comportant moins de 9 dents',236.50,236.50),(3517,'HBLD245','Pose d\'une infrastructure coronoradiculaire [Inlay core] sous une couronne ou un pilier de bridge dentoportés à ½ tarif libre ╗',90.00,90.00),(3518,'HBLD259','Pose d\'une prothèse amovible de transition complète bimaxillaire à plaque base résine',365.50,365.50),(3519,'HBLD261','Pose d\'une infrastructure coronoradiculaire avec clavette sur une dent [Inlay core à clavette]',144.05,144.05),(3520,'HBLD262','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 12 dents',161.25,161.25),(3521,'HBLD270','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 8 dents',118.25,118.25),(3522,'HBLD308','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 13 dents',301.00,301.00),(3523,'HBLD318','Pose d\'une couronne dentaire dentoportée en alliage précieux',107.50,107.50),(3524,'HBLD321','Pose d\'une prothèse plurale en extension comportant 1 pilier d\'ancrage métallique, 1 pilier d\'ancrage céramométallique et 1 élément en extension céramométallique [bridge cantilever 3 éléments], pour le remplacement d\'une incisive permanente ou d\'une pr',279.50,279.50),(3525,'HBLD332','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 4 dents',204.25,204.25),(3526,'HBLD349','Pose d\'une prothèse amovible définitive à plaque base résine, comportant 13 dents',172.00,172.00),(3527,'HBLD350','Pose d\'une couronne dentaire dentoportée céramique monolithique (zircone) sur une dent autre qu\'une molaire',107.50,107.50),(3528,'HBLD364','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 1 à 3 dents',64.50,64.50),(3529,'HBLD370','Pose d\'une prothèse amovible définitive à plaque base résine, comportant 12 dents',161.25,161.25),(3530,'HBLD371','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 6 dents',96.75,96.75),(3531,'HBLD403','Pose d\'une couronne dentaire dentoportée céramocéramique',107.50,107.50),(3532,'HBLD411','Pose d\'une prothèse plurale en extension comportant 2 piliers d\'ancrage métallique et 1 élément en extension métallique [bridge cantilever 3 éléments], pour le remplacement d\'une incisive permanente ou d\'une prémolaire',279.50,279.50),(3533,'HBLD414','Pose d\'une prothèse plurale collée [bridge collé] comportant 2 ancrages coronaires partiels ou plus et 1 élément intermédiaire céramométallique ou en équivalents minéraux, pour le remplacement d\'une prémolaire ou d\'une molaire permanente',103.06,103.06),(3534,'HBLD418','Pose d\'une couronne dentaire implantoportée',107.50,107.50),(3535,'HBLD425','Pose d\'une prothèse plurale [bridge] comportant 2 piliers d\'ancrage céramocéramiques et 1 élément intermédiaire céramocéramique',279.50,279.50),(3536,'HBLD435','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 9 dents',258.00,258.00),(3537,'HBLD452','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 5 dents',215.00,215.00),(3538,'HBLD453','Pose d\'une prothèse plurale collée [bridge collé] comportant 2 ancrages coronaires partiels ou plus et 2 éléments intermédiaires céramométalliques ou en équivalents minéraux, pour le remplacement de 2 incisives mandibulaires permanentes',103.06,103.06),(3539,'HBLD465','Pose d\'une prothèse plurale en extension comportant 2 piliers d\'ancrage métallique et 1 élément en extension céramométallique [bridge cantilever 3 éléments], pour le remplacement d\'une incisive permanente ou d\'une prémolaire',279.50,279.50),(3540,'HBLD466','Pose d\'une prothèse plurale collée [bridge collé] comportant 2 ancrages coronaires partiels ou plus et 1 élément intermédiaire céramométallique ou en équivalents minéraux, pour le remplacement d\'une incisive permanente',103.06,103.06),(3541,'HBLD470','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 8 dents',247.25,247.25),(3542,'HBLD474','Pose d\'une prothèse amovible définitive à châssis métallique, comportant 6 dents',225.75,225.75),(3543,'HBLD476','Pose d\'une prothèse amovible de transition à plaque base résine, comportant 4 dents',75.25,75.25),(3544,'HBLD486','Pose d\'une couronne dentaire transitoire pour une couronne dentoportée ½à tarif libre╗',10.00,10.00),(3545,'HBLD490','Pose d\'une couronne dentaire transitoire pour couronne dentoportée ½ sans reste à charge ╗',10.00,10.00),(3546,'HBLD491','Pose d\'une couronne dentaire dentoportée céramométallique sur une deuxième prémolaire',107.50,107.50),(3547,'HBLD492','Pose d\'une prothèse amovible supra-implantaire à plaque base résine, comportant de 9 à 13 dents',150.50,150.50),(3548,'HBLD634','Pose d\'une couronne dentaire dentoportée céramométallique sur une incisive, une canine ou une première prémolaire',107.50,107.50),(3549,'HBLD680','Pose d\'une couronne dentaire dentoportée céramique monolithique autre que zircone sur incisives, canines et premières prémolaires',107.50,107.50),(3550,'HBLD724','Pose d\'une couronne dentaire transitoire pour une couronne dentoportée à entente directe limitée',10.00,10.00),(3551,'HBLD724','Pose d\'une couronne dentaire transitoire pour une couronne dentoportée ½à entente directe limitée╗',10.00,10.00),(3552,'HBLD734','Pose d\'une couronne dentaire dentoportée céramométallique sur une molaire',107.50,107.50),(3553,'HBLD745','Pose d\'une infrastructure coronoradiculaire [Inlay core] sous une couronne ou un pilier de bridge dentoportés à ½ entente directe limitée ╗',90.00,90.00),(3554,'HBLD750','Pose d\'une prothèse plurale en extension comportant 2 piliers d\'ancrage céramométalliques ou en équivalents minéraux et 1 élément en extension céramométallique ou en équivalents minéraux [bridge cantilever 3 éléments], pour le remplacement d\'une incisive',279.50,279.50),(3555,'HBLD785','Pose d\'une prothèse plurale [bridge] comportant 2 piliers d\'ancrage céramométalliques et 1 élément intermédiaire céramométallique pour le remplacement d\'une incisive',279.50,279.50),(3556,'HBMA001','Plastie mucogingivale par lambeau déplacé latéralement, coronairement ou apicalement',75.24,75.24),(3557,'HBMA003','Ostéoplastie d\'une alvéole dentaire avec comblement par autogreffe osseuse',0.00,0.00),(3558,'HBMA004','Régénération parodontale sur un sextant',0.00,0.00),(3559,'HBMA004','Régénération parodontale',0.00,0.00),(3560,'HBMA006','Ostéoplastie d\'une alvéole dentaire avec comblement par biomatériau',0.00,0.00),(3561,'HBMD001','Séance d\'éclaircissement d\'une dent dépulpée',0.00,0.00),(3562,'HBMD001','Eclaircissement de dent dépulpée',0.00,0.00),(3563,'HBMD002','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage d\'éléments',38.70,38.70),(3564,'HBMD002','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage d\'1 élément',38.70,38.70),(3565,'HBMD003','Séance de renouvellement de l\'obturation radiculaire d\'une dent permanente immature à l\'hydroxyde de calcium',0.00,0.00),(3566,'HBMD004','Réfection de la base d\'une prothèse dentaire amovible complète',0.00,0.00),(3567,'HBMD005','Séance d\'éclaircissement des dents pulpées',0.00,0.00),(3568,'HBMD005','Eclaircissement des dents pulpées',0.00,0.00),(3569,'HBMD006','Reconstitution coronaire provisoire pour acte endodontique sur dent délabrée',0.00,0.00),(3570,'HBMD007','Réfection des bords et/ou de l\'intrados d\'une prothèse dentaire amovible partielle',0.00,0.00),(3571,'HBMD008','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, sans démontage d\'éléments',32.25,32.25),(3572,'HBMD009','Rescellement et/ou recollage de 3 ancrages d\'une prothèse dentaire fixée, ou plus',0.00,0.00),(3573,'HBMD009','Rescellement et/ou recollage de 3 couronnes ou plus ou de 3 ancrages ou plus d\'une prothèse dentaire fixée',0.00,0.00),(3574,'HBMD012','Réparation d\'une prothèse dentaire amovible en résine, fêlée ou fracturée, avec adjonction ou remplacement d\'élément',0.00,0.00),(3575,'HBMD014','Modélisation occlusale par la technique de la cire ajoutée sur une dent',0.00,0.00),(3576,'HBMD015','Adjonction ou remplacement d\'élément d\'une prothèse dentaire amovible sur châssis métallique',0.00,0.00),(3577,'HBMD016','Rescellement et/ou recollage d\'un ou deux ancrages d\'une prothèse dentaire fixée',0.00,0.00),(3578,'HBMD016','Rescellement et/ou recollage d\'une ou deux couronnes ou d\'un ou deux ancrages d\'une prothèse dentaire fixée',0.00,0.00),(3579,'HBMD017','Adjonction ou remplacement d\'élément d\'une prothèse dentaire amovible en résine',21.50,21.50),(3580,'HBMD017','Adjonction ou changement d\'1 élément d\'une prothèse dentaire amovible',21.50,21.50),(3581,'HBMD018','Séance de préparation [mise en condition] tissulaire des surfaces d\'appui muqueux d\'une prothèse dentaire, sur une arcade',0.00,0.00),(3582,'HBMD019','Révision des piliers implantoportés d\'une prothèse dentaire',18.81,18.81),(3583,'HBMD020','Réparation d\'une prothèse dentaire amovible en résine, fêlée ou fracturée',21.50,21.50),(3584,'HBMD020','Réparation d\'une prothèse dentaire amovible en résine sans renfort métallique, fêlée ou fracturée',21.50,21.50),(3585,'HBMD038','Restauration d\'une dent d\'un secteur prémolomolaire sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire, sans réfection de point de contact',53.00,40.97),(3586,'HBMD038','Restauration d\'une dent d\'un secteur prémolomolaire sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire',53.00,40.97),(3587,'HBMD039','Restauration d\'une dent d\'un secteur prémolomolaire sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection de 2 points de contact',0.00,0.00),(3588,'HBMD040','Restauration d\'une dent d\'un secteur prémolomolaire sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection d\'un point de contact',0.00,0.00),(3589,'HBMD041','Restauration d\'une dent d\'un secteur prémolomolaire présentant 2 cavités par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection de 2 points de contact',0.00,0.00),(3590,'HBMD042','Restauration d\'une dent par matériau inséré en phase plastique avec ancrage radiculaire',92.00,79.53),(3591,'HBMD043','Restauration d\'une dent sur 1 face par matériau incrusté [inlay-onlay], sans recouvrement cuspidien',19.28,19.28),(3592,'HBMD043','Restauration d\'une dent sur 1 face par matériau incrusté [inlay-onlay]',19.28,19.28),(3593,'HBMD044','Restauration d\'une dent d\'un secteur incisivocanin sur 1 angle par matériau inséré en phase plastique, sans ancrage radiculaire',53.00,43.00),(3594,'HBMD045','Restauration d\'une dent sur 3 faces ou plus par matériau incrusté [inlay-onlay], avec recouvrement cuspidien',0.00,0.00),(3595,'HBMD046','Restauration d\'une dent sur 2 faces par matériau incrusté [inlay-onlay], sans recouvrement cuspidien',33.74,33.74),(3596,'HBMD046','Restauration d\'une dent sur 2 faces par matériau incrusté [inlay-onlay]',33.74,33.74),(3597,'HBMD047','Restauration d\'une dent d\'un secteur incisivocanin sur 2 angles par matériau inséré en phase plastique, sans ancrage radiculaire',86.00,86.00),(3598,'HBMD048','Pose d\'une facette céramique collée sur une dent d\'un secteur incisivocanin',0.00,0.00),(3599,'HBMD048','Pose d\'une facette céramique ou en équivalents minéraux sur une dent d\'un secteur incisivocanin',0.00,0.00),(3600,'HBMD048','Pose d\'une facette céramique, en équivalents minéraux ou composite sur une dent d\'un secteur incisivocanin ou prémolaire',0.00,0.00),(3601,'HBMD049','Restauration d\'une dent d\'un secteur prémolomolaire sur 2 faces par matériau inséré en phase plastique sans ancrage radiculaire, sans réfection de point de contact',42.00,33.74),(3602,'HBMD049','Restauration d\'une dent d\'un secteur prémolomolaire sur 2 faces par matériau inséré en phase plastique sans ancrage radiculaire',42.00,33.74),(3603,'HBMD050','Restauration d\'une dent d\'un secteur incisivocanin sur 2 faces par matériau inséré en phase plastique sans ancrage radiculaire, sans réfection de point de contact',42.00,33.74),(3604,'HBMD050','Restauration d\'une dent d\'un secteur incisivocanin sur 2 faces par matériau inséré en phase plastique sans ancrage radiculaire',42.00,33.74),(3605,'HBMD051','Restauration d\'une dent sur 2 faces par matériau incrusté [inlay-onlay], avec recouvrement cuspidien',0.00,0.00),(3606,'HBMD052','Restauration d\'une dent d\'un secteur incisivocanin sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection d\'un point de contact',0.00,0.00),(3607,'HBMD053','Restauration d\'une dent d\'un secteur prémolomolaire sur 1 face par matériau inséré en phase plastique, sans ancrage radiculaire',25.06,19.28),(3608,'HBMD054','Restauration d\'une dent d\'un secteur incisivocanin sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire, sans réfection de point de contact',53.00,40.97),(3609,'HBMD054','Restauration d\'une dent d\'un secteur incisivocanin sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire',53.00,40.97),(3610,'HBMD055','Restauration d\'une dent sur 3 faces ou plus par matériau incrusté [inlay-onlay], sans recouvrement cuspidien',40.97,40.97),(3611,'HBMD055','Restauration d\'une dent sur 3 faces ou plus par matériau incrusté [inlay-onlay]',40.97,40.97),(3612,'HBMD056','Restauration d\'une dent d\'un secteur incisivocanin sur 2 faces par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection d\'un point de contact',0.00,0.00),(3613,'HBMD057','Restauration d\'une dent d\'un secteur prémolomolaire sur 2 faces par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection d\'un point de contact',0.00,0.00),(3614,'HBMD058','Restauration d\'une dent d\'un secteur incisivocanin sur 1 face par matériau inséré en phase plastique, sans ancrage radiculaire',25.06,19.28),(3615,'HBMD059','Restauration d\'une dent sur 1 face par matériau incrusté [inlay-onlay], avec recouvrement cuspidien',0.00,0.00),(3616,'HBMD060','Restauration d\'une dent d\'un secteur incisivocanin sur 3 faces ou plus par matériau inséré en phase plastique sans ancrage radiculaire, avec réfection de 2 points de contact',0.00,0.00),(3617,'HBMD061','Séance d\'ajustement occlusal par coronoplastie',0.00,0.00),(3618,'HBMD062','Adjonction de 4 éléments intermédiaires métalliques à une prothèse dentaire plurale',0.00,0.00),(3619,'HBMD063','Adjonction de 2 piliers d\'ancrage céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3620,'HBMD064','Adjonction de 5 piliers d\'ancrage céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3621,'HBMD065','Adjonction de 4 piliers d\'ancrage métalliques à une prothèse dentaire plurale',0.00,0.00),(3622,'HBMD066','Adjonction de 2 piliers d\'ancrage métalliques à une prothèse dentaire plurale',0.00,0.00),(3623,'HBMD067','Adjonction de 3 piliers d\'ancrage métalliques à une prothèse dentaire plurale',0.00,0.00),(3624,'HBMD068','Adjonction de 5 éléments intermédiaires céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3625,'HBMD069','Adjonction de 6 piliers d\'ancrage céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3626,'HBMD070','Adjonction de 3 éléments intermédiaires céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3627,'HBMD071','Adjonction de 4 éléments intermédiaires céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3628,'HBMD072','Adjonction d\'un élément intermédiaire céramométallique à une prothèse dentaire plurale',10.75,10.75),(3629,'HBMD072','Adjonction à une prothèse dentaire plurale fixée d\'un élément intermédiaire céramométallique ou en équivalents minéraux supplémentaire, au-delà du 3e',10.75,10.75),(3630,'HBMD073','Adjonction de 2 éléments intermédiaires métalliques à une prothèse dentaire plurale',0.00,0.00),(3631,'HBMD074','Adjonction de 2 éléments intermédiaires céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3632,'HBMD075','Adjonction de 6 piliers d\'ancrage métalliques à une prothèse dentaire plurale',0.00,0.00),(3633,'HBMD076','Réparation de l\'artifice cosmétique d\'une dent prothétique par technique directe',0.00,0.00),(3634,'HBMD077','Adjonction de 4 piliers d\'ancrage céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3635,'HBMD078','Adjonction de 5 éléments intermédiaires métalliques à une prothèse dentaire plurale',0.00,0.00),(3636,'HBMD079','Réparation de l\'artifice cosmétique d\'une dent prothétique par technique indirecte',0.00,0.00),(3637,'HBMD080','Adjonction de 6 éléments intermédiaires céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3638,'HBMD081','Adjonction d\'un pilier d\'ancrage métallique à une prothèse dentaire plurale',107.50,107.50),(3639,'HBMD081','Adjonction d\'un pilier d\'ancrage métallique à une prothèse dentaire plurale fixée [pilier de bridge]',107.50,107.50),(3640,'HBMD082','Adjonction d\'un élément intermédiaire métallique à une prothèse dentaire plurale',10.75,10.75),(3641,'HBMD082','Adjonction à une prothèse dentaire plurale fixée d\'un élément intermédiaire métallique supplémentaire, au-delà du 3e',10.75,10.75),(3642,'HBMD083','Adjonction de 3 piliers d\'ancrage céramométalliques à une prothèse dentaire plurale',0.00,0.00),(3643,'HBMD084','Adjonction de 3 éléments intermédiaires métalliques à une prothèse dentaire plurale',0.00,0.00),(3644,'HBMD085','Adjonction de 5 piliers d\'ancrage métalliques à une prothèse dentaire plurale',0.00,0.00),(3645,'HBMD086','Adjonction de 6 éléments intermédiaires métalliques à une prothèse dentaire plurale',0.00,0.00),(3646,'HBMD087','Adjonction d\'un pilier d\'ancrage céramométallique à une prothèse dentaire plurale',107.50,107.50),(3647,'HBMD087','Adjonction d\'un pilier d\'ancrage céramométallique ou en équivalents minéraux à une prothèse dentaire plurale fixée [pilier de bridge]',107.50,107.50),(3648,'HBMD110','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 4 éléments',58.05,58.05),(3649,'HBMD114','Adjonction ou changement de 2 éléments d\'une prothèse dentaire amovible',32.25,32.25),(3650,'HBMD134','Adjonction ou changement de 13 éléments d\'une prothèse dentaire amovible',150.50,150.50),(3651,'HBMD174','Adjonction ou changement de 14 éléments d\'une prothèse dentaire amovible',161.25,161.25),(3652,'HBMD188','Adjonction ou changement de 3 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',129.00,129.00),(3653,'HBMD198','Adjonction ou changement de 6 éléments d\'une prothèse dentaire amovible',75.25,75.25),(3654,'HBMD200','Adjonction ou changement de 13 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',559.00,559.00),(3655,'HBMD226','Adjonction ou changement de 11 éléments d\'une prothèse dentaire amovible',129.00,129.00),(3656,'HBMD228','Adjonction ou changement de 8 éléments d\'une prothèse dentaire amovible',96.75,96.75),(3657,'HBMD245','Adjonction ou changement de 5 éléments d\'une prothèse dentaire amovible',64.50,64.50),(3658,'HBMD249','Adjonction ou changement d\'1 élément soudé sur une prothèse dentaire amovible sur châssis métallique',43.00,43.00),(3659,'HBMD281','Adjonction ou changement de 12 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',516.00,516.00),(3660,'HBMD283','Adjonction ou changement de 5 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',215.00,215.00),(3661,'HBMD286','Adjonction ou changement de 9 éléments d\'une prothèse dentaire amovible',107.50,107.50),(3662,'HBMD289','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 13 éléments',116.10,116.10),(3663,'HBMD292','Adjonction ou changement de 2 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',86.00,86.00),(3664,'HBMD298','Adjonction ou changement de 14 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',602.00,602.00),(3665,'HBMD312','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 12 éléments',109.65,109.65),(3666,'HBMD322','Adjonction ou changement de 3 éléments d\'une prothèse dentaire amovible',43.00,43.00),(3667,'HBMD329','Adjonction ou changement de 10 éléments d\'une prothèse dentaire amovible',118.25,118.25),(3668,'HBMD339','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 7 éléments',77.40,77.40),(3669,'HBMD342','Adjonction d\'un 2e élément intermédiaire métallique à une prothèse dentaire plurale [3e élément métallique intermédiaire de bridge]',0.10,0.10),(3670,'HBMD349','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 5 éléments',64.50,64.50),(3671,'HBMD351','Restauration d\'une dent sur 2 faces ou plus par matériau incrusté [inlay-onlay] composite ou en alliage non précieux',100.00,100.00),(3672,'HBMD356','Réparation d\'une prothèse dentaire amovible en résine avec renfort métallique, fêlée ou fracturée',21.50,21.50),(3673,'HBMD373','Adjonction ou changement de 7 éléments d\'une prothèse dentaire amovible',86.00,86.00),(3674,'HBMD386','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 6 éléments',70.95,70.95),(3675,'HBMD387','Adjonction ou changement de 12 éléments d\'une prothèse dentaire amovible',139.75,139.75),(3676,'HBMD400','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 14 éléments',122.55,122.55),(3677,'HBMD404','Adjonction ou changement de 4 éléments d\'une prothèse dentaire amovible',53.75,53.75),(3678,'HBMD410','Adjonction ou changement de 10 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',430.00,430.00),(3679,'HBMD425','Adjonction ou changement de 7 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',301.00,301.00),(3680,'HBMD429','Adjonction ou changement de 11 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',473.00,473.00),(3681,'HBMD432','Adjonction ou changement de 4 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',172.00,172.00),(3682,'HBMD433','Adjonction d\'un 2e élément intermédiaire céramométallique ou en équivalents minéraux à une prothèse dentaire plurale fixée [3e élément céramométallique ou en équivalents minéraux intermédiaire de bridge]',0.10,0.10),(3683,'HBMD438','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 9 éléments',90.30,90.30),(3684,'HBMD439','Adjonction ou changement de 6 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',258.00,258.00),(3685,'HBMD444','Adjonction ou changement de 8 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',344.00,344.00),(3686,'HBMD449','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 11 éléments',103.20,103.20),(3687,'HBMD459','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 8 éléments',83.85,83.85),(3688,'HBMD460','Restauration d\'une dent sur 2 faces ou plus par matériau incrusté [inlay-onlay] céramique ou en alliage précieux',100.00,100.00),(3689,'HBMD469','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 3 éléments',51.60,51.60),(3690,'HBMD479','Adjonction d\'un 1er élément intermédiaire céramométallique ou en équivalents minéraux à une prothèse dentaire plurale fixée [2e élément céramométallique ou en équivalents minéraux intermédiaire de bridge]',0.10,0.10),(3691,'HBMD481','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 10 éléments',96.75,96.75),(3692,'HBMD485','Adjonction ou changement de 9 éléments soudés d\'une prothèse dentaire amovible sur châssis métallique',387.00,387.00),(3693,'HBMD488','Réparation d\'une fracture de châssis métallique de prothèse dentaire amovible, avec remontage de 2 éléments',45.15,45.15),(3694,'HBMD490','Adjonction d\'un 1er élément intermédiaire métallique à une prothèse dentaire plurale fixée [2e élément métallique intermédiaire de bridge]',0.10,0.10),(3695,'HBMD689','Adjonction d\'1 élément en extension céramométallique ou en équivalents minéraux, autre qu\'une canine, à une prothèse plurale fixée [bridge] comportant au moins 2 piliers d\'ancrage et 1 élément intermédiaire',10.75,10.75),(3696,'HBMD776','Adjonction d\'un élément en extension métallique, autre qu\'une canine, à une prothèse plurale fixée [bridge] comportant au moins 2 piliers d\'ancrage et 1 élément intermédiaire',10.75,10.75),(3697,'HBMP001','Transformation d\'un guide radiologique préimplantaire en guide chirurgical',30.72,30.72),(3698,'HBPA001','Dégagement d\'une dent retenue ou incluse, avec pose d\'un dispositif de traction orthodontique et aménagement parodontal par greffe ou lambeau',146.30,146.30),(3699,'HBPD001','Dégagement de plusieurs dents retenues ou incluses avec pose de dispositif de traction orthodontique',156.75,156.75),(3700,'HBPD002','Dégagement d\'une dent retenue ou incluse avec pose d\'un dispositif de traction orthodontique sans aménagement parodontal',104.50,104.50),(3701,'HBQD001','Bilan parodontal',50.00,50.00),(3702,'HBQH001','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire selon 9 à 11 incidences',17.96,17.96),(3703,'HBQH002','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire selon 6 à 8 incidences',13.30,13.30),(3704,'HBQH003','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire selon 12 incidences ou plus',74.48,74.48),(3705,'HBQH004','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire selon 3 à 5 incidences',9.31,9.31),(3706,'HBQH005','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire selon 1 ou 2 incidences',5.32,5.32),(3707,'HBQK001','Radiographie pelvibuccale [occlusale]',7.98,7.98),(3708,'HBQK002','Radiographie panoramique dentomaxillaire',20.00,20.00),(3709,'HBQK040','Radiographies intrabuccales rétroalvéolaires sur un secteur de 1 à 3 dents contigües préinterventionnelle ou perinterventionnelle avec radiographie finale pour acte thérapeutique endodontique',11.97,11.97),(3710,'HBQK041','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 14 secteurs distincts de 1 à 3 dents contigües',111.72,111.72),(3711,'HBQK046','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 9 secteurs distincts de 1 à 3 dents contigües',71.82,71.82),(3712,'HBQK061','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire d\'un secteur de 1 à 3 dents contigües finale pour acte thérapeutique endodontique ou perinterventionnelle et/ou finale, en dehors d\'un acte thérapeutique endodontique',3.99,3.99),(3713,'HBQK061','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire d\'un secteur de 1 à 3 dents contigües, perinterventionnelle et/ou finale, en dehors d\'un acte thérapeutique endodontique',3.99,3.99),(3714,'HBQK065','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 10 secteurs distincts de 1 à 3 dents contigües',79.80,79.80),(3715,'HBQK093','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 13 secteurs distincts de 1 à 3 dents contigües',103.74,103.74),(3716,'HBQK142','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 8 secteurs distincts de 1 à 3 dents contigües',63.84,63.84),(3717,'HBQK191','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 2 secteurs distincts de 1 à 3 dents contigües',15.96,15.96),(3718,'HBQK303','Radiographies intrabuccales rétroalvéolaires sur un secteur de 1 à 3 dents contigües préinterventionnelle, perinterventionnelle et finale pour acte thérapeutique endodontique',15.96,15.96),(3719,'HBQK331','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 3 secteurs distincts de 1 à 3 dents contigües',23.94,23.94),(3720,'HBQK389','Radiographie intrabuccale rétroalvéolaire et/ou rétrocoronaire d\'un secteur de 1 à 3 dents contigües',7.98,7.98),(3721,'HBQK424','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 11 secteurs distincts de 1 à 3 dents contigües',87.78,87.78),(3722,'HBQK428','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 5 secteurs distincts de 1 à 3 dents contigües',39.90,39.90),(3723,'HBQK430','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 7 secteurs distincts de 1 à 3 dents contigües',55.86,55.86),(3724,'HBQK443','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 4 secteurs distincts de 1 à 3 dents contigües',31.92,31.92),(3725,'HBQK476','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 12 secteurs distincts de 1 à 3 dents contigües',95.76,95.76),(3726,'HBQK480','Radiographies intrabuccales rétroalvéolaires et/ou rétrocoronaires de 6 secteurs distincts de 1 à 3 dents contigües',47.88,47.88),(3727,'HBSD001','Hémostase gingivoalvéolaire secondaire à une avulsion dentaire',24.11,22.05),(3728,'HCAE192','Dilatation unilatérale ou bilatérale de sténose du conduit de plusieurs glandes salivaires, par endoscopie [sialendoscopie]',127.82,127.82),(3729,'HCAE201','Dilatation de sténose du conduit d\'une glande salivaire par endoscopie [sialendoscopie]',105.49,105.49),(3730,'HCCA001','Dérivation du conduit parotidien [de Sténon] pour suppléance lacrymale',220.97,215.94),(3731,'HCCA002','Suture de plaie de conduit salivaire',132.44,103.15),(3732,'HCCD001','Dérivation oropharyngée bilatérale du conduit parotidien [de Sténon], par voie buccale',319.76,303.60),(3733,'HCEA001','Transposition unilatérale ou bilatérale des conduits submandibulaires [de Wharton]',166.32,149.13),(3734,'HCFA001','Exérèse de glande submandibulaire [Submandibulectomie] [Sousmaxillectomie] élargie à sa loge, par abord cervicofacial',230.23,203.76),(3735,'HCFA002','Parotidectomie totale avec résection du nerf facial',435.82,410.06),(3736,'HCFA003','Exérèse de glande sublinguale, par abord direct',104.50,104.50),(3737,'HCFA004','Parotidectomie partielle sans dissection du nerf facial',254.10,230.41),(3738,'HCFA005','Parotidectomie totale avec exérèse du prolongement [processus] parapharyngien, par abord cervicofacial',662.20,541.36),(3739,'HCFA006','Parotidectomie totale élargie au méat acoustique externe [conduit auditif externe] et/ou à la mandibule',609.07,536.87),(3740,'HCFA007','Exérèse de petite glande salivaire [glande salivaire accessoire]',117.04,111.78),(3741,'HCFA008','Parotidectomie partielle avec dissection et conservation du nerf facial',483.56,437.75),(3742,'HCFA009','Parotidectomie totale avec dissection et conservation du nerf facial',589.05,498.93),(3743,'HCFA010','Parotidectomie totale avec résection du nerf facial et réparation immédiate par suture ou greffe',609.07,550.05),(3744,'HCFA011','Exérèse de glande submandibulaire [Submandibulectomie] [Sousmaxillectomie], par abord cervicofacial',187.11,152.41),(3745,'HCFA012','Exérèse de récidive de tumeur de la glande parotide avec dissection et conservation du nerf facial',703.78,565.48),(3746,'HCFA013','Parotidectomie totale par abord cervicofacial, avec exérèse du prolongement [processus] parapharyngien par abord pharyngé',703.78,565.48),(3747,'HCGA001','Ablation de calcul canalaire d\'une glande salivaire, par abord intrabuccal',70.07,49.42),(3748,'HCGA001','Ablation de calcul canalaire d\'une glande salivaire, par abord intrabuccal sans guidage endoscopique',70.07,49.42),(3749,'HCGA002','Ablation de calcul canalaire d\'une glande salivaire, par abord cervicofacial',167.86,141.25),(3750,'HCGA002','Ablation de calcul canalaire d\'une glande salivaire, par abord cervicofacial sans guidage endoscopique',167.86,141.25),(3751,'HCGA003','Ablation de calcul du bassinet de la glande submandibulaire, par abord intrabuccal',107.06,88.43),(3752,'HCGA003','Ablation de calcul du bassinet de la glande submandibulaire, par abord intrabuccal sans guidage endoscopique',107.06,88.43),(3753,'HCGA109','Ablation bilatérale de calcul canalaire de la glande submandibulaire par abord intrabuccal avec guidage endoscopique',263.34,263.34),(3754,'HCGA130','Ablation de calcul canalaire de la glande parotide par abord cervicofacial ou intrabuccal avec guidage endoscopique',269.50,269.50),(3755,'HCGA223','Ablation de calcul du bassinet de la glande submandibulaire, par abord intrabuccal avec guidage endoscopique',231.00,231.00),(3756,'HCGA374','Ablation unilatérale de calcul canalaire de la glande submandibulaire par abord intrabuccal avec guidage endoscopique',202.51,202.51),(3757,'HCGE188','Ablation de calcul canalaire d\'une glande salivaire par endoscopie [sialendoscopie]',231.00,231.00),(3758,'HCGE271','Ablation unilatérale ou bilatérale de calcul canalaire de plusieurs glandes salivaires par endoscopie [sialendoscopie]',257.95,257.95),(3759,'HCHA001','Biopsie de glande salivaire majeure [principale]',43.89,29.49),(3760,'HCHA002','Biopsie des petites glandes salivaires [glandes salivaires mineures] [glandes salivaires accessoires]',33.88,23.68),(3761,'HCHB001','Ponction ou cytoponction de glande salivaire, par voie transcutanée',41.58,28.15),(3762,'HCJA001','Évacuation de collection salivaire, par abord direct',63.91,45.84),(3763,'HCLD001','Cathétérisme de canal salivaire sans sialographie',43.89,37.55),(3764,'HCNE083','Fragmentation intracanalaire de calcul des glandes salivaires au cours d\'une sialendoscopie',50.05,50.05),(3765,'HCNM900','Lithotritie de la glande parotide',0.00,0.00),(3766,'HCNM901','Lithotritie de la glande submandibulaire',0.00,0.00),(3767,'HCPA001','Marsupialisation de kyste de glande salivaire',63.91,45.84),(3768,'HCQE427','Sialendoscopie diagnostique',61.60,61.60),(3769,'HCQH001','Sialographie',50.54,50.54),(3770,'HCQH002','Sialographie avec scanographie des glandes salivaires',50.54,50.54),(3771,'HCQL001','Scintigraphie des glandes salivaires',268.87,268.87),(3772,'HCQM001','Échographie transcutanée des glandes salivaires',34.97,34.97),(3773,'HCQM001','Échographie transcutanée des glandes salivaire',34.97,34.97),(3774,'HCQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de glande salivaire',91.37,91.37),(3775,'HCSA001','Fermeture de fistule salivaire parenchymateuse ou juxtaglandulaire',104.50,104.50),(3776,'HDAA002','Véloplastie d\'allongement avec lambeau palatin',251.02,233.38),(3777,'HDAA003','Plastie d\'élargissement de l\'hypopharynx',267.96,208.08),(3778,'HDCA001','Pharyngostomie cutanée',231.00,186.65),(3779,'HDCA002','Suture de plaie du pharynx, par cervicotomie',272.58,175.66),(3780,'HDFA001','Pharyngolaryngectomie totale circulaire avec rétablissement de continuité par transplant libre de jéjunum',563.64,515.64),(3781,'HDFA002','Oropharyngectomie latérale avec amygdalectomie, par abord intrabuccal',193.27,182.32),(3782,'HDFA003','Pharyngolaryngectomie totale étendue à la base de langue',592.13,567.28),(3783,'HDFA004','Oropharyngectomie avec mandibulectomie partielle non interruptrice, par abord direct',390.39,344.93),(3784,'HDFA005','Pharyngolaryngectomie totale',526.68,494.20),(3785,'HDFA006','Pharyngolaryngectomie totale circulaire avec rétablissement de continuité par coloplastie rétrosternale',515.64,515.64),(3786,'HDFA007','Oropharyngectomie par mandibulotomie avec pharyngolaryngectomie totale',908.60,761.80),(3787,'HDFA008','Oropharyngectomie latérale, par cervicotomie',409.64,356.09),(3788,'HDFA009','Oropharyngectomie postérieure, par abord intrabuccal',187.88,179.19),(3789,'HDFA010','Pharyngolaryngectomie totale circulaire',569.03,518.76),(3790,'HDFA011','Oropharyngectomie avec mandibulectomie partielle interruptrice, par abord cervicofacial',558.25,494.96),(3791,'HDFA012','Pharyngectomie postérieure, par cervicotomie',504.35,411.03),(3792,'HDFA013','Oropharyngectomie avec mandibulectomie partielle interruptrice et pharyngolaryngectomie totale',908.60,761.80),(3793,'HDFA014','Résection de récidive de diverticule pharyngooesophagien, par cervicotomie',309.54,267.32),(3794,'HDFA015','Résection de diverticule pharyngooesophagien avec myotomie extramuqueuse, par cervicotomie',318.01,272.22),(3795,'HDFA016','Pharyngectomie latérale, par cervicotomie',354.97,324.39),(3796,'HDFA017','Oropharyngectomie postérieure, par cervicotomie',527.45,424.43),(3797,'HDFA018','Exérèse de lésion du pharynx, par pharyngotomie',239.47,226.68),(3798,'HDFA019','Oropharyngectomie par mandibulotomie',613.69,474.45),(3799,'HDFA020','Uvulectomie',167.20,167.20),(3800,'HDFA021','Uvulovélectomie avec palatectomie partielle',250.80,250.80),(3801,'HDFA022','Uvulovélectomie',167.20,167.20),(3802,'HDFE001','Résection et/ou dilatation de sténose du pharynx, par endoscopie avec laser',123.97,112.22),(3803,'HDFE002','Exérèse de lésion de l\'hypopharynx, par endoscopie',93.94,86.75),(3804,'HDFE003','Résection et/ou dilatation de sténose du pharynx, par endoscopie sans laser',106.26,101.96),(3805,'HDGA001','Ablation de corps étranger pharyngooesophagien, par cervicotomie',233.68,233.68),(3806,'HDGE001','Ablation de corps étranger de l\'oropharynx, par endoscopie rigide',66.22,55.97),(3807,'HDGE002','Ablation de corps étranger de l\'oropharynx, par laryngoscopie indirecte',41.80,41.80),(3808,'HDJA001','Évacuation de collection péritonsillaire [périamygdalienne] et/ou rétropharyngienne, par abord intrabuccal',56.98,50.61),(3809,'HDJD001','Évacuation de collection rétrostylienne, par voie buccale',43.89,43.01),(3810,'HDJD002','Évacuation de collection péritonsillaire [périamygdalienne] et/ou rétropharyngienne, par voie buccale',46.20,44.35),(3811,'HDMA001','Uvulopharyngoplastie sans laser avec turbinectomie',0.00,0.00),(3812,'HDMA002','Uvulopharyngoplastie avec laser',0.00,0.00),(3813,'HDMA004','Uvulopharyngoplastie sans laser avec septoplastie',0.00,0.00),(3814,'HDMA005','Uvulopharyngoplastie sans laser',0.00,0.00),(3815,'HDMA006','Pharyngoplastie ou sphinctéroplastie pour correction de séquelle phonétique d\'une fente palatine',313.50,313.50),(3816,'HDMA007','Vélopharyngoplastie ou pharyngoplastie avec lambeau pharyngé',313.50,313.50),(3817,'HDMA008','Pharyngoplastie pour sténose vélo-oro-rhino-pharyngée',301.84,262.85),(3818,'HDMA009','Vélopharyngoplastie ou pharyngoplastie avec lambeau pharyngé et lambeau palatin',370.37,346.49),(3819,'HDMA010','Véloplastie secondaire intravélaire',251.02,233.38),(3820,'HDNE001','Destruction de lésion de l\'hypopharynx avec laser, par endoscopie',101.64,91.21),(3821,'HDNE002','Destruction de lésion de l\'hypopharynx sans laser, par endoscopie',103.18,92.11),(3822,'HDPA001','Myotomie du faisceau cricopharyngien du muscle constricteur inférieur du pharynx, par cervicotomie',200.97,186.78),(3823,'HDPE001','Myotomie du faisceau cricopharyngien du muscle constricteur inférieur du pharynx, par endoscopie avec laser',167.20,167.20),(3824,'HDPE002','Myotomie du faisceau cricopharyngien du muscle constricteur inférieur du pharynx, par endoscopie sans laser',171.71,169.82),(3825,'HDQE001','Orohypopharyngoscopie avec laryngoscopie directe',82.39,71.98),(3826,'HDQP002','Exploration du flux aérien bucco-naso-pharyngé par débitmétrie, pour étude de la fonction vélopalatine',0.00,0.00),(3827,'HDQX007','Examen anatomopathologique à visée carcinologique de pièce de pharyngolaryngectomie totale',122.97,122.97),(3828,'HDSD002','Fermeture primaire d\'une fente vélaire [Staphylorraphie pour fente orofaciale]',257.37,237.05),(3829,'HEAE001','Dilatation rétrograde de l\'oesophage, par endoscopie rigide',0.00,0.00),(3830,'HEAE002','Dilatation antérograde de l\'oesophage, par endoscopie rigide',96.00,96.00),(3831,'HEAE003','Dilatation antérograde de l\'oesophage, par fibroscopie',122.00,122.00),(3832,'HEAH001','Dilatation de l\'oesophage, avec guidage radiologique',96.00,96.00),(3833,'HECA001','Suture de plaie ou de perforation de l\'oesophage, par cervicotomie',250.99,215.80),(3834,'HECA002','Suture de plaie ou de perforation de l\'oesophage, par thoracotomie',373.64,348.39),(3835,'HECA003','Exclusion bipolaire de l\'oesophage, par cervicotomie et par laparotomie',581.38,433.76),(3836,'HECA004','Suture de plaie ou de perforation de l\'oesophage, par laparotomie',330.39,323.30),(3837,'HECA005','OEsophagostomie cutanée, par cervicotomie',212.70,193.60),(3838,'HECC001','Suture de plaie ou de perforation de l\'oesophage, par thoracoscopie',339.61,328.65),(3839,'HEDA001','Diverticulopexie de l\'oesophage, par cervicotomie',246.73,213.33),(3840,'HEFA001','OEsophagectomie avec oesophagogastroplastie, par thoracophrénotomie gauche',1264.86,978.67),(3841,'HEFA002','OEsophagectomie avec oesophagogastroplastie, par cervicotomie, thoracotomie et laparotomie',1459.83,1091.77),(3842,'HEFA003','OEsophagectomie avec oesophagogastroplastie, par thoracotomie et par coelioscopie',1351.35,1040.94),(3843,'HEFA004','OEsophagectomie totale avec oesophagogastroplastie, par cervicotomie et par laparotomie',1236.50,962.23),(3844,'HEFA005','OEsophagectomie avec oesophagojéjunostomie, par thoraco-phréno-laparotomie',1364.83,1036.66),(3845,'HEFA006','OEsophagectomie totale avec oesophagocoloplastie, par cervicotomie et par laparotomie',1489.61,1109.03),(3846,'HEFA007','OEsophagectomie avec oesophagocoloplastie, par cervicotomie, thoracotomie et laparotomie',1513.72,1123.02),(3847,'HEFA008','OEsophago-pharyngo-laryngectomie totale avec oesophagogastroplastie, par cervicotomie et par laparotomie',583.48,583.48),(3848,'HEFA009','OEsophagectomie avec oesophagocoloplastie, par thoracotomie et par laparotomie',1392.48,1052.70),(3849,'HEFA010','Exérèse de duplication de l\'oesophage, par thoracotomie et par laparotomie',485.32,485.32),(3850,'HEFA011','OEsophagectomie avec oesophagojéjunostomie, par thoracotomie et par laparotomie',1356.32,1031.73),(3851,'HEFA012','OEsophagectomie avec oesophagogastroplastie, par thoracotomie et par laparotomie',1338.59,1021.45),(3852,'HEFA013','OEsophagectomie avec oesophagogastroplastie, par thoraco-phréno-laparotomie',1289.67,993.07),(3853,'HEFA014','Exérèse de duplication de l\'oesophage, par thoracotomie',401.02,401.02),(3854,'HEFA015','Résection de diverticule de l\'oesophage, par thoracotomie',365.14,343.45),(3855,'HEFA016','OEsophagectomie avec oesophagocoloplastie, par thoraco-phréno-laparotomie',1060.92,1060.92),(3856,'HEFA017','OEsophago-pharyngo-laryngectomie totale avec oesophagocoloplastie, par cervicotomie et par laparotomie',583.48,583.48),(3857,'HEFA018','OEsophagectomie avec oesophagogastroplastie, par cervicotomie, thoracotomie et coelioscopie',1521.51,1139.64),(3858,'HEFA019','Excision de tumeur de l\'oesophage sans interruption de la continuité, par thoracotomie',401.29,364.42),(3859,'HEFA020','OEsophagectomie totale sans rétablissement de la continuité, par cervicotomie et par laparotomie',1086.90,875.46),(3860,'HEFA021','Résection-anastomose de rétrécissement congénital de l\'oesophage, par thoracotomie',583.48,583.48),(3861,'HEFA022','OEsophagectomie totale sans rétablissement de la continuité, par thoracotomie',1086.90,875.46),(3862,'HEFC001','Résection de diverticule de l\'oesophage, par thoracoscopie',383.57,354.14),(3863,'HEFC002','Excision de tumeur de l\'oesophage sans interruption de la continuité, par thoracoscopie',402.71,365.24),(3864,'HEFC003','Exérèse de duplication de l\'oesophage, par thoracoscopie',417.46,417.46),(3865,'HEFE001','Exérèse d\'un polype de 1cm et plus de diamètre ou de 4 polypes ou plus de l\'oesophage, de l\'estomac et/ou du duodénum, par oeso-gastro-duodénoscopie',135.62,135.62),(3866,'HEFE001','Exérèse d\'un polype de plus de 1cm de diamètre ou de 4 polypes ou plus de l\'oesophage, de l\'estomac et/ou du duodénum, par oeso-gastro-duodénoscopie',135.62,135.62),(3867,'HEFE002','Exérèse de 1 à 3 polypes de moins de 1cm de diamètre de l\'oesophage, de l\'estomac et/ou du duodénum, par oeso-gastro-duodénoscopie',103.28,103.28),(3868,'HEFE003','Séance de mucosectomie de l\'oesophage, de l\'estomac ou du duodénum, par oeso-gastro-duodénoscopie',201.42,201.42),(3869,'HEGE001','Ablation de corps étranger de l\'oesophage, par endoscopie rigide',167.20,167.20),(3870,'HEGE002','Ablation de corps étranger de l\'oesophage, de l\'estomac et/ou du duodénum, par oeso-gastro-duodénoscopie',111.80,111.80),(3871,'HEGE003','Ablation d\'une endoprothèse de l\'oesophage, par endoscopie',184.81,184.81),(3872,'HEKE001','Changement d\'une endoprothèse de l\'oesophage, par endoscopie',216.57,216.57),(3873,'HELE001','Pose de guide intraoesophagien pour curiethérapie [endobrachytherapy], par fibroscopie',96.00,96.00),(3874,'HELE002','Pose d\'une endoprothèse de l\'oesophage, par endoscopie',170.63,170.63),(3875,'HELE900','Séance d\'injection de toxine botulique au niveau du sphincter inférieur de l\'oesophage, par endoscopie',0.00,0.00),(3876,'HELH001','Pose d\'une endoprothèse de l\'oesophage, avec guidage radiologique',167.20,167.20),(3877,'HEMA001','OEsophagocoloplastie rétrosternale sans oesophagectomie, avec anastomose oesophagocolique cervicale, par cervicotomie et par laparotomie',1171.98,924.80),(3878,'HEMA002','Reconstruction secondaire de l\'oesophage pour atrésie avec fistule, par thoracotomie',641.06,641.06),(3879,'HEMA003','Reconstruction de l\'oesophage et fermeture de la fistule en un temps pour atrésie avec fistule, par thoracotomie',657.51,657.51),(3880,'HEMA004','Reconstruction de l\'oesophage en un temps pour atrésie sans fistule, par thoracotomie',610.64,610.64),(3881,'HEMA005','OEsophagocoloplastie rétrosternale sans oesophagectomie, avec anastomose pharyngocolique, par cervicotomie et par laparotomie',1171.98,924.80),(3882,'HEMA006','Reconstruction de l\'oesophage par lambeau libre de segment digestif, avec anastomoses vasculaires et digestives',1027.34,840.92),(3883,'HEMA007','Plastie de sténose anastomotique de l\'oesophage, par cervicotomie',221.97,221.97),(3884,'HEMA008','OEsophagogastroplastie rétrosternale sans oesophagectomie, avec anastomose oesophagogastrique cervicale, par cervicotomie et par laparotomie',794.04,794.04),(3885,'HEMA009','OEsophagogastroplastie rétrosternale sans oesophagectomie, avec anastomose pharyngogastrique, par cervicotomie et par laparotomie',794.04,794.04),(3886,'HEMA010','Création d\'une fistule oesotrachéale avec pose d\'implant phonatoire, au cours d\'une pharyngolaryngectomie',0.00,0.00),(3887,'HEME002','Création d\'une fistule oesotrachéale avec pose d\'implant phonatoire, par endoscopie',126.28,113.56),(3888,'HEME900','Correction d\'un reflux gastrooesophagien, par endoscopie',0.00,0.00),(3889,'HENE001','Séance de destruction photodynamique de lésion de l\'oesophage et/ou de l\'estomac avec laser, par oeso-gastro-duodénoscopie',0.00,0.00),(3890,'HENE002','Séance de destruction de lésion de l\'oesophage et/ou de l\'estomac avec laser, par oeso-gastro-duodénoscopie',116.90,116.90),(3891,'HENE004','Séance de destruction de lésion de l\'oesophage et/ou de l\'estomac sans laser, par oeso-gastro-duodénoscopie',125.41,125.41),(3892,'HENE900','Séance de destruction d\'une hétérotopie de la muqueuse de l\'oesophage inférieur, par endoscopie',0.00,0.00),(3893,'HEPA001','OEso-cardio-myotomie extramuqueuse sans réalisation de procédé antireflux, par thoracotomie',341.39,341.39),(3894,'HEPA002','OEso-cardio-myotomie extramuqueuse avec réalisation de procédé antireflux, par laparotomie',426.11,378.81),(3895,'HEPA003','OEso-cardio-myotomie extramuqueuse avec réalisation de procédé antireflux, par thoracotomie',396.09,396.09),(3896,'HEPA004','Transsection de l\'oesophage avec splénectomie et déconnexion portosystémique, par laparotomie',661.57,661.57),(3897,'HEPA005','Transsection de l\'oesophage, par thoracotomie ou par laparotomie',370.59,370.59),(3898,'HEPA006','OEso-cardio-myotomie extramuqueuse sans réalisation de procédé antireflux, par laparotomie',343.16,330.70),(3899,'HEPA007','Transsection de l\'oesophage avec splénectomie et déconnexion portosystémique, par thoracotomie et par laparotomie',992.60,807.96),(3900,'HEPC001','OEso-cardio-myotomie extramuqueuse sans réalisation de procédé antireflux, par thoracoscopie',377.58,377.58),(3901,'HEPC002','OEso-cardio-myotomie extramuqueuse sans réalisation de procédé antireflux, par coelioscopie',373.64,360.48),(3902,'HEPC003','OEso-cardio-myotomie extramuqueuse avec réalisation de procédé antireflux, par coelioscopie',505.52,436.96),(3903,'HEPC004','OEso-cardio-myotomie extramuqueuse avec réalisation de procédé antireflux, par thoracoscopie',416.23,416.23),(3904,'HEQD001','Manométrie oesophagienne sur 24 heures, avec mesure du pH',91.75,91.75),(3905,'HEQD002','pH-métrie oesophagienne et/ou gastrique sur 24 heures',86.40,86.40),(3906,'HEQD003','Manométrie oesophagienne',79.84,79.84),(3907,'HEQE001','OEsophagoscopie au tube rigide',70.21,70.21),(3908,'HEQE001','╝sophagoscopie au tube rigide',70.21,70.21),(3909,'HEQE002','Endoscopie oeso-gastro-duodénale',96.00,96.00),(3910,'HEQE002','Endoscopie ╜so-gastro-duodénale',96.00,96.00),(3911,'HEQE003','Endoscopie oeso-gastro-duodénale avec test à l\'uréase, avant l\'âge de 6 ans',100.45,100.45),(3912,'HEQE003','Endoscopie ╜so-gastro-duodénale avec test à l\'uréase, avant l\'âge de 6 ans',100.45,100.45),(3913,'HEQE004','Endoscopie oeso-gastro-duodénale peropératoire',0.00,0.00),(3914,'HEQE005','Endoscopie oeso-gastro-duodénale avec test à l\'uréase, après l\'âge de 6 ans',96.00,96.00),(3915,'HEQE005','Endoscopie ╜so-gastro-duodénale avec test à l\'uréase, après l\'âge de 6 ans',96.00,96.00),(3916,'HEQH001','Radiographie de l\'oesophage avec opacification par produit de contraste [Transit oesophagien]',53.20,53.20),(3917,'HEQH002','Radiographie oeso-gastro-duodénale avec opacification par produit de contraste [Transit oeso-gastro-duodénal]',104.57,104.57),(3918,'HEQJ001','Échoendoscopie oesogastrique sans biopsie',160.67,160.67),(3919,'HEQJ002','Échoendoscopie oesogastrique avec biopsie transoesogastrique guidée',193.57,193.57),(3920,'HEQL001','Recherche radio-isotopique d\'un reflux gastrooesophagien',265.28,265.28),(3921,'HEQL002','Scintigraphie du transit oesophagien par substance solide ou liquide',265.28,265.28),(3922,'HEQL003','Scintigraphie du transit oesophagien par substances solide et liquide',397.92,397.92),(3923,'HEQX004','Examen anatomopathologique à visée carcinologique de pièce d\'oesophagectomie partielle ou totale',106.37,106.37),(3924,'HEQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse endoscopique de l\'oesophage',51.15,51.15),(3925,'HEQX008','Examen anatomopathologique à visée carcinologique de pièce d\'oesophago-pharyngo-laryngectomie ou d\'oesophagogastrectomie',124.03,124.03),(3926,'HERD001','Test de provocation douloureuse pour recherche d\'une affection de l\'oesophage',0.00,0.00),(3927,'HESA001','Fermeture de fistule oesotrachéale acquise, par cervicotomie',618.96,490.66),(3928,'HESA002','Fermeture d\'une fistule oesotrachéale congénitale sans atrésie de l\'oesophage, par cervicotomie et par thoracotomie',405.14,405.14),(3929,'HESA003','Fermeture d\'oesophagostomie cutanée, par abord direct',228.54,228.54),(3930,'HESA004','Fermeture de fistule oesotrachéale acquise, par cervicothoracotomie ou par thoracotomie',663.62,621.18),(3931,'HESA005','Fermeture de fistule cutanée de l\'oesophage, par cervicotomie',219.08,197.29),(3932,'HESA006','Fermeture d\'une fistule oesotrachéale congénitale sans atrésie de l\'oesophage, par cervicotomie',308.74,308.74),(3933,'HESA007','Fermeture de fistule oesotrachéale acquise avec résection de la trachée, par cervicothoracotomie ou par thoracotomie',869.87,869.87),(3934,'HESA008','Fermeture de fistule oesotrachéale acquise avec résection-anastomose de la trachée, par cervicotomie',771.39,683.69),(3935,'HESA009','Fermeture de la fistule oesotrachéale d\'une atrésie de l\'oesophage, par thoracotomie',583.48,583.48),(3936,'HESA010','Fermeture de fistule oesotrachéale après implant phonatoire, par cervicotomie',104.50,104.50),(3937,'HESE001','Hémostase de lésion de l\'oesophage, de l\'estomac et/ou du duodénum avec laser, par oeso-gastro-duodénoscopie',142.99,142.99),(3938,'HESE002','Hémostase de lésion de l\'oesophage, de l\'estomac et/ou du duodénum sans laser, par oeso-gastro-duodénoscopie',135.62,135.62),(3939,'HFAD001','Dilatation du trajet d\'une gastrostomie cutanée, avec pose d\'un bouton de gastrostomie',60.27,38.99),(3940,'HFAE001','Dilatation du pylore, par oeso-gastro-duodénoscopie',112.36,112.36),(3941,'HFAH001','Dilatation du pylore, avec guidage radiologique',96.00,96.00),(3942,'HFCA001','Court-circuit [Bypass] gastrique pour obésité morbide, par laparotomie',562.95,458.18),(3943,'HFCA002','Gastrostomie cutanée, par laparotomie',190.01,162.87),(3944,'HFCA003','Suture de plaie ou de perforation de l\'estomac ou du duodénum, par laparotomie',274.38,242.17),(3945,'HFCA004','Gastrojéjunostomie de dérivation [Gastro-entéro-anastomose sans résection gastrique], par laparotomie',214.12,211.97),(3946,'HFCB001','Gastrostomie, par voie transcutanée avec guidage endoscopique',125.84,125.84),(3947,'HFCC001','Suture de plaie ou de perforation de l\'estomac ou du duodénum, par coelioscopie',314.80,277.71),(3948,'HFCC002','Gastrostomie cutanée, par coelioscopie',209.16,186.08),(3949,'HFCC003','Court-circuit [Bypass] gastrique pour obésité morbide, par coelioscopie',591.31,474.63),(3950,'HFCC022','Gastrojéjunostomie de dérivation [Gastro-entéro-anastomose sans résection gastrique], par coelioscopie',242.92,240.77),(3951,'HFCH001','Gastrostomie, par voie transcutanée avec guidage échographique et/ou radiologique',154.52,125.40),(3952,'HFDA001','Gastropexie chez l\'enfant, par laparotomie',313.50,313.50),(3953,'HFDA002','Gastropexie postérieure [Cardiopexie], par laparotomie',313.50,313.50),(3954,'HFDC001','Gastropexie chez l\'enfant, par coelioscopie',342.30,342.30),(3955,'HFDC002','Gastropexie postérieure [Cardiopexie], par coelioscopie',342.30,342.30),(3956,'HFFA001','Gastrectomie avec court-circuit biliopancréatique ou intestinal pour obésité morbide, par laparotomie',595.56,477.10),(3957,'HFFA002','Gastrectomie partielle inférieure avec anastomose gastroduodénale, par laparotomie',418.31,399.90),(3958,'HFFA003','Gastrectomie partielle supérieure [polaire supérieure] avec rétablissement de la continuité, par laparotomie',670.71,546.30),(3959,'HFFA004','Résection de duplication gastroduodénale avec dérivation du conduit biliaire commun, par laparotomie',632.43,589.93),(3960,'HFFA005','Gastrectomie totale avec rétablissement de la continuité, par laparotomie',897.59,721.77),(3961,'HFFA006','Gastrectomie partielle inférieure avec anastomose gastrojéjunale, par laparotomie',423.98,403.20),(3962,'HFFA007','Résection de duplication gastroduodénale sans dérivation du conduit biliaire commun, par laparotomie',404.13,391.67),(3963,'HFFA008','Dégastrogastrectomie partielle avec rétablissement de la continuité, par laparotomie',780.61,653.93),(3964,'HFFA009','Résection partielle atypique de la paroi de l\'estomac n\'interrompant pas la continuité, par laparotomie',230.43,221.43),(3965,'HFFA010','Résection de duplication gastrique, par laparotomie',374.48,374.48),(3966,'HFFA011','Gastrectomie longitudinale [Sleeve gastrectomy] pour obésité morbide, par laparotomie',595.56,478.04),(3967,'HFFC001','Résection partielle atypique de la paroi de l\'estomac n\'interrompant pas la continuité, par coelioscopie',264.46,253.26),(3968,'HFFC002','Gastrectomie partielle inférieure avec anastomose gastrojéjunale, par coelioscopie',470.78,442.42),(3969,'HFFC003','Résection de duplication gastrique, par coelioscopie',403.28,403.28),(3970,'HFFC004','Gastrectomie avec court-circuit biliopancréatique ou intestinal pour obésité morbide, par coelioscopie',625.34,494.37),(3971,'HFFC012','Gastrectomie partielle inférieure avec anastomose gastroduodénale, par coelioscopie',447.10,428.69),(3972,'HFFC017','Gastrectomie totale avec rétablissement de la continuité, par coelioscopie',926.39,750.57),(3973,'HFFC018','Gastrectomie longitudinale [Sleeve gastrectomy] pour obésité morbide, par coelioscopie',511.19,410.32),(3974,'HFGC900','Ablation d\'une sonde de stimulation pariétale gastrique pour obésité morbide, par coelioscopie',0.00,0.00),(3975,'HFHD001','Prélèvement de liquide gastrique par tubage, sans épreuve pharmacologique',19.20,19.20),(3976,'HFHD002','Prélèvement de liquide gastrique par tubage, avec épreuve pharmacologique',36.19,29.06),(3977,'HFKA001','Changement ou repositionnement du dispositif d\'accès d\'un anneau ajustable périgastrique pour obésité morbide, par abord direct',104.50,104.50),(3978,'HFKA002','Changement d\'un anneau ajustable périgastrique pour obésité morbide, par laparotomie',409.09,299.60),(3979,'HFKC001','Changement d\'un anneau ajustable périgastrique pour obésité morbide, par coelioscopie',587.76,403.22),(3980,'HFKD001','Changement d\'une sonde de gastrostomie, par voie externe sans guidage',42.54,28.71),(3981,'HFKE001','Changement d\'une sonde de gastrostomie ou de gastrojéjunostomie, par oeso-gastro-duodénoscopie',104.16,104.16),(3982,'HFKH001','Changement d\'une sonde de gastrostomie ou de gastrojéjunostomie, par voie externe avec guidage radiologique',37.16,9.60),(3983,'HFLC900','Implantation souscutanée d\'un stimulateur gastrique avec pose d\'une sonde pariétale gastrique pour obésité morbide, par coelioscopie',0.00,0.00),(3984,'HFLE001','Pose d\'une sonde gastrique, duodénale ou jéjunale, par oeso-gastro-duodénoscopie',96.00,96.00),(3985,'HFLE002','Pose d\'un ballonnet intragastrique pour obésité morbide, par oeso-gastro-duodénoscopie',0.00,0.00),(3986,'HFLH001','Pose d\'une sonde gastrique, duodénale ou jéjunale, avec guidage radiologique',11.74,5.76),(3987,'HFLH002','Pose d\'une endoprothèse de l\'estomac ou du duodénum, avec guidage radiologique',167.20,167.20),(3988,'HFMA001','Confection d\'une valve tubérositaire sans libération de la grande courbure gastrique, par thoracotomie',369.39,345.91),(3989,'HFMA003','Confection d\'une valve tubérositaire sans libération de la grande courbure gastrique, par laparotomie',332.52,324.54),(3990,'HFMA004','Pyloroplastie ou duodénoplastie, par laparotomie',187.18,178.78),(3991,'HFMA005','Totalisation secondaire de gastrectomie avec rétablissement de la continuité, par laparotomie',816.06,674.49),(3992,'HFMA007','Confection d\'une valve tubérositaire avec libération de la grande courbure gastrique, par thoracotomie',412.64,371.00),(3993,'HFMA008','Confection d\'une valve tubérositaire avec libération de la grande courbure gastrique, par laparotomie',394.20,360.31),(3994,'HFMA009','Gastroplastie par pose d\'anneau ajustable périgastrique pour obésité morbide, par laparotomie',314.80,314.25),(3995,'HFMA010','Gastroplastie verticale calibrée pour obésité morbide, par laparotomie',314.80,314.25),(3996,'HFMA011','Repositionnement ou ablation d\'un anneau ajustable périgastrique, par laparotomie',409.09,299.60),(3997,'HFMC001','Confection d\'une valve tubérositaire avec libération de la grande courbure gastrique, par coelioscopie',545.93,460.41),(3998,'HFMC003','Pyloroplastie ou duodénoplastie, par coelioscopie',209.16,203.63),(3999,'HFMC004','Confection d\'une valve tubérositaire sans libération de la grande courbure gastrique, par coelioscopie',457.31,409.00),(4000,'HFMC006','Gastroplastie verticale calibrée pour obésité morbide, par coelioscopie',452.34,394.03),(4001,'HFMC007','Gastroplastie par pose d\'anneau ajustable périgastrique pour obésité morbide, par coelioscopie',452.34,394.03),(4002,'HFMC008','Repositionnement ou ablation d\'un anneau ajustable périgastrique, par coelioscopie',587.76,403.22),(4003,'HFMP002','Contrôle radiologique secondaire de position et/ou de fonctionnement d\'un anneau ajustable périgastrique, avec opacification par produit de contraste',19.95,19.95),(4004,'HFPA001','Gastrotomie à visée thérapeutique, par laparotomie',218.37,209.69),(4005,'HFPA002','Pylorotomie extramuqueuse [Pyloromyotomie extramuqueuse], par laparotomie',177.25,173.03),(4006,'HFPA003','Gastrotomie exploratrice, par laparotomie',218.37,179.32),(4007,'HFPC001','Pylorotomie extramuqueuse [Pyloromyotomie extramuqueuse], par coelioscopie',196.00,196.00),(4008,'HFQD001','Manométrie gastro-duodéno-jéjunale avec enregistrement de l\'activité antro-pyloro-duodénale',0.00,0.00),(4009,'HFQL001','Scintigraphie du transit gastrique ou duodénal par substances solide et liquide avec épreuve pharmacologique',397.92,397.92),(4010,'HFQL002','Scintigraphie du transit gastrique ou duodénal par substance solide ou liquide sans épreuve pharmacologique',265.28,265.28),(4011,'HFQL003','Scintigraphie du transit gastrique ou duodénal par substance solide ou liquide avec épreuve pharmacologique',265.28,265.28),(4012,'HFQL004','Scintigraphie du transit gastrique ou duodénal par substances solide et liquide sans épreuve pharmacologique',397.92,397.92),(4013,'HFQX004','Examen anatomopathologique à visée carcinologique de pièce de gastrectomie partielle',90.41,90.41),(4014,'HFQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse endoscopique de l\'estomac',66.06,66.06),(4015,'HFQX008','Examen anatomopathologique à visée carcinologique de pièce de gastrectomie totale ou de dégastrogastrectomie',114.74,114.74),(4016,'HFSA001','Fermeture de gastrostomie cutanée, par abord direct',158.82,144.78),(4017,'HGAA002','Plastie d\'allongement de l\'intestin grêle, par laparotomie',682.77,597.18),(4018,'HGAA003','Plastie d\'élargissement unique ou multiple de l\'intestin grêle, par laparotomie',478.98,478.98),(4019,'HGAC010','Plastie d\'élargissement unique ou multiple de l\'intestin grêle, par coelioscopie',507.78,507.78),(4020,'HGAE001','Dilatation d\'une sténose iléale, par iléoscopie',157.74,157.74),(4021,'HGCA001','Entéroentérostomie de dérivation, par laparotomie',255.95,236.23),(4022,'HGCA002','Suture de plaie ou de perforation de l\'intestin grêle, par laparotomie',302.03,258.21),(4023,'HGCA002','Suture de plaie ou de perforation de l\'intestin grêle, par laparotomi',302.03,258.21),(4024,'HGCA003','Anastomose duodénoduodénale pour atrésie ou sténose congénitale du duodénum, par laparotomie',481.41,367.00),(4025,'HGCA004','Entérostomie ou colostomie cutanée de protection, au cours d\'une résection intestinale avec rétablissement de la continuité',0.00,0.00),(4026,'HGCA005','Iléocolostomie de dérivation [Anastomose iléocolique sans exérèse intestinale], par laparotomie',253.11,234.59),(4027,'HGCA006','Dérivation des sécrétions duodénales et biliopancréatiques par réfection du montage après gastrectomie [Diversion du duodénum], par laparotomie',645.19,575.38),(4028,'HGCA007','Exclusion du duodénum, par laparotomie',331.10,279.82),(4029,'HGCA008','Entérostomie cutanée, par laparotomie',218.37,179.32),(4030,'HGCA009','Court-circuit biliopancréatique ou intestinal pour obésité morbide, par laparotomie',1106.04,887.80),(4031,'HGCC003','Entéroentérostomie de dérivation, par coelioscopie',284.74,265.02),(4032,'HGCC015','Iléocolostomie de dérivation [Anastomose iléocolique sans exérèse intestinale], par coelioscopie',281.92,263.39),(4033,'HGCC026','Entérostomie cutanée, par coelioscopie',247.17,208.12),(4034,'HGCC027','Court-circuit biliopancréatique ou intestinal pour obésité morbide, par coelioscopie',850.80,682.92),(4035,'HGCC031','Suture de plaie de perforation de l\'intestin grêle, par coelioscopie',353.00,353.00),(4036,'HGCH001','Jéjunostomie, par voie transcutanée avec guidage échographique et/ou radiologique',193.64,125.40),(4037,'HGEA001','Détorsion intestinale ou section de bride péritonéale pour vice de rotation de l\'anse intestinale primitive [mesenterium commune], par laparotomie',339.61,280.00),(4038,'HGEA002','Transplantation d\'intestin grêle et de foie réduit, par laparotomie',0.00,0.00),(4039,'HGEA003','Réduction d\'invagination intestinale aigüe, par laparotomie',213.41,206.81),(4040,'HGEA004','Transplantation d\'intestin grêle et de foie total, par laparotomie',0.00,0.00),(4041,'HGEA005','Transplantation d\'intestin grêle, par laparotomie',0.00,0.00),(4042,'HGEC001','Détorsion intestinale ou section de bride péritonéale pour vice de rotation de l\'anse intestinale primitive [mesenterium commune], par coelioscopie',358.05,302.79),(4043,'HGEC009','Réduction d\'invagination intestinale aigüe, par coelioscopie',242.22,235.61),(4044,'HGEH001','Réduction totale ou partielle d\'invagination intestinale aigüe par lavement opaque ou insufflation, avec guidage radiologique',144.11,57.60),(4045,'HGFA001','Résection de l\'angle duodénojéjunal avec rétablissement de la continuité, par laparotomie',321.89,287.28),(4046,'HGFA002','Prélèvement d\'intestin grêle, chez un sujet en état de mort encéphalique',0.00,0.00),(4047,'HGFA003','Résection segmentaire unique de l\'intestin grêle sans rétablissement de la continuité, en dehors de l\'occlusion, par laparotomie',297.09,297.09),(4048,'HGFA004','Résection segmentaire multiple de l\'intestin grêle, par laparotomie',397.04,361.96),(4049,'HGFA005','Résection segmentaire unique de l\'intestin grêle pour occlusion, par laparotomie',310.54,280.70),(4050,'HGFA006','Résection du diverticule iléal [de Meckel], par laparotomie',224.75,183.03),(4051,'HGFA007','Résection segmentaire unique de l\'intestin grêle avec rétablissement de la continuité, en dehors de l\'occlusion, par laparotomie',250.28,245.75),(4052,'HGFA008','Résection segmentaire d\'une atrésie unique de l\'intestin grêle avec rétablissement de la continuité, par laparotomie',350.25,303.73),(4053,'HGFA009','Résection segmentaire d\'une atrésie étagée de l\'intestin grêle avec rétablissement de la continuité, par laparotomie',459.43,367.06),(4054,'HGFA010','Exérèse de duplication de l\'intestin grêle sans résection intestinale, par laparotomie',290.69,269.19),(4055,'HGFA011','Exérèse de duplication de l\'intestin grêle avec résection intestinale, par laparotomie',336.07,295.50),(4056,'HGFA012','Résection de l\'intestin grêle et/ou du côlon pour péritonite néonatale, par laparotomie',389.50,389.50),(4057,'HGFA013','Résection totale de l\'intestin grêle, par laparotomie',309.83,267.48),(4058,'HGFA014','Exérèse de la papille duodénale majeure, par laparotomie',595.56,446.01),(4059,'HGFC001','Exérèse de duplication de l\'intestin grêle sans résection intestinale, par coelioscopie',309.12,291.98),(4060,'HGFC002','Résection du diverticule iléal [de Meckel], par coelioscopie',213.41,188.54),(4061,'HGFC014','Résection segmentaire unique de l\'intestin grêle sans rétablissement de la continuité, en dehors de l\'occlusion, par coelioscopie',384.36,347.71),(4062,'HGFC016','Résection segmentaire multiple de l\'intestin grêle, par coelioscopie',484.32,412.57),(4063,'HGFC021','Résection segmentaire unique de l\'intestin grêle avec rétablissement de la continuité, en dehors de l\'occlusion, par coelioscopie',279.08,274.55),(4064,'HGFE001','Exérèse d\'un polype de plus de 1cm de diamètre ou de 4 polypes ou plus de l\'intestin grêle, par iléoscopie',234.93,234.93),(4065,'HGFE002','Exérèse de 1 à 3 polypes de moins de 1cm de diamètre de l\'intestin grêle, par iléoscopie',219.61,219.61),(4066,'HGFE003','Exérèse d\'un polype de plus de 1cm de diamètre ou de 4 polypes ou plus de l\'intestin grêle, par jéjunoscopie',194.61,194.61),(4067,'HGFE004','Exérèse de 1 à 3 polypes de moins de 1cm de diamètre de l\'intestin grêle, par jéjunoscopie',179.29,179.29),(4068,'HGFE005','Exérèse de la papille duodénale majeure, par oeso-gastro-duodénoscopie',389.20,389.20),(4069,'HGGE001','Ablation d\'une endoprothèse du duodénum, par oeso-gastro-duodénoscopie',249.47,249.47),(4070,'HGHD001','Prélèvement de liquide duodénal par tubage, sans épreuve pharmacologique',35.86,35.86),(4071,'HGHD002','Biopsie entérale à l\'aveugle à la sonde, par voie nasale',57.60,57.60),(4072,'HGHD003','Prélèvement de liquide duodénal par tubage, avec épreuve pharmacologique',35.86,35.86),(4073,'HGKE001','Changement d\'une endoprothèse du duodénum, par oeso-gastro-duodénoscopie',281.23,281.23),(4074,'HGLA001','Pose d\'une sonde de jéjunostomie pour alimentation entérale, par laparotomie',175.12,154.24),(4075,'HGLE001','Pose d\'une endoprothèse du duodénum, par oeso-gastro-duodénoscopie',235.29,235.29),(4076,'HGMA001','Confection secondaire d\'une iléostomie continente de Koch, par laparotomie',595.56,459.54),(4077,'HGMA002','Remise en circuit secondaire du duodénum, par laparotomie',595.56,433.20),(4078,'HGMA003','Confection d\'un réservoir iléal ou colique, au cours d\'une anastomose iléoanale ou coloanale',191.43,149.75),(4079,'HGMA005','Rétablissement secondaire de la continuité digestive après résection de l\'intestin grêle, par laparotomie',255.24,235.82),(4080,'HGNE001','Séance de destruction de lésion du duodénum, par oeso-gastro-duodénoscopie',137.32,137.32),(4081,'HGPA001','Duodénotomie à visée thérapeutique ou duodénectomie partielle, par laparotomie',244.61,224.90),(4082,'HGPA002','Entérotomie à visée thérapeutique, par laparotomie',230.43,186.32),(4083,'HGPA003','Entérotomie exploratrice, par laparotomie',230.43,186.32),(4084,'HGPA004','Libération étendue de l\'intestin grêle [Entérolyse étendue] pour occlusion aigüe, par laparotomie',355.21,289.05),(4085,'HGPA005','Duodénotomie exploratrice, par laparotomie',244.61,194.54),(4086,'HGPA006','Désobstruction de l\'intestin grêle pour iléus méconial, par laparotomie',317.63,315.89),(4087,'HGPC005','Ablation d\'un cathéter de dialyse péritonéale, par coelioscopie',133.30,133.30),(4088,'HGPC006','Entérotomie à visée thérapeutique, par coelioscopie',259.23,188.86),(4089,'HGPC015','Libération étendue de l\'intestin grêle [Entérolyse étendue] pour occlusion aigüe, par coelioscopie',384.01,317.85),(4090,'HGPH001','Désobstruction de l\'intestin grêle par lavement intestinal pour iléus méconial, avec contrôle radiologique',121.95,119.70),(4091,'HGQD001','Manométrie duodénojéjunale',0.00,0.00),(4092,'HGQD002','Exploration de la lumière de l\'intestin grêle par vidéocapsule ingérée',112.47,112.47),(4093,'HGQE001','Entéroscopie jéjunale avec entéroscopie iléale',246.80,246.80),(4094,'HGQE002','Duodénoscopie par appareil à vision latérale',99.88,99.88),(4095,'HGQE003','Entéroscopie jéjunale [Jéjunoscopie]',148.10,148.10),(4096,'HGQE004','Entéroscopie jéjunale et/ou iléale peropératoire',0.00,0.00),(4097,'HGQE005','Entéroscopie iléale [Iléoscopie]',144.12,144.12),(4098,'HGQH001','Radiographie de l\'intestin grêle avec administration de produit de contraste par une sonde nasoduodénale [entéroclyse]',119.70,119.70),(4099,'HGQH002','Radiographie de l\'intestin grêle avec ingestion de produit de contraste [Transit du grêle]',119.70,119.70),(4100,'HGQJ001','Échoendoscopie duodénale avec biopsie transduodénale guidée',193.57,193.57),(4101,'HGQJ002','Échoendoscopie duodénale sans biopsie',185.62,185.62),(4102,'HGQL001','Recherche radio-isotopique d\'un diverticule de Meckel',268.87,268.87),(4103,'HGQX003','Examen anatomopathologique de pièce d\'exérèse intestinale pour maladie inflammatoire chronique de l\'intestin [MICI]',56.20,56.20),(4104,'HGQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse endoscopique de l\'intestin grêle',53.16,53.16),(4105,'HGQX008','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse segmentaire de l\'intestin grêle',81.71,81.71),(4106,'HGSA001','Fermeture d\'entérostomie cutanée, par abord direct',209.16,173.98),(4107,'HGSE001','Hémostase de lésion intestinale sans laser, par jéjunoscopie',162.84,162.84),(4108,'HGSE002','Hémostase de lésion intestinale avec laser, par jéjunoscopie',175.32,175.32),(4109,'HGSE003','Hémostase de lésion intestinale sans laser, par iléoscopie',220.18,220.18),(4110,'HGSE004','Hémostase de lésion intestinale avec laser, par iléoscopie',215.64,215.64),(4111,'HHAA002','Plastie d\'élargissement de stomie cutanée intestinale',177.25,155.47),(4112,'HHAE001','Dilatation d\'une sténose du côlon et/ou du rectum, par endoscopie',112.93,112.93),(4113,'HHCA001','Suture de plaie ou de perforation du côlon, par laparotomie',274.38,242.17),(4114,'HHCA002','Colostomie cutanée, par laparotomie',151.73,140.67),(4115,'HHCA003','Colocolostomie de dérivation [Anastomose colocolique sans exérèse colique], par laparotomie',269.42,244.05),(4116,'HHCC001','Suture de plaie ou de perforation du côlon, par coelioscopie',292.11,264.54),(4117,'HHCC007','Colostomie cutanée, par coelioscopie',180.53,169.47),(4118,'HHCC011','Colocolostomie de dérivation [Anastomose colocolique sans exérèse colique], par coelioscopie',298.22,272.85),(4119,'HHEE001','Détorsion d\'un volvulus du côlon, par endoscopie',121.75,121.75),(4120,'HHFA001','Appendicectomie, par abord de la fosse iliaque',176.79,176.79),(4121,'HHFA002','Colectomie gauche avec libération de l\'angle colique gauche, avec rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopie',685.60,585.30),(4122,'HHFA002','Colectomie gauche avec libération de l\'angle colique gauche, avec rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopi',685.60,585.30),(4123,'HHFA003','Résection du côlon pour malformation congénitale avec rétablissement de la continuité, par laparotomie',418.00,418.00),(4124,'HHFA004','Colectomie totale avec conservation du rectum, avec anastomose iléorectale, par coelioscopie ou par laparotomie avec préparation par coelioscopie',996.85,853.61),(4125,'HHFA004','Colectomie totale avec conservation du rectum, avec anastomose iléorectale, par coelioscopie ou par laparotomie avec préparation par coelioscopi',996.85,853.61),(4126,'HHFA005','Colectomie totale avec conservation du rectum, sans rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopie',741.61,661.68),(4127,'HHFA005','Colectomie totale avec conservation du rectum, sans rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopi',741.61,661.68),(4128,'HHFA006','Colectomie gauche avec libération de l\'angle colique gauche, avec rétablissement de la continuité, par laparotomie',640.94,547.30),(4129,'HHFA006','Colectomie gauche avec libération de l\'angle colique gauche, avec rétablissement de la continuité, par laparotomi',640.94,547.30),(4130,'HHFA008','Colectomie droite avec rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopie',475.03,463.18),(4131,'HHFA008','Colectomie droite avec rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopi',475.03,463.18),(4132,'HHFA009','Colectomie droite avec rétablissement de la continuité, par laparotomie',418.00,418.00),(4133,'HHFA009','Colectomie droite avec rétablissement de la continuité, par laparotomi',418.00,418.00),(4134,'HHFA010','Colectomie gauche sans libération de l\'angle colique gauche, avec rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopie',565.07,515.40),(4135,'HHFA010','Colectomie gauche sans libération de l\'angle colique gauche, avec rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopi',565.07,515.40),(4136,'HHFA011','Appendicectomie, par laparotomie',176.79,176.79),(4137,'HHFA014','Colectomie gauche sans libération de l\'angle colique gauche, sans rétablissement de la continuité, par laparotomie',399.88,337.27),(4138,'HHFA014','Colectomie gauche sans libération de l\'angle colique gauche, sans rétablissement de la continuité, par laparotomi',399.88,337.27),(4139,'HHFA016','Appendicectomie, par coelioscopie ou par laparotomie avec préparation par coelioscopie',187.89,183.22),(4140,'HHFA017','Colectomie gauche sans libération de l\'angle colique gauche, avec rétablissement de la continuité, par laparotomie',463.69,444.50),(4141,'HHFA017','Colectomie gauche sans libération de l\'angle colique gauche, avec rétablissement de la continuité, par laparotomi',463.69,444.50),(4142,'HHFA018','Colectomie transverse, par laparotomie',418.00,418.00),(4143,'HHFA018','Colectomie transverse, par laparotomi',418.00,418.00),(4144,'HHFA020','Appendicectomie avec toilette péritonéale pour péritonite aigüe généralisée, par laparotomie',265.88,263.57),(4145,'HHFA021','Colectomie totale avec conservation du rectum, sans rétablissement de la continuité, par laparotomie',718.93,636.43),(4146,'HHFA021','Colectomie totale avec conservation du rectum, sans rétablissement de la continuité, par laparotomi',718.93,636.43),(4147,'HHFA022','Colectomie totale avec conservation du rectum, avec anastomose iléorectale, par laparotomie',789.83,721.44),(4148,'HHFA022','Colectomie totale avec conservation du rectum, avec anastomose iléorectale, par laparotomi',789.83,721.44),(4149,'HHFA023','Colectomie transverse, par coelioscopie ou par laparotomie avec préparation par coelioscopie',446.80,446.80),(4150,'HHFA023','Colectomie transverse, par coelioscopie ou par laparotomie avec préparation par coelioscopi',446.80,446.80),(4151,'HHFA024','Colectomie gauche avec libération de l\'angle colique gauche, sans rétablissement de la continuité, par laparotomie',485.67,387.03),(4152,'HHFA024','Colectomie gauche avec libération de l\'angle colique gauche, sans rétablissement de la continuité, par laparotomi',485.67,387.03),(4153,'HHFA025','Appendicectomie avec toilette péritonéale pour péritonite aigüe généralisée, par coelioscopie ou par laparotomie avec préparation par coelioscopie',277.22,270.15),(4154,'HHFA026','Colectomie droite sans rétablissement de la continuité, par laparotomie',265.17,259.13),(4155,'HHFA026','Colectomie droite sans rétablissement de la continuité, par laparotomi',265.17,259.13),(4156,'HHFA027','Résection complète d\'un prolapsus colorectal extériorisé, avec anastomose coloanale et myorraphie du plancher pelvien',367.26,256.90),(4157,'HHFA028','Coloproctectomie totale avec anastomose iléoanale, par coelioscopie ou par laparotomie avec préparation par coelioscopie',1370.50,1171.62),(4158,'HHFA028','Coloproctectomie totale avec anastomose iléoanale, par coelioscopie ou par laparotomie avec préparation par coelioscopi',1370.50,1171.62),(4159,'HHFA029','Coloproctectomie totale sans rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopie',1150.71,1000.25),(4160,'HHFA029','Coloproctectomie totale sans rétablissement de la continuité, par coelioscopie ou par laparotomie avec préparation par coelioscopi',1150.71,1000.25),(4161,'HHFA030','Coloproctectomie totale sans rétablissement de la continuité, par laparotomie',792.48,792.48),(4162,'HHFA030','Coloproctectomie totale sans rétablissement de la continuité, par laparotomi',792.48,792.48),(4163,'HHFA031','Coloproctectomie totale avec anastomose iléoanale, par laparotomie',1063.50,993.56),(4164,'HHFA031','Coloproctectomie totale avec anastomose iléoanale, par laparotomi',1063.50,993.56),(4165,'HHFA032','Kystectomie ovarienne, par abord vaginal au cours d\'une intervention par abord vaginal',31.35,31.35),(4166,'HHFC001','Exérèse de polype du côlon par coloscopie, avec contrôle coelioscopique',108.50,108.50),(4167,'HHFC040','Colectomie gauche sans libération de l\'angle colique gauche, sans rétablissement de la continuité, par coelioscopie',445.00,445.00),(4168,'HHFC296','Colectomie droite sans rétablissement de la continuité, par coelioscopie',312.00,312.00),(4169,'HHFE001','Exérèse de 1 à 3 polypes de moins de 1cm de diamètre du côlon et/ou du rectum, par rectosigmoïdoscopie ou par coloscopie partielle',103.28,103.28),(4170,'HHFE002','Exérèse de 1 à 3 polypes de moins de 1cm de diamètre du côlon et/ou du rectum, par coloscopie totale',192.00,192.00),(4171,'HHFE004','Exérèse d\'un polype de plus de 1cm de diamètre ou de 4 polypes ou plus du côlon et/ou du rectum, par coloscopie totale',192.00,192.00),(4172,'HHFE005','Exérèse d\'un polype de plus de 1cm de diamètre ou de 4 polypes ou plus du côlon et/ou du rectum, par rectosigmoïdoscopie ou par coloscopie partielle',119.17,119.17),(4173,'HHFE006','Séance de mucosectomie rectocolique, par endoscopie',202.03,202.03),(4174,'HHGE002','Ablation de corps étranger du côlon et/ou du rectum, par endoscopie',108.31,108.31),(4175,'HHGE010','Ablation d\'une endoprothèse du côlon, par coloscopie',108.31,108.31),(4176,'HHJE001','Exsufflation du côlon, par endoscopie',129.70,129.70),(4177,'HHLE005','Pose d\'une endoprothèse du côlon, par coloscopie',347.94,347.94),(4178,'HHLH001','Pose d\'une endoprothèse du côlon, avec guidage radiologique',167.20,167.20),(4179,'HHMA002','Réfection de stomie cutanée intestinale, par laparotomie',307.00,230.73),(4180,'HHMA003','Rétablissement secondaire de la continuité digestive après colectomie, par laparotomie',662.21,585.25),(4181,'HHMC001','Rétablissement secondaire de la continuité digestive après colectomie, par coelioscopie',754.38,650.81),(4182,'HHMC005','Réfection de stomie cutanée intestinale, par coelioscopie',335.81,259.53),(4183,'HHNE001','Séance de destruction de lésion du côlon et/ou du rectum sans laser, par coloscopie totale',192.00,192.00),(4184,'HHNE002','Séance de destruction de lésion du côlon et/ou du rectum avec laser, par coloscopie totale',192.00,192.00),(4185,'HHNE003','Séance de destruction de lésion du côlon et/ou du rectum avec laser, par rectosigmoïdoscopie ou par coloscopie partielle',126.54,126.54),(4186,'HHNE004','Séance de destruction de lésion du côlon et/ou du rectum sans laser, par rectosigmoïdoscopie ou par coloscopie partielle',119.73,119.73),(4187,'HHPA001','Colotomie à visée thérapeutique, par laparotomie',224.04,182.61),(4188,'HHPA002','Colotomie exploratrice, par laparotomie',224.04,182.61),(4189,'HHPC001','Colotomie exploratrice, par coelioscopie',275.09,224.31),(4190,'HHPC002','Colotomie à visée thérapeutique, par coelioscopie',275.09,224.31),(4191,'HHQD001','Manométrie du côlon sigmoïde',0.00,0.00),(4192,'HHQD004','Électromyographie du côlon sigmoïde',0.00,0.00),(4193,'HHQD445','Exploration de la lumière du colon par vidéocapsule ingérée [capsule colique]',107.58,107.58),(4194,'HHQD900','Électromyographie pancolique',0.00,0.00),(4195,'HHQD901','Manométrie pancolique',0.00,0.00),(4196,'HHQE001','Coloscopie peropératoire',0.00,0.00),(4197,'HHQE002','Coloscopie totale, avec franchissement de l\'orifice iléocolique',153.60,153.60),(4198,'HHQE003','Exploration complète du côlon après colectomie droite, par endoscopie',93.96,93.96),(4199,'HHQE004','Coloscopie partielle au delà du côlon sigmoïde',73.54,73.54),(4200,'HHQE005','Coloscopie totale avec visualisation du bas-fond caecal, sans franchissement de l\'orifice iléocolique',153.60,153.60),(4201,'HHQH001','Radiographie du côlon avec opacification par produit de contraste',119.70,119.70),(4202,'HHQJ002','Échoendoscopie colique sans biopsie',188.08,188.08),(4203,'HHQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse endoscopique de 3 à 5 lésions du côlon et/ou du rectum',75.29,75.29),(4204,'HHQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse endoscopique de 1 ou 2 lésions du côlon et/ou du rectum',51.53,51.53),(4205,'HHQX006','Examen anatomopathologique à visée carcinologique de pièce de colectomie partielle ou de rectosigmoidectomie sans résection du mésorectum',102.93,102.93),(4206,'HHQX007','Examen anatomopathologique à visée carcinologique de pièce d\'appendicectomie',43.05,43.05),(4207,'HHQX008','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse endoscopique de 6 lésions ou plus du côlon et/ou du rectum',93.51,93.51),(4208,'HHQX010','Examen anatomopathologique à visée carcinologique de pièce de colectomie totale',124.14,124.14),(4209,'HHQX011','Examen anatomopathologique à visée carcinologique de pièce de coloprotectomie totale',129.69,129.69),(4210,'HHSA001','Fermeture de colostomie cutanée latérale, par abord direct',234.68,223.89),(4211,'HHSE001','Hémostase de lésion du côlon avec laser, par rectosigmoïdoscopie ou par coloscopie partielle',101.91,101.91),(4212,'HHSE002','Hémostase de lésion du côlon sans laser, par coloscopie totale',171.72,171.72),(4213,'HHSE003','Hémostase de lésion du côlon avec laser, par coloscopie totale',172.86,172.86),(4214,'HHSE004','Hémostase de lésion du côlon sans laser, par rectosigmoïdoscopie ou par coloscopie partielle',94.53,94.53),(4215,'HJAD001','Dilatation ou incision de sténose anorectale',86.06,66.05),(4216,'HJBA001','Plicature de la paroi antérieure du rectum, par abord périnéal',240.35,227.19),(4217,'HJCA001','Suture de plaie ou de perforation intrapéritonéale du rectum, par laparotomie',273.67,241.76),(4218,'HJCC001','Suture de plaie ou de perforation intrapéritonéale du rectum, par coelioscopie',249.57,239.88),(4219,'HJCD001','Suture de plaie du rectum par voie anale, avec réparation du muscle sphincter externe de l\'anus',299.91,239.42),(4220,'HJCD002','Suture de plaie du rectum par voie anale, sans réparation du muscle sphincter externe de l\'anus',168.74,115.43),(4221,'HJDA001','Rectopexie, par laparotomie',341.03,285.58),(4222,'HJDC001','Rectopexie, par coelioscopie',442.42,356.47),(4223,'HJEA001','Abaissement du rectum avec cervicocystoplastie, urétroplastie et vaginoplastie pour malformation anorectale haute, par laparotomie et par abord périnéal',699.57,699.57),(4224,'HJEA002','Abaissement du rectum pour malformation anorectale haute ou intermédiaire, par abord transsacrococcygien [de Kraske] et par abord périnéal',579.96,537.55),(4225,'HJEA003','Abaissement du rectum pour malformation anorectale haute, par laparotomie et par abord périnéal',546.60,546.60),(4226,'HJEA004','Abaissement du rectum pour malformation anorectale haute ou intermédiaire, par abord périnéal médian',526.03,526.03),(4227,'HJFA001','Résection rectocolique avec abaissement colique rétrorectal par laparotomie, avec anastomose colorectale par voie anale',805.42,756.10),(4228,'HJFA002','Résection rectosigmoïdienne avec anastomose colorectale infrapéritonéale, par laparotomie',687.98,687.98),(4229,'HJFA003','Exérèse de tumeur du rectum, par abord transsphinctérien',264.46,177.57),(4230,'HJFA004','Résection rectosigmoïdienne avec anastomose colorectale infrapéritonéale, par coelioscopie ou par laparotomie avec préparation par coelioscopie',753.67,742.20),(4231,'HJFA005','Amputation du rectum, par abord périnéal',527.50,463.23),(4232,'HJFA006','Résection rectosigmoïdienne par laparotomie, avec anastomose coloanale par voie anale ou par abord transsphinctérien',818.19,763.50),(4233,'HJFA007','Amputation du rectum, par laparotomie et par abord périnéal',827.40,681.07),(4234,'HJFA008','Résection circonférentielle de la muqueuse d\'un prolapsus rectal et plicature de la musculeuse, par abord périnéal',256.66,192.75),(4235,'HJFA009','Résection circonférentielle de la muqueuse d\'un prolapsus rectal et plicature de la musculeuse, avec réduction d\'hédrocèle par abord périnéal',282.18,207.56),(4236,'HJFA010','Exérèse de duplication du rectum, par abord transsacrococcygien [de Kraske]',389.95,383.46),(4237,'HJFA011','Résection rectosigmoïdienne dépassant le cul-de-sac de Douglas, sans rétablissement de la continuité, par laparotomie',478.98,478.98),(4238,'HJFA012','Proctectomie secondaire par laparotomie avec anastomose iléoanale par voie transanale, après colectomie totale initiale',882.71,800.92),(4239,'HJFA013','Résection d\'une fistule rectovaginale acquise, avec fermeture en un temps par suture musculaire et lambeau d\'avancement, par abord périnéal',297.56,277.92),(4240,'HJFA014','Exérèse de moignon rectal résiduel, par abord périnéal',374.48,374.48),(4241,'HJFA015','Résection rectocolique totale pour aganglionose congénitale par laparotomie, avec rétablissement de la continuité par laparotomie ou par voie anale',692.69,602.94),(4242,'HJFA016','Résection rectocolique subtotale pour aganglionose congénitale par laparotomie, avec rétablissement de la continuité par laparotomie ou par voie anale',563.45,563.45),(4243,'HJFA017','Résection rectosigmoïdienne par coelioscopie ou par laparotomie avec préparation par coelioscopie, avec anastomose coloanale par voie anale',847.96,796.90),(4244,'HJFA018','Exérèse de tumeur du rectum, par abord transsacrococcygien [de Kraske]',483.54,437.73),(4245,'HJFA019','Amputation du rectum, par coelioscopie ou par laparotomie avec préparation par coelioscopie et par abord périnéal',945.81,765.87),(4246,'HJFA020','Résection rectosigmoïdienne pour aganglionose congénitale par laparotomie, avec rétablissement de la continuité par voie anale',536.71,512.46),(4247,'HJFC001','Résection rectocolique subtotale pour aganglionose congénitale par coelioscopie, avec rétablissement de la continuité par voie anale',705.46,622.43),(4248,'HJFC002','Résection rectosigmoïdienne pour aganglionose congénitale par coelioscopie, avec rétablissement de la continuité par voie anale',624.63,575.55),(4249,'HJFC003','Résection rectocolique totale pour aganglionose congénitale par coelioscopie, avec rétablissement de la continuité par voie anale',782.03,666.84),(4250,'HJFC023','Proctectomie secondaire par coelioscopie avec anastomose iléoanale par voie transanale, après colectomie totale initiale',911.51,781.04),(4251,'HJFC031','Résection rectosigmoïdienne dépassant le cul-de-sac de Douglas, sans rétablissement de la continuité, par coelioscopie',507.78,507.78),(4252,'HJFD001','Résection de la muqueuse rectale avec plicature hémicirconférentielle antérieure de la musculeuse par voie anale, avec anoplastie muqueuse postérieure',253.82,213.05),(4253,'HJFD002','Exérèse de tumeur du rectum, par voie anale',296.36,196.08),(4254,'HJFD003','Résection rectosigmoïdienne pour aganglionose congénitale avec rétablissement de la continuité, par voie anale',536.71,512.46),(4255,'HJFD004','Résection de la muqueuse rectale avec plicature hémicirconférentielle antérieure de la musculeuse, par voie anale',230.43,177.54),(4256,'HJFD005','Résection de la muqueuse rectale avec plicature hémicirconférentielle antérieure de la musculeuse par voie anale, avec hémorroïdectomie pédiculaire',301.33,240.60),(4257,'HJGD001','Ablation de corps étranger ou de fécalome intrarectal, par voie anale sous anesthésie générale ou locorégionale',56.72,50.45),(4258,'HJHD001','Biopsie rectale par aspiration de la muqueuse par sonde',24.45,22.24),(4259,'HJHD002','Biopsie de la musculeuse du rectum, par voie anale',77.26,60.94),(4260,'HJJA001','Drainage d\'une fistule rectovaginale acquise',250.80,250.80),(4261,'HJMA001','Anoplastie pour malformation anorectale basse',197.69,197.69),(4262,'HJMA002','Reconstruction de la paroi antérieure de l\'anus et du rectum et de la paroi postérieure du vagin, avec sphinctéroplastie anale, par abord périnéal',312.67,286.69),(4263,'HJND001','Destruction de lésion du rectum, par voie anale',132.58,93.03),(4264,'HJPA001','Mise à plat d\'une fistule rectovaginale acquise, par périnéotomie',250.80,250.80),(4265,'HJQD001','Examen du rectum sous anesthésie générale, par voie anale',24.45,22.24),(4266,'HJQE001','Rectosigmoïdoscopie',57.60,57.60),(4267,'HJQE002','Rectoscopie au tube rigide',21.68,21.68),(4268,'HJQJ001','Échoendoscopie anorectale avec biopsie transanorectale guidée',137.41,137.41),(4269,'HJQJ002','Échoendoscopie anorectale sans biopsie',128.64,128.64),(4270,'HJQJ003','Échographie du rectum et de l\'anus, par voie rectale et/ou vaginale [par voie cavitaire]',56.70,56.70),(4271,'HJQX004','Examen anatomopathologique à visée carcinologique de rectosigmoidectomie, ou d\'exérèse partielle ou totale de rectum, emportant le mésorectum',110.11,110.11),(4272,'HJSA001','Fermeture d\'une fistule rectovaginale haute ou colovaginale acquise, par laparotomie',346.00,306.02),(4273,'HJSD001','Hémostase secondaire à un acte sur le rectum',57.43,50.87),(4274,'HKCA001','Myorraphie préanale et rétroanale des muscles élévateurs de l\'anus',270.13,200.57),(4275,'HKCA002','Myorraphie rétroanale des muscles élévateurs de l\'anus',214.83,168.49),(4276,'HKCA003','Suture de plaie de l\'anus, avec réparation du muscle sphincter externe de l\'anus',266.58,220.09),(4277,'HKCA004','Suture de plaie de l\'anus, sans réparation du muscle sphincter externe de l\'anus',53.88,48.81),(4278,'HKCA005','Myorraphie préanale des muscles élévateurs de l\'anus',197.81,158.62),(4279,'HKEA001','Transposition postérieure de l\'anus',395.62,312.49),(4280,'HKFA001','Destruction et/ou exérèse de tumeur bénigne du canal anal',58.14,41.78),(4281,'HKFA002','Résection d\'une fissure anale infectée',96.42,82.26),(4282,'HKFA004','Excision d\'une fissure anale [Fissurectomie anale]',63.10,62.93),(4283,'HKFA005','Excision d\'une fissure et/ou d\'une sténose anale, avec anoplastie muqueuse',138.26,137.24),(4284,'HKFA006','Excision d\'une fissure anale, avec anoplastie muqueuse et résection d\'un paquet hémorroïdaire isolé',160.94,150.40),(4285,'HKFA007','Exérèse de tumeur maligne du canal anal et/ou de l\'anus',137.55,87.84),(4286,'HKFA008','Destruction et/ou exérèse de lésion superficielle non tumorale de l\'anus',38.40,38.40),(4287,'HKFA009','Sphinctéromyectomie de l\'anus, par abord anal',187.18,134.90),(4288,'HKGA001','Ablation ou changement d\'un sphincter anal artificiel',197.69,197.69),(4289,'HKHA001','Biopsie de lésion de la région périanale et/ou du canal anal',39.12,26.72),(4290,'HKKA001','Changement d\'un électrostimulateur du muscle sphincter externe de l\'anus ou d\'un lambeau de plastie de ce muscle',0.00,0.00),(4291,'HKLA001','Implantation d\'un électrostimulateur du muscle sphincter externe de l\'anus ou d\'un lambeau de plastie de ce muscle',0.00,0.00),(4292,'HKLA002','Pose d\'un sphincter anal artificiel',197.69,197.69),(4293,'HKLB001','Injection sclérosante périanale chez l\'enfant',90.75,58.69),(4294,'HKLB002','Injection sousfissuraire et/ou intrasphinctérienne de l\'anus',21.27,18.39),(4295,'HKMA001','Plastie cutanée de la marge de l\'anus',159.53,136.42),(4296,'HKMA002','Suture du muscle sphincter externe de l\'anus [Sphinctérorraphie anale directe] pour incontinence anale, avec myorraphie des muscles élévateurs de l\'anus',260.91,239.11),(4297,'HKMA003','Suture du muscle sphincter externe de l\'anus [Sphinctérorraphie anale directe] pour incontinence anale',267.29,242.81),(4298,'HKMA004','Reconstruction du muscle sphincter externe de l\'anus par transposition musculaire unilatérale',489.21,371.52),(4299,'HKMA005','Reconstruction du muscle sphincter externe de l\'anus par transposition musculaire bilatérale',570.75,418.82),(4300,'HKMA006','Anoplastie pour malformation anorectale basse, avec transposition de l\'anus',467.23,354.03),(4301,'HKND001','Destruction d\'une papillomatose extensive de l\'anus',70.90,57.26),(4302,'HKPA001','Mise à plat de fistule basse [transsphinctérienne inférieure] de l\'anus avec hémorroïdectomie pédiculaire par résection sousmuqueuse',233.97,201.54),(4303,'HKPA002','Mise à plat de fistule basse [transsphinctérienne inférieure] de l\'anus avec résection d\'un paquet hémorroïdaire isolé',158.82,148.10),(4304,'HKPA003','Sphinctérotomie interne [Léiomyotomie] latérale de l\'anus',62.70,62.70),(4305,'HKPA004','Mise à plat d\'abcès et/ou de fistule bas de l\'anus [transsphinctérien inférieur] en un temps, par fistulotomie ou fistulectomie',157.40,135.18),(4306,'HKPA005','Mise à plat d\'abcès et/ou de fistule intersphinctérien haut [intramural] de l\'anus',194.27,156.56),(4307,'HKPA006','Incision d\'abcès de la région anale',52.25,52.25),(4308,'HKPA007','Mise à plat d\'abcès et/ou de fistule haut de l\'anus [transsphinctérien supérieur] ou à trajet complexe multiramifié, avec drainage par anse souple',0.00,0.00),(4309,'HKPA008','Mise à plat d\'abcès et/ou de fistule haut de l\'anus [transsphinctérien supérieur] ou à trajet complexe multiramifié, avec lambeau d\'avancement',191.43,181.26),(4310,'HKPA009','Sphinctérotomie, sphinctéromyotomie ou sphinctéromyectomie de l\'anus, par abord transsacrococcygien [de Kraske]',258.08,176.01),(4311,'HKQE001','Anuscopie',0.00,0.00),(4312,'HKQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse du canal anal et/ou de la marge anale',56.70,56.70),(4313,'HKSD001','Hémostase secondaire à un acte sur l\'anus',41.80,41.80),(4314,'HLCA001','Hépato-porto-cholécystostomie ou hépato-porto-entérostomie pour atrésie des conduits biliaires extrahépatiques, par laparotomie',642.71,642.71),(4315,'HLCA002','Fenestration de kystes biliaires hépatiques, par laparotomie',285.02,217.97),(4316,'HLCC001','Fenestration de kystes biliaires hépatiques, par coelioscopie',343.16,277.67),(4317,'HLEA001','Transplantation de foie total',0.00,0.00),(4318,'HLEA002','Transplantation de foie réduit',0.00,0.00),(4319,'HLFA001','Prélèvement d\'un greffon hépatique total chez un sujet en état de mort encéphalique, avec partage du foie',0.00,0.00),(4320,'HLFA002','Résection du dôme saillant de kyste hydatique du foie, par laparotomie',399.88,332.52),(4321,'HLFA003','Résection du lobe caudé [de Spigel] [segment I] du foie, par laparotomie',827.40,598.04),(4322,'HLFA004','Hépatectomie droite élargie au lobe caudé [de Spigel] [segment I], par laparotomie',1199.63,940.85),(4323,'HLFA005','Lobectomie hépatique droite [Hépatectomie droite élargie au segment IV], par laparotomie',1245.71,967.58),(4324,'HLFA006','Trisegmentectomie hépatique, par laparotomie',1014.58,759.26),(4325,'HLFA007','Hépatectomie gauche élargie au lobe caudé [de Spigel] [segment I], par laparotomie',970.62,808.03),(4326,'HLFA008','Prélèvement d\'un greffon hépatique total chez un sujet en état de mort encéphalique, avec hépatectomie de réduction',0.00,0.00),(4327,'HLFA009','Bisegmentectomie hépatique, par laparotomie',636.68,540.09),(4328,'HLFA010','Hépatectomie centrale, par laparotomie',1191.83,936.33),(4329,'HLFA011','Lobectomie hépatique gauche, par laparotomie',657.24,626.26),(4330,'HLFA012','Kystectomie ou périkystectomie hépatique, par laparotomie',479.28,378.57),(4331,'HLFA014','Séquestrectomie hépatique, par laparotomie',496.30,405.99),(4332,'HLFA015','Prélèvement d\'un greffon hépatique, chez un sujet vivant',0.00,0.00),(4333,'HLFA016','Prélèvement d\'un greffon hépatique total, chez un sujet en état de mort encéphalique',0.00,0.00),(4334,'HLFA017','Hépatectomie droite, par laparotomie',1016.71,834.75),(4335,'HLFA018','Hépatectomie gauche, par laparotomie',799.04,708.51),(4336,'HLFA019','Résection atypique du foie, par laparotomie',365.84,330.33),(4337,'HLFA020','Unisegmentectomie hépatique, par laparotomie',365.84,330.33),(4338,'HLFC002','Lobectomie hépatique gauche, par coelioscopie',875.62,765.01),(4339,'HLFC003','Résection atypique du foie, par coelioscopie',477.16,406.99),(4340,'HLFC004','Unisegmentectomie hépatique, par coelioscopie',477.16,406.99),(4341,'HLFC027','Bisegmentectomie hépatique, par coelioscopie',723.96,590.71),(4342,'HLFC032','Trisegmentectomie hépatique, par coelioscopie',1101.84,809.88),(4343,'HLFC037','Hépatectomie gauche, par coelioscopie',827.86,737.31),(4344,'HLHB001','Biopsie du foie, par voie transcutanée sans guidage',61.61,43.80),(4345,'HLHH001','Biopsie du foie par voie jugulaire avec guidage échographique et/ou radiologique, sans prise de pression intraveineuse',196.18,104.50),(4346,'HLHH002','Ponction de collection hépatique, par voie transcutanée avec guidage scanographique',125.40,125.40),(4347,'HLHH005','Biopsie du foie par voie jugulaire avec guidage échographique et/ou radiologique, avec prise de pression intraveineuse',214.35,104.50),(4348,'HLHH006','Biopsie du foie sur une cible, par voie transcutanée avec guidage scanographique',76.80,76.80),(4349,'HLHH007','Biopsie du foie sur plusieurs cibles, par voie transcutanée avec guidage scanographique',142.90,76.80),(4350,'HLHJ003','Biopsie non ciblée du foie, par voie transcutanée avec guidage échographique',76.80,76.80),(4351,'HLHJ004','Ponction de collection hépatique, par voie transcutanée avec guidage échographique',125.40,125.40),(4352,'HLHJ005','Biopsie du foie sur plusieurs cibles, par voie transcutanée avec guidage échographique',127.16,76.80),(4353,'HLHJ006','Biopsie du foie sur une cible, par voie transcutanée avec guidage échographique',102.94,76.80),(4354,'HLJA001','Évacuation de collection hépatique, par laparotomie',259.49,216.35),(4355,'HLJC001','Évacuation de collection hépatique, par coelioscopie',282.89,242.71),(4356,'HLNA007','Destruction de tumeur hépatique avec courant de radiofréquence, par laparotomie',319.05,291.21),(4357,'HLNC003','Destruction de tumeur hépatique avec courant de radiofréquence, par coelioscopie',333.23,304.15),(4358,'HLNK001','Destruction de tumeur hépatique par radiofréquence, par voie transcutanée avec guidage scanographique',76.80,76.80),(4359,'HLNK001','Destruction transcutanée de tumeur hépatique par radiofréquence, avec guidage scanographique',76.80,76.80),(4360,'HLNM001','Destruction de tumeur hépatique par radiofréquence, par voie transcutanée avec guidage échographique',169.54,76.80),(4361,'HLNM001','Destruction transcutanée de tumeur hépatique par radiofréquence, avec guidage échographique',169.54,76.80),(4362,'HLNN900','Destruction de tumeur hépatique par radiofréquence, par voie transcutanée avec guidage remnographique [IRM]',0.00,0.00),(4363,'HLNN900','Destruction transcutanée de tumeur hépatique par radiofréquence, avec guidage remnographique [IRM]',0.00,0.00),(4364,'HLQL001','Scintigraphie du foie et de la rate par un traceur du système réticuloendothélial',162.76,162.76),(4365,'HLQM001','Échographie transcutanée du foie et des conduits biliaires',52.45,52.45),(4366,'HLQM002','Mesure de l\'élasticité du foie par élastographie impulsionnelle ultrasonore',31.29,31.29),(4367,'HLQX004','Examen anatomopathologique à visée carcinologique de pièce d\'une hépatectomie partielle',85.30,85.30),(4368,'HLQX005','Examen anatomopathologique à visée carcinologique de pièces de plusieurs hépatectomies partielles',104.69,104.69),(4369,'HLQX008','Examen anatomopathologique à visée carcinologique de pièce d\'hépatectomie totale',138.74,138.74),(4370,'HLQX013','Examen histopathologique de biopsie de foie avec coloration spéciale pour diagnostic d\'affection non carcinologique',60.00,60.00),(4371,'HLSA001','Hémostase de lésion du foie, par laparotomie',511.90,379.93),(4372,'HLSC012','Hémostase de lésion du foie, par coelioscopie',540.70,408.73),(4373,'HMAE001','Dilatation de l\'ampoule hépatopancréatique [du sphincter d\'Oddi], par oeso-gastro-duodénoscopie',266.13,266.13),(4374,'HMAE002','Dilatation rétrograde de conduit biliaire, par oeso-gastro-duodénoscopie',340.41,340.41),(4375,'HMAH001','Dilatation de conduit biliaire, par un drain transcutané déjà en place avec guidage échographique et/ou radiologique',209.00,209.00),(4376,'HMAH002','Dilatation de conduit biliaire, par voie transcutanée avec guidage échographique et/ou radiologique',209.00,209.00),(4377,'HMCA001','Cholécystoduodénostomie pour atrésie des conduits biliaires extrahépatiques, par laparotomie',479.28,435.27),(4378,'HMCA002','Cholédochoduodénostomie, par laparotomie',374.48,374.48),(4379,'HMCA003','Cholécystogastrostomie ou cholécystoduodénostomie, par laparotomie',374.48,374.48),(4380,'HMCA004','Cholédochoduodénostomie avec gastrojéjunostomie, par laparotomie',478.98,478.98),(4381,'HMCA005','Anastomose biliodigestive intrahépatique portant sur un conduit biliaire segmentaire, par laparotomie',698.37,650.11),(4382,'HMCA006','Cholédochojéjunostomie, par laparotomie',428.24,423.94),(4383,'HMCA007','Anastomose biliodigestive au-dessus de la convergence portant sur plusieurs conduits biliaires, par laparotomie',860.73,744.28),(4384,'HMCA008','Anastomose biliodigestive portant sur la convergence des conduits hépatiques, par laparotomie',653.70,624.20),(4385,'HMCA009','Cholécystostomie cutanée, par laparotomie',207.74,173.15),(4386,'HMCA010','Cholécystogastrostomie ou cholécystoduodénostomie avec gastrojéjunostomie, par laparotomie',374.48,374.48),(4387,'HMCA011','Cholécystojéjunostomie, par laparotomie',374.48,374.48),(4388,'HMCC001','Cholédochojéjunostomie, par coelioscopie',484.25,468.52),(4389,'HMCC002','Cholédochoduodénostomie, par coelioscopie',469.36,441.61),(4390,'HMCC003','Cholécystogastrostomie ou cholécystoduodénostomie, par coelioscopie',403.28,403.28),(4391,'HMCC013','Cholédochoduodénostomie avec gastrojéjunostomie, par coelioscopie',507.78,507.78),(4392,'HMCH001','Cholécystostomie, par voie transcutanée avec guidage échographique et/ou radiologique',170.75,125.40),(4393,'HMFA001','Cholécystectomie avec cholédochojéjunostomie, par laparotomie',543.40,543.40),(4394,'HMFA002','Cholécystectomie avec cholédochogastrostomie ou cholédochoduodénostomie, par laparotomie',499.88,499.88),(4395,'HMFA003','Cholécystectomie par coelioscopie, avec ablation de calcul de la voie biliaire principale par cholédochotomie, par laparotomie',439.58,412.24),(4396,'HMFA004','Cholécystectomie avec ablation transcystique de calcul de la voie biliaire principale, par laparotomie',283.60,269.82),(4397,'HMFA005','Cholécystectomie par coelioscopie, avec cholédochojéjunostomie par laparotomie',564.36,555.56),(4398,'HMFA006','Cholécystectomie par coelioscopie, avec cholédochoduodénostomie par laparotomie',499.88,499.88),(4399,'HMFA007','Cholécystectomie, par laparotomie',251.70,251.32),(4400,'HMFA008','Cholécystectomie avec ablation de calcul de la voie biliaire principale par cholédochotomie, par laparotomie',380.73,378.10),(4401,'HMFA009','Résection de la voie biliaire principale pédiculaire avec anastomose biliodigestive, par laparotomie',742.32,675.61),(4402,'HMFA010','Résection de la voie biliaire principale pédiculaire et intrapancréatique avec anastomose biliodigestive, par laparotomie',913.19,774.71),(4403,'HMFC001','Cholécystectomie avec ablation transcystique de calcul de la voie biliaire principale, par coelioscopie',375.77,323.28),(4404,'HMFC002','Cholécystectomie avec ablation de calcul de la voie biliaire principale par cholédochotomie, par coelioscopie',471.49,442.84),(4405,'HMFC003','Cholécystectomie avec cholédochogastrostomie ou cholédochoduodénostomie, par coelioscopie',499.88,499.88),(4406,'HMFC004','Cholécystectomie, par coelioscopie',287.85,272.29),(4407,'HMFC005','Cholécystectomie avec cholédochojéjunostomie, par coelioscopie',599.11,575.71),(4408,'HMGA001','Ablation de calcul de la voie biliaire principale par cholédochotomie, par laparotomie',374.48,374.48),(4409,'HMGC001','Ablation de calcul de la voie biliaire principale par cholédochotomie, par coelioscopie',406.26,405.00),(4410,'HMGE001','Ablation d\'endoprothèse biliaire et/ou pancréatique, par oeso-gastro-duodénoscopie',192.00,192.00),(4411,'HMGE002','Ablation de calcul de la voie biliaire principale, par oeso-gastro-duodénoscopie',330.20,330.20),(4412,'HMGH001','Ablation de calcul de la voie biliaire principale, par oeso-gastro-duodénoscopie et par voie transcutanée avec guidage échographique et/ou radiologique',125.40,125.40),(4413,'HMGH002','Ablation ou changement d\'endoprothèse biliaire, par voie transcutanée avec guidage échographique et/ou radiologique',409.32,57.60),(4414,'HMGH003','Ablation ou changement d\'endoprothèse biliaire, par un drain transcutané déjà en place avec guidage échographique et/ou radiologique',240.99,57.60),(4415,'HMGH004','Ablation de calcul des voies biliaires, par voie transcutanée avec guidage échographique et/ou radiologique',314.86,20.90),(4416,'HMJA001','Drainage transpariétal de conduit biliaire [Drainage biliaire externe], au cours d\'une intervention intraabdominale',0.00,0.00),(4417,'HMJE001','Drainage de conduit biliaire ou pancréatique par voie nasale, au cours d\'une endoscopie oeso-gastro-duodénale',0.00,0.00),(4418,'HMJE001','Drainage de conduit biliaire ou pancréatique par voie nasale, au cours d\'une endoscopie ╜so-gastro-duodénale',0.00,0.00),(4419,'HMJH001','Drainage externe de plusieurs conduits biliaires avec pose d\'endoprothèse, par voie transcutanée avec guidage échographique et/ou radiologique',634.56,125.40),(4420,'HMJH002','Drainage internalisé d\'un conduit biliaire, par voie transcutanée avec guidage échographique et/ou radiologique',311.23,209.00),(4421,'HMJH003','Drainage externe de plusieurs conduits biliaires, par voie transcutanée avec guidage échographique et/ou radiologique',354.82,125.40),(4422,'HMJH004','Drainage externe de conduit biliaire, par voie transcutanée avec guidage scanographique',151.38,125.40),(4423,'HMJH005','Drainage externe d\'un conduit biliaire avec pose d\'une endoprothèse, par voie transcutanée avec guidage échographique et/ou radiologique',406.90,125.40),(4424,'HMJH006','Drainage externe d\'un conduit biliaire, par voie transcutanée avec guidage échographique et/ou radiologique',204.66,125.40),(4425,'HMJH007','Drainage internalisé de plusieurs conduits biliaires, par voie transcutanée avec guidage échographique et/ou radiologique',491.67,209.00),(4426,'HMKE001','Changement d\'une endoprothèse biliaire, par oeso-gastro-duodénoscopie',268.80,268.80),(4427,'HMKE002','Changement de plusieurs endoprothèses biliaires, par oeso-gastro-duodénoscopie',383.39,383.39),(4428,'HMKH001','Changement de drain biliaire, par voie transcutanée avec guidage échographique et/ou radiologique',57.60,57.60),(4429,'HMLA001','Pose d\'endoprothèse biliaire par cholédochotomie, par laparotomie',374.48,374.48),(4430,'HMLC001','Pose d\'endoprothèse biliaire par cholédochotomie, par coelioscopie',403.28,403.28),(4431,'HMLE002','Pose d\'une endoprothèse biliaire, par oeso-gastro-duodénoscopie',410.70,410.70),(4432,'HMLE003','Pose de plusieurs endoprothèses biliaires, par oeso-gastro-duodénoscopie',486.06,486.06),(4433,'HMLH001','Pose d\'une endoprothèse biliaire, par oeso-gastro-duodénoscopie et par voie transcutanée avec guidage échographique et/ou radiologique',417.80,125.40),(4434,'HMLH002','Pose de plusieurs endoprothèses dans des conduits biliaires préalablement drainés, avec guidage échographique et/ou radiologique',198.60,188.10),(4435,'HMLH003','Pose d\'une endoprothèse dans un conduit biliaire préalablement drainé, avec guidage échographique et/ou radiologique',132.00,125.40),(4436,'HMMA001','Internalisation secondaire d\'un drainage biliaire externe déjà en place',164.70,121.86),(4437,'HMMA002','Internalisation secondaire de plusieurs drainages biliaires externes déjà en place',205.87,145.74),(4438,'HMNE001','Lithotritie mécanique des conduits biliaires, par oeso-gastro-duodénoscopie',346.09,346.09),(4439,'HMNE002','Lithotritie des conduits biliaires par ondes de choc, par cholangioscopie rétrograde',479.96,479.96),(4440,'HMNJ002','Lithotritie des conduits biliaires par ondes de choc, par cholangioscopie par un drain transcutané déjà en place',480.20,383.85),(4441,'HMNJ003','Lithotritie des conduits biliaires par ondes de choc, par cholangioscopie par voie transcutanée',383.85,383.85),(4442,'HMNM001','Lithotritie extracorporelle des conduits biliaires',265.04,259.06),(4443,'HMPE001','Section du versant biliaire du muscle sphincter de l\'ampoule hépatopancréatique [sphincter d\'Oddi], par oeso-gastro-duodénoscopie [Sphinctérotomie biliaire endoscopique]',313.50,313.50),(4444,'HMQA001','Endoscopie peropératoire des voies biliaires, par abord transcystique ou par cholédochotomie',116.38,41.80),(4445,'HMQE001','Cholangioscopie par un orifice de drainage biliaire externe déjà en place',133.01,101.33),(4446,'HMQG002','Cholangioscopie, par voie transcutanée avec guidage échographique et/ou radiologique',261.13,192.00),(4447,'HMQH001','Cholangioscopie, par voie buccale',321.71,321.71),(4448,'HMQH002','Cholangiopancréatographie rétrograde avec manométrie oddienne, par oeso-gastro-duodénoscopie',258.19,258.19),(4449,'HMQH003','Cholangiographie rétrograde avec infundibulotomie [ponction diathermique de l\'infundibulum biliaire] ou précoupe de la papille duodénale majeure, par oeso-gastro-duodénoscopie',313.75,313.75),(4450,'HMQH004','Cholangiographie, par injection de produit de contraste dans les conduits biliaires par voie transcutanée, avec guidage échographique et/ou radiologique',57.19,57.19),(4451,'HMQH005','Cholangiopancréatographie rétrograde sans manométrie oddienne, par oeso-gastro-duodénoscopie',207.70,207.70),(4452,'HMQH006','Cholangiographie, par injection de produit de contraste dans un drain biliaire externe',57.19,57.19),(4453,'HMQH007','Cholangiographie rétrograde, par oeso-gastro-duodénoscopie',200.89,200.89),(4454,'HMQH008','Cholangiographie et/ou pancréaticographie [wirsungographie] peropératoire',0.00,0.00),(4455,'HMQJ001','Échoendoscopie biliopancréatique sans biopsie',245.94,245.94),(4456,'HMQJ002','Échoendoscopie biliopancréatique avec biopsie transbiliopancréatique guidée',274.87,274.87),(4457,'HMQL001','Scintigraphie des conduits biliaires',268.87,268.87),(4458,'HMQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de conduit biliaire extrahépatique',76.77,76.77),(4459,'HMQX005','Examen anatomopathologique à visée carcinologique de pièce de cholécystectomie',84.54,84.54),(4460,'HNAE001','Dilatation du conduit pancréatique, par oeso-gastro-duodénoscopie',365.94,365.94),(4461,'HNCA001','Anastomose entre un faux kyste du pancréas et le duodénum [Kystoduodénostomie], par laparotomie',374.48,374.48),(4462,'HNCA002','Anastomose pancréaticojéjunale avec anastomose biliojéjunale, par laparotomie',635.73,635.73),(4463,'HNCA003','Anastomose pancréaticojéjunale avec anastomose biliojéjunale et gastrojéjunostomie, par laparotomie',727.43,688.92),(4464,'HNCA004','Anastomose pancréaticojéjunale avec gastrojéjunostomie, par laparotomie',538.79,538.79),(4465,'HNCA005','Anastomose entre un faux kyste du pancréas et le jéjunum [Kystojéjunostomie], par laparotomie',411.93,396.20),(4466,'HNCA006','Suture de plaie du pancréas avec reconstruction du conduit pancréatique, par laparotomie',479.99,435.68),(4467,'HNCA007','Anastomose pancréaticojéjunale, par laparotomie',465.10,427.05),(4468,'HNCA008','Anastomose entre un faux kyste du pancréas et l\'estomac [Kystogastrostomie], par laparotomie',374.48,374.48),(4469,'HNCC021','Anastomose entre un faux kyste du pancréas et l\'estomac [Kystogastrostomie], par coelioscopie',403.28,403.28),(4470,'HNCC033','Anastomose entre un faux kyste du pancréas et le jéjunum [Kystojéjunostomie], par coelioscopie',440.73,415.64),(4471,'HNCE001','Anastomose entre un faux kyste du pancréas et l\'estomac ou le duodénum, par oeso-gastro-duodénoscopie sans guidage [Kystogastrostomie ou kystoduodénostomie endoscopique]',258.30,258.30),(4472,'HNCH001','Anastomose entre un faux kyste du pancréas et l\'estomac ou le duodénum, par voie transcutanée avec guidage échographique et/ou radiologique [Kystogastrostomie ou kystoduodénostomie transcutanée]',125.40,125.40),(4473,'HNCJ001','Anastomose entre un faux kyste du pancréas et l\'estomac ou le duodénum, par oeso-gastro-duodénoscopie avec guidage échoendoscopique',289.39,289.39),(4474,'HNCJ001','Anastomose entre une cavité collectée du pancréas et l\'estomac ou le duodénum, par oeso-gastro-duodénoscopie avec guidage échoendoscopique',289.39,289.39),(4475,'HNEA002','Transplantation du pancréas et du rein, par laparotomie',0.00,0.00),(4476,'HNEA900','Transplantation du pancréas, par laparotomie',0.00,0.00),(4477,'HNEH900','Transplantation d\'îlots pancréatiques, par injection dans la veine porte par voie transcutanée avec guidage radiologique',0.00,0.00),(4478,'HNFA001','Isthmectomie pancréatique avec rétablissement de continuité du conduit pancréatique, par laparotomie',721.05,575.49),(4479,'HNFA002','Pancréatectomie gauche avec conservation de la rate, avec anastomose pancréatojéjunale ou pancréaticojéjunale, par laparotomie',801.17,621.96),(4480,'HNFA004','Duodénopancréatectomie totale avec splénectomie [Splénopancréatectomie totale], par laparotomie',1376.17,1131.02),(4481,'HNFA005','Exérèse de tumeur du pancréas, par laparotomie',508.35,452.13),(4482,'HNFA006','Pancréatectomie totale ou subtotale avec conservation du duodénum et splénectomie, par laparotomie',908.94,728.36),(4483,'HNFA007','Duodénopancréatectomie céphalique, par laparotomie',1263.44,1021.74),(4484,'HNFA008','Pancréatectomie gauche avec conservation de la rate, par laparotomie',652.28,535.60),(4485,'HNFA009','Prélèvement d\'un greffon pancréatique, chez un sujet en état de mort encéphalique',0.00,0.00),(4486,'HNFA010','Pancréatectomie gauche avec splénectomie [Splénopancréatectomie gauche] avec anastomose pancréatojéjunale ou pancréaticojéjunale, par laparotomie',794.08,661.74),(4487,'HNFA011','Pancréatectomie totale ou subtotale avec conservation du duodénum, sans splénectomie, par laparotomie',628.17,521.62),(4488,'HNFA012','Nécrosectomie pancréatique, par laparotomie',380.73,378.10),(4489,'HNFA013','Pancréatectomie gauche avec splénectomie [Splénopancréatectomie gauche], par laparotomie',584.22,540.02),(4490,'HNFC001','Exérèse de tumeur du pancréas, par coelioscopie',640.94,541.12),(4491,'HNFC002','Pancréatectomie gauche avec splénectomie [Splénopancréatectomie gauche], par coelioscopie',701.91,608.28),(4492,'HNFC027','Nécrosectomie pancréatique, par coelioscopie',409.52,406.90),(4493,'HNFC028','Pancréatectomie gauche avec conservation de la rate, par coelioscopie',681.07,564.40),(4494,'HNGE001','Ablation de calcul pancréatique, par oeso-gastro-duodénoscopie',409.05,409.05),(4495,'HNJA001','Drainage externe de collection pancréatique, par laparotomie',374.48,374.48),(4496,'HNJC001','Drainage externe de collection pancréatique, par coelioscopie',403.28,403.28),(4497,'HNKE001','Changement d\'une endoprothèse du conduit pancréatique, par oeso-gastro-duodénoscopie',268.80,268.80),(4498,'HNLE001','Pose d\'une endoprothèse du conduit pancréatique, par oeso-gastro-duodénoscopie',424.31,424.31),(4499,'HNNM001','Lithotritie extracorporelle du pancréas',0.00,0.00),(4500,'HNPE002','Section du versant pancréatique du muscle sphincter de l\'ampoule hépatopancréatique [sphincter d\'Oddi], par oeso-gastro-duodénoscopie [Sphinctérotomie pancréatique endoscopique]',331.34,331.34),(4501,'HNPE003','Sphinctérotomie de la papille duodénale mineure [papille accessoire], par oeso-gastro-duodénoscopie',371.04,371.04),(4502,'HNQH001','Pancréatographie rétrograde par cathétérisme de la papille duodénale mineure [papille accessoire], par oeso-gastro-duodénoscopie',236.63,236.63),(4503,'HNQH002','Pancréaticoscopie par voie buccale',410.18,410.18),(4504,'HNQH003','Pancréatographie rétrograde par cathétérisme de la papille duodénale majeure, par oeso-gastro-duodénoscopie',192.00,192.00),(4505,'HNQH004','Pancréatographie, par injection de produit de contraste par voie transcutanée, avec guidage échographique',57.19,57.19),(4506,'HNQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de la papille duodénale majeure [ampullectomie]',68.98,68.98),(4507,'HNQX006','Examen anatomopathologique à visée carcinologique de pièce de duodénopancréatectomie partielle ou totale',172.24,172.24),(4508,'HNQX007','Examen anatomopathologique à visée carcinologique de pièce de pancréatectomie partielle avec splénectomie',138.79,138.79),(4509,'HNQX008','Examen anatomopathologique à visée carcinologique de pièce de pancréatectomie partielle, sans splénectomie',105.98,105.98),(4510,'HPBA001','Réduction de volume tumoral d\'une maladie gélatineuse du péritoine, par laparotomie',496.30,331.74),(4511,'HPBA002','Interposition ou apposition de grand omentum [grand épiploon], au cours d\'une intervention intrathoracique',0.00,0.00),(4512,'HPCA001','Dérivation péritonéoveineuse',313.50,313.50),(4513,'HPFA001','Résection ou cloisonnement du cul-de-sac recto-utérin [de Douglas], par laparotomie',251.89,189.99),(4514,'HPFA003','Exérèse de lésion d\'un repli péritonéal [méso] sans résection intestinale, par laparotomie',272.97,202.21),(4515,'HPFA004','Résection du grand omentum [grand épiploon] [Omentectomie], par laparotomie',197.81,158.62),(4516,'HPFC001','Exérèse de lésion d\'un repli péritonéal [méso] sans résection intestinale, par coelioscopie',274.38,215.13),(4517,'HPFC002','Résection du grand omentum [grand épiploon] [Omentectomie], par coelioscopie',238.93,170.83),(4518,'HPFC007','Résection ou cloisonnement du cul-de-sac recto-utérin [de Douglas], par coelioscopie',280.69,218.79),(4519,'HPGA001','Ablation d\'un cathéter de dialyse péritonéale, par laparotomie',104.50,104.50),(4520,'HPGA002','Ablation d\'un ballon intrapéritonéal, par laparotomie',0.00,0.00),(4521,'HPHB001','Ponction-lavage du péritoine, avec pose de cathéter intrapéritonéal par voie transcutanée',96.42,96.25),(4522,'HPHB002','Ponction du cul-de-sac recto-utérin [de Douglas] [Culdocentèse], par voie transvaginale sans guidage',29.06,24.93),(4523,'HPHB003','Ponction d\'un épanchement péritonéal, par voie transcutanée',28.36,24.51),(4524,'HPHJ001','Ponction du cul-de-sac recto-utérin [de Douglas] [Culdocentèse], par voie transvaginale avec guidage échographique',21.45,19.20),(4525,'HPJB001','Évacuation d\'un épanchement intrapéritonéal, par voie transcutanée',19.20,19.20),(4526,'HPJP001','Pelage du manchon externe d\'un cathéter de dialyse péritonéale',0.00,0.00),(4527,'HPKA001','Changement du cathéter intrapéritonéal d\'un système diffuseur implanté pour insulinothérapie intrapéritonéale, par laparotomie',147.10,147.10),(4528,'HPKA002','Changement d\'un cathéter de dialyse péritonéale, par laparotomie',180.29,148.46),(4529,'HPKB001','Changement d\'un cathéter de dialyse péritonéale, par voie transcutanée',74.63,67.48),(4530,'HPKC014','Changement d\'un cathéter de dialyse péritonéale, par coelioscopie',209.09,177.26),(4531,'HPLA001','Pose d\'un cathéter intrapéritonéal avec pose d\'un système diffuseur implantable souscutané, pour insulinothérapie intrapéritonéale',127.77,127.77),(4532,'HPLA002','Pose d\'un ballon intrapéritonéal avant irradiation pelvienne, par laparotomie',0.00,0.00),(4533,'HPLA004','Pose d\'un cathéter intrapéritonéal par voie transcutanée, avec pose d\'un système diffuseur implantable souscutané',141.80,126.14),(4534,'HPLA005','Pose ou repositionnement d\'un cathéter intrapéritonéal pour dialyse péritonéale, par laparotomie',117.61,112.11),(4535,'HPLB002','Séance d\'injection intrapéritonéale d\'agent pharmacologique anticancéreux, par voie transcutanée',0.00,0.00),(4536,'HPLB003','Administration intrapéritonéale d\'agent pharmacologique anticancéreux avec hyperthermie [Chimiohyperthermie anticancéreuse intrapéritonéale], sous anesthésie générale',0.00,0.00),(4537,'HPLB004','Pose d\'un cathéter intrapéritonéal pour dialyse péritonéale, par voie transcutanée',85.37,73.70),(4538,'HPLB007','Séance d\'administration intrapéritonéale d\'agent pharmacologique anticancéreux, par un dispositif implanté',0.00,0.00),(4539,'HPLC035','Pose ou repositionnement d\'un cathéter intrapéritonéal pour dialyse péritonéale, par coelioscopie',146.42,140.91),(4540,'HPMA001','Épiploplastie intraabdominale par libération de la grande courbure gastrique avec pédiculisation sur un pédicule gastroépiploïque, au cours d\'une intervention par laparotomie',0.00,0.00),(4541,'HPMA002','Réparation de perte de substance par lambeau libre de grand omentum [épiploon], avec anastomoses vasculaires',874.20,682.60),(4542,'HPMA003','Réparation de perte de substance par lambeau pédiculé de grand omentum [épiploon], en situation extraabdominale',606.90,505.62),(4543,'HPMB001','Création d\'un pneumopéritoine à visée thérapeutique, par voie transcutanée',45.60,34.51),(4544,'HPML001','Contrôle radio-isotopique d\'un cathéter intrapéritonéal',106.11,106.11),(4545,'HPMP002','Contrôle radiologique secondaire de position et/ou de fonctionnement d\'un drain péritonéal, d\'un cathéter de dialyse péritonéale ou d\'une dérivation péritonéojugulaire, avec opacification par produit de contraste',19.95,19.95),(4546,'HPNA001','Destruction et/ou exérèse de lésion endométriosique superficielle du péritoine, par laparotomie',149.47,130.58),(4547,'HPNC001','Destruction et/ou exérèse de lésion endométriosique superficielle du péritoine, par coelioscopie',159.16,124.57),(4548,'HPPA001','Libération d\'adhérences [Adhésiolyse] ni étendues ni serrées du péritoine pelvien pour stérilité chez la femme, par laparotomie',147.40,129.38),(4549,'HPPA002','Section de bride et/ou d\'adhérences péritonéales pour occlusion intestinale aigüe, par laparotomie',273.67,241.76),(4550,'HPPA003','Libération d\'adhérences [Adhésiolyse] étendues et/ou serrées du péritoine pelvien pour stérilité chez la femme, par laparotomie',268.50,225.95),(4551,'HPPA004','Désenfouissement de l\'extrémité souscutanée d\'un cathéter de dialyse péritonéale',0.00,0.00),(4552,'HPPC001','Libération d\'adhérences [Adhésiolyse] ni étendues ni serrées du péritoine pelvien pour stérilité chez la femme, par coelioscopie',168.85,130.19),(4553,'HPPC002','Libération d\'adhérences [Adhésiolyse] étendues et/ou serrées du péritoine pelvien pour stérilité chez la femme, par coelioscopie',268.50,238.04),(4554,'HPPC003','Section de bride et/ou d\'adhérences péritonéales pour occlusion intestinale aigüe, par coelioscopie',270.84,252.21),(4555,'HPPC004','Libération de l\'extrémité distale du cathéter d\'un système diffuseur implanté pour insulinothérapie intrapéritonéale, par coelioscopie',0.00,0.00),(4556,'HPPP002','Désobstruction d\'un cathéter de dialyse péritonéale',0.00,0.00),(4557,'HPQC001','Exploration du petit bassin [pelvis] féminin, par pélycoscopie [culdoscopie] [coelioscopie transvaginale]',123.18,95.63),(4558,'HPQL001','Scintigraphie péritonéale',268.87,268.87),(4559,'HPQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de tumeur du grand omentun, du péritoine et/ou de repli péritonéal [méso]',60.58,60.58),(4560,'HPSA001','Ligature du processus vaginal du péritoine [canal péritonéovaginal], par abord inguinal',201.87,201.87),(4561,'HPSC001','Ligature du processus vaginal du péritoine [canal péritonéovaginal], par coelioscopie',201.87,201.87),(4562,'HQQE001','Bilan fonctionnel de la déglutition avec fibroscopie du pharynx et du larynx par voie nasale, essai alimentaire et enregistrement vidéo',52.36,52.34),(4563,'HQQH002','Étude radiologique dynamique de la déglutition, avec enregistrement [Pharyngographie dynamique]',46.55,46.55),(4564,'HQQP001','Analyse informatisée de la déglutition',59.24,59.24),(4565,'HQRP001','Séance de rééducation de la déglutition, avec contrôle instrumental',46.19,46.19),(4566,'HRQP001','Surveillance tonométrique continue du pH intramuqueux gastrique ou colique et/ou du gradient gastroartériel ou coloartériel de la PCO2, par 24 heures',0.00,0.00),(4567,'HSLD001','Alimentation entérale par sonde avec apport de 20 à 35 kilocalories par kilogramme par jour [kcal/kg/jour], par 24 heures',0.00,0.00),(4568,'HSLD002','Alimentation entérale par sonde avec apport de plus de 35 kilocalories par kilogramme par jour [kcal/kg/jour], par 24 heures',0.00,0.00),(4569,'HSLF001','Alimentation entérale et parentérale, avec apport de plus de 35 kilocalories par kilogramme par jour [kcal/kg/jour], par 24 heures',0.00,0.00),(4570,'HSLF002','Alimentation parentérale avec apport de 20 à 35 kilocalories par kilogramme par jour [kcal/kg/jour], par 24 heures',0.00,0.00),(4571,'HSLF003','Alimentation parentérale avec apport de plus de 35 kilocalories par kilogramme par jour [kcal/kg/jour], par 24 heures',0.00,0.00),(4572,'HTQD002','Manométrie anorectale',71.69,71.69),(4573,'HTQH002','Défécographie [Rectographie dynamique]',86.45,86.45),(4574,'HTRD001','Séance de rééducation anorectale avec rétrocontrôle [biofeedback] manométrique intracavitaire, sans électrostimulation',48.43,33.74),(4575,'HTRD002','Séance de rééducation anorectale avec rétrocontrôle [biofeedback] manométrique intracavitaire et électrostimulation',62.73,42.02),(4576,'HTRD003','Test de continence anorectale aux liquides',0.00,0.00),(4577,'HZHE001','Prélèvement pour analyse biologique, au cours d\'une endoscopie diagnostique des voies digestives',0.00,0.00),(4578,'HZHE002','Biopsie et/ou brossage cytologique de la paroi du tube digestif ou de conduit biliopancréatique, au cours d\'une endoscopie diagnostique',17.60,17.60),(4579,'HZHE004','Coloration et/ou tatouage de la paroi du tube digestif, au cours d\'une endoscopie diagnostique',0.00,0.00),(4580,'HZHE005','Macrobiopsie de la paroi du tube digestif, au cours d\'une endoscopie diagnostique',0.00,0.00),(4581,'HZMP002','Contrôle radiologique secondaire de position et/ou de fonctionnement d\'une sonde digestive, d\'un drain biliaire ou d\'une endoprothèse biliaire avec opacification par produit de contraste',19.95,19.95),(4582,'HZQE900','Exploration de la lumière du tube digestif par vidéocapsule ingérée',0.00,0.00),(4583,'HZQM001','Échographie transcutanée du tube digestif et/ou du péritoine',56.70,56.70),(4584,'JACA001','Suture de plaie ou de fracture du rein limitée au parenchyme, par abord direct',330.39,274.66),(4585,'JACA002','Néphrostomie cutanée, par abord direct',204.90,189.07),(4586,'JACH001','Néphrostomie, par voie transcutanée avec guidage échographique et/ou radiologique',167.20,167.20),(4587,'JACH002','Néphrostomie par voie transcutanée avec drainage internalisé de la voie excrétrice urinaire, avec guidage échographique et/ou radiologique',167.20,167.20),(4588,'JACH003','Néphrostomie, par voie transcutanée avec guidage scanographique',167.20,167.20),(4589,'JADA001','Néphropexie, par abord direct',264.46,206.05),(4590,'JAEA002','Autotransplantation du rein, par abord direct',830.24,700.98),(4591,'JAEA003','Transplantation du rein',0.00,0.00),(4592,'JAFA001','Héminéphrectomie avec urétérectomie partielle, par abord direct',554.44,478.86),(4593,'JAFA002','Néphrectomie totale, par lombotomie',409.09,337.86),(4594,'JAFA003','Héminéphrectomie avec urétérectomie totale, par abord direct',730.27,580.84),(4595,'JAFA004','Résection de kyste parasitaire du rein, par lombotomie',370.10,284.88),(4596,'JAFA005','Néphrectomie totale élargie à la loge rénale avec résection latérale de la veine cave inférieure, par abord direct',964.95,756.81),(4597,'JAFA006','Néphrectomie partielle ex situ avec autotransplantation du rein, par abord direct',1098.95,922.31),(4598,'JAFA007','Résection de kyste non parasitaire du rein, par lombotomie',243.90,211.68),(4599,'JAFA008','Néphrectomie partielle avec dissection du pédicule vasculaire, par lombotomie ou par abord lombal postérieur',593.43,462.34),(4600,'JAFA009','Néphrectomie totale élargie à la loge rénale, par laparotomie ou par abord lomboabdominal',532.46,426.97),(4601,'JAFA010','Néphrectomie totale unilatérale, par abord lombal vertical',421.15,344.85),(4602,'JAFA011','Néphrectomie totale élargie à la loge rénale avec thrombectomie par cavotomie et contrôle intraatrial cardiaque, par thoraco-phréno-laparotomie',1063.50,839.95),(4603,'JAFA012','Néphrectomie totale par laparotomie, avec extraction endoscopique rétrograde de l\'uretère [stripping de l\'uretère]',663.62,542.19),(4604,'JAFA013','Prélèvement d\'un rein sur un donneur vivant, par abord direct',0.00,0.00),(4605,'JAFA014','Néphrectomie totale élargie à la loge rénale avec thrombectomie par cavotomie, par laparotomie ou par abord lomboabdominal',835.91,681.97),(4606,'JAFA015','Transplantectomie rénale, par abord direct',319.76,303.60),(4607,'JAFA016','Binéphrectomie, par laparotomie',528.91,451.24),(4608,'JAFA017','Prélèvement des 2 reins sur un sujet en état de mort encéphalique',544.61,544.61),(4609,'JAFA018','Prélèvement d\'un rein sur un sujet en état de mort encéphalique',445.25,376.39),(4610,'JAFA019','Néphrectomie partielle avec dissection du pédicule vasculaire, par laparotomie',656.53,498.93),(4611,'JAFA020','Prélèvement des 2 reins au cours d\'un prélèvement multiorgane, sur un sujet en état de mort encéphalique',406.69,406.69),(4612,'JAFA021','Néphrectomie totale élargie à la loge rénale avec surrénalectomie, par thoraco-phréno-laparotomie',755.09,595.23),(4613,'JAFA022','Néphrectomie totale élargie à la loge rénale avec thrombectomie par cavotomie, par thoraco-phréno-laparotomie',902.56,746.60),(4614,'JAFA023','Néphrectomie totale unilatérale, par laparotomie',409.09,337.86),(4615,'JAFA024','Néphrectomie partielle sans dissection du pédicule vasculaire, par lombotomie ou par abord lombal vertical',473.61,392.84),(4616,'JAFA025','Néphrectomie totale élargie à la loge rénale avec surrénalectomie et thrombectomie par cavotomie, par thoraco-phréno-laparotomie',960.70,780.32),(4617,'JAFA026','Héminéphrectomie pour fusion rénale, par abord direct',470.56,470.56),(4618,'JAFA027','Binéphrectomie, par abords lombaux verticaux',494.42,494.42),(4619,'JAFA028','Néphrectomie totale élargie à la loge rénale avec surrénalectomie et thrombectomie par cavotomie, par laparotomie ou par abord lomboabdominal',894.05,715.69),(4620,'JAFA029','Néphrectomie totale élargie à la loge rénale avec surrénalectomie, par laparotomie ou par abord lomboabdominal',589.89,460.28),(4621,'JAFA030','Néphrectomie partielle sans dissection du pédicule vasculaire, par laparotomie',478.58,395.71),(4622,'JAFA031','Néphrectomie totale élargie à la loge rénale, par thoraco-phréno-laparotomie',738.78,585.77),(4623,'JAFA032','Néphro-urétérectomie totale, par abord direct',665.75,543.42),(4624,'JAFC001','Néphro-urétérectomie totale, par coelioscopie ou par rétropéritonéoscopie',793.37,629.53),(4625,'JAFC002','Héminéphrectomie avec urétérectomie partielle, par coelioscopie ou par rétropéritonéoscopie',609.74,523.03),(4626,'JAFC003','Prélèvement d\'un rein sur un donneur vivant, par coelioscopie ou par rétropéritonéoscopie',0.00,0.00),(4627,'JAFC004','Binéphrectomie, par coelioscopie ou par rétropéritonéoscopie',643.29,643.29),(4628,'JAFC005','Néphrectomie partielle, par coelioscopie ou par rétropéritonéoscopie',667.88,517.61),(4629,'JAFC006','Néphrectomie totale unilatérale, par coelioscopie ou par rétropéritonéoscopie',665.04,498.41),(4630,'JAFC007','Héminéphrectomie avec urétérectomie totale, par coelioscopie ou par rétropéritonéoscopie',803.30,635.29),(4631,'JAFC008','Résection de kyste non parasitaire du rein, par coelioscopie ou par rétropéritonéoscopie',365.84,294.51),(4632,'JAFC010','Néphrectomie totale élargie à la loge rénale avec surrénalectomie, par coelioscopie ou rétropéritonéoscopie',752.96,593.87),(4633,'JAFC019','Néphrectomie totale élargie à la loge rénale, par coelioscopie ou rétropéritonéoscopie',682.06,537.95),(4634,'JAGA001','Ablation d\'un calcul du rein par pyélotomie, par abord direct',307.71,296.61),(4635,'JAGA002','Ablation d\'un calcul du rein par néphrotomie de la convexité, par abord direct',638.10,488.24),(4636,'JAGA003','Ablation de calculs multiples du rein par pyélotomie et/ou néphrotomie, par abord direct',753.67,555.26),(4637,'JAGA004','Ablation d\'un calcul du rein par néphrotomie, par abord direct',533.88,427.79),(4638,'JAGA005','Ablation de calculs multiples du rein par néphrotomie de la convexité, par abord direct',753.67,555.26),(4639,'JAGA006','Ablation d\'un calcul du rein par pyélotomie et néphrotomie, par abord direct',638.10,488.24),(4640,'JAGC001','Ablation d\'un calcul du rein par pyélotomie, par rétropéritonéoscopie',378.61,337.73),(4641,'JAGD001','Ablation de calcul du rein, par une néphrostomie déjà en place',540.26,431.49),(4642,'JAGD002','Ablation d\'un calcul coralliforme ou complexe du rein, par une néphrostomie déjà en place',531.75,426.56),(4643,'JAGF001','Ablation de calculs multiples du rein, par voie transcutanée',620.38,477.96),(4644,'JAGF002','Ablation d\'un calcul simple du rein, par voie transcutanée',471.49,391.60),(4645,'JAGF003','Ablation d\'un calcul coralliforme ou complexe du rein, par voie transcutanée',620.38,477.96),(4646,'JAHA001','Biopsie du rein, par abord direct',133.29,129.97),(4647,'JAHB001','Biopsie du rein, par voie transcutanée sans guidage',65.72,65.72),(4648,'JAHC001','Biopsie du rein, par coelioscopie ou par rétropéritonéoscopie',154.20,154.20),(4649,'JAHH001','Ponction de kyste du rein, par voie transcutanée avec guidage radiologique',57.60,57.60),(4650,'JAHH002','Biopsie du rein, par voie jugulaire transcutanée avec guidage radiologique',102.68,76.80),(4651,'JAHJ002','Ponction de kyste du rein, par voie transcutanée avec guidage échographique',57.60,57.60),(4652,'JAHJ004','Ponction des cavités du rein par voie transcutanée avec guidage échographique, avec enregistrement de la pression pyélique sous perfusion',112.73,57.60),(4653,'JAHJ005','Ponction des cavités du rein, par voie transcutanée avec guidage échographique',92.88,57.60),(4654,'JAHJ006','Biopsie du rein sur une cible, par voie transcutanée avec guidage échographique',76.80,76.80),(4655,'JAHJ007','Biopsie du rein sur plusieurs cibles, par voie transcutanée avec guidage échographique',76.80,76.80),(4656,'JAKD001','Changement d\'une sonde de néphrostomie ou de pyélostomie',48.21,48.12),(4657,'JAMA001','Internalisation secondaire d\'une néphrostomie cutanée déjà en place',125.40,125.40),(4658,'JAMA002','Réparation d\'un traumatisme complexe du rein et de la voie excrétrice, par abord direct',613.99,491.82),(4659,'JAMB001','Internalisation d\'une néphrostomie déjà en place, par voies transcutanée et rétrograde',125.40,125.40),(4660,'JANE002','Fragmentation intrarénale de calcul caliciel inférieur avec ondes de choc ou laser [Lithotritie intrarénale], par urétéronéphroscopie',471.49,369.33),(4661,'JANE005','Fragmentation intrarénale de calcul avec ondes de choc ou laser [Lithotritie intrarénale], par urétéronéphroscopie',428.95,336.01),(4662,'JANH001','Sclérose de plusieurs kystes du rein par injection d\'agent pharmacologique, par voie transcutanée avec guidage scanographique',86.40,86.40),(4663,'JANH002','Sclérose d\'un kyste du rein par injection d\'agent pharmacologique, par voie transcutanée avec guidage scanographique',57.60,57.60),(4664,'JANJ002','Fragmentation intrarénale de calcul par ondes de choc [Lithotritie intrarénale], par néphroscopie par une néphrostomie déjà en place',250.80,250.80),(4665,'JANM001','Lithotritie extracorporelle du rein, avec guidage radiologique',250.80,250.80),(4666,'JANM002','Lithotritie extracorporelle du rein, avec guidage échographique',250.80,250.80),(4667,'JAPA001','Section de l\'isthme d\'un rein en fer à cheval, par abord direct',538.13,417.45),(4668,'JAPC018','Section de l\'isthme d\'un rein en fer à cheval, par coelioscopie',567.20,374.42),(4669,'JAQH003','Kystographie du rein, par voie transcutanée avec guidage échographique et/ou radiologique',57.60,57.60),(4670,'JAQJ001','Échographie transcutanée unilatérale ou bilatérale du rein et de la région lombale, avec échographie transcutanée de la vessie et échographie de la prostate et des vésicules séminales par voie rectale',56.70,56.70),(4671,'JAQL001','Scintigraphie rénale glomérulaire ou tubulaire [Néphrographie isotopique] sans épreuve pharmacologique',327.30,327.30),(4672,'JAQL002','Scintigraphie rénale corticale',268.87,268.87),(4673,'JAQL003','Scintigraphie rénale glomérulaire ou tubulaire [Néphrographie isotopique] avec épreuve pharmacologique',327.30,327.30),(4674,'JAQL004','Scintigraphie rénale glomérulaire ou tubulaire avec mesure de la clairance radio-isotopique plasmatique',337.94,337.94),(4675,'JAQL005','Scintigraphie rénale glomérulaire ou tubulaire [Néphrographie isotopique] sans épreuve pharmacologique, avec scintigraphie antérograde de la vessie',380.36,380.36),(4676,'JAQL006','Scintigraphie rénale glomérulaire ou tubulaire avec mesure des clairances radio-isotopiques plasmatique et urinaire',337.94,337.94),(4677,'JAQL007','Scintigraphie rénale glomérulaire ou tubulaire [Néphrographie isotopique] avec épreuve pharmacologique et réinjection de produit radio-isotopique',406.89,406.89),(4678,'JAQM001','Échographie transcutanée unilatérale ou bilatérale du rein et de la région lombale, avec échographie transcutanée du petit bassin [pelvis] féminin',69.93,69.93),(4679,'JAQM002','Échographie-doppler transcutanée unilatérale ou bilatérale du rein et de ses vaisseaux',69.93,69.93),(4680,'JAQM003','Échographie transcutanée unilatérale ou bilatérale du rein et de la région lombale',52.45,52.45),(4681,'JAQM004','Échographie transcutanée unilatérale ou bilatérale du rein et de la région lombale, avec échographie transcutanée de la vessie',52.45,52.45),(4682,'JAQX004','Examen anatomopathologique à visée carcinologique de pièce de néphrectomie totale ou de néphro-urétérectomie',127.38,127.38),(4683,'JAQX005','Examen anatomopathologique à visée carcinologique de pièce de néphrectomie partielle',87.85,87.85),(4684,'JAQX006','Examen histopathologique de biopsie de rein avec coloration spéciale pour diagnostic d\'affection non carcinologique',60.00,60.00),(4685,'JASA001','Hémostase de plaie ou de fracture du rein par pose de filet périrénal, par abord direct',349.54,285.76),(4686,'JBCA001','Pyélostomie cutanée, par abord direct',241.06,210.04),(4687,'JBFA001','Exérèse de tumeur pyélique et/ou calicielle, avec néphrostomie par voie transcutanée',577.84,453.29),(4688,'JBFA002','Résection-anastomose du bassinet et de la jonction pyélo-urétérale, par abord direct',426.82,348.14),(4689,'JBFC001','Résection-anastomose du bassinet et de la jonction pyélo-urétérale, par coelioscopie ou par rétropéritonéoscopie',776.36,562.97),(4690,'JBFE001','Exérèse de tumeur pyélique et/ou calicielle, par endoscopie rétrograde',466.52,388.73),(4691,'JBHE001','Biopsie de la voie excrétrice supérieure, par endoscopie rétrograde',318.34,267.66),(4692,'JBMA001','Plastie du bassinet et de la jonction pyélo-urétérale, par abord direct',348.83,302.90),(4693,'JBMC001','Plastie du bassinet et de la jonction pyélo-urétérale, par coelioscopie ou par rétropéritonéoscopie',636.68,481.96),(4694,'JBNE004','Destruction de tumeur calicielle et/ou pyélique avec laser, par urétéronéphroscopie',471.49,379.03),(4695,'JBPE001','Urétéropyélotomie ou urétérotomie, par urétéroscopie rétrograde',314.80,274.39),(4696,'JBPE002','Urétéropyélotomie ou urétérotomie, par néphroscopie par une néphrostomie déjà en place',581.38,429.01),(4697,'JBPG001','Urétéropyélotomie ou urétérotomie, par néphroscopie par voie transcutanée',483.54,372.26),(4698,'JBPH001','Urétéropyélotomie ou urétérotomie, avec guidage radiologique',218.59,218.59),(4699,'JBQE001','Urétéro-pyélo-caliscopie rétrograde, par voie urétrale',339.61,315.12),(4700,'JBQG001','Urétéro-pyélo-caliscopie, par voie transcutanée',398.46,349.25),(4701,'JBQG002','Pyélocaliscopie, par voie transcutanée',358.05,325.81),(4702,'JBQH001','Urétéropyélographie descendante, par voie transcutanée avec guidage échographique et/ou radiologique',46.55,46.55),(4703,'JBQH002','Urétéropyélographie rétrograde [UPR]',46.55,46.55),(4704,'JBQH003','Urétéropyélographie descendante, par une néphrostomie déjà en place',46.55,46.55),(4705,'JBQL001','Scintigraphie de l\'élimination pyélo-urétérale',268.87,268.87),(4706,'JCAD001','Dilatation de l\'uretère, par une néphrostomie déjà en place',244.61,224.90),(4707,'JCAE001','Dilatation de l\'uretère, par urétéroscopie rétrograde',284.31,247.92),(4708,'JCAF001','Dilatation de l\'uretère, par voie transcutanée',402.00,316.19),(4709,'JCAH001','Dilatation de l\'uretère, par urétrocystoscopie avec guidage radiologique',166.62,86.40),(4710,'JCCA002','Urétérostomie cutanée, par abord direct',218.37,196.88),(4711,'JCCA003','Suture de plaie ou de rupture de l\'uretère, par abord direct',263.75,240.76),(4712,'JCCA005','Anastomose urétérocalicielle, par abord direct',521.12,390.03),(4713,'JCCA006','Urétérostomie cutanée transintestinale par anse non détubulée, par abord direct',577.13,535.91),(4714,'JCCA007','Dérivation urinaire par anastomose urétéro-urétérale homolatérale, par abord direct',333.94,281.46),(4715,'JCCA008','Dérivation urinaire par anastomose urétéro-urétérale croisée, par abord direct',546.64,439.94),(4716,'JCCA009','Dérivation de l\'urine par conduit rénovésical prothétique souscutané, avec néphrostomie',509.77,308.25),(4717,'JCCA010','Dérivation de l\'urine par conduit rénovésical prothétique souscutané, sans néphrostomie',319.30,319.30),(4718,'JCCA011','Urétérostomie cutanée transintestinale avec création d\'un réservoir continent, par abord direct',583.48,583.48),(4719,'JCCA012','Anastomose urétérocolique ou urétérorectale avec confection d\'un réservoir détubulé rectosigmoïdien ou iléo-recto-sigmoïdien, par abord direct',743.05,743.05),(4720,'JCCA013','Anastomose urétérocolique ou urétérorectale directe, par abord direct',413.35,327.52),(4721,'JCCA014','Urétérostomie cutanée avec anastomose urétéro-urétérale croisée, par abord direct',575.71,456.81),(4722,'JCCB001','Urétérostomie, par voie transcutanée',167.20,167.20),(4723,'JCCC001','Urétérostomie cutanée, par coelioscopie ou par rétropéritonéoscopie',332.52,275.18),(4724,'JCCC002','Urétérostomie cutanée transintestinale par anse non détubulée, par coelioscopie ou par rétropéritonéoscopie',665.04,599.00),(4725,'JCCC003','Suture de plaie ou de rupture de l\'uretère, par coelioscopie ou par rétropéritonéoscopie',536.71,411.17),(4726,'JCEA001','Réimplantation urétérovésicale bilatérale avec création de montage antireflux, par abord direct',531.23,531.23),(4727,'JCEA002','Réimplantation urétérovésicale unilatérale avec création de montage antireflux, par abord direct',374.48,374.48),(4728,'JCEA003','Réimplantation urétérovésicale avec plastie de la vessie par mobilisation [vessie psoïque] ou allongement par lambeau pédiculé, par abord direct',522.50,522.50),(4729,'JCEA004','Réimplantation vésicale d\'une duplicité urétérale, par abord direct',374.48,374.48),(4730,'JCEA005','Réimplantation urétérovésicale sans création de montage antireflux, par abord direct',374.48,374.48),(4731,'JCEC006','Réimplantation urétérovésicale unilatérale avec création de montage antireflux, par coelioscopie',497.72,403.28),(4732,'JCEC011','Réimplantation urétérovésicale bilatérale avec création de montage antireflux, par coelioscopie',618.50,581.85),(4733,'JCEE001','Refoulement de calcul de l\'uretère par sonde urétérale, par endoscopie rétrograde',116.28,103.73),(4734,'JCFA001','Urétérectomie totale, par abord direct',285.73,266.31),(4735,'JCFA002','Urétérectomie segmentaire lombo-iliaque avec rétablissement de la continuité de l\'uretère, par abord direct',375.06,305.32),(4736,'JCFA003','Urétérectomie segmentaire pelvienne avec rétablissement de la continuité de l\'uretère, par abord direct',396.33,317.65),(4737,'JCFA004','Exérèse d\'une urétérocèle avec réimplantation urétérovésicale, héminéphrectomie et urétérectomie totale homolatérales, par abord direct',663.12,663.12),(4738,'JCFA005','Résection longitudinale modelante d\'un méga-uretère avec réimplantation urétérovésicale et montage antireflux, par abord direct',577.84,492.43),(4739,'JCFA006','Exérèse unilatérale d\'une urétérocèle avec réimplantation urétérovésicale bilatérale, par abord direct',531.23,531.23),(4740,'JCFA007','Exérèse d\'une urétérocèle avec réimplantation urétérovésicale homolatérale, par abord direct',406.97,393.32),(4741,'JCFA008','Urétérectomie segmentaire pelvienne avec réimplantation urétérovésicale et montage antireflux, par abord direct',573.58,489.96),(4742,'JCFA009','Urétérectomie segmentaire pelvienne avec réimplantation urétérovésicale, par abord direct',488.50,440.62),(4743,'JCFA010','Urétérectomie segmentaire pelvienne avec réimplantation urétérovésicale et plastie de la vessie par mobilisation [vessie psoïque] ou allongement par lambeau pédiculé, par abord direct',507.64,451.71),(4744,'JCFC001','Urétérectomie totale, par coelioscopie ou par rétropéritonéoscopie',332.52,305.55),(4745,'JCFD001','Exérèse de tumeur de l\'uretère lombal, par une néphrostomie déjà en place',293.53,253.28),(4746,'JCFE001','Exérèse de tumeur de l\'uretère lombal, par urétéroscopie rétrograde',406.26,318.66),(4747,'JCFE002','Exérèse de tumeur de l\'uretère pelvien, par urétéroscopie rétrograde',316.21,266.43),(4748,'JCFE003','Exérèse de tumeur de l\'uretère iliaque, par urétéroscopie rétrograde',380.02,303.44),(4749,'JCFF001','Exérèse de tumeur de l\'uretère lombal, par voie transcutanée',472.19,356.91),(4750,'JCGA001','Ablation de calcul de l\'uretère pelvien, par abord direct',309.83,280.29),(4751,'JCGA002','Ablation de calcul de l\'uretère lombal, par abord direct',269.42,239.29),(4752,'JCGA003','Ablation de calcul de l\'uretère iliaque, par abord direct',199.94,198.99),(4753,'JCGC001','Ablation de calcul de l\'uretère pelvien, par coelioscopie ou par rétropéritonéoscopie',332.52,305.55),(4754,'JCGC002','Ablation de calcul de l\'uretère iliaque, par coelioscopie ou par rétropéritonéoscopie',332.52,287.99),(4755,'JCGC003','Ablation de calcul de l\'uretère lombal, par coelioscopie ou par rétropéritonéoscopie',332.52,287.99),(4756,'JCGE001','Ablation et/ou fragmentation de calcul de l\'uretère pelvien, par urétéroscopie rétrograde',317.63,267.26),(4757,'JCGE002','Ablation et/ou fragmentation de calcul de l\'uretère, par urétéroscopie antérograde par une néphrostomie déjà en place',345.28,283.30),(4758,'JCGE003','Ablation unilatérale ou bilatérale d\'une sonde urétérale, par endoscopie rétrograde',48.00,48.00),(4759,'JCGE004','Ablation d\'une endoprothèse urétérale, par endoscopie rétrograde',48.00,48.00),(4760,'JCGE005','Ablation et/ou fragmentation de calcul de l\'uretère iliaque, par urétéroscopie rétrograde',348.83,285.35),(4761,'JCGE006','Ablation et/ou fragmentation de calcul de l\'uretère lombal, par urétéroscopie rétrograde',392.08,327.99),(4762,'JCGG001','Ablation et/ou fragmentation de calcul de l\'uretère, par urétéroscopie antérograde par voie transcutanée',618.96,477.14),(4763,'JCGH001','Ablation et/ou fragmentation de calcul de l\'uretère, par voie transcutanée avec guidage échographique et/ou radiologique',415.47,281.29),(4764,'JCGH002','Ablation d\'une endoprothèse urétérale par une néphrostomie déjà en place, avec guidage radiologique',56.01,38.40),(4765,'JCGH003','Ablation d\'un fragment de matériel intra-urétéral par une néphrostomie déjà en place, avec guidage radiologique',147.47,86.40),(4766,'JCGH004','Ablation et/ou fragmentation de calcul de l\'uretère, par urétrocystoscopie avec guidage échographique et/ou radiologique',197.69,197.69),(4767,'JCGH005','Ablation et/ou fragmentation de calcul de l\'uretère, par une néphrostomie déjà en place avec guidage échographique et/ou radiologique',308.42,197.69),(4768,'JCKA001','Remplacement partiel de l\'uretère par un segment digestif, par abord direct',667.17,531.43),(4769,'JCKA002','Remplacement total de l\'uretère par un segment digestif, par abord direct',730.98,568.45),(4770,'JCKD001','Changement d\'une sonde d\'urétérostomie cutanée',48.21,48.12),(4771,'JCKE001','Changement d\'une sonde urétérale, par endoscopie rétrograde',107.06,98.38),(4772,'JCKE002','Changement d\'une endoprothèse urétérale, par endoscopie rétrograde',90.75,88.93),(4773,'JCKH001','Changement d\'une endoprothèse urétérale par une néphrostomie déjà en place, avec guidage radiologique',86.40,86.40),(4774,'JCLD001','Pose d\'une endoprothèse urétérale, par une néphrostomie déjà en place',133.29,113.59),(4775,'JCLE001','Pose d\'une sonde urétérale à visée thérapeutique, par endoscopie rétrograde',86.40,86.40),(4776,'JCLE002','Pose d\'une endoprothèse urétérale, par endoscopie rétrograde',101.39,95.10),(4777,'JCLE003','Pose d\'une sonde urétérale à visée diagnostique, par endoscopie rétrograde',79.41,66.21),(4778,'JCLE004','Injection sousmuqueuse intra-urétérale de matériel hétérologue, par endoscopie',110.60,104.47),(4779,'JCLH001','Pose d\'une endoprothèse urétérale, par voie transcutanée avec guidage échographique et/ou radiologique',219.79,86.40),(4780,'JCMA001','Transformation d\'une urétérostomie cutanée en anastomose urétérocolique directe',665.04,473.50),(4781,'JCMA002','Transformation d\'une urétérostomie cutanée en dérivation interne avec confection d\'un réservoir détubulé rectosigmoïdien ou iléo-recto-sigmoïdien',757.03,757.03),(4782,'JCMA003','Transformation d\'une urétérostomie cutanée en dérivation interne par réimplantation urétérovésicale',519.57,519.57),(4783,'JCMA004','Création d\'un montage urétérovésical antireflux sans réimplantation urétérovésicale, par abord direct',339.61,284.75),(4784,'JCMA005','Transformation d\'une urétérostomie cutanée en dérivation interne avec entérocystoplastie de remplacement [néovessie] orthotopique par anse intestinale détubulée',1223.73,998.72),(4785,'JCND001','Destruction de tumeur de l\'uretère lombal, par une néphrostomie déjà en place',241.77,223.26),(4786,'JCNE001','Destruction d\'un moignon de l\'uretère, par urétéroscopie rétrograde',197.69,197.69),(4787,'JCNE002','Destruction de tumeur de l\'uretère pelvien, par urétéroscopie rétrograde',229.72,216.27),(4788,'JCNE003','Destruction de tumeur de l\'uretère iliaque, par urétéroscopie rétrograde',309.83,262.74),(4789,'JCNE004','Destruction de tumeur de l\'uretère lombal, par urétéroscopie rétrograde',336.78,278.36),(4790,'JCNF001','Destruction de tumeur de l\'uretère lombal, par voie transcutanée',295.22,295.22),(4791,'JCNM001','Lithotritie extracorporelle de l\'uretère, avec guidage échographique',250.80,250.80),(4792,'JCNM002','Lithotritie extracorporelle de l\'uretère, avec guidage radiologique',250.80,250.80),(4793,'JCPA001','Libération de l\'uretère avec intrapéritonisation ou lambeau péritonéal, par abord direct',428.24,331.41),(4794,'JCPA002','Libération de l\'uretère sans intrapéritonisation, par abord direct',358.05,290.70),(4795,'JCPA003','Section-anastomose d\'un uretère rétrocave, par abord direct',476.45,364.12),(4796,'JCPC001','Libération de l\'uretère avec intrapéritonisation ou lambeau péritonéal, par coelioscopie ou par rétropéritonéoscopie',460.85,362.42),(4797,'JCPC002','Libération de l\'uretère sans intrapéritonisation, par coelioscopie ou par rétropéritonéoscopie',332.52,287.99),(4798,'JCPD001','Reperméation de l\'uretère par forage intraluminal',324.72,271.37),(4799,'JCPE001','Incision d\'une urétérocèle, par endoscopie',199.94,152.25),(4800,'JCPE002','Incision du méat urétéral, par endoscopie',110.60,100.44),(4801,'JCQE001','Urétéroscopie par une urétérostomie cutanée directe',197.69,197.69),(4802,'JCQE002','Urétéroscopie par une urétérostomie cutanée transintestinale non continente',278.64,244.64),(4803,'JCQE003','Urétéroscopie rétrograde, par voie urétrale',224.75,213.39),(4804,'JCQE004','Urétéroscopie par une urétérostomie cutanée transintestinale continente',426.82,330.58),(4805,'JCQX004','Examen anatomopathologique à visée carcinologique de pièce d\'urétrectomie partielle ou totale',53.65,53.65),(4806,'JCSA001','Fermeture de fistule urétérodigestive acquise, par abord direct',496.30,393.20),(4807,'JCSA002','Fermeture de fistule urétéro-utérine acquise, par abord direct',358.65,358.65),(4808,'JCSA003','Fermeture de fistule urétérocutanée acquise, par abord direct',360.17,296.68),(4809,'JCSA004','Fermeture de fistule urétérovaginale acquise, par abord direct',436.74,358.65),(4810,'JCSA005','Fermeture de fistule urétérovésicale acquise, par abord direct',451.63,367.28),(4811,'JDAD001','Distension hydrostatique de la vessie',86.40,86.40),(4812,'JDCA001','Cystostomie cutanée continente sans fermeture du col de la vessie, par laparotomie',506.94,381.80),(4813,'JDCA002','Cystostomie cutanée, par laparotomie',128.33,127.10),(4814,'JDCA003','Suture de plaie ou de rupture de vessie, par laparotomie',197.69,197.69),(4815,'JDCA004','Cystostomie cutanée continente avec fermeture du col de la vessie, par laparotomie',653.70,515.21),(4816,'JDCC016','Suture de plaie ou de rupture de vessie, par coelioscopie',226.49,226.49),(4817,'JDCJ001','Cystostomie, par voie transcutanée avec guidage échographique',125.40,125.40),(4818,'JDDA002','Cervicocystopexie indirecte au ligament pectinéal [de Cooper], par laparotomie',197.69,197.69),(4819,'JDDA003','Cervicocystopexie par bandelette par abord vaginal et par voie transcutanée, avec guidage endoscopique',216.25,212.49),(4820,'JDDA004','Cervicocystopexie directe par bandelette aponévrotique infra-urétrale, par laparotomie',310.54,263.14),(4821,'JDDA005','Cervicocystopexie directe par bandelette prothétique infra-urétrale, par laparotomie',255.95,231.48),(4822,'JDDA006','Cervicocystopexie directe par bandelette infra-urétrale, par laparotomie et par voie transvaginale',281.29,281.29),(4823,'JDDA007','Cervicocystopexie indirecte par bandelette vaginale pédiculée, par laparotomie et par abord vaginal',281.29,281.29),(4824,'JDDA008','Cervicocystopexie indirecte par abord vaginal et par voie abdominale, avec guidage endoscopique',207.29,207.29),(4825,'JDDB001','Cervicocystopexie par bandelette synthétique infra-urétrale, par voie transvaginale et par voie transcutanée, avec guidage endoscopique',207.29,207.29),(4826,'JDDB005','Soutènement vésical par bandelette synthétique infra-urétrale, par voie transvaginale et par voie transobturatrice',207.29,207.29),(4827,'JDDB007','Soutènement vésical par bandelette synthétique infra-urétrale, par voie transvaginale et par voie transrétropubienne, avec contrôle endoscopique',207.29,207.29),(4828,'JDDC002','Cervicocystopexie indirecte au ligament pectinéal [de Cooper], par coelioscopie',258.08,232.72),(4829,'JDFA001','Cystectomie totale avec urétérostomie cutanée, par laparotomie',863.56,702.04),(4830,'JDFA002','Exérèse de diverticule de la vessie, par laparotomie',313.50,313.50),(4831,'JDFA003','Cystectomie totale avec urétérostomie cutanée transintestinale par anse détubulée continente, par laparotomie',1197.50,983.50),(4832,'JDFA004','Cystectomie supratrigonale avec entérocystoplastie détubulée d\'agrandissement, par laparotomie',1134.40,955.68),(4833,'JDFA005','Cystectomie totale, par laparotomie',645.90,575.79),(4834,'JDFA006','Cystectomie totale avec anastomose urétérocolique et confection d\'un réservoir détubulé rectosigmoïdien ou iléo-recto-sigmoïdien, par laparotomie',1240.04,1008.18),(4835,'JDFA007','Résection d\'un kyste ou d\'une fistule du ligament ombilical médian [ouraque]',212.70,193.60),(4836,'JDFA008','Cystectomie totale avec urétérostomie cutanée transintestinale par anse non détubulée, par laparotomie',1065.63,907.01),(4837,'JDFA009','Cystectomie totale avec anastomose urétérocolique directe, par laparotomie',940.13,790.34),(4838,'JDFA010','Exérèse de la plaque d\'une exstrophie vésicale avec dérivation urinaire, avec ostéotomie du bassin',606.20,439.37),(4839,'JDFA011','Cystectomie partielle, par laparotomie',250.80,250.80),(4840,'JDFA012','Exérèse de la plaque d\'une exstrophie vésicale avec dérivation urinaire, sans ostéotomie du bassin',606.20,439.37),(4841,'JDFA013','Exérèse de la plaque d\'une exstrophie vésicale avec dérivation urinaire et cure unilatérale ou bilatérale de hernie de l\'aine, sans ostéotomie du bassin',565.89,565.89),(4842,'JDFA014','Cystectomie partielle avec implantation de matériel pour irradiation interstitielle de la vessie, par laparotomie',554.44,453.24),(4843,'JDFA015','Cystectomie supratrigonale avec entérocystoplastie détubulée d\'agrandissement et réimplantation urétérovésicale, par laparotomie',1418.00,1133.33),(4844,'JDFA016','Cystectomie totale avec entérocystoplastie de remplacement [néovessie] orthotopique par anse détubulée, par laparotomie',1498.12,1157.86),(4845,'JDFA017','Cystectomie partielle avec réimplantation urétérovésicale, par laparotomie',565.07,537.69),(4846,'JDFA018','Résection ou incision du col de la vessie, par abord direct',250.80,250.80),(4847,'JDFA019','Vésiculo-prostato-cystectomie totale avec anastomose urétérocolique directe, par laparotomie',871.81,871.81),(4848,'JDFA020','Vésiculo-prostato-cystectomie totale avec urétérostomie cutanée transintestinale par anse détubulée continente, par laparotomie',1308.81,1096.34),(4849,'JDFA021','Vésiculo-prostato-cystectomie totale avec entérocystoplastie de remplacement [néovessie] orthotopique par anse détubulée, par laparotomie',1608.01,1331.33),(4850,'JDFA022','Vésiculo-prostato-cystectomie totale avec anastomose urétérocolique et confection d\'un réservoir détubulé rectosigmoïdien ou iléo-recto-sigmoïdien, par laparotomie',1292.51,1130.78),(4851,'JDFA023','Vésiculo-prostato-cystectomie totale avec urétérostomie cutanée, par laparotomie',921.70,832.32),(4852,'JDFA024','Vésiculo-prostato-cystectomie totale, par laparotomie',886.96,829.72),(4853,'JDFA025','Vésiculo-prostato-cystectomie totale avec urétérostomie cutanée transintestinale par anse non détubulée, par laparotomie',1120.22,986.96),(4854,'JDFC001','Exérèse de diverticule de la vessie, par coelioscopie',342.30,342.30),(4855,'JDFC023','Cystectomie partielle, par coelioscopie',279.60,279.60),(4856,'JDFE001','Résection de 4 tumeurs de la vessie ou plus, par endoscopie',236.10,207.16),(4857,'JDFE002','Résection de 1 à 3 tumeurs de la vessie, par endoscopie',177.96,173.44),(4858,'JDFE003','Résection du col de la vessie, par endoscopie',281.29,281.29),(4859,'JDGE001','Ablation de calcul ou de corps étranger de la vessie, par endoscopie',139.67,133.68),(4860,'JDHE001','Biopsie de la vessie à l\'anse coupante, par endoscopie',87.21,86.87),(4861,'JDHE002','Biopsie de la vessie à la pince, par endoscopie',44.67,38.01),(4862,'JDHE003','Biopsie randomisée de la vessie, par endoscopie',106.35,97.97),(4863,'JDJD001','Évacuation de la vessie par cathétérisme transitoire [Sondage vésical évacuateur]',21.98,16.78),(4864,'JDJD002','Décaillotage de la vessie par sonde, par voie urétrale',48.21,31.69),(4865,'JDJE001','Décaillotage de la vessie, par endoscopie',90.04,88.51),(4866,'JDKD001','Changement d\'une sonde de cystostomie',33.32,23.36),(4867,'JDKD002','Changement d\'une sonde urétrovésicale',18.43,14.73),(4868,'JDLA001','Implantation vésicale de vecteur pour curiethérapie interstitielle de la vessie, par laparotomie',474.32,327.77),(4869,'JDLD001','Pose d\'une sonde urétrovésicale [Sondage vésical à demeure]',18.43,14.73),(4870,'JDLD002','Instillation vésicale d\'agent pharmacologique par cathétérisme urétral',39.70,32.71),(4871,'JDLE332','Injection de toxine botulique dans la musculeuse vésicale, par urétrocystoscopie',127.62,127.62),(4872,'JDLE900','Injection de toxine botulique dans la musculeuse vésicale, par urétrocystoscopie',0.00,0.00),(4873,'JDLF001','Pose d\'un cathéter intravésical, par voie transcutanée suprapubienne',63.81,49.10),(4874,'JDMA001','Entérocystoplastie d\'agrandissement par anse détubulée, par laparotomie',583.48,583.48),(4875,'JDMA002','Entérocystoplastie d\'agrandissement avec réimplantation urétérovésicale bilatérale, par laparotomie',740.23,740.23),(4876,'JDMA003','Reconstruction du col de la vessie, par laparotomie',304.16,259.45),(4877,'JDNE001','Destruction de lésion de la vessie, par endoscopie',106.35,106.04),(4878,'JDNM001','Lithotritie extracorporelle de la vessie',185.76,160.41),(4879,'JDPA001','Myotomie du corps de la vessie pour agrandissement, par laparotomie',273.67,211.40),(4880,'JDPA002','Cystotomie à visée thérapeutique, par laparotomie',128.33,127.10),(4881,'JDPE001','Incision de collet de diverticule de la vessie, par urétrocystoscopie',199.94,152.25),(4882,'JDPE002','Incision cervicale ou cervicoprostatique, par endoscopie',250.80,250.80),(4883,'JDQD001','Cystomanométrie par cathétérisme urétral, avec profilométrie urétrale',137.17,117.86),(4884,'JDQD002','Cystomanométrie par cathétérisme urétral, avec profilométrie urétrale suivie de débitmétrie mictionnelle, avec électromyographie du sphincter strié de l\'urètre par électrode aiguille',144.26,130.04),(4885,'JDQD003','Cystomanométrie par cathétérisme urétral, avec mesure des pressions intrarectales ou intravaginales et débitmétrie mictionnelle simultanée [Étude pression-débit urinaire]',142.84,115.10),(4886,'JDQD004','Cystomanométrie par cathétérisme urétral, avec mesure des pressions intrarectales ou intravaginales, débitmétrie mictionnelle, électromyographie des muscles du périnée et étude des latences des réflexes sacraux',179.00,144.14),(4887,'JDQD005','Cystomanométrie par cathétérisme urétral, avec mesure des pressions intrarectales ou intravaginales, débitmétrie mictionnelle, électromyographie des muscles du périnée, étude des latences des réflexes sacraux et des potentiels évoqués somesthésiques',183.96,159.11),(4888,'JDQD006','Cystomanométrie par cathétérisme urétral, avec mesure des pressions intrarectales ou intravaginales et électromyographie du sphincter strié de l\'urètre par électrode aiguille',151.35,128.11),(4889,'JDQD008','Cystomanométrie par cathétérisme urétral, avec mesure des pressions intrarectales ou intravaginales',124.41,104.41),(4890,'JDQD009','Cystomanométrie par cathétérisme urétral, sans mesure des pressions intrarectales ou intravaginales',121.57,102.76),(4891,'JDQE001','Fibroscopie urétrovésicale',38.40,38.40),(4892,'JDQE002','Exploration endoscopique d\'une néovessie intestinale',52.47,46.56),(4893,'JDQE003','Urétrocystoscopie à l\'endoscope rigide',36.00,36.00),(4894,'JDQF001','Cystomanométrie, par ponction transcutanée de la vessie',115.90,99.48),(4895,'JDQF002','Cystomanométrie par ponction transcutanée de la vessie, avec profilométrie urétrale',160.57,131.43),(4896,'JDQH001','Urétrocystographie rétrograde',57.19,57.19),(4897,'JDQH002','Urétrocystographie, par une cystostomie déjà en place',57.19,57.19),(4898,'JDQH003','Urétrocystographie, par ponction transcutanée de la vessie',57.19,57.19),(4899,'JDQJ001','Échographie de la vessie et de la prostate, par voie urétrale',52.45,52.45),(4900,'JDQJ002','Échographie transcutanée et échographie par voie rectale et/ou vaginale [par voie cavitaire] de la vessie',52.45,52.45),(4901,'JDQJ003','Échographie de la vessie et de la prostate, par voie rectale',52.45,52.45),(4902,'JDQL001','Scintigraphie de la vessie, par voie rétrograde',268.87,268.87),(4903,'JDQM001','Échographie transcutanée de la vessie et/ou de la prostate',52.45,52.45),(4904,'JDQP002','Examen anatomopathologique de fragment de résection endoscopique de la vessie',33.60,33.60),(4905,'JDQX002','Examen histopathologique de fragments d\'exérèse endoscopique de la vessie',33.60,33.60),(4906,'JDQX004','Examen anatomopathologique à visée carcinologique de pièce de cystectomie totale',122.46,122.46),(4907,'JDQX005','Examen anatomopathologique à visée carcinologique de pièce de cystectomie partielle',76.62,76.62),(4908,'JDSA001','Fermeture d\'une exstrophie vésicale avec allongement de l\'urètre chez la fille, avec ostéotomie du bassin',505.34,505.34),(4909,'JDSA002','Fermeture de fistule vésicovaginale acquise, par laparotomie',462.98,386.67),(4910,'JDSA003','Fermeture d\'une exstrophie vésicale avec allongement du pénis, sans ostéotomie du bassin',543.59,543.59),(4911,'JDSA004','Fermeture d\'une exstrophie vésicale avec allongement de l\'urètre chez la fille, sans ostéotomie du bassin',505.34,505.34),(4912,'JDSA005','Fermeture de fistule vésico-utérine acquise, par laparotomie',281.29,281.29),(4913,'JDSA006','Fermeture de fistule vésicovaginale acquise, par abord vaginal',337.48,313.88),(4914,'JDSA007','Fermeture d\'une exstrophie vésicale avec allongement du pénis et cure unilatérale ou bilatérale de hernie de l\'aine, sans ostéotomie du bassin',600.75,600.75),(4915,'JDSA008','Fermeture de fistule vésicocutanée acquise, par abord direct',110.60,99.26),(4916,'JDSA009','Fermeture d\'une exstrophie vésicale avec allongement du pénis, avec ostéotomie du bassin',543.59,543.59),(4917,'JDSA010','Fermeture du col de la vessie pour cystostomie cutanée continente',325.34,325.34),(4918,'JDSA011','Fermeture de fistule vésicodigestive acquise, par laparotomie',567.20,447.12),(4919,'JDSC024','Fermeture de fistule vésicovaginale acquise, par coelioscopie',366.27,342.68),(4920,'JEAA001','Allongement intravésical de l\'urètre',379.32,325.34),(4921,'JEAD001','Dilatation de sténose de l\'urètre à l\'aveugle',48.21,36.02),(4922,'JEAH001','Dilatation de sténose de l\'urètre, avec contrôle radiologique',84.37,19.20),(4923,'JECA001','Urétrostomie cutanée',180.09,157.12),(4924,'JECA002','Suture de plaie de l\'urètre périnéal',253.11,217.03),(4925,'JECE001','Ouverture de diverticule de l\'urètre, par endoscopie',99.26,97.90),(4926,'JEEE001','Alignement de rupture traumatique de l\'urètre, par endoscopie',192.14,147.72),(4927,'JEFA001','Résection et modelage d\'une urétrocèle après urétroplastie',241.06,210.04),(4928,'JEFA002','Exérèse de diverticule de l\'urètre, par abord direct',221.92,198.94),(4929,'JEFA003','Exérèse de lésion du méat urétral chez la femme, par abord direct',70.90,67.46),(4930,'JEFA004','Urétrectomie partielle avec urétrostomie cutanée',213.41,176.44),(4931,'JEFA005','Exérèse d\'un urètre surnuméraire',268.00,260.78),(4932,'JEFA007','Urétrectomie totale',268.00,225.66),(4933,'JEFA008','Résection-anastomose de l\'urètre antérieur, par abord pénoscrotal',256.66,219.08),(4934,'JEFA009','Résection-anastomose de l\'urètre membranacé [membraneux], par abord périnéal',477.87,382.50),(4935,'JEFA010','Résection-anastomose de l\'urètre postérieur, par laparotomie sans abord transsymphysaire',550.18,446.38),(4936,'JEFA011','Résection-anastomose de l\'urètre bulbaire, par abord périnéal',477.87,382.50),(4937,'JEFA012','Résection-anastomose de l\'urètre postérieur, par laparotomie avec abord transsymphysaire',513.01,513.01),(4938,'JEFE001','Résection de tumeur de l\'urètre, par endoscopie',173.71,141.07),(4939,'JEFE003','Résection du sphincter strié de l\'urètre, par endoscopie',130.46,115.98),(4940,'JEFE004','Résection de sténose de l\'urètre à l\'anse coupante, par endoscopie',153.14,129.15),(4941,'JEFE005','Résection de valve de l\'urètre, par endoscopie',121.95,111.05),(4942,'JEGA002','Ablation d\'une prothèse sphinctérienne urinaire périurétrale pénienne ou bulbomembranacée [bulbomembraneuse], par abord direct',197.69,197.69),(4943,'JEGA003','Ablation de corps étranger de l\'urètre, par abord direct',155.98,143.14),(4944,'JEGA004','Ablation d\'une prothèse sphinctérienne urinaire péricervicale ou périurétroprostatique chez l\'homme, par laparotomie',277.22,243.81),(4945,'JEGA005','Ablation d\'une prothèse sphinctérienne urinaire péricervicale chez la femme, par laparotomie',277.22,243.81),(4946,'JEGB005','Ablation de prothèse sphinctérienne ajustable périurétrale chez l\'homme, par voie transcutanée',106.35,93.53),(4947,'JEGE001','Ablation de corps étranger de l\'urètre, par urétroscopie',95.72,91.80),(4948,'JEGE002','Ablation d\'une endoprothèse temporaire de l\'urètre, par endoscopie',96.00,96.00),(4949,'JEGE003','Épilation de l\'urètre, par endoscopie',109.90,104.06),(4950,'JEGE004','Ablation d\'une endoprothèse définitive de l\'urètre, par endoscopie',96.00,96.00),(4951,'JEHD001','Frottis et/ou prélèvement urétral',10.64,8.59),(4952,'JEHE001','Biopsie de l\'urètre à l\'anse coupante, par endoscopie',79.41,58.15),(4953,'JEHE002','Biopsie de l\'urètre à la pince, par endoscopie',73.74,54.86),(4954,'JEKA002','Changement complet d\'une prothèse sphinctérienne urinaire périurétrale pénienne ou bulbomembranacée [bulbomembraneuse], par abord direct',486.37,387.43),(4955,'JEKA005','Changement du manchon gonflable d\'une prothèse sphinctérienne périurétrale pénienne ou bulbomembranacée [bulbomembraneuse], par abord direct',212.70,206.39),(4956,'JEKA006','Changement du manchon gonflable d\'une prothèse sphinctérienne urinaire péricervicale chez la femme, par laparotomie',354.50,310.95),(4957,'JEKA007','Changement du manchon gonflable d\'une prothèse sphinctérienne urinaire péricervicale ou périurétroprostatique chez l\'homme, par laparotomie',354.50,310.95),(4958,'JEKA008','Changement complet d\'une prothèse sphinctérienne urinaire péricervicale ou périurétroprostatique chez l\'homme, par laparotomie',564.36,432.67),(4959,'JEKA009','Changement complet d\'une prothèse sphinctérienne urinaire péricervicale chez la femme, par laparotomie',564.36,432.67),(4960,'JEKA010','Changement d\'élément ou repressurisation d\'une prothèse sphinctérienne urinaire, par abord direct',276.51,243.41),(4961,'JEKB006','Changement de prothèse sphinctérienne ajustable périurétrale chez l\'homme, par voie transcutanée avec guidage radiologique',193.95,193.95),(4962,'JEKE001','Changement d\'une endoprothèse de l\'urètre, par endoscopie',164.49,135.72),(4963,'JELA001','Pose d\'une prothèse sphinctérienne urinaire péricervicale chez la femme, par laparotomie',433.91,357.01),(4964,'JELA002','Pose d\'une prothèse sphinctérienne urinaire périurétrale pénienne ou bulbomembranacée [bulbomembraneuse], par abord direct',374.35,322.46),(4965,'JELA003','Pose d\'une prothèse sphinctérienne urinaire périurétroprostatique, par laparotomie',433.91,357.01),(4966,'JELA004','Pose d\'une prothèse sphinctérienne urinaire péricervicale avec abord rétrovésical chez l\'homme, par laparotomie',665.04,491.06),(4967,'JELB003','Pose de prothèse sphinctérienne ajustable périurétrale chez l\'homme, par voie transcutanée avec guidage radiologique',250.28,215.13),(4968,'JELD001','Injection sousmuqueuse périurétrocervicale de matériel hétérologue par voie transvaginale, avec guidage endoscopique',96.00,96.00),(4969,'JELE001','Injection sousmuqueuse intra-urétrale de matériel hétérologue, par endoscopie',96.00,96.00),(4970,'JELE002','Pose d\'une endoprothèse de l\'urètre, par endoscopie',120.53,110.22),(4971,'JELE003','Pose d\'une endoprothèse de l\'urètre cervicoprostatique, par endoscopie',132.58,117.22),(4972,'JEMA001','Urétrocervicoplastie de continence avec entérocystoplastie d\'agrandissement, par laparotomie',722.47,699.21),(4973,'JEMA002','Urétrocervicoplastie de continence, par laparotomie',482.83,385.38),(4974,'JEMA003','Retouche de cicatrice cutanée après urétroplastie',88.63,86.52),(4975,'JEMA004','Urétroplastie pour méga-urètre congénital',291.40,274.35),(4976,'JEMA005','Plastie de l\'urètre postérieur par lambeau pédiculé',489.92,389.49),(4977,'JEMA006','Urétroplastie pour hypospadias périnéoscrotal avec redressement du pénis',572.87,432.86),(4978,'JEMA007','Plastie de l\'urètre antérieur par lambeau pédiculé',489.92,389.49),(4979,'JEMA009','Urétroplastie chez la femme',177.25,173.03),(4980,'JEMA010','Plastie de l\'urètre antérieur par lambeau libre',489.92,389.49),(4981,'JEMA011','Méatoplastie de l\'urètre par abord direct, chez le garçon',80.12,64.02),(4982,'JEMA012','Urétroplastie balanique ou rétroméatique',190.72,180.84),(4983,'JEMA013','Méatoplastie de l\'urètre par abord direct, chez la fille',66.65,56.21),(4984,'JEMA014','Urétroplastie pour hypospadias balanique ou pénien antérieur, avec reconstruction du prépuce',267.29,238.06),(4985,'JEMA015','Reconstruction de l\'urètre antérieur après mise à plat',264.46,258.72),(4986,'JEMA016','Méatoplastie de l\'urètre avec lambeau préputial ou cutané, chez l\'adulte',127.49,127.49),(4987,'JEMA017','Méatoplastie ou méatotomie urétrale sans lambeau, chez l\'adulte',56.01,50.04),(4988,'JEMA018','Urétrocervicoplastie de continence avec réimplantation urétérovésicale et création de montage antireflux, par laparotomie',642.35,564.96),(4989,'JEMA019','Urétroplastie pour hypospadias pénien postérieur ou moyen avec redressement du pénis',505.52,393.79),(4990,'JEMA020','Urétroplastie pour hypospadias pénien postérieur ou moyen sans redressement du pénis',425.40,347.32),(4991,'JEMA021','Urétroplastie pour hypospadias balanique ou pénien antérieur, sans reconstruction du prépuce',225.46,213.79),(4992,'JEMA022','Reconstruction de l\'urètre postérieur après mise à plat',260.91,256.67),(4993,'JEMA023','Plastie de l\'urètre postérieur par lambeau libre',489.92,389.49),(4994,'JENE001','Destruction de lésion de l\'urètre, par endoscopie',116.99,108.18),(4995,'JEPA001','Mise à plat de sténose de l\'urètre postérieur',212.70,193.60),(4996,'JEPA006','Mise à plat de sténose de l\'urètre antérieur',212.70,193.60),(4997,'JEPA007','Libération de l\'urètre [Urétrolyse], par abord direct',221.92,198.94),(4998,'JEPD001','Urétrotomie interne à l\'aveugle',41.80,41.80),(4999,'JEPD002','Urétrotomie interne méatique ou rétroméatique à l\'aveugle',41.80,41.80),(5000,'JEPE001','Incision du sphincter strié de l\'urètre, par endoscopie',111.31,104.88),(5001,'JEPE002','Urétrotomie, par endoscopie',98.55,97.48),(5002,'JEPH001','Incision de valve de l\'urètre par endoscopie, avec contrôle radiologique',121.95,96.00),(5003,'JEQD001','Profilométrie urétrale',80.45,58.75),(5004,'JEQD002','Sphinctérométrie par cathétérisme urétral',80.45,54.72),(5005,'JEQX005','Examen anatomopathologique à visée carcinologique de pièce d\'urétérectomie partielle ou totale',68.31,68.31),(5006,'JESA001','Fermeture de fistule urétro-prostato-rectale, par abord périnéal',776.36,555.62),(5007,'JESA003','Fermeture de fistule cutanée de l\'urètre',250.80,250.80),(5008,'JESA004','Fermeture de fistule urétro-prostato-rectale, par laparotomie',555.86,427.73),(5009,'JESA005','Fermeture de fistule urétro-prostato-rectale, par abord anal transsphinctérien',730.27,528.90),(5010,'JFFA001','Pelvectomie antérieure avec urétérostomie cutanée, par laparotomie',1039.39,883.02),(5011,'JFFA002','Pelvectomie postérieure avec rétablissement de la continuité digestive, par laparotomie',860.73,854.01),(5012,'JFFA003','Pelvectomie antérieure avec urétérostomie cutanée transintestinale par anse non détubulée, par laparotomie',1215.94,1038.08),(5013,'JFFA004','Pelvectomie postérieure sans rétablissement de la continuité digestive, par laparotomie et par abord périnéal',860.73,766.23),(5014,'JFFA005','Pelvectomie postérieure sans rétablissement de la continuité digestive, par laparotomie',835.91,751.84),(5015,'JFFA006','Exérèse de lésion de l\'espace rétropéritonéal sans dissection des gros vaisseaux, par thoraco-phréno-laparotomie',1008.91,808.28),(5016,'JFFA007','Exérèse d\'une lipomatose pelvienne, par laparotomie',370.81,311.63),(5017,'JFFA008','Pelvectomie totale avec urétérostomie cutanée, par laparotomie et par abord périnéal',1257.77,1053.57),(5018,'JFFA009','Pelvectomie antérieure avec anastomose urétérocolique directe, par laparotomie',960.88,960.88),(5019,'JFFA010','Exérèse de lésion de l\'espace rétropéritonéal sans dissection des gros vaisseaux, par laparotomie ou par lombotomie',649.44,577.85),(5020,'JFFA011','Pelvectomie totale avec urétérostomie cutanée transintestinale par anse non détubulée, par laparotomie et par abord périnéal',1495.99,1244.40),(5021,'JFFA012','Exérèse de lésion endométriosique de la cloison rectovaginale, par abord vaginal',280.95,233.18),(5022,'JFFA013','Pelvectomie totale avec urétérostomie cutanée transintestinale par anse détubulée continente, par laparotomie et par abord périnéal',1559.80,1281.42),(5023,'JFFA014','Exérèse de lésion endométriosique de la cloison rectovaginale, par laparotomie',280.95,233.18),(5024,'JFFA015','Exérèse d\'un tératome sacrococcygien, par laparotomie et par abord transsacrococcygien [de Kraske]',633.85,494.91),(5025,'JFFA016','Pelvectomie antérieure avec urétérostomie cutanée transintestinale par anse détubulée continente, par laparotomie',1382.55,1134.72),(5026,'JFFA017','Exérèse d\'un tératome sacrococcygien de plus de 10 cm de diamètre, par abord transsacrococcygien [de Kraske]',507.64,399.77),(5027,'JFFA018','Pelvectomie antérieure, par laparotomie',813.93,717.14),(5028,'JFFA019','Pelvectomie antérieure avec anastomose urétérocolique et confection d\'un réservoir détubulé rectosigmoïdien ou iléo-recto-sigmoïdien, par laparotomie',1178.72,1178.72),(5029,'JFFA020','Exérèse d\'un tératome sacrococcygien de moins de 10 cm de diamètre, par abord transsacrococcygien [de Kraske]',361.59,315.06),(5030,'JFFA021','Exérèse de lésion de l\'espace rétropéritonéal avec dissection des gros vaisseaux, par abord direct',713.25,614.86),(5031,'JFFA022','Pelvectomie antérieure avec entérocystoplastie de remplacement [néovessie] orthotopique par anse détubulée, par laparotomie',1603.05,1328.44),(5032,'JFFC001','Exérèse de lésion endométriosique de la cloison rectovaginale, par coelioscopie',236.66,219.59),(5033,'JFFC002','Exérèse de lésion de l\'espace rétropéritonéal, par coelioscopie ou par rétropéritonéoscopie',729.56,624.32),(5034,'JFJA001','Évacuation de collection périrénale, par abord direct',289.27,220.45),(5035,'JFJC001','Évacuation de collection périrénale, par coelioscopie ou par rétropéritonéoscopie',332.52,225.12),(5036,'JFQA001','Exploration de l\'espace rétropéritonéal et de son contenu, par lombotomie [Lombotomie exploratrice]',262.33,196.04),(5037,'JFQC001','Exploration de l\'espace rétropéritonéal et de son contenu, par rétropéritonéoscopie [Rétropéritonéoscopie exploratrice]',332.52,248.85),(5038,'JFQX004','Examen anatomopathologique à visée carcinologique de pièce de pelvectomie totale',145.25,145.25),(5039,'JFQX005','Examen anatomopathologique à visée carcinologique de pièce de pelvectomie antérieure',144.99,144.99),(5040,'JGFA005','Adénomectomie transvésicale de la prostate, par laparotomie',281.29,281.29),(5041,'JGFA006','Vésiculoprostatectomie totale, par laparotomie',832.37,692.72),(5042,'JGFA007','Exérèse rétrovésicale ou transvésicale de l\'utricule de la prostate, par laparotomie',402.00,351.31),(5043,'JGFA008','Exérèse des vésicules séminales, par laparotomie',443.83,362.76),(5044,'JGFA009','Adénomectomie rétropubienne ou transcapsulaire de la prostate, par laparotomie',281.29,281.29),(5045,'JGFA011','Vésiculoprostatectomie totale, par abord périnéal',829.53,691.07),(5046,'JGFA014','Résection palliative de la prostate [Recalibrage de l\'urètre], par urétrocystoscopie',281.29,281.29),(5047,'JGFA015','Résection d\'une hypertrophie de la prostate, par urétrocystoscopie',281.29,281.29),(5048,'JGFA016','Résection ou marsupialisation de collection de la prostate ou de diverticule de l\'urètre, par urétrocystoscopie',173.71,141.07),(5049,'JGFC001','Vésiculoprostatectomie totale, par coelioscopie',957.15,777.20),(5050,'JGFC045','Exérèse des vésicules séminales, par coelioscopie',472.63,391.56),(5051,'JGFC045','Exérèse des vésicules séminales, par coelioscopie',472.63,391.56),(5052,'JGFE004','Résection et/ou désobstruction des conduits éjaculateurs, par urétrocystoscopie',133.29,117.63),(5053,'JGFE023','Résection d\'une hypertrophie de la prostate sans laser, par urétrocystoscopie',281.29,281.29),(5054,'JGFE365','Résection d\'une hypertrophie de la prostate avec laser, par urétrocystoscopie',370.10,370.10),(5055,'JGHB001','Ponction-cytoaspiration de la prostate, par voie transrectale ou transpérinéale',38.40,38.40),(5056,'JGHB002','Biopsie de la prostate, par voie transpérinéale avec guidage au doigt',41.12,39.98),(5057,'JGHD001','Biopsie de la prostate, par voie transrectale avec guidage au doigt',45.38,42.44),(5058,'JGHJ001','Biopsie de la prostate, par voie transrectale avec guidage échographique',76.80,76.80),(5059,'JGHJ002','Biopsie de la prostate, par voie transpérinéale avec guidage échographique',76.80,76.80),(5060,'JGJB001','Évacuation de collection de la prostate, par voie transrectale ou transpérinéale avec guidage au doigt',104.50,104.50),(5061,'JGND002','Cryothérapie de la prostate',167.20,167.20),(5062,'JGNE003','Destruction d\'une hypertrophie de la prostate par radiofréquence, par urétrocystoscopie avec guidage échographique',141.80,141.80),(5063,'JGNE171','Destruction d une hypertrophie de la prostate par laser [photovaporisation], par urétrocystoscopie',333.94,333.94),(5064,'JGNJ001','Destruction d\'une hypertrophie de la prostate par microondes [Thermothérapie de la prostate]',168.18,168.18),(5065,'JGNJ900','Destruction de lésion de la prostate par ultrasons focalisés de haute intensité, par voie rectale',0.00,0.00),(5066,'JGNL001','Curiethérapie de la prostate par insertion permanente d\'iode 125',334.00,334.00),(5067,'JGQH001','Déférentovésiculographie, par ponction transcutanée du conduit déférent avec guidage échographique',57.60,57.60),(5068,'JGQH003','Déférentovésiculographie unilatérale ou bilatérale, par cathétérisme endoscopique des conduits éjaculateurs',57.60,57.60),(5069,'JGQH004','Déférentovésiculographie, par ponction transcutanée du conduit déférent sans guidage',57.60,57.60),(5070,'JGQJ001','Échographie de la prostate et des vésicules séminales, par voie rectale',56.70,56.70),(5071,'JGQP001','Examen anatomopathologique de fragment de résection endoscopique de la prostate',61.60,61.60),(5072,'JGQX001','Examen histopathologique de fragments d\'exérèse endoscopique de la prostate',75.98,75.98),(5073,'JGQX004','Examen anatomopathologique à visée carcinologique de pièce de vésiculoprostatectomie totale',146.12,146.12),(5074,'JGQX005','Examen anatomopathologique à visée carcinologique de pièce de vésiculo-prostato-cystectomie totale',147.01,147.01),(5075,'JHAA001','Allongement du pénis avec urétroplastie, pour épispadias',632.43,467.39),(5076,'JHAA002','Allongement du pénis sans urétroplastie, pour épispadias',332.52,293.45),(5077,'JHAA003','Élargissement du pénis',0.00,0.00),(5078,'JHAA004','Allongement du pénis par section du ligament suspenseur',0.00,0.00),(5079,'JHAA005','Allongement du pénis par plastie des corps caverneux',0.00,0.00),(5080,'JHBA001','Plicature de la tunique vaginale du testicule, par abord scrotal',86.50,85.28),(5081,'JHCA001','Anastomose spongiocaverneuse, par abord direct',186.47,152.04),(5082,'JHCA002','Anastomose déférentodéférentielle, par abord scrotal',319.76,273.24),(5083,'JHCA003','Microprélèvement de l\'épididyme, par abord direct',125.40,125.40),(5084,'JHCA004','Suture de rupture des corps caverneux du pénis',167.20,167.20),(5085,'JHCA005','Anastomose épididymodéférentielle, par abord scrotal',350.96,291.34),(5086,'JHCA006','Suture de rupture du testicule, par abord scrotal',87.92,86.10),(5087,'JHCA007','Artérialisation des corps caverneux du pénis, par abord direct',309.84,309.84),(5088,'JHCB001','Microponction du testicule, par voie transcutanée',38.40,38.40),(5089,'JHCF001','Microprélèvement de l\'épididyme, par voie transcutanée',83.60,83.60),(5090,'JHDA001','Orchidopexie, par abord scrotal',125.40,125.40),(5091,'JHEA001','Abaissement et fixation d\'un testicule ectopique non palpable, par abord inguinal et par abord scrotal',246.73,227.89),(5092,'JHEA002','Abaissement et fixation d\'un testicule ectopique palpable, par abord inguinal et par abord scrotal',201.87,201.87),(5093,'JHEA003','Réduction chirurgicale d\'un paraphimosis',53.88,44.42),(5094,'JHEA004','Abaissement et fixation d\'un testicule ectopique non palpable, par coelioscopie et par abord inguinoscrotal',216.95,210.62),(5095,'JHEA005','Réimplantation du pénis',921.70,675.04),(5096,'JHEA006','Redressement du pénis par dissection ventrale et plicature dorsale',303.45,263.78),(5097,'JHEA007','Redressement du pénis par plicature-excision des corps caverneux',212.70,211.15),(5098,'JHEA008','Redressement du pénis avec excision de plaque de sclérose de l\'albuginée des corps caverneux et greffe',265.88,241.99),(5099,'JHEA009','Détorsion du cordon spermatique ou exérèse des annexes du testicule, par abord direct',87.21,85.69),(5100,'JHEA010','Détorsion du cordon spermatique avec orchidopexie unilatérale ou bilatérale, par abord direct',156.75,156.75),(5101,'JHEA011','Dérotation chirurgicale du pénis',209.00,209.00),(5102,'JHEA012','Autotransplantation du testicule',265.88,206.88),(5103,'JHEP001','Réduction manuelle d\'un paraphimosis',0.00,0.00),(5104,'JHEP002','Détorsion manuelle du cordon spermatique',0.00,0.00),(5105,'JHFA001','Exérèse d\'un kyste du cordon spermatique chez l\'adulte, par abord inguinal',83.60,83.60),(5106,'JHFA002','Résection plastique ou exérèse du scrotum',70.90,58.68),(5107,'JHFA003','Orchidectomie pour cryptorchidie abdominale, par laparotomie',158.82,127.22),(5108,'JHFA004','Exérèse d\'un kyste de l\'épididyme, par abord scrotal',83.60,83.60),(5109,'JHFA005','Orchidectomie, par abord inguinal',99.26,92.69),(5110,'JHFA006','Orchidectomie avec pose de prothèse testiculaire, par abord inguinal',123.37,106.66),(5111,'JHFA007','Exérèse de lésion des corps caverneux du pénis',165.91,148.90),(5112,'JHFA008','Orchidectomie élargie au cordon spermatique [Orchiépididymectomie], par abord inguinal',134.71,130.80),(5113,'JHFA009','Posthectomie',75.15,69.92),(5114,'JHFA010','Pulpectomie testiculaire unilatérale ou bilatérale, par abord scrotal',125.40,125.40),(5115,'JHFA011','Amputation totale du pénis',399.17,336.85),(5116,'JHFA012','Exérèse de lésion du testicule, par abord scrotal',95.72,90.63),(5117,'JHFA013','Résection de la tunique vaginale du testicule, par abord scrotal',90.75,87.75),(5118,'JHFA014','Épididymectomie, par abord scrotal',94.30,89.80),(5119,'JHFA015','Exérèse de lésion de la peau du pénis, du gland et/ou du sillon balanopréputial, sans anesthésie générale ou locorégionale',49.63,36.85),(5120,'JHFA016','Amputation partielle du pénis',211.99,175.63),(5121,'JHFA017','Orchidectomie, par abord scrotal',92.88,88.98),(5122,'JHFA018','Exérèse de lésion de la peau du pénis, du gland et/ou du sillon balanopréputial, sous anesthésie générale ou locorégionale',102.81,77.18),(5123,'JHFA019','Résection d\'une hydrocèle abdominoscrotale, par laparotomie ou par abord inguinal',190.01,145.32),(5124,'JHFB001','Prélèvement de spermatozoïdes au niveau du testicule, de l\'épididyme ou du conduit déférent, par voie transcutanée',79.58,78.42),(5125,'JHFC001','Orchidectomie pour cryptorchidie abdominale, par coelioscopie',163.07,142.86),(5126,'JHGA001','Ablation d\'une prothèse pénienne hydraulique avec composant extracaverneux',125.40,125.40),(5127,'JHGA002','Ablation d\'une prothèse de testicule',54.59,47.79),(5128,'JHGA003','Ablation d\'une prothèse pénienne sans composant extracaverneux',100.68,93.51),(5129,'JHHA001','Biopsie du pénis',37.58,25.82),(5130,'JHHA002','Biopsie unilatérale du testicule, par abord direct',65.94,54.37),(5131,'JHHA003','Biopsie bilatérale du testicule, par abord direct',90.75,76.83),(5132,'JHHB001','Ponction des corps caverneux du pénis',38.40,38.40),(5133,'JHHB002','Biopsie du testicule, par voie transcutanée',43.96,41.62),(5134,'JHJA001','Évacuation ou mise à plat d\'un abcès du scrotum, par abord direct',47.50,45.11),(5135,'JHJB001','Évacuation d\'hydrocèle avec injection de produit sclérosant, par voie transcutanée',38.29,32.28),(5136,'JHJB002','Lavage des corps caverneux du pénis, par voie transcutanée',97.13,72.46),(5137,'JHJB003','Évacuation d\'hydrocèle sans injection de produit sclérosant, par voie transcutanée',21.27,20.40),(5138,'JHKA002','Changement d\'une prothèse de testicule, par abord inguinal',109.90,98.85),(5139,'JHKA003','Changement d\'une prothèse pénienne hydraulique sans composant extracaverneux',235.41,235.41),(5140,'JHKA004','Changement d\'une prothèse pénienne hydraulique avec composant extracaverneux',254.53,235.41),(5141,'JHLA001','Armature d\'un néopénis',0.00,0.00),(5142,'JHLA002','Pose d\'une prothèse pénienne hydraulique sans composant extracaverneux',299.20,261.32),(5143,'JHLA003','Pose d\'une prothèse pénienne rigide ou semirigide',238.22,225.95),(5144,'JHLA004','Pose d\'une prothèse pénienne hydraulique avec composant extracaverneux',299.20,261.32),(5145,'JHLA005','Pose d\'une prothèse de testicule, par abord inguinal',84.37,84.04),(5146,'JHLB001','Injection thérapeutique d\'agent pharmacologique vasoactif dans les corps caverneux du pénis, par voie transcutanée',0.00,0.00),(5147,'JHLB002','Infiltration de plaque de sclérose de l\'albuginée des corps caverneux du pénis, par voie transcutanée',32.61,22.94),(5148,'JHMA001','Plastie du prépuce du pénis [Posthoplastie]',62.70,62.70),(5149,'JHMA002','Reconstruction de la peau du pénis par greffe cutanée',214.83,150.93),(5150,'JHMA003','Reconstruction du prépuce du pénis',104.22,95.57),(5151,'JHMA004','Phalloplastie par lambeau cutanée tubulé pénien',0.00,0.00),(5152,'JHMA004','Phalloplastie par lambeau cutané tubulé pénien',0.00,0.00),(5153,'JHMA005','Plastie du scrotum pour éléphantiasis',175.12,155.12),(5154,'JHMA006','Confection d\'une spermatocèle',243.90,229.24),(5155,'JHMA007','Phalloplastie par lambeau cutané libre',0.00,0.00),(5156,'JHMA008','Phalloplastie par lambeau inguinal pédiculé',0.00,0.00),(5157,'JHMB001','Création de fistule spongiocaverneuse, par voie transcutanée',75.15,61.15),(5158,'JHNP001','Destruction de lésion du gland et/ou du prépuce du pénis',39.00,34.71),(5159,'JHPA001','Section ou plastie du frein du prépuce du pénis',46.09,35.51),(5160,'JHPA002','Désenfouissement du pénis par fixation des fascias',253.11,200.36),(5161,'JHPA003','Libération d\'adhérences du prépuce du pénis',0.00,0.00),(5162,'JHQA001','Exploration du contenu scrotal, par abord inguinal',107.06,97.20),(5163,'JHQA002','Exploration du contenu scrotal sans biopsie, par abord scrotal',75.15,59.72),(5164,'JHQA003','Exploration du contenu scrotal avec biopsie, par abord scrotal',88.63,67.53),(5165,'JHQB001','Mesure de la rigidité du pénis avec injection de produit vasoactif',0.00,0.00),(5166,'JHQB002','Mesure pression-débit, par ponction transcutanée des corps caverneux du pénis',0.00,0.00),(5167,'JHQH001','Cavernographie, par ponction transcutanée des corps caverneux du pénis',57.60,57.60),(5168,'JHQL001','Scintigraphie unilatérale ou bilatérale du testicule et/ou scintigraphie du pénis',268.87,268.87),(5169,'JHQM001','Échographie transcutanée unilatérale ou bilatérale du contenu des bourses',37.05,37.05),(5170,'JHQM002','Échographie du pénis',34.97,34.97),(5171,'JHQP001','Mesure nocturne de la tumescence et de la rigidité du pénis',0.00,0.00),(5172,'JHQP002','Péniscopie',0.00,0.00),(5173,'JHQX004','Examen anatomopathologique à visée carcinologique de pièce d\'orchidectomie partielle',65.58,65.58),(5174,'JHQX005','Examen anatomopathologique à visée carcinologique de pièce d\'orchidectomie totale',116.45,116.45),(5175,'JHQX007','Examen anatomopathologique à visée carcinologique de pièce d\'amputation totale du pénis',99.69,99.69),(5176,'JHQX008','Examen anatomopathologique à visée carcinologique de pièce d\'amputation partielle du pénis',78.66,78.66),(5177,'JHSA001','Ligature, section ou résection unilatérale ou bilatérale du conduit déférent, par abord scrotal',60.27,56.89),(5178,'JHSA002','Fermeture de fistule spongiocaverneuse du pénis',221.92,172.60),(5179,'JHSB001','Ligature, section ou résection unilatérale ou bilatérale du conduit déférent, par voie transcutanée',65.23,59.77),(5180,'JJCA001','Salpingonéostomie ou fimbrioplastie, par laparotomie',214.52,212.20),(5181,'JJCA002','Suture de déchirure du ligament large, par laparotomie',167.20,167.20),(5182,'JJCA003','Anastomose tubotubaire unilatérale ou bilatérale, par laparotomie',342.26,342.26),(5183,'JJCC001','Salpingonéostomie ou fimbrioplastie, par coelioscopie',237.80,237.80),(5184,'JJCC002','Microperforations unilatérales ou bilatérales de l\'ovaire, par pélycoscopie [culdoscopie] [coelioscopie transvaginale]',141.80,141.80),(5185,'JJCC003','Microperforations unilatérales ou bilatérales de l\'ovaire, par coelioscopie',141.80,141.80),(5186,'JJCC004','Anastomose tubotubaire unilatérale ou bilatérale, par coelioscopie',389.95,389.95),(5187,'JJEA001','Détorsion de l\'annexe, par laparotomie',167.20,167.20),(5188,'JJEA002','Transposition bilatérale de l\'ovaire, par laparotomie',199.99,186.22),(5189,'JJEA003','Transposition unilatérale de l\'ovaire, par laparotomie',167.20,167.20),(5190,'JJEC001','Détorsion de l\'annexe, par coelioscopie',196.00,196.00),(5191,'JJEC002','Transposition bilatérale de l\'ovaire, par coelioscopie',208.29,203.13),(5192,'JJEC003','Transposition unilatérale de l\'ovaire, par coelioscopie',196.00,196.00),(5193,'JJFA001','Salpingectomie partielle ou totale pour grossesse extra-utérine, par laparotomie',209.00,209.00),(5194,'JJFA002','Résection partielle de l\'ovaire, par laparotomie',167.20,167.20),(5195,'JJFA003','Ovariectomie unilatérale, par laparotomie',167.20,167.20),(5196,'JJFA004','Salpingoovariectomie [Annexectomie], par laparotomie',167.20,167.20),(5197,'JJFA005','Ovariectomie bilatérale, par laparotomie',176.46,172.58),(5198,'JJFA006','Exérèse de reliquat embryonnaire du ligament large, par laparotomie',167.20,167.20),(5199,'JJFA007','Salpingectomie totale, par laparotomie',167.20,167.20),(5200,'JJFA008','Kystectomie ovarienne, par laparotomie',167.20,167.20),(5201,'JJFA010','Kystectomie ovarienne transpariétale, par laparotomie avec préparation par coelioscopie',196.00,196.00),(5202,'JJFA050','Salpingoovariectomie [Annexectomie], par abord vaginal',167.20,167.20),(5203,'JJFC001','Salpingectomie partielle ou totale pour grossesse extra-utérine, par coelioscopie',209.00,209.00),(5204,'JJFC002','Exérèse de reliquat embryonnaire du ligament large, par coelioscopie',196.00,196.00),(5205,'JJFC003','Kystectomie ovarienne intrapéritonéale, par coelioscopie',196.00,196.00),(5206,'JJFC004','Résection partielle de l\'ovaire, par coelioscopie',196.00,196.00),(5207,'JJFC006','Salpingectomie totale, par coelioscopie',196.00,196.00),(5208,'JJFC008','Ovariectomie unilatérale, par coelioscopie',196.00,196.00),(5209,'JJFC009','Ovariectomie bilatérale, par coelioscopie',230.44,215.97),(5210,'JJFC010','Salpingoovariectomie [Annexectomie], par coelioscopie',209.68,191.84),(5211,'JJFC011','Prélèvement d\'ovocytes sur un ou deux ovaires, par coelioscopie',0.00,0.00),(5212,'JJFJ001','Prélèvement d\'ovocytes sur un ou deux ovaires, par voie transvaginale avec guidage échographique',97.67,85.69),(5213,'JJJA001','Évacuation de collection de l\'annexe ou du ligament large, par laparotomie',167.20,167.20),(5214,'JJJA002','Expression tubaire pour évacuation tuboabdominale de grossesse extra-utérine, par laparotomie',209.00,209.00),(5215,'JJJC001','Évacuation de collection de l\'annexe ou du ligament large, par coelioscopie',196.00,196.00),(5216,'JJJC002','Expression tubaire pour évacuation tuboabdominale de grossesse extra-utérine, par coelioscopie',209.00,209.00),(5217,'JJLE001','Cathétérisme rétrograde unilatéral ou bilatéral de la trompe utérine, par hystéroscopie',152.24,114.64),(5218,'JJLJ001','Injection intraovulaire d\'agent pharmacologique pour grossesse extra-utérine, par voie transvaginale avec guidage échographique',70.58,38.40),(5219,'JJLJ002','Cathétérisme rétrograde unilatéral ou bilatéral de la trompe utérine, par voie vaginale avec guidage échographique',104.50,104.50),(5220,'JJPA001','Salpingotomie avec aspiration de grossesse extra-utérine, par laparotomie',209.00,209.00),(5221,'JJPA002','Ovariotomie exploratrice, par laparotomie',167.20,167.20),(5222,'JJPA003','Interruption unilatérale ou bilatérale de la perméabilité des trompes utérines, par laparotomie',167.20,167.20),(5223,'JJPA004','Interruption unilatérale ou bilatérale de la perméabilité des trompes utérines, par abord vaginal',167.20,167.20),(5224,'JJPC001','Salpingotomie avec aspiration de grossesse extra-utérine, par coelioscopie',209.00,209.00),(5225,'JJPC002','Ovariotomie exploratrice, par coelioscopie',171.62,131.79),(5226,'JJPC003','Interruption unilatérale ou bilatérale de la perméabilité des trompes utérines, par coelioscopie',196.00,196.00),(5227,'JJPC004','Interruption unilatérale ou bilatérale de la perméabilité des trompes utérines, par pélycoscopie [culdoscopie] [coelioscopie transvaginale]',196.00,196.00),(5228,'JJPE001','Interruption unilatérale ou bilatérale de la perméabilité des trompes utérines par insertion de dispositif intratubaire, par hystéroscopie',167.20,167.20),(5229,'JJQC001','Exploration antérograde unilatérale ou bilatérale de la trompe utérine [Salpingoscopie gynécologique], par coelioscopie',160.54,117.31),(5230,'JJQX004','Examen anatomopathologique à visée carcinologique de pièce d\'une ovariectomie partielle ou totale',120.56,120.56),(5231,'JJQX005','Examen anatomopathologique à visée carcinologique de pièce de plusieurs ovariectomies partielle et/ou totale',137.44,137.44),(5232,'JJQX008','Examen anatomopathologique à visée carcinologique de pièce de salpingectomie',60.18,60.18),(5233,'JKBA001','Cerclage de l\'isthme utérin par abord vaginal, en dehors de la grossesse',125.94,99.38),(5234,'JKBA002','Cerclage de l\'isthme utérin par laparotomie, en dehors de la grossesse',179.92,174.58),(5235,'JKCA001','Hystérorraphie, par laparotomie',168.16,167.76),(5236,'JKCD001','Suture de plaie du col de l\'utérus',83.04,74.50),(5237,'JKDA001','Hystéropexie postérieure [Promontofixation] avec cervicocystopexie directe au ligament pectinéal [de Cooper], par laparotomie',366.76,365.98),(5238,'JKDA002','Hystéropexie postérieure [Promontofixation] avec cervicocystopexie indirecte au ligament pectinéal [de Cooper], par laparotomie',366.76,365.98),(5239,'JKDA003','Hystéropexie postérieure [Promontofixation], par laparotomie',281.29,281.29),(5240,'JKDA042','Hystéropexie antérieure, par laparotomie',167.20,167.20),(5241,'JKDC001','Hystéropexie postérieure [Promontofixation], par coelioscopie',346.69,331.32),(5242,'JKDC015','Hystéropexie antérieure, par coelioscopie',196.00,196.00),(5243,'JKFA001','Hystérectomie subtotale avec annexectomie unilatérale ou bilatérale et suspension postérieure du col de l\'utérus [colposuspension], par laparotomie',323.09,323.09),(5244,'JKFA002','Hystérectomie totale avec colpopérinéorraphies antérieure et postérieure, par abord vaginal',337.70,331.56),(5245,'JKFA003','Exérèse d\'un hémiutérus malformé [Hémihystérectomie], par laparotomie',239.49,239.49),(5246,'JKFA004','Hystérectomie totale avec annexectomie unilatérale ou bilatérale et suspension postérieure du dôme du vagin, par laparotomie',362.61,346.01),(5247,'JKFA005','Hystérectomie totale avec annexectomie unilatérale ou bilatérale, par abord vaginal',337.00,331.16),(5248,'JKFA006','Hystérectomie totale avec annexectomie unilatérale ou bilatérale, par coelioscopie et par abord vaginal',328.70,326.34),(5249,'JKFA007','Hystérectomie totale avec annexectomie unilatérale ou bilatérale et colpopérinéorraphies antérieure et postérieure, par abord vaginal',429.04,384.54),(5250,'JKFA008','Trachélectomie [Cervicectomie] [Amputation du col de l\'utérus], par abord vaginal',110.03,98.93),(5251,'JKFA009','Trachélectomie sur col restant de l\'utérus, par laparotomie',229.74,203.48),(5252,'JKFA011','Trachélectomie sur col restant de l\'utérus, par abord vaginal',137.71,114.99),(5253,'JKFA012','Hystérectomie subtotale avec suspension postérieure du col de l\'utérus [colposuspension] et cervicocystopexie indirecte au ligament pectinéal [de Cooper], par laparotomie',385.79,385.79),(5254,'JKFA013','Hystérectomie totale avec suspension postérieure du dôme du vagin, par laparotomie',385.79,385.79),(5255,'JKFA014','Hystérectomie subtotale avec suspension postérieure du col de l\'utérus [colposuspension], par laparotomie',385.79,385.79),(5256,'JKFA015','Hystérectomie totale, par laparotomie',239.49,239.49),(5257,'JKFA016','Myomectomie unique de l\'utérus, par laparotomie',209.00,209.00),(5258,'JKFA018','Hystérectomie totale, par coelioscopie et par abord vaginal',290.64,285.29),(5259,'JKFA019','Colpotrachélectomie [Colpocervicectomie] élargie aux paramètres, par laparotomie',458.80,423.38),(5260,'JKFA020','Colpohystérectomie totale élargie aux paramètres, par coelioscopie et par abord vaginal',484.40,438.23),(5261,'JKFA021','Hystérectomie totale avec annexectomie unilatérale ou bilatérale et colpopérinéorraphie antérieure ou postérieure, par abord vaginal',406.90,371.70),(5262,'JKFA022','Myomectomie multiple de l\'utérus, par laparotomie',226.28,219.02),(5263,'JKFA023','Colpohystérectomie totale élargie aux paramètres, par abord vaginal',458.80,423.38),(5264,'JKFA024','Hystérectomie subtotale, par laparotomie',239.49,239.49),(5265,'JKFA025','Hystérectomie totale avec colpopérinéorraphie antérieure ou postérieure, par abord vaginal',344.62,318.02),(5266,'JKFA026','Hystérectomie totale, par abord vaginal',264.34,253.90),(5267,'JKFA027','Colpohystérectomie totale élargie aux paramètres, par laparotomie',457.41,422.58),(5268,'JKFA028','Hystérectomie totale avec annexectomie unilatérale ou bilatérale, par laparotomie',323.09,323.09),(5269,'JKFA029','Hystérectomie subtotale avec annexectomie unilatérale ou bilatérale, suspension postérieure du col de l\'utérus [colposuspension] et cervicocystopexie indirecte au ligament pectinéal [de Cooper], par laparotomie',388.90,361.26),(5270,'JKFA030','Colpotrachélectomie [Colpocervicectomie] élargie aux paramètres, par abord vaginal',458.80,423.38),(5271,'JKFA031','Conisation du col de l\'utérus',93.42,89.30),(5272,'JKFA032','Hystérectomie subtotale avec annexectomie unilatérale ou bilatérale, par laparotomie',323.09,323.09),(5273,'JKFA033','Myomectomie de l\'utérus, par abord vaginal',0.00,0.00),(5274,'JKFC001','Myomectomie de l\'utérus avec hystérotomie, par coelioscopie',235.97,224.64),(5275,'JKFC002','Hystérectomie subtotale, par coelioscopie',253.96,247.89),(5276,'JKFC003','Hystérectomie totale avec annexectomie unilatérale ou bilatérale, par coelioscopie',339.08,332.37),(5277,'JKFC004','Myomectomie de l\'utérus sans hystérotomie, par coelioscopie',209.00,209.00),(5278,'JKFC005','Hystérectomie totale, par coelioscopie',328.01,290.83),(5279,'JKFC006','Hystérectomie subtotale avec annexectomie unilatérale ou bilatérale, par coelioscopie',323.09,323.09),(5280,'JKFD001','Exérèse de lésion pédiculée de l\'utérus accouchée par le col, par voie vaginale',62.70,62.70),(5281,'JKFD002','Exérèse de lésion du col de l\'utérus, par voie vaginale',62.70,62.70),(5282,'JKFE001','Exérèse de polype de l\'utérus, par hystéroscopie',110.72,90.56),(5283,'JKFE002','Résection de myome de l\'utérus, par hystéroscopie',209.00,209.00),(5284,'JKFE003','Exérèse de lésion du col de l\'utérus, par colposcopie',62.70,62.70),(5285,'JKGA001','Ablation d\'un dispositif intra-utérin, par laparotomie',167.20,167.20),(5286,'JKGC001','Ablation d\'un dispositif intra-utérin, par coelioscopie',167.20,167.20),(5287,'JKGD001','Ablation d\'un dispositif intra-utérin par un matériel intra-utérin de préhension, par voie vaginale',62.70,62.70),(5288,'JKGD002','Curetage de la cavité de l\'utérus à visée thérapeutique',62.70,62.70),(5289,'JKGD003','Curetage de la cavité de l\'utérus à visée diagnostique',62.70,62.70),(5290,'JKGD004','Ablation d\'un dispositif intra-utérin, par voie vaginale',0.00,0.00),(5291,'JKGE001','Ablation d\'un dispositif intra-utérin, par hystéroscopie',69.20,66.48),(5292,'JKGE002','Ablation de corps étranger de l\'utérus, par hystéroscopie',62.70,62.70),(5293,'JKHA001','Biopsie ou frottis de l\'endomètre, sans hystéroscopie',42.24,42.24),(5294,'JKHA002','Biopsie du col de l\'utérus',21.45,16.47),(5295,'JKHD001','Prélèvement cervicovaginal',12.46,9.64),(5296,'JKHD002','Prélèvement et examen de la glaire cervicale, sans examen de la mobilité des spermatozoïdes',14.53,10.84),(5297,'JKHD003','Prélèvement et examen de la glaire cervicale, avec examen de la mobilité des spermatozoïdes [Test postcoïtal de Huhner]',0.00,0.00),(5298,'JKKD001','Changement d\'un dispositif intra-utérin',38.40,38.40),(5299,'JKLD001','Pose d\'un dispositif intra-utérin',38.40,38.40),(5300,'JKMA001','Hystéroplastie, par laparotomie',222.13,199.06),(5301,'JKMD001','Stomatoplastie du col de l\'utérus',71.97,68.08),(5302,'JKND001','Destruction de la muqueuse utérine par thermocontact, par voie vaginale',89.27,78.11),(5303,'JKND002','Destruction de lésion du col de l\'utérus, du vagin, de la vulve, du périnée et de la région périanale, avec laser',77.50,62.51),(5304,'JKND003','Destruction de lésion du col de l\'utérus par colposcopie, avec laser',51.21,47.25),(5305,'JKND004','Destruction de lésion du col de l\'utérus par colposcopie, sans laser',62.70,62.70),(5306,'JKNE001','Abrasion de la muqueuse de l\'utérus [Endométrectomie], par hystéroscopie',209.00,209.00),(5307,'JKNL001','Curiethérapie intracavitaire utérovaginale à bas débit de dose avec projecteur de source, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnographie [IRM]',384.10,384.10),(5308,'JKNL002','Curiethérapie intracavitaire utérovaginale à débit de dose pulsé, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnographie [IRM]',384.10,384.10),(5309,'JKNL003','Curiethérapie intracavitaire utérovaginale à bas débit de dose sans projecteur de source, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(5310,'JKNL004','Curiethérapie intracavitaire utérovaginale à bas débit de dose avec projecteur de source, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(5311,'JKNL005','Curiethérapie intracavitaire utérovaginale à bas débit de dose sans projecteur de source, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnographie [IRM]',384.10,384.10),(5312,'JKNL006','Curiethérapie intracavitaire utérovaginale à débit de dose pulsé, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(5313,'JKPC001','Section et/ou destruction de synéchies de l\'utérus, par hystéroscopie avec guidage coelioscopique',172.31,138.37),(5314,'JKPD001','Libération d\'une sténose récente et totale du col de l\'utérus',62.70,62.70),(5315,'JKPD002','Section et/ou destruction de synéchies de l\'utérus, par voie vaginale',62.70,62.70),(5316,'JKPE001','Section ou résection de cloison utérine, par hystéroscopie',150.16,113.43),(5317,'JKPE002','Section et/ou destruction de synéchies de l\'utérus, par hystéroscopie',114.87,92.96),(5318,'JKPJ001','Section et/ou destruction de synéchies de l\'utérus, par hystéroscopie avec guidage échographique',114.87,62.70),(5319,'JKPJ002','Section ou résection de cloison utérine, par voie vaginale avec guidage échographique',65.05,62.70),(5320,'JKQE001','Hystéroscopie avec curetage de la cavité de l\'utérus',85.81,76.11),(5321,'JKQE002','Hystéroscopie',69.20,66.48),(5322,'JKQH001','Hystérosalpingographie',73.15,73.15),(5323,'JKQJ001','Hystérosonographie',69.72,69.72),(5324,'JKQP001','Examen cytopathologique de prélèvement [frottis] du col de l\'utérus',15.40,15.40),(5325,'JKQP002','Examen anatomopathologique d\'une pièce de conisation du col de l\'utérus ou de mastectomie partielle',61.60,61.60),(5326,'JKQP008','Examen cytopathologique en phase liquide [technique monocouche] de prélèvement [frottis] du col de l\'utérus',15.40,15.40),(5327,'JKQX001','Examen cytopathologique de dépistage de prélèvement [frottis] du col de l\'utérus',15.40,15.40),(5328,'JKQX004','Examen anatomopathologique à visée carcinologique de pièce d\'hystérectomie, sans annexectomie',87.74,87.74),(5329,'JKQX005','Examen anatomopathologique à visée carcinologique de pièce d\'hystérectomie, avec annexectomie',117.94,117.94),(5330,'JKQX006','Examen anatomopathologique à visée carcinologique de pièce de trachélectomie [cervicectomie] ou de colpotrachélectomie',64.62,64.62),(5331,'JKQX007','Examen anatomopathologique à visée carcinologique de pièce de conisation du col de l\'utérus',96.06,96.06),(5332,'JKQX008','Examen cytopathologique de dépistage en phase liquide [technique monocouche] de prélèvement [frottis] du col de l\'utérus',15.40,15.40),(5333,'JKQX015','Examen cytopathologique de contrôle en phase liquide [technique monocouche] de prélèvement [frottis] du col de l\'utérus',19.00,19.00),(5334,'JKQX020','Examen anatomopathologique à visée carcinologique de pièce d\'hystérectomie, avec annexectomie et omentectomie',133.31,133.31),(5335,'JKQX027','Examen cytopathologique de contrôle de prélèvement [frottis] du col de l\'utérus',19.00,19.00),(5336,'JKQX147','Examen cytopathologique en phase liquide [technique monocouche] de prélèvement [frottis] du col de l\'utérus pour dépistage individuel',17.00,17.00),(5337,'JKQX261','Examen cytopathologique de prélèvement [frottis] du col de l\'utérus pour dépistage organisé',17.00,17.00),(5338,'JKQX347','Examen cytopathologique de prélèvement [frottis] du col de l\'utérus pour dépistage individuel',17.00,17.00),(5339,'JKQX426','Examen cytopathologique en phase liquide [technique monocouche] de prélèvement [frottis] du col de l\'utérus pour dépistage organisé',17.00,17.00),(5340,'JLAD001','Séance de dilatation vaginale par bougies',62.70,62.70),(5341,'JLCA001','Colpopérinéorraphie postérieure, avec réfection du canal et du muscle sphincter externe de l\'anus',264.34,258.66),(5342,'JLCA002','Colpopérinéorraphie postérieure, avec réfection du muscle sphincter externe de l\'anus',250.80,250.80),(5343,'JLCA003','Colpopérinéorraphie antérieure et postérieure avec trachélectomie',274.03,246.72),(5344,'JLCA004','Colpopérinéorraphie postérieure',164.70,130.63),(5345,'JLCA005','Colpopérinéorraphie antérieure et postérieure',229.74,216.28),(5346,'JLCA006','Anastomose utérovaginale ou vaginovaginale, pour malformation utérovaginale',259.50,238.30),(5347,'JLCA007','Colpopérinéorraphie antérieure',184.76,142.27),(5348,'JLCA008','Suture de plaie du vagin',69.20,66.48),(5349,'JLCA009','Colpopérinéorraphie postérieure, avec résection d\'élytrocèle par abord vaginal',202.06,200.22),(5350,'JLDA001','Suspension du dôme du vagin [Promontofixation du dôme vaginal], par laparotomie',281.29,281.29),(5351,'JLDA002','Suspension du dôme du vagin [Promontofixation du dôme vaginal], par abord vaginal',270.57,239.96),(5352,'JLDA003','Suspension du dôme du vagin [Promontofixation du dôme vaginal], avec cervicocystopexie directe par bandelette infra-urétrale, par laparotomie',364.89,364.89),(5353,'JLDA004','Suspension du dôme du vagin [Promontofixation du dôme vaginal], avec cervicocystopexie indirecte au ligament pectinéal [de Cooper], par laparotomie',364.89,364.89),(5354,'JLDC015','Suspension du dôme du vagin [Promontofixation du dôme vaginal], par coelioscopie',310.09,310.09),(5355,'JLFA001','Excision de diaphragme du vagin',141.86,108.61),(5356,'JLFA002','Exérèse de lésion du vagin',69.20,66.48),(5357,'JLFA003','Colpectomie subtotale ou totale, par laparotomie',458.80,336.33),(5358,'JLFA004','Colpectomie subtotale ou totale, par abord vaginal',238.05,203.54),(5359,'JLFD001','Hyménectomie ou hyménotomie',65.05,50.89),(5360,'JLFD002','Résection de cloison longitudinale du vagin',83.73,74.90),(5361,'JLGD001','Ablation ou changement de dispositif intravaginal',0.00,0.00),(5362,'JLGE001','Ablation de corps étranger du vagin, par vaginoscopie',62.70,62.70),(5363,'JLHA001','Biopsie du vagin',23.53,17.68),(5364,'JLJA001','Évacuation d\'hématome ou de thrombus du vagin, de la vulve et/ou du périnée d\'origine obstétricale, par abord direct',0.00,0.00),(5365,'JLJA002','Évacuation de collection paravaginale, par colpotomie latérale',62.70,62.70),(5366,'JLJB001','Évacuation de collection de la paroi du vagin ou de la vulve, par voie transvaginale ou transcutanée',62.70,62.70),(5367,'JLJD001','Drainage d\'un hématocolpos ou d\'un hydrocolpos',132.17,103.00),(5368,'JLLD001','Pose de dispositif intravaginal',0.00,0.00),(5369,'JLMA001','Création d\'un néovagin par clivage intervésicorectal, par laparotomie et par abord périnéal',216.32,216.32),(5370,'JLMA002','Création d\'un néovagin par clivage intervésicorectal, par abord périnéal',346.00,270.90),(5371,'JLMA003','Création d\'un néovagin par clivage intervésicorectal, par coelioscopie et par abord périnéal',232.45,232.45),(5372,'JLMA004','Création d\'un néovagin par transplantation intestinale, par laparotomie',455.97,455.97),(5373,'JLMA005','Création d\'un néovagin par pose de dispositif de traction progressive, par laparotomie',167.20,167.20),(5374,'JLMC001','Création d\'un néovagin par pose de dispositif de traction progressive, par coelioscopie',183.38,176.59),(5375,'JLMD001','Réparation de l\'hymen',73.35,55.71),(5376,'JLND001','Destruction de lésion du vagin, sans laser',62.70,62.70),(5377,'JLND002','Destruction de lésion du vagin, avec laser',62.70,62.70),(5378,'JLNL001','Curiethérapie intracavitaire vaginale à bas débit de dose sans projecteur de source, avec dosimétrie dans un plan',367.40,367.40),(5379,'JLNL002','Curiethérapie intracavitaire vaginale à haut débit de dose avec dosimétrie bidimensionnelle',0.00,0.00),(5380,'JLNL003','Curiethérapie intracavitaire vaginale à bas débit de dose avec projecteur de source, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(5381,'JLNL004','Curiethérapie intracavitaire vaginale à bas débit de dose avec projecteur de source, avec dosimétrie dans un plan',367.40,367.40),(5382,'JLNL005','Curiethérapie intracavitaire vaginale à bas débit de dose sans projecteur de source, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(5383,'JLNL006','Curiethérapie intracavitaire vaginale à débit de dose pulsé, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(5384,'JLNL007','Curiethérapie intracavitaire vaginale à débit de dose pulsé, avec dosimétrie dans un plan',367.40,367.40),(5385,'JLNL008','Curiethérapie intracavitaire vaginale à haut débit de dose avec dosimétrie dans un plan',0.00,0.00),(5386,'JLPA001','Incisions radiées de diaphragme du vagin',84.42,75.30),(5387,'JLQE001','Vaginoscopie',0.00,0.00),(5388,'JLQE002','Colposcopie',49.82,36.97),(5389,'JLQH002','Colpo-cysto-rectographie dynamique',46.55,46.55),(5390,'JLQX004','Examen anatomopathologique à visée carcinologique de pièce de colpectomie partielle ou totale',61.18,61.18),(5391,'JLSD001','Fermeture du vagin',183.38,132.69),(5392,'JMBA001','Plicature infra-urétrale, par abord vaginal',197.69,197.69),(5393,'JMCA001','Suture immédiate de déchirure obstétricale du périnée avec lésion du rectum [périnée complet compliqué]',157.08,156.58),(5394,'JMCA002','Suture immédiate de déchirure obstétricale du vagin, de la vulve et/ou du périnée [périnée simple]',0.00,0.00),(5395,'JMCA003','Suture immédiate de déchirure obstétricale du périnée avec lésion du muscle sphincter externe de l\'anus [périnée complet]',0.00,0.00),(5396,'JMCA004','Suture immédiate de déchirure obstétricale du périnée avec lésion de la vessie ou de l\'urètre',250.80,250.80),(5397,'JMCA005','Suture de plaie de la vulve',48.44,41.26),(5398,'JMCA006','Suture de plaie de la vulve et de l\'anus, sans suture du muscle sphincter externe de l\'anus',74.04,60.50),(5399,'JMDA001','Soutènement vésical par myoplastie infra-urétrale, par abord vaginal',216.25,208.45),(5400,'JMEA001','Transposition du clitoris',462.98,408.97),(5401,'JMEA002','Lambeau neurovasculaire pédiculé du clitoris',175.12,155.12),(5402,'JMFA001','Exérèse de la glande vestibulaire majeure [de Bartholin]',92.04,88.49),(5403,'JMFA002','Exérèse de lésion vulvopérinéale',43.60,38.45),(5404,'JMFA003','Vulvectomie partielle sans curage lymphonodal',155.89,155.89),(5405,'JMFA004','Vulvectomie totale avec curage lymphonodal inguinal et iliaque bilatéral',796.49,580.11),(5406,'JMFA005','Vulvectomie totale avec curage lymphonodal inguinal unilatéral',458.80,366.69),(5407,'JMFA006','Amputation du clitoris [Clitoridectomie]',155.89,155.89),(5408,'JMFA007','Vulvectomie totale sans curage lymphonodal',238.74,203.94),(5409,'JMFA008','Vulvectomie partielle avec curage lymphonodal inguinal unilatéral',292.02,269.96),(5410,'JMFA009','Vulvectomie totale avec curage lymphonodal inguinal bilatéral',688.54,517.49),(5411,'JMFA010','Vulvectomie totale avec curage lymphonodal inguinal et iliaque unilatéral',425.28,425.28),(5412,'JMHA001','Biopsie de la vulve',24.91,18.48),(5413,'JMMA001','Vestibuloplastie avec enfouissement ou résection du clitoris, pour féminisation',348.12,272.13),(5414,'JMMA002','Vulvopérinéoplastie',127.49,127.49),(5415,'JMMA004','Clitoridoplastie de réduction',248.86,197.88),(5416,'JMMA005','Nymphoplastie de réduction',57.44,46.48),(5417,'JMPA001','Incision de la glande vestibulaire majeure [de Bartholin]',56.74,50.47),(5418,'JMPA002','Périnéotomie médiane sans lambeau cutané périnéal, pour élargissement de l\'orifice du vagin',58.82,47.29),(5419,'JMPA003','Libération chirurgicale d\'adhérences de la vulve',31.35,31.35),(5420,'JMPA004','Périnéotomie médiane avec lambeau cutané périnéal',170.92,169.36),(5421,'JMPA005','Incision de collection vulvopérinéale',41.80,41.80),(5422,'JMPA006','Épisiotomie',0.00,0.00),(5423,'JMPP001','Libération non chirurgicale de coalescence des petites lèvres de la vulve',31.35,31.35),(5424,'JMQP001','Vulvoscopie',0.00,0.00),(5425,'JMQX004','Examen anatomopathologique à visée carcinologique de pièce de vulvectomie totale',102.59,102.59),(5426,'JMQX005','Examen anatomopathologique à visée carcinologique de pièce de vulvectomie partielle',70.14,70.14),(5427,'JNBD001','Cerclage du col de l\'utérus au cours de la grossesse, par voie transvaginale',67.82,63.52),(5428,'JNBD002','Tamponnement intra-utérin ou intravaginal, pour hémorragie obstétricale',0.00,0.00),(5429,'JNCA001','Suture immédiate de déchirure obstétricale du col de l\'utérus',167.20,167.20),(5430,'JNCA002','Suture du corps de l\'utérus [Hystérorraphie] pour rupture obstétricale, par laparotomie',241.51,210.30),(5431,'JNED001','Réduction manuelle d\'inversion utérine',0.00,0.00),(5432,'JNFA001','Hystérectomie pour complications obstétricales, par laparotomie',344.62,300.46),(5433,'JNGD002','Ablation de cerclage du col de l\'utérus',0.00,0.00),(5434,'JNJD001','Évacuation d\'un utérus gravide, au 2ème trimestre de la grossesse',100.34,82.39),(5435,'JNJD001','Évacuation d\'un utérus gravide, au 2ème trimestre de la grossesse avant la 22ème semaine d\'aménorrhée',100.34,82.39),(5436,'JNJD002','Évacuation d\'un utérus gravide par aspiration et/ou curetage, au 1er trimestre de la grossesse',57.60,57.60),(5437,'JNJP001','Évacuation d\'un utérus gravide par moyen médicamenteux, au 1er trimestre de la grossesse',57.60,57.60),(5438,'JNMD001','Révision de la cavité de l\'utérus après avortement',57.60,57.60),(5439,'JNMD002','Révision de la cavité de l\'utérus après délivrance naturelle',0.00,0.00),(5440,'JNPA002','Réduction d\'inversion utérine par hystérotomie',223.52,199.86),(5441,'JNQD001','Monitorage électronique des contractions de l\'utérus gravide et/ou du rythme cardiaque du foetus, par voie utérine',0.00,0.00),(5442,'JNQK001','Radiographie du contenu de l\'utérus gravide [contenu utérin]',21.28,21.28),(5443,'JNQM001','Échographie non morphologique de la grossesse avant 11 semaines d\'aménorrhée',35.65,35.65),(5444,'JPGD001','Extraction manuelle du placenta complet',0.00,0.00),(5445,'JPHB001','Choriocentèse ou placentocentèse',37.05,34.02),(5446,'JPHB002','Biopsie du trophoblaste',35.36,34.02),(5447,'JPHJ001','Amniocentèse sur plusieurs sacs amniotiques, avec guidage échographique',68.58,68.58),(5448,'JPHJ002','Amniocentèse sur un sac amniotique unique, avec guidage échographique',68.58,68.58),(5449,'JPJB001','Évacuation de liquide amniotique pour hydramnios, par voie transcutanée',67.20,67.20),(5450,'JPLB001','Amnio-infusion, par voie transcutanée',37.80,37.80),(5451,'JPQE001','Amnioscopie',0.00,0.00),(5452,'JPQX007','Examen anatomopathologique d\'un placenta complet avec cordon et membranes',52.50,52.50),(5453,'JPQX019','Examen anatomopathologique de plusieurs placentas complets avec cordons et membranes',65.73,65.73),(5454,'JQCB001','Dérivation intraamniotique de collection urinaire chez le foetus, par pose de cathéter par voie transcutanée',51.03,51.03),(5455,'JQED001','Version du foetus par manoeuvres obstétricales internes',0.00,0.00),(5456,'JQED002','Réduction d\'une dystocie sévère des épaules',0.00,0.00),(5457,'JQEP001','Version du foetus par manoeuvres obstétricales externes au cours de la grossesse, avec contrôle échographique et surveillance du rythme cardiaque du foetus',55.36,41.58),(5458,'JQGA001','Extraction de grossesse extra-utérine abdominale au delà de 13 semaines d\'aménorrhée, par laparotomie',229.74,221.04),(5459,'JQGA002','Accouchement par césarienne programmée, par laparotomie',313.50,313.50),(5460,'JQGA003','Accouchement par césarienne au cours du travail, par laparotomie',362.61,313.50),(5461,'JQGA004','Accouchement par césarienne en urgence en dehors du travail, par laparotomie',313.50,313.50),(5462,'JQGA005','Accouchement par césarienne, par abord vaginal',313.50,313.50),(5463,'JQGD001','Accouchement unique par le siège par voie naturelle, chez une multipare',316.94,313.50),(5464,'JQGD002','Accouchement multiple par voie naturelle, chez une primipare',472.64,418.00),(5465,'JQGD003','Accouchement unique par le siège par voie naturelle avec petite extraction, chez une primipare',426.96,379.31),(5466,'JQGD004','Accouchement unique par le siège par voie naturelle, chez une primipare',385.44,313.50),(5467,'JQGD005','Accouchement unique par le siège par voie naturelle avec grande extraction, chez une multipare',477.48,408.61),(5468,'JQGD006','Extraction instrumentale au détroit inférieur sur présentation céphalique',0.00,0.00),(5469,'JQGD007','Accouchement multiple par voie naturelle, chez une multipare',418.00,418.00),(5470,'JQGD008','Accouchement unique par le siège par voie naturelle avec petite extraction, chez une multipare',353.61,336.77),(5471,'JQGD009','Extraction instrumentale au détroit moyen sur présentation céphalique',0.00,0.00),(5472,'JQGD010','Accouchement céphalique unique par voie naturelle, chez une primipare',313.50,313.50),(5473,'JQGD011','Extraction instrumentale sur tête dernière, au cours d\'un accouchement par le siège',0.00,0.00),(5474,'JQGD012','Accouchement céphalique unique par voie naturelle, chez une multipare',313.50,313.50),(5475,'JQGD013','Accouchement unique par le siège par voie naturelle avec grande extraction, chez une primipare',477.48,408.61),(5476,'JQGD014','Extraction sélective de foetus au cours d\'une grossesse multiple',125.18,125.18),(5477,'JQHB001','Prélèvement de sang du foetus sur la présentation',0.00,0.00),(5478,'JQHB002','Ponction ou biopsie d\'un organe foetal',114.51,30.24),(5479,'JQHF001','Prélèvement de sang de plusieurs foetus, par ponction du cordon ombilical [Cordocentèses]',41.58,41.58),(5480,'JQHF002','Prélèvement de sang d\'un foetus, par ponction du cordon ombilical [Cordocentèse]',105.25,41.58),(5481,'JQJB001','Évacuation de collection d\'un organe foetal',92.62,41.58),(5482,'JQLF001','Transfusion chez le foetus, par ponction du cordon ombilical',47.25,47.25),(5483,'JQLF002','Exsanguinotransfusion chez le foetus, par ponction du cordon ombilical',140.61,47.25),(5484,'JQLF003','Injection d\'agent pharmacologique chez le foetus, par ponction du cordon ombilical',87.57,41.58),(5485,'JQQJ037','Mesure de la longueur du canal cervical du col de l\'utérus, par échographie par voie vaginale',33.44,33.44),(5486,'JQQM001','Échographie de surveillance de la croissance foetale',46.15,46.15),(5487,'JQQM002','Échographie d\'une grossesse unifoetale à partir du 2ème trimestre avec échographie-doppler des artères utérines de la mère et des vaisseaux du foetus, pour souffrance foetale',92.19,92.19),(5488,'JQQM003','Échographie de surveillance de la croissance foetale avec échographie-doppler des artères utérines de la mère et des vaisseaux du foetus',75.60,75.60),(5489,'JQQM007','Échographie d\'une grossesse multifoetale à partir du 2ème trimestre avec échographie-doppler des artères utérines de la mère et des vaisseaux des foetus, pour souffrance foetale',133.81,133.81),(5490,'JQQM008','Échographie et hémodynamique doppler du coeur et des vaisseaux intrathoraciques du foetus',137.02,137.02),(5491,'JQQM010','Échographie biométrique et morphologique d\'une grossesse uniembryonnaire au 1er trimestre',61.47,48.35),(5492,'JQQM015','Échographie biométrique et morphologique d\'une grossesse multiembryonnaire au 1er trimestre',71.57,54.21),(5493,'JQQM016','Échographie biométrique et morphologique d\'une grossesse unifoetale au 3ème trimestre',100.20,73.99),(5494,'JQQM017','Échographie biométrique et morphologique d\'une grossesse multifoetale au 3ème trimestre',154.09,121.12),(5495,'JQQM018','Échographie biométrique et morphologique d\'une grossesse unifoetale au 2ème trimestre',100.20,81.92),(5496,'JQQM019','Échographie biométrique et morphologique d\'une grossesse multifoetale au 2ème trimestre',154.09,137.00),(5497,'JQQP001','Enregistrement du rythme cardiaque du foetus d\'une durée de plus de 20 minutes, en dehors du travail',0.00,0.00),(5498,'JQQP002','Autopsie médicale de 2 foetus',123.20,123.20),(5499,'JQQP003','Autopsie médicale d\'un foetus ou d\'un nouveau-né de moins de 4 jours de vie, avec examen de l\'encéphale',61.60,61.60),(5500,'JQQP004','Autopsie médicale de 3 foetus ou plus',184.80,184.80),(5501,'JQQP005','Autopsie médicale d\'un foetus ou d\'un nouveau-né de moins de 4 jours de vie, sans examen de l\'encéphale',61.60,61.60),(5502,'JQQP099','Surveillance du travail par un praticien différent de celui qui réalise l\'extraction',112.00,112.00),(5503,'JQQP900','Oxymétrie transcutanée du foetus sur la présentation [Oxymétrie de pouls foetal]',0.00,0.00),(5504,'JQQX002','Autopsie médicale de 2 foetus',123.20,123.20),(5505,'JQQX003','Autopsie médicale d\'un foetus ou d\'un nouveau-né de moins de 4 jours de vie, avec examen de l\'encéphale',61.60,61.60),(5506,'JQQX004','Autopsie médicale de 3 foetus ou plus',184.80,184.80),(5507,'JQQX005','Autopsie médicale d\'un foetus ou d\'un nouveau-né de moins de 4 jours de vie, sans examen de l\'encéphale',61.60,61.60),(5508,'JQQX109','Examen anatomopathologique de produit d\'avortement avant la 14e semaine d\'aménorrhée',33.60,33.60),(5509,'JRGA001','Ablation d\'une bandelette synthétique infra-urétrale, par abord vaginal',212.70,188.84),(5510,'JRGA002','Ablation partielle d\'une bandelette synthétique infra-urétrale, par laparotomie',241.06,205.29),(5511,'JRGA003','Ablation totale d\'une bandelette synthétique infra-urétrale, par laparotomie et par abord vaginal',269.42,239.29),(5512,'JRGA004','Ablation totale d\'une bandelette synthétique infra-urétrale, par coelioscopie et par abord vaginal',283.60,259.62),(5513,'JRGC001','Ablation partielle d\'une bandelette synthétique infra-urétrale, par coelioscopie',241.06,217.38),(5514,'JRPA001','Section d\'une bandelette synthétique infra-urétrale, par abord vaginal',99.26,83.90),(5515,'JRQD001','Débitmétrie mictionnelle, avec cystomanométrie et sphinctérométrie par cathétérisme urétral',137.88,112.23),(5516,'JRQP001','Débitmétrie mictionnelle',0.00,0.00),(5517,'JRRD001','Séance de rééducation vésicosphinctérienne avec apprentissage des modes de déclenchement mictionnel ou de l\'autosondage',50.02,36.27),(5518,'JSEC001','Transfert intratubaire d\'embryon, par coelioscopie',153.62,121.36),(5519,'JSED001','Transfert intra-utérin d\'embryon, par voie vaginale',52.25,52.25),(5520,'JSLD001','Insémination artificielle intra-utérine',38.40,38.40),(5521,'JSLD002','Insémination artificielle intracervicale',38.40,38.40),(5522,'JVJB001','Séance d\'épuration extrarénale par dialyse péritonéale pour insuffisance rénale chronique',43.83,43.83),(5523,'JVJB002','Épuration extrarénale par dialyse péritonéale pour insuffisance rénale aigüe, par 24 heures',113.03,113.03),(5524,'JVJF002','Épuration extrarénale par hémodialyse, hémodiafiltration ou hémofiltration discontinue pour insuffisance rénale aigüe, par 24 heures',192.00,192.00),(5525,'JVJF003','Séance d\'épuration extrarénale par hémoperfusion',131.34,116.50),(5526,'JVJF004','Séance d\'épuration extrarénale par hémodialyse pour insuffisance rénale chronique',38.35,38.35),(5527,'JVJF005','Épuration extrarénale par hémodialyse, hémodiafiltration ou hémofiltration continue pour insuffisance rénale aigüe, par 24 heures',192.00,192.00),(5528,'JVJF006','Épuration extrarénale par hémodialyse ou hémofiltration discontinue pour insuffisance rénale aigüe chez le nouveau-né, par 24 heures',194.27,194.27),(5529,'JVJF007','Épuration extrarénale par hémodialyse ou hémofiltration continue pour insuffisance rénale aigüe chez le nouveau-né, par 24 heures',209.67,209.67),(5530,'JVJF008','Séance d\'épuration extrarénale par hémodiafiltration, hémofiltration ou biofiltration sans acétate pour insuffisance rénale chronique',40.77,40.77),(5531,'JVQF001','Évaluation de la dose de dialyse péritonéale par prélèvements multiples de sang et de dialysat',0.00,0.00),(5532,'JVQF002','Épreuve de filtration glomérulaire rénale par administration de substance exogène, avec recueil urinaire',0.00,0.00),(5533,'JVQF003','Épreuve de filtration glomérulaire rénale par administration de substance exogène avec étude du débit plasmatique rénal, avec recueil urinaire',0.00,0.00),(5534,'JVQF004','Étude de la sécrétion d\'hormone antidiurétique [ADH] par perfusion de chlorure de sodium hypertonique',0.00,0.00),(5535,'JVQF005','Épreuve de filtration glomérulaire rénale par administration de substance exogène, avec recueil urinaire, avec épreuve de stimulation',0.00,0.00),(5536,'JVQF006','Épreuve de filtration glomérulaire rénale par administration de substance exogène, sans recueil urinaire',0.00,0.00),(5537,'JVQF007','Évaluation de la dose de dialyse péritonéale par prélèvement unique de sang et de dialysat',0.00,0.00),(5538,'JVQF008','Épreuve de filtration glomérulaire rénale par administration de substance exogène, sans recueil urinaire, avec épreuve de stimulation',0.00,0.00),(5539,'JVQF010','Étude de la régulation du système rénine-angiotensine-aldostérone par administration d\'agent pharmacologique non radio-isotopique ou perfusion de chlorure de sodium isotonique',0.00,0.00),(5540,'JVQP001','Étude du transfert maximal [Tm] du bicarbonate et de la sécrétion distale de proton',0.00,0.00),(5541,'JVQP002','Mesure des clairances péritonéales par recueil de dialysat sur 24 heures',0.00,0.00),(5542,'JVQP003','Étude du débit plasmatique rénal, avec recueil urinaire',0.00,0.00),(5543,'JVQP004','Étude des transferts des électrolytes dans le tubule rénal et de leurs facteurs de régulation, avec administration de substance exogène',0.00,0.00),(5544,'JVQP005','Étude du transfert maximal [Tm] du glucose',0.00,0.00),(5545,'JVQP006','Étude de la capacité d\'acidification de l\'urine',0.00,0.00),(5546,'JVQP007','Étude des transferts des électrolytes dans le tubule rénal et de leurs facteurs de régulation, sans administration de substance exogène',0.00,0.00),(5547,'JVQP008','Étude du système rénine-angiotensine-aldostérone en clinostatisme et en orthostatisme',0.00,0.00),(5548,'JVQP009','Mesure de la pression intrapéritonéale par le prolongateur du cathéter de dialyse péritonéale',0.00,0.00),(5549,'JVRP001','Épreuve de concentration de l\'urine avec test à la 1-désamino-8-D-arginine-vasopressine [dDAVP]',0.00,0.00),(5550,'JVRP003','Épreuve de dilution de l\'urine',0.00,0.00),(5551,'JVRP004','Séance d\'entraînement à l\'hémodialyse',48.74,48.74),(5552,'JVRP005','Test à la déféroxamine',0.00,0.00),(5553,'JVRP006','Épreuve de charge calcique',0.00,0.00),(5554,'JVRP007','Séance d\'entraînement à la dialyse péritonéale automatisée',48.74,48.74),(5555,'JVRP008','Séance d\'entraînement à la dialyse péritonéale continue ambulatoire',48.74,48.74),(5556,'JZMA001','Plastie des organes génitaux externes pour transsexualisme masculin',0.00,0.00),(5557,'JZMA002','Urétroplastie, vaginoplastie et vestibuloplastie avec enfouissement ou réduction du clitoris, pour féminisation',548.06,458.32),(5558,'JZMA003','Urétroplastie et vestibuloplastie avec enfouissement ou réduction du clitoris, pour féminisation',429.65,389.64),(5559,'JZNP001','Destruction de 10 à 50 lésions périnéales',50.55,45.45),(5560,'JZNP002','Destruction de moins de 10 lésions périnéales',34.89,28.30),(5561,'JZNP003','Destruction de 51 lésions périnéales ou plus, ou de lésion périnéale de plus de 30 cm²',72.62,58.25),(5562,'JZQD001','Étude urodynamique du haut appareil urinaire',177.25,118.93),(5563,'JZQE001','Exploration endoscopique d\'une malformation cloacale',179.95,168.89),(5564,'JZQH001','Exploration radiologique des anomalies du sinus urogénital [Génitographie externe]',46.55,46.55),(5565,'JZQH002','Urographie intraveineuse sans urétrocystographie permictionnelle',85.12,85.12),(5566,'JZQH003','Urographie intraveineuse avec urétrocystographie permictionnelle',85.12,85.12),(5567,'KAFA001','Exérèse de lésion de la loge hypophysaire, par abord transsphénoïdal',623.21,537.02),(5568,'KAFA002','Exérèse de lésion de la loge hypophysaire, par craniotomie',820.31,739.12),(5569,'KAFE900','Exérèse de lésion de la loge hypophysaire, par vidéochirurgie transsphénoïdale',0.00,0.00),(5570,'KANB001','Hypophysiolyse fonctionnelle, par voie transsphénoïdale',418.00,418.00),(5571,'KBFA001','Exérèse de lésion de la région pinéale, par craniotomie',1034.43,863.31),(5572,'KCFA001','Lobectomie unilatérale de la glande thyroïde, par cervicotomie',264.46,236.41),(5573,'KCFA002','Thyroïdectomie totale avec résection partielle de cartilage du larynx, par cervicotomie',545.22,447.90),(5574,'KCFA003','Thyroïdectomie totale avec résection non interruptrice de la trachée, par cervicotomie',601.94,489.21),(5575,'KCFA004','Isthmectomie de la glande thyroïde, par cervicotomie',125.40,125.40),(5576,'KCFA005','Thyroïdectomie totale, par cervicotomie',460.85,385.43),(5577,'KCFA006','Thyroïdectomie totale avec résection interruptrice et anastomose de la trachée, par cervicotomie',792.66,713.58),(5578,'KCFA007','Thyroïdectomie totale, par cervicothoracotomie',567.20,460.65),(5579,'KCFA008','Lobo-isthmectomie unilatérale de la glande thyroïde, par cervicotomie',283.60,273.85),(5580,'KCFA009','Thyroïdectomie subtotale, par cervicothoracotomie',567.20,460.65),(5581,'KCFA010','Thyroïdectomie subtotale, par cervicotomie',354.50,314.98),(5582,'KCFA011','Exérèse d\'un kyste du tractus thyréoglosse',238.70,208.68),(5583,'KCGA001','Énucléation de nodule de la glande thyroïde, par cervicotomie',134.00,130.39),(5584,'KCHB001','Ponction ou cytoponction de la glande thyroïde, par voie transcutanée sans guidage',38.40,38.40),(5585,'KCHJ001','Ponction ou cytoponction d\'une lésion de la glande thyroïde, par voie transcutanée avec guidage échographique',38.40,38.40),(5586,'KCHJ002','Biopsie de plusieurs lésions de la glande thyroïde, par voie transcutanée avec guidage échographique',76.80,76.80),(5587,'KCHJ003','Biopsie d\'une lésion de la glande thyroïde, par voie transcutanée avec guidage échographique',76.80,76.80),(5588,'KCHJ004','Ponction ou cytoponction de plusieurs lésions de la glande thyroïde, par voie transcutanée avec guidage échographique',47.15,38.40),(5589,'KCJA001','Évacuation de collection de la loge thyroïdienne, par cervicotomie',136.84,96.92),(5590,'KCJB001','Évacuation de collection de la glande thyroïde et/ou de sa loge, par voie transcutanée',38.40,38.40),(5591,'KCMA001','Totalisation secondaire de thyroïdectomie, par cervicotomie',481.41,331.88),(5592,'KCNL003','Irradiation interne de la glande thyroïde par administration d\'iode 131 à une dose inférieure ou égale à 1 gigabecquerel [GBq]',70.74,70.74),(5593,'KCNL004','Irradiation interne de la glande thyroïde par administration d\'iode 131 à une dose supérieure à 1 gigabecquerel [GBq]',176.85,176.85),(5594,'KCQL001','Scintigraphie de la glande thyroïde avec mesure radio-isotopique de la fixation thyroïdienne de l\'iode',162.76,162.76),(5595,'KCQL002','Mesure radio-isotopique de la fixation thyroïdienne de l\'iode',56.65,56.65),(5596,'KCQL003','Scintigraphie de la glande thyroïde',109.70,109.70),(5597,'KCQM001','Échographie transcutanée de la glande thyroïde',34.97,34.97),(5598,'KCQM001','Échographie transcutanée de la glande thyroïd',34.97,34.97),(5599,'KCQX004','Examen anatomopathologique à visée carcinologique de pièce de thyroïdectomie subtotale ou totale',99.26,99.26),(5600,'KCQX005','Examen anatomopathologique à visée carcinologique de pièce de lobectomie ou de lobo-isthmectomie thyroïdienne',64.86,64.86),(5601,'KDEA001','Réimplantation secondaire de parathyroïde',239.49,239.49),(5602,'KDFA001','Parathyroïdectomie totale avec réimplantation immédiate de parathyroïde',446.67,403.54),(5603,'KDFA002','Parathyroïdectomie unique sans exploration des autres sites parathyroïdiens, par cervicotomie',263.75,253.56),(5604,'KDFA003','Exérèse de tissu parathyroïdien préalablement transplanté',239.49,239.49),(5605,'KDFC001','Parathyroïdectomie unique sans exploration des autres sites parathyroïdiens, par cervicoscopie',263.75,253.56),(5606,'KDQA001','Exploration des sites parathyroïdiens cervicaux, par cervicotomie',446.67,394.41),(5607,'KDQA002','Exploration des sites parathyroïdiens médiastinaux, par thoracotomie',446.67,390.74),(5608,'KDQA003','Exploration des sites parathyroïdiens cervicaux et médiastinaux, par cervicothoracotomie',446.67,416.35),(5609,'KDQC002','Exploration des sites parathyroïdiens médiastinaux, par vidéochirurgie',512.61,445.11),(5610,'KDQC900','Exploration des sites parathyroïdiens cervicaux, par cervicoscopie',0.00,0.00),(5611,'KDQL001','Scintigraphie des glandes parathyroïdes',268.87,268.87),(5612,'KDQM001','Échographie transcutanée des glandes parathyroïdes',37.80,37.80),(5613,'KDQM001','Échographie transcutanée des glandes parathyroïde',37.80,37.80),(5614,'KDQX005','Examen anatomopathologique à visée carcinologique de pièce de parathyroïdectomie',60.35,60.35),(5615,'KEFA001','Surrénalectomie totale pour phéochromocytome, par abord direct',774.23,606.34),(5616,'KEFA002','Surrénalectomie partielle ou totale, par abord direct',520.41,459.12),(5617,'KEFC001','Surrénalectomie totale pour phéochromocytome, par coelioscopie ou par rétropéritonéoscopie',886.25,683.40),(5618,'KEFC002','Surrénalectomie partielle ou totale, par coelioscopie ou par rétropéritonéoscopie',602.65,518.91),(5619,'KEQL001','Scintigraphie médullosurrénalienne',180.44,180.44),(5620,'KEQL002','Scintigraphie corticosurrénalienne',180.44,180.44),(5621,'KEQX004','Examen anatomopathologique à visée carcinologique de pièce de surrénalectomie',99.70,99.70),(5622,'KFFA001','Exérèse de tumeur parapharyngienne, par cervicotomie',512.61,380.34),(5623,'KGQL001','Mesure de la clairance radio-isotopique plasmatique et urinaire',134.56,134.56),(5624,'KGQL002','Mesure radio-isotopique du métabolisme phosphocalcique',180.44,180.44),(5625,'KGQL003','Mesure radio-isotopique des compartiments biologiques',127.39,127.39),(5626,'KGQL004','Mesure de la clairance radio-isotopique plasmatique',134.56,134.56),(5627,'KGQP001','Mesure de la production respiratoire d\'hydrogène [Breath test]',22.24,22.24),(5628,'KGQP002','Mesure de la sensibilité à l\'insuline avec administration intraveineuse de glucose et d\'insuline, avec mesure de la production hépatique de glucose',0.00,0.00),(5629,'KGQP003','Mesure de la sécrétion d\'insuline avec administration intraveineuse de glucose',0.00,0.00),(5630,'KGQP005','Mesure de la sensibilité à l\'insuline avec administration intraveineuse de glucose et d\'insuline, sans mesure de la production hépatique de glucose',0.00,0.00),(5631,'KGRL001','Test radio-isotopique d\'absorption digestive de la vitamine B12',53.06,53.06),(5632,'KZFA001','Exérèse de tumeur endocrinienne intraabdominale ectopique, par laparotomie',339.61,240.87),(5633,'KZFC001','Exérèse de tumeur endocrinienne intraabdominale ectopique, par coelioscopie',405.55,267.48),(5634,'KZQL002','Scintigraphie aux analogues de la somatostatine avec tomoscintigraphie complémentaire, scintigraphie du corps entier complémentaire d\'une image segmentaire et scintigraphie du corps entier à 72 heures',401.51,401.51),(5635,'KZQL003','Scintigraphie aux analogues de la somatostatine en 2 temps',268.87,268.87),(5636,'KZQL004','Scintigraphie aux analogues de la somatostatine en 2 temps, avec scintigraphie du corps entier complémentaire d\'une image segmentaire',401.51,401.51),(5637,'LABA001','Apposition modelante de l\'étage supérieur de la face, par abord coronal',257.37,237.05),(5638,'LABA002','Désépaississement des tissus de recouvrement d\'un site implantaire',41.80,41.80),(5639,'LABA003','Apposition modelante de l\'étage supérieur de la face, par abord facial',167.32,167.27),(5640,'LABA004','Apposition modelante de l\'étage moyen de la face, par abord direct',202.07,187.43),(5641,'LACA001','Ostéosynthèse de fracture du bord infraorbitaire, à foyer ouvert',209.00,209.00),(5642,'LACA002','Ostéosynthèse de fracture de l\'os zygomatique [malaire], à foyer ouvert',239.49,239.49),(5643,'LACA003','Ostéosynthèse de fracture de l\'os zygomatique [malaire] avec réfection du plancher de l\'orbite, par abord direct',343.99,343.99),(5644,'LACA004','Ostéosynthèse de fracture unilatérale de la paroi antérieure du sinus frontal à foyer ouvert, par abord coronal',285.73,235.94),(5645,'LACA005','Ostéosynthèse de fracture naso-ethmoïdo-maxillo-fronto-orbitaire, par abord coronal',598.40,447.66),(5646,'LACA006','Ostéosynthèse de fracture frontonasale à foyer ouvert, par abord coronal',243.35,243.35),(5647,'LACA007','Ostéosynthèse de fractures latérofaciales multiples à foyer ouvert, par abord facial',258.08,250.27),(5648,'LACA008','Ostéosynthèse de fractures latérofaciales multiples à foyer ouvert, par abord coronal',333.94,294.27),(5649,'LACA009','Ostéosynthèse de fracture fronto-naso-maxillaire à foyer ouvert par abord facial, avec canthopexie',332.92,332.92),(5650,'LACA010','Ostéosynthèse de fracture frontonasale à foyer ouvert, par abord facial',234.68,206.34),(5651,'LACA011','Ostéosynthèse de fracture fronto-naso-maxillaire à foyer ouvert, par abord coronal',313.19,313.19),(5652,'LACA012','Ostéosynthèse d\'une embarrure de la voûte du crâne',313.50,313.50),(5653,'LACA013','Ostéosynthèse de fracture fronto-naso-maxillaire à foyer ouvert, par abord facial',264.25,264.25),(5654,'LACA014','Ostéosynthèse de fracture bilatérale de la paroi antérieure du sinus frontal à foyer ouvert, par abord coronal',321.18,256.50),(5655,'LACA015','Ostéosynthèse de fracture bilatérale de la paroi antérieure du sinus frontal à foyer ouvert, par abord facial',231.42,231.42),(5656,'LACA016','Ostéosynthèse de fracture cranioorbitaire',392.79,333.16),(5657,'LACA017','Ostéosynthèse de fracture cranioorbitaire avec fermeture de brèche ostéodurale',550.22,550.22),(5658,'LACA018','Ostéosynthèse de fracture fronto-naso-maxillaire à foyer ouvert par abord coronal, avec canthopexie',390.91,390.91),(5659,'LACA019','Ostéosynthèse de fracture unilatérale de la paroi antérieure du sinus frontal à foyer ouvert, par abord facial',239.64,209.22),(5660,'LACA020','Ostéosynthèse de fracture craniofaciale',275.01,275.01),(5661,'LACB001','Ostéosynthèse de fracture maxillonasale, à foyer fermé',167.20,167.20),(5662,'LACB002','Ostéosynthèse de fracture de l\'os zygomatique [malaire] ou de l\'arcade zygomatique, à foyer fermé',239.49,239.49),(5663,'LACB003','Ostéosynthèse de fracture panfaciale instable par appareillage à ancrage péricrânien, à foyer fermé',301.49,301.49),(5664,'LAEA001','Réduction de fracture du bord supraorbitaire sans interposition, par abord sourcilier',209.00,209.00),(5665,'LAEA002','Avancement frontoorbitaire symétrique ou asymétrique sans remodelage frontal, par craniotomie',486.86,486.86),(5666,'LAEA003','Réduction de fracture du bord supraorbitaire avec interposition de matériau inerte et/ou autogreffe, par abord sourcilier',209.00,209.00),(5667,'LAEA004','Avancement combiné du front et de la face [Monobloc frontofacial], sans pose de distracteur',632.24,632.24),(5668,'LAEA006','Avancement frontoorbitaire symétrique ou asymétrique avec remodelage frontal, par craniotomie',951.48,727.42),(5669,'LAEA007','Réduction de fracture de l\'os nasal, par abord direct',58.52,50.07),(5670,'LAEA008','Réduction de fracture de la partie tympanique de l\'os temporal [os tympanal]',50.05,45.15),(5671,'LAEA009','Avancement combiné du front et de la face [Monobloc frontofacial], avec pose de distracteur',632.24,632.24),(5672,'LAEB001','Réduction de fracture du plancher de l\'orbite à foyer fermé, par ballonnet intrasinusien introduit par abord intrabuccal',167.20,167.20),(5673,'LAEP001','Réduction orthopédique de fracture de l\'os zygomatique [malaire] ou de l\'arcade zygomatique',104.50,104.50),(5674,'LAEP002','Réduction orthopédique de fracture de l\'os nasal [des os propres du nez]',63.91,53.20),(5675,'LAEP003','Réduction orthopédique de traumatisme nasal obstétrical',59.29,50.51),(5676,'LAFA001','Résection fronto-ethmoïdo-sphénoïdo-maxillaire, par abord paralatéronasal',727.65,580.04),(5677,'LAFA003','Résection fronto-ethmoïdo-sphénoïdo-maxillaire, par abord paralatéronasal et par abord infrafrontal',649.88,446.17),(5678,'LAFA004','Exérèse de tumeur de la voûte du crâne avec cranioplastie',355.30,355.30),(5679,'LAFA005','Pétrectomie totale',1245.09,985.49),(5680,'LAFA006','Résection fronto-ethmoïdo-sphénoïdo-maxillaire avec exérèse de la lame criblée et de méninge, par abord paralatéronasal',947.87,707.77),(5681,'LAFA008','Prélèvement d\'autogreffe osseuse par dédoublement de la voûte du crâne',0.00,0.00),(5682,'LAFA011','Exérèse de tumeur de la voûte du crâne sans cranioplastie',250.80,250.80),(5683,'LAFA012','Résection modelante de l\'étage moyen de la face, par abord intrabuccal',197.81,184.95),(5684,'LAFA013','Exérèse partielle d\'un os de la face sans interruption de la continuité, par abord direct',167.20,167.20),(5685,'LAFA014','Mastoïdectomie ou atticomastoïdectomie totale',281.29,281.29),(5686,'LAFA015','Ethmoïdectomie totale unilatérale avec septoplastie nasale et sphénoïdotomie, par endoscopie',503.58,388.63),(5687,'LAFA016','Ethmoïdectomie totale unilatérale avec septoplastie nasale, par endoscopie',394.24,307.67),(5688,'LAFA017','Ethmoïdectomie totale unilatérale avec sphénoïdotomie, par endoscopie',472.78,344.44),(5689,'LAFA018','Ethmoïdectomie totale bilatérale avec sphénoïdotomie, par endoscopie',642.18,477.81),(5690,'LAFA019','Ethmoïdectomie totale bilatérale avec septoplastie nasale et sphénoïdotomie, par endoscopie',776.93,555.95),(5691,'LAFA020','Ethmoïdectomie totale bilatérale avec septoplastie nasale, par endoscopie',589.82,421.10),(5692,'LAFA021','Ethmoïdectomie antérieure, par endoscopie',223.30,182.19),(5693,'LAFA022','Ethmoïdectomie totale bilatérale, par endoscopie',560.56,404.13),(5694,'LAFA023','Ethmoïdectomie antérieure unilatérale avec septoplastie nasale, par endoscopie',324.94,267.47),(5695,'LAFA024','Ethmoïdectomie totale unilatérale, par endoscopie',375.76,270.61),(5696,'LAFA900','Craniectomie décompressive',0.00,0.00),(5697,'LAGA001','Ablation de plusieurs implants intraosseux crâniens et/ou faciaux sans résection osseuse, par abord facial',58.85,51.69),(5698,'LAGA002','Ablation de matériel interne d\'ostéosynthèse du massif facial sur 3 sites ou plus, par abord direct',121.95,97.06),(5699,'LAGA003','Ablation de matériel interne d\'ostéosynthèse ou de distraction du massif facial sur un site, par abord direct',81.54,64.84),(5700,'LAGA004','Ablation de matériel externe d\'ostéosynthèse ou de distraction du crâne et/ou du massif facial',88.63,68.96),(5701,'LAGA005','Ablation de matériel interne d\'ostéosynthèse ou de distraction du massif facial sur 2 sites, par abord direct',110.60,90.49),(5702,'LAGA006','Ablation d\'un implant intraosseux crânien ou facial sans résection osseuse, par abord direct',44.67,43.47),(5703,'LAGA007','Ablation de matériel de cranioplastie de la voûte',167.20,167.20),(5704,'LAGA008','Évidement pétromastoïdien',521.29,420.49),(5705,'LAHA001','Biopsie de la voûte du crâne [calvaria], par abord direct',104.50,104.50),(5706,'LAHA002','Biopsie d\'un os de la face, par abord direct',104.50,104.50),(5707,'LAHH002','Biopsie du crâne et/ou du massif facial, par voie transcutanée avec guidage radiologique',107.78,76.80),(5708,'LAHH004','Ponction ou cytoponction du crâne et/ou du massif facial, par voie transcutanée avec guidage radiologique',107.78,104.50),(5709,'LAHH005','Ponction ou cytoponction du crâne et/ou du massif facial, par voie transcutanée avec guidage scanographique',104.50,104.50),(5710,'LAHH006','Biopsie du crâne et/ou du massif facial, par voie transcutanée avec guidage scanographique',76.80,76.80),(5711,'LAHJ003','Ponction ou cytoponction du crâne et/ou du massif facial, par voie transcutanée avec guidage remnographique [IRM]',104.50,104.50),(5712,'LAHJ004','Biopsie du crâne et/ou du massif facial, par voie transcutanée avec guidage remnographique [IRM]',76.80,76.80),(5713,'LALA001','Pose de plusieurs implants intraosseux crâniens et/ou faciaux pour fixation d\'épithèse',250.80,250.80),(5714,'LALA002','Pose d\'un implant intraosseux crânien ou facial pour fixation d\'épithèse ou d\'appareillage auditif ostéo-intégré',167.20,167.20),(5715,'LALB001','Pose de moyen de liaison sur implants crâniens et/ou faciaux',115.20,115.20),(5716,'LAMA001','Reconstruction du tiers latéral du massif facial pour syndrome malformatif, par abord facial et par abord coronal',507.64,426.11),(5717,'LAMA002','Réparation d\'une fente craniofaciale impliquant l\'orbite avec abord de l\'étage antérieur de la base du crâne',1566.18,1040.05),(5718,'LAMA003','Réfection de la paroi médiale de l\'orbite, par abord facial',209.00,209.00),(5719,'LAMA004','Remodelage du rebord de l\'orbite sans autogreffe, par abord direct',167.20,167.20),(5720,'LAMA005','Réfection de la paroi médiale de l\'orbite, par abord coronal',229.65,229.65),(5721,'LAMA006','Remodelage du pôle postérieur du crâne, par abord direct',465.81,445.73),(5722,'LAMA007','Réfection du plancher de l\'orbite, par abord direct',209.00,209.00),(5723,'LAMA008','Réfection de paroi de l\'orbite avec réparation d\'un délabrement de la région orbitaire et de son contenu',452.35,350.15),(5724,'LAMA009','Cranioplastie de la voûte',209.00,209.00),(5725,'LAMA010','Remodelage du rebord de l\'orbite avec autogreffe osseuse, par abord direct',229.72,221.02),(5726,'LAMA011','Réparation d\'une fente craniofaciale impliquant l\'orbite sans abord de l\'étage antérieur de la base du crâne',1186.87,820.05),(5727,'LAMA012','Comblement d\'une dépression de la région orbitofaciale, sans exentération de l\'orbite, par matériau inerte ou autogreffe',330.34,323.27),(5728,'LANC001','Meulage extracrânien de la voûte du crâne, par vidéochirurgie',0.00,0.00),(5729,'LAPA001','Mise à plat de lésion infectieuse de la voûte du crâne [calvaria]',209.00,209.00),(5730,'LAPA002','Ostéotomie de l\'os zygomatique [malaire], par abord facial',275.80,265.30),(5731,'LAPA003','Décompression de l\'orbite par effondrement de trois parois, par abord direct',322.15,257.07),(5732,'LAPA004','Ostéotomie du complexe naso-ethmoïdo-maxillo-fronto-orbitaire pour cal vicieux, par abord facial et par abord coronal',567.20,394.81),(5733,'LAPA005','Taille et transposition de volet crânien n\'intéressant pas les orbites, sans remodelage du pôle postérieur du crâne',452.34,437.92),(5734,'LAPA006','Taille et transposition de volet crânien intéressant les orbites',650.86,553.06),(5735,'LAPA007','Ostéotomie du cadre de l\'orbite pour dystopie posttraumatique, par abord facial et par abord coronal',228.94,228.94),(5736,'LAPA008','Taille de volet crânien sans transposition',418.00,418.00),(5737,'LAPA009','Ostéotomie craniofaciale extracrânienne type Le Fort III, par abord intrabuccal et par abord coronal',695.85,695.85),(5738,'LAPA010','Ostéotomie du tiers latéral de la face, par abord coronal',455.89,369.75),(5739,'LAPA011','Ostéotomie d\'agrandissement du cadre de l\'orbite, par abord facial',441.71,343.97),(5740,'LAPA012','Décompression de l\'orbite par effondrement de la paroi inférieure et/ou de la paroi médiale, par abord direct',281.98,233.77),(5741,'LAPA013','Ostéotomie d\'agrandissement du cadre de l\'orbite, par abord coronal',371.12,371.12),(5742,'LAPA014','Ostéotomie craniofaciale extracrânienne type Le Fort III avec bipartition faciale, par abord intrabuccal et par abord coronal',1198.92,800.71),(5743,'LAPA015','Mise à plat de lésion infectieuse postopératoire de la voûte du crâne [calvaria], par reprise de l\'abord précédent',209.00,209.00),(5744,'LAPA016','Taille et transposition de volet crânien n\'intéressant pas les orbites, avec remodelage du pôle postérieur du crâne',496.30,463.42),(5745,'LAPB001','Dégagement et activation de 4 implants intraosseux intrabuccaux, chez l\'adulte',288.42,288.42),(5746,'LAPB001','Dégagement et activation de 4 implants intraosseux',288.42,288.42),(5747,'LAPB002','Dégagement et activation d\'un implant intraosseux',87.78,87.78),(5748,'LAPB002','Dégagement et activation d\'1 implant intraosseux intrabuccaux, chez l\'adulte',87.78,87.78),(5749,'LAPB003','Dégagement et activation de 3 implants intraosseux',221.54,221.54),(5750,'LAPB003','Dégagement et activation de 3 implants intraosseux intrabuccaux, chez l\'adulte',221.54,221.54),(5751,'LAPB004','Dégagement et activation de 2 implants intraosseux',154.66,154.66),(5752,'LAPB004','Dégagement et activation de 2 implants intraosseux intrabuccaux, chez l\'adulte',154.66,154.66),(5753,'LAPB005','Dégagement et activation de 5 implants intraosseux',355.30,355.30),(5754,'LAPB005','Dégagement et activation de 5 implants intraosseux intrabuccaux, chez l\'adulte',355.30,355.30),(5755,'LAPB006','Dégagement et activation de 6 implants intraosseux',422.18,422.18),(5756,'LAPB006','Dégagement et activation de 6 implants intraosseux intrabuccaux, chez l\'adulte',422.18,422.18),(5757,'LAPB007','Dégagement et activation de 7 implants intraosseux ou plus',489.06,489.06),(5758,'LAPB007','Dégagement et activation de 7 implants intraosseux intra buccaux, chez l\'adulte',489.06,489.06),(5759,'LAPB030','Dégagement et activation de 9 implants intraosseux intrabuccaux, chez l\'adulte',622.82,622.82),(5760,'LAPB047','Dégagement et activation de 8 implants intraosseux intrabuccaux, chez l\'adulte',555.94,555.94),(5761,'LAPB122','Dégagement et activation de 10 implants intraosseux intrabuccaux, chez l\'adulte',689.70,689.70),(5762,'LAPB288','Dégagement et activation de 11 implants intraosseux intrabuccaux ou plus',0.00,0.00),(5763,'LAPB311','Dégagement et activation de 2 implants intraosseux intrabuccaux, chez l\'enfant',163.02,163.02),(5764,'LAPB408','Dégagement et activation de 4 implants intraosseux intrabuccaux, chez l\'enfant',300.96,300.96),(5765,'LAPB451','Dégagement et activation d\'1 implant intraosseux intrabuccal, chez l\'enfant',94.05,94.05),(5766,'LAPB459','Dégagement et activation de 3 implants intraosseux intrabuccaux, chez l\'enfant',231.99,231.99),(5767,'LAQJ001','Remnographie [IRM] de la face, avec injection intraveineuse de produit de contraste',69.00,69.00),(5768,'LAQK001','Téléradiographie du crâne et du massif facial selon 2 incidences',26.60,26.60),(5769,'LAQK002','Scanographie unilatérale ou bilatérale de la partie pétreuse de l\'os temporal [rocher] et de l\'oreille moyenne',25.27,25.27),(5770,'LAQK003','Radiographie du crâne et/ou du massif facial selon 1 ou 2 incidences',23.94,23.94),(5771,'LAQK004','Analyse céphalométrique craniofaciale bidimensionnelle',0.00,0.00),(5772,'LAQK004','Analyse céphalométrique craniofaciale bidimensionnell',0.00,0.00),(5773,'LAQK005','Radiographie du crâne et/ou du massif facial selon 3 incidences ou plus',34.58,34.58),(5774,'LAQK005','Radiographie du crâne selon 3 incidences ou plus',34.58,34.58),(5775,'LAQK006','Analyse céphalométrique architecturale craniofaciale',0.00,0.00),(5776,'LAQK006','Analyse céphalométrique architecturale craniofacial',0.00,0.00),(5777,'LAQK007','Analyse céphalométrique craniofaciale tridimensionnelle',0.00,0.00),(5778,'LAQK007','Analyse céphalométrique craniofaciale tridimensionnell',0.00,0.00),(5779,'LAQK008','Téléradiographie du crâne et du massif facial selon 3 incidences',26.60,26.60),(5780,'LAQK009','Scanographie de la face avec scanographie des tissus mous du cou',25.27,25.27),(5781,'LAQK010','Analyse céphalométrique craniofaciale bidimensionnelle avec simulation des objectifs thérapeutiques',0.00,0.00),(5782,'LAQK010','Analyse céphalométrique craniofaciale bidimensionnelle avec simulation des objectifs thérapeutique',0.00,0.00),(5783,'LAQK011','Scanographie unilatérale ou bilatérale de l\'angle pontocérébelleux et/ou du méat acoustique interne [conduit auditif interne]',25.27,25.27),(5784,'LAQK012','Téléradiographie du crâne et du massif facial selon 1 incidence',19.95,19.95),(5785,'LAQK013','Scanographie de la face',25.27,25.27),(5786,'LAQK027','Radiographie volumique par faisceau conique [cone beam computerized tomography][CBCT] du maxillaire, de la mandibule et/ou d\'arcade dentaire',69.00,69.00),(5787,'LAQN001','Remnographie [IRM] de la face, sans injection intraveineuse de produit de contraste',69.00,69.00),(5788,'LARA001','Mobilisation partielle des cadres de l\'orbite horizontalement ou par bipartition faciale, par abord extracrânien',837.62,837.62),(5789,'LARA002','Mobilisation partielle d\'un cadre de l\'orbite, par abord extracrânien',684.89,485.02),(5790,'LARA003','Mobilisation totale des cadres de l\'orbite horizontalement ou par bipartition faciale, par craniotomie',864.27,676.84),(5791,'LARA004','Mobilisation totale d\'un cadre de l\'orbite, par craniotomie',457.88,457.88),(5792,'LBAA001','Allongement osseux progressif de l\'os maxillaire ou de la mandibule par distracteur, par abord direct',374.48,374.48),(5793,'LBBA003','Apposition modelante de la mandibule, par abord intrabuccal ou facial',186.47,178.38),(5794,'LBBA004','Comblement de perte de substance mandibulaire interruptrice segmentaire latérale respectant la région articulaire, par abord intrabuccal ou facial',325.43,320.42),(5795,'LBBA005','Apposition modelante du menton, par abord intrabuccal',167.20,167.20),(5796,'LBBA006','Comblement de perte de substance mandibulaire interruptrice segmentaire antérieure limitée au corps, par abord intrabuccal ou facial',313.50,313.50),(5797,'LBCA001','Ostéosynthèse de fracture extracondylaire bifocale de la mandibule, à foyer ouvert',239.49,239.49),(5798,'LBCA002','Ostéosynthèse de fracture extracondylaire plurifocale de la mandibule, à foyer ouvert',239.49,239.49),(5799,'LBCA003','Ostéosynthèse et/ou suspension faciale pour fracture occlusofaciale de type Le Fort I, par abord direct',224.04,200.17),(5800,'LBCA004','Ostéosynthèse de fracture du condyle de la mandibule à foyer ouvert, sans dissection du nerf facial',239.49,239.49),(5801,'LBCA005','Ostéosynthèse et/ou suspension faciale pour fracture occlusofaciale de type Le Fort III, par abord direct',236.36,236.36),(5802,'LBCA006','Ostéosynthèse de fracture extracondylaire unifocale de la mandibule, à foyer ouvert',239.49,239.49),(5803,'LBCA007','Ostéosynthèse de fracture du condyle de la mandibule à foyer ouvert, avec dissection du nerf facial',351.66,304.55),(5804,'LBCA008','Ostéosynthèse de fracture comminutive de la mandibule avec parage d\'un délabrement des tissus mous de la face',270.84,270.84),(5805,'LBCA009','Ostéosynthèse et/ou suspension faciale pour fracture occlusofaciale de type Le Fort II, par abord direct',229.77,229.77),(5806,'LBCA010','Ostéosynthèse de disjonction intermaxillaire ou de fracture du palais, par abord intrabuccal',187.89,179.20),(5807,'LBCB001','Ostéosynthèse de fracture extracondylaire plurifocale de la mandibule, à foyer fermé',239.49,239.49),(5808,'LBCB002','Ostéosynthèse de fracture extracondylaire unifocale de la mandibule, à foyer fermé',239.49,239.49),(5809,'LBDA001','Discopexie temporomandibulaire, par arthrotomie',167.20,167.20),(5810,'LBDD001','Blocage maxillomandibulaire avec ablation de matériel d\'ostéosynthèse, pour traitement de pseudarthrose mandibulaire',343.99,343.99),(5811,'LBEA001','Réduction d\'une luxation temporomandibulaire, par abord direct',167.20,167.20),(5812,'LBED001','Réduction orthopédique de fracture occlusofaciale [fracture type Le Fort I, II ou III], avec contention par blocage maxillomandibulaire',250.80,250.80),(5813,'LBED002','Réduction orthopédique de fracture unifocale du corps de la mandibule, avec contention mandibulaire',209.00,209.00),(5814,'LBED003','Réduction orthopédique de fracture extracondylaire plurifocale de la mandibule, avec blocage maxillomandibulaire',209.00,209.00),(5815,'LBED004','Réduction orthopédique de disjonction intermaxillaire ou de fracture du palais, avec contention par blocage maxillomandibulaire',250.80,250.80),(5816,'LBED005','Réduction orthopédique de fracture plurifocale du corps de la mandibule, avec contention mandibulaire',209.00,209.00),(5817,'LBED006','Réduction orthopédique de fracture extracondylaire unifocale de la mandibule, avec blocage maxillomandibulaire',209.00,209.00),(5818,'LBEP001','Réduction d\'un décalage postéroantérieur des arcades dentaires par dispositif orthopédique et/ou dispositif fonctionnel',0.00,0.00),(5819,'LBEP002','Réduction orthopédique de fracture du corps de la mandibule, avec contention par appareillage personnalisé',125.40,125.40),(5820,'LBEP003','Réduction d\'une insuffisance transversale de l\'os maxillaire par dispositif orthopédique et/ou dispositif fonctionnel',0.00,0.00),(5821,'LBEP004','Réduction d\'un décalage antéropostérieur des arcades dentaires par dispositif orthopédique et/ou dispositif fonctionnel',0.00,0.00),(5822,'LBEP005','Réduction orthopédique d\'une luxation temporomandibulaire unilatérale ou bilatérale',19.14,15.49),(5823,'LBEP006','Réduction d\'une insuffisance transversale de la mandibule par dispositif orthopédique',0.00,0.00),(5824,'LBEP007','Réduction d\'un décalage vertical des arcades dentaires par dispositif orthopédique et/ou dispositif fonctionnel',0.00,0.00),(5825,'LBEP008','Réduction d\'un décalage transversal des arcades dentaires par dispositif orthopédique et/ou dispositif fonctionnel',0.00,0.00),(5826,'LBEP009','Réduction orthopédique de disjonction intermaxillaire ou de fracture du palais, avec contention par appareillage personnalisé',250.80,250.80),(5827,'LBFA001','Exérèse de la totalité de la voûte palatine, par abord direct',229.01,203.05),(5828,'LBFA002','Exérèse de lésion de l\'os maxillaire et/ou du corps de la mandibule de plus de 4 cm de grand axe, par abord intrabuccal',121.95,114.62),(5829,'LBFA003','Résection partielle de la tête du condyle de la mandibule, par abord facial',170.87,169.33),(5830,'LBFA004','Résection de la mandibule pour pseudarthrose avec comblement par autogreffe osseuse, par abord direct',386.41,368.59),(5831,'LBFA005','Maxillectomie totale sans reconstruction',595.98,451.01),(5832,'LBFA006','Maxillectomie supérieure sans reconstruction',475.09,380.89),(5833,'LBFA007','Maxillectomie totale, avec reconstruction du plancher de l\'orbite par lambeau de septum nasal',615.23,506.06),(5834,'LBFA008','Résection non interruptrice extracondylaire de la mandibule, par abord direct',142.51,126.54),(5835,'LBFA009','Résection interruptrice segmentaire antérieure du corps de la mandibule avec comblement, par abord direct',423.27,385.95),(5836,'LBFA010','Résection modelante du menton, par abord intrabuccal',167.20,167.20),(5837,'LBFA011','Maxillectomie supérieure, avec reconstruction du plancher de l\'orbite par lambeau de septum nasal',521.29,451.58),(5838,'LBFA012','Résection d\'un bloc d\'ankylose temporomandibulaire complète avec reconstruction du condyle de la mandibule par greffe ostéochondrale, par abord direct',641.65,495.04),(5839,'LBFA013','Discectomie temporomandibulaire, par arthrotomie',167.20,167.20),(5840,'LBFA014','Exérèse d\'une hémivoûte palatine, par abord direct',177.96,173.44),(5841,'LBFA015','Exérèse de lésion du ramus de la mandibule, par abord intrabuccal',167.20,167.20),(5842,'LBFA016','Résection d\'un bloc d\'ankylose temporomandibulaire complète avec reconstruction de l\'articulation par prothèse, par abord direct',446.67,417.08),(5843,'LBFA017','Résection interruptrice extracondylaire segmentaire latérale de la mandibule avec comblement, par abord direct',428.95,389.24),(5844,'LBFA018','Résection modelante de la mandibule, par abord intrabuccal',176.54,172.62),(5845,'LBFA019','Résection de bloc d\'ankylose temporomandibulaire latérale, par abord direct',210.57,209.91),(5846,'LBFA020','Résection interruptrice segmentaire antérieure du corps de la mandibule par abord direct, avec pose de dispositif intrafocal de contention, sans comblement',289.98,273.53),(5847,'LBFA022','Résection interruptrice du processus condylaire de la mandibule par abord direct, avec pose de dispositif terminal, sans comblement',309.12,284.63),(5848,'LBFA023','Exérèse de lésion de l\'os maxillaire et/ou du corps de la mandibule de moins de 2 cm de grand axe, par abord intrabuccal',58.14,46.89),(5849,'LBFA024','Maxillectomie inférieure',359.59,313.90),(5850,'LBFA025','Coronoïdectomie mandibulaire, par abord intrabuccal',167.20,167.20),(5851,'LBFA026','Résection interruptrice du processus condylaire de la mandibule par abord direct, sans pose de dispositif terminal ni comblement',250.80,250.80),(5852,'LBFA027','Résection interruptrice extracondylaire segmentaire latérale de la mandibule par abord direct, avec pose de dispositif intrafocal de contention, sans comblement',285.02,270.64),(5853,'LBFA028','Exérèse d\'un quadrant de la voûte palatine, par abord direct',167.20,167.20),(5854,'LBFA029','Résection interruptrice segmentaire antérieure du corps de la mandibule par abord direct, sans pose de dispositif intrafocal de contention ni comblement',250.80,250.80),(5855,'LBFA030','Exérèse de lésion de l\'os maxillaire et/ou du corps de la mandibule de 2 cm à 4 cm de grand axe, par abord intrabuccal',80.83,73.21),(5856,'LBFA031','Résection d\'hypertrophie osseuse intrabuccale',36.87,34.55),(5857,'LBFA032','Éminencectomie [Condyloplastie temporale] ou création de butée temporomandibulaire',167.20,167.20),(5858,'LBFA033','Maxillectomie moyenne',475.09,380.89),(5859,'LBFA034','Résection interruptrice latéroterminale de la mandibule par abord direct, sans pose de dispositif latéroterminal ni comblement',250.80,250.80),(5860,'LBFA035','Résection d\'un bloc d\'ankylose temporomandibulaire complète, par abord direct',313.50,313.50),(5861,'LBFA036','Résection interruptrice extracondylaire segmentaire latérale de la mandibule par abord direct, sans pose de dispositif intrafocal de contention ni comblement',250.80,250.80),(5862,'LBFA037','Résection interruptrice latéroterminale de la mandibule par abord direct, avec pose de dispositif latéroterminal de contention, sans comblement',350.42,350.42),(5863,'LBFA038','Résection interruptrice du processus condylaire de la mandibule par abord direct, avec comblement par autogreffe chondrocostale',334.40,334.40),(5864,'LBFA039','Résection interruptrice latéroterminale de la mandibule par abord direct, avec comblement par autogreffe chondrocostale',334.40,334.40),(5865,'LBGA001','Ablation de corps étranger de l\'articulation temporomandibulaire, par arthrotomie',143.22,118.17),(5866,'LBGA002','Ablation de 3 implants intraosseux intrabuccaux avec résection osseuse',100.32,100.32),(5867,'LBGA002','Ablation de 3 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',100.32,100.32),(5868,'LBGA003','Ablation de 2 implants intraosseux intrabuccaux ou d\'un implant-lame avec résection osseuse',85.69,85.69),(5869,'LBGA003','Ablation de 2 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',85.69,85.69),(5870,'LBGA004','Ablation d\'un implant intraosseux intrabuccal avec résection osseuse',71.06,71.06),(5871,'LBGA004','Ablation d\'1 implant intraosseux intrabuccal avec résection osseuse, chez l\'adulte',71.06,71.06),(5872,'LBGA005','Évidement de la mandibule, par abord intrabuccal',104.50,104.50),(5873,'LBGA006','Ablation de 4 implants intraosseux intrabuccaux avec résection osseuse',114.95,114.95),(5874,'LBGA006','Ablation de 4 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',114.95,114.95),(5875,'LBGA007','Ablation de 5 implants intraosseux intrabuccaux avec résection osseuse',129.58,129.58),(5876,'LBGA007','Ablation de 5 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',129.58,129.58),(5877,'LBGA008','Ablation de 6 implants intraosseux intrabuccaux avec résection osseuse',144.21,144.21),(5878,'LBGA008','Ablation de 6 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',144.21,144.21),(5879,'LBGA009','Ablation de 7 implants intraosseux intrabuccaux ou plus, avec résection osseuse',158.84,158.84),(5880,'LBGA009','Ablation de 7 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',158.84,158.84),(5881,'LBGA049','Ablation de 4 implants intraosseux intrabuccaux avec résection osseuse, chez l\'enfant',144.21,144.21),(5882,'LBGA052','Ablation de 9 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',188.10,188.10),(5883,'LBGA113','Ablation de 11 implants intraosseux intrabuccaux ou plus, avec résection osseuse',0.00,0.00),(5884,'LBGA139','Ablation de 8 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',173.47,173.47),(5885,'LBGA168','Ablation de 10 implants intraosseux intrabuccaux avec résection osseuse, chez l\'adulte',202.73,202.73),(5886,'LBGA280','Ablation d\'1 implant intraosseux intrabuccal avec résection osseuse, chez l\'enfant',87.78,87.78),(5887,'LBGA354','Ablation de 3 implants intraosseux intrabuccaux avec résection osseuse, chez l\'enfant',125.40,125.40),(5888,'LBGA441','Ablation de 2 implants intraosseux intrabuccaux avec résection osseuse, chez l\'enfant',106.59,106.59),(5889,'LBGD001','Ablation de moyen de contention maxillaire et/ou mandibulaire intrabuccal',41.80,41.80),(5890,'LBLA001','Pose d\'une prothèse obturatrice à étage ou d\'une balle obturatrice souple après résection de l\'os maxillaire',288.00,288.00),(5891,'LBLB001','Infiltration et/ou lavage de l\'articulation temporomandibulaire, par voie transcutanée',32.61,22.94),(5892,'LBLB002','Infiltration périarticulaire temporomandibulaire, par voie transcutanée',17.02,13.90),(5893,'LBLD001','Pose d\'un châssis métallique support de prothèse maxillofaciale [prothèse obturatrice]',129.00,129.00),(5894,'LBLD002','Pose d\'un appareillage de mobilisation en latéralité et/ou en propulsion pour fracture unicondylaire ou bicondylaire de la mandibule',153.60,153.60),(5895,'LBLD003','Pose d\'une gouttière maxillaire ou mandibulaire pour hémostase ou portetopique',86.40,86.40),(5896,'LBLD004','Pose de 4 implants intraosseux intrabuccaux',1513.16,1513.16),(5897,'LBLD004','Pose de 4 implants intraosseux intrabuccaux, chez l\'adulte',1513.16,1513.16),(5898,'LBLD005','Pose d\'un appareillage de mobilisation mandibulaire en rotation et en propulsion',153.60,153.60),(5899,'LBLD006','Pose de gouttières maxillaire et mandibulaire pour hémostase ou portetopique',172.80,172.80),(5900,'LBLD007','Pose d\'un appareillage de protection dentomaxillaire',0.00,0.00),(5901,'LBLD008','Pose d\'un appareillage de mobilisation mandibulaire en rotation pure',153.60,153.60),(5902,'LBLD009','Pose d\'un appareillage par guide mandibulaire, vestibulaire ou lingual, sur 2 arcades',153.60,153.60),(5903,'LBLD010','Pose de 2 implants intraosseux intrabuccaux',785.84,785.84),(5904,'LBLD010','Pose de 2 implants intraosseux intrabuccaux, chez l\'adulte',785.84,785.84),(5905,'LBLD011','Pose d\'un appareillage par guide mandibulaire, vestibulaire ou lingual, sur 1 arcade',90.04,84.48),(5906,'LBLD012','Pose de dispositif intrabuccal d\'expansion tissulaire pour rehaussement de crête alvéolaire',0.00,0.00),(5907,'LBLD013','Pose de 3 implants intraosseux intrabuccaux',1149.50,1149.50),(5908,'LBLD013','Pose de 3 implants intraosseux intrabuccaux, chez l\'adulte',1149.50,1149.50),(5909,'LBLD014','Pose d\'une orthèse métallique recouvrant totalement ou partiellement une arcade dentaire',172.80,172.80),(5910,'LBLD015','Pose d\'un implant intraosseux intrabuccal',422.18,422.18),(5911,'LBLD015','Pose d\'1 implant intraosseux intrabuccal, chez l\'adulte',422.18,422.18),(5912,'LBLD016','Pose d\'un appareillage obturateur pour perte de substance maxillaire, chez un patient denté',151.73,112.19),(5913,'LBLD017','Pose d\'un appareillage en propulsion mandibulaire',150.00,150.00),(5914,'LBLD018','Pose d\'un appareillage par guide mandibulaire sagittal',153.60,153.60),(5915,'LBLD019','Pose de moyen de liaison sur 1 implant préprothétique intraosseux intrabuccal',160.93,160.93),(5916,'LBLD019','Pose de moyen de liaison sur implants intrabuccaux',160.93,160.93),(5917,'LBLD020','Pose de 5 implants intraosseux intrabuccaux',1876.82,1876.82),(5918,'LBLD020','Pose de 5 implants intraosseux intrabuccaux, chez l\'adulte',1876.82,1876.82),(5919,'LBLD021','Pose d\'un appareillage actif pur de rééducation de la cinétique mandibulaire',153.60,153.60),(5920,'LBLD022','Pose de gouttière plombée de protection dentoosseuse',153.60,153.60),(5921,'LBLD023','Pose d\'un appareillage obturateur pour perte de substance maxillaire, chez un patient édenté total',185.66,185.66),(5922,'LBLD024','Pose d\'une attelle portegreffon ou d\'une endoprothèse, après résection mandibulaire interruptrice',271.70,271.70),(5923,'LBLD025','Pose de 6 implants intraosseux intrabuccaux, chez l\'adulte',2240.48,2240.48),(5924,'LBLD025','Pose de 6 implants intraosseux intrabuccaux',2240.48,2240.48),(5925,'LBLD026','Pose de 7 implants intraosseux intrabuccaux, chez l\'adulte',2604.14,2604.14),(5926,'LBLD026','Pose de 7 implants intraosseux intrabuccaux ou plus',2604.14,2604.14),(5927,'LBLD034','Pose de moyen de liaison entre 2 implants intrabuccaux',96.14,96.14),(5928,'LBLD034','Pose de barre de conjonction entre 2 implants intrabuccaux',96.14,96.14),(5929,'LBLD038','Pose de 8 implants intraosseux intrabuccaux, chez l\'adulte',2967.80,2967.80),(5930,'LBLD057','Pose de moyen de liaison entre 3 implants intrabuccaux ou plus',144.21,144.21),(5931,'LBLD057','Pose de barre de conjonction entre 3 implants intrabuccaux ou plus',144.21,144.21),(5932,'LBLD066','Pose de 2 implants intraosseux intrabuccaux chez l\'enfant',806.74,806.74),(5933,'LBLD073','Pose de moyen de liaison sur 2 implants préprothétiques intraosseux intrabuccaux',309.32,309.32),(5934,'LBLD075','Pose d\'1 implant intraosseux intrabuccal, chez l\'enfant',438.90,438.90),(5935,'LBLD086','Pose de moyen de liaison sur 3 implants préprothétiques intraosseux intrabuccaux',457.71,457.71),(5936,'LBLD117','Pose de 4 implants intraosseux intrabuccaux chez l\'enfant',1542.42,1542.42),(5937,'LBLD143','Pose de moyen de liaison sur 7 implants préprothétiques intraosseux intrabuccaux',1051.27,1051.27),(5938,'LBLD193','Pose de moyen de liaison sur 4 implants préprothétiques intraosseux intrabuccaux',606.10,606.10),(5939,'LBLD200','Pose de 9 implants intraosseux intrabuccaux, chez l\'adulte',3331.46,3331.46),(5940,'LBLD214','Pose de moyen de liaison sur 10 implants préprothétiques intraosseux intrabuccaux',1496.44,1496.44),(5941,'LBLD235','Pose de moyen de liaison sur 8 implants préprothétiques intraosseux intrabuccaux',1199.66,1199.66),(5942,'LBLD261','Pose de 11 implants intraosseux intrabuccaux ou plus',0.00,0.00),(5943,'LBLD270','Pose de moyen de liaison sur 6 implants préprothétiques intraosseux intrabuccaux',902.88,902.88),(5944,'LBLD281','Pose de 3 implants intraosseux intrabuccaux chez l\'enfant',1174.58,1174.58),(5945,'LBLD294','Pose de 10 implants intraosseux intrabuccaux, chez l\'adulte',3695.12,3695.12),(5946,'LBLD311','Pose de moyen de liaison sur 9 implants préprothétiques intraosseux intrabuccaux',1348.05,1348.05),(5947,'LBLD420','Pose de moyen de liaison sur 11 implants préprothétiques intraosseux intrabuccaux ou plus',0.00,0.00),(5948,'LBLD447','Pose de moyen de liaison sur 5 implants préprothétiques intraosseux intrabuccaux',754.49,754.49),(5949,'LBLP001','Pose d\'un guide positionnel, au cours d\'une ostéotomie de la mâchoire',0.00,0.00),(5950,'LBMA001','Reconstruction de l\'articulation temporomandibulaire par prothèse',376.20,376.20),(5951,'LBMA002','Reconstruction du ramus de la mandibule par autogreffe ostéochondrale pour syndrome malformatif, par abord direct',392.38,392.38),(5952,'LBMA003','Reconstruction discale temporomandibulaire, par arthrotomie',209.00,209.00),(5953,'LBMA004','Reconstruction du condyle de la mandibule par greffe ostéochondrale',379.09,379.09),(5954,'LBMA006','Condyloplastie mandibulaire, par arthrotomie',209.00,209.00),(5955,'LBMP001','Simulation des objectifs thérapeutiques sur moulages des arcades dentaires',97.92,97.92),(5956,'LBMP001','Simulation des objectifs thérapeutiques sur moulages des arcades dentaires et/ou sur logiciel',97.92,97.92),(5957,'LBMP002','Montage directeur sur moulage d\'étude des arcades dentaires',0.00,0.00),(5958,'LBMP003','Réalisation de moulage d\'étude des arcades dentaires',0.00,0.00),(5959,'LBPA001','Ostéotomie d\'antépositionnement des épines mentonnières [apophyses geni] de la mandibule, par abord intrabuccal',478.98,478.98),(5960,'LBPA002','Ostéotomie sagittale du corps de la mandibule, par abord intrabuccal',272.26,245.68),(5961,'LBPA003','Décortication de la mandibule, par abord intrabuccal',148.18,129.83),(5962,'LBPA004','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie maxillaire d\'avancée type Le Fort I non segmentée, par abord intrabuccal',695.53,692.36),(5963,'LBPA005','Ostéotomie interruptrice du corps de la mandibule, en avant du trou mentonnier, par abord intrabuccal',224.04,217.72),(5964,'LBPA006','Ostéotomie maxillaire type Le Fort I segmentée en 3 fragments ou plus, par abord intrabuccal',478.98,478.98),(5965,'LBPA007','Ostéotomie verticale rétrolingulaire [rétrospigienne] du ramus de la mandibule, par abord facial',250.28,215.39),(5966,'LBPA008','Ostéotomie maxillaire segmentaire postérieure bilatérale, par abord intrabuccal',531.23,531.23),(5967,'LBPA009','Ostéotomie maxillaire segmentaire postérieure unilatérale, par abord intrabuccal',374.48,374.48),(5968,'LBPA010','Ostéotomie maxillozygomatique sans mobilisation de la pyramide nasale, par abord direct',478.98,478.98),(5969,'LBPA011','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie maxillaire type Le Fort I segmentée en 2 fragments et transposition du menton osseux, par abord intrabuccal',882.71,800.92),(5970,'LBPA012','Ostéotomie maxillaire interalvéolaire [Corticotomie alvéolodentaire] unique ou multiple, par abord intrabuccal',374.48,374.48),(5971,'LBPA013','Ostéotomie de transposition du menton osseux, par abord intrabuccal',170.87,142.99),(5972,'LBPA014','Ostéotomie interruptrice du corps de la mandibule, en arrière du trou mentonnier, par abord intrabuccal',266.58,242.40),(5973,'LBPA015','Ostéotomie maxillaire type Le Fort I non segmentée avec recul ou déplacement vertical, par abord intrabuccal',478.98,478.98),(5974,'LBPA016','Ostéotomie segmentaire alvéolaire de la mandibule en arrière du trou mentonnier, par abord intrabuccal',374.48,374.48),(5975,'LBPA017','Ostéotomie maxillaire d\'élévation sans mobilisation du palais, par abord intrabuccal',478.98,478.98),(5976,'LBPA018','Ostéotomie sousalvéolaire totale de la mandibule, par abord intrabuccal',478.98,478.98),(5977,'LBPA019','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie segmentaire alvéolaire de la mandibule en avant des trous mentonniers, par abord intrabuccal',635.73,635.73),(5978,'LBPA020','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie maxillaire type Le Fort I segmentée en 3 fragments ou plus, par abord intrabuccal',836.62,774.19),(5979,'LBPA021','Ostéotomie sagittale unilatérale du ramus de la mandibule [supralingulaire et préangulaire], par abord intrabuccal',258.79,237.88),(5980,'LBPA022','Ostéotomie maxillaire type hémi-Le Fort I, par abord intrabuccal',478.98,478.98),(5981,'LBPA023','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie maxillaire type Le Fort I segmentée en 2 fragments, par abord intrabuccal',718.93,705.93),(5982,'LBPA024','Ostéotomie d\'un segment du maxillaire pour correction d\'une malposition fragmentaire séquellaire d\'une fente orofaciale, par abord intrabuccal',374.48,374.48),(5983,'LBPA025','Ostéotomie de la mandibule pour cal vicieux, par abord direct',302.03,262.96),(5984,'LBPA026','Ostéotomie segmentaire alvéolaire de la mandibule en avant des trous mentonniers, par abord intrabuccal',374.48,374.48),(5985,'LBPA027','Ostéotomie maxillaire totale basse préimplantaire ou préprothétique avec interposition, par abord intrabuccal',478.98,478.98),(5986,'LBPA028','Ostéotomie maxillaire de type Le Fort I pour séquelle d\'une fente orofaciale, par abord intrabuccal',475.74,433.21),(5987,'LBPA029','Ostéotomie maxillaire type Le Fort I non segmentée avec avancée, par abord intrabuccal',478.98,478.98),(5988,'LBPA030','Ostéotomie verticale rétrolingulaire [rétrospigienne] du ramus de la mandibule, par abord intrabuccal',250.28,232.94),(5989,'LBPA031','Ostéotomie maxillaire segmentaire antérieure, par abord intrabuccal',374.48,374.48),(5990,'LBPA032','Ostéotomie sagittale intermaxillaire sans pose d\'un disjoncteur fixe, par abord intrabuccal',478.98,478.98),(5991,'LBPA033','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie maxillaire type Le Fort I segmentée en 3 fragments ou plus et transposition du menton osseux, par abord intrabuccal',956.44,843.69),(5992,'LBPA034','Ostéotomie segmentaire antérieure préimplantaire ou préprothétique de la mandibule avec interposition, par abord intrabuccal',374.48,374.48),(5993,'LBPA035','Ostéotomie maxillaire type Le Fort I segmentée en 2 fragments, par abord intrabuccal',478.98,478.98),(5994,'LBPA036','Ostéotomie segmentaire alvéolaire de la mandibule en avant des trous mentonniers, avec ostéotomie maxillaire segmentaire antérieure, par abord intrabuccal',531.23,531.23),(5995,'LBPA037','Ostéotomie interruptrice de la symphyse mandibulaire, par abord intrabuccal',209.00,209.00),(5996,'LBPA038','Ostéotomie maxillonasale type Le Fort II, par abord direct',626.76,564.69),(5997,'LBPA039','Ostéotomie segmentaire alvéolaire de la mandibule en avant des trous mentonniers, avec ostéotomie de transposition du menton osseux, par abord intrabuccal',426.73,426.73),(5998,'LBPA040','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], avec ostéotomie maxillaire d\'avancée type Le Fort I non segmentée et ostéotomie de transposition du menton osseux, par abord intrabuccal',808.97,758.16),(5999,'LBPA041','Ostéotomie angulaire ou préangulaire de la mandibule, par abord facial',218.68,218.68),(6000,'LBPA042','Ostéotomie sagittale bilatérale du ramus de la mandibule [supralingulaire et préangulaire], par abord intrabuccal',478.98,478.98),(6001,'LBPA043','Ostéotomie sagittale intermaxillaire avec pose d\'un disjoncteur fixe, par abord intrabuccal',478.98,478.98),(6002,'LBQH001','Arthrographie unilatérale de l\'articulation temporomandibulaire',57.19,57.19),(6003,'LBQH001','Arthrographie unilatérale de l\'articulation temporomandibulair',57.19,57.19),(6004,'LBQH002','Arthroscanographie unilatérale ou bilatérale de l\'articulation temporomandibulaire',57.19,57.19),(6005,'LBQH003','Arthrographie bilatérale de l\'articulation temporomandibulaire',114.38,114.38),(6006,'LBQK001','Tomographie unilatérale ou bilatérale de l\'articulation temporomandibulaire',46.55,46.55),(6007,'LBQK001','Tomographie unilatérale ou bilatérale de l\'articulation temporomandibulair',46.55,46.55),(6008,'LBQK002','Bilan de dysmorphose dento-maxillo-faciale avec tracé et analyse céphalométrique de profil',0.00,0.00),(6009,'LBQK003','Bilan de dysmorphose dento-maxillo-faciale avec tracé et analyse céphalométrique tridimensionnelle ou analyse architecturale craniofaciale, et simulation des objectifs de traitement sur moulage et/ou sur tracé céphalométrique',0.00,0.00),(6010,'LBQK004','Bilan de dysmorphose dento-maxillo-faciale avec tracé et analyse céphalométrique tridimensionnelle, ou tracé et analyse architecturale craniofaciale',0.00,0.00),(6011,'LBQK005','Radiographie unilatérale ou bilatérale de l\'articulation temporomandibulaire',25.27,25.27),(6012,'LBQP001','Enregistrement des rapports maxillomandibulaires en vue de la programmation d\'un articulateur',32.64,32.64),(6013,'LBQP002','Enregistrement électronique des mouvements de la mandibule',0.00,0.00),(6014,'LCFA001','Excision nasogénienne avec myotomie ou myectomie de symétrisation faciale pour traitement palliatif de la paralysie faciale',223.30,199.74),(6015,'LCFA002','Excision du muscle frontal controlatéral sain pour traitement palliatif de la paralysie faciale',211.75,193.04),(6016,'LCFA003','Exérèse d\'une fistule ou d\'un kyste de la première fente branchiale, sans dissection du nerf facial',209.16,191.54),(6017,'LCFA004','Exérèse d\'un kyste congénital médian du cou',215.60,195.27),(6018,'LCFA005','Exérèse d\'une fistule ou d\'un kyste de la première fente branchiale, avec dissection du nerf facial',388.53,317.52),(6019,'LCFA006','Exérèse d\'une fistule ou d\'un kyste de la troisième ou quatrième fente branchiale',301.07,244.85),(6020,'LCFA007','Exérèse d\'une fistule cutanée faciale acquise',24.11,22.05),(6021,'LCFA008','Exérèse d\'une fistule ou d\'un kyste de la deuxième fente branchiale',301.84,245.29),(6022,'LCFA009','Exérèse de lésion congénitale du premier arc branchial',167.20,167.20),(6023,'LCFA010','Exérèse d\'une fistule mentosternale',187.89,179.20),(6024,'LCFA011','Exérèse d\'une lipomatose cervicale [de Launois-Bensaude]',415.03,319.72),(6025,'LCFA012','Exérèse d\'une récidive d\'une fistule ou d\'un kyste congénital cervical médian ou latéral',275.80,230.19),(6026,'LCGA002','Ablation de corps étranger projeté dans les tissus mous buccofaciaux, par abord intrabuccal',79.41,63.61),(6027,'LCJA002','Évacuation de collection de la région des muscles masticateurs, par abord intrabuccal et par abord facial',83.60,83.60),(6028,'LCJA003','Évacuation de collection périmaxillaire ou périmandibulaire, par abord intrabuccal',20.90,20.90),(6029,'LCJA004','Évacuation de collection de la région des muscles masticateurs, par abord intrabuccal',83.60,83.60),(6030,'LCLB001','Séance d\'injection de toxine botulique au niveau de la face',0.00,0.00),(6031,'LCMA001','Réanimation de l\'hémiface paralysée par lambeau musculaire libre avec anastomoses vasculaires et nerveuses',405.18,405.18),(6032,'LCPA001','Libération d\'une rétraction des tissus mous de la région masticatrice, par abord direct',191.24,191.24),(6033,'LCPA002','Ténotomie du muscle sterno-cléido-mastoïdien, pour torticolis congénital',126.91,86.78),(6034,'LCQH001','Scanographie des tissus mous du cou, avec injection intraveineuse de produit de contraste',25.27,25.27),(6035,'LCQJ001','Remnographie [IRM] des tissus mous du cou, avec injection intraveineuse de produit de contraste',69.00,69.00),(6036,'LCQK001','Scanographie des tissus mous du cou, sans injection intraveineuse de produit de contraste',25.27,25.27),(6037,'LCQK002','Radiographie des tissus mous du cou',19.95,19.95),(6038,'LCQN001','Remnographie [IRM] des tissus mous du cou, sans injection intraveineuse de produit de contraste',69.00,69.00),(6039,'LDAA001','Recalibrage bilatéral de la colonne vertébrale cervicale, par abord postérieur',419.73,375.12),(6040,'LDAA002','Recalibrage unilatéral de la colonne vertébrale cervicale, par abord postérieur',361.59,341.39),(6041,'LDCA001','Ostéosynthèse transarticulaire bilatérale de l\'atlas et de l\'axis, par cervicotomie antérieure ou par cervicotomie antérolatérale bilatérale',559.40,500.01),(6042,'LDCA002','Ostéosynthèse et/ou arthrodèse postérieure de la jonction occipitocervicale sans exploration du contenu canalaire, par abord postérieur',462.98,400.20),(6043,'LDCA003','Ostéosynthèse postérieure de la jonction occipitocervicale avec exploration du contenu canalaire, par abord postérieur',528.21,481.92),(6044,'LDCA004','Ostéosynthèse de la dent de l\'axis [apophyse odontoïde de C2], par cervicotomie antérieure ou antérolatérale',533.88,485.21),(6045,'LDCA005','Ostéosynthèse interlamaire de l\'atlas et de l\'axis, par abord postérieur',413.35,371.41),(6046,'LDCA006','Ostéosynthèse transarticulaire et/ou transpédiculaire de l\'atlas et de l\'axis, par abord postérieur',460.14,398.55),(6047,'LDCA007','Ostéosynthèse de la colonne vertébrale cervicale, par abord antérieur avec mandibulotomie',501.60,501.60),(6048,'LDCA008','Ostéosynthèse de la dent de l\'axis [apophyse odontoïde de C2], par abord intrabuccal',471.64,471.64),(6049,'LDCA009','Ostéosynthèse transpédiculaire de l\'axis, par abord postérieur',409.09,368.95),(6050,'LDCA010','Ostéosynthèse interlamaire entre deux vertèbres de la colonne cervicale de C2 à C7, par abord postérieur',382.15,353.31),(6051,'LDCA011','Ostéosynthèse et/ou arthrodèse antérieure de la colonne vertébrale sans exploration du contenu canalaire, par cervicotomie antérieure ou antérolatérale',450.22,436.68),(6052,'LDCA012','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par cervicotomie antérieure ou antérolatérale et par abord postérieur',1035.85,842.18),(6053,'LDCA013','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par cervicotomie antérieure ou par cervicotomie antérolatérale',554.44,497.13),(6054,'LDDA001','Arthrodèse antérieure de la jonction occipitocervicale, par abord intrabuccal ou par cervicotomie antérolatérale',462.98,444.08),(6055,'LDEB002','Traction d\'attente de la colonne vertébrale cervicale par halo crânien ou étrier',104.50,104.50),(6056,'LDEP001','Séance d\'élongation de la colonne vertébrale cervicale par traction sur table',29.48,22.74),(6057,'LDEP002','Réduction orthopédique extemporanée de lésion traumatique de la colonne vertébrale cervicale par traction',411.93,282.81),(6058,'LDEP003','Réduction orthopédique progressive de lésion traumatique de la colonne vertébrale cervicale par traction continue',212.70,167.26),(6059,'LDFA001','Exérèse d\'une hernie discale de la colonne vertébrale cervicale, par abord postérieur ou postérolatéral',403.42,365.65),(6060,'LDFA002','Uncectomie [Résection de l\'uncus] ou foraminotomie unilatérale d\'une vertèbre, par cervicotomie antérieure',440.29,387.04),(6061,'LDFA003','Laminarthrectomie cervicale totale bilatérale, par abord postérieur',523.95,479.45),(6062,'LDFA004','Laminarthrectomie cervicale totale unilatérale avec ostéosynthèse, par abord postérieur',487.79,458.48),(6063,'LDFA005','Laminarthrectomie cervicale totale unilatérale sans ostéosynthèse, par abord postérieur',398.46,362.78),(6064,'LDFA006','Exérèse de plusieurs hernies discales de la colonne vertébrale, par cervicotomie antérieure ou antérolatérale',529.62,438.85),(6065,'LDFA007','Exérèse de plusieurs hernies discales de la colonne vertébrale avec ostéosynthèse et/ou arthrodèse, par cervicotomie antérieure ou antérolatérale',557.27,498.78),(6066,'LDFA008','Exérèse d\'une hernie discale de la colonne vertébrale avec ostéosynthèse et/ou arthrodèse, par cervicotomie antérieure ou antérolatérale',521.12,477.81),(6067,'LDFA009','Corporectomie vertébrale partielle, par cervicotomie antérieure ou antérolatérale',525.37,480.27),(6068,'LDFA010','Spondylectomie totale, par cervicotomie antérieure ou antérolatérale et par abord postérieur',1089.73,904.16),(6069,'LDFA011','Exérèse d\'une hernie discale de la colonne vertébrale, par cervicotomie antérieure ou antérolatérale',443.13,388.69),(6070,'LDFA012','Corporectomie vertébrale totale, par cervicotomie antérieure ou antérolatérale',588.47,560.76),(6071,'LDGA001','Ablation de matériel d\'ostéosynthèse de l\'atlas et/ou de l\'axis, par cervicotomie',316.92,218.93),(6072,'LDGA002','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale, par cervicotomie antérieure ou antérolatérale',188.59,144.50),(6073,'LDHA001','Biopsie osseuse et/ou articulaire de l\'atlas et/ou de l\'axis, par abord intrabuccal ou par abord prémastoïdien',249.91,249.91),(6074,'LDHA002','Biopsie osseuse et/ou discale de la colonne vertébrale, par cervicotomie antérolatérale',267.29,198.92),(6075,'LDKA900','Remplacement d\'un disque intervertébral cervical par prothèse, par cervicotomie',0.00,0.00),(6076,'LDMP001','Confection d\'un appareil rigide d\'immobilisation de la colonne vertébrale cervicale sans appui occipitomentonnier ou fronto-occipito-mentonnier',63.81,63.35),(6077,'LDMP002','Confection d\'un appareil rigide d\'immobilisation de la colonne vertébrale cervicale avec appui occipitomentonnier ou fronto-occipito-mentonnier',77.99,71.57),(6078,'LDMP003','Confection d\'un appareil rigide d\'immobilisation de la colonne vertébrale cervicale et thoracique',97.84,83.09),(6079,'LDPA001','Décompression médullaire pour malformation de la jonction occipitocervicale, avec ouverture durale, par abord postérieur',484.25,456.42),(6080,'LDPA002','Décompression médullaire pour malformation de la jonction occipitocervicale, par cervicotomie antérolatérale',693.40,665.51),(6081,'LDPA003','Décompression médullaire pour malformation de la jonction occipitocervicale, sans ouverture durale, par abord postérieur',418.00,418.00),(6082,'LDPA004','Décompression médullaire pour malformation de la jonction occipitocervicale, avec ostéosynthèse, par abord postérieur',492.05,460.95),(6083,'LDPA005','Décompression médullaire pour malformation de la jonction occipitocervicale, par abord intrabuccal',694.11,665.93),(6084,'LDPA006','Corporotomie [Somatotomie] d\'une vertèbre pour décompression médullaire, par cervicotomie antérieure ou antérolatérale',487.08,414.18),(6085,'LDPA007','Corporotomie [Somatotomie] d\'une vertèbre pour décompression médullaire, avec arthrodèse et/ou ostéosynthèse, par cervicotomie antérieure ou antérolatérale',598.40,522.63),(6086,'LDPA008','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, par cervicotomie',812.51,690.70),(6087,'LDPA009','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, par cervicothoracotomie',1224.44,951.57),(6088,'LDPA010','Ostéotomie ou arthrectomie occipitoaxoïdienne pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, par abord intrabuccal ou par cervicotomie',522.50,522.50),(6089,'LDQK001','Radiographie du segment cervical de la colonne vertébrale selon 1 ou 2 incidences',31.92,31.92),(6090,'LDQK002','Radiographie du segment cervical de la colonne vertébrale selon 3 incidences ou plus',41.42,41.42),(6091,'LDQK004','Radiographie du segment cervical et du segment thoracique de la colonne vertébrale',74.48,74.48),(6092,'LDQK005','Radiographie du segment cervical et du segment lombal de la colonne vertébrale',91.77,91.77),(6093,'LECA001','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par thoraco-phréno-laparotomie',721.76,594.18),(6094,'LECA002','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par thoracotomie et par abord postérieur',1297.47,993.93),(6095,'LECA003','Ostéosynthèse et/ou arthrodèse antérieure ou épiphysiodèse de la colonne vertébrale sans exploration du contenu canalaire, par thoracotomie',521.12,477.81),(6096,'LECA004','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par thoraco-phréno-laparotomie et par abord postérieur',993.93,993.93),(6097,'LECA005','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par thoracotomie',643.77,548.94),(6098,'LECA006','Ostéosynthèse et/ou arthrodèse antérieure de la colonne vertébrale sans exploration du contenu canalaire, par thoraco-phréno-laparotomie',627.47,539.49),(6099,'LECC001','Ostéosynthèse et/ou arthrodèse antérieure ou épiphysiodèse de la colonne vertébrale, par thoracoscopie',664.33,572.97),(6100,'LEFA001','Spondylectomie thoracique totale, par abord postérieur',1235.08,988.46),(6101,'LEFA002','Exérèse d\'une hernie discale de la colonne vertébrale thoracique, par abord postérieur ou postérolatéral',441.71,387.86),(6102,'LEFA003','Exérèse d\'une hernie discale de la colonne vertébrale thoracique avec ostéosynthèse et/ou arthrodèse, par abord postérieur ou postérolatéral',584.22,514.40),(6103,'LEFA004','Corporectomie vertébrale totale, par thoraco-phréno-laparotomie',774.23,668.50),(6104,'LEFA005','Spondylectomie totale, par thoracotomie et par abord postérieur',1331.50,1044.39),(6105,'LEFA006','Corporectomie vertébrale totale, par thoracotomie',687.73,618.34),(6106,'LEFA007','Corporectomie vertébrale partielle, par thoraco-phréno-laparotomie',677.10,568.27),(6107,'LEFA008','Corporectomie d\'une vertèbre malformée, par thoraco-phréno-laparotomie',1079.81,845.74),(6108,'LEFA009','Spondylectomie totale, par thoraco-phréno-laparotomie et par abord postérieur',1051.79,1051.79),(6109,'LEFA010','Corporectomie vertébrale partielle, par thoracotomie',613.99,531.68),(6110,'LEFA011','Exérèse d\'une hernie discale de la colonne vertébrale avec ostéosynthèse et/ou arthrodèse, par thoracotomie',606.90,571.45),(6111,'LEFA012','Corporectomie d\'une vertèbre malformée, par thoracotomie',777.89,777.89),(6112,'LEFA013','Exérèse d\'une hernie discale de la colonne vertébrale, par thoracotomie',542.39,490.15),(6113,'LEFA014','Corporectomie vertébrale partielle ou totale, par thoracoscopie ou par thoracotomie avec préparation par thoracoscopie',581.38,512.77),(6114,'LEFC002','Exérèse d\'une hernie discale de la colonne vertébrale, par thoracoscopie',539.49,539.49),(6115,'LEGA001','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale, par thoraco-phréno-laparotomie',421.86,332.45),(6116,'LEGA002','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale, par thoracotomie',296.68,296.68),(6117,'LEHA001','Biopsie osseuse et/ou discale de la colonne vertébrale, par thoraco-phréno-laparotomie',344.25,344.25),(6118,'LEHA002','Biopsie osseuse et/ou discale de la colonne vertébrale, par costotransversectomie',214.12,168.07),(6119,'LEHA003','Biopsie osseuse et/ou discale de la colonne vertébrale, par thoracotomie',279.00,279.00),(6120,'LEHC001','Biopsie osseuse et/ou discale de la colonne vertébrale, par thoracoscopie',223.19,223.19),(6121,'LEMA001','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 6 vertèbres ou plus, par thoraco-phréno-laparotomie',1419.42,1086.60),(6122,'LEMA002','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 3 à 5 vertèbres, par thoracotomie',1052.87,852.06),(6123,'LEMA003','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 3 à 5 vertèbres, par thoraco-phréno-laparotomie',1197.50,935.95),(6124,'LEMA004','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 6 vertèbres ou plus, par thoracotomie',956.25,956.25),(6125,'LEMP001','Confection d\'un appareil rigide d\'immobilisation de la colonne vertébrale thoracique et lombale',62.70,62.70),(6126,'LEPA001','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale avec arthrodèse, sans correction instrumentale, sur 1 à 3 vertèbres, par thoraco-phréno-laparotomie',771.39,666.85),(6127,'LEPA002','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale avec arthrodèse, sans correction instrumentale, sur 1 à 3 vertèbres, par thoracotomie',709.71,631.08),(6128,'LEPA003','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, sur 1 à 3 vertèbres, par thoracotomie',916.03,750.74),(6129,'LEPA004','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, sur 4 vertèbres ou plus, par thoraco-phréno-laparotomie',1407.37,1057.66),(6130,'LEPA005','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale avec arthrodèse, sans correction instrumentale, sur 4 vertèbres ou plus, par thoraco-phréno-laparotomie',1194.67,934.30),(6131,'LEPA006','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale avec arthrodèse, sans correction instrumentale, sur 4 vertèbres ou plus, par thoracotomie',1136.53,900.58),(6132,'LEPA007','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, sur 4 vertèbres ou plus, par thoracotomie',1322.99,1008.73),(6133,'LEPA008','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, sur 1 à 3 vertèbres, par thoraco-phréno-laparotomie',977.71,786.52),(6134,'LEPA009','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale avec arthrodèse, sans correction instrumentale, sur 1 à 3 vertèbres, par laparotomie ou par lombotomie',721.76,638.08),(6135,'LEQK001','Radiographie du segment thoracique de la colonne vertébrale',31.92,31.92),(6136,'LEQK002','Radiographie du segment thoracique et du segment lombal de la colonne vertébrale',74.48,74.48),(6137,'LFAA001','Recalibrage unilatéral de la colonne vertébrale lombale ou lombosacrale, par abord postérieur',367.97,345.10),(6138,'LFAA002','Recalibrage bilatéral de la colonne vertébrale lombale ou lombosacrale, par abord postérieur',467.94,403.08),(6139,'LFCA001','Ostéosynthèse de la jonction lombosacrale avec exploration du contenu canalaire, par abord postérieur',522.53,478.63),(6140,'LFCA002','Ostéosynthèse de la jonction lombosacrale sans exploration du contenu canalaire, par abord postérieur',438.16,385.81),(6141,'LFCA003','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par laparotomie ou lombotomie et par abord postérieur',1245.71,963.91),(6142,'LFCA004','Ostéosynthèse de la colonne vertébrale avec exploration du contenu canalaire, par laparotomie ou par lombotomie',672.13,565.39),(6143,'LFCA005','Ostéosynthèse et/ou arthrodèse antérieure de la colonne vertébrale sans exploration du contenu canalaire, par laparotomie ou par lombotomie',577.84,510.71),(6144,'LFCC001','Ostéosynthèse et/ou arthrodèse antérieure de la colonne vertébrale, par coelioscopie ou par rétropéritonéoscopie',679.22,582.68),(6145,'LFDA001','Arthrodèse postérieure et/ou postérolatérale d\'un spondylolisthésis lombal sans réduction, avec libération radiculaire et ostéosynthèse, par abord postérieur',662.92,538.10),(6146,'LFDA002','Arthrodèse intercorporéale d\'un spondylolisthésis lombal à grand déplacement avec réduction, avec ostéosynthèse, par abord postérieur translombosacral',1130.86,875.35),(6147,'LFDA003','Arthrodèse postérieure et/ou postérolatérale d\'un spondylolisthésis lombal sans réduction, avec libération radiculaire, sans ostéosynthèse, par abord postérieur',592.02,540.87),(6148,'LFDA004','Arthrodèse intercorporéale de la colonne vertébrale lombale ou lombosacrale avec arthrodèse postérolatérale, par abord postérieur',542.39,490.15),(6149,'LFDA005','Arthrodèse postérieure et/ou postérolatérale d\'un spondylolisthésis lombal sans réduction, sans libération radiculaire, sans ostéosynthèse, par abord postérieur',482.12,455.19),(6150,'LFDA006','Arthrodèse postérieure et/ou postérolatérale d\'un spondylolisthésis lombal avec réduction, avec ostéosynthèse, par abord postérieur',989.06,793.10),(6151,'LFDA007','Arthrodèse postérieure et/ou postérolatérale d\'un spondylolisthésis lombal sans réduction, sans libération radiculaire, avec ostéosynthèse, par abord postérieur',648.03,551.42),(6152,'LFDA008','Arthrodèse d\'un spondylolisthésis lombal à grand déplacement avec réduction, avec ostéosynthèse, par laparotomie et par abord postérieur',1018.83,810.37),(6153,'LFDA009','Arthrodèse intercorporéale d\'un spondylolisthésis lombal avec réduction, avec ostéosynthèse, par abord postérieur',1139.36,880.28),(6154,'LFDA010','Arthrodèse d\'un spondylolisthésis lombal à grand déplacement avec réduction, avec ostéosynthèse, par laparotomie',812.51,690.70),(6155,'LFDA011','Arthrodèse d\'un spondylolisthésis lombal sans réduction, par laparotomie et par abord postérieur',916.03,772.69),(6156,'LFDA012','Arthrodèse intercorporéale ou épiphysiodèse de la colonne vertébrale lombale ou lombosacrale, par abord postérieur',492.05,460.95),(6157,'LFDA013','Arthrodèse d\'un spondylolisthésis lombal sans réduction, par laparotomie',499.14,465.05),(6158,'LFDA014','Arthrodèse intercorporéale d\'un spondylolisthésis lombal à grand déplacement sans réduction, avec ostéosynthèse, par abord postérieur translombosacral',566.49,460.24),(6159,'LFEP001','Réduction orthopédique progressive d\'un spondylolisthésis lombal, par hamac et/ou traction bipolaire',232.55,178.77),(6160,'LFEP002','Séance d\'élongation de la colonne vertébrale lombale par traction sur table',30.15,23.13),(6161,'LFFA001','Laminarthrectomie lombale ou lombosacrale totale bilatérale, par abord postérieur',617.54,533.73),(6162,'LFFA002','Exérèse d\'une hernie discale de la colonne vertébrale lombale, par abord postérieur ou postérolatéral',287.85,285.10),(6163,'LFFA003','Exérèse de plusieurs hernies discales de la colonne vertébrale lombale, par abord postérieur ou postérolatéral',382.15,339.79),(6164,'LFFA004','Exérèse d\'une récidive d\'une hernie discale de la colonne vertébrale lombale préalablement opérée par abord direct, par abord postérieur',419.02,361.17),(6165,'LFFA005','Laminarthrectomie lombale ou lombosacrale totale unilatérale avec ostéosynthèse, par abord postérieur',495.59,463.01),(6166,'LFFA006','Laminarthrectomie lombale ou lombosacrale totale unilatérale sans ostéosynthèse, par abord postérieur',365.84,343.86),(6167,'LFFA007','Exérèse d\'une récidive d\'une hernie discale de la colonne vertébrale lombale préalablement opérée par abord direct, avec ostéosynthèse et/ou arthrodèse, par abord postérieur',588.47,459.46),(6168,'LFFA008','Corporectomie d\'une vertèbre malformée, par laparotomie ou par lombotomie',977.71,786.52),(6169,'LFFA009','Corporectomie vertébrale partielle, par laparotomie ou par lombotomie',626.05,538.67),(6170,'LFFA010','Exérèse d\'une hernie discale de la colonne vertébrale avec ostéosynthèse et/ou arthrodèse, par laparotomie ou par lombotomie',563.66,546.37),(6171,'LFFA011','Exérèse d\'une hernie discale de la colonne vertébrale, par laparotomie ou par lombotomie',418.00,418.00),(6172,'LFFA012','Spondylectomie totale, par laparotomie ou lombotomie et par abord postérieur',1281.87,1015.60),(6173,'LFFA013','Corporectomie vertébrale totale, par laparotomie ou par lombotomie',692.69,621.21),(6174,'LFFA014','Corporectomie vertébrale partielle ou totale, par abord direct avec préparation par coelioscopie ou par rétropéritonéoscopie',573.38,573.38),(6175,'LFFC002','Exérèse d\'une hernie discale de la colonne vertébrale, par rétropéritonéoscopie',531.75,483.98),(6176,'LFGA001','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale, par laparotomie ou par lombotomie',219.79,171.37),(6177,'LFHA001','Biopsie osseuse et/ou discale de la colonne vertébrale, par laparotomie ou par lombotomie',267.29,198.92),(6178,'LFHC001','Biopsie osseuse et/ou discale de la colonne vertébrale, par coelioscopie ou par rétropéritonéoscopie',235.28,235.28),(6179,'LFKA001','Remplacement d\'un disque intervertébral lombal par prothèse totale, par laparotomie ou lombotomie',850.80,850.80),(6180,'LFKA001','Remplacement d\'un disque intervertébral lombaire par prothèse totale, par laparotomie ou lombotomie',850.80,850.80),(6181,'LFMA001','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 3 à 5 vertèbres, par lombotomie',982.67,811.34),(6182,'LFMP001','Confection d\'un appareil rigide d\'immobilisation de la colonne vertébrale lombale',62.70,62.70),(6183,'LFPA001','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, sur 1 à 3 vertèbres, par laparotomie ou par lombotomie',874.91,726.89),(6184,'LFPA002','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale, avec arthrodèse et correction instrumentale, sur 4 vertèbres ou plus, par laparotomie ou par lombotomie',1272.66,979.54),(6185,'LFPA003','Ostéotomie antérieure ou discectomie totale pour déformation rigide de la colonne vertébrale avec arthrodèse, sans correction instrumentale, sur 4 vertèbres ou plus, par laparotomie ou par lombotomie',1088.32,872.62),(6186,'LFQK001','Radiographie du segment lombal de la colonne vertébrale selon 4 incidences ou plus',46.42,46.42),(6187,'LFQK002','Radiographie du segment lombal de la colonne vertébrale selon 1 à 3 incidences',46.42,46.42),(6188,'LGCA001','Ostéosynthèse de fracture du sacrum, par abord postérieur',413.35,371.41),(6189,'LGDA001','Fixation sacrale ou sacro-iliaque par abord postérieur, au cours d\'une arthrodèse lombale sur 6 vertèbres ou plus',0.00,0.00),(6190,'LGFA001','Exérèse distale du sacrum [Sacrectomie respectant S1 et S2], par abord postérieur',425.40,352.07),(6191,'LGFA002','Exérèse proximale du sacrum [Sacrectomie S1 et/ou S2], par abord antérieur ou par abord postérieur',496.30,441.47),(6192,'LGFA003','Exérèse distale du sacrum [Sacrectomie respectant S1 et S2], par abord antérieur et par abord postérieur',781.43,781.43),(6193,'LGFA004','Exérèse totale du sacrum [Sacrectomie totale], par abord antérieur et par abord postérieur',1435.58,1435.58),(6194,'LGFA005','Exérèse du coccyx',123.37,80.33),(6195,'LGFA006','Exérèse proximale du sacrum [Sacrectomie S1 et/ou S2], par abord antérieur et par abord postérieur',1029.47,825.32),(6196,'LGQK001','Radiographie du sacrum et/ou du coccyx',19.95,19.95),(6197,'LHCA001','Ostéosynthèse de la colonne vertébrale sans exploration du contenu canalaire, par abord antérieur et par abord postérieur',916.74,773.11),(6198,'LHCA002','Ostéosynthèse postérieure de la colonne vertébrale sans exploration du contenu canalaire, par abord postérieur',450.22,392.80),(6199,'LHCA010','Ostéosynthèse postérieure de la colonne vertébrale avec exploration du contenu canalaire, par abord postérieur',542.39,490.15),(6200,'LHCA011','Ostéosynthèse de la colonne vertébrale par fixateur externe',483.54,412.12),(6201,'LHCA016','Ostéosynthèse postérieure de la colonne vertébrale sans exploration du contenu canalaire avec arthrodèse, par abord postérieur',471.49,405.14),(6202,'LHDA001','Arthrodèse postérieure ou épiphysiodèse de la colonne vertébrale sans exploration du contenu canalaire, par abord postérieur',415.47,372.64),(6203,'LHDA002','Arthrodèse intercorporéale de la colonne vertébrale avec arthrodèse postérieure, par abord postérolatéral',598.40,522.63),(6204,'LHDA003','Ligamentoplastie interépineuse de la colonne vertébrale, par abord postérieur',0.00,0.00),(6205,'LHEB001','Réduction orthopédique progressive d\'une scoliose ou d\'une cyphose, par traction continue de la colonne vertébrale par halo crânien',269.42,188.52),(6206,'LHEB002','Réduction orthopédique progressive d\'une scoliose ou d\'une cyphose, par traction continue bipolaire de la colonne vertébrale par halo crânien et contrappui thoracique, pelvien ou fémoral',237.87,237.87),(6207,'LHEP002','Réduction orthopédique extemporanée d\'une scoliose ou d\'une cyphose par manoeuvres externes, avec confection d\'un corset rigide',283.46,196.66),(6208,'LHEP003','Réduction orthopédique extemporanée de lésion traumatique de la colonne vertébrale par manoeuvres externes',164.49,139.30),(6209,'LHEP004','Traction continue bipolaire de la colonne vertébrale par sangles',212.70,167.26),(6210,'LHEP005','Traction continue unipolaire de la colonne vertébrale par sangle ou collier',123.37,115.45),(6211,'LHFA001','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse et correction instrumentale, sur 3 à 5 vertèbres, par abord postérieur',1047.90,849.18),(6212,'LHFA003','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse et correction instrumentale, sur 10 vertèbres ou plus, par abord postérieur, avec résection de 3 côtes ou plus',1584.62,1195.59),(6213,'LHFA013','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse, correction instrumentale et ostéotomie antérieure transpédiculaire, sur 6 à 9 vertèbres, par abord postérieur',1399.57,1075.09),(6214,'LHFA016','Laminectomie vertébrale sans exploration du contenu intradural, par abord postérieur ou postérolatéral',316.92,315.49),(6215,'LHFA019','Laminectomie vertébrale avec exploration du contenu intradural et plastie de la dure-mère, par abord postérieur ou postérolatéral',388.53,357.02),(6216,'LHFA024','Laminectomie vertébrale avec exploration du contenu intradural sans plastie de la dure-mère, par abord postérieur ou postérolatéral',343.16,330.70),(6217,'LHFA025','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse, correction instrumentale et ostéotomie antérieure transpédiculaire, sur 10 vertèbres ou plus, par abord postérieur',1574.69,1176.66),(6218,'LHFA027','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse, correction instrumentale et ostéotomie antérieure transpédiculaire, sur 3 à 5 vertèbres, par abord postérieur',1224.44,951.57),(6219,'LHFA028','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse et correction instrumentale, sur 10 vertèbres ou plus, par abord postérieur',1517.97,1143.76),(6220,'LHFA029','Arthrectomie totale bilatérale et/ou ostéotomie postérieure pour déformation rigide de la colonne vertébrale avec arthrodèse et correction instrumentale, sur 6 à 9 vertèbres, par abord postérieur',1351.35,1047.13),(6221,'LHFA031','Exérèse totale de l\'arc vertébral, par abord postérieur',414.77,372.24),(6222,'LHFH001','Tumorectomie osseuse vertébrale, par voie transcutanée avec guidage scanographique',209.00,209.00),(6223,'LHGA004','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale sur 10 vertèbres ou plus, par abord postérieur',442.42,291.71),(6224,'LHGA006','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale sur 6 à 9 vertèbres, par abord postérieur',220.50,163.00),(6225,'LHGA007','Ablation de matériel d\'ostéosynthèse de la colonne vertébrale sur 2 à 5 vertèbres, par abord postérieur',169.45,133.39),(6226,'LHHA006','Biopsie de l\'arc vertébral, par abord postérieur',131.87,120.37),(6227,'LHHA007','Biopsie du corps vertébral et/ou du disque intervertébral, par abord postérieur ou transpédiculaire',189.30,153.68),(6228,'LHHH001','Ponction ou cytoponction osseuse et/ou discale de la colonne vertébrale, par voie transcutanée avec guidage scanographique',39.36,9.60),(6229,'LHHH002','Biopsie osseuse et/ou discale de la colonne vertébrale, par voie transcutanée avec guidage scanographique',47.52,41.80),(6230,'LHHH003','Biopsie osseuse et/ou discale de la colonne vertébrale, par voie transcutanée avec guidage radiologique',93.59,76.80),(6231,'LHKA900','Remplacement du disque intervertébral par prothèse',0.00,0.00),(6232,'LHLB001','Infiltration thérapeutique d\'articulation vertébrale postérieure, par voie transcutanée sans guidage',34.17,34.17),(6233,'LHLB002','Infiltration thérapeutique des ligaments périvertébraux, par voie transcutanée',21.44,16.47),(6234,'LHLH001','Infiltration anesthésique d\'articulation vertébrale postérieure avec guidage radiologique, avec évaluation diagnostique et pronostique',36.02,9.60),(6235,'LHLH002','Infiltration thérapeutique d\'articulation vertébrale postérieure, par voie transcutanée avec guidage scanographique',31.20,9.60),(6236,'LHLH003','Infiltration thérapeutique d\'articulation vertébrale postérieure, par voie transcutanée avec guidage radiologique',33.50,9.60),(6237,'LHMA003','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 6 à 9 vertèbres, par abord postérieur',1003.24,845.22),(6238,'LHMA004','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 6 à 9 vertèbres, par abord postérolatéral',1003.24,845.22),(6239,'LHMA006','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 3 à 5 vertèbres, par abord postérieur',812.51,712.65),(6240,'LHMA007','Laminoplastie vertébrale sans exploration du contenu intradural, par abord postérieur ou par abord postérolatéral',324.72,293.67),(6241,'LHMA008','Reconstruction de l\'isthme interarticulaire d\'une vertèbre, par abord postérieur',367.26,344.68),(6242,'LHMA011','Correction instrumentale d\'une déformation souple de la colonne vertébrale sans arthrodèse, par abord postérieur',938.01,763.50),(6243,'LHMA013','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 6 à 9 vertèbres par abord postérieur, avec résection de 3 côtes ou plus',1087.61,907.31),(6244,'LHMA014','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 10 vertèbres ou plus par abord postérieur, avec résection de 3 côtes ou plus',1265.57,1010.53),(6245,'LHMA015','Correction instrumentale d\'une déformation souple de la colonne vertébrale avec arthrodèse de 10 vertèbres ou plus, par abord postérieur',1221.61,971.87),(6246,'LHMA016','Laminoplastie vertébrale avec exploration du contenu intradural et plastie de la dure-mère, par abord postérieur ou par abord postérolatéral',347.41,333.17),(6247,'LHMH001','Spondyloplastie de 3 vertèbres, par voie transcutanée avec guidage scanographique',188.10,188.10),(6248,'LHMH002','Spondyloplastie unique, par voie transcutanée avec guidage radiologique',160.80,125.40),(6249,'LHMH003','Spondyloplastie de 2 vertèbres, par voie transcutanée avec guidage scanographique',188.10,188.10),(6250,'LHMH004','Spondyloplastie de 3 vertèbres, par voie transcutanée avec guidage radiologique',215.07,188.10),(6251,'LHMH005','Spondyloplastie unique, par voie transcutanée avec guidage scanographique',125.40,125.40),(6252,'LHMH006','Spondyloplastie de 2 vertèbres, par voie transcutanée avec guidage radiologique',215.07,188.10),(6253,'LHNH001','Thermocoagulation de facettes articulaires de vertèbre, par voie transcutanée avec guidage radiologique',83.60,83.60),(6254,'LHNH002','Destruction d\'un disque intervertébral par injection d\'agent pharmacologique [Chémonucléolyse], par voie transcutanée avec guidage scanographique',83.60,83.60),(6255,'LHNH003','Destruction d\'un disque intervertébral par injection d\'agent pharmacologique [Chémonucléolyse], par voie transcutanée avec guidage radiologique',83.60,83.60),(6256,'LHPA003','Laminotomie vertébrale sans exploration du contenu intradural, par abord postérieur ou par abord postérolatéral',300.62,279.69),(6257,'LHPA004','Mise à plat d\'une lésion vertébrale infectieuse ou ossifluente, par abord postérieur',250.80,250.80),(6258,'LHPA006','Laminotomie vertébrale avec exploration du contenu intradural et plastie de la dure-mère, par abord postérieur ou par abord postérolatéral',364.43,343.04),(6259,'LHPA010','Laminotomie vertébrale avec exploration du contenu intradural sans plastie de la dure-mère, par abord postérieur ou par abord postérolatéral',326.14,320.83),(6260,'LHPH001','Exérèse d\'un disque intervertébral, par voie transcutanée avec guidage radiologique [Nucléotomie transcutanée]',83.60,83.60),(6261,'LHPH907','Exérèse d\'un disque intervertébral, par voie transcutanée avec guidage radiologique [Nucléotomie transcutanée]',0.00,0.00),(6262,'LHQH001','Arthrographie d\'articulation vertébrale postérieure',46.55,46.55),(6263,'LHQH002','Scanographie de plusieurs segments de la colonne vertébrale, avec injection intraveineuse de produit de contraste',25.27,25.27),(6264,'LHQH003','Discographie intervertébrale unique, par voie transcutanée',106.40,106.40),(6265,'LHQH004','Discographie intervertébrale multiple, par voie transcutanée',106.40,106.40),(6266,'LHQH005','Discographie intervertébrale unique par voie transcutanée, avec scanographie de la colonne vertébrale [Discoscanner]',106.40,106.40),(6267,'LHQH006','Scanographie d\'un segment de la colonne vertébrale, avec injection intraveineuse de produit de contraste',25.27,25.27),(6268,'LHQJ001','Remnographie [IRM] d\'un ou de deux segments de la colonne vertébrale et de son contenu, avec injection intraveineuse de produit de contraste',69.00,69.00),(6269,'LHQJ002','Remnographie [IRM] de 3 segments de la colonne vertébrale ou plus et de son contenu, avec injection intraveineuse de produit de contraste',69.00,69.00),(6270,'LHQK001','Scanographie d\'un segment de la colonne vertébrale, sans injection intraveineuse de produit de contraste',25.27,25.27),(6271,'LHQK002','Téléradiographie de la colonne vertébrale en totalité selon 2 incidences',52.90,52.90),(6272,'LHQK003','Téléradiographie de la colonne vertébrale en totalité selon 2 incidences avec incidence segmentaire supplémentaire',73.82,73.82),(6273,'LHQK004','Téléradiographie de la colonne vertébrale en totalité selon 1 incidence',43.06,43.06),(6274,'LHQK005','Scanographie de plusieurs segments de la colonne vertébrale, sans injection intraveineuse de produit de contraste',25.27,25.27),(6275,'LHQK007','Radiographie de la colonne vertébrale en totalité',101.08,101.08),(6276,'LHQN001','Remnographie [IRM] d\'un ou de deux segments de la colonne vertébrale et de son contenu, sans injection intraveineuse de produit de contraste',69.00,69.00),(6277,'LHQN002','Remnographie [IRM] de 3 segments de la colonne vertébrale ou plus et de son contenu, sans injection intraveineuse de produit de contraste',69.00,69.00),(6278,'LHRP001','Séance de médecine manuelle de la colonne vertébrale',33.50,25.08),(6279,'LJCA001','Ostéosynthèse de fracture du sternum',267.29,242.81),(6280,'LJCA002','Ostéosynthèse d\'un volet thoracique',491.34,372.75),(6281,'LJFA001','Gibbectomie, par abord direct',484.25,368.64),(6282,'LJFA002','Résection de la première côte, par abord supraclaviculaire ou par abord axillaire',483.54,333.12),(6283,'LJFA003','Résection d\'une côte cervicale, par abord supraclaviculaire',386.41,276.78),(6284,'LJFA004','Résection de la paroi thoracique, sans prothèse',348.12,289.69),(6285,'LJFA006','Résection d\'une côte',189.30,136.13),(6286,'LJFA007','Résection de la première côte et d\'une côte cervicale, par abord supraclaviculaire',557.98,402.63),(6287,'LJFA008','Résection de la paroi thoracique, avec prothèse',444.54,345.62),(6288,'LJFA009','Résection du sternum',760.05,598.83),(6289,'LJFA010','Exérèse partielle de côte et/ou de sternum, par abord direct',125.40,125.40),(6290,'LJGA001','Ablation de fils d\'ostéosynthèse du sternum',80.83,64.44),(6291,'LJGA002','Ablation de matériel d\'ostéosynthèse du sternum et/ou des côtes',223.34,147.09),(6292,'LJHA001','Biopsie osseuse du sternum et/ou des côtes, par abord direct',168.74,141.76),(6293,'LJHB001','Biopsie osseuse du sternum et/ou des côtes, par voie transcutanée',71.61,45.56),(6294,'LJJA001','Évacuation de collection suppurée de la paroi thoracique, par abord direct',162.36,138.06),(6295,'LJJA002','Évacuation de collection suppurée de la paroi thoracique étendue au médiastin',416.89,373.47),(6296,'LJLH001','Infiltration thérapeutique d\'articulation costovertébrale, par voie transcutanée avec guidage radiologique',41.54,9.60),(6297,'LJLH002','Infiltration thérapeutique d\'articulation costovertébrale, par voie transcutanée avec guidage scanographique',51.59,9.60),(6298,'LJMA001','Thoracoplastie de 6 côtes ou plus',760.05,598.83),(6299,'LJMA002','Plastie de malformation du thorax sans malformation du sternum, sans ostéosynthèse',482.83,438.05),(6300,'LJMA003','Thoracoplastie de 2 à 5 côtes',621.08,448.01),(6301,'LJMA004','Plastie de malformation du thorax sans malformation du sternum, avec ostéosynthèse',524.66,462.31),(6302,'LJMA005','Plastie de malformation sternocostale, sans ostéosynthèse',616.83,515.77),(6303,'LJMA006','Plastie de malformation sternocostale, avec ostéosynthèse',774.94,607.46),(6304,'LJQK001','Radiographie du squelette du thorax',23.94,23.94),(6305,'LJQK002','Radiographie du thorax avec radiographie du squelette du thorax',45.22,45.22),(6306,'LJQK015','Radiographie du sternum et/ou des articulations sternoclaviculaires',23.94,23.94),(6307,'LJSA001','Fermeture d\'une désunion pariétale de thoracotomie latérale',265.17,241.57),(6308,'LJSA002','Fermeture secondaire de la paroi thoracique après chirurgie cardiovasculaire chez le nouveau-né',209.00,209.00),(6309,'LLBA002','Interposition ou apposition de lambeau diaphragmatique ou intercostal, au cours d\'une intervention intrathoracique',0.00,0.00),(6310,'LLCA001','Suture d\'une coupole du diaphragme pour hernie congénitale, par laparotomie',425.40,378.41),(6311,'LLCA002','Suture d\'une coupole du diaphragme pour hernie congénitale, par thoracotomie',404.01,404.01),(6312,'LLCA003','Suture de plaie ou de rupture récente d\'une coupole du diaphragme, par thoracotomie',411.93,396.20),(6313,'LLCA005','Suture de plaie ou de rupture récente de la coupole du diaphragme, par laparotomie',313.50,313.50),(6314,'LLCC001','Suture de plaie ou de rupture récente d\'une coupole du diaphragme, par thoracoscopie',374.48,374.48),(6315,'LLCC003','Suture de plaie ou de rupture récente de la coupole du diaphragme, par coelioscopie',346.70,344.85),(6316,'LLFA003','Exérèse partielle du diaphragme sans pose de prothèse, par thoracotomie',401.29,390.03),(6317,'LLFA013','Exérèse partielle du diaphragme avec pose de prothèse, par thoracotomie',483.54,437.73),(6318,'LLMA001','Cure d\'une hernie acquise de la coupole gauche du diaphragme, par thoracotomie',472.90,431.57),(6319,'LLMA002','Cure d\'une hernie hiatale congénitale avec agénésie des piliers du diaphragme, par laparotomie',443.13,388.69),(6320,'LLMA003','Plastie d\'une coupole du diaphragme pour éventration, par thoracotomie',486.37,439.38),(6321,'LLMA004','Plastie musculaire ou prothétique d\'une coupole du diaphragme pour hernie congénitale, par laparotomie',491.34,416.65),(6322,'LLMA005','Cure d\'une hernie acquise de la coupole droite du diaphragme, par abord direct',470.78,430.33),(6323,'LLMA006','Cure d\'une hernie hiatale sans pose de prothèse, par laparotomie',367.97,345.10),(6324,'LLMA007','Cure d\'une hernie rétrocostoxiphoïdienne, par laparotomie',313.50,313.50),(6325,'LLMA008','Plastie d\'une coupole du diaphragme pour éventration, par laparotomie',313.50,313.50),(6326,'LLMA009','Plastie musculaire ou prothétique d\'une coupole du diaphragme pour hernie congénitale, par thoracotomie',491.34,442.25),(6327,'LLMA010','Cure d\'une hernie hiatale avec pose de prothèse, par laparotomie',409.80,369.36),(6328,'LLMC001','Cure d\'une hernie rétrocostoxiphoïdienne, par coelioscopie',342.30,342.30),(6329,'LLMC003','Plastie d\'une coupole du diaphragme pour éventration, par thoracoscopie',374.48,374.48),(6330,'LLMC004','Cure d\'une hernie hiatale sans pose de prothèse, par coelioscopie',397.04,374.05),(6331,'LLMC005','Cure d\'une hernie acquise de la coupole du diaphragme, par thoracoscopie',374.48,374.48),(6332,'LLMC019','Plastie d\'une coupole du diaphragme pour éventration, par coelioscopie',342.30,342.30),(6333,'LLQD001','Mesure de la pression transdiaphragmatique par double ballonnet, par voie oesophagienne',0.00,0.00),(6334,'LLQP002','Étude des muscles ventilatoires par mesure de pression à la bouche',0.00,0.00),(6335,'LMBA001','Interposition ou apposition d\'un lambeau de muscle thoracique ou abdominal sur un organe médiastinal, au cours d\'une intervention intrathoracique',0.00,0.00),(6336,'LMFA001','Exérèse de tumeur de la paroi abdominale antérieure avec fermeture par suture, par abord direct',202.07,201.98),(6337,'LMFA002','Exérèse de tumeur de la paroi abdominale antérieure avec fermeture par prothèse, par abord direct',264.46,238.17),(6338,'LMFA003','Exérèse d\'un bourgeon ombilical',202.07,173.89),(6339,'LMGA001','Ablation d\'une prothèse de la paroi abdominale, par abord direct',257.37,232.30),(6340,'LMMA001','Cure bilatérale d\'une hernie de l\'aine avec pose de prothèse, par abord inguinal',287.56,287.56),(6341,'LMMA002','Cure bilatérale de hernie de l\'aine avec pose de prothèse, par abord prépéritonéal unique',287.56,287.56),(6342,'LMMA003','Réfection de la paroi lombale sans prothèse',209.00,209.00),(6343,'LMMA004','Cure d\'éventration postopératoire de la paroi abdominale antérieure avec pose de prothèse, par abord direct',280.06,247.22),(6344,'LMMA005','Réparation de perte de substance transfixiante de la paroi abdominale par lambeau libre et prothèse',756.50,526.56),(6345,'LMMA006','Cure de hernie de la paroi abdominale antérieure après l\'âge de 16 ans avec pose de prothèse, par abord direct',230.43,218.43),(6346,'LMMA007','Réfection de la paroi lombale avec prothèse',265.88,241.99),(6347,'LMMA008','Cure unilatérale d\'une hernie de l\'aine avec pose de prothèse, par abord prépéritonéal',201.87,201.87),(6348,'LMMA009','Cure de hernie de la paroi abdominale antérieure après l\'âge de 16 ans sans pose de prothèse, par abord direct',201.87,201.87),(6349,'LMMA010','Cure d\'éventration postopératoire de la paroi abdominale antérieure sans pose de prothèse, par abord direct',201.87,201.87),(6350,'LMMA011','Cure d\'une hernie fémorale [crurale], par abord inguinofémoral',201.87,201.87),(6351,'LMMA012','Cure unilatérale d\'une hernie de l\'aine avec pose de prothèse, par abord inguinal',201.87,201.87),(6352,'LMMA014','Cure de hernie de la paroi abdominale antérieure avant l\'âge de 16 ans, par abord direct',201.87,201.87),(6353,'LMMA016','Cure unilatérale d\'une hernie de l\'aine sans pose de prothèse sous anesthésie locale, par abord inguinal',201.87,201.87),(6354,'LMMA017','Cure unilatérale d\'une hernie de l\'aine sans pose de prothèse sous anesthésie générale ou locorégionale, par abord inguinal',201.87,201.87),(6355,'LMMA018','Cure bilatérale d\'une hernie de l\'aine sans pose de prothèse sous anesthésie générale ou locorégionale, par abord inguinal',287.56,287.56),(6356,'LMMA019','Cure bilatérale d\'une hernie de l\'aine sans pose de prothèse sous anesthésie locale, par abord inguinal',287.56,287.56),(6357,'LMMC001','Cure bilatérale d\'une hernie de l\'aine avec pose de prothèse, par vidéochirurgie',287.56,287.56),(6358,'LMMC002','Cure unilatérale d\'une hernie de l\'aine avec pose de prothèse, par vidéochirurgie',227.59,216.79),(6359,'LMMC003','Cure unilatérale d\'une hernie de l\'aine sans pose de prothèse, par vidéochirurgie',201.87,201.87),(6360,'LMMC004','Cure bilatérale d\'une hernie de l\'aine sans pose de prothèse, par vidéochirurgie',287.56,287.56),(6361,'LMMC015','Cure d\'éventration postopératoire de la paroi abdominale antérieure avec pose de prothèse, par coelioscopie',280.76,260.45),(6362,'LMMC020','Cure de hernie de la paroi abdominale antérieure après l\'âge de 16 ans avec pose de prothèse, par coelioscopie',259.22,247.23),(6363,'LMSA001','Fermeture d\'une omphalocèle ou d\'un laparoschisis en un temps',420.44,331.63),(6364,'LMSA002','Fermeture d\'une éviscération abdominale, par abord direct',241.06,210.56),(6365,'LMSA003','Fermeture progressive d\'une omphalocèle ou d\'un laparoschisis',0.00,0.00),(6366,'LMSA004','Fermeture d\'une laparostomie',264.46,206.05),(6367,'LMSA005','Fermeture de paroi abdominale antérieure hypoplasique ou aplasique par plastie musculoaponévrotique',505.52,380.98),(6368,'LZGA001','Ablation de biomatériau de la face et/ou du cou, par abord direct',81.54,64.84),(6369,'MACA001','Ostéosynthèse de fracture de la clavicule, à foyer ouvert',139.67,116.12),(6370,'MACA002','Ostéosynthèse de fracture du col et/ou de la glène de la scapula, à foyer ouvert',272.97,202.21),(6371,'MACA003','Ostéosynthèse de fracture de la scapula, à foyer ouvert',187.89,152.87),(6372,'MACA004','Ostéosynthèse de fracture de la clavicule par fixateur externe',109.90,81.29),(6373,'MACB001','Ostéosynthèse de fracture de la clavicule par broche, à foyer fermé',85.08,66.90),(6374,'MACB002','Ostéosynthèse de fracture de la scapula, à foyer fermé',104.50,104.50),(6375,'MADP001','Contention orthopédique unilatérale ou bilatérale de fracture de la clavicule',41.80,41.80),(6376,'MAEP001','Réduction orthopédique de fracture de la scapula',41.80,41.80),(6377,'MAFA001','Scapulectomie partielle emportant la glène ou scapulectomie totale, par abord direct',453.05,332.99),(6378,'MAFA002','Résection de moins d\'un tiers de la clavicule',167.20,167.20),(6379,'MAFA003','Scapulectomie partielle respectant la glène, par abord direct',341.74,268.43),(6380,'MAFA004','Résection d\'un tiers de la clavicule ou plus',289.27,238.00),(6381,'MAFA005','Résection segmentaire de la clavicule avec ostéosynthèse et autogreffe, pour pseudarthrose congénitale',303.05,303.05),(6382,'MAFA006','Exérèse partielle de la scapula sans interruption de la continuité, par abord direct',167.20,167.20),(6383,'MAGA001','Ablation de matériel d\'ostéosynthèse de la scapula, par abord direct',127.62,91.58),(6384,'MAGA002','Évidement de la scapula avec comblement, par abord direct',248.86,236.50),(6385,'MAGA003','Évidement de la scapula sans comblement, par abord direct',208.45,164.79),(6386,'MAPA001','Ostéotomie intraarticulaire ou extraarticulaire de la glène de la scapula, par abord direct',370.10,319.99),(6387,'MAPA002','Ostéotomie de la clavicule, par abord direct',250.80,250.80),(6388,'MAPA003','Ostéotomie de l\'acromion et/ou de l\'épine de la scapula, par abord direct',250.80,250.80),(6389,'MAQK001','Radiographie de la ceinture scapulaire et/ou de l\'épaule selon 3 ou 4 incidences',30.65,30.65),(6390,'MAQK002','Radiographie de la ceinture scapulaire et/ou de l\'épaule selon 5 incidences ou plus',30.65,30.65),(6391,'MAQK003','Radiographie de la ceinture scapulaire et/ou de l\'épaule selon 1 ou 2 incidences',30.65,30.65),(6392,'MBAA001','Allongement osseux extemporané de l\'humérus, avec autogreffe osseuse',316.28,316.28),(6393,'MBAA002','Allongement osseux progressif au bras ou à l\'avant-bras par système externe',396.33,335.21),(6394,'MBCA001','Ostéosynthèse de fracture extraarticulaire infratubérositaire de l\'humérus',204.90,201.87),(6395,'MBCA002','Ostéosynthèse préventive de l\'humérus pour lésion ostéolytique, à foyer ouvert',343.87,282.47),(6396,'MBCA003','Ostéosynthèse d\'une fracture supracondylaire de l\'humérus, à foyer ouvert',249.57,227.78),(6397,'MBCA004','Ostéosynthèse de fracture du tubercule majeur [trochiter] et/ou du tubercule mineur [trochin], à foyer ouvert',197.69,197.69),(6398,'MBCA005','Ostéosynthèse de fracture céphalotubérositaire de l\'humérus',281.29,281.29),(6399,'MBCA006','Ostéosynthèse d\'une fracture supracondylaire et intercondylaire complexe de l\'humérus, à foyer ouvert',384.28,341.03),(6400,'MBCA007','Ostéosynthèse de fracture de la diaphyse de l\'humérus par fixateur externe',197.69,197.69),(6401,'MBCA008','Ostéosynthèse d\'une fracture supracondylaire et intercondylaire simple de l\'humérus, à foyer ouvert',265.17,254.38),(6402,'MBCA009','Ostéosynthèse de fracture-luxation de l\'extrémité proximale de l\'humérus, à foyer ouvert',323.09,323.09),(6403,'MBCA010','Ostéosynthèse d\'une fracture de l\'épicondyle médial ou de l\'épicondyle latéral de l\'humérus, à foyer ouvert',239.49,239.49),(6404,'MBCA011','Ostéosynthèse de fracture de la diaphyse de l\'humérus, à foyer ouvert',302.74,258.62),(6405,'MBCA012','Ostéosynthèse de fracture intracapsulaire de l\'extrémité distale de l\'humérus, à foyer ouvert',239.49,239.49),(6406,'MBCB001','Ostéosynthèse d\'une fracture supracondylaire de l\'humérus, à foyer fermé',197.69,197.69),(6407,'MBCB002','Ostéosynthèse de fracture de la diaphyse de l\'humérus par matériel centromédullaire, à foyer fermé',245.31,225.32),(6408,'MBCB003','Ostéosynthèse d\'une fracture de l\'épicondyle médial ou de l\'épicondyle latéral de l\'humérus, à foyer fermé',239.49,239.49),(6409,'MBCB004','Ostéosynthèse d\'une fracture du condyle médial ou du condyle latéral de l\'humérus, à foyer fermé',239.49,239.49),(6410,'MBCB005','Ostéosynthèse préventive de l\'humérus pour lésion ostéolytique, à foyer fermé',245.31,225.32),(6411,'MBEB001','Réduction orthopédique progressive de fracture d\'une extrémité et/ou de la diaphyse de l\'humérus par traction continue squelettique',129.04,109.95),(6412,'MBEP001','Réduction orthopédique extemporanée de fracture ou de décollement épiphysaire de l\'extrémité proximale de l\'humérus ou de fracture de la diaphyse de l\'humérus',83.60,83.60),(6413,'MBEP002','Réduction orthopédique extemporanée de fracture de l\'extrémité distale de l\'humérus',85.08,84.46),(6414,'MBEP003','Réduction orthopédique progressive de fracture d\'une extrémité et/ou de la diaphyse de l\'humérus par traction continue non squelettique',96.42,91.04),(6415,'MBFA001','Résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse de l\'humérus\"',372.93,286.52),(6416,'MBFA002','Résection d\'une extrémité et/ou de la diaphyse de l\'humérus sans interruption de la continuité osseuse',246.73,213.33),(6417,'MBGA001','Évidement de l\'épiphyse proximale de l\'humérus en présence d\'un cartilage épiphysaire actif avec comblement, par abord direct',290.69,260.77),(6418,'MBGA002','Évidement de l\'épiphyse proximale de l\'humérus en présence d\'un cartilage épiphysaire actif sans comblement, par abord direct',269.42,200.15),(6419,'MBMA001','Reconstruction d\'une extrémité et/ou de la diaphyse de l\'humérus par greffe ou matériau inerte non prothétique, après résection partielle',194.98,192.09),(6420,'MBMA002','Reconstruction d\'une extrémité et/ou de la diaphyse de l\'humérus après résection \"en bloc\"\", par greffe ou matériau inerte non prothétique\"',401.29,311.75),(6421,'MBPA001','Décortication de l\'humérus avec ostéosynthèse pour pseudarthrose',336.78,313.47),(6422,'MBPA002','Ostéotomie intraarticulaire de l\'extrémité proximale de l\'humérus',304.87,282.16),(6423,'MBPA003','Ostéotomie complexe de la diaphyse ou de l\'extrémité distale de l\'humérus',309.12,284.63),(6424,'MBPA004','Ostéotomie simple de la diaphyse de l\'humérus',283.60,269.82),(6425,'MBPA005','Ostéotomie extraarticulaire de l\'extrémité proximale de l\'humérus',277.93,266.53),(6426,'MBPA006','Décortication de l\'humérus pour pseudarthrose',281.29,281.29),(6427,'MBQK001','Radiographie du bras',19.95,19.95),(6428,'MCAA001','Allongement extemporané de la diaphyse d\'un os de l\'avant-bras, avec autogreffe osseuse',343.16,326.31),(6429,'MCCA001','Ostéosynthèse de fracture simple ou de décollement épiphysaire de l\'extrémité proximale d\'un os de l\'avant-bras, à foyer ouvert',158.11,144.37),(6430,'MCCA002','Ostéosynthèse préventive d\'un os de l\'avant-bras pour lésion ostéolytique, à foyer ouvert',194.98,165.75),(6431,'MCCA003','Ostéosynthèse de fracture de la diaphyse d\'un os de l\'avant-bras avec réduction d\'une luxation de l\'autre os au coude ou au poignet, à foyer ouvert',240.35,240.35),(6432,'MCCA004','Ostéosynthèse de fracture de la diaphyse d\'un os de l\'avant-bras, à foyer ouvert',168.03,150.13),(6433,'MCCA005','Ostéosynthèse de fracture de l\'extrémité distale d\'un os de l\'avant-bras, à foyer ouvert',149.60,139.44),(6434,'MCCA006','Ostéosynthèse préventive des 2 os de l\'avant-bras pour lésion ostéolytique, à foyer ouvert',297.78,273.30),(6435,'MCCA007','Ostéosynthèse de fracture de la diaphyse des 2 os de l\'avant-bras avec réduction de luxation au coude ou au poignet, à foyer ouvert',349.22,349.22),(6436,'MCCA008','Ostéosynthèse de fracture de la diaphyse des 2 os de l\'avant-bras, à foyer ouvert',260.20,251.51),(6437,'MCCA009','Ostéosynthèse de fracture de l\'extrémité proximale des 2 os de l\'avant-bras, à foyer ouvert',267.29,255.61),(6438,'MCCA010','Ostéosynthèse de fracture de l\'extrémité distale des 2 os de l\'avant-bras, à foyer ouvert',239.49,239.49),(6439,'MCCA011','Ostéosynthèse de fracture complexe de l\'extrémité proximale d\'un os de l\'avant-bras, à foyer ouvert',192.14,164.10),(6440,'MCCB001','Ostéosynthèse de fracture de l\'extrémité proximale d\'un os de l\'avant-bras, à foyer fermé',157.40,143.96),(6441,'MCCB002','Ostéosynthèse de fracture de l\'extrémité distale d\'un os ou des 2 os de l\'avant-bras par fixateur externe, à foyer fermé',176.79,176.79),(6442,'MCCB003','Ostéosynthèse de fracture de la diaphyse d\'un os de l\'avant-bras, à foyer fermé',157.40,143.96),(6443,'MCCB004','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité distale d\'un os de l\'avant-bras par broche, à foyer fermé',125.40,125.40),(6444,'MCCB005','Ostéosynthèse de fracture de l\'extrémité proximale des 2 os de l\'avant-bras, à foyer fermé',239.49,239.49),(6445,'MCCB006','Ostéosynthèse préventive des 2 os de l\'avant-bras pour lésion ostéolytique, à foyer fermé',239.49,239.49),(6446,'MCCB007','Ostéosynthèse de fracture de la diaphyse des 2 os de l\'avant-bras, à foyer fermé',239.49,239.49),(6447,'MCCB008','Ostéosynthèse de fracture de la diaphyse d\'un os de l\'avant-bras avec réduction d\'une luxation de l\'autre os au coude ou au poignet, à foyer fermé',192.85,171.10),(6448,'MCCB009','Ostéosynthèse préventive d\'un os de l\'avant-bras pour lésion ostéolytique, à foyer fermé',157.40,143.96),(6449,'MCEP001','Réduction orthopédique de fracture ou de décollement épiphysaire de l\'extrémité distale d\'un os ou des 2 os de l\'avant-bras',83.60,83.60),(6450,'MCEP002','Réduction orthopédique de fracture ou de décollement épiphysaire de l\'extrémité proximale et/ou de fracture de la diaphyse d\'un os ou des 2 os de l\'avant-bras',125.40,125.40),(6451,'MCFA001','Résection de synostose radio-ulnaire acquise',191.43,181.26),(6452,'MCFA002','Résection partielle ou totale de l\'extrémité distale d\'un os de l\'avant-bras',167.20,167.20),(6453,'MCFA003','Résection de l\'olécrâne, par arthrotomie',167.20,167.20),(6454,'MCFA004','Résection de la tête du radius, par arthrotomie',167.20,167.20),(6455,'MCFA005','Résection d\'une extrémité et/ou de la diaphyse d\'un os de l\'avant-bras, sans interruption de la continuité',246.73,213.33),(6456,'MCFA006','Résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse d\'un os de l\'avant-bras\"',314.09,252.39),(6457,'MCKA002','Remplacement de la tête radiale par prothèse, par abord direct',225.46,201.00),(6458,'MCMA001','Reconstruction d\'une extrémité et/ou de la diaphyse d\'un os de l\'avant-bras après résection \"en bloc\"\", par greffe ou matériau inerte non prothétique\"',401.29,302.97),(6459,'MCMA002','Reconstruction d\'une extrémité et/ou de la diaphyse d\'un os de l\'avant-bras par greffe ou matériau inerte non prothétique, après résection partielle',194.98,183.31),(6460,'MCPA001','Ostéotomie de réorientation de l\'avant-bras pour synostose radio-ulnaire congénitale',252.40,251.73),(6461,'MCPA002','Ostéotomie de l\'extrémité distale du radius',288.56,272.70),(6462,'MCPA003','Ostéotomie de l\'extrémité distale des 2 os de l\'avant-bras',376.20,376.20),(6463,'MCPA004','Ostéotomie complexe de la diaphyse du radius et/ou de l\'ulna avec résection de synostose radio-ulnaire acquise',400.59,372.79),(6464,'MCPA005','Ostéotomie de l\'ulna avec arthrodèse de l\'articulation radio-ulnaire distale',313.50,313.50),(6465,'MCPA006','Ostéotomie complexe de la diaphyse d\'un os de l\'avant-bras',250.80,250.80),(6466,'MCPA007','Ostéotomie complexe de la diaphyse des 2 os de l\'avant-bras',376.20,376.20),(6467,'MCPA008','Dissociation des deux os de l\'avant-bras pour création d\'une pince préhensile après amputation de main',861.44,578.63),(6468,'MCPA009','Ostéotomie de l\'extrémité distale du radius avec résection partielle ou totale de l\'extrémité distale de l\'ulna',334.40,334.40),(6469,'MCPA010','Ostéotomie simple de la diaphyse d\'un os de l\'avant-bras',250.80,250.80),(6470,'MCPA011','Décortication des 2 os de l\'avant-bras avec ostéosynthèse pour pseudarthrose',386.41,368.59),(6471,'MCPA012','Décortication des 2 os de l\'avant-bras pour pseudarthrose',343.99,343.99),(6472,'MCPA013','Décortication d\'un os de l\'avant-bras avec ostéosynthèse pour pseudarthrose',216.25,204.43),(6473,'MCPA014','Décortication d\'un os de l\'avant-bras pour pseudarthrose',188.10,188.10),(6474,'MCQK001','Radiographie de l\'avant-bras',19.95,19.95),(6475,'MDAA001','Allongement osseux extemporané à la main, avec autogreffe osseuse',309.12,306.57),(6476,'MDAA002','Allongement osseux progressif à la main par système externe',345.28,305.60),(6477,'MDCA001','Ostéosynthèse de fracture de l\'os scaphoïde, à foyer ouvert',231.13,186.72),(6478,'MDCA002','Ostéosynthèse préventive d\'un métacarpien pour lésion ostéolytique, à foyer ouvert',141.80,108.58),(6479,'MDCA003','Ostéosynthèse de fracture articulaire d\'un os de la main par fixateur externe',114.86,92.95),(6480,'MDCA004','Ostéosynthèse de fractures articulaires de plusieurs os de la main, à foyer ouvert',202.07,178.64),(6481,'MDCA005','Ostéosynthèse d\'une pseudarthrose de l\'os scaphoïde, à foyer ouvert',232.55,213.88),(6482,'MDCA006','Ostéosynthèse de fractures de plusieurs os du carpe, à foyer ouvert',255.95,234.03),(6483,'MDCA007','Ostéosynthèse de fractures extraarticulaires de plusieurs os de la main, à foyer ouvert',185.05,151.22),(6484,'MDCA008','Ostéosynthèse de fractures articulaires de plusieurs os de la main par fixateur externe',146.30,146.30),(6485,'MDCA009','Ostéosynthèse de fractures extraarticulaires de plusieurs os de la main par fixateur externe',155.98,134.36),(6486,'MDCA010','Ostéosynthèse de fracture extraarticulaire d\'un os de la main par fixateur externe',114.86,92.95),(6487,'MDCA011','Ostéosynthèse de fracture extraarticulaire d\'un os de la main, à foyer ouvert',120.53,96.24),(6488,'MDCA012','Ostéosynthèse de fracture de la base du premier métacarpien, à foyer ouvert',139.67,107.34),(6489,'MDCA013','Ostéosynthèse de fracture d\'un os du carpe, à foyer ouvert',197.81,158.62),(6490,'MDCA014','Ostéosynthèse de fracture articulaire d\'un os de la main, à foyer ouvert',153.85,115.57),(6491,'MDCB001','Ostéosynthèse préventive d\'un métacarpien pour lésion ostéolytique, à foyer fermé',99.97,84.32),(6492,'MDCB002','Ostéosynthèse de fractures articulaires de plusieurs os de la main par broche, à foyer fermé',146.30,146.30),(6493,'MDCB003','Ostéosynthèse de fracture extraarticulaire d\'un os de la main par broche, à foyer fermé',99.97,84.32),(6494,'MDCB004','Ostéosynthèse de fractures extraarticulaires de plusieurs os de la main par broche, à foyer fermé',135.42,122.43),(6495,'MDCB005','Ostéosynthèse de fracture articulaire d\'un os de la main par broche, à foyer fermé',71.61,67.87),(6496,'MDEA001','Autogreffe corticospongieuse encastrée de l\'os scaphoïde',266.48,266.48),(6497,'MDEA002','Autogreffe corticospongieuse intercalée de l\'os scaphoïde avec ostéotomie',329.18,329.18),(6498,'MDEA003','Autogreffe corticospongieuse pédiculée de l\'os scaphoïde',293.53,271.19),(6499,'MDEA004','Reconstruction d\'un doigt par transfert non vascularisé de phalange d\'orteil, pour agénésie digitale',216.25,213.20),(6500,'MDEP001','Réduction orthopédique de fractures de plusieurs os de la main',73.15,73.15),(6501,'MDEP002','Réduction orthopédique d\'une fracture d\'un os de la main',41.80,41.80),(6502,'MDFA001','Résection segmentaire d\'une phalange ou d\'une articulation interphalangienne du pouce avec rétablissement de la continuité, pour triphalangie',250.99,250.91),(6503,'MDFA002','Exérèse partielle d\'un os de la main sans interruption de la continuité, par abord direct',167.20,167.20),(6504,'MDFA003','Résection partielle d\'un os du carpe sans arthrodèse',167.20,167.20),(6505,'MDFA004','Résection de la première rangée du carpe',253.11,199.48),(6506,'MDFA005','Résection \"en bloc\"\" d\'os du carpe et/ou du métacarpe\"',260.91,204.00),(6507,'MDFA006','Résection totale d\'un os du carpe avec arthrodèse intracarpienne',307.71,248.70),(6508,'MDFA007','Résection complète d\'une phalange du pouce avec rétablissement de la continuité, pour triphalangie',250.80,250.80),(6509,'MDGA001','Évidement d\'un os du carpe avec comblement, par abord direct',224.75,222.53),(6510,'MDGA002','Ablation de matériel d\'ostéosynthèse de la main, par abord direct',92.17,71.01),(6511,'MDGA003','Évidement d\'un os de la main sans comblement, par abord direct',113.44,109.69),(6512,'MDGA004','Évidement d\'un os de la main avec comblement, par abord direct',219.45,219.45),(6513,'MDGA005','Désépiphysiodèse de phalange triangulaire de doigt',250.80,250.80),(6514,'MDGB001','Ablation de matériel d\'ostéosynthèse enfoui de la main, par voie transcutanée sans guidage',41.80,41.80),(6515,'MDHA001','Biopsie d\'un os et/ou d\'une articulation de la main, par abord direct',104.50,104.50),(6516,'MDMA001','Reconstruction d\'un os de la main par greffe ou matériau inerte non prothétique',265.88,224.43),(6517,'MDPA001','Ostéotomie de plusieurs os de la main, avec libération de tendon et/ou libération mobilisatrice articulaire',376.20,376.20),(6518,'MDPA002','Ostéotomie d\'un os de la main',250.80,250.80),(6519,'MDPA003','Ostéotomie de plusieurs os de la main',376.20,376.20),(6520,'MDPA004','Ostéotomie d\'un os de la main, avec libération de tendon et/ou libération mobilisatrice articulaire',303.05,303.05),(6521,'MDPA005','Ostéotomie du premier métacarpien pour malformation congénitale',250.80,250.80),(6522,'MDQK001','Radiographie de la main ou de doigt',19.95,19.95),(6523,'MDQK002','Radiographie bilatérale de la main et/ou du poignet, selon 1 incidence sur un seul cliché de face',19.95,19.95),(6524,'MEDA001','Arthrodèse scapulohumérale, par arthrotomie',514.73,386.32),(6525,'MEEA001','Réduction orthopédique d\'une luxation scapulohumérale, avec ostéosynthèse de fracture de l\'extrémité proximale de l\'humérus homolatéral',247.44,233.13),(6526,'MEEA002','Réduction d\'une luxation scapulohumérale par arthrotomie, avec ostéosynthèse de fracture homolatérale de la glène, du col de la scapula et/ou de tubercule huméral',292.11,263.79),(6527,'MEEA003','Réduction d\'une luxation scapulohumérale, par arthrotomie',185.05,177.55),(6528,'MEEA004','Réduction d\'une luxation acromioclaviculaire ou sternoclaviculaire, par abord direct',139.67,133.68),(6529,'MEEP001','Réduction orthopédique d\'une luxation ou luxation-fracture acromioclaviculaire ou sternoclaviculaire',35.45,33.73),(6530,'MEEP002','Réduction orthopédique d\'une luxation scapulohumérale',39.70,36.20),(6531,'MEEP003','Réduction orthopédique d\'une luxation scapulohumérale avec fracture de l\'extrémité proximale de l\'humérus homolatéral',107.11,107.11),(6532,'MEFA001','Résection du bourrelet glénoïdal scapulohuméral, par arthrotomie',229.01,220.60),(6533,'MEFA003','Synovectomie totale de l\'articulation scapulohumérale, par arthrotomie',280.06,232.65),(6534,'MEFA004','Huméroscapulectomie [Arthrectomie monobloc de l\'épaule]',617.54,454.73),(6535,'MEFC001','Résection du bourrelet glénoïdal scapulohuméral, par arthroscopie',240.35,227.19),(6536,'MEFC002','Synovectomie totale de l\'articulation scapulohumérale, par arthroscopie',315.51,253.22),(6537,'MEGA001','Ablation d\'une prothèse de l\'articulation scapulohumérale, avec arthrodèse scapulohumérale',823.15,613.12),(6538,'MEGA002','Ablation d\'une prothèse de l\'articulation scapulohumérale',369.39,297.27),(6539,'MEJA001','Nettoyage de l\'articulation scapulohumérale, par arthrotomie',212.70,188.84),(6540,'MEJC001','Nettoyage de l\'articulation scapulohumérale, par arthroscopie',288.56,220.03),(6541,'MEKA001','Changement d\'une prothèse totale scapulohumérale',628.88,570.68),(6542,'MEKA002','Changement d\'une prothèse humérale et/ou de la pièce glénoïdale d\'une prothèse totale scapulohumérale, avec reconstruction osseuse',692.69,572.57),(6543,'MEKA003','Changement d\'une prothèse humérale pour une prothèse totale scapulohumérale',587.05,546.41),(6544,'MEKA004','Changement d\'une prothèse humérale ou de la pièce glénoïdale d\'une prothèse totale scapulohumérale, sans reconstruction osseuse',574.29,468.79),(6545,'MEKA005','Remplacement de l\'articulation scapulohumérale par prothèse humérale unipolaire ou à cupule mobile, avec réinsertion, suture et/ou autoplastie de la coiffe des rotateurs de l\'épaule',457.31,427.27),(6546,'MEKA006','Remplacement de l\'articulation scapulohumérale par prothèse totale',498.43,447.09),(6547,'MEKA007','Remplacement de l\'articulation scapulohumérale par prothèse totale, avec ostéotomie de l\'extrémité proximale de l\'humérus',545.22,526.90),(6548,'MEKA008','Remplacement de l\'articulation scapulohumérale par prothèse totale, avec réinsertion, suture et/ou autoplastie de la coiffe des rotateurs de l\'épaule',574.29,556.57),(6549,'MEKA009','Remplacement de l\'articulation scapulohumérale par prothèse humérale unipolaire ou par cupule mobile, avec ostéotomie de l\'extrémité proximale de l\'humérus',419.73,392.67),(6550,'MEKA010','Remplacement de l\'articulation scapulohumérale par prothèse humérale unipolaire ou par cupule mobile',352.37,292.15),(6551,'MELA001','Repose d\'une prothèse de l\'articulation scapulohumérale',458.01,423.65),(6552,'MELH001','Injection sous pression d\'un agent pharmacologique dans l\'articulation scapulohumérale pour libération capsulaire, par voie transcutanée avec guidage radiologique, avec mobilisation articulaire sous anesthésie locale',42.21,19.20),(6553,'MEMA001','Arthroplastie sternoclaviculaire par résection de l\'extrémité médiale de la clavicule, par arthrotomie',173.71,153.42),(6554,'MEMA003','Reconstruction osseuse de l\'épaule avec arthrodèse, après résection segmentaire',504.10,415.26),(6555,'MEMA005','Confection d\'une butée glénoïdale par prélèvement coracoïdien, par abord direct',313.38,282.34),(6556,'MEMA006','Acromioplastie sans prothèse, par abord direct',212.70,211.15),(6557,'MEMA008','Capsuloplastie antérieure et postérieure de l\'articulation scapulohumérale avec ostéotomie glénoïdale, par abord direct',427.53,397.19),(6558,'MEMA009','Reconstruction de l\'articulation de l\'épaule par prothèse massive ou sur mesure, après résection segmentaire',376.20,376.20),(6559,'MEMA011','Arthroplastie acromioclaviculaire par résection de l\'extrémité latérale de la clavicule, par arthrotomie',125.40,125.40),(6560,'MEMA012','Capsuloplastie antérieure ou postérieure de l\'articulation scapulohumérale, par abord direct',327.56,277.76),(6561,'MEMA014','Capsuloplastie antérieure et postérieure de l\'articulation scapulohumérale, par abord direct',398.46,318.88),(6562,'MEMA015','Arthroplastie scapulohumérale sans prothèse, par abord direct',253.82,235.00),(6563,'MEMA016','Capsuloplastie antérieure et postérieure de l\'articulation scapulohumérale avec ostéotomie humérale, par abord direct',438.87,403.77),(6564,'MEMA017','Acromioplastie sans prothèse avec arthroplastie acromioclaviculaire par résection de l\'extrémité latérale de la clavicule, par abord direct',292.60,292.60),(6565,'MEMA018','Confection d\'une butée glénoïdale osseuse ou ostéomusculaire, par abord direct',301.33,275.36),(6566,'MEMC001','Arthroplastie acromioclaviculaire par résection de l\'extrémité latérale de la clavicule, par arthroscopie',209.86,174.39),(6567,'MEMC002','Capsuloplastie antérieure ou postérieure de l\'articulation scapulohumérale, par arthroscopie',389.95,313.95),(6568,'MEMC003','Acromioplastie sans prothèse, par arthroscopie',309.12,280.24),(6569,'MEMC004','Réparation du bourrelet glénoïdal scapulohuméral, par arthroscopie',312.67,269.13),(6570,'MEMC005','Acromioplastie sans prothèse avec arthroplastie acromioclaviculaire par résection de l\'extrémité latérale de la clavicule, par arthroscopie',392.79,350.71),(6571,'MEMP001','Confection d\'une attelle de posture ou de mobilisation de l\'épaule',41.80,41.80),(6572,'MEPA001','Libération mobilisatrice de l\'articulation scapulohumérale et/ou subacromiale, par arthrotomie',240.35,209.63),(6573,'MEPC001','Libération mobilisatrice de l\'articulation scapulohumérale et/ou subacromiale, par arthroscopie',235.39,206.75),(6574,'MEQC001','Exploration de la bourse séreuse subacromiale, par arthroscopie [Bursoscopie sousacromiale]',177.25,155.47),(6575,'MEQC002','Exploration de l\'articulation de l\'épaule, par arthroscopie',207.03,172.75),(6576,'MEQH001','Arthrographie de l\'épaule',79.80,79.80),(6577,'MERP001','Mobilisation de l\'articulation scapulohumérale à visée thérapeutique, sous anesthésie générale ou locorégionale',61.68,43.84),(6578,'MFCA001','Suture ou plastie de l\'appareil capsuloligamentaire collatéral de l\'articulation du coude, par abord direct',209.00,209.00),(6579,'MFDA001','Arthrodèse du coude, par arthrotomie',425.40,334.51),(6580,'MFDA002','Arthrorise du coude par butée, ténodèse ou capsulodèse, par abord direct',298.49,238.60),(6581,'MFEA001','Réduction d\'une luxation du coude, par arthrotomie',167.20,167.20),(6582,'MFEA002','Réduction orthopédique d\'une luxation du coude, avec ostéosynthèse de fracture de l\'épicondyle médial ou latéral de l\'humérus à foyer ouvert',182.88,182.88),(6583,'MFEA003','Réduction d\'une luxation du coude et/ou de l\'articulation radio-ulnaire proximale par arthrotomie, avec ostéosynthèse de fracture de l\'extrémité proximale du radius ou de l\'ulna à foyer ouvert',220.00,220.00),(6584,'MFEB001','Réduction orthopédique d\'une luxation du coude et/ou de l\'articulation radio-ulnaire proximale, avec ostéosynthèse de fracture de l\'extrémité proximale du radius ou de l\'ulna à foyer fermé',177.25,162.05),(6585,'MFEP001','Réduction orthopédique d\'une pronation douloureuse du coude',31.35,31.35),(6586,'MFEP002','Réduction orthopédique d\'une luxation ou d\'une luxation-fracture du coude',63.10,62.93),(6587,'MFFA001','Résection \"en bloc\"\" du coude [Arthrectomie monobloc du coude]\"',473.61,344.92),(6588,'MFFA002','Synovectomie totale du coude, par arthrotomie antérieure et par arthrotomie postérieure',306.29,247.87),(6589,'MFFA003','Exérèse de kyste synovial du coude, par abord direct',85.08,66.90),(6590,'MFFC001','Synovectomie totale du coude, par arthroscopie',321.18,256.50),(6591,'MFGA001','Ablation d\'une prothèse totale du coude',323.30,270.54),(6592,'MFJA001','Nettoyage de l\'articulation du coude, par arthrotomie',184.34,142.03),(6593,'MFJC001','Nettoyage de l\'articulation du coude, par arthroscopie',217.66,178.92),(6594,'MFKA001','Changement partiel ou total d\'une prothèse articulaire du coude',619.67,539.00),(6595,'MFKA003','Remplacement de l\'articulation du coude par prothèse totale, par abord direct',531.75,440.08),(6596,'MFMA001','Reconstruction osseuse du coude avec arthrodèse, après résection segmentaire',489.92,407.05),(6597,'MFMA003','Reconstruction de l\'articulation du coude par prothèse massive ou sur mesure, après résection segmentaire',370.81,346.74),(6598,'MFMA005','Arthroplastie du coude sans prothèse, par abord direct',411.93,326.70),(6599,'MFMP001','Confection d\'une attelle de posture ou de mobilisation du coude',38.19,35.32),(6600,'MFPA001','Libération mobilisatrice de l\'articulation du coude avec résection d\'ostéome synostosique, par abord direct',348.83,307.66),(6601,'MFPA002','Libération mobilisatrice de l\'articulation du coude, par abord direct',309.12,249.51),(6602,'MFPA003','Libération mobilisatrice de l\'articulation du coude avec libération du nerf ulnaire, par abord direct',342.45,290.79),(6603,'MFPC001','Libération mobilisatrice de l\'articulation du coude, par arthroscopie',338.19,266.38),(6604,'MFQC001','Exploration de l\'articulation du coude, par arthroscopie',205.61,171.92),(6605,'MFQH001','Arthrographie du coude',57.19,57.19),(6606,'MFQK001','Radiographie du coude selon 3 incidences ou plus',28.83,28.83),(6607,'MFQK002','Radiographie du coude selon 1 ou 2 incidences',19.95,19.95),(6608,'MFRP001','Mobilisation de l\'articulation du coude à visée thérapeutique, sous anesthésie générale ou locorégionale',56.01,40.55),(6609,'MGCA001','Suture et/ou réinsertion de ligament articulaire du poignet, par arthrotomie',205.61,171.92),(6610,'MGCC001','Suture et/ou réinsertion de ligament articulaire du poignet, par arthroscopie',194.27,165.35),(6611,'MGDA001','Arthrodèse intracarpienne, par arthrotomie',250.99,198.24),(6612,'MGDA002','Arthrodèse radiocarpienne, par arthrotomie',309.12,231.96),(6613,'MGEA001','Réduction d\'une luxation du poignet avec ostéosynthèse de fracture d\'un os du carpe, par arthrotomie',298.49,249.93),(6614,'MGEA002','Réduction d\'une luxation du poignet, par arthrotomie',238.22,190.84),(6615,'MGEP002','Réduction orthopédique de fracture du carpe et/ou d\'une luxation du poignet',75.86,57.17),(6616,'MGFA001','Résection \"en bloc\"\" du poignet [Arthrectomie monobloc du poignet]\"',370.81,285.29),(6617,'MGFA002','Synovectomie radio-ulnaire distale, par arthrotomie',125.40,125.40),(6618,'MGFA003','Synovectomie totale des articulations du poignet, par arthrotomie',205.61,198.26),(6619,'MGFA004','Exérèse de kyste synovial avec ténosynovectomie des extenseurs au poignet, par abord direct',229.90,229.90),(6620,'MGFA005','Synovectomie radiocarpienne et/ou intracarpienne, par arthrotomie',153.85,141.90),(6621,'MGFA006','Résection partielle des os du carpe pour centralisation du poignet avec ostéosynthèse du carpe et ostéotomie de la diaphyse de l\'ulna, par abord direct',376.20,376.20),(6622,'MGFA007','Exérèse de kyste synovial du poignet, par abord direct',81.54,64.84),(6623,'MGFC001','Synovectomie radio-ulnaire distale, par arthroscopie',188.59,162.05),(6624,'MGFC002','Synovectomie radiocarpienne et/ou intracarpienne, par arthroscopie',239.64,191.66),(6625,'MGFC003','Synovectomie totale des articulations du poignet, par arthroscopie',253.82,226.22),(6626,'MGGA001','Ablation d\'une prothèse totale radiocarpienne',219.08,210.10),(6627,'MGGA002','Ablation d\'une prothèse articulaire du poignet',197.69,197.69),(6628,'MGJA001','Nettoyage des articulations du poignet, par arthrotomie',134.71,113.25),(6629,'MGJC001','Nettoyage des articulations du poignet, par arthroscopie',192.14,164.10),(6630,'MGKA001','Changement partiel ou total d\'une prothèse articulaire du poignet',428.24,384.08),(6631,'MGKA002','Remplacement de l\'articulation radiocarpienne par prothèse totale, par abord direct',370.81,320.40),(6632,'MGKA003','Remplacement de l\'articulation du poignet par prothèse partielle, par abord direct',287.85,237.18),(6633,'MGMA002','Reconstruction osseuse du poignet avec arthrodèse, après résection segmentaire',304.16,272.98),(6634,'MGMA003','Arthroplastie du poignet sans prothèse, pour radialisation',336.78,287.50),(6635,'MGMA004','Capsuloplastie d\'une articulation du poignet, par abord direct',165.91,148.90),(6636,'MGMA005','Création d\'une butée ulnaire au poignet, par abord direct',173.71,166.22),(6637,'MGMA006','Reconstruction de l\'articulation du poignet par prothèse massive ou sur mesure, après résection segmentaire',370.81,320.40),(6638,'MGMP001','Confection d\'une attelle de posture ou de mobilisation du poignet et/ou de la main',44.89,34.82),(6639,'MGMP002','Confection d\'un appareil rigide d\'immobilisation du poignet et/ou de la main',23.36,23.36),(6640,'MGPA001','Libération mobilisatrice des articulations du poignet, par abord direct',197.10,166.99),(6641,'MGQC001','Exploration de l\'articulation du poignet, par arthroscopie',235.39,189.20),(6642,'MGQH001','Arthrographie du poignet',69.16,69.16),(6643,'MGQK001','Radiographie du poignet selon 3 incidences ou plus',29.26,29.26),(6644,'MGQK002','Bilan radiographique dynamique du poignet pour entorse non dissociative selon 7 incidences spécifiques',29.26,29.26),(6645,'MGQK003','Radiographie du poignet selon 1 ou 2 incidences',19.95,19.95),(6646,'MGRP001','Mobilisation d\'articulation du poignet et/ou de la main à visée thérapeutique, sous anesthésie générale ou locorégionale',56.01,40.55),(6647,'MHCA001','Suture ou plastie de l\'appareil capsuloligamentaire de plusieurs articulations métacarpophalangiennes',183.63,163.57),(6648,'MHCA002','Suture ou plastie de l\'appareil capsuloligamentaire de l\'articulation métacarpophalangienne du pouce, par abord direct',166.62,149.30),(6649,'MHCA003','Suture ou plastie de l\'appareil capsuloligamentaire d\'une articulation métacarpophalangienne',138.26,124.08),(6650,'MHDA001','Arthrodèse de plusieurs articulations métacarpophalangiennes et/ou interphalangiennes de doigt, par arthrotomie',190.72,163.29),(6651,'MHDA002','Arthrodèse intermétacarpienne du premier espace interosseux, par arthrotomie',211.99,175.63),(6652,'MHDA003','Arthrodèse trapézométacarpienne, par arthrotomie',224.04,182.61),(6653,'MHDA004','Arthrodèse carpométacarpienne, par arthrotomie',184.34,159.59),(6654,'MHDA005','Arthrodèse d\'une articulation métacarpophalangienne ou interphalangienne d\'un doigt, par arthrotomie',153.85,124.34),(6655,'MHDB001','Arthrorise temporaire d\'une articulation métacarpophalangienne ou interphalangienne d\'un doigt par broche, par voie transcutanée',83.60,83.60),(6656,'MHEA001','Réduction de luxation de plusieurs articulations métacarpophalangiennes et/ou interphalangiennes de doigt, par arthrotomie',146.30,146.30),(6657,'MHEA002','Réduction d\'une luxation ou luxation-fracture trapézométacarpienne, par arthrotomie',168.03,150.13),(6658,'MHEA003','Réduction d\'une luxation de l\'articulation métacarpophalangienne ou interphalangienne d\'un doigt, par arthrotomie',107.77,102.01),(6659,'MHEA004','Réduction d\'une luxation ou luxation-fracture carpométacarpienne, par arthrotomie',133.29,129.97),(6660,'MHEP001','Réduction orthopédique de plusieurs luxations et/ou luxations-fractures métacarpophalangiennes et/ou interphalangiennes de doigt',68.77,66.22),(6661,'MHEP002','Réduction orthopédique d\'une luxation ou d\'une luxation-fracture métacarpophalangienne ou interphalangienne d\'un doigt',33.44,33.44),(6662,'MHEP003','Réduction orthopédique d\'une luxation ou d\'une luxation-fracture trapézométacarpienne',71.61,59.09),(6663,'MHEP004','Réduction orthopédique d\'une luxation ou d\'une luxation-fracture carpométacarpienne',71.61,59.09),(6664,'MHFA001','Synovectomie d\'une articulation métacarpophalangienne ou interphalangienne d\'un doigt, par abord direct',129.75,119.14),(6665,'MHFA002','Exérèse de kyste synovial ou mucoïde d\'une articulation ou d\'une gaine fibreuse de la main',92.88,71.43),(6666,'MHFA003','Synovectomie de plusieurs articulations métacarpophalangiennes et/ou interphalangiennes de doigt, par abord direct',167.32,154.11),(6667,'MHJA001','Évacuation de collection articulaire de la main, par arthrotomie',106.35,96.80),(6668,'MHMA001','Arthroplastie de plusieurs articulations métacarpophalangiennes et/ou interphalangiennes de doigt',220.50,184.94),(6669,'MHMA002','Arthroplastie d\'une articulation métacarpophalangienne ou interphalangienne d\'un doigt',154.56,133.54),(6670,'MHMA003','Reconstruction d\'une articulation de la main par transfert libre avec anastomoses vasculaires',748.70,688.81),(6671,'MHMA004','Reconstruction d\'une articulation de la main par transfert pédiculé',378.61,351.26),(6672,'MHMA005','Arthroplastie trapézométacarpienne',236.81,190.01),(6673,'MHMP001','Confection d\'une orthèse dynamique de 2 doigts avec 2 éléments moteurs',76.80,76.80),(6674,'MHMP002','Confection d\'une orthèse statique de 2 doigts',38.40,38.40),(6675,'MHMP003','Confection d\'une orthèse statique de 3 doigts ou plus',38.40,38.40),(6676,'MHMP004','Confection d\'une orthèse dynamique d\'un doigt avec un élément moteur',76.80,76.80),(6677,'MHMP005','Confection d\'un appareil rigide d\'immobilisation des doigts',23.60,23.60),(6678,'MHMP006','Confection d\'une orthèse dynamique de 3 doigts ou plus avec 3 éléments moteurs',76.80,76.80),(6679,'MHMP007','Confection d\'une orthèse statique d\'un doigt',38.40,38.40),(6680,'MHPA001','Libération mobilisatrice de plusieurs articulations de la main, par abord direct',186.47,160.82),(6681,'MHPA002','Libération mobilisatrice d\'une articulation de la main, par abord direct',141.09,125.73),(6682,'MHPA003','Libération mobilisatrice de plusieurs articulations de la main avec libération de tendon, par abord direct',250.80,250.80),(6683,'MHPA004','Libération mobilisatrice d\'une articulation de la main avec libération de tendon, par abord direct',219.45,219.45),(6684,'MHQH001','Arthrographie métacarpophalangienne ou interphalangienne de doigt',39.90,39.90),(6685,'MHQP001','Bilan fonctionnel des articulations de la main, sous anesthésie générale ou locorégionale',41.12,27.88),(6686,'MJAA001','Allongement des tendons et/ou des muscles extenseurs de la main ou des doigts, par abord direct',253.11,252.14),(6687,'MJAA002','Allongement des tendons et/ou désinsertion des muscles fléchisseurs de la main ou des doigts, par abord direct',266.58,259.96),(6688,'MJCA001','Suture de plaie d\'un tendon d\'un muscle fléchisseur des doigts sur un rayon de la main, par abord direct',192.85,164.52),(6689,'MJCA002','Suture de plaies des 2 tendons des muscles fléchisseurs des doigts sur un rayon de la main, par abord direct',236.81,207.57),(6690,'MJCA003','Suture de plaies de tendon des muscles fléchisseurs des doigts, d\'un nerf et d\'une artère digitaux palmaires, sur un rayon de la main',411.93,400.95),(6691,'MJCA005','Suture de plaies d\'un tendon d\'un muscle fléchisseur des doigts et de 2 nerfs digitaux palmaires, sur un rayon de la main',312.64,312.64),(6692,'MJCA006','Suture de plaies d\'un tendon d\'un muscle fléchisseur des doigts et d\'un nerf digital palmaire, sur un rayon de la main',265.88,259.18),(6693,'MJCA007','Suture de plaies des 2 tendons des muscles fléchisseurs des doigts et des 2 nerfs digitaux palmaires, sur un rayon de la main',354.44,354.44),(6694,'MJCA008','Suture de plaies des 2 tendons des muscles fléchisseurs des doigts et d\'un nerf digital palmaire, sur un rayon de la main',303.45,298.53),(6695,'MJCA010','Suture de plaies de tendon des muscles fléchisseurs des doigts, des 2 nerfs et d\'une ou deux artères digitaux palmaires, sur un rayon de la main',446.67,438.66),(6696,'MJCA012','Réparation de plaie de l\'appareil extenseur d\'un doigt par suture sur un rayon de la main, par abord direct',106.35,105.57),(6697,'MJDA001','Ténodèse et/ou résection de la portion articulaire du muscle long biceps brachial, par abord direct',164.49,160.88),(6698,'MJDC001','Ténodèse et/ou résection de la portion articulaire du muscle long biceps brachial, par arthroscopie',345.28,337.71),(6699,'MJEA001','Transfert musculotendineux et/ou ténodèse pour rétablissement de l\'ouverture des doigts longs et du pouce',305.58,282.57),(6700,'MJEA002','Transfert musculotendineux et/ou ténodèse pour rétablissement de l\'ouverture des doigts longs',246.73,222.11),(6701,'MJEA003','Transfert musculotendineux pour rétablissement des fonctions intrinsèques des doigts longs et du pouce',385.70,342.21),(6702,'MJEA004','Réinsertion transosseuse de tendon sur une phalange d\'un doigt, par abord direct',154.56,137.92),(6703,'MJEA005','Transfert musculotendineux et/ou ténodèse pour rétablissement de l\'extension active du poignet',281.29,281.29),(6704,'MJEA006','Réinsertion et/ou suture de plusieurs tendons de la coiffe des rotateurs de l\'épaule, par abord direct',355.92,346.51),(6705,'MJEA007','Transfert musculotendineux et/ou ténodèse pour rétablissement de l\'ouverture du pouce',218.37,179.32),(6706,'MJEA008','Transfert musculotendineux et/ou ténodèse pour rétablissement de l\'extension active du poignet et de l\'ouverture des doigts longs et du pouce',321.18,304.42),(6707,'MJEA009','Transfert tendineux et/ou ténodèse pour rétablissement de la fermeture du pouce',218.37,214.43),(6708,'MJEA010','Réinsertion ou suture d\'un tendon de la coiffe des rotateurs de l\'épaule, par abord direct',302.19,302.19),(6709,'MJEA011','Transfert musculotendineux, ténodèse et/ou capsulodèse pour rétablissement des fonctions intrinsèques du pouce',217.66,196.47),(6710,'MJEA012','Transfert musculotendineux pour rétablissement de la flexion active du coude',505.52,398.54),(6711,'MJEA013','Transfert musculotendineux, ténodèse et/ou capsulodèse pour rétablissement des fonctions intrinsèques des doigts longs',275.80,252.14),(6712,'MJEA014','Transfert musculotendineux avec plastie du premier espace interosseux métacarpien pour hypoplasie du pouce',256.66,219.08),(6713,'MJEA015','Transfert musculotendineux et/ou ténodèse pour rétablissement de la fermeture des doigts longs et du pouce',313.50,313.50),(6714,'MJEA016','Transposition musculotendineuse et/ou fixation de la scapula pour stabilisation',332.52,298.20),(6715,'MJEA017','Transfert ostéomusculaire du processus coracoïde ou transfert du ligament coracoacromial pour stabilisation de la clavicule',225.46,196.24),(6716,'MJEA018','Transfert musculotendineux et/ou ténodèse pour rétablissement de la fermeture des doigts longs',250.80,250.80),(6717,'MJEA019','Réinsertion du muscle biceps brachial sur le radius',192.14,176.91),(6718,'MJEA020','Transfert musculotendineux et/ou ténodèse pour rétablissement de la fermeture des doigts longs et du pouce et des fonctions intrinsèques des doigts',385.70,355.37),(6719,'MJEA021','Transfert musculotendineux pour rétablissement de l\'extension active du coude',434.62,357.41),(6720,'MJEC001','Réinsertion ou suture d\'un tendon de la coiffe des rotateurs de l\'épaule, par arthroscopie',367.97,340.35),(6721,'MJEC002','Réinsertion et/ou suture de plusieurs tendons de la coiffe des rotateurs de l\'épaule, par arthroscopie',425.40,386.82),(6722,'MJFA001','Exérèse de calcification intratendineuse de la coiffe des rotateurs de l\'épaule, par abord direct',222.63,194.59),(6723,'MJFA002','Ténosynovectomie des muscles extenseurs au poignet avec synovectomie articulaire du poignet, arthrodèse radio-ulnaire distale et ostéotomie de l\'ulna, par abord direct',355.30,355.30),(6724,'MJFA003','Excision d\'un panaris profond de la pulpe des doigts [phlegmon pulpaire]',72.32,59.50),(6725,'MJFA004','Ténosynovectomie des muscles extenseurs au poignet, par abord direct',209.00,209.00),(6726,'MJFA005','Exérèse d\'un hygroma du coude, par abord direct',85.79,62.92),(6727,'MJFA006','Fasciectomie [Aponévrectomie] palmodigitale sur un rayon de la main, par abord direct',376.20,376.20),(6728,'MJFA007','Ténosynovectomie des muscles extenseurs au poignet avec synovectomie articulaire du poignet, résection de l\'extrémité distale de l\'ulna et transfert tendineux, par abord direct',292.60,292.60),(6729,'MJFA008','Exérèse de lésion fasciale et/ou sousfasciale des tissus mous de la paume de la main',87.92,69.14),(6730,'MJFA009','Excision de fasciite nécrosante de l\'avant-bras et/ou de la main',160.94,146.02),(6731,'MJFA010','Fasciectomie [Aponévrectomie] palmodigitale sur plusieurs rayons de la main, par abord direct',376.20,376.20),(6732,'MJFA011','Résection des tissus mous de la main avec plastie cutanée et résection nerveuse, pour mégadactylie',265.17,251.67),(6733,'MJFA012','Ténosynovectomie des muscles fléchisseurs des doigts sur plusieurs rayons de la main, par abord direct',209.00,209.00),(6734,'MJFA013','Ténosynovectomie des muscles extenseurs au poignet avec synovectomie articulaire du poignet et arthrodèse ou arthroplastie de 3 doigts ou plus, par abord direct',339.61,315.48),(6735,'MJFA014','Ténosynovectomie des muscles extenseurs au poignet avec synovectomie articulaire du poignet, par abord direct',250.80,250.80),(6736,'MJFA015','Ténosynovectomie des muscles fléchisseurs des doigts sur un rayon de la main, par abord direct',209.00,209.00),(6737,'MJFA016','Ténosynovectomie des muscles extenseurs au poignet avec synovectomie articulaire du poignet et arthrodèse ou arthroplastie d\'un doigt ou de 2 doigts, par abord direct',288.56,281.48),(6738,'MJFA017','Résection des tissus mous de la main avec plastie cutanée, sans résection nerveuse, pour mégadactylie',220.50,208.21),(6739,'MJFA018','Ténosynovectomie des muscles fléchisseurs au poignet ou à la paume de la main, par abord direct',209.00,209.00),(6740,'MJFC001','Exérèse de calcification intratendineuse de la coiffe des rotateurs de l\'épaule, par arthroscopie',288.56,232.84),(6741,'MJGA001','Ablation de corps étranger de la coulisse bicipitale, par abord direct',143.93,101.03),(6742,'MJJA001','Évacuation d\'un phlegmon de gaine synoviale digitale ou digitocarpienne, par abord direct',141.09,125.73),(6743,'MJJA002','Évacuation d\'un phlegmon de gaine synoviale digitale ou digitocarpienne avec ténosynovectomie, par abord direct',115.57,110.92),(6744,'MJJA003','Évacuation de suppuration profonde de la main et/ou de l\'avant-bras n\'atteignant pas les gaines synoviales, par abord direct',82.95,65.67),(6745,'MJJA004','Évacuation d\'un phlegmon de gaine synoviale digitale ou digitocarpienne étendu à la main et/ou à l\'avant-bras, par abord direct',224.75,191.80),(6746,'MJMA002','Réparation de plaie de l\'appareil extenseur d\'un doigt avec suture de plaie d\'une articulation, sur un rayon de la main',190.72,167.68),(6747,'MJMA003','Réparation de la coiffe des rotateurs de l\'épaule par autoplastie et/ou matériel prothétique, par abord direct',384.99,363.38),(6748,'MJMA006','Reconstruction d\'un tendon de la main par transplant libre, en deux temps',0.00,0.00),(6749,'MJMA009','Reconstruction d\'un tendon de la main par transplant pédiculé, en un temps',462.98,338.75),(6750,'MJMA010','Réparation de plaie de l\'appareil extenseur d\'un doigt par greffe ou plastie d\'allongement ou de retournement sur un rayon de la main, par abord direct',146.76,137.79),(6751,'MJMA012','Reconstruction de la partie cruciforme de la gaine fibreuse digitale [poulie de réflexion de tendon de muscle fléchisseur des doigts] par autogreffe sur un rayon de la main, par abord direct',167.20,167.20),(6752,'MJMA013','Reconstruction d\'un tendon de la main par transplant libre, en un temps',229.72,203.46),(6753,'MJMA014','Reconstruction d\'un tendon de la main par transplant pédiculé, en deux temps',0.00,0.00),(6754,'MJMA015','Réparation de plaie de l\'appareil extenseur d\'un doigt avec suture de plaies d\'un nerf et d\'une artère digitaux palmaires, sur un rayon de la main',385.79,385.79),(6755,'MJMA016','Réparation de plaie de l\'appareil extenseur d\'un doigt avec suture de plaie d\'un nerf ou d\'une artère digital palmaire, sur un rayon de la main',276.07,276.07),(6756,'MJPA001','Désinsertion musculo-tendino-cutanée étendue pour surélévation congénitale de la scapula',376.48,336.50),(6757,'MJPA002','Libération des tendons des muscles fléchisseurs des doigts sur un rayon de la main, par abord direct',167.20,167.20),(6758,'MJPA003','Libération des tissus mous du premier espace interosseux métacarpien avec arthrodèse de la colonne du pouce, par abord direct',269.42,239.66),(6759,'MJPA004','Désinsertion du muscle subscapulaire avec transfert musculaire',322.60,252.58),(6760,'MJPA005','Fasciotomie [Aponévrotomie] palmaire, par abord direct',125.40,125.40),(6761,'MJPA006','Désinsertion du muscle subscapulaire sans transfert musculaire',219.08,192.54),(6762,'MJPA007','Libération des tissus mous du premier espace interosseux métacarpien, par abord direct',165.91,162.06),(6763,'MJPA008','Libération des tissus mous du premier espace interosseux métacarpien avec arthroplastie ou libération articulaire mobilisatrice, par abord direct',254.53,235.41),(6764,'MJPA009','Libération du tendon d\'un muscle extenseur d\'un doigt sur un rayon de la main, par abord direct',146.76,137.79),(6765,'MJPA010','Incision ou excision d\'un panaris superficiel',38.29,30.99),(6766,'MJPA011','Libération de tendon au poignet avec ténosynovectomie, par abord direct',209.00,209.00),(6767,'MJPA012','Désinsertion ou allongement des muscles épicondyliens latéraux au coude, par abord direct',281.29,281.29),(6768,'MJPA013','Section ou plastie d\'agrandissement de la partie cruciforme de la gaine fibreuse digitale [poulie de réflexion de tendon de muscle fléchisseur des doigts] sur un rayon de la main, par abord direct',62.70,62.70),(6769,'MJPA014','Séparation d\'une syndactylie des doigts à squelette normal avec autoplastie cutanée locale et/ou greffe de peau',245.31,212.51),(6770,'MJPB001','Fasciotomie [Aponévrotomie] palmaire, par voie transcutanée',48.92,41.54),(6771,'MZEA001','Réimplantation de 2 doigts',1321.59,1321.59),(6772,'MZEA002','Réimplantation de la main sectionnée au niveau du métacarpe',1144.33,986.38),(6773,'MZEA003','Réimplantation de 4 ou 5 doigts',1690.47,1690.47),(6774,'MZEA004','Pollicisation d\'un moignon de doigt',421.15,402.27),(6775,'MZEA005','Translocation digitale et/ou carpo-métacarpo-digitale d\'un rayon de la main',401.29,320.53),(6776,'MZEA007','Réimplantation du membre supérieur sectionné au dessus du poignet',1018.83,913.59),(6777,'MZEA008','Pollicisation d\'un doigt complet',511.90,454.90),(6778,'MZEA009','Translocation digitale et/ou carpo-métacarpo-digitale de deux rayons de la main',394.86,394.86),(6779,'MZEA010','Réimplantation d\'un doigt',736.73,736.73),(6780,'MZEA011','Réimplantation de la main sectionnée au poignet',1018.83,913.59),(6781,'MZEA012','Réimplantation de 3 doigts',1690.47,1690.47),(6782,'MZFA001','Amputation complète d\'un rayon de la main',246.73,195.77),(6783,'MZFA002','Amputation transhumérale',389.95,278.84),(6784,'MZFA003','Amputation complète de plusieurs rayons de la main',328.98,243.47),(6785,'MZFA004','Désarticulation du poignet',349.54,255.40),(6786,'MZFA005','Amputation transradio-ulnaire',411.22,291.18),(6787,'MZFA006','Exérèse partielle d\'un os du membre supérieur sans interruption de la continuité, par abord direct',167.20,167.20),(6788,'MZFA007','Amputation et/ou désarticulation de plusieurs doigts, sans résection des métacarpiens',151.73,101.16),(6789,'MZFA008','Amputation d\'un doigt surnuméraire autre que le pouce',101.39,67.58),(6790,'MZFA009','Désarticulation interscapulothoracique',448.72,448.72),(6791,'MZFA010','Désarticulation scapulohumérale [Désarticulation de l\'épaule]',658.66,513.69),(6792,'MZFA011','Désarticulation du coude',309.83,232.37),(6793,'MZFA012','Amputation d\'un doigt surnuméraire autre que le pouce avec résection osseuse',115.57,115.30),(6794,'MZFA013','Amputation ou désarticulation d\'un doigt, sans résection du métacarpien',131.87,85.26),(6795,'MZFA014','Amputation d\'un pouce surnuméraire',116.99,76.63),(6796,'MZFA015','Amputation d\'un pouce surnuméraire, avec ostéotomie ou capsuloplastie',253.94,253.94),(6797,'MZGA003','Évidement d\'un os du membre supérieur sans comblement, par abord direct',180.09,148.34),(6798,'MZGA004','Évidement d\'un os du membre supérieur avec comblement, par abord direct',227.59,224.17),(6799,'MZHA001','Biopsie d\'un os et/ou d\'une articulation du membre supérieur, par abord direct',138.26,124.08),(6800,'MZHB001','Biopsie d\'un os et/ou d\'une articulation du membre supérieur, par voie transcutanée sans guidage',38.86,28.59),(6801,'MZHB002','Ponction ou cytoponction d\'une articulation du membre supérieur, par voie transcutanée sans guidage',28.81,20.74),(6802,'MZHH001','Ponction ou cytoponction d\'une articulation du membre supérieur, par voie transcutanée avec guidage radiologique',24.79,9.60),(6803,'MZHH002','Ponction ou cytoponction d\'une articulation du membre supérieur, par voie transcutanée avec guidage scanographique',27.36,9.60),(6804,'MZHH003','Biopsie d\'un os et/ou d\'une articulation du membre supérieur, par voie transcutanée avec guidage radiologique',76.80,76.80),(6805,'MZHH004','Biopsie d\'un os et/ou d\'une articulation du membre supérieur, par voie transcutanée avec guidage scanographique',76.80,76.80),(6806,'MZJB001','Évacuation de collection articulaire du membre supérieur, par voie transcutanée sans guidage',83.60,83.60),(6807,'MZLB001','Injection thérapeutique d\'agent pharmacologique dans une articulation ou une bourse séreuse du membre supérieur, par voie transcutanée sans guidage',26.13,26.13),(6808,'MZLH001','Injection thérapeutique d\'agent pharmacologique dans une articulation ou une bourse séreuse du membre supérieur, par voie transcutanée avec guidage scanographique',23.52,9.60),(6809,'MZLH002','Injection thérapeutique d\'agent pharmacologique dans une articulation ou une bourse séreuse du membre supérieur, par voie transcutanée avec guidage radiologique',18.76,9.60),(6810,'MZMA001','Réparation d\'une hémisection antérieure du poignet avec ischémie complète de la main',737.77,737.77),(6811,'MZMA002','Reconstruction d\'un doigt par transfert libre total de doigt ou d\'orteil',940.84,868.36),(6812,'MZMA003','Reconstruction d\'un doigt par transfert libre partiel vascularisé de doigt ou d\'orteil',940.84,868.36),(6813,'MZMA004','Suture de plaie de tendon avec suture de plaie du nerf médian, à la face antérieure du poignet',387.11,309.75),(6814,'MZMP001','Confection d\'une contention souple d\'une articulation du membre supérieur',31.35,31.35),(6815,'MZMP002','Confection d\'un appareil rigide thoracobrachial pour immobilisation initiale de fracture du membre supérieur, sans réduction',64.52,63.30),(6816,'MZMP004','Confection d\'un appareil rigide au poignet et/ou à la main pour immobilisation initiale de fracture du membre supérieur, sans réduction',29.07,25.64),(6817,'MZMP006','Confection d\'un appareil rigide d\'immobilisation de l\'avant-bras, du poignet et/ou de la main ne prenant pas le coude',26.23,25.23),(6818,'MZMP007','Confection d\'un appareil rigide brachio-antébrachio-palmaire pour immobilisation initiale de fracture du membre supérieur, sans réduction',41.80,41.80),(6819,'MZMP011','Confection d\'un appareil rigide d\'immobilisation du membre supérieur prenant le coude',34.57,34.57),(6820,'MZMP013','Confection d\'un appareil rigide antébrachiopalmaire pour immobilisation initiale de fracture du membre supérieur, sans réduction',34.03,28.52),(6821,'MZMP015','Confection d\'un appareil rigide thoracobrachial d\'immobilisation du membre supérieur',63.30,63.30),(6822,'MZPA002','Séparation d\'une syndactylie complexe des doigts avec ostéotomie ou résection osseuse, et autoplastie cutanée locale et/ou greffe de peau',304.87,264.61),(6823,'MZQH001','Arthrographie du membre supérieur avec scanographie [Arthroscanner du membre supérieur]',79.80,79.80),(6824,'MZQH002','Scanographie unilatérale ou bilatérale de segment du membre supérieur, avec injection de produit de contraste',25.27,25.27),(6825,'MZQJ001','Remnographie [IRM] unilatérale ou bilatérale de segment du membre supérieur, avec injection de produit de contraste',55.00,55.00),(6826,'MZQK001','Téléradiographie unilatérale ou bilatérale du membre supérieur en totalité, de face',39.90,39.90),(6827,'MZQK002','Scanographie unilatérale ou bilatérale de segment du membre supérieur, sans injection de produit de contraste',25.27,25.27),(6828,'MZQK003','Radiographie de 2 segments du membre supérieur',29.26,29.26),(6829,'MZQK004','Radiographie de 3 segments du membre supérieur ou plus',39.90,39.90),(6830,'MZQN001','Remnographie [IRM] unilatérale ou bilatérale de segment du membre supérieur, sans injection de produit de contraste',55.00,55.00),(6831,'MZQP001','Bilan fonctionnel de l\'articulation de l\'épaule, du coude et/ou du poignet, sous anesthésie générale ou locorégionale',39.00,26.65),(6832,'NACA001','Ostéosynthèse unifocale de fracture ou de fracture-luxation de la ceinture pelvienne [du bassin], à foyer ouvert',336.78,283.11),(6833,'NACA002','Ostéosynthèse plurifocale de fracture ou de fracture-luxation de la ceinture pelvienne [du bassin], à foyer ouvert',397.04,318.06),(6834,'NACA003','Ostéosynthèse de fracture de l\'acétabulum, par abord antérieur',404.84,392.09),(6835,'NACA004','Ostéosynthèse de fracture des colonnes antérieure et postérieure de l\'acétabulum, par un ou deux abords',812.51,689.98),(6836,'NACA005','Ostéosynthèse de fracture de l\'acétabulum, par abord postérieur',383.57,340.61),(6837,'NACB001','Ostéosynthèse de fracture ou de fracture-luxation de la ceinture pelvienne [du bassin], à foyer fermé',211.99,193.18),(6838,'NAEP001','Réduction orthopédique progressive de fracture et/ou de luxation de la ceinture pelvienne [du bassin], par traction continue ou suspension',112.73,96.11),(6839,'NAEP002','Réduction orthopédique extemporanée de fracture et/ou de luxation de la ceinture pelvienne [du bassin]',134.71,108.85),(6840,'NAFA001','Résection \"en bloc\"\" de l\'os coxal ou du fémur avec arthrectomie monobloc de hanche\"',823.15,674.93),(6841,'NAFA002','Exérèse partielle de l\'os coxal sans interruption de la continuité, par abord direct',203.48,188.24),(6842,'NAFA003','Résection complète \"en bloc\"\" partielle ou totale d\'un os coxal [hémibassin] emportant l\'acétabulum\"',1029.47,794.59),(6843,'NAFA004','Résection partielle de l\'aile iliaque ou du cadre obturateur n\'interrompant pas la continuité de l\'anneau pelvien',286.44,236.36),(6844,'NAFA005','Prélèvement d\'un os coxal [hémibassin], sur un sujet décédé',0.00,0.00),(6845,'NAFA006','Résection complète \"en bloc\"\" de l\'aile iliaque ou du cadre obturateur interrompant la continuité de l\'anneau pelvien\"',514.73,430.22),(6846,'NAGA001','Ablation de matériel d\'ostéosynthèse de l\'acétabulum ou de l\'os coxal, par abord direct',200.65,151.49),(6847,'NAGA002','Évidement de l\'os coxal avec comblement, par abord direct',258.79,242.26),(6848,'NAGA003','Évidement de l\'os coxal sans comblement, par abord direct',211.28,166.44),(6849,'NAHA001','Biopsie de la corticale interne de l\'os coxal, par abord direct',250.99,189.46),(6850,'NAHA002','Biopsie de la corticale externe de l\'os coxal, par abord direct',170.87,142.99),(6851,'NAHB001','Biopsie unicorticale de l\'os coxal, par voie transcutanée',64.32,63.64),(6852,'NAHB002','Biopsie bicorticale de la crête iliaque, par voie transcutanée',75.04,69.86),(6853,'NAMA002','Reconstruction de l\'os coxal [hémibassin] après résection de la zone acétabulaire, sans prothèse coxale',606.90,545.12),(6854,'NAPA001','Ostéotomie supraacétabulaire de l\'os coxal par une section, avec ostéotomie du fémur',554.44,519.08),(6855,'NAPA002','Ostéotomie extraacétabulaire de l\'os coxal par plusieurs sections, avec capsuloplastie',527.50,490.29),(6856,'NAPA003','Ostéotomie supraacétabulaire de l\'os coxal par une section, avec ostéoplastie supraacétabulaire par butée',497.01,463.82),(6857,'NAPA004','Ostéotomie supraacétabulaire de l\'os coxal par une section',440.29,387.04),(6858,'NAPA005','Ostéotomie supraacétabulaire de l\'os coxal par une section, avec capsuloplastie',511.19,480.83),(6859,'NAPA006','Ostéotomie périacétabulaire de l\'os coxal',606.90,483.67),(6860,'NAPA007','Ostéotomie extraacétabulaire de l\'os coxal par plusieurs sections',484.96,412.94),(6861,'NAPA008','Ostéotomie extraacétabulaire de l\'os coxal par plusieurs sections, avec ostéotomie du fémur',665.04,583.23),(6862,'NAQK007','Radiographie de la ceinture pelvienne [du bassin] selon 2 incidences',33.25,33.25),(6863,'NAQK015','Radiographie de la ceinture pelvienne [du bassin] selon 1 incidence',19.95,19.95),(6864,'NAQK023','Radiographie de la ceinture pelvienne [du bassin] selon 3 incidences ou plus',46.55,46.55),(6865,'NAQK049','Radiographie de la ceinture pelvienne [du bassin] selon 1 incidence et radiographie bilatérale de l\'articulation coxofémorale selon 1 ou 2 incidences par côté',31.29,31.29),(6866,'NAQK049','Radiographie de la ceinture pelvienne [du bassin] selon 1 incidence et radiographie bilatérale de l\'articulation coxofémorale selon 1 ou 2 incidences par côt',31.29,31.29),(6867,'NAQK071','Radiographie de la ceinture pelvienne [du bassin] selon 1 incidence et radiographie unilatérale de l\'articulation coxofémorale selon 1 ou 2 incidence',23.47,23.47),(6868,'NAQK071','Radiographie de la ceinture pelvienne [du bassin] selon 1 incidence et radiographie unilatérale de l\'articulation coxofémorale selon 1 ou 2 incidences',23.47,23.47),(6869,'NBAA001','Allongement osseux progressif du fémur ou du tibia par système interne, avec allongement tendineux',444.54,415.48),(6870,'NBAA002','Allongement osseux extemporané du fémur ou du tibia, avec autogreffe osseuse',377.72,377.72),(6871,'NBAA003','Allongement osseux progressif du fémur ou du tibia par système interne',406.97,354.54),(6872,'NBAA003','Allongement osseux progressif du fémur ou du tibia par système interne, sans allongement tendineux',406.97,354.54),(6873,'NBAA004','Allongement osseux progressif du fémur ou du tibia par système externe, avec allongement tendineux',449.51,379.22),(6874,'NBAA005','Allongement osseux progressif du fémur ou du tibia par système externe',423.98,364.41),(6875,'NBAA005','Allongement osseux progressif du fémur ou du tibia par système externe, sans allongement tendineux',423.98,364.41),(6876,'NBAA006','Allongement osseux extemporané du fémur, avec autogreffe osseuse',412.64,385.54),(6877,'NBCA001','Ostéosynthèse de fracture complexe de la patelle, à foyer ouvert',194.98,169.79),(6878,'NBCA002','Ostéosynthèse de fracture simple de la patelle, à foyer ouvert',140.38,138.12),(6879,'NBCA003','Ostéosynthèse de fracture complexe supracondylaire et intercondylaire du fémur, à foyer ouvert',442.42,440.22),(6880,'NBCA004','Ostéosynthèse du grand trochanter pour pseudarthrose',281.29,281.29),(6881,'NBCA005','Ostéosynthèse de fracture intracapsulaire du col [transcervicale] du fémur, de décollement épiphysaire ou d\'épiphysiolyse de l\'extrémité proximale du fémur',374.48,374.48),(6882,'NBCA006','Ostéosynthèse de fracture infratrochantérienne ou trochantérodiaphysaire du fémur',374.48,374.48),(6883,'NBCA007','Ostéosynthèse de fracture de la diaphyse du fémur, à foyer ouvert',292.82,287.97),(6884,'NBCA008','Ostéosynthèse de fracture du grand trochanter',197.69,197.69),(6885,'NBCA009','Ostéosynthèse de fractures homolatérales du col et de la diaphyse du fémur',499.88,499.88),(6886,'NBCA010','Ostéosynthèse de fracture extracapsulaire du col du fémur',374.48,374.48),(6887,'NBCA011','Ostéosynthèse préventive du fémur pour lésion ostéolytique, à foyer ouvert',333.23,311.42),(6888,'NBCA012','Ostéosynthèse de fracture parcellaire de la tête du fémur, par arthrotomie',374.48,374.48),(6889,'NBCA013','Ostéosynthèse de fracture d\'un condyle fémoral, à foyer ouvert',374.48,374.48),(6890,'NBCA014','Ostéosynthèse de fracture supracondylaire extraarticulaire du fémur, à foyer ouvert',374.48,374.48),(6891,'NBCA015','Ostéosynthèse de fracture simple supracondylaire et intercondylaire du fémur, à foyer ouvert',374.48,374.48),(6892,'NBCB001','Ostéosynthèse de fracture de la diaphyse du fémur par fixateur externe ou broche, à foyer fermé',281.29,281.29),(6893,'NBCB002','Ostéosynthèse de fracture de la diaphyse du fémur par matériel centromédullaire sans verrouillage distal, à foyer fermé',281.29,281.29),(6894,'NBCB003','Perforation, forage, ou injection intraosseuse au niveau de la tête du fémur, par voie transcutanée',164.49,139.30),(6895,'NBCB004','Ostéosynthèse de fracture de la diaphyse du fémur par matériel centromédullaire avec verrouillage distal, à foyer fermé',322.60,305.25),(6896,'NBCB005','Ostéosynthèse préventive du fémur pour lésion ostéolytique, à foyer fermé',281.29,281.29),(6897,'NBCB006','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité distale du fémur, à foyer fermé',374.48,374.48),(6898,'NBDA002','Épiphysiodèse temporaire du genou, par 2 abords',161.64,161.64),(6899,'NBDA003','Épiphysiodèse temporaire du genou, par 3 abords ou plus',171.92,171.92),(6900,'NBDA004','Épiphysiodèse temporaire du genou, par un abord',170.16,133.80),(6901,'NBDA004','Épiphysiodèse au genou, par un abord direct',170.16,133.80),(6902,'NBDA013','Épiphysiodèse au genou, par plusieurs abords directs',192.14,164.11),(6903,'NBEB001','Réduction orthopédique progressive de fracture du fémur, par traction continue transosseuse',167.20,167.20),(6904,'NBEP001','Réduction orthopédique progressive de fracture du fémur, par traction continue collée',167.20,167.20),(6905,'NBEP002','Réduction orthopédique extemporanée de fracture-décollement de l\'épiphyse distale du fémur',167.20,167.20),(6906,'NBFA001','Exérèse partielle du fémur sans interruption de la continuité, par abord direct',174.41,171.38),(6907,'NBFA002','Résection segmentaire du fémur avec ostéosynthèse, pour pseudarthrose congénitale',476.45,473.85),(6908,'NBFA003','Résection partielle d\'une extrémité et/ou de la diaphyse du fémur sans interruption de la continuité osseuse',246.73,222.11),(6909,'NBFA004','Résection de la tête et du col du fémur sans interposition capsulaire ou aponévrotique',205.61,189.48),(6910,'NBFA005','Patellectomie partielle, par abord direct',185.05,177.55),(6911,'NBFA006','Résection segmentaire du fémur avec ostéosynthèse et transfert axial progressif d\'un fragment osseux, pour pseudarthrose congénitale',493.46,483.71),(6912,'NBFA007','Résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse du fémur\"',411.93,309.14),(6913,'NBFA008','Résection de la tête et du col du fémur avec interposition capsulaire et/ou aponévrotique',403.42,339.32),(6914,'NBFA009','Patellectomie totale, par abord direct',233.97,205.92),(6915,'NBGA001','Évidement de l\'extrémité distale du fémur et/ou de l\'extrémité proximale du tibia en présence d\'un cartilage épiphysaire actif avec comblement, par abord direct',299.91,266.11),(6916,'NBGA002','Évidement du fémur sans comblement, par abord direct',194.98,156.98),(6917,'NBGA003','Évidement de l\'extrémité proximale du fémur en présence d\'un cartilage épiphysaire actif sans comblement, par abord direct',307.71,222.36),(6918,'NBGA004','Évidement de l\'extrémité distale du fémur et/ou de l\'extrémité proximale du tibia en présence d\'un cartilage épiphysaire actif sans comblement, par abord direct',250.28,210.99),(6919,'NBGA005','Évidement de l\'extrémité proximale du fémur en présence d\'un cartilage épiphysaire actif avec comblement, par abord direct',347.41,293.67),(6920,'NBGA006','Évidement du fémur avec comblement, par abord direct',241.77,232.40),(6921,'NBGA007','Ablation de matériel d\'ostéosynthèse du fémur, par abord direct',104.22,95.57),(6922,'NBGA008','Désépiphysiodèse centrale au fémur ou au tibia',322.64,322.64),(6923,'NBGA009','Désépiphysiodèse périphérique au fémur ou au tibia',300.02,300.02),(6924,'NBGA010','Désépiphysiodèse centrale ou périphérique au fémur ou au tibia, avec ostéotomie',333.16,333.16),(6925,'NBGA015','Désépiphysiodèse au fémur ou au tibia',354.50,306.20),(6926,'NBMA001','Reconstruction du fémur par greffe ou matériau inerte non prothétique, après résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse\"',504.10,424.05),(6927,'NBMA002','Patelloplastie modelante ostéochondrale [Résection arthroplastique de la rotule]',243.90,211.68),(6928,'NBMA003','Reconstruction du fémur par greffe ou matériau inerte non prothétique, après résection partielle d\'une extrémité et/ou de la diaphyse',313.50,313.50),(6929,'NBPA001','Ostéotomie simple bilatérale de la diaphyse du fémur et du tibia',728.14,652.75),(6930,'NBPA002','Ostéotomie simple unilatérale de la diaphyse du fémur, avec arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] et correction de vices architecturaux du pied',508.35,470.41),(6931,'NBPA003','Ostéotomie simple unilatérale de la diaphyse du fémur',321.18,317.95),(6932,'NBPA004','Ostéotomie simple unilatérale de la diaphyse du fémur et du tibia',453.76,447.52),(6933,'NBPA005','Décortication du fémur avec ostéosynthèse pour pseudarthrose',406.69,406.69),(6934,'NBPA006','Ostéotomie bilatérale de valgisation-translation du col du fémur pour dysplasie congénitale',581.38,567.62),(6935,'NBPA007','Ostéotomie simple bilatérale de la diaphyse du fémur',548.63,548.63),(6936,'NBPA008','Ostéotomie simple bilatérale de la diaphyse du fémur et du tibia, avec arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] et correction de vices architecturaux',925.39,925.39),(6937,'NBPA009','Ostéotomie de dérotation de l\'extrémité distale du fémur ou de l\'extrémité proximale du tibia, avec abord vasculaire ou nerveux préalable',455.89,404.86),(6938,'NBPA010','Ostéotomie complexe de l\'extrémité distale du fémur',446.67,390.74),(6939,'NBPA011','Ostéotomie complexe de la diaphyse du fémur',458.01,397.32),(6940,'NBPA012','Ostéotomie simple bilatérale de la diaphyse du fémur, avec arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] et correction de vices architecturaux du pied',794.20,794.20),(6941,'NBPA013','Ostéotomie basicervicale du fémur',504.10,424.05),(6942,'NBPA014','Ostéotomie du grand trochanter',313.50,313.50),(6943,'NBPA015','Ostéotomie simple unilatérale de la diaphyse du fémur et du tibia, avec arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] et correction de vices architecturaux',663.62,569.24),(6944,'NBPA016','Décortication du fémur pour pseudarthrose',406.69,406.69),(6945,'NBPA017','Ostéotomie simple de l\'extrémité distale du fémur',355.21,337.69),(6946,'NBPA018','Ostéotomie unilatérale de valgisation-translation du col du fémur pour dysplasie congénitale',392.79,359.48),(6947,'NBPA019','Ostéotomie intraarticulaire du col du fémur',606.90,483.67),(6948,'NBPA020','Ostéotomie intertrochantérienne ou infratrochantérienne du fémur',313.50,313.50),(6949,'NBQK001','Radiographie de la cuisse',19.95,19.95),(6950,'NCCA001','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité distale du tibia ou des 2 os de la jambe par fixateur externe',197.69,197.69),(6951,'NCCA002','Ostéosynthèse de fracture de la diaphyse du tibia, à foyer ouvert',237.52,220.79),(6952,'NCCA003','Ostéosynthèse de fracture de l\'éminence intercondylaire du tibia [des tubercules intercondylaires] [des épines tibiales], par arthrotomie',220.50,198.11),(6953,'NCCA004','Ostéosynthèse de fracture complexe du pilon tibial, à foyer ouvert',323.30,275.30),(6954,'NCCA005','Ostéosynthèse de fracture ou de décollement épiphysaire de la malléole médiale [tibiale], à foyer ouvert',182.21,175.90),(6955,'NCCA006','Ostéosynthèse de fracture extraarticulaire de l\'extrémité proximale du tibia, à foyer ouvert',225.46,213.79),(6956,'NCCA007','Ostéosynthèse de fracture articulaire simple unicondylaire du tibia, à foyer ouvert',219.08,197.29),(6957,'NCCA008','Ostéosynthèse de fracture simple du pilon tibial, à foyer ouvert',267.29,225.25),(6958,'NCCA009','Ostéosynthèse préventive d\'un os ou des 2 os de la jambe pour lésion ostéolytique, à foyer ouvert',257.37,232.30),(6959,'NCCA010','Ostéosynthèse de fracture de la diaphyse du tibia par fixateur externe',197.69,197.69),(6960,'NCCA011','Ostéosynthèse de fracture ou de décollement épiphysaire supramalléolaire du tibia, à foyer ouvert',216.95,208.87),(6961,'NCCA012','Ostéosynthèse de fracture de l\'extrémité distale de la fibula, à foyer ouvert',160.23,136.82),(6962,'NCCA013','Ostéosynthèse de fracture complexe du pilon tibial par fixateur externe',251.70,233.76),(6963,'NCCA014','Ostéosynthèse de fracture de la diaphyse de la fibula, à foyer ouvert',112.02,108.86),(6964,'NCCA015','Ostéosynthèse de fracture triplane de l\'extrémité distale du tibia, à foyer ouvert',260.91,239.11),(6965,'NCCA016','Ostéosynthèse de fracture bimalléolaire simple, à foyer ouvert',199.23,198.58),(6966,'NCCA017','Ostéosynthèse de fracture bimalléolaire complexe, à foyer ouvert',260.91,234.36),(6967,'NCCA018','Ostéosynthèse de fracture articulaire complexe de l\'extrémité proximale du tibia, à foyer ouvert',360.17,296.68),(6968,'NCCA019','Ostéosynthèse de fracture ou de décollement épiphysaire supramalléolaire des 2 os de la jambe, à foyer ouvert',250.28,228.19),(6969,'NCCB001','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité distale du tibia ou des 2 os de la jambe par broche ou par vis et par fixateur externe, à foyer fermé',236.10,219.96),(6970,'NCCB002','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité proximale du tibia ou des 2 os de la jambe, à foyer fermé',197.69,197.69),(6971,'NCCB003','Ostéosynthèse préventive d\'un os ou des 2 os de la jambe pour lésion ostéolytique, à foyer fermé',211.99,205.99),(6972,'NCCB004','Ostéosynthèse de fracture de la diaphyse du tibia par matériel centromédullaire sans verrouillage distal, à foyer fermé',211.99,205.99),(6973,'NCCB005','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité distale d\'un os ou des 2 os de la jambe par broche ou par vis, à foyer fermé',197.69,197.69),(6974,'NCCB006','Ostéosynthèse de fracture de la diaphyse du tibia par matériel centromédullaire avec verrouillage distal, à foyer fermé',236.10,219.96),(6975,'NCCB007','Ostéosynthèse de fracture ou de décollement épiphysaire de l\'extrémité distale du tibia par clou transplantaire',197.69,197.69),(6976,'NCCC001','Ostéosynthèse de fracture de l\'éminence intercondylaire du tibia [des tubercules intercondylaires] [des épines tibiales], par arthroscopie',224.04,200.17),(6977,'NCEA001','Greffe osseuse intertibiofibulaire, par abord direct',322.60,292.08),(6978,'NCEP001','Réduction orthopédique progressive de fracture d\'une extrémité et/ou de la diaphyse du tibia ou des 2 os de la jambe, par traction continue',187.89,152.87),(6979,'NCEP002','Réduction orthopédique extemporanée de fracture d\'une extrémité et/ou de la diaphyse du tibia ou des 2 os de la jambe',113.44,109.69),(6980,'NCFA001','Résection \"en bloc\"\" de l\'extrémité proximale des 2 os de la jambe\"',476.45,381.67),(6981,'NCFA002','Exérèse partielle du tibia et/ou de la fibula sans interruption de la continuité, par abords multiples',250.80,250.80),(6982,'NCFA003','Exérèse d\'exostose intertibiofibulaire proximale, par abord direct',322.60,257.33),(6983,'NCFA004','Résection segmentaire du tibia et/ou de la fibula avec ostéosynthèse, pour pseudarthrose congénitale',462.98,400.20),(6984,'NCFA005','Résection partielle d\'une extrémité et/ou de la diaphyse du tibia sans interruption de la continuité osseuse',246.73,213.33),(6985,'NCFA006','Exérèse partielle du tibia et/ou de la fibula sans interruption de la continuité, par abord unique',188.10,188.10),(6986,'NCFA007','Résection segmentaire du tibia et/ou de la fibula avec ostéosynthèse et transfert axial progressif d\'un fragment osseux, pour pseudarthrose congénitale',454.47,395.26),(6987,'NCFA008','Résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse du tibia\"',391.37,310.02),(6988,'NCFA009','Résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse de la fibula\"',197.69,197.69),(6989,'NCGA001','Évidement du tibia et/ou de la fibula sans comblement, par abord direct',192.14,164.10),(6990,'NCGA002','Évidement du tibia et/ou de la fibula avec comblement, par abord direct',250.80,250.80),(6991,'NCMA001','Reconstruction du tibia par greffe ou matériau inerte non prothétique, après résection \"en bloc\"\" d\'une extrémité et/ou de la diaphyse\"',452.34,341.36),(6992,'NCMA002','Reconstruction du tibia par greffe ou matériau inerte non prothétique, après résection partielle d\'une extrémité et/ou de la diaphyse',226.17,210.18),(6993,'NCPA001','Ostéotomie de la tubérosité du tibia [tubérosité tibiale antérieure] ou mobilisation du ligament patellaire [tendon rotulien] pour recentrage de la patelle, par arthrotomie',250.80,250.80),(6994,'NCPA002','Ostéotomie de la tubérosité du tibia [tubérosité tibiale antérieure] ou mobilisation du ligament patellaire [tendon rotulien] avec capsulo-myo-ténoplastie pour recentrage de la patelle, par arthrotomie',250.80,250.80),(6995,'NCPA003','Ostéotomie de la tubérosité du tibia [tubérosité tibiale antérieure] ou mobilisation du ligament patellaire [tendon rotulien] avec ostéotomie de la surface patellaire [trochlée] du fémur pour recentrage de la patelle, par arthrotomie',334.65,299.43),(6996,'NCPA004','Ostéotomie simple unilatérale de la diaphyse du tibia, avec arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] et correction de vices architecturaux',483.54,429.68),(6997,'NCPA005','Ostéotomie simple de l\'extrémité proximale du tibia avec reconstruction du ligament croisé antérieur',477.87,460.62),(6998,'NCPA006','Ostéotomie supramalléolaire du tibia ou de l\'arrière-pied, avec allongement et/ou transfert de tendon',365.84,356.66),(6999,'NCPA007','Ostéotomie de la fibula',167.20,167.20),(7000,'NCPA008','Décortication de la diaphyse du tibia et/ou de la fibula avec ostéosynthèse, pour pseudarthrose',343.99,343.99),(7001,'NCPA009','Ostéotomie supramalléolaire du tibia',292.60,292.60),(7002,'NCPA010','Décortication de la diaphyse du tibia et/ou de la fibula pour pseudarthrose',281.29,281.29),(7003,'NCPA011','Ostéotomie simple bilatérale de la diaphyse du tibia',438.90,438.90),(7004,'NCPA012','Ostéotomie simple bilatérale de la diaphyse du tibia, avec arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] et correction de vices architecturaux',863.56,685.21),(7005,'NCPA013','Ostéotomie simple unilatérale de la diaphyse du tibia',292.60,292.60),(7006,'NCPA014','Ostéotomie complexe de l\'extrémité proximale du tibia',418.31,365.51),(7007,'NCPA015','Ostéotomie simple de l\'extrémité proximale du tibia',314.80,305.47),(7008,'NCPA016','Ostéotomie complexe de la diaphyse du tibia',387.11,347.42),(7009,'NCQK001','Radiographie de la jambe',19.95,19.95),(7010,'NDAA001','Allongement osseux extemporané à l\'avant-pied, avec autogreffe osseuse',309.12,284.63),(7011,'NDAA002','Allongement osseux progressif au pied, par système externe',345.28,305.60),(7012,'NDCA001','Ostéosynthèse de fracture simple ou de fracture-luxation du calcanéus, à foyer ouvert',236.10,219.96),(7013,'NDCA002','Ostéosynthèse de fracture d\'un métatarsien ou d\'une phalange d\'orteil, à foyer ouvert',92.17,79.80),(7014,'NDCA003','Ostéosynthèse de fractures de plusieurs os de l\'avant-pied, à foyer ouvert',142.51,122.15),(7015,'NDCA004','Ostéosynthèse de fracture complexe du calcanéus, à foyer ouvert',328.98,273.83),(7016,'NDCA005','Ostéosynthèse de fracture du corps ou du col du talus, à foyer ouvert',231.13,217.09),(7017,'NDCA006','Ostéosynthèse de fracture des os du médiopied, à foyer ouvert',187.18,152.45),(7018,'NDCB001','Ostéosynthèse de fracture du talus ou des os du médiopied, à foyer fermé',170.16,168.56),(7019,'NDCB002','Ostéosynthèse de fractures de plusieurs os de l\'avant-pied, à foyer fermé',96.42,95.42),(7020,'NDCB003','Ostéosynthèse de fracture d\'un métatarsien ou d\'une phalange d\'orteil, à foyer fermé',74.45,69.52),(7021,'NDCB004','Ostéosynthèse de fracture du calcanéus, à foyer fermé',197.69,197.69),(7022,'NDDA001','Fixation de fragment ostéochondral de la trochlée du talus, par arthrotomie',214.12,207.22),(7023,'NDDC001','Fixation de fragment ostéochondral de la trochlée du talus, par arthroscopie',235.39,189.20),(7024,'NDEA002','Réimplantation du premier orteil',737.77,737.77),(7025,'NDEP001','Réduction orthopédique de fracture et/ou de luxation de l\'avant-pied',71.61,59.09),(7026,'NDFA001','Talectomie avec arthrodèse tibiotarsienne',405.55,327.38),(7027,'NDFA002','Exérèse partielle d\'os du pied sans interruption de la continuité, par abord direct',129.75,101.59),(7028,'NDFA003','Talectomie avec création de néarthrose tibiopédieuse',280.76,206.74),(7029,'NDFA004','Résection de synostose de l\'arrière-pied ou du médiopied, par abord direct',212.70,176.04),(7030,'NDFA005','Résection d\'une exostose infra-unguéale d\'un orteil',76.57,61.96),(7031,'NDFA006','Résection \"en bloc\"\" d\'un ou plusieurs os du tarse et/ou du métatarse\"',213.41,194.00),(7032,'NDFA007','Exérèse d\'un os sésamoïde du pied',98.55,74.72),(7033,'NDFA008','Tarsectomie postérieure ou ostéotomie de l\'arrière-pied, avec ostéotomie supramalléolaire',380.02,378.42),(7034,'NDFA009','Tarsectomie postérieure ou ostéotomie de l\'arrière-pied, avec ostéotomie supramalléolaire, avec allongement et/ou transfert de tendon',454.47,421.60),(7035,'NDFA010','Tarsectomie antérieure ou ostéotomie extraarticulaire de l\'arrière-pied ou du médiopied',285.02,253.09),(7036,'NDGA001','Évidement d\'un os du pied sans comblement, par abord direct',113.44,109.69),(7037,'NDGA002','Évidement d\'un os du pied avec comblement, par abord direct',188.10,188.10),(7038,'NDGA003','Ablation de matériel d\'ostéosynthèse du pied, à foyer ouvert',82.95,65.67),(7039,'NDMA001','Reconstruction osseuse du métatarse ou des orteils par greffe ou matériau inerte non prothétique, après résection segmentaire',265.17,232.80),(7040,'NDPA001','Ostéotomie du premier métatarsien',160.94,128.46),(7041,'NDPA002','Ostéotomie du métatarsien et de la phalange proximale du premier rayon du pied, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil et ostéotomie d\'un métatarsien latéral',250.80,250.80),(7042,'NDPA003','Ostéotomie du calcanéus ou du talus',268.71,243.63),(7043,'NDPA004','Ostéotomie d\'un métatarsien latéral ou d\'une phalange d\'orteil',111.31,99.68),(7044,'NDPA004','Ostéotomie d\'un métatarsien latéral ou d\'une phalange d\'orteil, sur un rayon du pied',111.31,99.68),(7045,'NDPA005','Ostéotomie de l\'os cunéiforme médial, du métatarsien et de la phalange proximale du premier rayon du pied, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil',226.88,210.60),(7046,'NDPA006','Ostéotomie du calcanéus avec désinsertion des muscles de la plante du pied',283.60,234.71),(7047,'NDPA007','Ostéotomie de l\'os cunéiforme médial et du premier métatarsien, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil',189.30,188.80),(7048,'NDPA008','Ostéotomie du premier métatarsien, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil',187.18,178.78),(7049,'NDPA009','Ostéotomie de la phalange proximale et libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil',167.20,167.20),(7050,'NDPA010','Ostéotomie tibiotalienne intraarticulaire',280.76,268.18),(7051,'NDPA011','Ostéotomie du métatarsien et de la phalange proximale du premier rayon du pied, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil',209.00,209.00),(7052,'NDPA012','Ostéotomie de l\'os cunéiforme médial, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil',188.10,188.10),(7053,'NDPA013','Ostéotomie du métatarsien et de la phalange proximale du premier rayon du pied, avec libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil et ostéotomie de plusieurs métatarsiens latéraux',292.60,292.60),(7054,'NDPA014','Ostéotomie d\'un métatarsien latéral, avec libération de l\'articulation métatarsophalangienne',167.20,167.20),(7055,'NDQK001','Radiographie unilatérale du pied selon 1 à 3 incidences',19.95,19.95),(7056,'NDQK002','Radiographie bilatérale du pied selon 1 à 3 incidences par côté',23.94,23.94),(7057,'NDQK003','Radiographie du pied selon 4 incidences ou plus',19.95,19.95),(7058,'NDQK004','Radiographie du pied selon 4 incidences ou plus, pour étude podométrique',29.26,29.26),(7059,'NDQM900','Ostéodensitométrie du calcanéus par échographie',0.00,0.00),(7060,'NEDA001','Arthrodèse coxofémorale, par arthrotomie',575.00,491.50),(7061,'NEDA002','Stabilisation d\'une prothèse totale de l\'articulation coxofémorale par pose de butée supraacétabulaire en matériau inerte, abaissement du grand trochanter et/ou changement de la tête ou du col amovible',418.00,418.00),(7062,'NEDA003','Arthrodèse sacro-iliaque, par arthrotomie',328.98,278.58),(7063,'NEDA003','Arthrodèse de l\'articulation sacro-iliaque, par arthrotomie',328.98,278.58),(7064,'NEDB454','Arthrodèse de l\'articulation sacro-iliaque par voie transpariétale, avec guidage radiologique',496.30,496.30),(7065,'NEEA001','Réduction d\'une luxation traumatique de l\'articulation coxofémorale, par arthrotomie',236.10,224.71),(7066,'NEEA002','Réduction d\'une luxation de prothèse de l\'articulation coxofémorale, par arthrotomie',209.00,209.00),(7067,'NEEA003','Réduction d\'une luxation traumatique de l\'articulation coxofémorale avec ostéosynthèse de fracture de la tête du fémur, par arthrotomie',478.98,478.98),(7068,'NEEA004','Réduction d\'une hanche instable non traumatique, par arthrotomie',451.63,393.61),(7069,'NEEP001','Réduction orthopédique progressive d\'une hanche instable non traumatique par traction, après l\'âge de 12 mois',484.25,368.64),(7070,'NEEP002','Réduction orthopédique d\'une luxation de prothèse de l\'articulation coxofémorale',83.60,83.60),(7071,'NEEP003','Réduction orthopédique progressive d\'une hanche instable non traumatique par traction, avant l\'âge de 12 mois',403.42,321.77),(7072,'NEEP004','Réduction orthopédique d\'une luxation traumatique de l\'articulation coxofémorale, avec contention par appareillage rigide pelvipédieux',114.95,114.95),(7073,'NEEP005','Réduction orthopédique d\'une luxation traumatique de l\'articulation coxofémorale, avec fracture ou décollement épiphysaire de la tête du fémur',209.00,209.00),(7074,'NEEP006','Réduction orthopédique progressive d\'une hanche instable non traumatique par harnais',382.15,309.43),(7075,'NEEP007','Réduction orthopédique d\'une luxation traumatique de l\'articulation coxofémorale, avec pose de traction continue',83.60,83.60),(7076,'NEFA001','Résection de l\'articulation coxofémorale avec coaptation trochantéro-iliaque ou fémoro-iliaque',482.83,411.71),(7077,'NEFA002','Résection étendue de l\'articulation sacro-iliaque',1029.47,728.76),(7078,'NEFA003','Synovectomie coxofémorale, par arthrotomie par deux abords dont un abord postérieur',404.84,322.59),(7079,'NEFA003','Synovectomie coxofémorale, par arthrotomie par 2 abords dont un abord postérieur',404.84,322.59),(7080,'NEFA004','Synovectomie coxofémorale, par arthrotomie par un abord',255.95,236.23),(7081,'NEFC001','Synovectomie coxofémorale, par arthroscopie',347.41,289.28),(7082,'NEGA001','Ablation d\'une prothèse totale de hanche avec reconstruction osseuse de l\'acétabulum et/ou du fémur',537.42,512.88),(7083,'NEGA002','Ablation d\'une prothèse totale de hanche',408.38,385.37),(7084,'NEGA003','Ablation d\'une prothèse totale de hanche avec coaptation trochantéro-iliaque',623.92,563.05),(7085,'NEGA004','Ablation de l\'insert intermédiaire d\'une prothèse de l\'articulation coxofémorale, avec pose d\'une pièce acétabulaire',389.95,357.84),(7086,'NEGA005','Ablation d\'une prothèse fémorale cervicocéphalique',353.58,353.58),(7087,'NEHA001','Biopsie d\'une articulation de la ceinture pelvienne [du bassin], par abord direct',221.92,172.60),(7088,'NEHA002','Biopsie de l\'articulation coxofémorale, par abord direct',171.58,143.41),(7089,'NEJA001','Nettoyage de l\'articulation coxofémorale, par arthrotomie',260.20,251.51),(7090,'NEJA002','Évacuation de collection de l\'articulation coxofémorale, par arthrotomie',239.49,239.49),(7091,'NEJA003','Évacuation de collection ou synovectomie de l\'articulation sacro-iliaque, par arthrotomie',199.23,168.22),(7092,'NEJA004','Évacuation de collection périprothétique de l\'articulation coxofémorale, par arthrotomie',255.24,235.82),(7093,'NEJB001','Évacuation de collection de l\'articulation coxofémorale, par voie transcutanée',81.07,28.80),(7094,'NEJC001','Nettoyage de l\'articulation coxofémorale, par arthroscopie',205.61,171.92),(7095,'NEKA001','Changement des pièces acétabulaire et fémorale d\'une prothèse totale de hanche, avec reconstruction par greffes compactées sans ostéosynthèse',908.94,807.35),(7096,'NEKA002','Changement de la pièce acétabulaire ou fémorale d\'une prothèse totale de hanche, avec reconstruction osseuse de l\'acétabulum ou du fémur',545.22,534.96),(7097,'NEKA003','Changement des pièces acétabulaire et fémorale d\'une prothèse totale de hanche, sans reconstruction osseuse',740.91,709.90),(7098,'NEKA004','Changement de l\'insert acétabulaire d\'une prothèse totale de hanche',667.08,667.08),(7099,'NEKA005','Changement de la pièce acétabulaire ou fémorale d\'une prothèse totale de hanche, avec ostéosynthèse de l\'acétabulum ou du fémur',672.84,608.98),(7100,'NEKA006','Changement des pièces acétabulaire et fémorale d\'une prothèse totale de hanche, avec reconstruction et ostéosynthèse de l\'acétabulum et/ou du fémur',1001.11,860.82),(7101,'NEKA007','Changement de la pièce acétabulaire ou fémorale d\'une prothèse totale de hanche, avec reconstruction osseuse par greffes compactées sans ostéosynthèse',734.52,644.76),(7102,'NEKA008','Changement des pièces acétabulaire et fémorale d\'une prothèse totale de hanche, avec reconstruction ou ostéosynthèse de l\'acétabulum ou du fémur',802.59,745.68),(7103,'NEKA009','Changement de la pièce acétabulaire ou fémorale d\'une prothèse totale de hanche, sans reconstruction osseuse',551.60,538.66),(7104,'NEKA010','Remplacement de l\'articulation coxofémorale par prothèse totale, avec renfort métallique acétabulaire et reconstruction fémorale par greffe',624.63,590.52),(7105,'NEKA011','Remplacement de l\'articulation coxofémorale par prothèse fémorale cervicocéphalique et cupule mobile',459.80,459.80),(7106,'NEKA012','Remplacement de l\'articulation coxofémorale par prothèse totale, avec reconstruction acétabulaire ou fémorale par greffe',602.65,577.76),(7107,'NEKA013','Remplacement de l\'articulation coxofémorale par prothèse totale après arthrodèse coxofémorale',635.97,614.65),(7108,'NEKA014','Remplacement de l\'articulation coxofémorale par prothèse totale, avec renfort métallique acétabulaire',543.40,543.40),(7109,'NEKA015','Remplacement de l\'articulation coxofémorale par prothèse totale après ostéosynthèse, ostéotomie ou prothèse cervicocéphalique du fémur',667.08,667.08),(7110,'NEKA016','Remplacement de l\'articulation coxofémorale par prothèse totale, avec ostéotomie de la diaphyse du fémur',616.55,616.55),(7111,'NEKA017','Remplacement de l\'articulation coxofémorale par prothèse totale, avec abaissement de la tête du fémur dans le paléoacétabulum [paléocotyle]',693.40,639.18),(7112,'NEKA018','Remplacement de l\'articulation coxofémorale par prothèse fémorale cervicocéphalique',313.50,313.50),(7113,'NEKA019','Remplacement de l\'articulation coxofémorale par prothèse totale après arthrodèse coxofémorale, avec renfort métallique acétabulaire',694.11,648.37),(7114,'NEKA020','Remplacement de l\'articulation coxofémorale par prothèse totale',459.80,459.80),(7115,'NEKA021','Remplacement de l\'articulation coxofémorale par prothèse totale, avec abaissement de la tête du fémur dans le paléoacétabulum [paléocotyle] et ostéotomie de réaxation ou d\'alignement du fémur',738.78,687.45),(7116,'NEKA022','Changement d\'une prothèse fémorale cervicocéphalique pour une prothèse totale de hanche',667.08,667.08),(7117,'NELA001','Repose d\'une prothèse totale de l\'articulation coxofémorale, avec reconstruction osseuse',687.73,627.11),(7118,'NELA002','Repose d\'une prothèse totale de l\'articulation coxofémorale, sans reconstruction osseuse',544.51,508.93),(7119,'NELA003','Pose d\'une pièce acétabulaire chez un patient porteur d\'une prothèse fémorale cervicocéphalique homolatérale',385.70,355.37),(7120,'NEMA003','Ostéoplastie supraacétabulaire de l\'os coxal par butée, avec ostéotomie extraarticulaire de l\'extrémité proximale du fémur',494.17,462.18),(7121,'NEMA011','Reconstruction de l\'articulation coxofémorale par prothèse massive ou sur mesure, après perte de substance segmentaire au niveau de la hanche ou de l\'os coxal',514.73,491.66),(7122,'NEMA013','Reconstruction osseuse de la hanche après résection \"en bloc\"\" de l\'os coxal [hémibassin], avec fixation du fémur à l\'os coxal\"',617.54,489.84),(7123,'NEMA017','Ostéoplastie supraacétabulaire de l\'os coxal par butée, avec ostéotomie du grand trochanter',418.00,418.00),(7124,'NEMA018','Arthroplastie coxofémorale par cupule fémorale',385.70,355.37),(7125,'NEMA019','Reconstruction de l\'articulation sacro-iliaque après perte de substance osseuse segmentaire avec arthrodèse, par abord direct',343.87,322.34),(7126,'NEMA020','Acétabuloplastie avec ostéotomie du fémur',607.61,527.97),(7127,'NEMA021','Ostéoplastie supraacétabulaire de l\'os coxal par butée, ou acétabuloplastie',377.19,315.33),(7128,'NEPA001','Libération mobilisatrice de l\'articulation coxofémorale, par arthrotomie',289.98,255.97),(7129,'NEQC001','Exploration de l\'articulation coxofémorale, par arthroscopie',224.75,183.03),(7130,'NEQH001','Bilan fonctionnel de hanche instable non traumatique avec arthrographie et confection d\'un appareillage rigide d\'immobilisation externe, sous anesthésie générale',153.85,69.16),(7131,'NEQH002','Arthrographie de la hanche',69.16,69.16),(7132,'NEQK010','Radiographie de l\'articulation coxofémorale selon 1 ou 2 incidence',19.95,19.95),(7133,'NEQK010','Radiographie de l\'articulation coxofémorale selon 1 ou 2 incidences',19.95,19.95),(7134,'NEQK012','Radiographie de l\'articulation coxofémorale selon 4 incidences ou plus',34.44,34.44),(7135,'NEQK035','Radiographie de l\'articulation coxofémorale selon 3 incidences',31.81,31.81),(7136,'NEQM001','Échographie unilatérale ou bilatérale de la hanche du nouveau-né',37.80,37.80),(7137,'NEQP001','Bilan fonctionnel de hanche instable non traumatique avec confection d\'un appareillage rigide d\'immobilisation externe, sous anesthésie générale',124.78,76.41),(7138,'NEQP002','Bilan fonctionnel de l\'articulation coxofémorale, sous anesthésie générale ou locorégionale',56.72,36.93),(7139,'NFCA001','Suture ou réinsertion du ligament croisé antérieur du genou, par arthrotomie',311.41,311.41),(7140,'NFCA002','Suture ou réinsertion de la capsule articulaire du genou, par abord direct',205.61,189.48),(7141,'NFCA003','Suture ou réinsertion des ligaments croisés et d\'élément capsuloligamentaire périarticulaire du genou, par arthrotomie',453.05,428.67),(7142,'NFCA004','Suture ou réinsertion du ligament croisé antérieur et d\'élément capsuloligamentaire périarticulaire du genou, par arthrotomie',395.01,395.01),(7143,'NFCA005','Suture ou réinsertion du ligament croisé postérieur et d\'élément capsuloligamentaire périarticulaire du genou, par arthrotomie',395.01,395.01),(7144,'NFCA006','Suture ou réinsertion du ligament croisé postérieur du genou, par arthrotomie',319.76,316.26),(7145,'NFCC001','Suture ou réinsertion du ligament croisé postérieur du genou, par arthroscopie',397.75,361.48),(7146,'NFCC002','Suture ou réinsertion du ligament croisé antérieur du genou, par arthroscopie',311.41,311.41),(7147,'NFDA002','Arthrodèse fémorotibiale, par arthrotomie',482.12,367.41),(7148,'NFDA003','Arthrodèse fibulotibiale proximale, par arthrotomie',164.49,148.07),(7149,'NFDA009','Fixation de fragment ostéochondral intraarticulaire du genou, par arthrotomie',216.95,213.61),(7150,'NFDC001','Fixation de fragment ostéochondral intraarticulaire du genou, par arthroscopie',267.29,242.81),(7151,'NFEA001','Réinsertion ou suture des 2 ménisques du genou, par arthrotomie',338.19,301.49),(7152,'NFEA002','Réinsertion ou suture d\'un ménisque du genou, par arthrotomie',257.37,219.50),(7153,'NFEC001','Réinsertion ou suture des 2 ménisques du genou, par arthroscopie',411.93,344.25),(7154,'NFEC002','Réinsertion ou suture d\'un ménisque du genou, par arthroscopie',283.60,234.71),(7155,'NFEP001','Réduction orthopédique d\'une luxation de la patelle',44.67,39.07),(7156,'NFEP002','Réduction orthopédique d\'une luxation ou d\'une luxation-fracture de l\'articulation fémorotibiale',104.93,76.22),(7157,'NFFA001','Méniscectomies latérale et médiale du genou, par arthrotomie',250.80,250.80),(7158,'NFFA002','Synovectomie du genou, par arthrotomie antérieure et par arthrotomie postérieure sans changement de position du patient',288.56,237.59),(7159,'NFFA003','Méniscectomie latérale ou médiale du genou, par arthrotomie',167.20,167.20),(7160,'NFFA004','Synovectomie antérieure du genou, par arthrotomie',205.61,189.48),(7161,'NFFA005','Synovectomie antérieure du genou par arthroscopie avec synovectomie postérieure par arthrotomie, sans changement de position',341.03,268.02),(7162,'NFFA006','Synovectomie du genou, par arthrotomie antérieure et par arthrotomie postérieure avec changement de position du patient',453.05,332.99),(7163,'NFFC001','Synovectomie du genou, par arthroscopie antérieure et par arthroscopie postérieure',328.27,260.62),(7164,'NFFC002','Synovectomie antérieure du genou, par arthroscopie',230.43,203.87),(7165,'NFFC003','Méniscectomies latérale et médiale du genou, par arthroscopie',270.13,262.01),(7166,'NFFC004','Méniscectomie latérale ou médiale du genou, par arthroscopie',191.43,181.26),(7167,'NFGA001','Ablation d\'une prothèse du genou avec arthrodèse',568.62,465.49),(7168,'NFGA002','Ablation d\'une prothèse du genou',450.22,344.15),(7169,'NFJA001','Nettoyage de l\'articulation du genou, par arthrotomie',165.20,161.29),(7170,'NFJA002','Évacuation de collection de l\'articulation du genou, par arthrotomie',187.18,174.03),(7171,'NFJC001','Nettoyage de l\'articulation du genou, par arthroscopie',175.12,154.24),(7172,'NFJC002','Évacuation de collection de l\'articulation du genou, par arthroscopie',192.14,164.10),(7173,'NFKA001','Changement d\'une prothèse tricompartimentaire du genou, sans reconstruction osseuse',740.91,649.17),(7174,'NFKA002','Changement d\'une prothèse tricompartimentaire du genou, avec reconstruction osseuse',1029.47,816.54),(7175,'NFKA003','Changement d\'une prothèse unicompartimentaire du genou',532.09,532.09),(7176,'NFKA004','Changement de l\'insert d\'une prothèse unicompartimentaire ou tricompartimentaire du genou',323.09,323.09),(7177,'NFKA005','Changement d\'une prothèse unicompartimentaire du genou pour une prothèse tricompartimentaire',617.54,577.62),(7178,'NFKA006','Remplacement de l\'articulation du genou par prothèse unicompartimentaire fémorotibiale ou fémoropatellaire',446.67,434.63),(7179,'NFKA007','Remplacement de l\'articulation du genou par prothèse tricompartimentaire sur une déformation inférieure ou égale à 10° dans le plan frontal',578.54,555.00),(7180,'NFKA008','Remplacement de l\'articulation du genou par prothèse tricompartimentaire sur une déformation supérieure à 10° dans le plan frontal',659.37,601.89),(7181,'NFKA009','Remplacement de l\'articulation du genou par prothèse à charnière fixe ou rotatoire',560.11,544.31),(7182,'NFLA001','Repose d\'une prothèse articulaire du genou, avec reconstruction osseuse',717.51,626.83),(7183,'NFLA002','Repose d\'une prothèse articulaire du genou, sans reconstruction osseuse',617.54,533.73),(7184,'NFMA002','Plastie ligamentaire extraarticulaire latérale du genou avec le fascia lata, par abord direct',213.41,194.00),(7185,'NFMA004','Reconstruction du ligament croisé antérieur du genou par autogreffe, par arthrotomie',368.68,344.63),(7186,'NFMA005','Capsulo-myo-ténoplastie du genou pour recentrage de la patelle, par arthrotomie',228.30,202.63),(7187,'NFMA006','Reconstruction de l\'articulation du genou par prothèse massive ou sur mesure, après perte de substance segmentaire',522.50,522.50),(7188,'NFMA007','Reconstruction du ligament croisé postérieur du genou par autogreffe avec renforcement synthétique, par arthrotomie',385.75,385.75),(7189,'NFMA008','Reconstruction itérative du ligament croisé postérieur du genou par ligament synthétique, par arthrotomie',350.25,333.94),(7190,'NFMA010','Reconstruction du ligament croisé postérieur du genou par autogreffe sans renforcement synthétique, par arthrotomie',439.58,385.75),(7191,'NFMA011','Reconstruction des ligaments croisés du genou, par arthrotomie',566.49,459.36),(7192,'NFMA013','Reconstruction osseuse du genou après perte de substance segmentaire, avec arthrodèse et ostéosynthèse',516.86,422.68),(7193,'NFMC001','Reconstruction des ligaments croisés du genou, par arthroscopie',655.12,510.76),(7194,'NFMC002','Reconstruction du ligament croisé postérieur du genou par autogreffe sans renforcement synthétique, par arthroscopie',523.95,434.69),(7195,'NFMC003','Reconstruction du ligament croisé antérieur du genou par autogreffe, par arthroscopie',444.54,388.62),(7196,'NFMC004','Reconstruction du ligament croisé postérieur du genou par autogreffe avec renforcement synthétique, par arthroscopie',434.69,434.69),(7197,'NFMC005','Reconstruction itérative du ligament croisé postérieur du genou par ligament synthétique, par arthroscopie',411.93,369.71),(7198,'NFMP001','Confection d\'une contention souple du genou',41.80,41.80),(7199,'NFMP002','Confection d\'une attelle de posture ou de mobilisation du genou',47.57,40.76),(7200,'NFPA001','Libération mobilisatrice de l\'articulation du genou, par arthrotomie',272.97,228.54),(7201,'NFPA002','Section du rétinaculum patellaire latéral [aileron rotulien externe], par arthrotomie',125.40,125.40),(7202,'NFPA003','Libération mobilisatrice de l\'articulation du genou par arthroscopie ou arthrotomie, avec libération complète du quadriceps',441.00,378.67),(7203,'NFPA004','Section du rétinaculum patellaire latéral [aileron rotulien externe] avec ostéotomie de la surface patellaire [trochlée] du fémur, par arthrotomie',313.50,313.50),(7204,'NFPC001','Section du rétinaculum patellaire latéral [aileron rotulien externe], par arthroscopie',134.00,130.39),(7205,'NFPC002','Libération mobilisatrice de l\'articulation du genou, par arthroscopie',299.20,243.76),(7206,'NFQC001','Exploration de l\'articulation du genou, par arthroscopie',125.40,125.40),(7207,'NFQH001','Arthrographie du genou',106.40,106.40),(7208,'NFQK001','Radiographie unilatérale du genou selon 1 ou 2 incidences',25.86,25.86),(7209,'NFQK002','Radiographie bilatérale du genou selon 1 ou 2 incidences par côté',25.86,25.86),(7210,'NFQK003','Radiographie du genou selon 3 ou 4 incidences',25.86,25.86),(7211,'NFQK004','Radiographie du genou selon 5 incidences ou plus',25.86,25.86),(7212,'NFQP001','Bilan fonctionnel de l\'articulation du genou, sous anesthésie générale ou locorégionale',61.68,39.81),(7213,'NFQP002','Bilan fonctionnel de l\'articulation du genou avec confection d\'un appareillage rigide d\'immobilisation externe, sous anesthésie générale ou locorégionale',85.79,53.79),(7214,'NFRP001','Mobilisation de l\'articulation du genou à visée thérapeutique, sous anesthésie générale ou locorégionale',57.43,41.38),(7215,'NGCA001','Suture ou reconstruction de l\'appareil capsuloligamentaire de l\'articulation tibiotalienne et/ou de l\'articulation talocalcanéenne, par abord direct',188.10,188.10),(7216,'NGDA001','Arthrodèse tibio-talo-calcanéenne, par arthrotomie',411.93,326.70),(7217,'NGDA002','Arthrodèse tibiotalienne, par arthrotomie',379.32,290.23),(7218,'NGDA003','Arthrodèses tibio-talo-calcanéenne et médiotarsienne, par arthrotomie',484.96,369.06),(7219,'NGDA004','Arthrorise tibiotalienne ou talocalcanéenne, par abord direct',211.99,193.18),(7220,'NGDC001','Arthrodèse tibiotalienne, par arthroscopie',322.60,257.33),(7221,'NGEA001','Réduction d\'une luxation de l\'articulation tibiotalienne, talocalcanéenne et/ou médiotarsienne, par arthrotomie',192.85,164.52),(7222,'NGEP001','Réduction orthopédique d\'une luxation tibiotalienne ou d\'une luxation-fracture du tarse',69.48,53.46),(7223,'NGFA001','Résection \"en bloc\"\" de l\'articulation de la cheville [Arthrectomie monobloc de la cheville]\"',370.81,285.29),(7224,'NGFA002','Exérèse d\'un kyste synovial ou d\'une bourse séreuse de la cheville ou du pied, par abord direct',94.30,72.24),(7225,'NGGA001','Ablation d\'une prothèse tibiotalienne',295.65,254.51),(7226,'NGGA002','Ablation d\'une prothèse tibiotalienne avec arthrodèse',492.05,403.53),(7227,'NGJA001','Nettoyage de l\'articulation tibiotalienne, par arthrotomie',143.22,118.17),(7228,'NGJA002','Évacuation de collection de l\'articulation tibiotalienne ou d\'une articulation du pied, par arthrotomie',102.81,94.74),(7229,'NGJC001','Nettoyage de l\'articulation tibiotalienne, par arthroscopie',212.70,176.04),(7230,'NGJC002','Évacuation de collection de l\'articulation tibiotalienne ou d\'une articulation du pied, par arthroscopie',164.49,143.79),(7231,'NGKA001','Remplacement de l\'articulation tibiotalienne par prothèse',472.19,379.21),(7232,'NGMA001','Reconstruction de l\'articulation de la cheville avec arthrodèse, après perte de substance segmentaire',411.93,344.25),(7233,'NGMP001','Confection d\'une contention souple de la cheville et/ou du pied, ou confection d\'une semelle plâtrée',20.90,20.90),(7234,'NGMP002','Confection d\'une attelle de posture ou de mobilisation de la cheville',40.87,32.48),(7235,'NGPA001','Libération mobilisatrice de l\'articulation tibiotalienne et/ou synovectomie tibiotalienne avec allongement et/ou transfert de plusieurs tendons, par abord direct',343.99,343.99),(7236,'NGPA002','Libération mobilisatrice de l\'articulation tibiotalienne et/ou synovectomie tibiotalienne, par arthrotomie',258.79,202.77),(7237,'NGPA003','Libération mobilisatrice de l\'articulation tibiotalienne et/ou synovectomie tibiotalienne avec allongement du tendon calcanéen [d\'Achille], par abord direct',309.12,271.10),(7238,'NGPC001','Libération mobilisatrice de l\'articulation tibiotalienne et/ou synovectomie tibiotalienne, par arthroscopie',287.85,219.62),(7239,'NGQC001','Exploration de l\'articulation de la cheville, par arthroscopie',160.94,146.02),(7240,'NGQH001','Arthrographie de la cheville',57.19,57.19),(7241,'NGQK001','Radiographie de la cheville selon 1 à 3 incidences',19.95,19.95),(7242,'NGQK002','Radiographie de la cheville selon 4 incidences ou plus',28.83,28.83),(7243,'NGQP001','Bilan fonctionnel de l\'articulation de la cheville, sous anesthésie générale ou locorégionale',43.96,29.53),(7244,'NGRP001','Mobilisation de l\'articulation de la cheville à visée thérapeutique, sous anesthésie générale ou locorégionale',43.96,33.56),(7245,'NHDA001','Arthrodèse de la première articulation métatarsophalangienne, avec résection des têtes des métatarsiens latéraux',260.91,230.33),(7246,'NHDA002','Arthrodèse de l\'articulation interphalangienne du premier orteil, par arthrotomie',123.37,89.11),(7247,'NHDA003','Arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] avec correction de vices architecturaux, par abord direct',343.87,287.23),(7248,'NHDA004','Arthrodèse de la première articulation métatarsophalangienne, par arthrotomie',177.96,173.44),(7249,'NHDA005','Arthrodèse de plusieurs articulations tarsométatarsiennes, par arthrotomie',295.65,259.26),(7250,'NHDA006','Arthrodèse d\'un interligne du médiotarse, par arthrotomie',252.40,216.62),(7251,'NHDA007','Arthrodèse d\'une articulation tarsométatarsienne, par arthrotomie',180.09,174.67),(7252,'NHDA008','Arthrodèse complète du médiotarse, par arthrotomie',267.29,242.81),(7253,'NHDA009','Arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne], par abord direct',331.10,279.82),(7254,'NHDA010','Arthrodèse du couple de torsion du pied [talocalcanéenne et médiotarsienne] avec transfert tendineux, par abord direct',367.26,339.93),(7255,'NHDA011','Arthrodèse talocalcanéenne [subtalienne], par arthrotomie',317.63,254.45),(7256,'NHFA001','Synovectomie articulaire de l\'avant-pied',138.96,133.27),(7257,'NHKA001','Remplacement de l\'articulation métatarsophalangienne par prothèse sur un rayon du pied',173.71,157.45),(7258,'NHMA001','Arthroplastie métatarsophalangienne par résection de la tête métatarsienne sur plusieurs rayons latéraux du pied',166.34,166.34),(7259,'NHMA002','Arthroplastie par résection de l\'articulation ou arthrodèse interphalangienne d\'un orteil latéral',83.66,66.08),(7260,'NHMA003','Arthroplastie métatarsophalangienne par résection de la tête métatarsienne sur un rayon latéral du pied',134.99,134.99),(7261,'NHMA006','Arthroplastie métatarsophalangienne par résection des deux versants de l\'articulation avec résection d\'ostéophytes, sur le premier rayon du pied',149.60,143.46),(7262,'NHMA007','Arthroplastie métatarsophalangienne par résection d\'un versant de l\'articulation, sur le premier rayon du pied',134.99,134.99),(7263,'NHMA008','Reconstruction de l\'appareil capsuloligamentaire de l\'articulation médiotarsienne',188.10,188.10),(7264,'NHPA001','Libération mobilisatrice d\'une articulation métatarsophalangienne d\'un rayon latéral du pied',136.13,131.62),(7265,'NHPA001','Libération mobilisatrice d\'une articulation métatarsophalangienne, sur un rayon latéral du pied',136.13,131.62),(7266,'NHPA002','Libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil avec transfert tendineux ou syndesmopexie',188.10,188.10),(7267,'NHPA003','Libération mobilisatrice de l\'articulation métatarsophalangienne du premier orteil pour correction d\'hallux varus',170.87,151.77),(7268,'NHPA004','Libération mobilisatrice des articulations tarsométatarsiennes sur 5 rayons du pied',215.54,204.01),(7269,'NHPA005','Libération mobilisatrice des articulations tarsométatarsiennes avec arthrorise talocalcanéenne',342.45,277.62),(7270,'NHPA006','Libération mobilisatrice de l\'articulation métatarsophalangienne du cinquième rayon, avec transfert et/ou allongement de tendon, ostéotomie du métatarsien et/ou syndactylisation',188.10,188.10),(7271,'NHQH001','Arthrographie du pied et/ou des orteils',39.90,39.90),(7272,'NHRP001','Manipulation de pied pour déformation congénitale, avec confection d\'un appareil rigide externe de réduction progressive',80.83,58.98),(7273,'NHRP002','Mobilisation d\'articulation du pied à visée thérapeutique, sous anesthésie générale ou locorégionale',43.96,33.56),(7274,'NHRP003','Manipulation de pied bot varus équin ou de pied convexe, avec confection d\'un appareil rigide externe de réduction progressive',91.46,65.15),(7275,'NJAA001','Allongement de plusieurs tendons de l\'arrière-pied, par abord direct',249.94,249.94),(7276,'NJAA002','Allongement et/ou transfert de tendon sans capsulotomie pour correction d\'attitude vicieuse du genou, par abord direct',271.55,249.31),(7277,'NJAA003','Allongement d\'un tendon de l\'arrière-pied, par abord direct',155.98,155.94),(7278,'NJAA004','Allongement et/ou transfert de plusieurs tendons avec capsulotomie pour correction d\'attitude vicieuse du genou, par abord direct',307.00,283.03),(7279,'NJAB001','Allongement du tendon calcanéen [d\'Achille], par voie transcutanée',155.89,155.89),(7280,'NJBA001','Raccourcissement du ligament patellaire [tendon rotulien], avec section ou allongement du muscle droit fémoral',255.95,213.92),(7281,'NJBA002','Raccourcissement du ligament patellaire [tendon rotulien]',226.17,196.65),(7282,'NJCA001','Suture d\'un tendon de l\'arrière-pied, par abord direct',148.89,121.47),(7283,'NJEA001','Transfert du psoas à travers ou en avant de l\'aile iliaque, avec ostéotomie de l\'os coxal et du fémur',771.39,644.92),(7284,'NJEA002','Réinsertion et/ou suture du tendon du muscle quadriceps fémoral',185.05,133.67),(7285,'NJEA003','Réinsertion du tendon calcanéen [d\'Achille], par abord direct',172.29,165.40),(7286,'NJEA004','Transfert du psoas à travers ou en avant de l\'aile iliaque, avec ostéotomie de l\'os coxal ou du fémur',594.85,520.57),(7287,'NJEA005','Alignement d\'une camptodactylie d\'orteil par libération des tissus mous',161.65,146.42),(7288,'NJEA006','Transfert tendineux et/ou ténodèse pour rétablissement de l\'éversion ou de l\'inversion du pied',218.59,218.59),(7289,'NJEA007','Réinsertion et/ou suture du ligament patellaire [tendon rotulien]',182.92,141.21),(7290,'NJEA008','Transfert tendineux pour rétablissement de l\'extension du premier orteil',164.49,134.90),(7291,'NJEA009','Transfert tendineux et/ou ténodèse pour rétablissement de la flexion dorsale de la cheville',253.82,239.03),(7292,'NJEA010','Transfert tendineux pour rétablissement de la fonction intrinsèque du premier orteil et/ou des orteils latéraux',164.49,134.90),(7293,'NJEA011','Transfert tendineux et/ou ténodèse pour rétablissement de la flexion plantaire de la cheville',218.59,218.59),(7294,'NJEA012','Transfert du psoas à travers ou en avant de l\'aile iliaque',307.71,266.25),(7295,'NJFA001','Résection d\'ostéome paraarticulaire coxofémoral antérieur, postérieur ou médial',324.01,258.15),(7296,'NJFA002','Exérèse de lésion fasciale et/ou sousfasciale des tissus mous de la plante du pied',87.92,63.09),(7297,'NJFA003','Résection des tissus mous pour hypertrophie et gigantisme du pied',229.01,211.83),(7298,'NJFA004','Résection des tissus mous avec résection osseuse pour hypertrophie et gigantisme du pied avec dysplasie',403.42,312.99),(7299,'NJFA005','Ténosynovectomie de plusieurs tendons de l\'arrière-pied',188.10,188.10),(7300,'NJFA006','Exérèse d\'un fragment osseux supratrochantérien',92.88,80.20),(7301,'NJFA008','Exérèse d\'un hygroma du genou, par abord direct',92.88,67.03),(7302,'NJFA009','Résection d\'ostéome paraarticulaire coxofémoral antérieur et postérieur',514.73,403.88),(7303,'NJMA001','Reconstruction de l\'appareil extenseur du genou par autogreffe ostéotendineuse prélevée sur le genou controlatéral',371.52,280.96),(7304,'NJMA002','Reconstruction de l\'appareil extenseur du genou par autogreffe ostéotendineuse prélevée sur le genou homolatéral',290.69,234.07),(7305,'NJMA003','Autoplastie d\'un tendon de l\'arrière-pied, par abord direct',163.07,160.06),(7306,'NJMA004','Reconstruction du rétinaculum des muscles fibulaires [gaine des tendons péroniers] par plastie capsuloligamentaire, périostée et/ou osseuse',184.34,150.81),(7307,'NJMA005','Correction progressive d\'une déformation du pied par fixateur externe',387.82,330.28),(7308,'NJMA006','Correction progressive d\'une déformation du pied par fixateur externe, avec libération des tissus mous',505.52,424.87),(7309,'NJMA007','Correction progressive d\'une déformation du genou par fixateur externe',310.54,293.87),(7310,'NJMB001','Réparation d\'une rupture du tendon calcanéen [d\'Achille], par voie transcutanée',134.71,113.25),(7311,'NJPA001','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec ostéotomie simple de la diaphyse du fémur et du tibia, par abord direct',1638.50,1180.75),(7312,'NJPA002','Libération des tissus mous de la cheville ou de l\'arrière-pied avec capsulotomie, par abord postérieur',322.60,266.10),(7313,'NJPA003','Section ou allongement de tendon pour correction d\'attitude vicieuse de la hanche, par plusieurs abords',294.94,258.85),(7314,'NJPA004','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec arthrodèse du couple de torsion du pied et correction de vices architecturaux, par abord direct',766.43,615.33),(7315,'NJPA005','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec ostéotomie simple de la diaphyse du fémur, par abord direct',855.76,693.48),(7316,'NJPA006','Aponévrotomie et désinsertion musculaire à la plante du pied [Libération plantaire] avec ostéotomie du métatarse',245.31,212.51),(7317,'NJPA007','Aponévrotomie ou aponévrectomie plantaire, ou désinsertion de l\'aponévrose plantaire',134.00,121.62),(7318,'NJPA008','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec arthrodèse du couple de torsion du pied et correction de vices architecturaux, par abord direct',1184.74,884.30),(7319,'NJPA009','Libération des tissus mous de la cheville ou de l\'arrière-pied et du médiopied avec capsulotomie, par abord postérieur, abord médial et abord latéral',466.52,349.59),(7320,'NJPA010','Libérations antérieure et postérieure de la cheville et du pied, pour pied convexe',491.34,363.98),(7321,'NJPA011','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche et du genou, avec raccourcissement du ligament patellaire, par abord direct',553.73,491.97),(7322,'NJPA012','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche et du genou, avec arthrodèse du couple de torsion du pied et correction de vices architecturaux, par abord direct',1069.17,817.27),(7323,'NJPA013','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche et du genou, par abord direct',570.75,528.18),(7324,'NJPA014','Aponévrotomie intramusculaire pour allongement du muscle triceps sural, par abord direct',167.32,162.52),(7325,'NJPA015','Aponévrotomie et désinsertion musculaire à la plante du pied [Libération plantaire]',269.42,208.94),(7326,'NJPA016','Incisions axiales [Peignage] du ligament patellaire [tendon rotulien], avec plastie autologue',143.93,118.59),(7327,'NJPA017','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec ostéotomie simple de la diaphyse du fémur et du tibia, par abord direct',977.00,763.80),(7328,'NJPA018','Libération, incisions axiales ou ténosynovectomie d\'un tendon de l\'arrière-pied',188.10,188.10),(7329,'NJPA019','Libération des tissus mous de la cheville ou de l\'arrière-pied avec capsulotomie, par abord postérieur et par abord médial',438.87,333.54),(7330,'NJPA020','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec ostéotomie simple de la diaphyse du fémur, par abord direct',1063.97,1063.97),(7331,'NJPA021','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec raccourcissement du ligament patellaire, par abord direct',713.25,584.50),(7332,'NJPA022','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche, du genou et du pied, par abord direct',830.95,679.09),(7333,'NJPA023','Libération antérieure de la cheville et du pied, pour pied convexe',403.42,312.99),(7334,'NJPA024','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche, du genou et du pied, par abord direct',538.13,482.93),(7335,'NJPA025','Section ou allongement d\'un tendon de muscle extenseur ou de muscle fléchisseur des orteils à l\'avant-pied',62.70,62.70),(7336,'NJPA026','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche et du genou, avec raccourcissement du ligament patellaire, par abord direct',965.66,757.23),(7337,'NJPA027','Libération des tissus mous de la cheville ou de l\'arrière-pied et du médiopied avec capsulotomie et ostéotomie du tarse ou du métatarse, par abord postérieur, abord médial et abord latéral',527.50,437.62),(7338,'NJPA028','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec raccourcissement du ligament patellaire, par abord direct',1166.31,873.60),(7339,'NJPA029','Section ou allongement de plusieurs tendons pour correction d\'attitude vicieuse du pied',232.55,226.69),(7340,'NJPA030','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche et du genou, par abord direct',423.98,416.72),(7341,'NJPA031','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec ostéotomie simple de la diaphyse du fémur, arthrodèse du couple de torsion du pied et correction de vices architecturaux,',1065.63,815.21),(7342,'NJPA032','Incisions axiales [Peignage] du ligament patellaire [tendon rotulien], sans plastie',113.44,100.91),(7343,'NJPA033','Section, allongement ou transfert tendineux pour correction bilatérale d\'attitude vicieuse de la hanche, du genou et du pied, avec ostéotomie simple de la diaphyse du fémur, arthrodèse du couple de torsion du pied et correction de vices architecturaux, p',1819.29,1285.62),(7344,'NJPA034','Section ou allongement des tendons du muscle psoas et d\'autre muscle pour correction d\'attitude vicieuse de la hanche, par abord unique',271.55,245.28),(7345,'NJPA035','Section ou allongement de tendon pour correction d\'attitude vicieuse de la hanche, par abord unique',231.13,221.83),(7346,'NJPA036','Section, allongement ou transfert tendineux pour correction unilatérale d\'attitude vicieuse de la hanche et du genou, avec arthrodèse du couple de torsion du pied et correction de vices architecturaux, par abord direct',583.68,583.68),(7347,'NJPB001','Section de tendon pour correction d\'attitude vicieuse de la hanche, par voie transcutanée',134.71,90.23),(7348,'NJQP001','Mesure du volume du pied et/ou de la jambe par déplacement d\'eau ou méthode optoélectronique',0.00,0.00),(7349,'NKQP001','Analyse instrumentale de la cinématique de la marche',65.11,65.11),(7350,'NKQP002','Analyse baropodométrique de la marche',0.00,0.00),(7351,'NKQP003','Analyse tridimensionnelle de la marche sur plateforme de force',156.42,156.42),(7352,'NKQP003','Analyse tridimensionnelle de la marche sur plate-forme de force',156.42,156.42),(7353,'NZEA001','Repositionnement du pied pour agénésie du tibia',411.28,411.28),(7354,'NZEA002','Réimplantation du membre inférieur sectionné à la jambe',846.92,846.92),(7355,'NZEA003','Transplantation du pied à la cuisse avec conservation des pédicules vasculonerveux',737.77,737.77),(7356,'NZEA004','Repositionnement du pied pour agénésie de la fibula',471.49,378.80),(7357,'NZEA006','Réimplantation du membre inférieur sectionné à la cuisse',787.29,787.29),(7358,'NZEA007','Réimplantation du pied',846.92,846.92),(7359,'NZEB001','Traction continue transosseuse du membre inférieur, pour lésion non traumatique',0.00,0.00),(7360,'NZEP001','Traction continue cutanée du membre inférieur d\'une durée égale ou supérieure à 7 jours, pour lésion non traumatique',0.00,0.00),(7361,'NZEP002','Traction continue cutanée du membre inférieur d\'une durée inférieure à 7 jours, pour lésion non traumatique',0.00,0.00),(7362,'NZFA001','Désarticulation de la hanche',752.96,524.50),(7363,'NZFA002','Amputation transtibiale',284.31,217.57),(7364,'NZFA003','Désarticulation du genou',511.90,349.56),(7365,'NZFA004','Amputation ou désarticulation de plusieurs orteils',148.18,101.30),(7366,'NZFA005','Amputation ou désarticulation au médiopied ou à l\'avant-pied, sans stabilisation de l\'arrière-pied',246.73,195.77),(7367,'NZFA006','Désarticulation ou amputation du membre inférieur à travers l\'os coxal, l\'articulation sacro-iliaque ou le sacrum',822.71,822.71),(7368,'NZFA007','Amputation transfémorale',287.85,219.62),(7369,'NZFA008','Désarticulation ou amputation interilioabdominale',906.10,744.99),(7370,'NZFA009','Amputation ou désarticulation à la cheville ou à l\'arrière-pied',411.22,291.18),(7371,'NZFA010','Amputation ou désarticulation d\'un orteil',107.06,70.87),(7372,'NZFA011','Amputation d\'un orteil surnuméraire, avec reconstruction articulaire',301.33,235.85),(7373,'NZFA012','Amputation d\'un orteil surnuméraire, sans reconstruction articulaire',175.83,110.76),(7374,'NZFA013','Amputation ou désarticulation du médiopied ou de l\'avant-pied, avec stabilisation de l\'arrière-pied',482.83,332.71),(7375,'NZHA001','Biopsie d\'un os et/ou d\'une articulation du membre inférieur, par abord direct',167.32,132.16),(7376,'NZHB001','Biopsie d\'un os et/ou d\'une articulation du membre inférieur, par voie transcutanée sans guidage',52.93,38.76),(7377,'NZHB002','Ponction ou cytoponction d\'une articulation du membre inférieur, par voie transcutanée sans guidage',28.81,22.76),(7378,'NZHH001','Ponction ou cytoponction d\'une articulation du membre inférieur, par voie transcutanée avec guidage scanographique',27.36,14.40),(7379,'NZHH002','Biopsie d\'un os et/ou d\'une articulation du membre inférieur, par voie transcutanée avec guidage scanographique',76.80,76.80),(7380,'NZHH003','Biopsie d\'un os et/ou d\'une articulation du membre inférieur, par voie transcutanée avec guidage radiologique',76.80,76.80),(7381,'NZHH004','Ponction ou cytoponction d\'une articulation du membre inférieur, par voie transcutanée avec guidage radiologique',24.79,14.40),(7382,'NZJB001','Évacuation de collection articulaire du membre inférieur, par voie transcutanée sans guidage',60.30,47.08),(7383,'NZLB001','Injection thérapeutique d\'agent pharmacologique dans une articulation ou une bourse séreuse du membre inférieur, par voie transcutanée sans guidage',30.82,30.82),(7384,'NZLH001','Injection thérapeutique d\'agent pharmacologique dans une articulation ou une bourse séreuse du membre inférieur, par voie transcutanée avec guidage scanographique',23.52,14.40),(7385,'NZLH002','Injection thérapeutique d\'agent pharmacologique dans une articulation ou une bourse séreuse du membre inférieur, par voie transcutanée avec guidage radiologique',18.76,14.40),(7386,'NZMA001','Reconstruction et réalignement du premier rayon du pied pour malformation',289.98,247.19),(7387,'NZMA002','Reconstruction de l\'avant-pied pour malformation de type pied en fourche',335.36,277.54),(7388,'NZMP003','Confection d\'un appareil rigide d\'immobilisation de la jambe, de la cheville et/ou du pied ne prenant pas le genou',27.57,27.57),(7389,'NZMP006','Confection d\'un appareil rigide fémorocrural [fémorojambier] ou fémoropédieux pour immobilisation initiale de fracture du membre inférieur, sans réduction',42.54,42.23),(7390,'NZMP007','Confection d\'un appareil rigide d\'immobilisation du membre inférieur prenant le genou',35.45,33.73),(7391,'NZMP008','Confection d\'un appareil rigide pelvicrural [pelvijambier] ou pelvipédieux pour immobilisation initiale de fracture du membre inférieur, sans réduction',68.06,65.81),(7392,'NZMP012','Confection d\'un appareil rigide pelvicrural [pelvijambier] ou pelvipédieux d\'immobilisation du membre inférieur',64.47,64.47),(7393,'NZMP014','Confection d\'un appareil rigide cruropédieux [jambopédieux] pour immobilisation initiale de fracture du membre inférieur, sans réduction',31.20,27.57),(7394,'NZQH001','Scanographie unilatérale ou bilatérale de segment du membre inférieur, avec injection de produit de contraste',25.27,25.27),(7395,'NZQH002','Arthrographie du membre inférieur avec scanographie [Arthroscanner du membre inférieur]',93.10,93.10),(7396,'NZQH005','Scanographie de la hanche et du membre inférieur pour conception intégrée par ordinateur d\'une prothèse ostéoarticulaire sur mesure',25.27,25.27),(7397,'NZQJ001','Remnographie [IRM] unilatérale ou bilatérale de segment du membre inférieur, avec injection de produit de contraste',55.00,55.00),(7398,'NZQK001','Téléradiographie unilatérale ou bilatérale du membre inférieur en totalité, de face en appui bipodal',39.90,39.90),(7399,'NZQK002','Scanographie unilatérale ou bilatérale de segment du membre inférieur, sans injection de produit de contraste',25.27,25.27),(7400,'NZQK003','Téléradiographie bilatérale du membre inférieur en totalité, de face en appui monopodal l\'un après l\'autre',45.22,45.22),(7401,'NZQK004','Télémétrie des membres inférieurs par scanographie',25.27,25.27),(7402,'NZQK005','Radiographie de 2 segments du membre inférieur',29.26,29.26),(7403,'NZQK006','Radiographie de 3 segments du membre inférieur ou plus',39.90,39.90),(7404,'NZQN001','Remnographie [IRM] unilatérale ou bilatérale de segment du membre inférieur, sans injection de produit de contraste',55.00,55.00),(7405,'PACA001','Perforation ou forage d\'une épiphyse fertile, par arthrotomie',217.66,170.13),(7406,'PACB001','Perforation ou forage d\'un os, ou injection intraosseuse, par voie transcutanée',87.10,54.56),(7407,'PACC001','Perforation ou forage d\'une épiphyse fertile, par arthroscopie',218.37,179.32),(7408,'PADA001','Épiphysiodèse sur un cartilage de croissance, par abord direct',161.65,128.87),(7409,'PADA001','Épiphysiodèse sur une localisation, par abord direct',161.65,128.87),(7410,'PADA003','Fixation ou exérèse de noyau d\'ossification accessoire, par abord direct',121.24,114.20),(7411,'PADB001','Épiphysiodèse de plusieurs cartilages de croissance, par voie transcutanée',215.54,177.67),(7412,'PADB001','Épiphysiodèse sur plusieurs localisations, par voie transcutanée',215.54,177.67),(7413,'PADB002','Épiphysiodèse d\'un cartilage de croissance, par voie transcutanée',153.14,123.94),(7414,'PADB002','Épiphysiodèse sur une localisation, par voie transcutanée',153.14,123.94),(7415,'PAFA001','Prélèvement de plusieurs os longs complets sur un membre, sur un sujet en état de mort encéphalique',0.00,0.00),(7416,'PAFA002','Prélèvement de plusieurs os longs complets sur plusieurs membres, sur un sujet en état de mort encéphalique',0.00,0.00),(7417,'PAFA003','Prélèvement d\'autogreffe osseuse corticale ou corticospongieuse à distance du foyer opératoire, sur plusieurs sites sans changement de position',0.00,0.00),(7418,'PAFA004','Prélèvement d\'autogreffe osseuse corticale ou corticospongieuse à distance du foyer opératoire, sur un site avec changement de position',0.00,0.00),(7419,'PAFA005','Résection segmentaire d\'un os avec ostéosynthèse, pour pseudarthrose congénitale',409.09,395.27),(7420,'PAFA006','Prélèvement d\'un os autre qu\'un os long, sur un sujet en état de mort encéphalique',0.00,0.00),(7421,'PAFA007','Résection segmentaire d\'un os avec ostéosynthèse et transfert axial progressif de fragment osseux, pour pseudarthrose congénitale',503.45,503.45),(7422,'PAFA008','Prélèvement d\'un os long complet, sur un sujet en état de mort encéphalique',0.00,0.00),(7423,'PAFA009','Prélèvement d\'autogreffe osseuse corticale ou corticospongieuse à distance du foyer opératoire, sur plusieurs sites avec changement de position',0.00,0.00),(7424,'PAFA010','Prélèvement d\'autogreffe osseuse corticale ou corticospongieuse, ou d\'autogreffe périostée à distance du foyer opératoire, sur un site sans changement de position',0.00,0.00),(7425,'PAFH001','Tumorectomie ostéoarticulaire d\'un membre, par voie transcutanée avec guidage scanographique',209.00,209.00),(7426,'PAGA002','Ablation de greffon ou de matériau inerte non prothétique de la diaphyse d\'os long',141.80,108.58),(7427,'PAGA003','Évidement d\'une épiphyse active avec comblement, par arthrotomie',253.11,238.98),(7428,'PAGA005','Évidement d\'une épiphyse, par abord extraarticulaire',272.97,202.21),(7429,'PAGA006','Évidement d\'une épiphyse active sans comblement, par arthrotomie',204.90,162.73),(7430,'PAGA007','Désépiphysiodèse d\'un os long, par abord direct',318.34,267.66),(7431,'PAGA008','Ablation de matériel d\'ostéosynthèse centromédullaire des membres sur plusieurs sites, par abord direct',190.72,150.12),(7432,'PAGA009','Ablation de matériel d\'ostéosynthèse des membres sur plusieurs sites, par abord direct',205.61,158.75),(7433,'PAGA010','Ablation de matériel d\'ostéosynthèse centromédullaire des membres sur un site, par abord direct',104.22,86.78),(7434,'PAGA011','Ablation de matériel d\'ostéosynthèse des membres sur un site, par abord direct',112.73,82.94),(7435,'PAGB001','Ablation de broche d\'ostéosynthèse enfouie, par voie transcutanée sans guidage',51.05,47.16),(7436,'PAGB002','Ablation de matériel d\'ostéosynthèse enfoui, par voie transcutanée sans guidage',75.15,61.15),(7437,'PAGB003','Ablation d\'un fixateur externe ou d\'un système externe d\'allongement progressif d\'un os des membres',66.65,56.21),(7438,'PAGB004','Ablation de broche d\'ostéosynthèse non enfouie',41.80,41.80),(7439,'PAGH001','Ablation de matériel d\'ostéosynthèse enfoui, par voie transcutanée avec guidage radiologique',62.70,62.70),(7440,'PAKB001','Changement de fiche ou broche d\'un fixateur externe ou d\'un système externe d\'allongement osseux',0.00,0.00),(7441,'PAKB002','Changement complet d\'un système externe d\'allongement osseux progressif',313.50,313.50),(7442,'PALB900','Injection intraosseuse de moelle',0.00,0.00),(7443,'PAMH001','Cimentoplastie intraosseuse extrarachidienne, par voie transcutanée avec guidage radiologique',139.36,125.40),(7444,'PAMP001','Réglage secondaire et/ou modification des axes d\'un fixateur externe ou d\'un système externe d\'allongement progressif, sous anesthésie générale ou locorégionale',141.80,108.58),(7445,'PANH001','Destruction d\'une tumeur osseuse bénigne par agent physique par voie transcutanée, avec guidage scanographique',306.19,254.07),(7446,'PANL001','Irradiation interne d\'une lésion osseuse par injection intraveineuse d\'agent pharmacologique radio-isotopique',79.71,79.71),(7447,'PAPA001','Ostéotomies multiples d\'alignement avec abord des deux extrémités de plusieurs os longs homolatéraux, par abord direct',558.69,482.04),(7448,'PAPA002','Ostéotomie itérative pour cal prématuré au cours de l\'allongement progressif d\'un os long',175.83,172.21),(7449,'PAPA003','Ostéotomies multiples d\'alignement avec abord des deux extrémités d\'un os long, par abord direct',376.20,376.20),(7450,'PAQK001','Radiographie comparative des cartilages de conjugaison des os longs des membres',27.93,27.93),(7451,'PAQK002','Radiographie du squelette pour calcul de l\'âge osseux, après l\'âge de 2 ans',19.95,19.95),(7452,'PAQK003','Radiographie du squelette complet, segment par segment, chez l\'enfant',159.60,159.60),(7453,'PAQK004','Radiographie du squelette complet, chez le nouveau-né décédé',0.00,0.00),(7454,'PAQK005','Radiographie de l\'hémisquelette pour calcul de l\'âge osseux, avant l\'âge de 2 ans',19.95,19.95),(7455,'PAQK007','Ostéodensitométrie [Absorptiométrie osseuse] sur 2 sites, par méthode biphotonique',39.96,39.96),(7456,'PAQK008','Ostéodensitométrie [Absorptiométrie osseuse] du corps entier par méthode biphotonique, pour affection osseuse constitutionnelle chez l\'enfant',0.00,0.00),(7457,'PAQK900','Ostéodensitométrie [Absorptiométrie osseuse] du corps entier par méthode biphotonique, pour affection osseuse autre que constitutionnelle',0.00,0.00),(7458,'PAQL001','Scintigraphie osseuse du corps entier segment par segment en un temps [temps tardif], avec acquisition complémentaire par un collimateur sténopé',168.71,168.71),(7459,'PAQL002','Scintigraphie osseuse du corps entier en plusieurs temps',251.39,251.39),(7460,'PAQL003','Scintigraphie osseuse du corps entier en un temps [temps tardif]',168.71,168.71),(7461,'PAQL004','Scintigraphie osseuse segmentaire en un temps [temps tardif], avec acquisition complémentaire par un collimateur sténopé',168.71,168.71),(7462,'PAQL005','Scintigraphie osseuse du corps entier segment par segment en plusieurs temps, sans acquisition complémentaire par un collimateur sténopé',251.39,251.39),(7463,'PAQL006','Scintigraphie osseuse segmentaire en un temps [temps tardif], sans acquisition complémentaire par un collimateur sténopé',168.71,168.71),(7464,'PAQL007','Scintigraphie osseuse segmentaire en plusieurs temps, avec acquisition complémentaire par un collimateur sténopé',251.39,251.39),(7465,'PAQL008','Scintigraphie osseuse segmentaire en plusieurs temps, sans acquisition complémentaire par un collimateur sténopé',251.39,251.39),(7466,'PAQL009','Scintigraphie osseuse du corps entier segment par segment en un temps [temps tardif], sans acquisition complémentaire par un collimateur sténopé',168.71,168.71),(7467,'PAQL010','Scintigraphie osseuse du corps entier segment par segment en plusieurs temps, avec acquisition complémentaire par un collimateur sténopé',251.39,251.39),(7468,'PAQX004','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de tumeur de l\'os et/ou de cartilage',144.45,144.45),(7469,'PBJH001','Évacuation de calcification articulaire d\'un membre, par voie transcutanée avec guidage radiologique',63.65,41.80),(7470,'PBLB001','Injection d\'agent pharmacologique dans l\'appareil capsuloligamentaire d\'une articulation, par voie transcutanée sans guidage',20.77,16.08),(7471,'PBLB002','Synoviorthèse chimique d\'un membre',51.59,37.99),(7472,'PBLL001','Synoviorthèse isotopique d\'un membre',14.29,14.29),(7473,'PBQM001','Échographie unilatérale ou bilatérale de plusieurs articulations',37.80,37.80),(7474,'PBQM002','Échographie unilatérale ou bilatérale d\'une articulation',34.97,34.97),(7475,'PBQM002','Échographie unilatérale ou bilatérale de l\'articulation',34.97,34.97),(7476,'PBQM002','Échographie unilatérale ou bilatérale du sei',34.97,34.97),(7477,'PBQM003','Échographie unilatérale ou bilatérale d\'une articulation et de son appareil capsuloligamentaire',37.80,37.80),(7478,'PBQM003','Échographie unilatérale ou bilatérale d\'une articulation et de son appareil capsuloligamentair',37.80,37.80),(7479,'PBQM004','Échographie unilatérale ou bilatérale de plusieurs articulations et de leur appareil capsuloligamentaire',37.80,37.80),(7480,'PBQM004','Échographie unilatérale ou bilatérale de plusieurs articulations et de leur appareil capsuloligamentair',37.80,37.80),(7481,'PCCA001','Suture de rupture de muscle',134.00,112.83),(7482,'PCCA002','Suture de plaie ou de rupture de tendon',133.29,103.65),(7483,'PCDA001','Ténodèse, par abord direct',209.00,209.00),(7484,'PCEA001','Transfert musculotendineux pédiculé bipolaire pour réanimation motrice, par abord direct',317.63,272.01),(7485,'PCEA002','Réinsertion transosseuse de tendon, par abord direct',169.45,137.78),(7486,'PCEA003','Transfert musculotendineux pédiculé unipolaire pour réanimation motrice, par abord direct',269.42,244.05),(7487,'PCEA004','Lambeau libre musculotendineux pour réanimation motrice, avec anastomoses vasculaires et nerveuse',1027.34,850.42),(7488,'PCHB001','Biopsie musculaire, par voie transcutanée',41.80,41.80),(7489,'PCLB001','Infiltration de zone déclic [point gachette] par voie transcutanée, pour syndrome myofascial',22.11,16.86),(7490,'PCLB002','Séance d\'injection de toxine botulique dans les muscles striés par voie transcutanée, sans examen électromyographique de détection',93.31,58.15),(7491,'PCLB003','Séance d\'injection de toxine botulique dans les muscles striés par voie transcutanée, avec examen électromyographique de détection',116.64,91.44),(7492,'PCMA001','Plastie d\'allongement ou de raccourcissement de tendon par dédoublement ou retournement, par abord direct',155.89,155.89),(7493,'PCPA001','Libération neuro-musculo-cutanée d\'un membre pour avancement musculotendineux',385.70,341.84),(7494,'PCPA002','Aponévrotomie intramusculaire pour allongement',143.93,127.37),(7495,'PCPA003','Désinsertion musculotendineuse',209.00,209.00),(7496,'PCPA004','Fasciomyotomie pour décompression de loge d\'un membre, par abord direct',128.33,118.32),(7497,'PCPA005','Ténotomie, par abord direct',109.90,76.91),(7498,'PCPA006','Section ou plastie d\'agrandissement de poulie de réflexion de tendon, par abord direct',125.49,125.45),(7499,'PCPB001','Fasciomyotomie pour décompression de loge d\'un membre, par voie transcutanée',123.37,115.45),(7500,'PCPB002','Ténotomie, par voie transcutanée',87.92,64.16),(7501,'PCQL001','Exploration radio-isotopique des masses musculaires squelettiques après effort',180.44,180.44),(7502,'PCQL002','Exploration radio-isotopique des masses musculaires squelettiques au repos',180.44,180.44),(7503,'PCQM001','Échographie de muscle et/ou de tendon',37.80,37.80),(7504,'PCQM001','Échographie de muscle et/ou de tendo',37.80,37.80),(7505,'PDAB001','Allongement progressif des tissus mous des membres par pose de fixateur externe, par voie transcutanée',250.80,250.80),(7506,'PDFA001','Exérèse de lésion fasciale et/ou sousfasciale des tissus mous, sans dissection d\'un gros tronc vasculaire ou nerveux',122.66,97.48),(7507,'PDFA002','Exérèse de lésion fasciale et/ou sousfasciale des tissus mous, avec dissection de gros tronc vasculaire et/ou nerveux',193.56,164.93),(7508,'PDFA003','Exérèse de lésion fasciale et/ou sousfasciale des tissus mous de la racine d\'un membre, du pli du coude ou du creux poplité',127.62,86.12),(7509,'PDHA001','Biopsie des tissus mous sousfasciaux, par abord direct',41.80,41.80),(7510,'PDQB001','Mesure directe de la pression tissulaire dans les loges musculaires des membres, par voie transcutanée',0.00,0.00),(7511,'PDQK001','Quantification des différents composants des tissus mous, par scanographie',25.27,25.27),(7512,'PDQN001','Quantification des différents composants des tissus mous, par remnographie',69.00,69.00),(7513,'PDQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de tumeur des tissus mous fasciaux et/ou sousfasciaux [aponévrotiques et/ou sousaponévrotiques]',93.14,93.14),(7514,'PEQP001','Mesure de la force, du travail et de la puissance musculaire de 3 articulations ou plus, par dynamomètre informatisé et motorisé',0.00,0.00),(7515,'PEQP002','Analyse métrologique de la posture, de la locomotion et/ou des gestuelles chez un patient polydéficient',65.11,65.11),(7516,'PEQP003','Mesure de la force, du travail et de la puissance musculaire de 1 ou 2 articulations, par dynamomètre informatisé et motorisé',65.11,65.11),(7517,'PEQP004','Analyse métrologique de la posture, de la locomotion et/ou des gestuelles chez un patient monodéficient',0.00,0.00),(7518,'PZMA001','Réfection d\'un moignon d\'amputation de membre avec section, résection ou libération de nerf',294.24,240.88),(7519,'PZMA002','Réfection d\'un moignon d\'amputation de membre avec régularisation osseuse',294.94,241.30),(7520,'PZMA003','Réfection d\'un moignon d\'amputation de membre avec régularisation osseuse et section, résection ou libération de nerf',363.72,281.18),(7521,'PZMA004','Réparation par lambeau libre cutané, fascial, fasciocutané ou souscutané, musculaire, musculocutané, musculotendineux ou osseux avec anastomoses vasculaires',874.20,761.59),(7522,'PZMA005','Réparation par lambeau libre ostéocutané, ostéomusculaire ou ostéo-musculo-cutané, avec anastomoses vasculaires',1028.76,851.24),(7523,'PZMP001','Modification d\'un appareillage de contention ou d\'une orthèse des membres ou de la colonne vertébrale',0.00,0.00),(7524,'PZMP002','Adaptation d\'une orthèse modulaire articulée d\'un membre',0.00,0.00),(7525,'PZQX004','Examen anatomopathologique à visée carcinologique de pièce d\'amputation partielle ou totale de main, de pied ou de plusieurs doigts ou orteils',84.77,84.77),(7526,'PZQX005','Examen anatomopathologique à visée carcinologique de pièce d\'amputation partielle ou totale d\'un doigt ou d\'un orteil',74.13,74.13),(7527,'PZQX008','Examen anatomopathologique à visée carcinologique de pièce d\'amputation partielle ou totale de membre',152.57,152.57),(7528,'QAEA001','Transplantation de moins de 50 greffons de cuir chevelu',80.83,77.12),(7529,'QAEA002','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur moins de 1% de la surface corporelle',158.82,111.87),(7530,'QAEA003','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur plus de 12,5% de la surface corporelle',595.56,371.76),(7531,'QAEA004','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 10% à 12,5% de la surface corporelle',523.95,330.22),(7532,'QAEA005','Transplantation de 50 à 200 greffons de cuir chevelu',108.48,93.16),(7533,'QAEA006','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 3% à 4% de la surface corporelle',297.78,192.46),(7534,'QAEA007','Transplantation de 201 greffons de cuir chevelu, ou plus',151.02,136.68),(7535,'QAEA008','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 4% à 5% de la surface corporelle',229.06,229.06),(7536,'QAEA009','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 5% à 7,5% de la surface corporelle',264.43,264.43),(7537,'QAEA010','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 1% à 2% de la surface corporelle',131.61,131.61),(7538,'QAEA011','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 2% à 3% de la surface corporelle',161.63,161.63),(7539,'QAEA012','Greffe cutanée pour brûlure de l\'extrémité céphalique, sur 7,5% à 10% de la surface corporelle',443.83,277.17),(7540,'QAEA013','Réimplantation de cuir chevelu avec anastomoses vasculaires',474.04,474.04),(7541,'QAEA014','Microgreffes de peau totale sur 6 cicatrices du visage, ou plus',0.00,0.00),(7542,'QAEA015','Microgreffes de peau totale sur 1 à 5 cicatrices du visage',0.00,0.00),(7543,'QAFA001','Prélèvement d\'autogreffe cutanée sur le cuir chevelu, pour brûlure',0.00,0.00),(7544,'QAFA002','Excision de brûlure de l\'extrémité céphalique, sur 1% à 2% de la surface corporelle',186.47,118.69),(7545,'QAFA003','Excision de brûlure de l\'extrémité céphalique, sur 5% à 7,5% de la surface corporelle',393.50,247.98),(7546,'QAFA004','Excision de brûlure de l\'extrémité céphalique, sur 2% à 3% de la surface corporelle',227.59,142.54),(7547,'QAFA005','Excision de brûlure de l\'extrémité céphalique, sur 4% à 5% de la surface corporelle',338.90,207.10),(7548,'QAFA006','Excision de brûlure de l\'extrémité céphalique, sur moins de 1% de la surface corporelle',143.22,93.60),(7549,'QAFA007','Excision de brûlure de l\'extrémité céphalique, sur 7,5% à 10% de la surface corporelle',441.00,275.53),(7550,'QAFA008','Excision de brûlure de l\'extrémité céphalique, sur 3% à 4% de la surface corporelle',273.67,169.27),(7551,'QAFA009','Excision de brûlure de l\'extrémité céphalique, sur plus de 12,5% de la surface corporelle',374.24,374.24),(7552,'QAFA010','Excision de brûlure de l\'extrémité céphalique, sur 10% à 12,5% de la surface corporelle',488.50,336.00),(7553,'QAGA001','Ablation de plusieurs corps étrangers profonds de la peau et des tissus mous du visage et/ou des mains',107.06,88.43),(7554,'QAGA002','Ablation de plusieurs corps étrangers superficiels de la peau du visage et/ou des mains',75.86,63.75),(7555,'QAGA003','Ablation d\'un corps étranger superficiel de la peau du visage ou des mains',47.50,40.72),(7556,'QAGA004','Ablation d\'un corps étranger profond des tissus mous du visage ou des mains',80.83,64.44),(7557,'QAJA001','Pansement chirurgical secondaire de brûlure sur l\'extrémité céphalique et les 2 mains',226.88,160.41),(7558,'QAJA002','Parage et/ou suture de plaie superficielle de la peau de la face de plus de 10 cm de grand axe',82.95,61.28),(7559,'QAJA003','Évacuation d\'un phlegmon cervicofacial et médiastinal diffus, par cervicotomie',183.63,124.06),(7560,'QAJA004','Parage et/ou suture de plaie profonde de la peau et des tissus mous de la face de moins de 3 cm de grand axe',62.70,62.70),(7561,'QAJA005','Parage et/ou suture de plaie superficielle de la peau de la face de 3 cm à 10 cm de grand axe',74.45,56.34),(7562,'QAJA006','Parage et/ou suture de plaie profonde de la peau et des tissus mous de la face de 3 cm à 10 cm de grand axe',95.01,81.44),(7563,'QAJA007','Pansement chirurgical initial de brûlure sur l\'extrémité céphalique et les 2 mains',221.21,144.10),(7564,'QAJA008','Pansement chirurgical initial de brûlure sur l\'extrémité céphalique et 1 main',170.16,114.50),(7565,'QAJA009','Parage initial d\'un délabrement des tissus mous de la face',214.12,150.52),(7566,'QAJA010','Pansement chirurgical secondaire de brûlure sur l\'extrémité céphalique',107.77,82.26),(7567,'QAJA011','Pansement chirurgical secondaire de brûlure sur l\'extrémité céphalique et 1 main',170.87,127.93),(7568,'QAJA012','Parage et/ou suture de plaie profonde de la peau et des tissus mous de la face de plus de 10 cm de grand axe',120.53,96.24),(7569,'QAJA013','Parage et/ou suture de plaie superficielle de la peau de la face de moins de 3 cm de grand axe',31.35,31.35),(7570,'QAJA014','Pansement chirurgical initial de brûlure sur l\'extrémité céphalique',116.28,77.97),(7571,'QAJB001','Lipoaspiration inframentonnière',0.00,0.00),(7572,'QAJH001','Évacuation de collection de la face, par voie transcutanée avec guidage scanographique',83.60,83.60),(7573,'QAJH002','Drainage de collection de la face, par voie transcutanée avec guidage radiologique',148.95,38.40),(7574,'QAJH003','Drainage de collection de la face, par voie transcutanée avec guidage scanographique',51.84,38.40),(7575,'QAJH004','Évacuation de collection de la face, par voie transcutanée avec guidage radiologique',107.78,83.60),(7576,'QALP001','Pose d\'un appareillage de compression pour prévention et/ou correction de cicatrices vicieuses cervicofaciales',153.60,153.60),(7577,'QAMA001','Lissage cervicofacial unilatéral [Hémilifting facial] avec platysmaplastie, par abord direct',0.00,0.00),(7578,'QAMA002','Réparation de perte de substance de l\'extrémité céphalique par lambeau local ou régional muqueux, cutané ou fasciocutané, à pédicule vasculonerveux non individualisé ou non individualisable [lambeau \"au hasard\"\"]\"',191.24,191.24),(7579,'QAMA003','Réparation de perte de substance de l\'extrémité céphalique par lambeau frontal à pédicule inférieur',313.50,313.50),(7580,'QAMA004','Réparation de perte de substance de l\'extrémité céphalique par lambeau de fascia temporal avec autogreffe de peau',298.49,253.44),(7581,'QAMA005','Réparation de perte de substance de l\'extrémité céphalique par lambeau de fascia temporal',257.37,229.59),(7582,'QAMA006','Lissage cervicofacial unilatéral [Hémilifting facial], par abord direct',0.00,0.00),(7583,'QAMA007','Lissage [Lifting] temporal bilatéral, par abord direct',0.00,0.00),(7584,'QAMA008','Réparation de perte de substance de l\'extrémité céphalique par lambeau scalpant',382.15,301.97),(7585,'QAMA009','Lissage [Lifting] cervicofacial bilatéral avec platysmaplastie, par abord direct',0.00,0.00),(7586,'QAMA010','Lissage [Lifting] cervicofacial bilatéral, par abord direct',0.00,0.00),(7587,'QAMA011','Lissage [Lifting] cervical, par abord direct',0.00,0.00),(7588,'QAMA012','Réparation de perte de substance de l\'extrémité céphalique par lambeau de muscle temporal avec autogreffe de peau',313.50,313.50),(7589,'QAMA013','Réparation de perte de substance de l\'extrémité céphalique par lambeau musculaire ou musculocutané',313.50,313.50),(7590,'QAMA014','Lissage [Lifting] temporal unilatéral, par abord direct',0.00,0.00),(7591,'QAMA015','Réparation de perte de substance du cuir chevelu par lambeau pédiculé',313.50,313.50),(7592,'QAMA016','Lissage [Lifting] du tiers supérieur de la face, par abord coronal',0.00,0.00),(7593,'QAMC001','Lissage [Lifting] du tiers supérieur de la face, par vidéochirurgie',0.00,0.00),(7594,'QANP001','Abrasion du visage entier, avec laser CO2 impulsionnel ou scanérisé, ou avec laser erbium Yag',180.85,122.45),(7595,'QANP002','Exfoliation dermoépidermique moyenne du visage entier, par agent chimique',57.67,45.55),(7596,'QANP003','Exfoliation épidermique [Peeling] du visage entier, par agent chimique',32.75,31.09),(7597,'QANP004','Exfoliation dermoépidermique profonde du visage entier, par agent chimique',86.15,62.07),(7598,'QANP005','Séance de destruction de 11 lésions cutanées superficielles du visage ou plus, par agent chimique ou par cryothérapie de contact',34.89,32.33),(7599,'QANP006','Dermabrasion du visage sur moins de 5 cm²',32.75,31.09),(7600,'QANP007','Séance de destruction de 1 à 10 lésions cutanées superficielles du visage, par agent chimique ou par cryothérapie de contact',28.80,28.80),(7601,'QANP008','Dermabrasion du visage sur 5 cm² à 20 cm²',54.11,43.48),(7602,'QANP009','Dermabrasion du visage entier',180.14,157.14),(7603,'QAPA001','Section de bride congénitale médiane du cou, avec plastie',217.66,192.08),(7604,'QAPA002','Mise à plat de lésion infectieuse du cuir chevelu',109.90,70.33),(7605,'QAQP001','Trichogramme',0.00,0.00),(7606,'QBFA001','Dermolipectomie abdominale avec transposition de l\'ombilic et fermeture de diastasis des muscles droits de l\'abdomen',346.70,297.64),(7607,'QBFA002','Excision d\'une hidrosadénite suppurative périnéofessière [maladie de Verneuil] sur plus de 30 cm²',198.52,132.70),(7608,'QBFA003','Dermolipectomie abdominale totale circulaire',423.98,342.47),(7609,'QBFA004','Excision d\'une hidrosadénite suppurative périnéofessière [maladie de Verneuil] sur moins de 30 cm²',130.46,93.22),(7610,'QBFA005','Dermolipectomie abdominale avec transposition de l\'ombilic',299.20,270.09),(7611,'QBFA006','Dermolipectomie abdominale sans transposition de l\'ombilic, avec fermeture de diastasis des muscles droits de l\'abdomen',305.58,273.79),(7612,'QBFA007','Excision d\'un sinus pilonidal périnéofessier',125.40,125.40),(7613,'QBFA008','Dermolipectomie abdominale avec transposition de l\'ombilic et lipoaspiration de l\'abdomen',333.94,290.24),(7614,'QBFA009','Dermolipectomie abdominale en quartier d\'orange',0.00,0.00),(7615,'QBFA010','Dermolipectomie abdominale sans transposition de l\'ombilic, avec lipoaspiration de l\'abdomen et fermeture de diastasis des muscles droits de l\'abdomen',351.66,300.52),(7616,'QBFA011','Dermolipectomie abdominale sans transposition de l\'ombilic',0.00,0.00),(7617,'QBFA012','Dermolipectomie abdominale avec transposition de l\'ombilic, lipoaspiration de l\'abdomen et fermeture de diastasis des muscles droits de l\'abdomen',388.53,321.91),(7618,'QBFA013','Dermolipectomie abdominale sans transposition de l\'ombilic, avec lipoaspiration de l\'abdomen',0.00,0.00),(7619,'QBFA014','Excision d\'une fasciite nécrosante périnéofessière',228.30,202.63),(7620,'QBJB001','Lipoaspiration de l\'abdomen',181.50,149.16),(7621,'QBPA001','Mise à plat d\'un sinus pilonidal périnéofessier infecté',41.80,41.80),(7622,'QCEA001','Greffe cutanée pour brûlure des deux mains, sur 2,5% à 3,75% de la surface corporelle',302.74,205.22),(7623,'QCEA002','Greffe cutanée pour brûlure des deux mains, sur moins de 1,25% de la surface corporelle',133.66,133.66),(7624,'QCEA003','Greffe cutanée pour brûlure des deux mains, sur plus de 3,75% de la surface corporelle',236.88,236.88),(7625,'QCEA004','Greffe cutanée pour brûlure des deux mains, sur 1,25% à 2,5% de la surface corporelle',247.44,173.15),(7626,'QCEA005','Greffe cutanée pour brûlure d\'une main, sur moins de 1,25% de la surface corporelle',164.49,115.16),(7627,'QCEA006','Greffe cutanée pour brûlure d\'une main, sur plus de 1,25% de la surface corporelle',224.04,149.69),(7628,'QCFA001','Excision de brûlure des 2 mains, sur moins de 1,25% de la surface corporelle',156.69,106.68),(7629,'QCFA002','Excision de brûlure d\'une main, sur moins de 1,25% de la surface corporelle',142.51,93.19),(7630,'QCFA003','Excision de brûlure d\'une main, sur plus de 1,25% de la surface corporelle',194.27,132.42),(7631,'QCFA004','Excision de brûlure des 2 mains, sur 2,5% à 3,75% de la surface corporelle',250.99,161.37),(7632,'QCFA005','Excision de brûlure des 2 mains, sur plus de 3,75% de la surface corporelle',191.23,191.23),(7633,'QCFA006','Excision de brûlure des 2 mains, sur 1,25% à 2,5% de la surface corporelle',213.41,139.58),(7634,'QCJA001','Parage et/ou suture de plaie profonde de la peau et des tissus mous de la main',62.70,62.70),(7635,'QCJA002','Pansement chirurgical secondaire de brûlure sur les 2 mains',151.02,116.41),(7636,'QCJA003','Pansement chirurgical initial de brûlure sur 1 main',96.42,66.46),(7637,'QCJA004','Pansement chirurgical secondaire de brûlure sur 1 main',95.01,74.86),(7638,'QCJA005','Pansement chirurgical initial de brûlure sur les 2 mains',147.47,101.33),(7639,'QCLB222','Injection unilatérale ou bilatérale de toxine botulique au niveau du creux axillaire',32.04,32.04),(7640,'QCNP001','Destruction de 6 verrues palmaires, plantaires et/ou périunguéales ou plus, avec laser CO2 continu',48.42,45.63),(7641,'QCNP002','Destruction de 2 à 5 verrues palmaires, plantaires et/ou périunguéales, avec laser CO2 continu',41.80,41.80),(7642,'QCNP003','Destruction d\'une verrue palmaire, plantaire ou périunguéale, avec laser CO2 continu',41.80,41.80),(7643,'QDJB001','Lipoaspiration des régions infratrochantériennes',0.00,0.00),(7644,'QDJB002','Lipoaspiration de la face médiale des genoux',0.00,0.00),(7645,'QDPA001','Séparation d\'une syndactylie des orteils par plastie cutanée d\'une ou plusieurs commissures',200.65,169.92),(7646,'QEBA001','Réduction de volume du mamelon',0.00,0.00),(7647,'QEDA001','Mastopexie unilatérale, avec pose d\'implant prothétique',0.00,0.00),(7648,'QEDA002','Mastopexie unilatérale, sans pose d\'implant prothétique',0.00,0.00),(7649,'QEDA003','Mastopexie bilatérale, avec pose d\'implant prothétique',0.00,0.00),(7650,'QEDA004','Mastopexie bilatérale, sans pose d\'implant prothétique',0.00,0.00),(7651,'QEEA001','Transposition du mamelon',141.09,134.50),(7652,'QEEA002','Désinvagination unilatérale du mamelon ombiliqué',89.33,78.15),(7653,'QEEA003','Désinvagination bilatérale du mamelon ombiliqué',119.11,108.59),(7654,'QEEB152','Autogreffe de tissu adipeux de 200cm│ et plus au niveau du sein',302.00,302.00),(7655,'QEEB317','Autogreffe de tissu adipeux de moins de 200cm│ au niveau du sein',128.00,128.00),(7656,'QEFA001','Tumorectomie du sein avec curage lymphonodal axillaire',282.18,264.25),(7657,'QEFA002','Exérèse bilatérale de gynécomastie',200.65,182.21),(7658,'QEFA003','Mastectomie totale avec curages lymphonodaux axillaire et parasternal [mammaire interne]',517.57,453.44),(7659,'QEFA004','Tumorectomie du sein',109.90,103.24),(7660,'QEFA005','Mastectomie totale avec exérèse des pectoraux et curage lymphonodal axillaire',282.89,264.66),(7661,'QEFA006','Exérèse de tissu mammaire ectopique ou de glande mammaire aberrante [sein surnuméraire]',104.50,104.50),(7662,'QEFA007','Mastectomie souscutanée avec exérèse de la plaque aréolomamelonnaire',231.84,222.25),(7663,'QEFA008','Mastectomie partielle avec curage lymphonodal axillaire',302.03,275.77),(7664,'QEFA009','Exérèse du mamelon',104.50,104.50),(7665,'QEFA010','Mastectomie totale avec curages lymphonodaux axillaire et supraclaviculaire',423.27,372.42),(7666,'QEFA011','Exérèse unilatérale de gynécomastie',128.33,118.32),(7667,'QEFA012','Mastectomie totale élargie en surface, avec autogreffe cutanée',343.99,343.99),(7668,'QEFA013','Mastectomie totale élargie en surface, avec lambeau pédiculé de muscle grand dorsal ou lambeau parascapulaire',589.89,530.50),(7669,'QEFA014','Exérèse de mamelon surnuméraire',104.50,104.50),(7670,'QEFA015','Mastectomie totale élargie en surface, avec lambeau libre musculocutané',951.48,740.23),(7671,'QEFA016','Exérèse de conduit lactifère [Exérèse de canal galactophore] [Pyramidectomie mammaire]',151.73,131.89),(7672,'QEFA017','Mastectomie partielle',145.35,128.19),(7673,'QEFA018','Exérèse de la plaque aréolomamelonnaire',104.50,104.50),(7674,'QEFA019','Mastectomie totale',190.72,154.51),(7675,'QEFA020','Mastectomie totale avec conservation des pectoraux et curage lymphonodal axillaire',350.25,303.73),(7676,'QEGA001','Ablation unilatérale d\'implant prothétique mammaire, sans capsulectomie',94.05,94.05),(7677,'QEGA002','Ablation bilatérale d\'implant prothétique mammaire, sans capsulectomie',141.08,141.08),(7678,'QEGA003','Ablation unilatérale d\'implant prothétique mammaire, avec capsulectomie',183.63,146.01),(7679,'QEGA004','Ablation bilatérale d\'implant prothétique mammaire, avec capsulectomie',249.57,204.00),(7680,'QEHA001','Biopsie de la plaque aréolomamelonnaire',29.76,25.32),(7681,'QEHA002','Biopsie de lésion de la glande mammaire, par abord direct',76.80,76.80),(7682,'QEHB001','Ponction ou cytoponction de lésion de la glande mammaire, par voie transcutanée sans guidage',21.45,20.50),(7683,'QEHB002','Biopsie de lésion de la glande mammaire, par voie transcutanée sans guidage',76.80,76.80),(7684,'QEHH001','Biopsie de lésion de la glande mammaire, par voie transcutanée avec guidage radiologique',107.78,76.80),(7685,'QEHH002','Macrobiopsie sous vide de lésion de la glande mammaire sur table dédiée, par voie transcutanée avec guidage radiologique',511.68,511.68),(7686,'QEHH002','Macrobiopsie sous vide de lésion de la glande mammaire sur table dédiée, par voie transcutanée avec guidage mammographique',511.68,511.68),(7687,'QEHH003','Ponction ou cytoponction de lésion de la glande mammaire, par voie transcutanée avec guidage radiologique',87.19,19.20),(7688,'QEHH015','Macrobiopsie sous vide de lésion de la glande mammaire sur système accessoire, par voie transcutanée avec guidage mammographique',400.00,400.00),(7689,'QEHJ001','Biopsie d\'une lésion de la glande mammaire, par voie transcutanée avec guidage échographique',76.80,76.80),(7690,'QEHJ002','Ponction ou cytoponction de plusieurs lésions de la glande mammaire, par voie transcutanée avec guidage échographique',47.15,19.20),(7691,'QEHJ003','Ponction ou cytoponction d\'une lésion de la glande mammaire, par voie transcutanée avec guidage échographique',26.10,19.20),(7692,'QEHJ004','Macrobiopsie sous vide de lésion de la glande mammaire sur table dédiée, par voie transcutanée avec guidage échographique',423.66,423.66),(7693,'QEHJ004','Macrobiopsie sous vide de lésion de la glande mammaire, par voie transcutanée avec guidage échographique',423.66,423.66),(7694,'QEHJ005','Biopsie de plusieurs lésions de la glande mammaire, par voie transcutanée avec guidage échographique',115.20,115.20),(7695,'QEHJ006','Biopsie de lésion de la glande mammaire, par voie transcutanée avec guidage remnographique [IRM]',76.80,76.80),(7696,'QEHP002','Frottis unilatéral ou bilatéral d\'un écoulement mamelonnaire',15.92,13.26),(7697,'QEJA001','Évacuation de collection de la glande mammaire, par abord direct',60.90,52.87),(7698,'QEJB001','Évacuation de collection de la glande mammaire, par voie transcutanée sans guidage',23.53,16.06),(7699,'QEJH001','Évacuation de collection de la glande mammaire, par voie transcutanée avec guidage échographique et/ou radiologique',38.40,38.40),(7700,'QEJH002','Drainage de collection de la glande mammaire, par voie transcutanée avec guidage échographique et/ou radiologique',95.67,38.40),(7701,'QEKA001','Changement d\'implant prothétique mammaire, avec capsulectomie',228.30,185.08),(7702,'QEKA002','Changement d\'implant prothétique mammaire, sans capsulectomie',164.49,148.07),(7703,'QELH001','Pose de repère dans le sein, par voie transcutanée avec guidage mammographique',123.52,82.46),(7704,'QELJ001','Pose de repère dans le sein, par voie transcutanée avec guidage échographique',38.40,38.40),(7705,'QEMA001','Reconstruction du sein par lambeau unipédiculé de muscle droit de l\'abdomen',668.59,567.73),(7706,'QEMA002','Reconstruction du sein par lambeau musculocutané libre de muscle droit de l\'abdomen, avec anastomoses vasculaires',932.34,720.70),(7707,'QEMA003','Mastoplastie unilatérale d\'augmentation, avec pose d\'implant prothétique',175.83,154.65),(7708,'QEMA004','Mastoplastie bilatérale d\'augmentation, avec pose d\'implant prothétique',303.45,255.01),(7709,'QEMA005','Mastoplastie unilatérale de réduction, avec reconstruction de la plaque aréolomamelonnaire par lambeau local et autogreffe cutanée',354.50,319.72),(7710,'QEMA006','Reconstruction du sein par pose d\'implant prothétique',296.36,224.56),(7711,'QEMA007','Plastie d\'augmentation ou de réduction de la plaque aréolomamelonnaire',0.00,0.00),(7712,'QEMA008','Reconstruction du sein par lambeau musculocutané pédiculé autre que du muscle droit de l\'abdomen',618.25,503.42),(7713,'QEMA009','Reconstruction de la plaque aréolomamelonnaire par autogreffe de mamelon, avec dermopigmentation',135.42,131.21),(7714,'QEMA010','Reconstruction de la plaque aréolomamelonnaire par autogreffe de mamelon ou lambeau local, et autogreffe cutanée',190.19,190.19),(7715,'QEMA011','Reconstruction du sein par dédoublement du sein restant',333.23,281.06),(7716,'QEMA012','Mastoplastie unilatérale de réduction',252.40,234.17),(7717,'QEMA013','Mastoplastie bilatérale de réduction',408.38,368.53),(7718,'QEMA014','Reconstruction du sein par lambeau bipédiculé de muscle droit de l\'abdomen',668.59,567.73),(7719,'QEMA020','Reconstruction du sein par lambeau cutanéograisseux libre à pédicule perforant de l\'abdomen [lambeau DIEP [deep inferior epigastric perforator]] avec anastomoses vasculaires',850.80,657.67),(7720,'QEMB001','Séance de réfection de l\'aspect de la plaque aréolomamelonnaire par dermopigmentation',125.40,125.40),(7721,'QEPA001','Capsulotomie mammaire avec changement de loge de l\'implant prothétique',190.01,162.87),(7722,'QEQH001','Galactographie',30.59,30.59),(7723,'QEQH002','Scanographie du sein, avec injection intraveineuse de produit de contraste',25.27,25.27),(7724,'QEQJ001','Remnographie [IRM] du sein, avec injection intraveineuse de produit de contraste',69.00,69.00),(7725,'QEQK001','Mammographie bilatérale',66.42,66.42),(7726,'QEQK003','Radiographie de contrôle de pièce opératoire d\'exérèse mammaire',18.62,18.62),(7727,'QEQK004','Mammographie de dépistage',66.42,66.42),(7728,'QEQK005','Mammographie unilatérale',37.26,37.26),(7729,'QEQK006','Scanographie du sein, sans injection intraveineuse de produit de contraste',25.27,25.27),(7730,'QEQM001','Échographie unilatérale ou bilatérale du sein',41.58,41.58),(7731,'QEQM001','Échographie unilatérale ou bilatérale du sei',41.58,41.58),(7732,'QEQN001','Remnographie [IRM] du sein, sans injection intraveineuse de produit de contraste',69.00,69.00),(7733,'QEQX004','Examen anatomopathologique à visée carcinologique d\'une pièce de mastectomie partielle ou totale avec lésion unifocale',108.18,108.18),(7734,'QEQX005','Examen anatomopathologique à visée carcinologique de plusieurs pièces de mastectomie partielle et/ou totale avec lésion unifocale sur chaque pièce d\'exérèse',125.21,125.21),(7735,'QEQX006','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse d\'un conduit lactifère [pyramidectomie]',101.07,101.07),(7736,'QEQX007','Examen anatomopathologique à visée carcinologique de plusieurs pièces de mastectomie partielle et/ou totale avec lésion infraclinique ou lésion plurifocale sur chaque pièce d\'exérèse',164.90,164.90),(7737,'QEQX008','Examen anatomopathologique à visée carcinologique d\'une pièce de mastectomie partielle ou totale avec lésion infraclinique ou lésion plurifocale',149.94,149.94),(7738,'QEQX010','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de plusieurs conduits lactifères [pyramidectomies]',116.19,116.19),(7739,'QEQX016','Examen histopathologique d\'une macrobiopsie de sein',96.73,96.73),(7740,'QEQX037','Examen histopathologique de plusieurs macrobiopsies de sein',96.73,96.73),(7741,'QZEA001','Greffe cutanée en sandwich, sur plus de 20% de la surface corporelle',631.01,558.38),(7742,'QZEA002','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 15% à 17,5% de la surface corporelle',355.21,232.36),(7743,'QZEA003','Greffe de culture de kératinocytes autologues pour brûlure, sur 30% à 40% de la surface corporelle',933.75,751.53),(7744,'QZEA004','Greffe cutanée en sandwich, sur 5% à 7,5% de la surface corporelle',260.39,260.39),(7745,'QZEA005','Autogreffe de peau mince ou demiépaisse, pleine ou en filet, sur une surface de 500 cm² à 1000 cm²',242.48,241.23),(7746,'QZEA006','Autogreffe de peau totale sur plusieurs localisations',155.89,155.89),(7747,'QZEA008','Autogreffe du lit de l\'ongle avec reposition de la tablette unguéale ou pose de prothèse',95.01,81.44),(7748,'QZEA009','Relèvement de 6 cicatrices ou plus, par abord direct',0.00,0.00),(7749,'QZEA010','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur plus de 20% de la surface corporelle',337.22,337.22),(7750,'QZEA011','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 10% à 12,5% de la surface corporelle',259.49,176.84),(7751,'QZEA012','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 12,5% à 15% de la surface corporelle',193.70,193.70),(7752,'QZEA013','Greffe cutanée en sandwich, sur 7,5% à 10% de la surface corporelle',304.16,285.77),(7753,'QZEA014','Greffe cutanée en sandwich, sur 12,5% à 15% de la surface corporelle',374.48,374.48),(7754,'QZEA016','Greffe de culture de kératinocytes autologues pour brûlure, sur 40% à 50% de la surface corporelle',955.78,955.78),(7755,'QZEA017','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 7,5% à 10% de la surface corporelle',198.52,128.31),(7756,'QZEA019','Autogreffe de peau en pastilles sur une surface de 10 cm² à 50 cm²',76.57,70.75),(7757,'QZEA020','Autogreffe de peau mince ou demiépaisse, pleine ou en filet, sur une surface inférieure à 50 cm²',107.77,88.84),(7758,'QZEA021','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur moins de 2,5% de la surface corporelle',95.01,68.27),(7759,'QZEA022','Greffe de culture de kératinocytes autologues pour brûlure, sur 20% à 30% de la surface corporelle',668.99,668.99),(7760,'QZEA023','Greffe de culture de kératinocytes autologues pour brûlure, sur moins de 10% de la surface corporelle',307.16,307.16),(7761,'QZEA024','Autogreffe de peau totale sur une localisation de surface égale ou supérieure à 10 cm²',155.89,155.89),(7762,'QZEA025','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 17,5% à 20% de la surface corporelle',445.25,284.58),(7763,'QZEA026','Autogreffe de peau en pastilles sur une surface supérieure à 50 cm²',104.50,104.50),(7764,'QZEA027','Autogreffe de peau mince ou demiépaisse, pleine ou en filet, sur une surface de 200 cm² à 500 cm²',190.01,175.68),(7765,'QZEA028','Transfert libre de complexe unguéomatriciel avec anastomoses vasculaires',951.48,806.41),(7766,'QZEA029','Greffe cutanée en sandwich, sur 2,5% à 5% de la surface corporelle',216.25,199.67),(7767,'QZEA030','Greffe cutanée en sandwich, sur 17,5% à 20% de la surface corporelle',555.15,479.27),(7768,'QZEA031','Autogreffe de peau totale sur une localisation de surface inférieure à 10 cm²',155.89,155.89),(7769,'QZEA032','Autogreffe de peau en pastilles sur une surface inférieure à 10 cm²',56.01,45.66),(7770,'QZEA033','Greffe de culture de kératinocytes autologues pour brûlure, sur plus de 50% de la surface corporelle',1061.75,1061.75),(7771,'QZEA034','Relèvement de 1 à 5 cicatrices, par abord direct',0.00,0.00),(7772,'QZEA036','Autogreffe de peau mince ou demiépaisse, pleine ou en filet, sur une surface supérieure à 1000 cm²',310.54,294.23),(7773,'QZEA037','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 2,5% à 5% de la surface corporelle',119.11,82.25),(7774,'QZEA038','Greffe cutanée en sandwich, sur moins de 2,5% de la surface corporelle',176.79,176.79),(7775,'QZEA039','Autogreffe de peau mince ou demiépaisse, pleine ou en filet, sur une surface de 50 cm² à 200 cm²',143.93,140.17),(7776,'QZEA040','Greffe cutanée en sandwich, sur 15% à 17,5% de la surface corporelle',426.63,426.63),(7777,'QZEA041','Greffe cutanée pour brûlure en dehors de l\'extrémité céphalique et des mains, sur 5% à 7,5% de la surface corporelle',146.76,98.29),(7778,'QZEA042','Greffe de culture de kératinocytes autologues pour brûlure, sur 10% à 20% de la surface corporelle',517.10,517.10),(7779,'QZEA043','Greffe cutanée en sandwich, sur 10% à 12,5% de la surface corporelle',374.48,374.48),(7780,'QZEA044','Autogreffe souscutanée susfasciale de peau désépidermisée, pour comblement de dépression cutanée',0.00,0.00),(7781,'QZEA044','Autogreffe souscutanée susfasciale de peau désépidermisée pour comblement de dépression cutanée, par abord direct',0.00,0.00),(7782,'QZEA045','Autogreffe souscutanée susfasciale de tissu celluloadipeux, pour comblement de dépression cutanée',167.20,167.20),(7783,'QZEA045','Autogreffe souscutanée susfasciale de tissu celluloadipeux pour comblement de dépression cutanée, par abord direct',167.20,167.20),(7784,'QZEA900','Autogreffe de mélanocytes de culture',0.00,0.00),(7785,'QZEA901','Autogreffe de mélanocytes de transfert',0.00,0.00),(7786,'QZFA001','Exérèse de 2 à 5 lésions souscutanées susfasciales de moins de 3 cm de grand axe',70.90,53.22),(7787,'QZFA002','Exérèse d\'une lésion souscutanée susfasciale de moins de 3 cm de grand axe',54.11,39.45),(7788,'QZFA003','Exérèse de lésion superficielle de la peau par excision de 6 zones cutanées ou plus de moins de 5 cm²',53.18,42.93),(7789,'QZFA004','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de 5 cm² à 10 cm²',53.18,42.93),(7790,'QZFA005','Exérèse de 6 lésions souscutanées susfasciales ou plus de moins de 3 cm de grand axe',88.63,63.50),(7791,'QZFA006','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 2,5% à 5% de la surface corporelle',131.17,83.10),(7792,'QZFA007','Exérèse de lésion souscutanée susfasciale de 3 cm à 10 cm de grand axe',79.41,58.15),(7793,'QZFA008','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de moins de 5 cm², par technique chimiochirurgicale [technique de Mohs]',90.04,74.17),(7794,'QZFA009','Exérèse de l\'appareil unguéal, avec réparation par lambeau pédiculé unguéomatriciel',95.01,81.44),(7795,'QZFA010','Exérèse tangentielle de 1 à 20 molluscum contagiosum',23.50,21.69),(7796,'QZFA011','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de 10 cm² à 50 cm²',95.72,67.61),(7797,'QZFA012','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 10% à 12,5% de la surface corporelle',297.78,207.83),(7798,'QZFA013','Exérèse de 1 à 5 lésions cutanées, par curetage',32.75,23.03),(7799,'QZFA014','Dermolipectomie des membres',280.76,233.07),(7800,'QZFA015','Exérèse tangentielle de 21 molluscum contagiosum ou plus',36.31,29.13),(7801,'QZFA016','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 7,5% à 10% de la surface corporelle',241.77,153.39),(7802,'QZFA017','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 5% à 7,5% de la surface corporelle',185.76,120.90),(7803,'QZFA018','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 12,5% à 15% de la surface corporelle',357.34,242.36),(7804,'QZFA019','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur moins de 2,5% de la surface corporelle',94.30,61.71),(7805,'QZFA020','Exérèse partielle ou totale de la tablette d\'un ongle',46.79,35.92),(7806,'QZFA021','Exérèse tangentielle de 6 lésions cutanées ou plus',34.89,28.30),(7807,'QZFA022','Exérèse de 6 lésions cutanées ou plus, par curetage',42.72,28.81),(7808,'QZFA023','Excision de lésion infectieuse diffuse de la peau et des tissus mous sur 50 cm² à 200 cm²',112.02,82.53),(7809,'QZFA024','Exérèse de lésion souscutanée susfasciale de plus de 10 cm de grand axe',95.01,67.20),(7810,'QZFA025','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 17,5% à 20% de la surface corporelle',487.08,317.62),(7811,'QZFA026','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de plus de 10 cm², par technique chimiochirurgicale [technique de Mohs]',252.40,190.29),(7812,'QZFA027','Excision de lésion infectieuse diffuse de la peau et des tissus mous sur plus de 200 cm²',123.37,89.11),(7813,'QZFA028','Exérèse tangentielle de 1 à 5 lésions cutanées',29.19,25.00),(7814,'QZFA029','Exérèse totale de l\'appareil unguéal',51.76,38.79),(7815,'QZFA030','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de plus de 200 cm²',148.89,98.45),(7816,'QZFA031','Exérèse de lésion superficielle de la peau par excision de 2 à 5 zones cutanées de moins de 5 cm²',42.72,36.87),(7817,'QZFA032','Exérèse de l\'appareil unguéal, avec réparation par autogreffe de peau totale',82.24,74.04),(7818,'QZFA033','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de 5 cm² à 10 cm², par technique chimiochirurgicale [technique de Mohs]',135.42,104.88),(7819,'QZFA034','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur 15% à 17,5% de la surface corporelle',394.20,263.75),(7820,'QZFA035','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de 50 cm² à 200 cm²',95.72,67.61),(7821,'QZFA036','Exérèse de lésion superficielle de la peau par excision d\'une zone cutanée de moins de 5 cm²',28.80,28.80),(7822,'QZFA037','Excision de brûlure en dehors de l\'extrémité céphalique et des mains, sur plus de 20% de la surface corporelle',595.56,398.09),(7823,'QZFA038','Excision de lésion infectieuse diffuse de la peau et des tissus mous sur moins de 50 cm²',65.23,55.39),(7824,'QZFA039','Exérèse partielle de l\'appareil unguéal',35.45,29.34),(7825,'QZGA001','Ablation de plusieurs dispositifs d\'expansion de la peau ou de plusieurs implants souscutanés définitifs',188.10,188.10),(7826,'QZGA002','Ablation ou changement d\'implant pharmacologique souscutané',41.80,41.80),(7827,'QZGA003','Ablation d\'un corps étranger profond des tissus mous, en dehors du visage et des mains',60.27,52.51),(7828,'QZGA004','Ablation d\'un corps étranger superficiel de la peau, en dehors du visage et des mains',38.29,30.99),(7829,'QZGA006','Ablation de plusieurs corps étrangers profonds de la peau et des tissus mous, en dehors du visage et des mains',84.37,75.27),(7830,'QZGA007','Ablation de plusieurs corps étrangers superficiels de la peau, en dehors du visage et des mains',67.36,52.23),(7831,'QZGA008','Ablation d\'un dispositif d\'expansion de la peau ou d\'un implant souscutané définitif',125.40,125.40),(7832,'QZGA010','Ablation d\'un système diffuseur ou d\'une pompe souscutané implanté',41.80,41.80),(7833,'QZGP001','Ablation des supports de culture de kératinocytes autologues pour brûlure, sur 20% à 30% de la surface corporelle',340.32,250.05),(7834,'QZGP002','Ablation des supports de culture de kératinocytes autologues pour brûlure, sur 30% à 40% de la surface corporelle',448.09,338.90),(7835,'QZGP004','Ablation des supports de culture de kératinocytes autologues pour brûlure, sur moins de 10% de la surface corporelle',161.65,106.93),(7836,'QZGP006','Ablation des supports de culture de kératinocytes autologues pour brûlure, sur 40% à 50% de la surface corporelle',407.98,407.98),(7837,'QZGP007','Ablation des supports de culture de kératinocytes autologues pour brûlure, sur plus de 50% de la surface corporelle',483.64,483.64),(7838,'QZGP009','Ablation des supports de culture de kératinocytes autologues pour brûlure, sur 10% à 20% de la surface corporelle',177.40,177.40),(7839,'QZHA001','Biopsie dermoépidermique, par abord direct',20.56,19.99),(7840,'QZHA002','Biopsie de la matrice unguéale au bistouri circulaire',46.99,36.93),(7841,'QZHA003','Biopsie de la tablette, du repli et/ou du lit de l\'ongle',43.43,34.87),(7842,'QZHA004','Biopsie latérolongitudinale de l\'appareil unguéal',72.62,51.80),(7843,'QZHA005','Biopsie des tissus souscutanés susfasciaux, par abord direct',25.52,20.45),(7844,'QZJA001','Parage et/ou suture de plaie profonde de la peau et des tissus mous de plus de 10 cm de grand axe, en dehors de la face et de la main',85.08,66.90),(7845,'QZJA002','Parage et/ou suture de plaie superficielle de la peau de moins de 3 cm de grand axe, en dehors de la face',25.52,23.59),(7846,'QZJA003','Pansement chirurgical secondaire de brûlure en dehors de l\'extrémité céphalique et des mains, sur moins de 1% de la surface corporelle',40.41,36.61),(7847,'QZJA004','Pansement chirurgical initial de brûlure en dehors de l\'extrémité céphalique et des mains, sur 10% à 30% de la surface corporelle',163.07,116.53),(7848,'QZJA005','Pansement chirurgical initial de brûlure en dehors de l\'extrémité céphalique et des mains, sur 1% à 10% de la surface corporelle',73.74,49.79),(7849,'QZJA007','Pansement chirurgical secondaire de brûlure en dehors de l\'extrémité céphalique et des mains, sur 10% à 30% de la surface corporelle',158.11,126.82),(7850,'QZJA008','Pansement chirurgical secondaire de brûlure en dehors de l\'extrémité céphalique et des mains, sur 30% à 60% de la surface corporelle',221.92,181.38),(7851,'QZJA009','Évacuation de collection superficielle de la peau, par abord direct',38.29,26.60),(7852,'QZJA010','Pansement chirurgical secondaire de brûlure en dehors de l\'extrémité céphalique et des mains, sur 1% à 10% de la surface corporelle',75.86,57.17),(7853,'QZJA011','Évacuation de collection profonde de la peau et des tissus mous, par abord direct',47.50,45.11),(7854,'QZJA012','Parage et/ou suture de plaie profonde de la peau et des tissus mous de 3 cm à 10 cm de grand axe, en dehors de la face et de la main',61.68,53.33),(7855,'QZJA013','Parage secondaire de lésion traumatique ou infectieuse de la peau et des tissus mous, sous anesthésie générale ou locorégionale',60.27,52.51),(7856,'QZJA014','Pansement chirurgical initial de brûlure en dehors de l\'extrémité céphalique et des mains, sur plus de 60% de la surface corporelle',357.34,259.92),(7857,'QZJA015','Parage et/ou suture de plaie superficielle de la peau de plus de 10 cm de grand axe, en dehors de la face',61.68,44.56),(7858,'QZJA016','Parage et/ou suture de plaie profonde de la peau et des tissus mous de moins de 3 cm de grand axe, en dehors de la face et de la main',48.92,45.93),(7859,'QZJA017','Parage et/ou suture de plaie superficielle de la peau de 3 cm à 10 cm de grand axe, en dehors de la face',51.76,38.79),(7860,'QZJA018','Pansement chirurgical secondaire de brûlure en dehors de l\'extrémité céphalique et des mains, sur plus de 60% de la surface corporelle',333.23,245.94),(7861,'QZJA019','Pansement chirurgical initial de brûlure en dehors de l\'extrémité céphalique et des mains, sur 30% à 60% de la surface corporelle',238.22,190.84),(7862,'QZJA020','Pansement chirurgical initial de brûlure en dehors de l\'extrémité céphalique et des mains, sur moins de 1% de la surface corporelle',43.25,32.10),(7863,'QZJA021','Parage et/ou suture de plusieurs plaies pulpo-unguéales',141.80,104.19),(7864,'QZJA022','Parage et/ou suture d\'une plaie pulpo-unguéale',80.83,64.44),(7865,'QZJA023','Pansement de plaie de la peau et des tissus mous, sous anesthésie générale ou locorégionale',25.52,18.03),(7866,'QZJB001','Évacuation d\'un hématome infra-unguéal, par voie transunguéale',11.34,10.62),(7867,'QZJB002','Évacuation de collection superficielle et/ou profonde de la peau et des tissus mous, par voie transcutanée sans guidage',25.52,23.59),(7868,'QZJB003','Lipoaspiration en dehors des régions inframentonnière, abdominale ou infratrochantérienne ou des genoux',0.00,0.00),(7869,'QZJB004','Évacuation de kystes acnéiques et/ou de comédons, par micro-incisions',0.00,0.00),(7870,'QZJP001','Séance de détersion mécanique d\'ulcération trophique de la peau et des tissus mous sur moins de 30 cm², sous anesthésie générale ou locorégionale',26.23,20.06),(7871,'QZJP002','Séance de détersion mécanique d\'ulcération trophique de la peau et des tissus mous sur plus de 200 cm², sous anesthésie générale ou locorégionale',47.50,32.39),(7872,'QZJP003','Séance de détersion mécanique d\'ulcération trophique de la peau et des tissus mous sur 30 cm² à 200 cm², sous anesthésie générale ou locorégionale',36.16,25.81),(7873,'QZKA001','Changement d\'un système diffuseur ou d\'une pompe implanté souscutané sans changement du cathéter péridural [épidural] ou intrathécal spinal',82.95,74.44),(7874,'QZKA007','Changement d\'un système diffuseur ou d\'une pompe souscutané implanté',104.50,104.50),(7875,'QZLA001','Pose d\'un dispositif d\'expansion de la peau ou d\'un implant souscutané définitif',161.65,146.42),(7876,'QZLA002','Pose de plusieurs dispositifs d\'expansion de la peau ou de plusieurs implants souscutanés définitifs',209.16,200.31),(7877,'QZLA004','Pose d\'implant pharmacologique souscutané',17.99,14.47),(7878,'QZLB001','Injection souscutanée susfasciale de tissu adipeux',250.80,250.80),(7879,'QZLB002','Séance d\'injection intradermique ou hypodermique de produit de comblement de dépression cutanée',62.70,62.70),(7880,'QZLP001','Séance d\'ionophorèse [iontophorèse] pour hyperhidrose',10.68,8.61),(7881,'QZMA001','Réparation de perte de substance par lambeau local ou régional muqueux, cutané ou fasciocutané, à pédicule vasculonerveux non individualisé ou non individualisable [lambeau \"au hasard\"\"], en dehors de l\'extrémité céphalique\"',175.12,155.12),(7882,'QZMA002','Révision d\'un lambeau libre pour ischémie, sans réfection des anastomoses vasculaires',173.00,117.89),(7883,'QZMA003','Réparation de perte de substance par lambeau à distance cutané, fasciocutané ou musculocutané, à pédicule transitoire',362.30,297.91),(7884,'QZMA004','Réparation de perte de substance par lambeau local ou régional cutané, fascial, fasciocutané, septocutané, musculaire ou musculocutané, à pédicule vasculaire ou vasculonerveux anatomique, en dehors de l\'extrémité céphalique',462.98,356.30),(7885,'QZMA005','Réparation de perte de substance par lambeau local ou régional cutané, fasciocutané ou ostéocutané, à pédicule vasculaire ou vasculonerveux anatomique, disséqué en îlot',460.85,355.07),(7886,'QZMA006','Modelage secondaire d\'un lambeau',116.99,85.41),(7887,'QZMA007','Réparation de perte de substance par lambeau local ou régional musculaire ou musculocutané, à pédicule vasculaire ou vasculonerveux anatomique, disséqué en îlot',575.00,465.16),(7888,'QZMA009','Réparation de perte de substance par lambeau à distance cutané, fasciocutané, musculaire, musculocutané ou ostéo-musculo-cutané, à pédicule définitif',267.29,242.81),(7889,'QZMA010','Réfection des anastomoses vasculaires d\'un lambeau libre pour ischémie',355.21,293.80),(7890,'QZMP001','Couverture du lit de l\'ongle par reposition de la tablette ou pose de prothèse provisoire',62.70,62.70),(7891,'QZMP002','Confection d\'un conformateur de pressothérapie d\'une cicatrice vicieuse et/ou chéloïde',0.00,0.00),(7892,'QZMP003','Préparation à une irradiation cutanée totale à dose fractionnée',668.00,668.00),(7893,'QZMP003','Préparation à une irradiation cutanée totale',668.00,668.00),(7894,'QZMP004','Remplissage secondaire ou reprogrammation d\'une pompe souscutanée à infusion continue du système nerveux central',28.44,24.56),(7895,'QZNL001','Séance d\'irradiation cutanée totale à dose fractionnée',0.00,0.00),(7896,'QZNL001','Séance d\'irradiation cutanée totale',0.00,0.00),(7897,'QZNP001','Séance de destruction de lésion cutanée sur moins de 30 cm², avec laser vasculaire ou avec lampe flash',48.00,48.00),(7898,'QZNP002','Séance de destruction de lésion cutanée sur 100 cm² à 200 cm², avec laser vasculaire ou avec lampe flash',132.17,132.17),(7899,'QZNP003','Destruction de lésion cutanée sur 5 cm² à 20 cm², avec laser CO2 impulsionnel ou scanérisé, ou avec laser erbium Yag',41.80,41.80),(7900,'QZNP004','Séance de destruction de 1 à 10 lésions cutanées superficielles par agent chimique ou par cryothérapie de contact, en dehors du visage',22.78,21.28),(7901,'QZNP005','Séance de destruction de 51 lésions cutanées superficielles ou plus, par agent chimique ou par cryothérapie de contact, en dehors du visage',38.45,30.36),(7902,'QZNP006','Dermabrasion en dehors du visage',0.00,0.00),(7903,'QZNP007','Destruction de lésion cutanée sur plus de 100 cm², avec laser CO2 impulsionnel',72.26,72.26),(7904,'QZNP008','Séance de destruction de lésion cutanée pigmentaire sur 60 cm² à 100 cm², avec laser cristal commuté [Q switched] ou avec lampe flash',115.20,115.20),(7905,'QZNP009','Séance de destruction de lésion cutanée sur 350 cm² à 500 cm², avec laser vasculaire ou avec lampe flash',179.06,179.06),(7906,'QZNP010','Séance de destruction de lésion cutanée pigmentaire sur plus de 100 cm², avec laser cristal commuté [Q switched] ou avec lampe flash',162.24,162.24),(7907,'QZNP011','Destruction de lésion cutanée sur 20 cm² à 100 cm², avec laser CO2 impulsionnel ou scanérisé, ou avec laser erbium Yag',0.00,0.00),(7908,'QZNP012','Séance de destruction de 11 à 50 lésions cutanées superficielles par agent chimique ou par cryothérapie de contact, en dehors du visage',29.90,25.41),(7909,'QZNP013','Séance de destruction de 1 à 5 lésions cutanées superficielles, par électrocoagulation',24.21,22.10),(7910,'QZNP014','Destruction de plusieurs lésions cutanées, par cryode de contact [cryochirurgie]',57.67,41.52),(7911,'QZNP015','Séance de destruction de lésion cutanée sur 500 cm² à 700 cm², avec laser vasculaire ou avec lampe flash',217.44,217.44),(7912,'QZNP016','Séance de destruction de lésion cutanée pigmentaire sur 30 cm² à 60 cm², avec laser cristal commuté [Q switched] ou avec lampe flash',76.80,76.80),(7913,'QZNP017','Séance de destruction de lésion cutanée sur plus de 700 cm², avec laser vasculaire ou avec lampe flash',288.50,288.50),(7914,'QZNP018','Destruction de 10 lésions cutanées ou plus, avec laser CO2 continu',41.80,41.80),(7915,'QZNP019','Séance de destruction de lésion cutanée sur 200 cm² à 350 cm², avec laser vasculaire ou avec lampe flash',153.48,153.48),(7916,'QZNP020','Destruction de lésion cutanée sur moins de 5 cm², avec laser CO2 impulsionnel ou scanérisé, ou avec laser erbium Yag',41.80,41.80),(7917,'QZNP021','Séance de destruction de lésion cutanée sur 60 cm² à 100 cm², avec laser vasculaire ou avec lampe flash',90.95,90.95),(7918,'QZNP022','Destruction d\'une lésion cutanée, par cryode de contact [cryochirurgie]',39.87,31.19),(7919,'QZNP023','Séance de destruction de lésion cutanée pigmentaire sur moins de 30 cm², avec laser cristal commuté [Q switched] ou avec lampe flash',48.00,48.00),(7920,'QZNP024','Séance de destruction de lésion cutanée sur 30 cm² à 60 cm², avec laser vasculaire ou avec lampe flash',72.48,72.48),(7921,'QZNP025','Séance de destruction de 6 lésions cutanées superficielles ou plus, par électrocoagulation',32.75,27.06),(7922,'QZNP026','Destruction de moins de 10 lésions cutanées, avec laser CO2 continu',41.80,41.80),(7923,'QZNP027','Séance d\'épilation cutanée électrique',29.19,23.38),(7924,'QZNP028','Séance d\'épilation cutanée sur 50 cm² à 150 cm², avec laser ou avec lampe flash',29.19,23.38),(7925,'QZNP029','Séance d\'épilation cutanée sur moins de 50 cm², avec laser ou avec lampe flash',17.80,16.78),(7926,'QZNP030','Séance d\'épilation cutanée sur plus de 150 cm², avec laser ou avec lampe flash',43.43,31.64),(7927,'QZNP086','Destruction de lésion cutanée par photothérapie dynamique après application topique de produit photosensibilisant, sur moins de 10 cm²',49.84,49.84),(7928,'QZNP259','Destruction de lésion cutanée par photothérapie dynamique après application topique de produit photosensibilisant, sur 10 cm² ou plus',87.58,87.58),(7929,'QZPA001','Escarrotomie de décharge sur 2 sites',246.02,169.03),(7930,'QZPA002','Escarrotomie de décharge sur 1 site',119.11,86.64),(7931,'QZPA003','Escarrotomie de décharge sur 6 sites',652.28,404.66),(7932,'QZPA004','Section du pédicule d\'un lambeau à distance',0.00,0.00),(7933,'QZPA005','Escarrotomie de décharge sur 3 sites',319.76,211.79),(7934,'QZPA006','Escarrotomie de décharge sur 5 sites',555.86,348.73),(7935,'QZPA007','Escarrotomie de décharge sur 4 sites',443.83,283.75),(7936,'QZPA008','Autonomisation d\'un lambeau',0.00,0.00),(7937,'QZQA001','Exploration de la peau et des tissus mous sans dissection d\'un gros tronc vasculaire ou nerveux, par abord direct',35.45,29.34),(7938,'QZQM001','Échographie de la peau, des ongles et/ou des tissus mous',37.80,37.80),(7939,'QZQP001','Dermatoscopie [dermoscopie] pour surveillance de lésion à haut risque',54.10,54.10),(7940,'QZQP001','Dermatoscopie pour surveillance de lésion à haut risque',54.10,54.10),(7941,'QZQP002','Exploration photobiologique de base par recherche de la dose érythémale minimum [DEM] et phototest itératif',0.00,0.00),(7942,'QZQX004','Examen anatomopathologique à visée carcinologique d\'une pièce d\'exérèse de peau et/ou de tissu mou susfascial [susaponévrotique] de moins de 5 cm²',47.55,47.55),(7943,'QZQX005','Examen anatomopathologique à visée carcinologique de pièce d\'exérèse de peau et/ou de tissu mou susfascial [susaponévrotique] de 5 cm² ou plus',64.57,64.57),(7944,'QZQX014','Examen histopathologique de biopsie d\'ongle avec coloration spéciale',30.00,30.00),(7945,'QZQX021','Examen histopathologique de biopsie de peau avec coloration spéciale pour diagnostic d\'affection non carcinologique',40.00,40.00),(7946,'QZQX032','Examen anatomopathologique à visée carcinologique de plusieurs pièces d\'exérèse de peau et/ou de tissu mou susfascial [susaponévrotique] de moins de 5 cm²',85.50,85.50),(7947,'QZRB001','Séance d\'acupuncture',18.00,18.00),(7948,'QZRP001','Photoépidermotest par batterie de tests',0.00,0.00),(7949,'QZRP002','Séance de photothérapie de la main, du pied et/ou du cuir chevelu, par rayons ultraviolets A [UVA] ou ultraviolets B [UVB]',14.24,10.68),(7950,'QZRP003','Séance de photothérapie corporelle totale, par rayons ultraviolets A [UVA] ou ultraviolets B [UVB]',19.20,19.20),(7951,'QZRP004','Séance de balnéopuvathérapie généralisée',22.07,20.87),(7952,'QZRP005','Séance de balnéopuvathérapie localisée',22.07,20.87),(7953,'YYYY001','Forfait cardiologie niveau 1',26.88,26.88),(7954,'YYYY001','Forfait de cardiologie niveau 1',26.88,26.88),(7955,'YYYY002','Forfait cardiologie niveau 2',57.60,57.60),(7956,'YYYY002','Forfait de cardiologie niveau 2',57.60,57.60),(7957,'YYYY003','Forfait réanimation niveau 1',57.60,57.60),(7958,'YYYY004','Forfait réanimation niveau 2',96.00,96.00),(7959,'YYYY005','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur plus de 700 cm²',150.93,150.93),(7960,'YYYY005','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 700 cm² et plus',150.93,150.93),(7961,'YYYY006','Epreuve quantitative aux agents pharmacodynamiques ou de provocation aux allergènes comportant une mesure du seuil de réactivité',42.24,42.24),(7962,'YYYY007','Forfait hebdomadaire de prise en charge d\'un patient insuffisant rénal en dialyse péritonéale',56.00,56.00),(7963,'YYYY008','Supplément pour réalisation d\'un examen radiologique par un médecin de montagne lors de la prise en charge diagnostique et thérapeutique dans le même temps d\'une lésion ostéo-articulaire, musculo-tendineuse ou des parties molles d\'origine traumatique',11.52,11.52),(7964,'YYYY009','Forfait néonatalogie en unité de néonatalogie',31.00,31.00),(7965,'YYYY009','Forfait de néonatalogie en unité de néonatalogie',31.00,31.00),(7966,'YYYY010','Traitement de premier recours de cas nécessitant des actes techniques (pose d\'une perfusion, administration d\'oxygène, soins de réanimation cardio-respiratoire...) et la présence prolongée du médecin (en dehors d\'un établissement de soins) dans les situa',48.00,48.00),(7967,'YYYY011','Prise en charge diagnostique et thérapeutique dans le même temps d\'une lésion ostéo-articulaire, musculo-tendineuse ou des parties molles d\'origine traumatique',20.16,20.16),(7968,'YYYY012','Supplément pour radiographie per opératoire au cours d\'un acte de chirurgie orthopédique ou traumatologique',19.29,19.29),(7969,'YYYY013','Supplément pour prélèvement peropératoire d\'autogreffe veineuse saphène',164.49,125.40),(7970,'YYYY015','Forfait de réanimation niveau A',96.00,96.00),(7971,'YYYY016','Protocole de traitement par radiothérapie de contact pour affection maligne',167.00,167.00),(7972,'YYYY017','Injection secondaire souscutanée susfasciale de tissu adipeux autologue au niveau du visage',62.70,62.70),(7973,'YYYY019','Supplément pour injection de produit de contraste radiologique pour arthrographie de la hanche',19.20,19.20),(7974,'YYYY020','Forfait de réanimation niveau B',160.00,160.00),(7975,'YYYY021','Irradiation de contact pour affection maligne',83.50,83.50),(7976,'YYYY022','Supplément pour circulation extracorporelle au cours d\'un acte de chirugie pulmonaire',313.50,313.50),(7977,'YYYY023','Irradiation de contact pour affection maligne',83.50,83.50),(7978,'YYYY024','Bilan radiologique veineux complet des membres inférieurs pour pathologie veineuse complexe nécessitant plusieurs voies d\'abord, des poses de garrots éventuelles et des clichés dans différentes positions',290.40,290.40),(7979,'YYYY025','Supplément pour mesure du volume résiduel de la ventilation maximale au cours d\'une spirométrie standard',23.04,23.04),(7980,'YYYY026','Supplément pour curage ganglionnaire médiastinal au cours d\'une pneumonectomie ou d\'une lobectomie',178.67,177.65),(7981,'YYYY027','Prélèvement de spermatozoïdes au niveau du testicule, de l\'épididyme ou du conduit déférent, par abord direct',125.40,125.40),(7982,'YYYY028','Guidage échographique',34.97,34.97),(7983,'YYYY029','Manoeuvres intratubaires uni ou bilatérales après cathétérisme de trompe utérine avec guidage radiologique',104.50,104.50),(7984,'YYYY030','Supplément pour réalisation d\'un examen radiographique à images numérisées',2.66,2.66),(7985,'YYYY031','Supplément pour curage ganglionnaire médiastinal au cours d\'un acte de chirurgie médiastinale',178.67,156.75),(7986,'YYYY032','Induction de l\'ovulation par gonadotrophines suivie d\'une insémination artificielle ou d\'une fécondation in vitro',61.44,61.44),(7987,'YYYY033','Guidage radiologique',19.29,19.29),(7988,'YYYY034','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 14, réalisée en salle d\'imagerie',200.14,200.14),(7989,'YYYY035','Participation d\'un 2ème chirurgien en chirurgie cardiaque avec CEC',313.50,313.50),(7990,'YYYY035','Participation d\'un 2ème chirurgien au cours d\'un acte de chirurgie cardiaque avec CEC',313.50,313.50),(7991,'YYYY036','Supplément pour exérèse de naevi cellulaires ou de tumeurs cutanées malignes de moins de 5 cm²',23.86,23.86),(7992,'YYYY037','Supplément pour injection sus pubienne de produit de contraste radiologique pour cystographie',28.80,28.80),(7993,'YYYY039','Supplément pour utilisation de radiocinéma, en 35 mm au cours d\'un examen de radiologie conventionnelle',33.25,33.25),(7994,'YYYY040','Supplément pour diagnostic histopathologique portant sur des lésions tumorales',14.00,14.00),(7995,'YYYY041','Supplément pour récupération peropératoire de sang',0.00,0.00),(7996,'YYYY041','Supplément pour récupération per opératoire de sang',0.00,0.00),(7997,'YYYY042','Supplément pour diagnostic histopathologique portant sur des lésions malignes tumorales',28.00,28.00),(7998,'YYYY043','Supplément pour exérèse de naevi cellulaires ou de tumeurs cutanées malignes de 5 cm² à 10 cm²',36.35,36.35),(7999,'YYYY044','Assistance anesthésique au cours du travail, sur appel de l\'obstétricien',19.20,19.20),(8000,'YYYY045','Irradiation de moins de 300 cm² en champs fixes par télécobalt par fraction de 28 centiGrays pour les faisceaux de 0,5 à 4,9 MeV',1.67,1.67),(8001,'YYYY046','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 25 centiGrays pour les faisceaux de 0,5 à 4,9 MeV',1.67,1.67),(8002,'YYYY047','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 20 centiGrays pour les faisceaux de 5 à 7,9 MeV',1.67,1.67),(8003,'YYYY048','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 14 centiGrays pour les faisceaux de 8 à 16,9 MeV',1.67,1.67),(8004,'YYYY049','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 12 centiGrays pour les faisceaux de 17 à 24,9 MeV',1.67,1.67),(8005,'YYYY050','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 9 centiGrays pour les faisceaux de 25 MeV ou plus',1.67,1.67),(8006,'YYYY051','Irradiation en cyclothérapie par télécobalt par fraction de 28 centiGrays pour les faisceaux de 0,5 à 4,9 MeV',3.34,3.34),(8007,'YYYY052','Irradiation en cyclothérapie par accélérateur par fraction de 25 centiGrays pour les faisceaux de 0,5 à 4,9 MeV',3.34,3.34),(8008,'YYYY053','Irradiation en cyclothérapie par accélérateur par fraction de 2,5 Grays pour les faisceaux de 0,5 à 4,9 MeV',33.40,33.40),(8009,'YYYY054','Irradiation en cyclothérapie par accélérateur par fraction de 25 Grays pour les faisceaux de 0,5 à 4,9 MeV',334.00,334.00),(8010,'YYYY055','Irradiation en cyclothérapie par accélérateur par fraction de 20 centiGrays pour les faisceaux de 5 à 7,9 MeV',3.34,3.34),(8011,'YYYY056','Irradiation en cyclothérapie par accélérateur par fraction de 2 Grays pour les faisceaux de 5 à 7,9 MeV',33.40,33.40),(8012,'YYYY057','Supplément pour injection intrathécale de produit de contraste radiologique',15.36,15.36),(8013,'YYYY058','Supplément pour réalisation de gaz du sang au cours d\'exploration fonctionnelle respiratoire niveau 1',24.96,24.96),(8014,'YYYY059','Appareillage de contention ou de réduction pré et postopératoire pour résection ou greffe du maxillaire ou de la mandibule',249.60,249.60),(8015,'YYYY060','Examen immunocytochimique de l\'étalement d\'un produit de ponction ou d\'un produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique',56.00,56.00),(8016,'YYYY061','Supplément pour exérèse de naevi cellulaires ou de tumeurs cutanées malignes sur 10 cm² et plus',53.60,53.60),(8017,'YYYY062','Participation d\'un 2ème chirurgien au cours d\'un acte de chirurgie cardiaque',313.50,313.50),(8018,'YYYY063','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 200 cm² à 350 cm²',80.29,80.29),(8019,'YYYY064','Supplément pour utilisation de magnétoscope, au cours d\'un examen de radiologie conventionnelle',33.25,33.25),(8020,'YYYY065','Supplément pour cathétérisme et injection de produit de contraste radiologique dans les voies lacrymales',19.20,19.20),(8021,'YYYY066','Supplément pour prélèvement peropératoire d\'autogreffe veineuse saphène pour pontage fémoropoplité',164.49,83.60),(8022,'YYYY066','Supplément pour prélèvement peropératoire d\'autogreffe veineuse saphène pour pontage fémoropoplité, pour pontage fémorotibial ou pontage fémoropéronier',164.49,83.60),(8023,'YYYY067','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur moins de 30 cm²',24.96,24.96),(8024,'YYYY068','Supplément pour injection intravasculaire de produit de contraste radiologique au cours d\'une intervention pour pontage des membres inférieurs',28.80,28.80),(8025,'YYYY069','Supplément pour accouchement multiple par césarienne',104.50,104.50),(8026,'YYYY070','Supplément pour injection de produit de contraste radiologique pour discographie intervertébrale',38.40,38.40),(8027,'YYYY072','Supplément pour injection intracarotidienne peropératoire de produit de contraste radiologique pour artériographie',48.00,48.00),(8028,'YYYY072','Supplément pour injection intracarotidienne peropératoire de produit de contraste radiologique pour artériographie',48.00,48.00),(8029,'YYYY073','Supplément pour injection de produit de contraste radiologique, dans les conduits lactifères',28.80,28.80),(8030,'YYYY075','Échographie de contrôle ou surveillance de pathologie gravidique foetale ou maternelle au cours d\'une grossesse multifoetale',60.48,60.48),(8031,'YYYY076','Mesure du transfert de monoxyde de carbone, en état stable, en apnée, en inspiration unique ou en réinspiration',37.24,34.56),(8032,'YYYY077','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 60 cm² à 100 cm²',47.58,47.58),(8033,'YYYY079','Supplément pour pose de 10 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',322.50,322.50),(8034,'YYYY080','Supplément pour dosimétrie in vivo',33.40,33.40),(8035,'YYYY081','Supplément pour utilisation d\'un système d\'enregistrement et de vérification des paramètres',50.10,50.10),(8036,'YYYY082','Tentative d\'angioplastie d\'un vaisseau coronaire, d\'une artère subclavière, viscérale ou périphérique, en cas de non franchissement de la sténose',209.00,209.00),(8037,'YYYY085','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 30 cm² à 60 cm²',37.94,37.94),(8038,'YYYY088','Échographie de contrôle ou surveillance de pathologie gravidique foetale ou maternelle au cours d\'une grossesse unifoetale',30.24,30.24),(8039,'YYYY089','Mesure du transfert de monoxyde de carbone, en état stable, en apnée, en inspiration unique ou en réinspiration, avec épreuve d\'exercice',51.84,51.84),(8040,'YYYY094','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 100 cm² à 200 cm²',69.14,69.14),(8041,'YYYY095','Assistance pédiatrique avant la naissance, sur appel du praticien responsable de l\'accouchement, pour une situation de risque néonatal, avec établissement d\'un compte rendu',76.80,76.80),(8042,'YYYY095','Assistance pédiatrique avant la naissance, sur appel du praticien responsable l\'accouchement, pour une situation de risque néonatal, avec établissement d\'un compte rendu',76.80,76.80),(8043,'YYYY099','Irradiation de moins de 300 cm² en champs fixes par télécobalt par fraction de 2,8 Grays pour les faisceaux de 0,5 à 4,9 MeV',16.70,16.70),(8044,'YYYY101','Irradiation de moins de 300 cm² en champs fixes par télécobalt par fraction de 28 Grays pour les faisceaux de 0,5 à 4,9 MeV',167.00,167.00),(8045,'YYYY105','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 1, réalisée en salle d\'imagerie',15.28,15.28),(8046,'YYYY107','Supplément pour prélèvement peropératoire d\'autogreffe veineuse saphène pour pontage fémorotibial ou fémoropéronier',144.58,144.58),(8047,'YYYY108','Surveillance post opératoire d\'un patient de chirurgie cardiaque avec CEC, niveau 1',480.00,480.00),(8048,'YYYY109','Supplément pour utilisation de caches personnalisés et focalisés',66.80,66.80),(8049,'YYYY110','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 2, réalisée en salle d\'imagerie',26.33,26.33),(8050,'YYYY112','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 350 cm² à 500 cm²',93.70,93.70),(8051,'YYYY115','Guidage scanographique',25.27,25.27),(8052,'YYYY117','Mise en condition médicale et surveillance d\'un nouveau-né pour transfert médicalisé vers un centre spécialisé, avec établissement d\'un compte rendu',130.00,130.00),(8053,'YYYY118','Surveillance post opératoire d\'un patient de chirurgie cardiaque avec CEC, niveau 2',96.00,96.00),(8054,'YYYY120','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 3, réalisée en salle d\'imagerie',31.60,31.60),(8055,'YYYY122','Irradiation en cyclothérapie par télécobalt par fraction de 2,8 Grays pour les faisceaux de 0,5 à 4,9 MeV',33.40,33.40),(8056,'YYYY123','Surveillance en unité d\'obstétrique d\'un enfant dont l\'état nécessite un placement en incubateur ou des soins de courte durée',23.00,23.00),(8057,'YYYY125','Guidage remnographique',69.00,69.00),(8058,'YYYY128','Supplément pour paramétrage d\'un collimateur multilames',83.50,83.50),(8059,'YYYY130','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 4, réalisée en salle d\'imagerie',105.34,105.34),(8060,'YYYY130','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 9, réalisée en salle d\'imagerie',105.34,105.34),(8061,'YYYY136','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 2,5 Grays pour les faisceaux de 0,5 à 4,9 MeV',16.70,16.70),(8062,'YYYY140','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 4, réalisée en salle d\'imagerie',52.67,52.67),(8063,'YYYY140','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 5, réalisée en salle d\'imagerie',52.67,52.67),(8064,'YYYY141','Irradiation en cyclothérapie par accélérateur par fraction de 20 Grays pour les faisceaux de 5 à 7,9 MeV',334.00,334.00),(8065,'YYYY142','Supplément pour pose de 7 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',225.75,225.75),(8066,'YYYY144','Séance d\'oxygénothérapie hyperbare',28.80,28.80),(8067,'YYYY145','Supplément pour examen radiologique de la vésicule et des voies biliaires et /ou pancréatiques au cours d\'un acte diagnostique ou thérapeutique',57.19,57.19),(8068,'YYYY146','Réalisation de potentiels évoqués somesthésiques au cours de la chirurgie rachidienne',186.62,134.40),(8069,'YYYY150','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 6, réalisée en salle d\'imagerie',63.20,63.20),(8070,'YYYY150','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 5, réalisée en salle d\'imagerie',63.20,63.20),(8071,'YYYY151','Supplément pour contrôles balistiques de qualité en radiothérapie par gammagraphie',8.35,8.35),(8072,'YYYY152','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 2 Grays pour les faisceaux de 5 à 7,9 MeV',16.70,16.70),(8073,'YYYY154','Réanimation immédiate ou différée du nouveau-né en détresse vitale, comportant toute technique de ventilation, avec ou sans intubation, et les actes associés, avec établissement d\'un compte rendu',150.00,150.00),(8074,'YYYY158','Supplément pour pose de 8 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',258.00,258.00),(8075,'YYYY159','Supplément pour pose d\'une dent contreplaquée ou massive à une prothèse amovible sur châssis métallique',32.25,32.25),(8076,'YYYY160','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 7, réalisée en salle d\'imagerie',73.74,73.74),(8077,'YYYY160','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 6, réalisée en salle d\'imagerie',73.74,73.74),(8078,'YYYY163','Radiographie de l\'hémisquelette ou du squelette complet chez l\'adulte',159.60,159.60),(8079,'YYYY166','Supplément pour contrôles balistiques de qualité en radiothérapie par imagerie portale',25.05,25.05),(8080,'YYYY169','Traitement hyperbare avec médecin en dehors du caisson',96.00,96.00),(8081,'YYYY170','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 8, réalisée en salle d\'imagerie',84.27,84.27),(8082,'YYYY170','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 7, réalisée en salle d\'imagerie',84.27,84.27),(8083,'YYYY172','Échographie et/ou échographie doppler de contrôle ou surveillance de pathologie d\'un ou deux organes intra-abdominaux et/ou intrapelviens, ou de vaisseaux périphériques',37.80,37.80),(8084,'YYYY172','Échographie et/ou échographie doppler de contrôle ou surveillance de pathologie',37.80,37.80),(8085,'YYYY172','Échographie et/ou échographie doppler de contrôle ou surveillance de pathologie d\'un ou deux organes intra-abdominaux et/ou intrapelviens, ou de vaisseaux périphérique',37.80,37.80),(8086,'YYYY175','Irradiation en cyclothérapie par accélérateur par fraction de 14 centiGrays pour les faisceaux de 8 à 16,9 MeV',3.34,3.34),(8087,'YYYY176','Supplément pour pose d\'une dent contreplaquée sur une prothèse amovible à plaque base résine',21.50,21.50),(8088,'YYYY180','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 8, réalisée en salle d\'imagerie',94.81,94.81),(8089,'YYYY180','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 9, réalisée en salle d\'imagerie',94.81,94.81),(8090,'YYYY183','Supplément pour prise en charge d\'un patient en situation de handicap',100.00,100.00),(8091,'YYYY184','Supplément pour pose de 11 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',354.75,354.75),(8092,'YYYY186','Supplément pour réalisation de gaz du sang au cours d\'exploration fonctionnelle respiratoire niveau 2',26.88,26.88),(8093,'YYYY187','Supplément pour archivage numérique d\'un examen radiographique ou échographique',3.00,3.00),(8094,'YYYY188','Supplément pour prélèvement peropératoire et pose d\'autogreffe osseuse à distance du foyer opératoire',85.08,78.38),(8095,'YYYY188','Supplément pour prélèvement peropératoire et pose de d\'autogreffe osseuse à distance du foyer opératoire',85.08,78.38),(8096,'YYYY189','Réalisation d\'un acte d\' électroéncéphalographie au cours d\'une intervention de chirurgie endo thoracique ou de neurochirurgie',186.62,134.40),(8097,'YYYY190','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 10, réalisée en salle d\'imagerie',126.41,126.41),(8098,'YYYY196','Traitement hyperbare avec médecin à l\'intérieur du caisson',192.00,192.00),(8099,'YYYY197','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 1,2 Grays pour les faisceaux de 17 à 24,9 MeV',16.70,16.70),(8100,'YYYY200','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 11, réalisée en salle d\'imagerie',158.00,158.00),(8101,'YYYY201','Supplément pour archivage numérique d\'un examen scanographique ou remnographique',4.00,4.00),(8102,'YYYY210','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 12, réalisée en salle d\'imagerie',168.53,168.53),(8103,'YYYY211','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 1,4 Grays pour les faisceaux de 8 à 16,9 MeV',16.70,16.70),(8104,'YYYY212','Supplément pour étude mictionnelle au cours d\'une urétrocystographie',27.93,27.93),(8105,'YYYY220','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 13, réalisée en salle d\'imagerie',189.60,189.60),(8106,'YYYY222','Supplément pour utilisation d\'un laser à colorant pulsé pour destruction d\'angiome plan sur 500 cm² à 700 cm²',114.24,114.24),(8107,'YYYY223','Irradiation en cyclothérapie par accélérateur par fraction de 1,4 Grays pour les faisceaux de 8 à 16,9 MeV',33.40,33.40),(8108,'YYYY225','Supplément pour utilisation de contentions individualisés',50.10,50.10),(8109,'YYYY225','Supplément pour utilisation de contentions individualisées',50.10,50.10),(8110,'YYYY227','Supplément pour tomographie avec plan non parallèle au premier plan de coupe',33.25,33.25),(8111,'YYYY230','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 14, réalisée en salle d\'imagerie',210.67,210.67),(8112,'YYYY230','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 15, réalisée en salle d\'imagerie',210.67,210.67),(8113,'YYYY232','Supplément pour réalisation de gaz du sang au cours d\'exploration fonctionnelle respiratoire niveau 3',28.80,28.80),(8114,'YYYY233','Supplément pour tomographie au cours d\'un examen radiographique',19.95,19.95),(8115,'YYYY236','Supplément pour pose de 13 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',419.25,419.25),(8116,'YYYY240','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 15, réalisée en salle d\'imagerie',242.27,242.27),(8117,'YYYY240','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 16, réalisée en salle d\'imagerie',242.27,242.27),(8118,'YYYY244','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 0,9 Grays pour les faisceaux de 25 MeV ou plus',16.70,16.70),(8119,'YYYY245','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 16, réalisée en salle d\'imagerie',252.81,252.81),(8120,'YYYY245','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 17, réalisée en salle d\'imagerie',252.81,252.81),(8121,'YYYY246','Supplément pour pose de 3 dents contreplaquées sur une prothèse amovible à plaque base résine',64.50,64.50),(8122,'YYYY250','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 17, réalisée en salle d\'imagerie',263.34,263.34),(8123,'YYYY250','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 18, réalisée en salle d\'imagerie',263.34,263.34),(8124,'YYYY256','Irradiation en cyclothérapie par accélérateur par fraction de 14 Grays pour les faisceaux de 8 à 16,9 MeV',334.00,334.00),(8125,'YYYY258','Supplément pour pose de 3 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',96.75,96.75),(8126,'YYYY259','Supplément pour pose de 4 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',129.00,129.00),(8127,'YYYY260','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 19, réalisée en salle d\'imagerie',294.94,294.94),(8128,'YYYY260','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 18, réalisée en salle d\'imagerie',294.94,294.94),(8129,'YYYY267','Irradiation en cyclothérapie par accélérateur par fraction de 12 centiGrays pour les faisceaux de 17 à 24,9 MeV',3.34,3.34),(8130,'YYYY270','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 20, réalisée en salle d\'imagerie',316.01,316.01),(8131,'YYYY270','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 19, réalisée en salle d\'imagerie',316.01,316.01),(8132,'YYYY275','Supplément pour pose de 2 dents contreplaquées sur une prothèse amovible à plaque base résine',43.00,43.00),(8133,'YYYY280','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 21, réalisée en salle d\'imagerie',421.34,421.34),(8134,'YYYY280','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 20, réalisée en salle d\'imagerie',421.34,421.34),(8135,'YYYY284','Supplément pour pose de 12 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',387.00,387.00),(8136,'YYYY285','Supplément pour acte réalisé en urgence entre 00h et 08h (S) appliqué aux actes d\'accouchement ou de surveillance du travail réalisés par la sage-femme',40.00,40.00),(8137,'YYYY290','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 22, réalisée en salle d\'imagerie',474.01,474.01),(8138,'YYYY290','Imagerie pour acte de radiologie interventionnelle ou de cardiologie interventionnelle niveau 21, réalisée en salle d\'imagerie',474.01,474.01),(8139,'YYYY299','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 centiGrays pour les faisceaux de 8 à 16,9 MeV',1.67,1.67),(8140,'YYYY300','Supplément pour imagerie pour acte de radiologie interventionnelle, réalisée au bloc opératoire',79.80,79.80),(8141,'YYYY301','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 centiGrays pour les faisceaux de 0,5 à 4,9 MeV',1.67,1.67),(8142,'YYYY302','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 centiGrays pour les faisceaux de 0,5 à 4,9 MeV, incluant 2 volumes',3.34,3.34),(8143,'YYYY303','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2,5 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 4 volumes',66.80,66.80),(8144,'YYYY304','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 centiGrays pour les faisceaux de 8 à 16,9 MeV, incluant 2 volumes',3.34,3.34),(8145,'YYYY305','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,2 Grays pour les faisceaux de 17 à 24,9 MeV, incluant 3 volumes',50.10,50.10),(8146,'YYYY306','Irradiation en cyclothérapie par accélérateur par fraction de 9 Grays pour les faisceaux de 25 MeV ou plus',334.00,334.00),(8147,'YYYY307','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 centiGrays pour les faisceaux de 5 à 7,9 MeV',1.67,1.67),(8148,'YYYY308','Tomographie de l\'appareil ostéoarticulaire premier plan en coupe',46.55,46.55),(8149,'YYYY310','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 Grays pour les faisceaux de 0,5 à 4,9 MeV',167.00,167.00),(8150,'YYYY312','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 25 Grays pour les faisceaux de 0,5 à 4,9 MeV',167.00,167.00),(8151,'YYYY313','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 centiGrays pour les faisceaux de 0,5 à 4,9 MeV, incluant 3 volumes',5.01,5.01),(8152,'YYYY314','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 2 volumes',334.00,334.00),(8153,'YYYY315','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 centiGrays pour les faisceaux de 8 à 16,9 MeV, incluant 3 volumes',5.01,5.01),(8154,'YYYY316','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,2 Grays pour les faisceaux de 17 à 24,9 MeV, incluant 4 volumes',66.80,66.80),(8155,'YYYY318','Supplément pour injection de produit de contraste radiologique pour discographie intervertébrale multiple',57.60,57.60),(8156,'YYYY320','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 Grays pour les faisceaux de 17 à 24,9 MeV',167.00,167.00),(8157,'YYYY323','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 20 Grays pour les faisceaux de 5 à 7,9 MeV',167.00,167.00),(8158,'YYYY324','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 centiGrays pour les faisceaux de 0,5 à 4,9 MeV, incluant 4 volumes',6.68,6.68),(8159,'YYYY325','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 3 volumes',501.00,501.00),(8160,'YYYY326','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 centiGrays pour les faisceaux de 8 à 16,9 MeV, incluant 4 volumes',6.68,6.68),(8161,'YYYY327','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 Grays pour les faisceaux de 17 à 24,9 MeV, incluant 2 volumes',334.00,334.00),(8162,'YYYY329','Supplément pour pose de 2 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',64.50,64.50),(8163,'YYYY331','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,4 Grays pour les faisceaux de 8 à 16,9 MeV',16.70,16.70),(8164,'YYYY334','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 14 Grays pour les faisceaux de 8 à 16,9 MeV',167.00,167.00),(8165,'YYYY335','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 2,8 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 2 volumes',33.40,33.40),(8166,'YYYY336','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 4 volumes',668.00,668.00),(8167,'YYYY337','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,4 Grays pour les faisceaux de 8 à 16,9 MeV, incluant 2 volumes',33.40,33.40),(8168,'YYYY338','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 Grays pour les faisceaux de 17 à 24,9 MeV, incluant 3 volumes',501.00,501.00),(8169,'YYYY343','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 2,8 Grays pour les faisceaux de 0,5 à 4,9 MeV',16.70,16.70),(8170,'YYYY345','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 12 Grays pour les faisceaux de 17 à 24,9 MeV',167.00,167.00),(8171,'YYYY346','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 2,8 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 3 volumes',50.10,50.10),(8172,'YYYY347','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 centiGrays pour les faisceaux de 5 à 7,9 MeV, incluant 2 volumes',3.34,3.34),(8173,'YYYY348','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,4 Grays pour les faisceaux de 8 à 16,9 MeV, incluant 3 volumes',50.10,50.10),(8174,'YYYY349','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 Grays pour les faisceaux de 17 à 24,9 MeV, incluant 4 volumes',668.00,668.00),(8175,'YYYY353','Supplément pour pose de 14 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',451.50,451.50),(8176,'YYYY356','Irradiation de moins de 300 cm² en champs fixes par accélérateur par fraction de 9 Grays pour les faisceaux de 25 MeV ou plus',167.00,167.00),(8177,'YYYY357','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 2,8 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 4 volumes',66.80,66.80),(8178,'YYYY358','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 centiGrays pour les faisceaux de 5 à 7,9 MeV, incluant 3 volumes',5.01,5.01),(8179,'YYYY359','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,4 Grays pour les faisceaux de 8 à 16,9 MeV, incluant 4 volumes',66.80,66.80),(8180,'YYYY360','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 centiGrays pour les faisceaux de 25 MeV ou plus',1.67,1.67),(8181,'YYYY365','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 centiGrays pour les faisceaux de 25 MeV ou plus, incluant 2 volumes',3.34,3.34),(8182,'YYYY367','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 Grays pour les faisceaux de 0,5 à 4,9 MeV',167.00,167.00),(8183,'YYYY368','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 2 volumes',334.00,334.00),(8184,'YYYY369','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 centiGrays pour les faisceaux de 5 à 7,9 MeV, incluant 4 volumes',6.68,6.68),(8185,'YYYY370','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 Grays pour les faisceaux de 8 à 16,9 MeV',167.00,167.00),(8186,'YYYY371','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 centiGrays pour les faisceaux de 25 MeV ou plus, incluant 3 volumes',5.01,5.01),(8187,'YYYY377','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 Grays pour les faisceaux de 8 à 16,9 MeV, incluant 2 volumes',334.00,334.00),(8188,'YYYY379','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 3 volumes',501.00,501.00),(8189,'YYYY380','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2 Grays pour les faisceaux de 5 à 7,9 MeV',16.70,16.70),(8190,'YYYY381','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 Grays pour les faisceaux de 8 à 16,9 MeV, incluant 3 volumes',501.00,501.00),(8191,'YYYY382','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 centiGrays pour les faisceaux de 25 MeV ou plus, incluant 4 volumes',6.68,6.68),(8192,'YYYY383','Irradiation de 300 cm² et plus en champs fixes par télécobalt par fraction de 28 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 4 volumes',668.00,668.00),(8193,'YYYY387','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2 Grays pour les faisceaux de 5 à 7,9 MeV, incluant 2 volumes',33.40,33.40),(8194,'YYYY389','Supplément pour pose de 6 dents contreplaquées sur une prothèse amovible à plaque base résine',129.00,129.00),(8195,'YYYY390','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 centiGrays pour les faisceaux de 0,5 à 4,9 MeV',1.67,1.67),(8196,'YYYY391','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2 Grays pour les faisceaux de 5 à 7,9 MeV, incluant 3 volumes',50.10,50.10),(8197,'YYYY392','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 centiGrays pour les faisceaux de 0,5 à 4,9 MeV, incluant 2 volumes',3.34,3.34),(8198,'YYYY393','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 0,9 Grays pour les faisceaux de 25 MeV ou plus, incluant 2 volumes',33.40,33.40),(8199,'YYYY397','Supplément pour utilisation de pistolet au cours d\'une biopsie du sein',57.60,57.60),(8200,'YYYY398','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 14 Grays pour les faisceaux de 8 à 16,9 MeV, incluant 4 volumes',668.00,668.00),(8201,'YYYY400','Supplément pour injection peropératoire de produit de contraste radiologique dans les voies excrétrices bilio pancréatiques pour prises de clichés radiologiques',41.80,41.80),(8202,'YYYY400','Supplément pour injection peropératoire de produit de contraste radiologique dans les voies excrétrices bilio pancréatiques pour prises de clichés radiologiques',41.80,41.80),(8203,'YYYY405','Supplément pour injection peropératoire de produit de contraste radiologique dans les voies excrétrices urinaires pour prises de clichés radiologiques',41.80,41.80),(8204,'YYYY405','Supplément pour injection peropératoire de produit de contraste radiologique dans les voies excrétrices urinaires pour prises de clichés radiologiques',41.80,41.80),(8205,'YYYY410','Supplément pour injection de produit de contraste radiologique pour urétrocystographie rétrograde',19.20,19.20),(8206,'YYYY415','Supplément pour injection intra utérine de produit de contraste radiologique ou de substance médicamenteuse',38.40,38.40),(8207,'YYYY415','Supplément pour injection intra utérine de produit de contraste radiologique',38.40,38.40),(8208,'YYYY420','Supplément pour injection de produit de contraste radiologique pour arthrographie',9.60,9.60),(8209,'YYYY425','Supplément pour injection de produit de contraste radiologique pour sialographie',28.80,28.80),(8210,'YYYY426','Supplément pour pose de 5 dents contreplaquées sur une prothèse amovible à plaque base résine',107.50,107.50),(8211,'YYYY440','Supplément pour pose de 5 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',161.25,161.25),(8212,'YYYY447','Supplément pour pose de 6 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',193.50,193.50),(8213,'YYYY450','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 centiGrays pour les faisceaux de 17 à 24,9 MeV',1.67,1.67),(8214,'YYYY451','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 0,9 Grays pour les faisceaux de 25 MeV ou plus',16.70,16.70),(8215,'YYYY456','Supplément pour réalisation d\'un acte d\'électroencéphalographie au domicile ou dans un établissement dépourvu d\'appareillage électroencéphalographique',76.80,76.80),(8216,'YYYY457','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 centiGrays pour les faisceaux de 0,5 à 4,9 MeV, incluant 3 volumes',5.01,5.01),(8217,'YYYY458','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2 Grays pour les faisceaux de 5 à 7,9 MeV, incluant 4 volumes',66.80,66.80),(8218,'YYYY459','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 centiGrays pour les faisceaux de 17 à 24,9 MeV, incluant 2 volumes',3.34,3.34),(8219,'YYYY460','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 Grays pour les faisceaux de 5 à 7,9 MeV',167.00,167.00),(8220,'YYYY465','Supplément pour examen spécifique préalable et postérieur à l\'acte de pose d\'un appareillage en propulsion mandibulaire dans le traitement du syndrome d\'apnées-hypopnées obstructives du sommeil',70.00,70.00),(8221,'YYYY467','Supplément pour injection intraveineuse de produit de contraste au cours d\'un examen radiographique ou scanographique',9.60,9.60),(8222,'YYYY467','Supplément pour inject IV de produit de contraste au cours d\'un examen radiographique ou scanographique',9.60,9.60),(8223,'YYYY468','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 25 centiGrays pour les faisceaux de 0,5 à 4,9 MeV, incluant 4 volumes',6.68,6.68),(8224,'YYYY469','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 Grays pour les faisceaux de 5 à 7,9 MeV, incluant 2 volumes',334.00,334.00),(8225,'YYYY470','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 centiGrays pour les faisceaux de 17 à 24,9 MeV, incluant 3 volumes',5.01,5.01),(8226,'YYYY471','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2,5 Grays pour les faisceaux de 0,5 à 4,9 MeV',16.70,16.70),(8227,'YYYY476','Supplément pour pose de 9 dents contreplaquées ou massives à une prothèse amovible sur châssis métallique',290.25,290.25),(8228,'YYYY478','Supplément pour pose de 4 dents contreplaquées sur une prothèse amovible à plaque base résine',86.00,86.00),(8229,'YYYY479','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2,5 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 2 volumes',33.40,33.40),(8230,'YYYY480','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 Grays pour les faisceaux de 5 à 7,9 MeV, incluant 3 volumes',501.00,501.00),(8231,'YYYY481','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 12 centiGrays pour les faisceaux de 17 à 24,9 MeV, incluant 4 volumes',6.68,6.68),(8232,'YYYY490','Supplément pour électrocardiographie réalisée au domicile du patient',9.60,9.60),(8233,'YYYY491','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 20 Grays pour les faisceaux de 5 à 7,9 MeV, incluant 4 volumes',668.00,668.00),(8234,'YYYY492','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,2 Grays pour les faisceaux de 17 à 24,9 MeV, incluant 2 volumes',33.40,33.40),(8235,'YYYY493','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 1,2 Grays pour les faisceaux de 17 à 24,9 MeV',16.70,16.70),(8236,'YYYY497','Irradiation de 300 cm² et plus en champs fixes par accélérateur par fraction de 2,5 Grays pour les faisceaux de 0,5 à 4,9 MeV, incluant 3 volumes',50.10,50.10),(8237,'YYYY500','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 0,9 Grays pour les faisceaux de 25 MeV ou plus, incluant 3 volumes',50.10,50.10),(8238,'YYYY511','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 0,9 Grays pour les faisceaux de 25 MeV ou plus, incluant 4 volumes',66.80,66.80),(8239,'YYYY520','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 Grays pour les faisceaux de 25 MeV ou plus',167.00,167.00),(8240,'YYYY522','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 Grays pour les faisceaux de 25 MeV ou plus, incluant 2 volumes',334.00,334.00),(8241,'YYYY533','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 Grays pour les faisceaux de 25 MeV ou plus, incluant 3 volumes',501.00,501.00),(8242,'YYYY544','Irradiation de 300 cm² ou plus en champs fixes par accélérateur par fraction de 9 Grays pour les faisceaux de 25 MeV ou plus, incluant 4 volumes',668.00,668.00),(8243,'YYYY555','Irradiation en cyclothérapie par télécobalt par fraction de 28 Grays pour les faisceaux de 0,5 à 4,9 MeV',334.00,334.00),(8244,'YYYY566','Irradiation en cyclothérapie par accélérateur par fraction de 1,2 Grays pour les faisceaux de 17 à 24,9 MeV',33.40,33.40),(8245,'YYYY577','Irradiation en cyclothérapie par accélérateur par fraction de 12 Grays pour les faisceaux de 17 à 24,9 MeV',334.00,334.00),(8246,'YYYY588','Irradiation en cyclothérapie par accélérateur par fraction de 9 centiGrays pour les faisceaux de 25 MeV ou plus',3.34,3.34),(8247,'YYYY595','Supplément pour hémofiltration au cours d\'une surveillance de CEC',0.00,0.00),(8248,'YYYY599','Irradiation en cyclothérapie par accélérateur par fraction de 0,9 Grays pour les faisceaux de 25 MeV ou plus',33.40,33.40),(8249,'YYYY600','Supplément pour archivage numérique d\'une mammographie ou d\'un examen scanographique ou remnographique',0.75,0.75),(8250,'YYYY600','Supplément pour archivage numérique d┐une mammographie ou d┐un examen scanographique ou remnographique',0.75,0.75),(8251,'YYYY600','Supplément pour archivage numérique d\'un examen scanographique ou remnographique',0.75,0.75),(8252,'YYYY603','Supplément pour acte réalisé en urgence un dimanche ou un jour férié (F) appliqué aux actes d\'accouchement ou de surveillance du travail réalisés par la sage-femme',20.94,20.94),(8253,'YYYY614','Supplément pour soins chirurgicaux dentaires pour un patient en ALD et traité par anticoagulants oraux directs [AOD] ou par antivitamine K [AVK]',20.00,20.00),(8254,'YYYY740','Supplément pour acte réalisé en urgence de 20h à 00h (P) appliqué aux actes d\'accouchement ou de surveillance du travail réalisés par la sage-femme',15.00,15.00),(8255,'ZALP001','Pose d\'une prothèse souple utilisant les contredépouilles naturelles pour ancrage de prothèse faciale',200.13,200.13),(8256,'ZALP002','Pose d\'une épithèse faciale plurirégionale',0.00,0.00),(8257,'ZAMP001','Confection d\'un moulage facial',48.21,48.21),(8258,'ZANL001','Irradiation externe intracrânienne en conditions stéréotaxiques avec cadre effractif, en dose unique',0.00,0.00),(8259,'ZAQA001','Exploration du cou, par cervicotomie [Cervicotomie exploratrice]',103.18,77.41),(8260,'ZAQP001','Photographies de la face',0.00,0.00),(8261,'ZBGA001','Ablation de corps étranger intrathoracique, par thoracotomie',346.70,288.87),(8262,'ZBGC001','Ablation de corps étranger intrathoracique, par thoracoscopie',231.84,222.25),(8263,'ZBQA001','Exploration du thorax avec biopsie du poumon, par thoracotomie',249.57,232.53),(8264,'ZBQA002','Exploration du thorax sans biopsie du poumon, par thoracotomie',348.83,290.10),(8265,'ZBQC001','Exploration du thorax sans biopsie du poumon, par thoracoscopie',209.00,209.00),(8266,'ZBQC002','Exploration du thorax avec biopsie du poumon, par thoracoscopie',209.00,209.00),(8267,'ZBQH001','Scanographie du thorax, avec injection intraveineuse de produit de contraste',25.27,25.27),(8268,'ZBQJ001','Remnographie [IRM] du thorax, avec injection intraveineuse de produit de contraste',69.00,69.00),(8269,'ZBQK001','Scanographie du thorax, sans injection intraveineuse de produit de contraste',25.27,25.27),(8270,'ZBQK002','Radiographie du thorax',21.28,21.28),(8271,'ZBQK003','Examen radiologique dynamique du thorax, pour étude de la fonction respiratoire et/ou cardiaque',21.28,21.28),(8272,'ZBQN001','Remnographie [IRM] du thorax, sans injection intraveineuse de produit de contraste',69.00,69.00),(8273,'ZBSA001','Hémostase secondaire à un acte intrathoracique, par thoracotomie',447.38,347.26),(8274,'ZCFA001','Exérèse de lésion d\'un organe infradiaphragmatique par phrénotomie, au cours de l\'exérèse de lésion intrathoracique par thoracotomie',0.00,0.00),(8275,'ZCJA001','Évacuation de collection intraabdominale, par rectotomie',187.24,187.24),(8276,'ZCJA002','Évacuation d\'une collection intraabdominale, par laparotomie',187.24,187.24),(8277,'ZCJA003','Évacuation de collection intraabdominale, par colpotomie',187.24,187.24),(8278,'ZCJA004','Évacuation de plusieurs collections intraabdominales, par laparotomie',302.74,254.24),(8279,'ZCJA005','Évacuation de collection intraabdominale, par thoracotomie',343.16,277.67),(8280,'ZCJC001','Évacuation de collection intraabdominale, par coelioscopie ou par rétropéritonéoscopie',187.89,187.61),(8281,'ZCJD001','Irrigation-drainage d\'une fistule d\'un viscère abdominal, par 24 heures',33.50,22.65),(8282,'ZCLA001','Pose d\'un sac à viscères chez un nouveau-né à la naissance',0.00,0.00),(8283,'ZCNH001','Sclérose d\'un kyste intraabdominal par injection d\'agent pharmacologique, par voie transcutanée avec guidage échographique et/ou radiologique',0.00,0.00),(8284,'ZCNH002','Sclérose de tumeur intraabdominale par injection intralésionnelle d\'agent pharmacologique, par voie transcutanée avec guidage scanographique',0.00,0.00),(8285,'ZCNH003','Sclérose de kyste intraabdominal par injection d\'agent pharmacologique, par voie transcutanée avec guidage scanographique',0.00,0.00),(8286,'ZCNH004','Sclérose de plusieurs kystes intraabdominaux par injection d\'agent pharmacologique, par voie transcutanée avec guidage échographique et/ou radiologique',0.00,0.00),(8287,'ZCNH005','Sclérose de tumeur intraabdominale par injection intralésionnelle d\'agent pharmacologique, par voie transcutanée avec guidage échographique et/ou radiologique',0.00,0.00),(8288,'ZCQA001','Exploration de la cavité abdominale, par laparotomie [Laparotomie exploratrice]',169.45,142.17),(8289,'ZCQA002','Exploration de la cavité abdominale par phrénotomie, au cours d\'une intervention par thoracotomie',0.00,0.00),(8290,'ZCQC001','Exploration de la cavité abdominale par coelioscopie, avec hystéroscopie',160.54,131.54),(8291,'ZCQC002','Exploration de la cavité abdominale, par coelioscopie [Coelioscopie exploratrice]',123.18,95.63),(8292,'ZCQD001','Examen clinique du petit bassin [pelvis] et du périnée féminins, sous anesthésie générale',42.90,36.23),(8293,'ZCQH001','Scanographie de l\'abdomen et du petit bassin [pelvis], avec injection intraveineuse de produit de contraste',50.54,50.54);
INSERT INTO `ccam` VALUES (8294,'ZCQH002','Scanographie de l\'abdomen ou du petit bassin [pelvis], avec injection intraveineuse de produit de contraste',25.27,25.27),(8295,'ZCQJ001','Échographie-doppler transcutanée et échographie-doppler par voie rectale et/ou vaginale [par voie cavitaire] du petit bassin [pelvis] féminin',69.93,69.93),(8296,'ZCQJ002','Échographie-doppler du petit bassin [pelvis] féminin, par voie rectale et/ou vaginale [par voie cavitaire]',69.93,69.93),(8297,'ZCQJ003','Échographie du petit bassin [pelvis] féminin, par voie rectale et/ou vaginale [par voie cavitaire]',52.45,52.45),(8298,'ZCQJ004','Remnographie [IRM] de l\'abdomen ou du petit bassin [pelvis], avec injection intraveineuse de produit de contraste',69.00,69.00),(8299,'ZCQJ005','Remnographie [IRM] de l\'abdomen et du petit bassin [pelvis], avec injection intraveineuse de produit de contraste',69.00,69.00),(8300,'ZCQJ006','Échographie transcutanée avec échographie par voie rectale et/ou vaginale [par voie cavitaire] du petit bassin [pelvis] féminin',56.70,56.70),(8301,'ZCQK001','Pelvimétrie par radiographie',46.55,46.55),(8302,'ZCQK002','Radiographie de l\'abdomen sans préparation',19.95,19.95),(8303,'ZCQK003','Pelvimétrie par scanographie',25.27,25.27),(8304,'ZCQK004','Scanographie de l\'abdomen et du petit bassin [pelvis], sans injection intraveineuse de produit de contraste',50.54,50.54),(8305,'ZCQK005','Scanographie de l\'abdomen ou du petit bassin [pelvis], sans injection intraveineuse de produit de contraste',25.27,25.27),(8306,'ZCQM001','Échographie transcutanée de l\'abdomen, avec échographie-doppler des vaisseaux digestifs',54.02,54.02),(8307,'ZCQM002','Échographie transcutanée de l\'abdomen, avec échographie transcutanée du petit bassin [pelvis] et échographie-doppler des vaisseaux digestifs',75.60,75.60),(8308,'ZCQM003','Échographie transcutanée du petit bassin [pelvis] féminin',52.45,52.45),(8309,'ZCQM004','Échographie transcutanée de l\'étage supérieur de l\'abdomen avec échographie-doppler des vaisseaux digestifs',54.02,54.02),(8310,'ZCQM005','Échographie transcutanée de l\'abdomen, avec échographie transcutanée du petit bassin [pelvis]',75.60,75.60),(8311,'ZCQM005','Échographie transcutanée de l\'abdomen, avec échographie transcutanée du petit bassin [pelvis',75.60,75.60),(8312,'ZCQM006','Échographie transcutanée de l\'étage supérieur de l\'abdomen',54.02,54.02),(8313,'ZCQM007','Échographie du petit bassin [pelvis] féminin pour surveillance de l\'ovulation',37.80,37.80),(8314,'ZCQM008','Échographie transcutanée de l\'abdomen',54.02,54.02),(8315,'ZCQM009','Échographie-doppler du petit bassin [pelvis] féminin pour surveillance de l\'ovulation',42.25,42.25),(8316,'ZCQM010','Échographie transcutanée de l\'étage supérieur de l\'abdomen et du petit bassin [pelvis]',74.10,74.10),(8317,'ZCQM011','Échographie transcutanée de l\'étage supérieur de l\'abdomen et du petit bassin [pelvis] avec échographie-doppler des vaisseaux digestifs',75.60,75.60),(8318,'ZCQN001','Remnographie [IRM] de l\'abdomen et du petit bassin [pelvis], sans injection intraveineuse de produit de contraste',69.00,69.00),(8319,'ZCQN002','Remnographie [IRM] de l\'abdomen ou du petit bassin [pelvis], sans injection intraveineuse de produit de contraste',69.00,69.00),(8320,'ZDMP001','Confection d\'une orthèse statique antébrachiophalangienne',38.40,38.40),(8321,'ZDMP002','Confection d\'une orthèse non articulée brachioantébrachiale',32.83,32.21),(8322,'ZDMP003','Confection d\'une orthèse dynamique carpométacarpienne et/ou métacarpophalangienne avec 2 éléments moteurs',76.80,76.80),(8323,'ZDMP004','Confection d\'une orthèse articulée brachioantébrachiale',44.22,38.82),(8324,'ZDMP005','Confection d\'une orthèse dynamique carpométacarpienne et/ou métacarpophalangienne avec 3 éléments moteurs ou plus',76.80,76.80),(8325,'ZDMP006','Confection d\'une orthèse dynamique carpométacarpienne et/ou métacarpophalangienne avec 1 élément moteur',76.80,76.80),(8326,'ZDMP007','Confection d\'une orthèse statique de posture antébrachiométacarpienne',38.40,38.40),(8327,'ZDMP008','Confection d\'une orthèse dynamique antébrachiométacarpienne avec 1 élément moteur',76.80,76.80),(8328,'ZDMP009','Confection d\'une orthèse dynamique antébrachiométacarpienne avec 2 éléments moteurs',76.80,76.80),(8329,'ZDMP010','Confection d\'une orthèse dynamique antébrachiophalangienne avec 1 élément moteur',76.80,76.80),(8330,'ZDMP011','Confection d\'une orthèse dynamique antébrachiophalangienne avec 2 éléments moteurs',83.60,83.60),(8331,'ZDMP012','Confection d\'une orthèse dynamique antébrachiométacarpienne avec 3 éléments moteurs ou plus',76.80,76.80),(8332,'ZDMP013','Confection d\'un appareil rigide d\'immobilisation thoracobrachial',63.30,63.30),(8333,'ZDMP014','Confection d\'un appareil rigide d\'immobilisation antébrachiopalmaire',25.23,25.23),(8334,'ZDMP015','Confection unilatérale ou bilatérale de coussin d\'abduction thoracobrachial',62.70,62.70),(8335,'ZDMP016','Confection d\'une orthèse statique carpométacarpienne et/ou métacarpophalangienne',38.40,38.40),(8336,'ZDMP017','Confection d\'un appareil rigide d\'immobilisation brachio-antébrachio-palmaire',34.57,34.57),(8337,'ZDMP018','Confection d\'une orthèse dynamique antébrachiophalangienne avec 3 éléments moteurs ou plus',76.80,76.80),(8338,'ZEMP001','Confection d\'une orthèse articulée fémorocrurale [fémorojambière]',48.24,41.14),(8339,'ZEMP002','Confection d\'un appareil rigide d\'immobilisation pelvibifémoral, pelvibicrural [pelvibijambier] ou pelvibipédieux',94.05,94.05),(8340,'ZEMP003','Confection d\'une orthèse non articulée cruropédieuse [jambopédieuse]',34.84,33.37),(8341,'ZEMP004','Confection d\'une orthèse plantaire',0.00,0.00),(8342,'ZEMP005','Confection d\'un appareil rigide d\'immobilisation fémorocrural [fémorojambier], fémoropédieux ou cruropédieux [jambopédieux]',27.57,27.57),(8343,'ZEMP006','Confection d\'une orthèse articulée cruropédieuse [jambopédieuse]',48.24,41.14),(8344,'ZEMP007','Confection d\'une orthèse non articulée fémorocrurale [fémorojambière]',34.84,33.37),(8345,'ZEMP008','Confection d\'une orthèse pour correction d\'une déformation et/ou protection des orteils',0.00,0.00),(8346,'ZEMP009','Confection d\'un appareil rigide d\'immobilisation solidaire bifémorocrural [bifémorojambier] ou bifémoropédieux',94.05,94.05),(8347,'ZEMP010','Confection d\'un appareil rigide d\'immobilisation pelvifémoral, pelvicrural [pelvijambier] ou pelvipédieux',64.47,64.47),(8348,'ZFQP002','Test d\'évaluation et de catégorisation des déficiences, incapacités et désavantages sociaux',0.00,0.00),(8349,'ZFQP003','Test d\'évaluation de la qualité de vie',0.00,0.00),(8350,'ZZEP002','Installation d\'un nouveau-né en incubateur à la naissance, avec ventilation spontanée avec oxygénothérapie',0.00,0.00),(8351,'ZZEP003','Installation d\'un nouveau-né en incubateur à la naissance, avec ventilation spontanée au masque facial avec pression expiratoire positive [VS-PEP] ou ventilation mécanique',0.00,0.00),(8352,'ZZEP004','Installation d\'un nouveau-né en incubateur à la naissance, avec ventilation spontanée sans oxygénothérapie',0.00,0.00),(8353,'ZZGP001','Mobilisation ou ablation de dispositif de drainage, sous anesthésie générale ou locorégionale',41.80,41.80),(8354,'ZZHA001','Prélèvement peropératoire pour examen cytologique et/ou anatomopathologique extemporané',0.00,0.00),(8355,'ZZHB001','Ponction ou cytoponction de lésion superficielle, par voie transcutanée sans guidage',19.20,19.20),(8356,'ZZHB002','Biopsie de lésion superficielle, par voie transcutanée sans guidage',19.20,19.20),(8357,'ZZHH001','Biopsie d\'un organe profond sur une cible, par voie transcutanée avec guidage radiologique',104.15,76.80),(8358,'ZZHH004','Ponction ou cytoponction d\'un organe profond sur une cible, par voie transcutanée avec guidage radiologique',87.19,38.40),(8359,'ZZHH006','Ponction ou cytoponction d\'un organe profond sur une cible, par voie transcutanée avec guidage scanographique',43.68,38.40),(8360,'ZZHH008','Biopsie d\'un organe profond sur une cible, par voie transcutanée avec guidage scanographique',76.80,76.80),(8361,'ZZHH009','Ponction ou cytoponction d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage scanographique',57.60,57.60),(8362,'ZZHH010','Biopsie d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage scanographique',115.20,115.20),(8363,'ZZHH011','Ponction ou cytoponction d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage radiologique',57.60,57.60),(8364,'ZZHH012','Biopsie d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage radiologique',136.84,115.20),(8365,'ZZHJ001','Biopsie d\'un organe superficiel sur une cible, par voie transcutanée avec guidage échographique',76.80,76.80),(8366,'ZZHJ002','Ponction ou cytoponction d\'un organe profond sur une cible, par voie transcutanée avec guidage remnographique [IRM]',38.40,38.40),(8367,'ZZHJ003','Ponction ou cytoponction d\'un organe profond sur une cible, par voie intracavitaire avec guidage échographique',75.78,38.40),(8368,'ZZHJ006','Ponction ou cytoponction d\'un organe profond sur une cible, par voie transcutanée avec guidage échographique',68.20,38.40),(8369,'ZZHJ007','Ponction ou cytoponction d\'un organe superficiel sur une cible, par voie transcutanée avec guidage échographique',26.10,19.20),(8370,'ZZHJ009','Biopsie d\'un organe profond sur une cible, par voie transcutanée avec guidage remnographique [IRM]',76.80,76.80),(8371,'ZZHJ010','Biopsie d\'un organe profond, par voie intracavitaire avec guidage échographique',75.78,62.70),(8372,'ZZHJ013','Biopsie d\'un organe profond sur une cible, par voie transcutanée avec guidage échographique',76.80,76.80),(8373,'ZZHJ016','Ponction ou cytoponction d\'organe superficiel sur plusieurs cibles, par voie transcutanée avec guidage échographique',47.15,19.20),(8374,'ZZHJ017','Biopsie d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage remnographique [IRM]',115.20,115.20),(8375,'ZZHJ018','Ponction ou cytoponction d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage remnographique [IRM]',57.60,57.60),(8376,'ZZHJ019','Biopsie d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage échographique',115.20,115.20),(8377,'ZZHJ020','Ponction ou cytoponction d\'organe profond sur plusieurs cibles, par voie intracavitaire avec guidage échographique',93.46,57.60),(8378,'ZZHJ021','Ponction ou cytoponction d\'organe profond sur plusieurs cibles, par voie transcutanée avec guidage échographique',86.73,57.60),(8379,'ZZHJ022','Biopsie d\'organe superficiel sur plusieurs cibles, par voie transcutanée avec guidage échographique',115.20,115.20),(8380,'ZZJH001','Évacuation d\'une collection d\'un organe profond, par voie transcutanée avec guidage scanographique',43.68,41.80),(8381,'ZZJH002','Évacuation d\'une collection d\'un organe profond, par voie transcutanée avec guidage radiologique',96.88,41.80),(8382,'ZZJH003','Drainage d\'une collection d\'un organe profond, par voie transcutanée avec guidage scanographique',60.00,41.80),(8383,'ZZJH004','Évacuation de plusieurs collections d\'un organe profond, par voie transcutanée avec guidage radiologique',152.59,41.80),(8384,'ZZJH005','Drainage de plusieurs collections d\'un organe profond, par voie transcutanée avec guidage scanographique',76.32,41.80),(8385,'ZZJH006','Drainage de plusieurs collections d\'un organe profond, par voie transcutanée avec guidage radiologique',175.60,41.80),(8386,'ZZJH007','Drainage d\'une collection d\'un organe profond, par voie transcutanée avec guidage radiologique',121.10,38.40),(8387,'ZZJH008','Évacuation de plusieurs collections d\'un organe profond, par voie transcutanée avec guidage scanographique',56.64,41.80),(8388,'ZZJJ001','Évacuation de collection d\'un organe profond, par voie transcutanée avec guidage remnographique [IRM]',41.80,41.80),(8389,'ZZJJ002','Évacuation de plusieurs collections d\'un organe superficiel, par voie transcutanée avec guidage échographique',47.15,20.90),(8390,'ZZJJ003','Évacuation d\'une collection d\'un organe superficiel, par voie transcutanée avec guidage échographique',26.10,20.90),(8391,'ZZJJ004','Drainage de plusieurs collections d\'un organe profond, par voie transcutanée avec guidage échographique',146.51,41.80),(8392,'ZZJJ005','Drainage de collection d\'un organe profond, par voie intracavitaire avec guidage échographique',111.14,41.80),(8393,'ZZJJ006','Drainage de collection d\'un organe profond, par voie transcutanée avec guidage remnographique [IRM]',41.80,41.80),(8394,'ZZJJ007','Drainage d\'une collection d\'un organe superficiel, par voie transcutanée avec guidage échographique',48.84,19.20),(8395,'ZZJJ008','Drainage d\'une collection d\'un organe profond, par voie transcutanée avec guidage échographique',106.09,41.80),(8396,'ZZJJ009','Évacuation de plusieurs collections d\'un organe profond, par voie intracavitaire avec guidage échographique',90.09,41.80),(8397,'ZZJJ010','Drainage de plusieurs collections d\'un organe superficiel, par voie transcutanée avec guidage échographique',65.68,19.20),(8398,'ZZJJ011','Évacuation d\'une collection d\'un organe profond, par voie intracavitaire avec guidage échographique',75.78,41.80),(8399,'ZZJJ012','Évacuation de plusieurs collections d\'un organe profond, par voie transcutanée avec guidage échographique',92.62,41.80),(8400,'ZZJJ013','Évacuation d\'une collection d\'un organe profond, par voie transcutanée avec guidage échographique',68.20,41.80),(8401,'ZZKP001','Changement de dispositif de drainage, sous anesthésie générale ou locorégionale',104.50,104.50),(8402,'ZZLB004','Sédation et curarisation continues avec surveillance de la curarisation par stimulateur de nerf spinal, par 24 heures',0.00,0.00),(8403,'ZZLF004','Administration locorégionale d\'agent pharmacologique anticancéreux par voie artérielle, avec CEC, avec hyperthermie',173.71,165.26),(8404,'ZZLF900','Séance d\'administration locorégionale intrartérielle d\'agent pharmacologique anticancéreux par un dispositif implanté, sans CEC, sans hyperthermie',0.00,0.00),(8405,'ZZLJ001','Injection d\'agent pharmacologique dans un organe profond, par voie transcutanée avec guidage échographique',82.52,19.20),(8406,'ZZLJ002','Injection d\'agent pharmacologique dans un organe superficiel, par voie transcutanée avec guidage échographique',10.10,9.60),(8407,'ZZLP008','Anesthésie générale ou locorégionale complémentaire niveau 5',0.00,0.00),(8408,'ZZLP012','Anesthésie générale ou locorégionale complémentaire niveau 6',0.00,0.00),(8409,'ZZLP025','Anesthésie générale ou locorégionale complémentaire niveau 1',0.00,0.00),(8410,'ZZLP030','Anesthésie générale ou locorégionale complémentaire niveau 2',0.00,0.00),(8411,'ZZLP042','Anesthésie générale ou locorégionale complémentaire niveau 4',0.00,0.00),(8412,'ZZLP054','Anesthésie générale ou locorégionale complémentaire niveau 3',0.00,0.00),(8413,'ZZMK001','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie bidimensionnelle sur 3 coupes ou plus et simulation à l\'aide d\'un simulateur ou d\'un scanographe à fonction simulateur intégrée',257.55,257.55),(8414,'ZZMK001','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie bidimensionnelle et simulation à l\'aide d\'un simulateur ou d\'un scanographe à fonction simulateur intégrée',257.55,257.55),(8415,'ZZMK002','Préparation à une irradiation externe sans dosimétrie, avec simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée',133.60,133.60),(8416,'ZZMK003','Préparation à une irradiation externe avec repérage par simulateur-scanographe, dosimétrie bidimensionnelle sur 3 coupes ou plus et simulation à l\'aide d\'un simulateur-scanographe',292.25,292.25),(8417,'ZZMK004','Préparation à une irradiation externe avec repérage par conformateur, dosimétrie bidimensionnelle sur 3 coupes ou plus, simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée et fabrication de',292.25,292.25),(8418,'ZZMK005','Préparation à une irradiation externe avec repérage par conformateur et analyse des données acquises par échographie, dosimétrie bidimensionnelle sur 3 coupes ou plus, simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à',292.25,292.25),(8419,'ZZMK006','Préparation à une irradiation externe avec repérage par conformateur, dosimétrie bidimensionnelle sur 1 ou 2 coupes et simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée',200.40,200.40),(8420,'ZZMK007','Préparation à une irradiation externe avec repérage par simulateur-scanographe, dosimétrie bidimensionnelle sur 3 coupes ou plus, simulation à l\'aide d\'un simulateur-scanographe et fabrication de cache personnalisé focalisé et/ou paramétrage d\'un collima',292.25,292.25),(8421,'ZZMK010','Préparation à une irradiation externe avec repérage par conformateur, dosimétrie bidimensionnelle sur 3 coupes ou plus et simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée',292.25,292.25),(8422,'ZZMK011','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle sans HDV, simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et fabrication de cache\"',668.00,668.00),(8423,'ZZMK012','Préparation à une irradiation externe avec repérage par conformateur, dosimétrie bidimensionnelle sur 1 ou 2 coupes, simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée et fabrication de cac',200.40,200.40),(8424,'ZZMK013','Préparation à une irradiation externe sans dosimétrie, avec simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée et fabrication de cache personnalisé focalisé et/ou paramétrage d\'un collimate',133.60,133.60),(8425,'ZZMK014','Préparation à une irradiation externe sans dosimétrie, avec simulation sous l\'appareil de traitement',133.60,133.60),(8426,'ZZMK015','Préparation à une irradiation externe avec repérage par conformateur et analyse des données acquises par échographie, dosimétrie bidimensionnelle sur 3 coupes ou plus et simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe',292.25,292.25),(8427,'ZZMK016','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle sans HDV, simulation à l\'aide d\'un simulateur ou d\'un scanographe à fonction simulateur intégrée et fabrication de cache personnalisé focalisé et/ou paramét',501.00,501.00),(8428,'ZZMK017','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie bidimensionnelle sur 3 coupes ou plus, simulation à l\'aide d\'un simulateur ou d\'un scanographe à fonction simulateur intégrée et fabrication de cache personnalisé focalisé et',292.25,292.25),(8429,'ZZMK017','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie bidimensionnelle, simulation à l\'aide d\'un simulateur ou d\'un scanographe à fonction simulateur intégrée et fabrication de cache personnalisé focalisé et/ou paramétrage d\'un',292.25,292.25),(8430,'ZZMK018','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle avec HDV, simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et fabrication de filtr\"',668.00,668.00),(8431,'ZZMK019','Reprise de préparation à une irradiation externe sans dosimétrie, avec simulation sous l\'appareil de traitement',50.10,50.10),(8432,'ZZMK020','Reprise de préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle avec HDV, simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et fabricati\"',584.50,584.50),(8433,'ZZMK021','Reprise de préparation à une irradiation externe avec repérage par conformateur, dosimétrie bidimensionnelle sur 1 ou 2 coupes, simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée et fabrica',116.90,116.90),(8434,'ZZMK022','Reprise de préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle sans HDV, simulation à l\'aide d\'un simulateur ou d\'un scanographe à fonction simulateur intégrée et fabrication de cache personnalisé focalisé et',417.50,417.50),(8435,'ZZMK023','Reprise de préparation à une irradiation externe avec repérage par conformateur et analyse des données acquises par échographie, dosimétrie bidimensionnelle sur 3 coupes ou plus, simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un sc',208.75,208.75),(8436,'ZZMK024','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle avec HDV, simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et paramétrage d\'un col\"',668.00,668.00),(8437,'ZZMK025','Reprise de préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle avec HDV, simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et paramétra\"',584.50,584.50),(8438,'ZZMK026','Préparation à une irradiation externe avec repérage par simulateur-scanographe, dosimétrie bidimensionnelle et simulation à l\'aide d\'un simulateur-scanographe',257.55,257.55),(8439,'ZZMK027','Reprise de préparation à une irradiation externe, dosimétrie bidimensionnelle, simulation à l\'aide d\'un simulateur, d\'un simulateur-scanographe ou d\'un scanographe à fonction simulateur intégrée et fabrication de cache personnalisé focalisé et/ou paramét',178.41,178.41),(8440,'ZZMK028','Préparation à une irradiation externe avec repérage par simulateur-scanographe, dosimétrie bidimensionnelle, simulation à l\'aide d\'un simulateur-scanographe et fabrication de cache personnalisé focalisé et/ou paramétrage d\'un collimateur multilame',257.55,257.55),(8441,'ZZMK900','Préparation à une irradiation externe avec repérage par scanographe, dosimétrie tridimensionnelle avec HDV, simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et paramétrage d\'un col\"',0.00,0.00),(8442,'ZZML001','Contrôle du centrage des champs d\'irradiation externe [Contrôle balistique] par imagerie portale',0.00,0.00),(8443,'ZZML002','Contrôle de la dose d\'irradiation externe reçue [Dosimétrie in vivo]',33.40,33.40),(8444,'ZZML003','Contrôle du centrage des champs d\'irradiation externe [Contrôle balistique] au cours d\'une irradiation externe guidée par imagerie [IGRT]',0.00,0.00),(8445,'ZZMP001','Préparation à une irradiation corporelle totale',668.00,668.00),(8446,'ZZMP003','Fabrication de protection plombée personnalisée pour curiethérapie',0.00,0.00),(8447,'ZZMP004','Fabrication d\'un applicateur personnalisé pour curiethérapie',0.00,0.00),(8448,'ZZMP008','Préparation à une irradiation externe avec dosimétrie tridimensionnelle sans HDV après repérage par remnographie [IRM], simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et fabricat\"',668.00,668.00),(8449,'ZZMP010','Préparation à une irradiation externe avec dosimétrie tridimensionnelle avec HDV après repérage par remnographie [IRM], simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et fabricat\"',668.00,668.00),(8450,'ZZMP011','Préparation à une irradiation encéphalique en conditions stéréotaxiques à dose fractionnée',668.00,668.00),(8451,'ZZMP012','Préparation à une irradiation encéphalique en conditions stéréotaxiques à dose unique',0.00,0.00),(8452,'ZZMP012','Préparation à une irradiation intracrânienne en conditions stéréotaxiques en dose unique, avec pose de cadre effractif',0.00,0.00),(8453,'ZZMP013','Préparation à une irradiation externe en conditions stéréotaxiques avec synchronisation avec la respiration avec dosimétrie tridimensionnelle avec HDV après repérage par fusion numérique multimodale et simulation virtuelle utilisant la fonction \"vue de l\"',668.00,668.00),(8454,'ZZMP015','Confection d\'un système de contention personnalisé [individualisé] pour radiothérapie externe',50.10,50.10),(8455,'ZZMP016','Préparation à une irradiation externe en conditions stéréotaxiques sans synchronisation avec la respiration avec dosimétrie tridimensionnelle avec HDV après repérage par fusion numérique multimodale et simulation virtuelle utilisant la fonction \"vue de l\"',668.00,668.00),(8456,'ZZMP017','Enregistrement numérisé et vérification des paramètres d\'un traitement par irradiation externe [Système record and verify]',50.10,50.10),(8457,'ZZMP018','Préparation à une radiothérapie de contact intracavitaire',167.00,167.00),(8458,'ZZMP900','Préparation à une irradiation externe avec dosimétrie tridimensionnelle avec HDV après repérage par remnographie [IRM], simulation virtuelle utilisant la fonction \"vue de la source\"\" [beam\'s eye view] [BEV] et la restitution tridimensionnelle, et paramétr\"',0.00,0.00),(8459,'ZZNA002','Irradiation externe peropératoire en dose unique',0.00,0.00),(8460,'ZZNL001','Curiethérapie interstitielle superficielle à bas débit de dose sans projecteur de source, avec dosimétrie dans un plan',367.40,367.40),(8461,'ZZNL002','Curiethérapie interstitielle superficielle à débit de dose pulsé, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(8462,'ZZNL003','Curiethérapie interstitielle à débit de dose pulsé après mise en place de vecteur au cours d\'une intervention chirurgicale, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnographie [IRM]',384.10,384.10),(8463,'ZZNL004','Curiethérapie interstitielle à débit de dose pulsé après mise en place de vecteur au cours d\'une intervention chirurgicale, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(8464,'ZZNL005','Curiethérapie interstitielle profonde à bas débit de dose sans projecteur de source, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(8465,'ZZNL006','Curiethérapie interstitielle superficielle à bas débit de dose sans projecteur de source, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(8466,'ZZNL007','Curiethérapie intraluminale à bas débit de dose sans projecteur de source',384.10,384.10),(8467,'ZZNL008','Curiethérapie intraluminale à débit de dose pulsé',384.10,384.10),(8468,'ZZNL009','Curiethérapie interstitielle profonde à bas débit de dose sans projecteur de source, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnographie [IRM]',384.10,384.10),(8469,'ZZNL010','Curiethérapie intraluminale à bas débit de dose avec projecteur de source',384.10,384.10),(8470,'ZZNL011','Curiethérapie interstitielle superficielle à débit de dose pulsé, avec dosimétrie dans un plan',367.40,367.40),(8471,'ZZNL012','Curiethérapie interstitielle à bas débit de dose sans projecteur de source après mise en place de vecteur au cours d\'une intervention chirurgicale, avec dosimétrie dans un plan',367.40,367.40),(8472,'ZZNL013','Curiethérapie interstitielle à bas débit de dose sans projecteur de source après mise en place de vecteur au cours d\'une intervention chirurgicale, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de',384.10,384.10),(8473,'ZZNL014','Curiethérapie interstitielle à débit de dose pulsé après mise en place de vecteur au cours d\'une intervention chirurgicale, avec dosimétrie dans un plan',367.40,367.40),(8474,'ZZNL015','Curiethérapie interstitielle profonde à débit de dose pulsé, avec dosimétrie bidimensionnelle après acquisition des données anatomiques par clichés radiographiques de repérage spatial',384.10,384.10),(8475,'ZZNL016','Irradiation interne par injection intraveineuse transcutanée d\'un agent pharmacologique radio-isotopique',180.44,180.44),(8476,'ZZNL017','Curiethérapie interstitielle à bas débit de dose sans projecteur de source après mise en place de vecteur au cours d\'une intervention chirurgicale, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnogr',384.10,384.10),(8477,'ZZNL018','Curiethérapie interstitielle profonde à débit de dose pulsé, avec dosimétrie tridimensionnelle après acquisition des données anatomiques par scanographie et/ou remnographie [IRM]',384.10,384.10),(8478,'ZZNL019','Curiethérapie intraluminale à haut débit de dose',0.00,0.00),(8479,'ZZNL020','Séance d\'irradiation externe par machine produisant des photons d\'énergie inférieure à 5 MV par 1 ou 2 faisceaux, sans utilisation de modificateur de faisceau',0.00,0.00),(8480,'ZZNL021','Séance d\'irradiation externe par machine produisant des photons d\'énergie inférieure à 5 MV par 1 ou 2 faisceaux, avec utilisation de modificateur de faisceau',0.00,0.00),(8481,'ZZNL023','Séance d\'irradiation externe par machine produisant des photons d\'énergie inférieure à 5 MV par 3 ou 4 faisceaux, sans utilisation de modificateur de faisceau',0.00,0.00),(8482,'ZZNL024','Séance d\'irradiation externe par machine produisant des photons d\'énergie inférieure à 5 MV par 3 ou 4 faisceaux, avec utilisation de modificateur de faisceau',0.00,0.00),(8483,'ZZNL025','Séance d\'irradiation externe par machine produisant des photons d\'énergie inférieure à 5 MV par 5 faisceaux ou plus, sans utilisation de modificateur de faisceau',0.00,0.00),(8484,'ZZNL026','Séance d\'irradiation externe par machine produisant des photons d\'énergie inférieure à 5 MV par 5 faisceaux ou plus, avec utilisation de modificateur de faisceau',0.00,0.00),(8485,'ZZNL027','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 1 ou 2 faisceaux, sans utilisation de modificateur de faisceau',0.00,0.00),(8486,'ZZNL028','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 1 ou 2 faisceaux, avec utilisation de modificateur de faisceau',0.00,0.00),(8487,'ZZNL030','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 3 ou 4 faisceaux, sans utilisation de modificateur de faisceau',0.00,0.00),(8488,'ZZNL031','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 3 ou 4 faisceaux, avec utilisation de modificateur de faisceau',0.00,0.00),(8489,'ZZNL033','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 5 faisceaux ou plus, sans utilisation de modificateur de faisceau',0.00,0.00),(8490,'ZZNL034','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 5 faisceaux ou plus, avec utilisation de modificateur de faisceau',0.00,0.00),(8491,'ZZNL036','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 1 ou 2 faisceaux, sans utilisation de modificateur de faisceau',0.00,0.00),(8492,'ZZNL037','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 1 ou 2 faisceaux, avec utilisation de modificateur de faisceau',0.00,0.00),(8493,'ZZNL039','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 3 ou 4 faisceaux, sans utilisation de modificateur de faisceau',0.00,0.00),(8494,'ZZNL040','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 3 ou 4 faisceaux, avec utilisation de modificateur de faisceau',0.00,0.00),(8495,'ZZNL042','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 5 faisceaux ou plus, sans utilisation de modificateur de faisceau',0.00,0.00),(8496,'ZZNL043','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 5 faisceaux ou plus, avec utilisation de modificateur de faisceau',0.00,0.00),(8497,'ZZNL045','Séance d\'irradiation externe par protons',0.00,0.00),(8498,'ZZNL045','Séance d\'irradiation externe par protonthérapie',0.00,0.00),(8499,'ZZNL046','Séance d\'irradiation externe par neutronthérapie',0.00,0.00),(8500,'ZZNL046','Séance d\'irradiation externe par neutrons',0.00,0.00),(8501,'ZZNL047','Séance d\'irradiation corporelle totale [ICT]',0.00,0.00),(8502,'ZZNL048','Séance d\'irradiation externe par accélérateur linéaire de puissance égale ou supérieure à 5 mégavolts [MV], équipé d\'un collimateur multilame',0.00,0.00),(8503,'ZZNL049','Irradiation externe en conditions stéréotaxiques par machine produisant des photons avec guidage par imagerie, sans synchronisation avec la respiration, en dose unique',0.00,0.00),(8504,'ZZNL050','Séance d\'irradiation externe par accélérateur linéaire avec modulation d\'intensité, sans contrôle de la position de la cible',0.00,0.00),(8505,'ZZNL051','Séance d\'irradiation externe par machine dédiée produisant des photons avec modulation d\'intensité et contrôle de la position de la cible par imagerie [IGRT]',0.00,0.00),(8506,'ZZNL052','Séance d\'irradiation externe en conditions stéréotaxiques par machine produisant des photons avec guidage par imagerie, avec synchronisation avec la respiration',0.00,0.00),(8507,'ZZNL053','Séance d\'irradiation externe par accélérateur linéaire de puissance égale ou supérieure à 5 mégavolts [MV], sans système de contrôle du positionnement',0.00,0.00),(8508,'ZZNL054','Séance d\'irradiation externe par accélérateur linéaire avec modulation d\'intensité, avec contrôle de la position de la cible',0.00,0.00),(8509,'ZZNL055','Irradiation externe en conditions stéréotaxiques par machine dédiée produisant des photons avec guidage par imagerie, sans synchronisation avec la respiration, en dose unique',0.00,0.00),(8510,'ZZNL058','Séance d\'irradiation externe en conditions stéréotaxiques par machine produisant des photons avec guidage par imagerie, sans synchronisation avec la respiration',0.00,0.00),(8511,'ZZNL059','Séance d\'irradiation externe en conditions stéréotaxiques par machine dédiée produisant des photons avec guidage par imagerie, sans synchronisation avec la respiration',0.00,0.00),(8512,'ZZNL060','Séance d\'irradiation externe en conditions stéréotaxiques par machine dédiée produisant des photons avec guidage par imagerie, avec synchronisation avec la respiration',0.00,0.00),(8513,'ZZNL061','Séance d\'irradiation externe par machine de puissance inférieure à 5 mégavolts [MV]',0.00,0.00),(8514,'ZZNL062','Séance d\'irradiation externe par accélérateur linéaire de puissance égale ou supérieure à 5 mégavolts [MV], équipé d\'un système de repositionnement',0.00,0.00),(8515,'ZZNL063','Séance d\'irradiation externe par accélérateur linéaire de puissance égale ou supérieure à 5 mégavolts [MV], équipé d\'un système de repositionnement guidé par imagerie [IGRT]',0.00,0.00),(8516,'ZZNL064','Séance d\'irradiation externe par accélérateur linéaire de puissance égale ou supérieure à 5 mégavolts [MV], équipé d\'imagerie portale',0.00,0.00),(8517,'ZZNL065','Séance d\'irradiation externe par accélérateur linéaire de puissance égale ou supérieure à 5 mégavolts [MV], équipé d\'un collimateur multilame et d\'imagerie portale',0.00,0.00),(8518,'ZZNL066','Séance d\'irradiation de contact endocavitaire',0.00,0.00),(8519,'ZZNL900','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 1 ou 2 faisceaux, avec utilisation dynamique de collimateur multilame [modulation d\'intensité]',0.00,0.00),(8520,'ZZNL902','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 5 faisceaux ou plus, avec utilisation dynamique de collimateur multilame [modulation d\'intensité]',0.00,0.00),(8521,'ZZNL903','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 5 faisceaux ou plus, avec utilisation dynamique de collimateur multilame [modulation d\'intensité]',0.00,0.00),(8522,'ZZNL904','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 1 ou 2 faisceaux, avec utilisation dynamique de collimateur multilame [modulation d\'intensité]',0.00,0.00),(8523,'ZZNL905','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 5 MV et inférieure à 15 MV par 3 ou 4 faisceaux, avec utilisation dynamique de collimateur multilame [modulation d\'intensité]',0.00,0.00),(8524,'ZZNL906','Séance d\'irradiation externe par machine produisant des photons d\'énergie égale ou supérieure à 15 MV par 3 ou 4 faisceaux, avec utilisation dynamique de collimateur multilame [modulation d\'intensité]',0.00,0.00),(8525,'ZZQA002','Échographie peropératoire',28.35,28.35),(8526,'ZZQA003','Échographie-doppler peropératoire',0.00,0.00),(8527,'ZZQH001','Scanographie d\'une fistule',25.27,25.27),(8528,'ZZQH002','Radiographie d\'une fistule [Fistulographie]',59.85,59.85),(8529,'ZZQH033','Scanographie de 3 territoires anatomiques ou plus, avec injection de produit de contraste',75.81,75.81),(8530,'ZZQK001','Radiographie au lit du malade, selon 3 incidences ou plus',0.00,0.00),(8531,'ZZQK002','Radiographie au lit du malade, selon 1 ou 2 incidences',0.00,0.00),(8532,'ZZQK024','Scanographie de 3 territoires anatomiques ou plus, sans injection de produit de contraste',75.81,75.81),(8533,'ZZQL002','Recherche scintigraphique de tumeur par émetteur monophotonique spécifique des tumeurs, avec tomoscintigraphie complémentaire, scintigraphie du corps entier complémentaire d\'une image segmentaire et scintigraphie du corps entier à 72 heures',268.87,268.87),(8534,'ZZQL003','Scintigraphie du corps entier à l\'iode 131',180.44,180.44),(8535,'ZZQL004','Scintigraphie du corps entier après une scintigraphie segmentaire, sans réinjection de produit radio-isotopique',176.85,176.85),(8536,'ZZQL005','Recherche scintigraphique de tumeur par émetteur monophotonique non spécifique des tumeurs',180.44,180.44),(8537,'ZZQL006','Recherche d\'un foyer infectieux ou inflammatoire par injection de polynucléaires marqués, sans séparation des lymphocytes',268.87,268.87),(8538,'ZZQL007','Tomoscintigraphie complémentaire d\'une image planaire',132.64,132.64),(8539,'ZZQL008','Mesure de la production respiratoire d\'isotope stable',0.00,0.00),(8540,'ZZQL010','Détection peropératoire de lésion après injection de produit radio-isotopique',44.22,44.22),(8541,'ZZQL011','Recherche d\'un foyer infectieux ou inflammatoire par injection de polynucléaires marqués, avec séparation des lymphocytes',268.87,268.87),(8542,'ZZQL012','Recherche scintigraphique de tumeur par émetteur monophotonique spécifique des tumeurs',180.44,180.44),(8543,'ZZQL013','Détection radio-isotopique préopératoire de lésion par injection transcutanée intratumorale ou péritumorale, avec détection radio-isotopique peropératoire',313.08,313.08),(8544,'ZZQL014','Recherche scintigraphique de tumeur par émetteur monophotonique spécifique des tumeurs, avec scintigraphie du corps entier',180.44,180.44),(8545,'ZZQL015','Recherche d\'un foyer infectieux ou inflammatoire par injection d\'anticorps ou de peptide marqué, ou de traceur radio-isotopique non spécifique',268.87,268.87),(8546,'ZZQL016','Tomoscintigraphie du corps entier par émission de positons, avec tépographe [caméra TEP] dédié',89.54,89.54),(8547,'ZZQL017','Quantification complexe d\'une étude scintigraphique en dehors de l\'examen de la glande thyroïde ou de la scintigraphie rénale corticale',26.53,26.53),(8548,'ZZQL018','Images tomoscintigraphiques tardives sans réinjection, complémentaires d\'un examen standard',132.64,132.64),(8549,'ZZQL019','Images planaires scintigraphiques tardives sans réinjection, complémentaires d\'un examen standard',88.43,88.43),(8550,'ZZQL020','Scintigraphie et/ou tomoscintigraphie de contrôle avec quantification, après administration d\'agent pharmacologique radio-isotopique à visée thérapeutique',265.28,265.28),(8551,'ZZQL021','Fusion numérique multimodale des images acquises par scintigraphie et d\'autre technique d\'imagerie',0.00,0.00),(8552,'ZZQL021','Fusion numérique multimodale des images acquises par techniques d\'imagerie en coupes ou imagerie fonctionnelle',0.00,0.00),(8553,'ZZQL900','Mise en oeuvre d\'une correction d\'atténuation par transmission tomoscintigraphique',0.00,0.00),(8554,'ZZQM001','Échographie-doppler transcutanée, au lit du malade',69.93,69.93),(8555,'ZZQM004','Échographie transcutanée, au lit du malade',37.80,37.80),(8556,'ZZQM005','Étude de la vascularisation du parenchyme d\'un organe au cours d\'une échographie',0.00,0.00),(8557,'ZZQN001','Remnographie [IRM] comportant 6 séquences ou plus',69.00,69.00),(8558,'ZZQN002','Restitution tridimensionnelle des images acquises par remnographie [IRM]',0.00,0.00),(8559,'ZZQP001','Surveillance médicalisée du transport intrahospitalier d\'un patient non ventilé',0.00,0.00),(8560,'ZZQP003','Surveillance médicalisée du transport intrahospitalier d\'un patient ventilé',0.00,0.00),(8561,'ZZQP004','Restitution tridimensionnelle des images acquises par scanographie',0.00,0.00),(8562,'ZZQP101','Examen anatomopathologique de prélèvement biopsique de muqueuse d\'une structure anatomique',28.00,28.00),(8563,'ZZQP102','Examen anatomopathologique de prélèvements biopsiques étagés de muqueuse de 4 structures anatomiques ou plus',145.60,145.60),(8564,'ZZQP103','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de 2 structures anatomiques, avec prélèvement non différencié sur chaque structure',56.00,56.00),(8565,'ZZQP104','Examen anatomopathologique extemporané de 5 prélèvements différenciés de structure anatomique ou plus, sur le lieu du prélèvement [au bloc opératoire]',84.00,84.00),(8566,'ZZQP107','Examen cytopathologique de l\'étalement de produit de brossage, de grattage ou d\'écouvillonnage de la peau ou de muqueuse',28.00,28.00),(8567,'ZZQP108','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique, avec inclusion en paraffine et examen immunocytochimique',84.00,84.00),(8568,'ZZQP109','Examen anatomopathologique d\'une pièce d\'expulsion',33.60,33.60),(8569,'ZZQP110','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de 3 structures anatomiques, avec prélèvement non différencié sur chaque structure',84.00,84.00),(8570,'ZZQP111','Examen anatomopathologique de pièces d\'exérèse bilatérale d\'une structure anatomique paire, avec examen des marges ou de recoupe',67.20,67.20),(8571,'ZZQP112','Examen anatomopathologique de prélèvement tissulaire congelé, avec examen immunohistochimique avec 5 anticorps ou plus',84.00,84.00),(8572,'ZZQP114','Examen immunohistochimique de prélèvement tissulaire fixé avec 5 anticorps ou plus, sans quantification du signal',56.00,56.00),(8573,'ZZQP116','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique, avec inclusion en paraffine',28.00,28.00),(8574,'ZZQP117','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de 4 structures anatomiques ou plus, avec prélèvement non différencié sur chaque structure',112.00,112.00),(8575,'ZZQP118','Examen anatomopathologique extemporané de 2 à 4 prélèvements différenciés de structure anatomique, sur le lieu du prélèvement [au bloc opératoire]',84.00,84.00),(8576,'ZZQP119','Examen anatomopathologique extemporané d\'un prélèvement de structure anatomique, sur le lieu du prélèvement [au bloc opératoire]',84.00,84.00),(8577,'ZZQP120','Examen cytopathologique de l\'étalement de produit de ponction d\'une structure anatomique, sur plusieurs cibles',36.40,36.40),(8578,'ZZQP121','Examen anatomopathologique de prélèvement biopsique de muqueuse avec cartographie',61.60,61.60),(8579,'ZZQP122','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de plusieurs structures anatomiques, avec prélèvements différenciés sur chaque structure',72.80,72.80),(8580,'ZZQP123','Examen anatomopathologique de fragment de résection endoscopique ou de curetage de structure anatomique, non différencié par le préleveur',33.60,33.60),(8581,'ZZQP124','Examen anatomopathologique de prélèvements biopsiques étagés de muqueuse de 3 structures anatomiques',109.20,109.20),(8582,'ZZQP127','Examen anatomopathologique de pièce d\'exérèse d\'une structure anatomique en plusieurs fragments différenciés par le préleveur, sans examen des marges ou de recoupe',61.60,61.60),(8583,'ZZQP128','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique, avec prélèvement non différencié',28.00,28.00),(8584,'ZZQP129','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit de ponction d\'une structure anatomique, sur plusieurs cibles',36.40,36.40),(8585,'ZZQP132','Examen anatomopathologique de prélèvement biopsique de 3 structures anatomiques ou plus',84.00,84.00),(8586,'ZZQP133','Examen cytopathologique de l\'étalement de produit de ponction de 4 structures anatomiques ou plus, sur une cible pour chaque structure',134.40,134.40),(8587,'ZZQP134','Examen cytopathologique de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique, avec prélèvements différenciés',36.40,36.40),(8588,'ZZQP136','Examen anatomopathologique de pièces d\'exérèse bilatérale d\'une structure anatomique paire, sans examen des marges ou de recoupe',67.20,67.20),(8589,'ZZQP139','Examen cytopathologique de l\'étalement de produit de ponction de 2 structures anatomiques, sur une cible pour chaque structure',67.20,67.20),(8590,'ZZQP140','Examen immunohistochimique de prélèvement tissulaire fixé avec 1 à 4 anticorps, sans quantification du signal',56.00,56.00),(8591,'ZZQP141','Examen cytopathologique de l\'étalement de produit de ponction de 3 structures anatomiques, sur une cible pour chaque structure',100.80,100.80),(8592,'ZZQP142','Examen cytopathologique de l\'étalement de produit de ponction de plusieurs structures anatomiques, sur plusieurs cibles pour chaque structure',72.80,72.80),(8593,'ZZQP143','Examen cytopathologique de l\'étalement de produit de ponction d\'une structure anatomique, avec inclusion en paraffine',33.60,33.60),(8594,'ZZQP144','Examen anatomopathologique de prélèvement biopsique de muqueuse de 4 structures anatomiques',112.00,112.00),(8595,'ZZQP145','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de 2 structures anatomiques, avec prélèvement non différencié sur chaque structure',56.00,56.00),(8596,'ZZQP146','Examen anatomopathologique extemporané de 5 prélèvements différenciés de structure anatomique ou plus, hors du lieu du prélèvement',84.00,84.00),(8597,'ZZQP147','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de 3 structures anatomiques, avec prélèvement non différencié sur chaque structure',84.00,84.00),(8598,'ZZQP148','Examen anatomopathologique de prélèvements biopsiques étagés d\'une structure anatomique',36.40,36.40),(8599,'ZZQP149','Examen anatomopathologique extemporané d\'un prélèvement de structure anatomique, hors du lieu du prélèvement',84.00,84.00),(8600,'ZZQP150','Examen anatomopathologique de prélèvement tissulaire congelé, avec examen immunohistochimique avec 1 à 4 anticorps',84.00,84.00),(8601,'ZZQP151','Examen cytopathologique de l\'étalement de produit de ponction d\'une structure anatomique, sur une cible',33.60,33.60),(8602,'ZZQP152','Examen cytopathologique de l\'étalement de produit de ponction d\'une structure anatomique, avec inclusion en paraffine et examen immunocytochimique',89.60,89.60),(8603,'ZZQP153','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique, avec prélèvement non différencié',28.00,28.00),(8604,'ZZQP154','Examen anatomopathologique de pièce d\'exérèse d\'une structure anatomique en plusieurs fragments différenciés par le préleveur, avec examen des marges ou de recoupe',61.60,61.60),(8605,'ZZQP155','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de 4 structures anatomiques ou plus, avec prélèvement non différencié sur chaque structure',112.00,112.00),(8606,'ZZQP156','Examen anatomopathologique de prélèvements biopsiques étagés de muqueuse d\'une structure anatomique',36.40,36.40),(8607,'ZZQP157','Examen anatomopathologique de prélèvement biopsique de muqueuse de 3 structures anatomiques',84.00,84.00),(8608,'ZZQP158','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit de ponction de 3 structures anatomiques, sur une cible pour chaque structure',100.80,100.80),(8609,'ZZQP159','Examen anatomopathologique de fragments de résection endoscopique ou de curetage d\'une structure anatomique, différenciés par le préleveur',33.60,33.60),(8610,'ZZQP161','Examen anatomopathologique de prélèvements biopsiques étagés de plusieurs structures anatomiques',72.80,72.80),(8611,'ZZQP162','Examen anatomopathologique de prélèvement biopsique d\'une structure anatomique',28.00,28.00),(8612,'ZZQP163','Examen anatomopathologique de prélèvement biopsique de 2 structures anatomiques',56.00,56.00),(8613,'ZZQP164','Examen anatomopathologique de pièce d\'exérèse de plusieurs structures anatomiques contigües, sans examen des marges ou de recoupe',61.60,61.60),(8614,'ZZQP165','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage d\'une structure anatomique, avec prélèvements différenciés',36.40,36.40),(8615,'ZZQP166','Examen anatomopathologique de pièces d\'exérèse bilatérale d\'une structure anatomique paire en plusieurs fragments différenciés par le préleveur sur chaque structure anatomique, avec examen des marges ou de recoupe de chaque structure',123.20,123.20),(8616,'ZZQP167','Examen anatomopathologique de prélèvements biopsiques étagés de muqueuse de 2 structures anatomiques',72.80,72.80),(8617,'ZZQP168','Examen anatomopathologique de prélèvement biopsique de muqueuse de 5 structures anatomiques ou plus',140.00,140.00),(8618,'ZZQP169','Examen anatomopathologique de pièce d\'exérèse de plusieurs structures anatomiques contiguës, avec examen des marges nécessitant un échantillonnage',61.60,61.60),(8619,'ZZQP170','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit de ponction d\'une structure anatomique, sur une cible',33.60,33.60),(8620,'ZZQP171','Examen immunohistochimique de prélèvement tissulaire fixé avec 5 anticorps ou plus, avec quantification du signal',56.00,56.00),(8621,'ZZQP172','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit de ponction de 2 structures anatomiques, sur une cible pour chaque structure',67.20,67.20),(8622,'ZZQP173','Test de détection du génome des papillomavirus humains oncogènes',37.80,37.80),(8623,'ZZQP174','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit de ponction de 4 structures anatomiques ou plus, sur une cible pour chaque structure',134.40,134.40),(8624,'ZZQP175','Examen anatomopathologique extemporané de 2 à 4 prélèvements différenciés de structure anatomique, hors du lieu du prélèvement',84.00,84.00),(8625,'ZZQP176','Examen anatomopathologique de prélèvement biopsique d\'une structure anatomique avec cartographie',61.60,61.60),(8626,'ZZQP177','Examen anatomopathologique de fragments de résection endoscopique ou de curetage de plusieurs structures anatomiques, différenciés par le préleveur sur chaque structure',67.20,67.20),(8627,'ZZQP178','Examen anatomopathologique de pièces d\'exérèse de 3 structures anatomiques non contigües, sans examen des marges ou de recoupe',100.80,100.80),(8628,'ZZQP179','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit d\'aspiration ou de liquide de ponction, d\'émission ou de lavage de plusieurs structures anatomiques, avec prélèvements différenciés sur chaque structure',72.80,72.80),(8629,'ZZQP180','Examen anatomopathologique de pièces d\'exérèse de 2 structures anatomiques non contigües, sans examen des marges ou de recoupe',67.20,67.20),(8630,'ZZQP181','Examen anatomopathologique de pièces d\'exérèse de 4 structures anatomiques non contigües ou plus, sans examen des marges ou de recoupe',134.40,134.40),(8631,'ZZQP183','Examen anatomopathologique de prélèvement biopsique de muqueuse de 2 structures anatomiques',56.00,56.00),(8632,'ZZQP184','Examen anatomopathologique de pièces d\'exérèse de plusieurs structures anatomiques non contigües, avec examen des marges nécessitant un échantillonnage',67.20,67.20),(8633,'ZZQP185','Examen anatomopathologique de pièce d\'exérèse bilatérale de plusieurs structures anatomiques contigües paires, avec examen des marges ou de recoupe de chaque structure',123.20,123.20),(8634,'ZZQP186','Examen anatomopathologique par hybridation in situ',140.00,140.00),(8635,'ZZQP187','Examen cytopathologique en phase liquide [technique monocouche] de l\'étalement de produit de ponction de plusieurs structures anatomiques, sur plusieurs cibles pour chaque structure',72.80,72.80),(8636,'ZZQP188','Examen anatomopathologique de pièce d\'exérèse d\'une structure anatomique, sans examen des marges ou de recoupe',33.60,33.60),(8637,'ZZQP191','Examen anatomopathologique de pièce d\'exérèse bilatérale de plusieurs structures anatomiques contigües paires, sans examen des marges ou de recoupe',123.20,123.20),(8638,'ZZQP192','Examen anatomopathologique de pièces d\'exérèse bilatérale d\'une structure anatomique paire en plusieurs fragments différenciés par le préleveur sur chaque structure anatomique, sans examen des marges ou de recoupe',123.20,123.20),(8639,'ZZQP193','Examen anatomopathologique de pièce d\'exérèse d\'une structure anatomique, avec examen des marges nécessitant un échantillonnage',33.60,33.60),(8640,'ZZQP195','Examen immunohistochimique de prélèvement tissulaire fixé avec 1 à 4 anticorps, avec quantification du signal',56.00,56.00),(8641,'ZZQX012','Examen histopathologique de biopsies de plusieurs structures anatomiques avec cartographie de chaque structure anatomique',138.73,138.73),(8642,'ZZQX016','Examen cytopathologique ou anatomopathologique de prélèvement cellulaire ou tissulaire congelé, avec examen immunocytochimique, immunohistochimique et/ou immunofluorescence avec 1 à 4 anticorps',84.00,84.00),(8643,'ZZQX023','Examen cytopathologique de culot cellulaire de 2 prélèvements différenciés de liquide et/ou de produit de ponction de structure anatomique, avec inclusion en paraffine',36.62,36.62),(8644,'ZZQX027','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé avec 3 à 5 anticorps, sans quantification du signal',68.00,68.00),(8645,'ZZQX029','Examen cytopathologique ou histopathologique par hybridation in situ, sans quantification du signal',140.00,140.00),(8646,'ZZQX034','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé avec 6 à 9 anticorps, sans quantification du signal',100.00,100.00),(8647,'ZZQX035','Examen histopathologique de biopsie de 5 structures anatomiques ou plus',110.00,110.00),(8648,'ZZQX045','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé avec 3 à 5 anticorps, avec quantification du signal pour chaque anticorps',83.00,83.00),(8649,'ZZQX047','Examen histopathologique de biopsies étagées de 4 structures anatomiques ou plus',126.55,126.55),(8650,'ZZQX047','Examen histopathologique de biopsies étagés de 4 structures anatomiques ou plus',126.55,126.55),(8651,'ZZQX054','Examen cytopathologique de culot cellulaire de 4 prélèvements différenciés de liquide et/ou de produit de ponction de structure anatomique, avec inclusion en paraffine',36.62,36.62),(8652,'ZZQX058','Examen cytopathologique ou histopathologique par hybridation in situ, avec quantification du signal',190.00,190.00),(8653,'ZZQX068','Examen histopathologique de biopsies étagées de 3 structures anatomiques',107.89,107.89),(8654,'ZZQX069','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé avec 1 à 2 anticorps, sans quantification du signal',48.00,48.00),(8655,'ZZQX073','Examen cytopathologique ou anatomopathologique de prélèvement cellulaire ou tissulaire congelé, avec examen immunocytochimique, immunohistochimique et/ou immunofluorescence avec 5 anticorps ou plus',84.00,84.00),(8656,'ZZQX077','Examen histopathologique de biopsies étagées d\'une structure anatomique',36.40,36.40),(8657,'ZZQX081','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé avec 1 à 2 anticorps, avec quantification du signal pour chaque anticorps',56.00,56.00),(8658,'ZZQX092','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé, avec 10 anticorps ou plus, sans quantification du signal',160.00,160.00),(8659,'ZZQX098','Examen cytopathologique de culot cellulaire de 3 prélèvements différenciés de liquide et/ou de produit de ponction de structure anatomique, avec inclusion en paraffine',36.62,36.62),(8660,'ZZQX103','Examen cytopathologique de l\'étalement de 2 prélèvements différenciés de liquide de structure anatomique',46.42,46.42),(8661,'ZZQX104','Examen cytopathologique et/ou histopathologique extemporané de 5 prélèvements différenciés ou plus de structure anatomique, sur le lieu du prélèvement',84.00,84.00),(8662,'ZZQX107','Examen cytopathologique de l\'étalement de produit de brossage, de grattage ou d\'écouvillonnage de la peau ou de muqueuse',28.00,28.00),(8663,'ZZQX110','Examen cytopathologique de l\'étalement de 3 prélèvements différenciés de liquide de structure anatomique',78.25,78.25),(8664,'ZZQX116','Examen cytopathologique de culot cellulaire d\'un prélèvement ou de plusieurs prélèvements non différenciés de liquide et/ou de produit de ponction de structure anatomique, avec inclusion en paraffine',36.62,36.62),(8665,'ZZQX117','Examen cytopathologique de l\'étalement de 4 prélèvements différenciés ou plus de liquide de structure anatomique',75.79,75.79),(8666,'ZZQX118','Examen cytopathologique et/ou histopathologique extemporané de 2 à 4 prélèvements différenciés de structure anatomique, sur le lieu du prélèvement',84.00,84.00),(8667,'ZZQX119','Examen cytopathologique et/ou histopathologique extemporané d\'un prélèvement de structure anatomique, sur le lieu du prélèvement',84.00,84.00),(8668,'ZZQX122','Examen immunocytochimique ou immunohistochimique de prélèvement cellulaire ou tissulaire fixé avec 6 à 9 anticorps, avec quantification du signal pour chaque anticorps',130.00,130.00),(8669,'ZZQX123','Examen histopathologique de fragment d\'exérèse endoscopique ou de curetage de structure anatomique, non différenciés par le préleveur',33.60,33.60),(8670,'ZZQX127','Examen anatomopathologique de pièce d\'exérèse en fragments différenciés d\'une structure anatomique',40.00,40.00),(8671,'ZZQX128','Examen cytopathologique de l\'étalement d\'un prélèvement ou de plusieurs prélèvements non différenciés de liquide de structure anatomique',28.00,28.00),(8672,'ZZQX132','Examen histopathologique de biopsie de 3 structures anatomiques',80.00,80.00),(8673,'ZZQX133','Examen cytopathologique de l\'étalement de 4 prélèvements différenciés ou plus de produit de ponction de structure anatomique',64.24,64.24),(8674,'ZZQX139','Examen cytopathologique de l\'étalement de 2 prélèvements différenciés de produit de ponction de structure anatomique',41.94,41.94),(8675,'ZZQX141','Examen cytopathologique de l\'étalement de 3 prélèvements différenciés de produit de ponction de structure anatomique',42.62,42.62),(8676,'ZZQX145','Examen cytopathologique en phase liquide [technique monocouche] de 2 prélèvements différenciés de liquide, de structure anatomique',42.57,42.57),(8677,'ZZQX146','Examen cytopathologique et/ou histopathologique extemporané de 5 prélèvements différenciés ou plus de structure anatomique, hors du lieu du prélèvement',84.00,84.00),(8678,'ZZQX147','Examen cytopathologique en phase liquide [technique monocouche] de 3 prélèvements différenciés de liquide, de structure anatomique',75.50,75.50),(8679,'ZZQX149','Examen cytopathologique et/ou histopathologique extemporané d\'un prélèvement de structure anatomique, hors du lieu du prélèvement',84.00,84.00),(8680,'ZZQX151','Examen cytopathologique de l\'étalement d\'un prélèvement ou de plusieurs prélèvements non différenciés de produit de ponction de structure anatomique',33.60,33.60),(8681,'ZZQX153','Examen cytopathologique en phase liquide [technique monocouche] d\'un prélèvement ou de prélèvements non différenciés de liquide, de structure anatomique',28.00,28.00),(8682,'ZZQX155','Examen cytopathologique en phase liquide [technique monocouche] de 4 prélèvements différenciés ou plus de liquide, de structure anatomique',104.70,104.70),(8683,'ZZQX158','Examen cytopathologique en phase liquide [technique monocouche] de 3 prélèvements différenciés de produit de ponction de structure anatomique',62.74,62.74),(8684,'ZZQX159','Examen histopathologique de fragments d\'exérèse endoscopique ou de curetage d\'une structure anatomique, différenciés par le préleveur',33.60,33.60),(8685,'ZZQX162','Examen histopathologique de biopsie d\'une structure anatomique',28.00,28.00),(8686,'ZZQX163','Examen histopathologique de biopsie de 2 structures anatomiques',54.00,54.00),(8687,'ZZQX170','Examen cytopathologique en phase liquide [technique monocouche] d\'un prélèvement ou de plusieurs prélèvements non différenciés de produit de ponction de structure anatomique',33.60,33.60),(8688,'ZZQX172','Examen cytopathologique en phase liquide [technique monocouche] de 2 prélèvements différenciés de produit de ponction de structure anatomique',47.46,47.46),(8689,'ZZQX173','Test de détection du génome des papillomavirus humains oncogènes',31.32,31.32),(8690,'ZZQX174','Examen cytopathologique en phase liquide [technique monocouche] de 4 prélèvements différenciés ou plus de produit de ponction de structure anatomique',80.50,80.50),(8691,'ZZQX175','Examen cytopathologique et/ou histopathologique extemporané de 2 à 4 prélèvements différenciés de structure anatomique, hors du lieu du prélèvement',84.00,84.00),(8692,'ZZQX177','Examen histopathologique de fragments d\'exérèse endoscopique ou de curetage de plusieurs structures anatomiques, différenciés par le préleveur sur chaque structure',67.20,67.20),(8693,'ZZQX178','Examen anatomopathologique de pièce d\'exérèse de 3 structures anatomiques',93.45,93.45),(8694,'ZZQX180','Examen anatomopathologique de pièce d\'exérèse de 2 structures anatomiques',67.79,67.79),(8695,'ZZQX181','Examen anatomopathologique de pièce d\'exérèse de 4 structures anatomiques ou plus',86.70,86.70),(8696,'ZZQX188','Examen anatomopathologique de pièce d\'exérèse monobloc ou en fragments non différenciés, d\'une structure anatomique',34.52,34.52),(8697,'ZZQX192','Examen anatomopathologique de pièce d\'exérèse en fragments différenciés de plusieurs structures anatomiques',119.48,119.48),(8698,'ZZQX197','Examen histopathologique de biopsie de 4 structures anatomiques',100.00,100.00),(8699,'ZZQX200','Examen histopathologique de biopsies étagés de 2 structures anatomiques',73.10,73.10),(8700,'ZZQX200','Examen histopathologique de biopsies étagées de 2 structures anatomiques',73.10,73.10),(8701,'ZZQX217','Examen histopathologique de biopsies d\'une structure anatomique avec cartographie',84.69,84.69),(8702,'BFGA368','Extraction extracapsulaire du cristallin par phakoémulsification, avec implantation de cristallin artificiel dans la chambre postérieure de l\'oeil, avec implantation de dispositif de drainage trabéculaire ab interno',252.96,252.96),(8703,'BFGA427','Extraction extracapsulaire du cristallin par phakoémulsification, avec implantation de cristallin artificiel dans la chambre postérieure de l\'oeil, sans implantation de dispositif de drainage trabéculaire',271.70,271.70);
/*!40000 ALTER TABLE `ccam` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `correspondants`
--

DROP TABLE IF EXISTS `correspondants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `correspondants` (
  `idCor` int(11) NOT NULL AUTO_INCREMENT,
  `CorNom` varchar(45) NOT NULL,
  `CorPrenom` varchar(45) NOT NULL,
  `CorSexe` varchar(1) DEFAULT NULL,
  `CorAdresse1` varchar(70) DEFAULT NULL,
  `CorAdresse2` varchar(70) DEFAULT NULL,
  `CorAdresse3` varchar(70) DEFAULT NULL,
  `CorCodepostal` varchar(5) DEFAULT NULL,
  `CorVille` varchar(40) DEFAULT NULL,
  `CorTelephone` varchar(17) DEFAULT NULL,
  `CorPortable` varchar(17) DEFAULT NULL,
  `CorFax` varchar(17) DEFAULT NULL,
  `CorMail` varchar(45) DEFAULT NULL,
  `CorMedecin` int(1) DEFAULT NULL,
  `CorSpecialite` int(11) DEFAULT NULL,
  `CorAutreProfession` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idCor`),
  KEY `Codepostal` (`CorCodepostal`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `correspondants`
--

LOCK TABLES `correspondants` WRITE;
/*!40000 ALTER TABLE `correspondants` DISABLE KEYS */;
/*!40000 ALTER TABLE `correspondants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cotations`
--

DROP TABLE IF EXISTS `cotations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cotations` (
  `idcotation` int(11) NOT NULL AUTO_INCREMENT,
  `Typeacte` varchar(15) NOT NULL,
  `MontantOPTAM` decimal(6,2) DEFAULT NULL,
  `MontantNonOPTAM` decimal(6,2) DEFAULT NULL,
  `MontantPratique` decimal(6,2) DEFAULT NULL,
  `CCAM` int(1) DEFAULT NULL COMMENT '1=CCAM\n2=Association\n3=HorsCCAM',
  `idUser` int(11) DEFAULT NULL,
  `Frequence` int(11) DEFAULT NULL,
  `Tip` varchar(75) DEFAULT NULL,
  PRIMARY KEY (`idcotation`)
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cotations`
--

LOCK TABLES `cotations` WRITE;
/*!40000 ALTER TABLE `cotations` DISABLE KEYS */;
INSERT INTO `cotations` VALUES (3,'astigmatisme',110.00,110.00,110.00,3,2,NULL,NULL),(4,'BAFA005',94.49,NULL,94.49,1,2,NULL,NULL),(5,'BAFA013',32.16,NULL,32.16,1,2,NULL,NULL),(6,'BBLD003',21.87,NULL,21.87,1,2,NULL,NULL),(7,'BCCA001',52.25,NULL,52.25,1,2,NULL,NULL),(8,'BCFA003',105.59,NULL,105.59,1,2,NULL,NULL),(9,'BCFA008',52.25,NULL,52.25,1,2,NULL,NULL),(10,'BCFA009',66.40,NULL,66.40,1,2,NULL,NULL),(11,'BDGA005',52.25,NULL,52.25,1,2,NULL,NULL),(12,'BDMP002',44.16,NULL,44.16,1,2,NULL,NULL),(13,'BEFA008',209.00,NULL,209.00,1,2,NULL,NULL),(14,'BEPP002',83.60,NULL,100.00,1,2,NULL,NULL),(15,'BFGA002',271.70,NULL,271.70,1,2,NULL,NULL),(16,'BFGA003',209.00,NULL,209.00,1,2,NULL,NULL),(17,'BFGA004',271.70,NULL,271.70,1,2,NULL,NULL),(18,'BFGA004+25%',339.62,339.62,339.62,2,2,NULL,NULL),(19,'BFGA004+BEFA008',376.20,376.20,526.20,2,2,NULL,NULL),(20,'BFGA004+BELB001',296.41,296.41,446.41,2,2,NULL,NULL),(21,'BFGA008',209.00,NULL,209.00,1,2,NULL,NULL),(22,'BFKA001',156.75,NULL,156.75,1,2,NULL,NULL),(23,'BFLA001',125.40,NULL,125.40,1,2,NULL,NULL),(24,'BFPP001',83.60,NULL,100.00,1,2,NULL,NULL),(25,'BFQM001',34.11,NULL,50.00,1,2,NULL,NULL),(26,'BFQM001+BGQP002',60.00,60.00,60.00,2,2,NULL,NULL),(27,'BGLB001',83.60,NULL,83.60,1,2,NULL,NULL),(28,'BGNP003',101.16,NULL,101.16,1,2,NULL,NULL),(29,'BGNP008',125.40,NULL,125.40,1,2,NULL,NULL),(30,'BGQP002',28.29,NULL,28.29,1,2,NULL,NULL),(31,'BJQP002+BLQP010',38.90,38.90,38.90,2,2,NULL,NULL),(32,'BLMP001',88.32,NULL,88.32,1,2,NULL,NULL),(33,'BLMP002',81.60,NULL,81.60,1,2,NULL,NULL),(34,'BLMP003',71.04,NULL,71.04,1,2,NULL,NULL),(35,'BLMP005',88.32,NULL,88.32,1,2,NULL,NULL),(36,'BLQP004',33.36,NULL,46.00,1,2,NULL,NULL),(37,'BLQP004+BDQP003',60.00,60.00,60.00,2,2,NULL,NULL),(38,'BLQP004+BGQP002',50.00,50.00,50.00,2,2,NULL,NULL),(39,'BLQP004+BHQP002',60.00,60.00,60.00,2,2,NULL,NULL),(40,'BZQK001',47.88,NULL,66.00,1,2,NULL,NULL),(41,'BZQK001+BGQP002',80.00,80.00,80.00,2,2,NULL,NULL),(42,'BZQK001x1.5',71.82,71.82,90.00,2,2,NULL,NULL),(44,'Cs',23.00,23.00,45.00,2,2,NULL,NULL),(45,'Cs+MPC+MCS',30.00,30.00,30.00,2,2,NULL,NULL),(46,'Cs+MPJ',28.00,28.00,28.00,2,2,NULL,NULL),(47,'EBQF002',72.41,NULL,90.00,1,2,NULL,NULL),(48,'lentilles',110.00,110.00,110.00,3,2,NULL,NULL),(49,'BJQP002+BLQP010',38.90,38.90,50.00,2,2,NULL,NULL),(50,'AMY10',26.00,26.00,26.00,2,2,NULL,NULL),(51,'AMY4',10.40,10.40,10.40,2,2,NULL,NULL),(52,'AMY5.4',14.04,14.04,14.04,2,2,NULL,NULL),(53,'AMY10.3',26.78,26.78,26.78,2,2,NULL,NULL),(54,'AMY10+4.1',36.66,36.66,36.66,2,2,NULL,NULL),(58,'BAFA015',125.40,NULL,125.40,1,2,NULL,NULL),(59,'BAFA006',48.62,NULL,48.62,1,2,NULL,NULL),(60,'BENP001',125.40,NULL,130.00,1,2,NULL,NULL),(61,'BCFA004',104.50,NULL,104.50,1,2,NULL,NULL);
/*!40000 ALTER TABLE `cotations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `courriers`
--

DROP TABLE IF EXISTS `courriers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `courriers` (
  `idDocument` int(11) NOT NULL AUTO_INCREMENT,
  `TextDocument` blob,
  `ResumeDocument` varchar(50) NOT NULL,
  `ConclusionDocument` longtext,
  `idUser` int(11) DEFAULT NULL COMMENT 'Id de l’utilisateur qui a cree le document',
  `DocPublic` int(1) DEFAULT NULL,
  `Prescription` tinyint(1) DEFAULT NULL,
  `Editable` tinyint(1) DEFAULT NULL,
  `Medical` tinyint(1) DEFAULT NULL COMMENT 'document uniquement utilisable par un medecin',
  PRIMARY KEY (`idDocument`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `courriers`
--

LOCK TABLES `courriers` WRITE;
/*!40000 ALTER TABLE `courriers` DISABLE KEYS */;
INSERT INTO `courriers` VALUES (1,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600; font-style:italic;\">MYDRIATICUM</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600; font-style:italic;\">NEOSYNÉPHRINE 10%</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">Une goutte de chaque dans </span>((Quel côté//COTE))<span style=\" font-style:italic;\">, tous les 1/4 d\'heure, pendant l\'heure précédant le prochain examen</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Dilatation',NULL,1,NULL,1,1,NULL),(2,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-weight:600; font-style:italic;\">VITABACT </span><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\">Une goutte dans chaque oeil, 3 fois par jour, pendant 6 jours, en commençant 48 heures avant le prochain examen.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-weight:600; font-style:italic;\">HIBISCRUB</span><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"> 125ml Prendre une douche complète, corps et cheveux, la veille au soir et le matin de l\'injection. </span></p></body></html>','Injection intra-vitréenne',NULL,1,1,1,NULL,NULL),(5,'ISOPTO-PILOCARPINE 2%\r\nUne goutte dans l\'æil à traiter une heure avant le prochain examen\r\nCHIBROCADRON\r\nUne goutte dans l\'æil à traiter, 3 fois par jour pendant huit jours, en commençant le matin de l\'examen\r\nLACRIGEL 10g\r\nUn tube\r\nCÉBÉSINE\r\nUn flacon','Myosis avant ALT ou IP',NULL,1,NULL,1,NULL,NULL),(6,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">MYDRIATICUM</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">Une goutte dans l\'æil opéré, 3 fois par jour pendant 1 semaine</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">TOBRADEX</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">Une goutte dans l\'æil opéré</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\"> 3 fois par jour pendant 2 semaines</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\"> puis 2 fois par jour pendant 1 semaine</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\"> puis une fois par jour pendant une semaine</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">MICROPORE SILICONE 2.5cm</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">1 rouleau</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">COMPRESSES 30x30</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">Faire un pansement tous les soirs avec la coque oculaire pendant 8 jours</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-style:italic;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">En cas de problème, me recontacter ou contacter le service d\'ophtalmologie de l\'hôpital Nord de Marseille</span></p></body></html>','Traitement post-opératoire cataracte','Traitement post-opératoire Mydriaticum Ciloxan Dexafree',1,NULL,1,NULL,NULL),(8,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600; font-style:italic;\">ATROPINE 0.5%</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-weight:600; font-style:italic;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-style:italic;\">une goutte dans chaque oeil matin et soir pendant les 3 jours précédant l\'examen, y compris le matin de l\'examen.</span></p></body></html>','Skiascopie sous atropine','ARSA',1,NULL,1,NULL,NULL),(9,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-weight:600; font-style:italic;\">SKIACOL</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\">une goutte dans chaque æil, deux fois de suite à 10 minutes d\'intervalle, une heure avant le prochain examen.</span></p></body></html>','Skiascopie sous skiacol','ARSS',1,NULL,1,NULL,NULL),(10,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-weight:600; font-style:italic;\">MYDRIATICUM</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-weight:600; font-style:italic;\">NEOSYNÉPHRINE 10%</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt;\">Une goutte de chaque dans chaque oeil, tous les 1/4 d\'heure, pendant l\'heure précédant le prochain examen</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-weight:600; font-style:italic;\">LACRIGEL 10g</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,12,-1,5,50,0,0,0,0,0\'; font-size:12pt;\">Un tube</span></p></body></html>','V3M laser','AR pour V3M',1,NULL,1,1,NULL),(11,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,11,-1,5,50,0,0,0,0,0\'; font-size:12pt;\">Je, soussigné {{TITREUSER}}, certifie que {{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}} est porteur(se) de lentilles de contact.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS,11,-1,5,50,0,0,0,0,0\'; font-size:12pt;\">Avec ses lentilles ou ses lunettes, son acuité visuelle est de 10/10 à chaque œil. Certificat fait à la demande de l’intéressé(e) et remis en main propre pour servir et valoir ce que de droit. </span></p></body></html>','Certificat lentilles',NULL,1,1,NULL,NULL,NULL),(12,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:17pt; font-weight:600;\">Opération de la cataracte</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-size:17pt; font-weight:600; font-style:italic;\"><br /></p>\n<p align=\"center\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Intervention de cataracte de ((Côté à opérer//COTE)) du ((Date d\'intervention//DATE))</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-weight:600;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</span>,</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Vous êtes atteint(e) d\'une cataracte responsable de vos troubles visuels. Votre ophtalmologiste vous propose l\'opération, car la chirurgie constitue le seul moyen d\'améliorer votre vision.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Cette fiche contient l\'information sur l\'opération qui vous est proposée, sur ses résultats et sur ses risques.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">La cataracte</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Elle correspond à l\'opacification du cristallin, lentille de forte puissance située à l\'intérieur de l\'oeil (objectif d\'un appareil photographique).</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Pourquoi opérer la cataracte ?</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Parce que ni les collyres, ni le laser ne peuvent guérir une cataracte constituée.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">L\'opération de la cataracte</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">L\'intervention est réalisée alors que le patient est installé sur le dos, en milieu chirurgical stérile et sous microscope. Elle représente un geste chirurgical majeur, car elle consiste à inciser l\'oeil et à en extraire l\'un de ses éléments internes, le cristallin.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">• Hospitalisation :</span> Une immobilisation minimale de quelques heures est nécessaire. Le mode d\'hospistalisation adapté à votre cas vous sera proposé par votre ophtalmologiste en accord avec l\'anesthésiste.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">• Anesthésie :</span> L\'oeil peut être insensibilisé par des injections de voisinage, ou uniquement par l\'instillation de gouttes. Une anesthésie générale est également possible.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Le choix résulte de l\'avis de votre ophtalmologiste et de celui du médecin anesthésiste. Il prend en compte, si possible, votre souhait.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">• L\'extraction de la cataracte</span> est réalisée avec ou sans l\'aide d\'une sonde à ultrasons. L\'enveloppe du cristallin (la capsule) est laissée en place. Il est exceptionnel de procéder à l\'extraction totale du cristallin.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">• Implantation d\'un cristallin artificiel</span> (implant intra-oculaire) : le cristallin est remplacé par une lentille synthétique placée derrière la pupille.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• L\'incision de l\'oeil est suturée ou non.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">• Incidents ou difficultés peropératoires :</span> ils sont rares et imprévisibles. Ils conduisent parfois à placer l\'implant devant la pupille, voire à renoncer à toute implantation. Il peut être nécessaire d\'enlever un petit fragment de l\'iris et/ou de procéder à l\'ablation d\'une partie du vitré.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Le déroulement de l\'intervention peut être compliqué par une rupture de la capsule (moins de 5% des cas). L\'extraction de la cataracte est parfois incomplète. Une hémorragie peut se produire et se résorbe en général en quelques jours (dans des cas très exceptionnels, elle peut aboutir à la perte de la vision, voire à la perte de l\'oeil).</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">L\'évolution postopératoire habituelle</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• Dans la très grande majorité des cas (95%), l\'oeil opéré de cataracte est indolore. La vision</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">s\'améliore très rapidement et une correction adaptée par lunettes peut être prescrite au bout de quelques semaines.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">La présence d\'autres lésions de l\'oeil peut limiter la récupération visuelle.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• Les soins locaux sont réduits à l\'instillation de gouttes, à l\'application d\'une pommade et au port d\'une protection oculaire selon des modalités et durant une période qui vous seront précisées par votre chirurgien. Il est parfois nécessaire de procéder à l\'ablation de fils de suture. L\'activité professionnelle, l\'utilisation de machines ou d\'instruments dangereux, la conduite automobile sont déconseillées pendant une période limitée qui sera définie par votre ophtalmologiste.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• Dans plus de 30 % des cas, il se produit, au cours des années qui suivent l\'intervention, une opacification de la capsule : c\'est la &quot;cataracte secondaire&quot; responsable d\'une nouvelle baisse de vision. Le traitement consiste à réaliser une ouverture de la capsule par laser ou par chirurgie.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Les complications de l\'opération de la cataracte.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Bien qu\'elle soit parfaitement standardisée et suivie d\'excellents résultats, l\'opération de la cataracte n\'échappe pas à la règle générale selon laquelle il n\'existe pas de chirurgie sans risque. Il n\'est donc pas possible à votre ophtalmologiste de garantir formellement le succès de l\'intervention.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• Les complications sévères de l\'opération de la cataracte sont très rares. Elle peuvent nécessiter une réintervention et aboutir, dans les cas les plus extrêmes, à la perte de toute vision de l\'oeil opéré, voire à la perte de l\'oeil lui-même. Il s\'agit</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• des infections (1 à 3 cas sur 1000)</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• du traumatisme de l\'oeil par le patient ou son entourage</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• du décollement de la rétine (1 cas sur 100)</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• du trouble de la cornée</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• de l\'extraction incomplète de la cataracte</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• du déplacement du cristallin artificiel</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• d\'un oedème rétinien central</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• d\'une brûlure rétinienne par l\'éclairage du microscope opératoire.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• D\'autres complications sont moins sévères, comme</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• la cicatrice insuffisamment étanche</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• une chute partielle de la paupière supérieure</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• un hématome du blanc de l\'oeil ou de la paupière</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• la perception de mouches volantes</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• une sensibilité accrue à la lumière</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• une inflammation de l\'oeil</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• l\'augmentation de la pression intra-oculaire</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• la déformation de la cornée (astigmatisme)</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• une vision dédoublée.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">• L\'erreur de calcul de la puissance du cristallin artificiel est rare, comte tenu de la précision de l\'échographie systématiquement réalisée avant l\'intervention. Elle peut éventuellement nécessiter une réintervention.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Votre ophtalmologiste est disposé à répondre à toute question complémentaire que vous souhaiteriez lui poser.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Les dispositions réglementaires font obligation au médecin de prouver qu\'il a fourni l\'information au patient. Aussi vous demande-t-on de signer ce document dont le double est conservé par votre médecin.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je soussigné <span style=\" font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}},</span> reconnais que la nature de l\'examen ou de l\'intervention, ainsi que ses risques, m\'ont été expliqués en termes que j\'ai compris, et qu\'il a été répondu de façon satisfaisante à toutes les questions que j\'ai posées.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">J\'ai disposé d\'un délai de réflexion suffisant et:</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">. donne mon accord</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">. ne donne pas mon accord</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">pour la réalisation de l\'acte qui m\'est proposé.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Date et Signature</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Consentement éclairé cataracte',NULL,1,1,NULL,NULL,NULL),(13,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{FORMULE POLITESSE MEDECIN}}</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vois aujourd\'hui {{TITRE PATIENT}} <span style=\" font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span>, né(e) le {{DDN}}, dans le cadre de la surveillance de son diabète.</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Son fond d\'oeil ne montre pas d\'anomalie et je ne pense pas qu\'il soit utile de lui faire passer une angiographie pour le moment.</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Amitiés.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Bilan de diabète normal',NULL,1,NULL,NULL,1,NULL),(14,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; background-color:#ffffff;\"><span style=\" font-family:\'Times\'; font-size:24pt; font-weight:696; color:#0033ff;\">Opération du glaucome chronique </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:24pt; font-weight:696; color:#0033ff;\">Chirurgie filtrante </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}, </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Vous présentez un glaucome chronique qui menace votre vision. Votre ophtalmologiste vous propose l\'opération, car la chirurgie représente, à ce stade, </span><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">le moyen le plus approprié pour tenter de stabiliser l\'état de votre vision. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Cette fiche contient l\'information sur l\'opération qui vous est proposée, sur ses résultats et sur ses risques.<br />___________________________ </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:18pt; font-weight:696; color:#0033ff;\">Le glaucome chronique </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Cette maladie de l\'oeil atrophie progressivement le nerf optique. Elle détériore insidieusement le champ visuel avec menace de cécité. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Parmi ses multiples causes, la plus fréquente et la plus importante est l\'existence d\'une pression trop élevée dans l\'oeil. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Seul votre ophtalmologiste est qualifié pour évaluer la nocivité ou non du niveau de cette pression en tenant compte des autres données de l\'examen de votre oeil : état du nerf optique et du champ visuel en particulier. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:18pt; font-weight:696; color:#0033ff;\">Pourquoi opérer le glaucome chronique? </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Il existe 3 méthodes pour abaisser la pression : les collyres, le laser et la chirurgie. Votre ophtalmologiste vous propose celle qu\'il estime la plus apte à préserver le plus longtemps possible votre vision. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:18pt; font-weight:696; color:#0033ff;\">La chirurgie filtrante du glaucome chronique </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">L\'intervention est réalisée alors que le patient est installé sur le dos, en milieu chirurgical stérile et sous microscope. Elle représente un geste chirurgical majeur, car elle consiste à inciser l\'oeil pour en abaisser la pression. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; background-color:#ffffff;\"><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">Hospitalisation </span><span style=\" font-family:\'Times\'; font-size:14pt;\">: Une immobilisation minimale de quelques heures est nécessaire. Le mode d\'hospitalisation adapté à votre cas vous sera proposé par votre ophtalmologiste en accord avec l\'anesthésiste. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">Anesthésie </span><span style=\" font-family:\'Times\'; font-size:14pt;\">: L\'oeil peut être insensibilisé par des injections de voisinage, ou uniquement par l\'instillation de gouttes. Une anesthésie générale est également possible.<br />Le choix résulte de l\'avis de votre ophtalmologiste et de celui du médecin anesthésiste. Il prend en compte, si possible, votre souhait. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">L\'intervention filtrante </span><span style=\" font-family:\'Times\'; font-size:14pt;\">consiste à réaliser une soupape avec les tissus de l\'oeil. Dans certains cas peuvent être associés des moyens mécaniques ou chimiques facilitant la filtration. Ces incisions sont refermées par des points de suture.<br />Il peut être nécessaire d\'enlever un petit fragment de l\'iris ou de procéder à l\'ablation d\'une partie du vitré. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">Incidents ou difficultés peropératoires </span><span style=\" font-family:\'Times\'; font-size:14pt;\">: ils sont rares et imprévisibles et peuvent conduire à renoncer à l\'intervention. Il s\'agit essentiellement d\'hémorragies, qui en général se résorbent en quelques jours, mais peuvent aboutir à la perte de toute vision, voire à la perte de l\'oeil dans des cas très exceptionnels. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:18pt; font-weight:696; color:#0033ff;\">Evolution postopératoire habituelle </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Dans la grande majorité des cas (75 %), la pression est abaissée à un niveau normal. Il se forme généralement une grosseur sous la paupière supérieure. Dans 25 % des cas, il peut être nécessaire de reprendre 1\'utilisation de collyres antiglaucomateux, voire de recourir à une nouvelle intervention. Un certain degré d\'irritation oculaire peut accompagner la résorption des fils de suture durant quelques semaines après l\'intervention. Il est parfois nécessaire de procéder à l\'ablation de fils de suture. Une accentuation momentanée des difficultés visuelles est habituellement ressentie ainsi qu\'un larmoiement. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les soins locaux sont réduits à l\'instillation de gouttes, à l\'application d\'une pommade et au port d\'une protection oculaire selon des modalités et durant une période qui vous seront précisées par votre chirurgien. L\'activité professionnelle, 1\'utilisation de machines ou d\'instruments dangereux, la conduite automobile sont déconseillées pendant une période limitée qui sera définie par votre chirurgien. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">La normalisation de la pression par la chirurgie filtrante constitue un moyen efficace de ralentir, voire de supprimer le processus d\'atrophie du nerf optique. L\'évolution du glaucome peut cependant se poursuivre si d\'autres facteurs, en particulier circulatoires, interviennent. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">La chirurgie filtrante du glaucome a comme objectif d\'abaisser la pression de l\'oeil. Elle ne peut en aucun cas prétendre améliorer l\'état de la vision. </span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<table border=\"0\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px;\" cellspacing=\"2\" cellpadding=\"0\" bgcolor=\"#ffffff\">\n<tr>\n<td>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:18pt; font-weight:696; color:#0033ff;\">Les complications de la chirurgie filtrante du glaucome chronique </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les complications sévères de cette chirurgie sont exceptionnelles et il n\'est pas possible de les chiffrer. Elles peuvent nécessiter une réintervention et aboutir, dans les cas les plus extrêmes, à la perte de toute vision de l\'oeil opéré, voire à la perte de l\'oeil lui-même. il s\'agit<br />. des </span><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">infections<br />. </span><span style=\" font-family:\'Times\'; font-size:14pt;\">du </span><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">traumatisme </span><span style=\" font-family:\'Times\'; font-size:14pt;\">de l\'oeil par le patient ou son entourage<br />. d\'une </span><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696;\">hyperpression </span><span style=\" font-family:\'Times\'; font-size:14pt;\">qui peut nécessiter une réintervention en urgence. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">D\'autres complications sont moins sévères, comme une filtration trop importante<br />. la trop forte réduction prolongée de la pression<br />. un larmoiement excessif</span><span style=\" font-family:\'Times\'; font-size:14pt;\"><br />. l\'inflammation de l\'oeil<br /></span><span style=\" font-family:\'Times\'; font-size:14pt;\">. des douleurs liées à la filtration<br />. l\'apparition ou l\'aggravation d\'une cataracte. </span></p></td></tr>\n<tr>\n<td bgcolor=\"#ffffdc\">\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt; font-weight:696; color:#0033ff;\">Votre ophtalmologiste est disposé à répondre à toute question complémentaire que vous souhaiteriez lui poser. </span></p></td></tr>\n<tr>\n<td></td></tr>\n<tr>\n<td bgcolor=\"#fbffe8\">\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les dispositions réglementaires font obligation au médecin de prouver qu\'il a fourni l\'information au patient. Aussi vous demande-t-on de signer ce document dont le double est conservé par votre médecin. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Je soussigné {{PRENOM PATIENT}} {{NOM PATIENT}} reconnais que la nature de l\'examen ou de l\'intervention, ainsi que ses risques, m\'ont été expliqués en termes que j\'ai compris, et qu\'il a été répondu de façon satisfaisante à toutes les questions que j\'ai posées. </span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">J\'ai disposé d\'un délai de réflexion suffisant et<br /></span><span style=\" font-family:\'Times\'; font-size:14pt;\">. donne mon accord<br />. ne donne pas mon accord<br /></span><span style=\" font-family:\'Times\'; font-size:14pt;\">pour la réalisation de l\'acte qui m\'est proposé. </span><span style=\" font-family:\'Times\'; font-size:12pt; font-weight:696;\">Date et Signature</span><span style=\" font-family:\'Times\'; font-size:10pt; font-weight:696; font-style:italic;\">: </span></p></td></tr>\n<tr>\n<td></td></tr></table></body></html>','Consentement éclairé glaucome',NULL,1,1,NULL,NULL,NULL),(15,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:18pt; font-weight:600;\">Techniques de chirurgie réfractive</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}, </span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Vous présentez une anomalie de la réfraction. Ce document est destiné à vous fournir les principaux éléments nécessaires pour comprendre le principe et les effets des différentes techniques opératoires.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Les anomalies de la réfraction</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Dans un œil normal, le trajet des rayons lumineux est modifié par la cornée et le cristallin pour leur permettre de converger sur la rétine. L\'œil myope est un œil trop long, les rayons lumineux convergent en avant de la rétine. L\'œil hypermétrope est trop court et les rayons lumineux convergent en arrière de la rétine. L\'œil astigmate présente des anomalies de courbure cornéenne. Les différents moyens de correction(lunettes, lentilles de contact et techniques de chirurgie réfractive) ont pour but de modifier le trajet des rayons lumineux.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Plusieurs techniques chirurgicales peuvent être proposées. La méthode la plus adaptée à votre cas particulier sera choisie avec votre chirurgien, ainsi que le mode d’anesthésie.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">La chirurgie au laser excimer</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">La chirurgie au laser excimer a pour principe de modifier la forme de la cornée en réalisant une ablation localisée de tissu cornéen. Elle est destinée à corriger myopie, hypermétropie et astigmatisme. Cette propriété est utilisée de deux façons :</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">1 Le laser excimer de surface (Photokératectomie réfractive) </p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">L\'opération se pratique sous anesthésie locale. Après un pelage de la couche superficielle, les impacts de laser sont appliqués sur la surface de la cornée. Sa durée est courte (quelques minutes).</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Son principal avantage est la sécurité.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les inconvénients résident dans les phénomènes douloureux qui peuvent exister pendant quelques jours.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Dans certains cas, il peut survenir un voile cicatriciel susceptible de retarder la récupération visuelle. Ce voile est le plus souvent minime, mais dans de rares cas, il peut être assez dense pour gêner la vision pendant plusieurs mois.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">En cas de correction insuffisante, une nouvelle intervention est possible dans un délai minimum d’un an.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">2 Le laser intrastromal (Lasik)</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Dans cette méthode, le laser est appliqué dans l’épaisseur de la cornée après découpe chirurgicale d’un volet de tissu cornéen remis en place en fin d’intervention. Cette technique, réalisée sous anesthésie locale, est peu douloureuse. La récupération visuelle est rapide.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">En cas de correction imparfaite, il est généralement possible de compléter le traitement.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Le principal inconvénient réside dans la découpe du volet cornéen qui peut induire des complications spécifiques (altérations de forme et de transparence de la cornée).</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">3 Particularités des techniques utilisant le laser excimer</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Après toute chirurgie au laser excimer, le port de verres filtrant les ultraviolets est nécessaire pendant plusieurs mois en cas d’exposition solaire.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Le laser excimer est utilisé depuis quelques années. Ses effets à très long terme ne sont pas encore connus.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Technique d’incision cornéenne</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">La pratique d’incisions profondes dans la cornée permet également de modifier sa forme. Lorsqu’elles sont disposées de façon radiaire périphérique (technique nommée kératotomie radiaire), elles permettent de corriger la myopie faible et moyenne. La stabilité de la correction n’est cependant pas assurée , car l’évolution à long terme peut se faire vers l’hypermétropie.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Des incisions transverses ou arciformes peuvent corriger l’astigmatisme.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Technique des anneaux intracornéens</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">L’insertion de segments d’anneaux synthétiques dans l’épaisseur de la cornée périphérique permet de modifier la forme de la cornée. Son principal avantage théorique est la réversibilité. Cette technique est récente. Le recul est insuffisant pour apprécier sa tolérance à long terme et pour juger de la stabilité de la correction.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Technique des implants intraoculaires</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Ces techniques chirurgicales nécessitent l’ouverture de l’œil, ce qui peut induire des complications au niveau des différents tissus. Elles consistent à mettre en place des implants synthétiques qui sont des lentilles réfractives permettant de modifier le trajet des rayons lumineux, sans modifier la forme de la cornée. Ces techniques sont réservées à la correction des fortes myopies et des fortes hypermétropies. Les implants peuvent être placés en avant du cristallin ou après son extraction.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Lorsque le cristallin est extrait, la capacité de mise au point entre vision de loin et vision de près (mécanisme de l’accommodation) est perdue et doit être compensée par des lunettes. Cette chirurgie s’adresse en général à des patients de plus de 40 ans.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">La mise en place d’un implant dans un œil qui conserve son cristallin préserve le mécanisme de l’accommodation. Elle expose à certaines complications spécifiques au niveau de la cornée et du cristallin qui imposent une surveillance systématique régulière à long terme. En cas d’intolérance, ces implants peuvent être retirés.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Les risques communs à toutes les techniques de chirurgie réfractive</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Le résultat recherché ne peut jamais être garanti, car il dépend des phénomènes de cicatrisation avec des variations individuelles. Une correction complémentaire par lunettes, lentilles de contact ou par réintervention est parfois nécessaire.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les règlements concernant les aptitudes visuelles des professions sont continuellement modifiés. Il est donc indispensable que vous vérifiez vous-même auprès des administrations concernées si une intervention de chirurgie réfractive est acceptée (armée, police, gendarmerie, marine, pompiers, SNCF, transport aérien ou routier, etc…).</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les opérations de chirurgie réfractive n’échappent pas à la règle générale selon laquelle il n’y a pas de chirurgie sans risque. Même si celui-ci est très faible, des complications allant des plus anodines aux plus graves sont possibles.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Parmi les conséquences possibles de ces complications, on peut citer la perception de halos, une tendance à l’éblouissement, une réduction de l’acuité visuelle même avec correction, une gêne à la vision nocturne, une vision dédoublée, une déformation des images, un abaissement de la paupière supérieure. Ces complications transitoires ou définitives peuvent parfois nécessiter un traitement médical ou chirurgical.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Dans des cas exceptionnels, comme pour toute chirurgie oculaire, les complications peuvent prendre un caractère de gravité conduisant à la perte de la vision, voire à la perte de l’œil. Cette éventualité est tellement exceptionnelle que sa fréquence est impossible à évaluer.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Votre ophtalmologiste est disposé à répondre à toute question complémentaire que vous souhaiteriez lui poser.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Les dispositions réglementaires font obligation au médecin de prouver qu’il a fourni l’information au patient. Aussi vous demande-t-on de signer ce document dont le double est conservé par votre médecin.</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Je soussigné {{PRENOM PATIENT}} {{NOM PATIENT}}, reconnais que la nature de l’examen ou de l’intervention, ainsi que ses risques, m’ont été expliqués en termes que j’ai compris, et qu’il a été répondu de façon satisfaisante à toutes les questions que j’ai posées.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">J’ai disposé d’un délai de réflexion suffisant et</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\"> donne mon accord</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\"> ne donne pas mon accord</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">pour la réalisation de l’acte qui m’est proposé.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times\'; font-size:14pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times\'; font-size:14pt;\">Date et signature :</span></p></body></html>','Consentement éclairé réfractive',NULL,1,1,NULL,NULL,NULL),(16,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\">CERTIFICAT DE PASSAGE</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\"><br /></p>\n<p align=\"justify\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\">Je soussigné, {{TITREUSER}}, certifie avoir vu en consultation à mon cabinet, {{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}, né(e) le {{DDN}} , le {{DATE}} à </span>((Heure de passage//HEURE))<span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\">.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt;\"><br /></p></body></html>','Certificat de passage',NULL,1,1,NULL,NULL,NULL),(17,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:14pt; font-weight:600;\">Intervention de cataracte de ((Côté à opérer//COTE)) du ((Date d\'intervention//DATE))</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">La date de votre intervention à la clinique de Marignane est fixée au ((Date d\'intervention//DATE)).</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Il faudra vous présenter à l\'accueil de la clinique à ((Heure d\'intervention//HEURE)), à jeun.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Auparavant, vous devez effectuer un bilan préopératoire (biométrie oculaire, examen du fond d’œil) à mon cabinet, une dizaine de jours avant l’intervention. Il vous faut aussi prendre rendez-vous pour une consultation d’anesthésie à la clinique de Marignane (tél 0442784500).</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">N\'hésitez pas à me téléphoner si vous souhaitez avoir des explications supplémentaires.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Enfin, il vous faudra lire et me rendre signée, quelques jours avant l’intervention, la notice d’information de 3 pages sur la chirurgie de la cataracte.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Avec mes remerciements.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Courrier préopératoire cataracte',NULL,1,1,NULL,NULL,NULL),(18,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-style:italic;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</span></p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-style:italic;\"><br /></span></p>\n<p align=\"center\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-size:36pt; font-weight:600; font-style:italic;\">DEVIS</span></p>\n<p align=\"right\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-style:italic;\"><br /></span></p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-style:italic;\"> Intervention sur trouble de la vision (myopie) par laser Excimer bilatéral </span><span style=\" font-family:\'Times New Roman\'; font-weight:600; font-style:italic;\">2 000.00 €</span></p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-style:italic;\"> TOTAL </span><span style=\" font-family:\'Times New Roman\'; font-weight:600; font-style:italic;\">2 000.00 €</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Times New Roman\';\"><br /></p></body></html>','Devis LASIK',NULL,1,1,NULL,1,NULL),(19,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman\'; font-size:12pt; font-weight:600; font-style:italic;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}},</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Vous venez de subir une intervention de cataracte.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Ce document résume les quelques précautions que vous devez prendre pendant les semaines qui suivent.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:14pt; font-weight:600; font-style:italic; color:#000000;\">Les soins</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Je vous ai remis une ordonnance de traitement.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Vous devez suivre ce document absolument scrupuleusement. En particulier, </span></p>\n<ul style=\"margin-top: 0px; margin-bottom: 0px; margin-left: 0px; margin-right: 0px; -qt-list-indent: 1;\"><li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Il vous faut dormir avec une coque oculaire pendant la première semaine.</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Vous avez à instiller des collyres dans l\'oeil opéré. Pour cela, il est indispensable de se laver les mains au préalable. Quand vous instillez un collyre, il faut éviter de toucher l\'oeil avec l\'embout du flacon.</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Tous les collyres doivent être commencés dès aujourd\'hui.</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Les collyres doivent être instillés les uns après les autres en respectant un intervalle d\'une minute entre deux instillations.</span></li></ul>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"><br /></span><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt; font-style:italic;\">Les consignes de vie</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Dans la journée : menez une vie normale et calme</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">vous pouvez ne pas porter la coque pendant la journée</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">portez vos lunettes habituelles si elles sont encore confortables</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">vous pouvez vous servir de votre oeil opéré pour les activités de la vie courante: lecture, TV, ...etc...</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"><br /></span><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Aucune activité n\'est formellement interdite mais vous devez impérativement éviter:</span></p>\n<ul style=\"margin-top: 0px; margin-bottom: 0px; margin-left: 0px; margin-right: 0px; -qt-list-indent: 1;\"><li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">de frotter ou appuyer sur l\'oeil opéré,</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">de recevoir un coup sur cet oeil.</span></li></ul>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Evitez aussi les ambiances poussiéreuses.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"><br /></span><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Les signes d\'alarme</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Il est normal que votre œil reste un peu rouge dans les jours qui suivent mais cette rougeur doit rester très modérée.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">En dehors d\'une discrète sensation de poussière les premiers jours, votre œil ne doit pas non plus être douloureux.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"><br /></span><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Vous devez être attentif à tous signes d\'appel anormaux et ne pas hésiter à me contacter au moindre doute :</span></p>\n<ul style=\"margin-top: 0px; margin-bottom: 0px; margin-left: 0px; margin-right: 0px; -qt-list-indent: 1;\"><li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Œil rouge</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Baisse de vision</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Douleur oculaire</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Mal de tête</span> </li>\n<li style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\" align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; color:#000000;\">Perception de taches, de voile ou d’éclairs</span></li></ul>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:12pt; font-style:italic;\"><br /></span><span style=\" font-family:\'Chalkboard,13,-1,5,50,0,0,0,0,0\'; font-size:14pt; font-style:italic;\">La presbytie</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">La presbytie demeure en postopératoire. Cela est normal car, après l\'intervention, le cristallin artificiel ne peut restaurer cette propriété optique. Vous serez donc gêné pour lire tant que vous n\'aurez pas vos lunettes définitives. Ces lunettes vous seront prescrites dans quelques semaines, quand la situation de votre œil sera stabilisée.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Dans l\'intervalle, vous pouvez vous procurer en pharamacie ou chez l\'opticien des lunettes loupe de +2,50 ou +3,00 dioptries pour un prix modique.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Certains implants permettent une vision multifocale, c\'est-à-dire une vision relative de loin et de près, mais les résultats avec ce type de cristallin artificiel sont incertains et c\'est la raison pour laquelle de nombreux chirurgiens ne les utilisent pas, choisissant des techniques qu\'ils maîtrisent parfaitement aux résultats reproductibles.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:14pt; font-weight:600; font-style:italic; color:#000000;\">La récupération visuelle et les lunettes définitives</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">La récupération visuelle se fera dans un délai variable : dès le lendemain dans certains cas mais au bout de plusieurs jours dans d\'autres. Cette récupération varie d\'une personne à l\'autre.</span></p>\n<p align=\"justify\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Times New Roman, serif\'; font-size:12pt; font-style:italic; color:#000000;\">Nous nous revoyons dans un mois pour faire le contrôle définitif et adapter vos lunettes.</span></p></body></html>','Infos post opératoire cataracte',NULL,1,1,NULL,NULL,NULL),(21,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">faire pratiquer un bilan orthoptique</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> et des séances de rééducation si nécessaire</p></body></html>','Bilan orthoptique +/-rééducation',NULL,1,NULL,1,NULL,NULL),(22,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Press-on de 3D base nasale OD sur sa correction VL</p></body></html>','Ordonnance press-on',NULL,1,NULL,1,NULL,NULL),(23,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Faire pratiquer un examen du Champ Visuel </p></body></html>','Champ visuel',NULL,1,1,1,NULL,NULL),(24,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Occlusion de ((Quel oeil//COTE)) par Opticlude ((temps d\'occlusion//TEXTE)) </p></body></html>','Occlusion',NULL,1,1,1,1,NULL),(28,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">faire pratiquer une angiographie rétinienne</p></body></html>','Angiographie rétinienne',NULL,1,NULL,1,NULL,NULL),(30,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'.SF NS Text\'; font-size:12pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">{{MEDECIN PATIENT}}</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">{{FORMULE POLITESSE MEDECIN}},</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">Je vous remercie de m\'avoir adressé en consultation {{TITRE PATIENT}} </span><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">, né(e) le {{DDN}}.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">Merci de votre confiance.</span></p></body></html>','Courrier libre',NULL,1,NULL,NULL,1,NULL),(32,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Prisme press-on de 4D base inférieure OG sur sa correction solaire</p></body></html>','Press-on',NULL,1,NULL,1,NULL,NULL),(35,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Laboratoires OPHTALMIC,</p>\n<p align=\"right\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">0820777515</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Monsieur,</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Pourriez vous faire parvenir à mon cabinet les lentilles suivantes:</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">HR toric +2,50(-1,75 à 0°)</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">HR toric +3,25(-1,75 à 10°)</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">pour {{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">En vous remerciant.</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Commande lentilles ophtalmic HR Toric',NULL,1,NULL,NULL,1,NULL),(36,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{PRENOM MEDECIN}},</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vois aujourd\'hui {{TITRE PATIENT}} <span style=\" font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span>, né(e) le {{DDN}}, dans le cadre de la surveillance de son diabète.</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Son fond d\'oeil ne montre pas de signe de rétinopathie diabétique et je ne pense pas qu\'il soit utile de lui faire passer une angiographie pour le moment.</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Amitiés.</p></body></html>','Bilan diabète normal fam',NULL,1,NULL,NULL,1,NULL),(37,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Filmomat OD sur sa correction optique</p></body></html>','Filmomat',NULL,1,NULL,NULL,NULL,NULL),(38,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> {{DATE}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Cher Docteur,</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vous remercie de m\'avoir adressé {{TITRE PATIENT}} {{NOM PATIENT}} {{PRENOM PATIENT}} âgé(e) de {{AGE PATIENT}} pour un bilan orthoptique dans le cadre d\'un déséquilibre oculomoteur OD;</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vous adresse ci-joint le bilan orthoptique effectué ce jour.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je suis disponible pour toute information complémentaire.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vous prie de recevoir, Docteur, l\'expression de ma considération distinguée.</p></body></html>','Compte Rendu Bilan Orthoptie',NULL,1,NULL,NULL,1,NULL),(39,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> MACULAZ</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> 1 comprimé le midi pendant 6 mois</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> LUMIGAN 0,1</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> 1 goutte le soir dans chaque oeil pendant 6 mois</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> TRUSOPT</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> 1 goutte matin et soir dans chaque oeil pendant 6 mois</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> MAXIDROL pommade</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> 1 goutte matin et soir dans l\'oeil gauche pendant 5 jours</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> ARTELAC</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> à la demande dans chaque oeil pendant 6 mois</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> CILOXAN</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> 1 goutte dans l\'oeil droit 3 fois par jour pendant 6 jours</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\"> VITABACT</span></p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> 1 goutte dans l\'oeil droit 3 fois par jour pendant 6 jours</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Ordo libre',NULL,1,NULL,1,1,NULL),(43,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">MONOSEPT</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">3 fois par jour dans chaque oeil pendant la semaine précédant l\'intervention</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">HIBISCUB 125ml</span></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Prendre une douche complète, corps et cheveux, la veille au soir et le matin de l\'intervention</p></body></html>','Ordonnance préopératoire',NULL,1,1,1,NULL,NULL),(44,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">INFORMATIONS SUR LES HONORAIRES</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Vous allez subir une intervention de cataracte.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Mes honoraires pour cette intervention (cotation BFGA004 + BELB001) s\'élèvent à 446,41 €, dont 296,41€ sont pris en charge par la caisse d\'assurance maladie et que vous n\'aurez pas à régler.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Vous aurez donc à vous acquitter d\'un dépassement d\'honoraires de 150€ qui peut faire l\'objet d\'un remboursement partie ou total par votre mutuelle ou votre assurance complémentaire.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Avec mes remerciements.</p></body></html>','Informations honoraires cataracte',NULL,1,1,NULL,NULL,NULL),(45,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{FORMULE POLITESSE MEDECIN}}</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vois aujourd\'hui {{TITRE PATIENT}} <span style=\" font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span>, né(e) le {{DDN}}, dans le cadre de la surveillance de son hypertension artérielle.</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Son fond d\'oeil ne montre pas d\'anomalie en rapport avec une rétinopathie hypertensive (pas de signes du croisement, pas de diminution du calibre artériel).</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Amitiés.</p></body></html>','Bilan HTA normal',NULL,1,NULL,NULL,NULL,NULL),(46,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> <span style=\" font-weight:600;\">DULCILARMES UNIDOSES</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> à la demande pour 6 mois</p></body></html>','Larmes artificielles',NULL,1,NULL,1,1,NULL),(48,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{FORMULE POLITESSE MEDECIN}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">J\'ai opéré de cataracte de ((Côté//COTE)), <span style=\" font-weight:600;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</span>, âgé(e) de {{AGE PATIENT}}, le ((Date intervention//DATE)), à la clinique de Marignane.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">L\'intervention s\'est déroulée dans le cadre d\'une hospitalisation ambulatoire, sous anesthésie locale, sans incident.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Les suites ne devraient pas poser de problème.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">En vous remerciant.</p>\n<p align=\"justify\" style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Courrier post-opératoire MG',NULL,1,1,NULL,1,NULL),(49,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:18px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:18pt; font-weight:600;\">NOTE D’HONORAIRES</span><br /></p>\n<p align=\"center\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:14pt;\">Dépassement d\'honoraires intervention cataracte de </span>((Côté//COTE))</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}} le ((Date intervention//DATE))</p>\n<p align=\"right\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">150,0</span>0</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">cotation BFGA004 (271,70 € + 130€ dépassement) </p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">cotation BELB001 (24,71 € + 20€ dépassement) </p>\n<p align=\"right\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">TOTAL 150,00</span></p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">acquitté le {{DATE}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Note honoraires dépassement cataracte',NULL,1,1,NULL,NULL,NULL),(50,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"center\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</span><br /></p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" text-decoration: underline;\">AGE :</span> {{AGE PATIENT}}</p>\n<p align=\"center\" style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:16pt; text-decoration: underline;\">Intervention de cataracte de ((Côté//COTE)) du ((Date intervention//DATE))</span></p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Anesthésie ((Type anesthésie//TEXTE))</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Nettoyage des culs de sac conjonctivaux et champ opératoire par Betadine ophtalmique</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Mise en place du champ opératoire, du blepharostat et nouveau nettoyage des culs de sacs conjonctivaux par Betadine ophtalmique</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Incision cornéenne 2,8mm</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Capsulorexhis </p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Hydrodissection et phakoemulsification du noyau</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Lavage des masses</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Implantation dans le sac capsulaire</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Lavage du visqueux</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Hydrosuture et injection Aprokam en chambre antérieure</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Compte rendu intervention cataracte',NULL,1,NULL,NULL,1,NULL),(53,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{PRENOM MEDECIN}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">J\'ai opéré de cataracte de ((Côté//COTE)) {{TITRE PATIENT}} <span style=\" font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span>, né(e) le {{DDN}}, le ((Date intervention//DATE)), à la clinique de Marignane.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">L\'intervention s\'est déroulée dans le cadre d\'une hospitalisation ambulatoire, sous anesthésie locale, sans incident.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Les suites ne devraient pas poser de problème.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Amitiés.</p></body></html>','Courrier post-opératoire MG fam',NULL,1,NULL,NULL,1,NULL),(55,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">lentilles Soflens Toric</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> OD -1,75(-2,25 à 40°)</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> OG +0,50(-2,00 à 160°)</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Entretien avec système oxydant</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">lentilles à renouvellement mensuel</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">ne pas dormir avec les lentilles</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p></body></html>','Ordo lentilles',NULL,1,NULL,1,1,NULL),(61,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}}</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{FORMULE POLITESSE MEDECIN}}</p>\n<p style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vois aujourd\'hui {{TITRE PATIENT}} <span style=\" font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span>, né(e) le {{DDN}}, dans le cadre de la surveillance de son traitement par antipaludéens de synthèse.</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Son acuité visuelle est à 10/10. Son fond d\'oeil est normal.. Ses seuils maculaires sont normaux.</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> Il n\'y a pas de contre-indication à poursuivre ce traitement et on continue une surveillance semestrielle.</p>\n<p style=\" margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Amitiés.</p></body></html>','Bilan plaquenil',NULL,1,NULL,NULL,1,NULL),(62,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Faire pratiquer un test de Lancaster</p></body></html>','Lancaster',NULL,1,NULL,NULL,NULL,NULL),(64,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je, soussigné {{TITREUSER}}, certifie que {{TITRE PATIENT}}<span style=\" font-weight:600;\"> {{PRENOM PATIENT}} {{NOM PATIENT}}</span> né(e) le {{DDN}}, présente une cécité en rapport avec une maladie génétique.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Aucune amélioration n\'est à espérer dans l\'avenir.</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Certificat fait à la demande de l\'interessé(e) et remis en main propre pour servir et valoir ce que de droit.</p></body></html>','Certificat',NULL,1,NULL,NULL,1,NULL),(66,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'.SF NS Text\'; font-size:12pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">Faire pratiquer des soins infirmiers à domicile 3 fois par jour pendant 4 semaines à partir du </span>((Date de début des soins//DATE))</p></body></html>','Soins infirmiers',NULL,1,1,1,1,NULL),(67,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Faire pratiquer</p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"> prélèvement conjonctival avec recherche de chlamydiae</p></body></html>','Prélèvement conjonctival',NULL,1,NULL,1,NULL,NULL),(68,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'.SF NS Text\'; font-size:12pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">{{MEDECIN PATIENT}}</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">{{PRENOM MEDECIN}},</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">Je te remercie de m\'avoir adressé en consultation {{TITRE PATIENT}} </span><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:600;\">{{PRENOM PATIENT}} {{NOM PATIENT}}</span><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">, né(e) le {{DDN}}.</span></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'Comic Sans MS\'; font-size:13pt;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'Comic Sans MS\'; font-size:13pt;\">Merci de ta confiance.</span></p></body></html>','Courrier libre fam',NULL,1,NULL,NULL,1,NULL),(69,'<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:\'Comic Sans MS\'; font-size:13pt; font-weight:400; font-style:normal;\">\n<p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{MEDECIN PATIENT}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">{{FORMULE POLITESSE MEDECIN}},</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Vote patient(e), <span style=\" font-weight:600;\">{{TITRE PATIENT}} {{PRENOM PATIENT}} {{NOM PATIENT}}</span>, âgé(e) de {{AGE PATIENT}} présente une cataracte bilatérale dense relevant d\'une intervention chirurgicale.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Nous avons fixé une date pour ((quel côté//COTE)) le ((Date intervention//DATE)), à la clinique de Marignane.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Je vous tiens au courant dans le suites.</p>\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><br /></p>\n<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Amitiés</p></body></html>','Courrier pré-opératoire cataracte MG',NULL,1,NULL,NULL,1,NULL);
/*!40000 ALTER TABLE `courriers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `donneessocialespatients`
--

DROP TABLE IF EXISTS `donneessocialespatients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `donneessocialespatients` (
  `idPat` int(11) NOT NULL,
  `PatAdresse1` varchar(80) DEFAULT NULL,
  `PatAdresse2` varchar(80) DEFAULT NULL,
  `PatAdresse3` varchar(80) DEFAULT NULL,
  `PatCodepostal` varchar(5) DEFAULT NULL,
  `PatVille` varchar(40) DEFAULT NULL,
  `PatTelephone` varchar(17) DEFAULT NULL,
  `PatPortable` varchar(17) DEFAULT NULL,
  `PatMail` varchar(45) DEFAULT NULL,
  `PatNNI` bigint(15) DEFAULT NULL,
  `PatALD` tinyint(1) DEFAULT NULL,
  `PatCMU` tinyint(1) DEFAULT NULL,
  `PatProfession` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idPat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `donneessocialespatients`
--

LOCK TABLES `donneessocialespatients` WRITE;
/*!40000 ALTER TABLE `donneessocialespatients` DISABLE KEYS */;
/*!40000 ALTER TABLE `donneessocialespatients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `flags`
--

DROP TABLE IF EXISTS `flags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flags` (
  `MAJflagSalDat` int(11) DEFAULT NULL,
  `MAJflagMG` int(11) DEFAULT NULL,
  `MAJflagMessages` int(11) DEFAULT NULL,
  `flagUserDistant` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flags`
--

LOCK TABLES `flags` WRITE;
/*!40000 ALTER TABLE `flags` DISABLE KEYS */;
INSERT INTO `flags` VALUES (3,NULL,NULL,NULL);
/*!40000 ALTER TABLE `flags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jointuresLieux`
--

DROP TABLE IF EXISTS `jointuresLieux`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `jointuresLieux` (
  `idUser` int(11) DEFAULT NULL,
  `idLieu` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jointuresLieux`
--

LOCK TABLES `jointuresLieux` WRITE;
/*!40000 ALTER TABLE `jointuresLieux` DISABLE KEYS */;
/*!40000 ALTER TABLE `jointuresLieux` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jointuresdocuments`
--

DROP TABLE IF EXISTS `jointuresdocuments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `jointuresdocuments` (
  `idJointure` int(11) NOT NULL AUTO_INCREMENT,
  `idMetaDocument` int(11) DEFAULT NULL,
  `idDocument` int(11) DEFAULT NULL,
  PRIMARY KEY (`idJointure`),
  KEY `index1` (`idMetaDocument`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jointuresdocuments`
--

LOCK TABLES `jointuresdocuments` WRITE;
/*!40000 ALTER TABLE `jointuresdocuments` DISABLE KEYS */;
INSERT INTO `jointuresdocuments` VALUES (24,6,48),(25,6,19),(26,6,49),(27,6,6),(28,1,12),(29,1,17),(30,1,44),(31,1,43),(45,9,15),(46,9,52),(47,9,18);
/*!40000 ALTER TABLE `jointuresdocuments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `listeappareils`
--

DROP TABLE IF EXISTS `listeappareils`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `listeappareils` (
  `idAppareil` int(11) NOT NULL AUTO_INCREMENT,
  `TitreExamen` varchar(45) DEFAULT NULL,
  `NomAppareil` varchar(150) DEFAULT NULL,
  `Format` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idAppareil`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `listeappareils`
--

LOCK TABLES `listeappareils` WRITE;
/*!40000 ALTER TABLE `listeappareils` DISABLE KEYS */;
INSERT INTO `listeappareils` VALUES (1,'Biométrie','TOPCON ALADDIN',NULL),(2,'RNM','CANON CR-2',NULL),(3,'OCT','OTI SLO',NULL),(4,'AngioOCT','OPTOVUE',NULL),(5,'OCT','NIDEK-OCT',NULL),(6,'RNM','NIDEK-RNM',NULL),(7,'OCT','SPECTRALIS',NULL),(8,'LOG','NAVIS-EX',NULL),(9,'RNM-E','EIDON',NULL),(10,'RNM-O','OPTOS Daytona series',NULL),(11,'OCT','CANON-OCT',NULL),(12,'Biométrie','TOPCON ALADDIN II',NULL),(13,'OCT','ZEISS CIRRUS 5000',NULL),(14,'OCT','TOPCON TRITON',NULL),(15,'ImagerieSA','ION Imaging',NULL);
/*!40000 ALTER TABLE `listeappareils` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `listetiers`
--

DROP TABLE IF EXISTS `listetiers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `listetiers` (
  `Tiers` varchar(15) NOT NULL,
  PRIMARY KEY (`Tiers`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `listetiers`
--

LOCK TABLES `listetiers` WRITE;
/*!40000 ALTER TABLE `listetiers` DISABLE KEYS */;
INSERT INTO `listetiers` VALUES ('AME'),('AMO'),('Art. 115'),('AT'),('Clinique'),('CMU');
/*!40000 ALTER TABLE `listetiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `renseignementsmedicauxpatients`
--

DROP TABLE IF EXISTS `renseignementsmedicauxpatients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `renseignementsmedicauxpatients` (
  `idPat` int(11) NOT NULL,
  `idCorMedMG` int(10) DEFAULT NULL,
  `idCorMedSpe1` int(10) DEFAULT NULL,
  `idCorMedSpe2` int(10) DEFAULT NULL,
  `idCorMedSpe3` int(10) DEFAULT NULL,
  `idCorNonMed` int(10) DEFAULT NULL,
  `RMPAtcdtsPersos` text,
  `RMPTtGeneral` mediumtext,
  `RMPAtcdtsFamiliaux` mediumtext,
  `RMPAtcdtsOphs` mediumtext,
  `RMPTtOphs` mediumtext,
  `Tabac` varchar(2) DEFAULT NULL,
  `Autrestoxiques` mediumtext,
  `Gencorresp` varchar(20) DEFAULT NULL,
  `Important` mediumtext,
  `Resume` text,
  PRIMARY KEY (`idPat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `renseignementsmedicauxpatients`
--

LOCK TABLES `renseignementsmedicauxpatients` WRITE;
/*!40000 ALTER TABLE `renseignementsmedicauxpatients` DISABLE KEYS */;
/*!40000 ALTER TABLE `renseignementsmedicauxpatients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `salledattente`
--

DROP TABLE IF EXISTS `salledattente`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `salledattente` (
  `idPat` int(11) NOT NULL,
  `IdUser` int(11) DEFAULT NULL COMMENT 'id soignant responsable du patient',
  `Statut` varchar(45) DEFAULT NULL,
  `HeureStatut` time DEFAULT NULL,
  `HeureRDV` time DEFAULT NULL,
  `HeureArrivee` time DEFAULT NULL,
  `Motif` varchar(10) DEFAULT NULL,
  `Message` varchar(300) DEFAULT NULL,
  `idActeAPayer` int(11) DEFAULT NULL,
  `PosteExamen` varchar(70) DEFAULT NULL,
  `idUserEnCoursExam` int(11) DEFAULT NULL COMMENT 'id soignant qui examine le patient',
  `idSalDat` int(11) DEFAULT NULL COMMENT 'id de la salle d’attente',
  PRIMARY KEY (`idPat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `salledattente`
--

LOCK TABLES `salledattente` WRITE;
/*!40000 ALTER TABLE `salledattente` DISABLE KEYS */;
/*!40000 ALTER TABLE `salledattente` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `specialitesmedicales`
--

DROP TABLE IF EXISTS `specialitesmedicales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `specialitesmedicales` (
  `idspecialite` int(11) NOT NULL,
  `nomspecialite` varchar(100) NOT NULL,
  PRIMARY KEY (`idspecialite`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `specialitesmedicales`
--

LOCK TABLES `specialitesmedicales` WRITE;
/*!40000 ALTER TABLE `specialitesmedicales` DISABLE KEYS */;
INSERT INTO `specialitesmedicales` VALUES (0,'médecine générale'),(1,'anatomie et cytologie pathologiques'),(2,'anesthésie-réanimation'),(3,'cardiologie et maladies vasculaires'),(4,'chirurgie générale'),(5,'chirurgie orale'),(6,'dermatologie et vénérologie'),(7,'endocrinologie et métabolisme'),(8,'gastro-entérologie et hépatologie'),(9,'génétique médicale'),(10,'gynécologie médicale'),(11,'gynécologie obstétrique'),(12,'hématologie'),(13,'médecine générale'),(14,'médecine interne'),(15,'médecine nucléaire'),(16,'médecine physique et de réadaptation'),(17,'néphrologie'),(18,'neurochirurgie'),(19,'neurologie'),(20,'oncologie'),(21,'ophtalmologie'),(22,'oto-rhino-laryngologie et chirurgie cervico-faciale'),(23,'pédiatrie'),(24,'pneumologie'),(25,'psychiatrie'),(26,'radiodiagnostic et imagerie médicale'),(27,'rhumatologie'),(28,'santé publique et médecine sociale'),(29,'chirurgie infantile'),(30,'chirurgie maxillo-faciale et stomatologie'),(31,'chirurgie de la face et du cou'),(32,'chirurgie orthopédique et traumatologie'),(33,'chirurgie plastique reconstructrice et esthétique'),(34,'chirurgie thoracique et cardio-vasculaire'),(35,'chirurgie urologique'),(36,'chirurgie vasculaire'),(37,'chirurgie viscérale et digestive'),(38,'gériatrie'),(39,'réanimation médicale');
/*!40000 ALTER TABLE `specialitesmedicales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `utilisateurs`
--

DROP TABLE IF EXISTS `utilisateurs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `utilisateurs` (
  `idUser` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `UserNom` varchar(45) DEFAULT NULL,
  `UserPrenom` varchar(45) DEFAULT NULL,
  `UserFonction` varchar(45) DEFAULT NULL COMMENT 'Médecin, secrétaire, comptable, informaticien, remplaçant, Assistant...',
  `UserSpecialite` varchar(45) DEFAULT NULL,
  `UserNoSpecialite` int(11) DEFAULT NULL,
  `UserTitre` varchar(25) DEFAULT NULL,
  `UserDroits` varchar(45) DEFAULT NULL COMMENT 'Définit les droits d''accès aux fichiers de l''utilisateur',
  `UserLogin` varchar(15) DEFAULT NULL,
  `UserMDP` varchar(45) DEFAULT NULL,
  `UserAdresse1` varchar(45) DEFAULT NULL,
  `UserAdresse2` varchar(45) DEFAULT NULL,
  `UserAdresse3` varchar(45) DEFAULT NULL,
  `UserCodePostal` mediumint(9) DEFAULT NULL,
  `UserVille` varchar(45) DEFAULT NULL,
  `UserTelephone` varchar(17) DEFAULT NULL,
  `UserPortable` varchar(17) DEFAULT NULL,
  `UserPoste` smallint(6) DEFAULT NULL,
  `UserFax` varchar(17) DEFAULT NULL,
  `UserWeb` varchar(45) DEFAULT NULL,
  `UserMail` varchar(45) DEFAULT NULL,
  `UserMemo` text,
  `IdCompteParDefaut` int(11) DEFAULT NULL,
  `UserNumPS` bigint(12) DEFAULT NULL,
  `UserNumCO` varchar(25) DEFAULT NULL,
  `Soignant` int(11) DEFAULT NULL COMMENT '1 = ophtalmo\n2 = orthoptiste\n3 = autre\n4 = Non soignant\n5 = societe comptable',
  `Medecin` int(1) DEFAULT NULL,
  `ResponsableActes` int(11) DEFAULT NULL COMMENT '1 = effectue exlusivement des actes sous sa responsabilite\n2 = effectue des actes sous sa responsabilite et sous celle des autres users\n3 = n effectue aucun acte sous sa responsabilite',
  `UserEnregHonoraires` tinyint(1) DEFAULT NULL COMMENT '1 = liberal\n2 = salarie\n3 = retrocession\n4 = pas de comptabilite',
  `UserEmployeur` int(11) DEFAULT NULL COMMENT 'iduser employeur si user salarie',
  `idCompteEncaissHonoraires` int(11) DEFAULT NULL COMMENT 'Compte bancaire encaissement honoraires',
  `UserDesactive` tinyint(1) DEFAULT NULL,
  `UserPoliceEcran` varchar(100) DEFAULT NULL,
  `UserPoliceAttribut` varchar(45) DEFAULT NULL,
  `UserAGA` tinyint(1) DEFAULT NULL,
  `UserSecteur` tinyint(1) DEFAULT NULL COMMENT '1= Secteur 1\n2= Secteur2\n3= Secteur3',
  `OPTAM` tinyint(1) DEFAULT NULL,
  `UserCCAM` tinyint(1) DEFAULT NULL COMMENT '1 = utilise la CCAM\n2 = utilise un autre système de cotation',
  `Signature` blob,
  `OrdoSigne` tinyint(1) DEFAULT NULL,
  `DateDerniereConnexion` datetime DEFAULT NULL,
  `DateCreationMDP` date DEFAULT NULL,
  `UserBarCode` blob,
  PRIMARY KEY (`idUser`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `utilisateurs`
--

LOCK TABLES `utilisateurs` WRITE;
/*!40000 ALTER TABLE `utilisateurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `utilisateurs` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-04-13 19:21:22
